"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// ../../../node_modules/safer-buffer/safer.js
var require_safer = __commonJS({
  "../../../node_modules/safer-buffer/safer.js"(exports, module2) {
    "use strict";
    var buffer = require("buffer");
    var Buffer2 = buffer.Buffer;
    var safer = {};
    var key;
    for (key in buffer) {
      if (!buffer.hasOwnProperty(key))
        continue;
      if (key === "SlowBuffer" || key === "Buffer")
        continue;
      safer[key] = buffer[key];
    }
    var Safer = safer.Buffer = {};
    for (key in Buffer2) {
      if (!Buffer2.hasOwnProperty(key))
        continue;
      if (key === "allocUnsafe" || key === "allocUnsafeSlow")
        continue;
      Safer[key] = Buffer2[key];
    }
    safer.Buffer.prototype = Buffer2.prototype;
    if (!Safer.from || Safer.from === Uint8Array.from) {
      Safer.from = function(value, encodingOrOffset, length) {
        if (typeof value === "number") {
          throw new TypeError('The "value" argument must not be of type number. Received type ' + typeof value);
        }
        if (value && typeof value.length === "undefined") {
          throw new TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type " + typeof value);
        }
        return Buffer2(value, encodingOrOffset, length);
      };
    }
    if (!Safer.alloc) {
      Safer.alloc = function(size, fill, encoding) {
        if (typeof size !== "number") {
          throw new TypeError('The "size" argument must be of type number. Received type ' + typeof size);
        }
        if (size < 0 || size >= 2 * (1 << 30)) {
          throw new RangeError('The value "' + size + '" is invalid for option "size"');
        }
        var buf = Buffer2(size);
        if (!fill || fill.length === 0) {
          buf.fill(0);
        } else if (typeof encoding === "string") {
          buf.fill(fill, encoding);
        } else {
          buf.fill(fill);
        }
        return buf;
      };
    }
    if (!safer.kStringMaxLength) {
      try {
        safer.kStringMaxLength = process.binding("buffer").kStringMaxLength;
      } catch (e) {
      }
    }
    if (!safer.constants) {
      safer.constants = {
        MAX_LENGTH: safer.kMaxLength
      };
      if (safer.kStringMaxLength) {
        safer.constants.MAX_STRING_LENGTH = safer.kStringMaxLength;
      }
    }
    module2.exports = safer;
  }
});

// ../../../node_modules/iconv-lite/lib/bom-handling.js
var require_bom_handling = __commonJS({
  "../../../node_modules/iconv-lite/lib/bom-handling.js"(exports) {
    "use strict";
    var BOMChar = "\uFEFF";
    exports.PrependBOM = PrependBOMWrapper;
    function PrependBOMWrapper(encoder, options) {
      this.encoder = encoder;
      this.addBOM = true;
    }
    PrependBOMWrapper.prototype.write = function(str) {
      if (this.addBOM) {
        str = BOMChar + str;
        this.addBOM = false;
      }
      return this.encoder.write(str);
    };
    PrependBOMWrapper.prototype.end = function() {
      return this.encoder.end();
    };
    exports.StripBOM = StripBOMWrapper;
    function StripBOMWrapper(decoder, options) {
      this.decoder = decoder;
      this.pass = false;
      this.options = options || {};
    }
    StripBOMWrapper.prototype.write = function(buf) {
      var res = this.decoder.write(buf);
      if (this.pass || !res)
        return res;
      if (res[0] === BOMChar) {
        res = res.slice(1);
        if (typeof this.options.stripBOM === "function")
          this.options.stripBOM();
      }
      this.pass = true;
      return res;
    };
    StripBOMWrapper.prototype.end = function() {
      return this.decoder.end();
    };
  }
});

// ../../../node_modules/iconv-lite/encodings/internal.js
var require_internal = __commonJS({
  "../../../node_modules/iconv-lite/encodings/internal.js"(exports, module2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    module2.exports = {
      // Encodings
      utf8: { type: "_internal", bomAware: true },
      cesu8: { type: "_internal", bomAware: true },
      unicode11utf8: "utf8",
      ucs2: { type: "_internal", bomAware: true },
      utf16le: "ucs2",
      binary: { type: "_internal" },
      base64: { type: "_internal" },
      hex: { type: "_internal" },
      // Codec.
      _internal: InternalCodec
    };
    function InternalCodec(codecOptions, iconv) {
      this.enc = codecOptions.encodingName;
      this.bomAware = codecOptions.bomAware;
      if (this.enc === "base64")
        this.encoder = InternalEncoderBase64;
      else if (this.enc === "cesu8") {
        this.enc = "utf8";
        this.encoder = InternalEncoderCesu8;
        if (Buffer2.from("eda0bdedb2a9", "hex").toString() !== "\u{1F4A9}") {
          this.decoder = InternalDecoderCesu8;
          this.defaultCharUnicode = iconv.defaultCharUnicode;
        }
      }
    }
    InternalCodec.prototype.encoder = InternalEncoder;
    InternalCodec.prototype.decoder = InternalDecoder;
    var StringDecoder = require("string_decoder").StringDecoder;
    if (!StringDecoder.prototype.end)
      StringDecoder.prototype.end = function() {
      };
    function InternalDecoder(options, codec) {
      this.decoder = new StringDecoder(codec.enc);
    }
    InternalDecoder.prototype.write = function(buf) {
      if (!Buffer2.isBuffer(buf)) {
        buf = Buffer2.from(buf);
      }
      return this.decoder.write(buf);
    };
    InternalDecoder.prototype.end = function() {
      return this.decoder.end();
    };
    function InternalEncoder(options, codec) {
      this.enc = codec.enc;
    }
    InternalEncoder.prototype.write = function(str) {
      return Buffer2.from(str, this.enc);
    };
    InternalEncoder.prototype.end = function() {
    };
    function InternalEncoderBase64(options, codec) {
      this.prevStr = "";
    }
    InternalEncoderBase64.prototype.write = function(str) {
      str = this.prevStr + str;
      var completeQuads = str.length - str.length % 4;
      this.prevStr = str.slice(completeQuads);
      str = str.slice(0, completeQuads);
      return Buffer2.from(str, "base64");
    };
    InternalEncoderBase64.prototype.end = function() {
      return Buffer2.from(this.prevStr, "base64");
    };
    function InternalEncoderCesu8(options, codec) {
    }
    InternalEncoderCesu8.prototype.write = function(str) {
      var buf = Buffer2.alloc(str.length * 3), bufIdx = 0;
      for (var i = 0; i < str.length; i++) {
        var charCode = str.charCodeAt(i);
        if (charCode < 128)
          buf[bufIdx++] = charCode;
        else if (charCode < 2048) {
          buf[bufIdx++] = 192 + (charCode >>> 6);
          buf[bufIdx++] = 128 + (charCode & 63);
        } else {
          buf[bufIdx++] = 224 + (charCode >>> 12);
          buf[bufIdx++] = 128 + (charCode >>> 6 & 63);
          buf[bufIdx++] = 128 + (charCode & 63);
        }
      }
      return buf.slice(0, bufIdx);
    };
    InternalEncoderCesu8.prototype.end = function() {
    };
    function InternalDecoderCesu8(options, codec) {
      this.acc = 0;
      this.contBytes = 0;
      this.accBytes = 0;
      this.defaultCharUnicode = codec.defaultCharUnicode;
    }
    InternalDecoderCesu8.prototype.write = function(buf) {
      var acc = this.acc, contBytes = this.contBytes, accBytes = this.accBytes, res = "";
      for (var i = 0; i < buf.length; i++) {
        var curByte = buf[i];
        if ((curByte & 192) !== 128) {
          if (contBytes > 0) {
            res += this.defaultCharUnicode;
            contBytes = 0;
          }
          if (curByte < 128) {
            res += String.fromCharCode(curByte);
          } else if (curByte < 224) {
            acc = curByte & 31;
            contBytes = 1;
            accBytes = 1;
          } else if (curByte < 240) {
            acc = curByte & 15;
            contBytes = 2;
            accBytes = 1;
          } else {
            res += this.defaultCharUnicode;
          }
        } else {
          if (contBytes > 0) {
            acc = acc << 6 | curByte & 63;
            contBytes--;
            accBytes++;
            if (contBytes === 0) {
              if (accBytes === 2 && acc < 128 && acc > 0)
                res += this.defaultCharUnicode;
              else if (accBytes === 3 && acc < 2048)
                res += this.defaultCharUnicode;
              else
                res += String.fromCharCode(acc);
            }
          } else {
            res += this.defaultCharUnicode;
          }
        }
      }
      this.acc = acc;
      this.contBytes = contBytes;
      this.accBytes = accBytes;
      return res;
    };
    InternalDecoderCesu8.prototype.end = function() {
      var res = 0;
      if (this.contBytes > 0)
        res += this.defaultCharUnicode;
      return res;
    };
  }
});

// ../../../node_modules/iconv-lite/encodings/utf32.js
var require_utf32 = __commonJS({
  "../../../node_modules/iconv-lite/encodings/utf32.js"(exports) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports._utf32 = Utf32Codec;
    function Utf32Codec(codecOptions, iconv) {
      this.iconv = iconv;
      this.bomAware = true;
      this.isLE = codecOptions.isLE;
    }
    exports.utf32le = { type: "_utf32", isLE: true };
    exports.utf32be = { type: "_utf32", isLE: false };
    exports.ucs4le = "utf32le";
    exports.ucs4be = "utf32be";
    Utf32Codec.prototype.encoder = Utf32Encoder;
    Utf32Codec.prototype.decoder = Utf32Decoder;
    function Utf32Encoder(options, codec) {
      this.isLE = codec.isLE;
      this.highSurrogate = 0;
    }
    Utf32Encoder.prototype.write = function(str) {
      var src = Buffer2.from(str, "ucs2");
      var dst = Buffer2.alloc(src.length * 2);
      var write32 = this.isLE ? dst.writeUInt32LE : dst.writeUInt32BE;
      var offset = 0;
      for (var i = 0; i < src.length; i += 2) {
        var code = src.readUInt16LE(i);
        var isHighSurrogate = 55296 <= code && code < 56320;
        var isLowSurrogate = 56320 <= code && code < 57344;
        if (this.highSurrogate) {
          if (isHighSurrogate || !isLowSurrogate) {
            write32.call(dst, this.highSurrogate, offset);
            offset += 4;
          } else {
            var codepoint = (this.highSurrogate - 55296 << 10 | code - 56320) + 65536;
            write32.call(dst, codepoint, offset);
            offset += 4;
            this.highSurrogate = 0;
            continue;
          }
        }
        if (isHighSurrogate)
          this.highSurrogate = code;
        else {
          write32.call(dst, code, offset);
          offset += 4;
          this.highSurrogate = 0;
        }
      }
      if (offset < dst.length)
        dst = dst.slice(0, offset);
      return dst;
    };
    Utf32Encoder.prototype.end = function() {
      if (!this.highSurrogate)
        return;
      var buf = Buffer2.alloc(4);
      if (this.isLE)
        buf.writeUInt32LE(this.highSurrogate, 0);
      else
        buf.writeUInt32BE(this.highSurrogate, 0);
      this.highSurrogate = 0;
      return buf;
    };
    function Utf32Decoder(options, codec) {
      this.isLE = codec.isLE;
      this.badChar = codec.iconv.defaultCharUnicode.charCodeAt(0);
      this.overflow = [];
    }
    Utf32Decoder.prototype.write = function(src) {
      if (src.length === 0)
        return "";
      var i = 0;
      var codepoint = 0;
      var dst = Buffer2.alloc(src.length + 4);
      var offset = 0;
      var isLE = this.isLE;
      var overflow = this.overflow;
      var badChar = this.badChar;
      if (overflow.length > 0) {
        for (; i < src.length && overflow.length < 4; i++)
          overflow.push(src[i]);
        if (overflow.length === 4) {
          if (isLE) {
            codepoint = overflow[i] | overflow[i + 1] << 8 | overflow[i + 2] << 16 | overflow[i + 3] << 24;
          } else {
            codepoint = overflow[i + 3] | overflow[i + 2] << 8 | overflow[i + 1] << 16 | overflow[i] << 24;
          }
          overflow.length = 0;
          offset = _writeCodepoint(dst, offset, codepoint, badChar);
        }
      }
      for (; i < src.length - 3; i += 4) {
        if (isLE) {
          codepoint = src[i] | src[i + 1] << 8 | src[i + 2] << 16 | src[i + 3] << 24;
        } else {
          codepoint = src[i + 3] | src[i + 2] << 8 | src[i + 1] << 16 | src[i] << 24;
        }
        offset = _writeCodepoint(dst, offset, codepoint, badChar);
      }
      for (; i < src.length; i++) {
        overflow.push(src[i]);
      }
      return dst.slice(0, offset).toString("ucs2");
    };
    function _writeCodepoint(dst, offset, codepoint, badChar) {
      if (codepoint < 0 || codepoint > 1114111) {
        codepoint = badChar;
      }
      if (codepoint >= 65536) {
        codepoint -= 65536;
        var high = 55296 | codepoint >> 10;
        dst[offset++] = high & 255;
        dst[offset++] = high >> 8;
        var codepoint = 56320 | codepoint & 1023;
      }
      dst[offset++] = codepoint & 255;
      dst[offset++] = codepoint >> 8;
      return offset;
    }
    Utf32Decoder.prototype.end = function() {
      this.overflow.length = 0;
    };
    exports.utf32 = Utf32AutoCodec;
    exports.ucs4 = "utf32";
    function Utf32AutoCodec(options, iconv) {
      this.iconv = iconv;
    }
    Utf32AutoCodec.prototype.encoder = Utf32AutoEncoder;
    Utf32AutoCodec.prototype.decoder = Utf32AutoDecoder;
    function Utf32AutoEncoder(options, codec) {
      options = options || {};
      if (options.addBOM === void 0)
        options.addBOM = true;
      this.encoder = codec.iconv.getEncoder(options.defaultEncoding || "utf-32le", options);
    }
    Utf32AutoEncoder.prototype.write = function(str) {
      return this.encoder.write(str);
    };
    Utf32AutoEncoder.prototype.end = function() {
      return this.encoder.end();
    };
    function Utf32AutoDecoder(options, codec) {
      this.decoder = null;
      this.initialBufs = [];
      this.initialBufsLen = 0;
      this.options = options || {};
      this.iconv = codec.iconv;
    }
    Utf32AutoDecoder.prototype.write = function(buf) {
      if (!this.decoder) {
        this.initialBufs.push(buf);
        this.initialBufsLen += buf.length;
        if (this.initialBufsLen < 32)
          return "";
        var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
        this.decoder = this.iconv.getDecoder(encoding, this.options);
        var resStr = "";
        for (var i = 0; i < this.initialBufs.length; i++)
          resStr += this.decoder.write(this.initialBufs[i]);
        this.initialBufs.length = this.initialBufsLen = 0;
        return resStr;
      }
      return this.decoder.write(buf);
    };
    Utf32AutoDecoder.prototype.end = function() {
      if (!this.decoder) {
        var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
        this.decoder = this.iconv.getDecoder(encoding, this.options);
        var resStr = "";
        for (var i = 0; i < this.initialBufs.length; i++)
          resStr += this.decoder.write(this.initialBufs[i]);
        var trail = this.decoder.end();
        if (trail)
          resStr += trail;
        this.initialBufs.length = this.initialBufsLen = 0;
        return resStr;
      }
      return this.decoder.end();
    };
    function detectEncoding(bufs, defaultEncoding) {
      var b = [];
      var charsProcessed = 0;
      var invalidLE = 0, invalidBE = 0;
      var bmpCharsLE = 0, bmpCharsBE = 0;
      outer_loop:
        for (var i = 0; i < bufs.length; i++) {
          var buf = bufs[i];
          for (var j = 0; j < buf.length; j++) {
            b.push(buf[j]);
            if (b.length === 4) {
              if (charsProcessed === 0) {
                if (b[0] === 255 && b[1] === 254 && b[2] === 0 && b[3] === 0) {
                  return "utf-32le";
                }
                if (b[0] === 0 && b[1] === 0 && b[2] === 254 && b[3] === 255) {
                  return "utf-32be";
                }
              }
              if (b[0] !== 0 || b[1] > 16)
                invalidBE++;
              if (b[3] !== 0 || b[2] > 16)
                invalidLE++;
              if (b[0] === 0 && b[1] === 0 && (b[2] !== 0 || b[3] !== 0))
                bmpCharsBE++;
              if ((b[0] !== 0 || b[1] !== 0) && b[2] === 0 && b[3] === 0)
                bmpCharsLE++;
              b.length = 0;
              charsProcessed++;
              if (charsProcessed >= 100) {
                break outer_loop;
              }
            }
          }
        }
      if (bmpCharsBE - invalidBE > bmpCharsLE - invalidLE)
        return "utf-32be";
      if (bmpCharsBE - invalidBE < bmpCharsLE - invalidLE)
        return "utf-32le";
      return defaultEncoding || "utf-32le";
    }
  }
});

// ../../../node_modules/iconv-lite/encodings/utf16.js
var require_utf16 = __commonJS({
  "../../../node_modules/iconv-lite/encodings/utf16.js"(exports) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports.utf16be = Utf16BECodec;
    function Utf16BECodec() {
    }
    Utf16BECodec.prototype.encoder = Utf16BEEncoder;
    Utf16BECodec.prototype.decoder = Utf16BEDecoder;
    Utf16BECodec.prototype.bomAware = true;
    function Utf16BEEncoder() {
    }
    Utf16BEEncoder.prototype.write = function(str) {
      var buf = Buffer2.from(str, "ucs2");
      for (var i = 0; i < buf.length; i += 2) {
        var tmp = buf[i];
        buf[i] = buf[i + 1];
        buf[i + 1] = tmp;
      }
      return buf;
    };
    Utf16BEEncoder.prototype.end = function() {
    };
    function Utf16BEDecoder() {
      this.overflowByte = -1;
    }
    Utf16BEDecoder.prototype.write = function(buf) {
      if (buf.length == 0)
        return "";
      var buf2 = Buffer2.alloc(buf.length + 1), i = 0, j = 0;
      if (this.overflowByte !== -1) {
        buf2[0] = buf[0];
        buf2[1] = this.overflowByte;
        i = 1;
        j = 2;
      }
      for (; i < buf.length - 1; i += 2, j += 2) {
        buf2[j] = buf[i + 1];
        buf2[j + 1] = buf[i];
      }
      this.overflowByte = i == buf.length - 1 ? buf[buf.length - 1] : -1;
      return buf2.slice(0, j).toString("ucs2");
    };
    Utf16BEDecoder.prototype.end = function() {
      this.overflowByte = -1;
    };
    exports.utf16 = Utf16Codec;
    function Utf16Codec(codecOptions, iconv) {
      this.iconv = iconv;
    }
    Utf16Codec.prototype.encoder = Utf16Encoder;
    Utf16Codec.prototype.decoder = Utf16Decoder;
    function Utf16Encoder(options, codec) {
      options = options || {};
      if (options.addBOM === void 0)
        options.addBOM = true;
      this.encoder = codec.iconv.getEncoder("utf-16le", options);
    }
    Utf16Encoder.prototype.write = function(str) {
      return this.encoder.write(str);
    };
    Utf16Encoder.prototype.end = function() {
      return this.encoder.end();
    };
    function Utf16Decoder(options, codec) {
      this.decoder = null;
      this.initialBufs = [];
      this.initialBufsLen = 0;
      this.options = options || {};
      this.iconv = codec.iconv;
    }
    Utf16Decoder.prototype.write = function(buf) {
      if (!this.decoder) {
        this.initialBufs.push(buf);
        this.initialBufsLen += buf.length;
        if (this.initialBufsLen < 16)
          return "";
        var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
        this.decoder = this.iconv.getDecoder(encoding, this.options);
        var resStr = "";
        for (var i = 0; i < this.initialBufs.length; i++)
          resStr += this.decoder.write(this.initialBufs[i]);
        this.initialBufs.length = this.initialBufsLen = 0;
        return resStr;
      }
      return this.decoder.write(buf);
    };
    Utf16Decoder.prototype.end = function() {
      if (!this.decoder) {
        var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
        this.decoder = this.iconv.getDecoder(encoding, this.options);
        var resStr = "";
        for (var i = 0; i < this.initialBufs.length; i++)
          resStr += this.decoder.write(this.initialBufs[i]);
        var trail = this.decoder.end();
        if (trail)
          resStr += trail;
        this.initialBufs.length = this.initialBufsLen = 0;
        return resStr;
      }
      return this.decoder.end();
    };
    function detectEncoding(bufs, defaultEncoding) {
      var b = [];
      var charsProcessed = 0;
      var asciiCharsLE = 0, asciiCharsBE = 0;
      outer_loop:
        for (var i = 0; i < bufs.length; i++) {
          var buf = bufs[i];
          for (var j = 0; j < buf.length; j++) {
            b.push(buf[j]);
            if (b.length === 2) {
              if (charsProcessed === 0) {
                if (b[0] === 255 && b[1] === 254)
                  return "utf-16le";
                if (b[0] === 254 && b[1] === 255)
                  return "utf-16be";
              }
              if (b[0] === 0 && b[1] !== 0)
                asciiCharsBE++;
              if (b[0] !== 0 && b[1] === 0)
                asciiCharsLE++;
              b.length = 0;
              charsProcessed++;
              if (charsProcessed >= 100) {
                break outer_loop;
              }
            }
          }
        }
      if (asciiCharsBE > asciiCharsLE)
        return "utf-16be";
      if (asciiCharsBE < asciiCharsLE)
        return "utf-16le";
      return defaultEncoding || "utf-16le";
    }
  }
});

// ../../../node_modules/iconv-lite/encodings/utf7.js
var require_utf7 = __commonJS({
  "../../../node_modules/iconv-lite/encodings/utf7.js"(exports) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports.utf7 = Utf7Codec;
    exports.unicode11utf7 = "utf7";
    function Utf7Codec(codecOptions, iconv) {
      this.iconv = iconv;
    }
    Utf7Codec.prototype.encoder = Utf7Encoder;
    Utf7Codec.prototype.decoder = Utf7Decoder;
    Utf7Codec.prototype.bomAware = true;
    var nonDirectChars = /[^A-Za-z0-9'\(\),-\.\/:\? \n\r\t]+/g;
    function Utf7Encoder(options, codec) {
      this.iconv = codec.iconv;
    }
    Utf7Encoder.prototype.write = function(str) {
      return Buffer2.from(str.replace(nonDirectChars, function(chunk) {
        return "+" + (chunk === "+" ? "" : this.iconv.encode(chunk, "utf16-be").toString("base64").replace(/=+$/, "")) + "-";
      }.bind(this)));
    };
    Utf7Encoder.prototype.end = function() {
    };
    function Utf7Decoder(options, codec) {
      this.iconv = codec.iconv;
      this.inBase64 = false;
      this.base64Accum = "";
    }
    var base64Regex = /[A-Za-z0-9\/+]/;
    var base64Chars = [];
    for (i = 0; i < 256; i++)
      base64Chars[i] = base64Regex.test(String.fromCharCode(i));
    var i;
    var plusChar = "+".charCodeAt(0);
    var minusChar = "-".charCodeAt(0);
    var andChar = "&".charCodeAt(0);
    Utf7Decoder.prototype.write = function(buf) {
      var res = "", lastI = 0, inBase64 = this.inBase64, base64Accum = this.base64Accum;
      for (var i2 = 0; i2 < buf.length; i2++) {
        if (!inBase64) {
          if (buf[i2] == plusChar) {
            res += this.iconv.decode(buf.slice(lastI, i2), "ascii");
            lastI = i2 + 1;
            inBase64 = true;
          }
        } else {
          if (!base64Chars[buf[i2]]) {
            if (i2 == lastI && buf[i2] == minusChar) {
              res += "+";
            } else {
              var b64str = base64Accum + this.iconv.decode(buf.slice(lastI, i2), "ascii");
              res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
            }
            if (buf[i2] != minusChar)
              i2--;
            lastI = i2 + 1;
            inBase64 = false;
            base64Accum = "";
          }
        }
      }
      if (!inBase64) {
        res += this.iconv.decode(buf.slice(lastI), "ascii");
      } else {
        var b64str = base64Accum + this.iconv.decode(buf.slice(lastI), "ascii");
        var canBeDecoded = b64str.length - b64str.length % 8;
        base64Accum = b64str.slice(canBeDecoded);
        b64str = b64str.slice(0, canBeDecoded);
        res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
      }
      this.inBase64 = inBase64;
      this.base64Accum = base64Accum;
      return res;
    };
    Utf7Decoder.prototype.end = function() {
      var res = "";
      if (this.inBase64 && this.base64Accum.length > 0)
        res = this.iconv.decode(Buffer2.from(this.base64Accum, "base64"), "utf16-be");
      this.inBase64 = false;
      this.base64Accum = "";
      return res;
    };
    exports.utf7imap = Utf7IMAPCodec;
    function Utf7IMAPCodec(codecOptions, iconv) {
      this.iconv = iconv;
    }
    Utf7IMAPCodec.prototype.encoder = Utf7IMAPEncoder;
    Utf7IMAPCodec.prototype.decoder = Utf7IMAPDecoder;
    Utf7IMAPCodec.prototype.bomAware = true;
    function Utf7IMAPEncoder(options, codec) {
      this.iconv = codec.iconv;
      this.inBase64 = false;
      this.base64Accum = Buffer2.alloc(6);
      this.base64AccumIdx = 0;
    }
    Utf7IMAPEncoder.prototype.write = function(str) {
      var inBase64 = this.inBase64, base64Accum = this.base64Accum, base64AccumIdx = this.base64AccumIdx, buf = Buffer2.alloc(str.length * 5 + 10), bufIdx = 0;
      for (var i2 = 0; i2 < str.length; i2++) {
        var uChar = str.charCodeAt(i2);
        if (32 <= uChar && uChar <= 126) {
          if (inBase64) {
            if (base64AccumIdx > 0) {
              bufIdx += buf.write(base64Accum.slice(0, base64AccumIdx).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), bufIdx);
              base64AccumIdx = 0;
            }
            buf[bufIdx++] = minusChar;
            inBase64 = false;
          }
          if (!inBase64) {
            buf[bufIdx++] = uChar;
            if (uChar === andChar)
              buf[bufIdx++] = minusChar;
          }
        } else {
          if (!inBase64) {
            buf[bufIdx++] = andChar;
            inBase64 = true;
          }
          if (inBase64) {
            base64Accum[base64AccumIdx++] = uChar >> 8;
            base64Accum[base64AccumIdx++] = uChar & 255;
            if (base64AccumIdx == base64Accum.length) {
              bufIdx += buf.write(base64Accum.toString("base64").replace(/\//g, ","), bufIdx);
              base64AccumIdx = 0;
            }
          }
        }
      }
      this.inBase64 = inBase64;
      this.base64AccumIdx = base64AccumIdx;
      return buf.slice(0, bufIdx);
    };
    Utf7IMAPEncoder.prototype.end = function() {
      var buf = Buffer2.alloc(10), bufIdx = 0;
      if (this.inBase64) {
        if (this.base64AccumIdx > 0) {
          bufIdx += buf.write(this.base64Accum.slice(0, this.base64AccumIdx).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), bufIdx);
          this.base64AccumIdx = 0;
        }
        buf[bufIdx++] = minusChar;
        this.inBase64 = false;
      }
      return buf.slice(0, bufIdx);
    };
    function Utf7IMAPDecoder(options, codec) {
      this.iconv = codec.iconv;
      this.inBase64 = false;
      this.base64Accum = "";
    }
    var base64IMAPChars = base64Chars.slice();
    base64IMAPChars[",".charCodeAt(0)] = true;
    Utf7IMAPDecoder.prototype.write = function(buf) {
      var res = "", lastI = 0, inBase64 = this.inBase64, base64Accum = this.base64Accum;
      for (var i2 = 0; i2 < buf.length; i2++) {
        if (!inBase64) {
          if (buf[i2] == andChar) {
            res += this.iconv.decode(buf.slice(lastI, i2), "ascii");
            lastI = i2 + 1;
            inBase64 = true;
          }
        } else {
          if (!base64IMAPChars[buf[i2]]) {
            if (i2 == lastI && buf[i2] == minusChar) {
              res += "&";
            } else {
              var b64str = base64Accum + this.iconv.decode(buf.slice(lastI, i2), "ascii").replace(/,/g, "/");
              res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
            }
            if (buf[i2] != minusChar)
              i2--;
            lastI = i2 + 1;
            inBase64 = false;
            base64Accum = "";
          }
        }
      }
      if (!inBase64) {
        res += this.iconv.decode(buf.slice(lastI), "ascii");
      } else {
        var b64str = base64Accum + this.iconv.decode(buf.slice(lastI), "ascii").replace(/,/g, "/");
        var canBeDecoded = b64str.length - b64str.length % 8;
        base64Accum = b64str.slice(canBeDecoded);
        b64str = b64str.slice(0, canBeDecoded);
        res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
      }
      this.inBase64 = inBase64;
      this.base64Accum = base64Accum;
      return res;
    };
    Utf7IMAPDecoder.prototype.end = function() {
      var res = "";
      if (this.inBase64 && this.base64Accum.length > 0)
        res = this.iconv.decode(Buffer2.from(this.base64Accum, "base64"), "utf16-be");
      this.inBase64 = false;
      this.base64Accum = "";
      return res;
    };
  }
});

// ../../../node_modules/iconv-lite/encodings/sbcs-codec.js
var require_sbcs_codec = __commonJS({
  "../../../node_modules/iconv-lite/encodings/sbcs-codec.js"(exports) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports._sbcs = SBCSCodec;
    function SBCSCodec(codecOptions, iconv) {
      if (!codecOptions)
        throw new Error("SBCS codec is called without the data.");
      if (!codecOptions.chars || codecOptions.chars.length !== 128 && codecOptions.chars.length !== 256)
        throw new Error("Encoding '" + codecOptions.type + "' has incorrect 'chars' (must be of len 128 or 256)");
      if (codecOptions.chars.length === 128) {
        var asciiString = "";
        for (var i = 0; i < 128; i++)
          asciiString += String.fromCharCode(i);
        codecOptions.chars = asciiString + codecOptions.chars;
      }
      this.decodeBuf = Buffer2.from(codecOptions.chars, "ucs2");
      var encodeBuf = Buffer2.alloc(65536, iconv.defaultCharSingleByte.charCodeAt(0));
      for (var i = 0; i < codecOptions.chars.length; i++)
        encodeBuf[codecOptions.chars.charCodeAt(i)] = i;
      this.encodeBuf = encodeBuf;
    }
    SBCSCodec.prototype.encoder = SBCSEncoder;
    SBCSCodec.prototype.decoder = SBCSDecoder;
    function SBCSEncoder(options, codec) {
      this.encodeBuf = codec.encodeBuf;
    }
    SBCSEncoder.prototype.write = function(str) {
      var buf = Buffer2.alloc(str.length);
      for (var i = 0; i < str.length; i++)
        buf[i] = this.encodeBuf[str.charCodeAt(i)];
      return buf;
    };
    SBCSEncoder.prototype.end = function() {
    };
    function SBCSDecoder(options, codec) {
      this.decodeBuf = codec.decodeBuf;
    }
    SBCSDecoder.prototype.write = function(buf) {
      var decodeBuf = this.decodeBuf;
      var newBuf = Buffer2.alloc(buf.length * 2);
      var idx1 = 0, idx2 = 0;
      for (var i = 0; i < buf.length; i++) {
        idx1 = buf[i] * 2;
        idx2 = i * 2;
        newBuf[idx2] = decodeBuf[idx1];
        newBuf[idx2 + 1] = decodeBuf[idx1 + 1];
      }
      return newBuf.toString("ucs2");
    };
    SBCSDecoder.prototype.end = function() {
    };
  }
});

// ../../../node_modules/iconv-lite/encodings/sbcs-data.js
var require_sbcs_data = __commonJS({
  "../../../node_modules/iconv-lite/encodings/sbcs-data.js"(exports, module2) {
    "use strict";
    module2.exports = {
      // Not supported by iconv, not sure why.
      "10029": "maccenteuro",
      "maccenteuro": {
        "type": "_sbcs",
        "chars": "\xC4\u0100\u0101\xC9\u0104\xD6\xDC\xE1\u0105\u010C\xE4\u010D\u0106\u0107\xE9\u0179\u017A\u010E\xED\u010F\u0112\u0113\u0116\xF3\u0117\xF4\xF6\xF5\xFA\u011A\u011B\xFC\u2020\xB0\u0118\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\u0119\xA8\u2260\u0123\u012E\u012F\u012A\u2264\u2265\u012B\u0136\u2202\u2211\u0142\u013B\u013C\u013D\u013E\u0139\u013A\u0145\u0146\u0143\xAC\u221A\u0144\u0147\u2206\xAB\xBB\u2026\xA0\u0148\u0150\xD5\u0151\u014C\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\u014D\u0154\u0155\u0158\u2039\u203A\u0159\u0156\u0157\u0160\u201A\u201E\u0161\u015A\u015B\xC1\u0164\u0165\xCD\u017D\u017E\u016A\xD3\xD4\u016B\u016E\xDA\u016F\u0170\u0171\u0172\u0173\xDD\xFD\u0137\u017B\u0141\u017C\u0122\u02C7"
      },
      "808": "cp808",
      "ibm808": "cp808",
      "cp808": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0404\u0454\u0407\u0457\u040E\u045E\xB0\u2219\xB7\u221A\u2116\u20AC\u25A0\xA0"
      },
      "mik": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2514\u2534\u252C\u251C\u2500\u253C\u2563\u2551\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2510\u2591\u2592\u2593\u2502\u2524\u2116\xA7\u2557\u255D\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "cp720": {
        "type": "_sbcs",
        "chars": "\x80\x81\xE9\xE2\x84\xE0\x86\xE7\xEA\xEB\xE8\xEF\xEE\x8D\x8E\x8F\x90\u0651\u0652\xF4\xA4\u0640\xFB\xF9\u0621\u0622\u0623\u0624\xA3\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0636\u0637\u0638\u0639\u063A\u0641\xB5\u0642\u0643\u0644\u0645\u0646\u0647\u0648\u0649\u064A\u2261\u064B\u064C\u064D\u064E\u064F\u0650\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      // Aliases of generated encodings.
      "ascii8bit": "ascii",
      "usascii": "ascii",
      "ansix34": "ascii",
      "ansix341968": "ascii",
      "ansix341986": "ascii",
      "csascii": "ascii",
      "cp367": "ascii",
      "ibm367": "ascii",
      "isoir6": "ascii",
      "iso646us": "ascii",
      "iso646irv": "ascii",
      "us": "ascii",
      "latin1": "iso88591",
      "latin2": "iso88592",
      "latin3": "iso88593",
      "latin4": "iso88594",
      "latin5": "iso88599",
      "latin6": "iso885910",
      "latin7": "iso885913",
      "latin8": "iso885914",
      "latin9": "iso885915",
      "latin10": "iso885916",
      "csisolatin1": "iso88591",
      "csisolatin2": "iso88592",
      "csisolatin3": "iso88593",
      "csisolatin4": "iso88594",
      "csisolatincyrillic": "iso88595",
      "csisolatinarabic": "iso88596",
      "csisolatingreek": "iso88597",
      "csisolatinhebrew": "iso88598",
      "csisolatin5": "iso88599",
      "csisolatin6": "iso885910",
      "l1": "iso88591",
      "l2": "iso88592",
      "l3": "iso88593",
      "l4": "iso88594",
      "l5": "iso88599",
      "l6": "iso885910",
      "l7": "iso885913",
      "l8": "iso885914",
      "l9": "iso885915",
      "l10": "iso885916",
      "isoir14": "iso646jp",
      "isoir57": "iso646cn",
      "isoir100": "iso88591",
      "isoir101": "iso88592",
      "isoir109": "iso88593",
      "isoir110": "iso88594",
      "isoir144": "iso88595",
      "isoir127": "iso88596",
      "isoir126": "iso88597",
      "isoir138": "iso88598",
      "isoir148": "iso88599",
      "isoir157": "iso885910",
      "isoir166": "tis620",
      "isoir179": "iso885913",
      "isoir199": "iso885914",
      "isoir203": "iso885915",
      "isoir226": "iso885916",
      "cp819": "iso88591",
      "ibm819": "iso88591",
      "cyrillic": "iso88595",
      "arabic": "iso88596",
      "arabic8": "iso88596",
      "ecma114": "iso88596",
      "asmo708": "iso88596",
      "greek": "iso88597",
      "greek8": "iso88597",
      "ecma118": "iso88597",
      "elot928": "iso88597",
      "hebrew": "iso88598",
      "hebrew8": "iso88598",
      "turkish": "iso88599",
      "turkish8": "iso88599",
      "thai": "iso885911",
      "thai8": "iso885911",
      "celtic": "iso885914",
      "celtic8": "iso885914",
      "isoceltic": "iso885914",
      "tis6200": "tis620",
      "tis62025291": "tis620",
      "tis62025330": "tis620",
      "10000": "macroman",
      "10006": "macgreek",
      "10007": "maccyrillic",
      "10079": "maciceland",
      "10081": "macturkish",
      "cspc8codepage437": "cp437",
      "cspc775baltic": "cp775",
      "cspc850multilingual": "cp850",
      "cspcp852": "cp852",
      "cspc862latinhebrew": "cp862",
      "cpgr": "cp869",
      "msee": "cp1250",
      "mscyrl": "cp1251",
      "msansi": "cp1252",
      "msgreek": "cp1253",
      "msturk": "cp1254",
      "mshebr": "cp1255",
      "msarab": "cp1256",
      "winbaltrim": "cp1257",
      "cp20866": "koi8r",
      "20866": "koi8r",
      "ibm878": "koi8r",
      "cskoi8r": "koi8r",
      "cp21866": "koi8u",
      "21866": "koi8u",
      "ibm1168": "koi8u",
      "strk10482002": "rk1048",
      "tcvn5712": "tcvn",
      "tcvn57121": "tcvn",
      "gb198880": "iso646cn",
      "cn": "iso646cn",
      "csiso14jisc6220ro": "iso646jp",
      "jisc62201969ro": "iso646jp",
      "jp": "iso646jp",
      "cshproman8": "hproman8",
      "r8": "hproman8",
      "roman8": "hproman8",
      "xroman8": "hproman8",
      "ibm1051": "hproman8",
      "mac": "macintosh",
      "csmacintosh": "macintosh"
    };
  }
});

// ../../../node_modules/iconv-lite/encodings/sbcs-data-generated.js
var require_sbcs_data_generated = __commonJS({
  "../../../node_modules/iconv-lite/encodings/sbcs-data-generated.js"(exports, module2) {
    "use strict";
    module2.exports = {
      "437": "cp437",
      "737": "cp737",
      "775": "cp775",
      "850": "cp850",
      "852": "cp852",
      "855": "cp855",
      "856": "cp856",
      "857": "cp857",
      "858": "cp858",
      "860": "cp860",
      "861": "cp861",
      "862": "cp862",
      "863": "cp863",
      "864": "cp864",
      "865": "cp865",
      "866": "cp866",
      "869": "cp869",
      "874": "windows874",
      "922": "cp922",
      "1046": "cp1046",
      "1124": "cp1124",
      "1125": "cp1125",
      "1129": "cp1129",
      "1133": "cp1133",
      "1161": "cp1161",
      "1162": "cp1162",
      "1163": "cp1163",
      "1250": "windows1250",
      "1251": "windows1251",
      "1252": "windows1252",
      "1253": "windows1253",
      "1254": "windows1254",
      "1255": "windows1255",
      "1256": "windows1256",
      "1257": "windows1257",
      "1258": "windows1258",
      "28591": "iso88591",
      "28592": "iso88592",
      "28593": "iso88593",
      "28594": "iso88594",
      "28595": "iso88595",
      "28596": "iso88596",
      "28597": "iso88597",
      "28598": "iso88598",
      "28599": "iso88599",
      "28600": "iso885910",
      "28601": "iso885911",
      "28603": "iso885913",
      "28604": "iso885914",
      "28605": "iso885915",
      "28606": "iso885916",
      "windows874": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\uFFFD\uFFFD\uFFFD\u2026\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "win874": "windows874",
      "cp874": "windows874",
      "windows1250": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\uFFFD\u201E\u2026\u2020\u2021\uFFFD\u2030\u0160\u2039\u015A\u0164\u017D\u0179\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0161\u203A\u015B\u0165\u017E\u017A\xA0\u02C7\u02D8\u0141\xA4\u0104\xA6\xA7\xA8\xA9\u015E\xAB\xAC\xAD\xAE\u017B\xB0\xB1\u02DB\u0142\xB4\xB5\xB6\xB7\xB8\u0105\u015F\xBB\u013D\u02DD\u013E\u017C\u0154\xC1\xC2\u0102\xC4\u0139\u0106\xC7\u010C\xC9\u0118\xCB\u011A\xCD\xCE\u010E\u0110\u0143\u0147\xD3\xD4\u0150\xD6\xD7\u0158\u016E\xDA\u0170\xDC\xDD\u0162\xDF\u0155\xE1\xE2\u0103\xE4\u013A\u0107\xE7\u010D\xE9\u0119\xEB\u011B\xED\xEE\u010F\u0111\u0144\u0148\xF3\xF4\u0151\xF6\xF7\u0159\u016F\xFA\u0171\xFC\xFD\u0163\u02D9"
      },
      "win1250": "windows1250",
      "cp1250": "windows1250",
      "windows1251": {
        "type": "_sbcs",
        "chars": "\u0402\u0403\u201A\u0453\u201E\u2026\u2020\u2021\u20AC\u2030\u0409\u2039\u040A\u040C\u040B\u040F\u0452\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0459\u203A\u045A\u045C\u045B\u045F\xA0\u040E\u045E\u0408\xA4\u0490\xA6\xA7\u0401\xA9\u0404\xAB\xAC\xAD\xAE\u0407\xB0\xB1\u0406\u0456\u0491\xB5\xB6\xB7\u0451\u2116\u0454\xBB\u0458\u0405\u0455\u0457\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F"
      },
      "win1251": "windows1251",
      "cp1251": "windows1251",
      "windows1252": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\uFFFD\u017D\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\uFFFD\u017E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "win1252": "windows1252",
      "cp1252": "windows1252",
      "windows1253": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\uFFFD\u2030\uFFFD\u2039\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\xA0\u0385\u0386\xA3\xA4\xA5\xA6\xA7\xA8\xA9\uFFFD\xAB\xAC\xAD\xAE\u2015\xB0\xB1\xB2\xB3\u0384\xB5\xB6\xB7\u0388\u0389\u038A\xBB\u038C\xBD\u038E\u038F\u0390\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\uFFFD\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03AA\u03AB\u03AC\u03AD\u03AE\u03AF\u03B0\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C2\u03C3\u03C4\u03C5\u03C6\u03C7\u03C8\u03C9\u03CA\u03CB\u03CC\u03CD\u03CE\uFFFD"
      },
      "win1253": "windows1253",
      "cp1253": "windows1253",
      "windows1254": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\uFFFD\uFFFD\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u011E\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u0130\u015E\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u011F\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u0131\u015F\xFF"
      },
      "win1254": "windows1254",
      "cp1254": "windows1254",
      "windows1255": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\uFFFD\u2039\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\xA0\xA1\xA2\xA3\u20AA\xA5\xA6\xA7\xA8\xA9\xD7\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xF7\xBB\xBC\xBD\xBE\xBF\u05B0\u05B1\u05B2\u05B3\u05B4\u05B5\u05B6\u05B7\u05B8\u05B9\u05BA\u05BB\u05BC\u05BD\u05BE\u05BF\u05C0\u05C1\u05C2\u05C3\u05F0\u05F1\u05F2\u05F3\u05F4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\uFFFD\u200E\u200F\uFFFD"
      },
      "win1255": "windows1255",
      "cp1255": "windows1255",
      "windows1256": {
        "type": "_sbcs",
        "chars": "\u20AC\u067E\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0679\u2039\u0152\u0686\u0698\u0688\u06AF\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u06A9\u2122\u0691\u203A\u0153\u200C\u200D\u06BA\xA0\u060C\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\u06BE\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\u061B\xBB\xBC\xBD\xBE\u061F\u06C1\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\xD7\u0637\u0638\u0639\u063A\u0640\u0641\u0642\u0643\xE0\u0644\xE2\u0645\u0646\u0647\u0648\xE7\xE8\xE9\xEA\xEB\u0649\u064A\xEE\xEF\u064B\u064C\u064D\u064E\xF4\u064F\u0650\xF7\u0651\xF9\u0652\xFB\xFC\u200E\u200F\u06D2"
      },
      "win1256": "windows1256",
      "cp1256": "windows1256",
      "windows1257": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\uFFFD\u201E\u2026\u2020\u2021\uFFFD\u2030\uFFFD\u2039\uFFFD\xA8\u02C7\xB8\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\xAF\u02DB\uFFFD\xA0\uFFFD\xA2\xA3\xA4\uFFFD\xA6\xA7\xD8\xA9\u0156\xAB\xAC\xAD\xAE\xC6\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xF8\xB9\u0157\xBB\xBC\xBD\xBE\xE6\u0104\u012E\u0100\u0106\xC4\xC5\u0118\u0112\u010C\xC9\u0179\u0116\u0122\u0136\u012A\u013B\u0160\u0143\u0145\xD3\u014C\xD5\xD6\xD7\u0172\u0141\u015A\u016A\xDC\u017B\u017D\xDF\u0105\u012F\u0101\u0107\xE4\xE5\u0119\u0113\u010D\xE9\u017A\u0117\u0123\u0137\u012B\u013C\u0161\u0144\u0146\xF3\u014D\xF5\xF6\xF7\u0173\u0142\u015B\u016B\xFC\u017C\u017E\u02D9"
      },
      "win1257": "windows1257",
      "cp1257": "windows1257",
      "windows1258": {
        "type": "_sbcs",
        "chars": "\u20AC\uFFFD\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\uFFFD\u2039\u0152\uFFFD\uFFFD\uFFFD\uFFFD\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\uFFFD\u203A\u0153\uFFFD\uFFFD\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF"
      },
      "win1258": "windows1258",
      "cp1258": "windows1258",
      "iso88591": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "cp28591": "iso88591",
      "iso88592": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u02D8\u0141\xA4\u013D\u015A\xA7\xA8\u0160\u015E\u0164\u0179\xAD\u017D\u017B\xB0\u0105\u02DB\u0142\xB4\u013E\u015B\u02C7\xB8\u0161\u015F\u0165\u017A\u02DD\u017E\u017C\u0154\xC1\xC2\u0102\xC4\u0139\u0106\xC7\u010C\xC9\u0118\xCB\u011A\xCD\xCE\u010E\u0110\u0143\u0147\xD3\xD4\u0150\xD6\xD7\u0158\u016E\xDA\u0170\xDC\xDD\u0162\xDF\u0155\xE1\xE2\u0103\xE4\u013A\u0107\xE7\u010D\xE9\u0119\xEB\u011B\xED\xEE\u010F\u0111\u0144\u0148\xF3\xF4\u0151\xF6\xF7\u0159\u016F\xFA\u0171\xFC\xFD\u0163\u02D9"
      },
      "cp28592": "iso88592",
      "iso88593": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0126\u02D8\xA3\xA4\uFFFD\u0124\xA7\xA8\u0130\u015E\u011E\u0134\xAD\uFFFD\u017B\xB0\u0127\xB2\xB3\xB4\xB5\u0125\xB7\xB8\u0131\u015F\u011F\u0135\xBD\uFFFD\u017C\xC0\xC1\xC2\uFFFD\xC4\u010A\u0108\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\uFFFD\xD1\xD2\xD3\xD4\u0120\xD6\xD7\u011C\xD9\xDA\xDB\xDC\u016C\u015C\xDF\xE0\xE1\xE2\uFFFD\xE4\u010B\u0109\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\uFFFD\xF1\xF2\xF3\xF4\u0121\xF6\xF7\u011D\xF9\xFA\xFB\xFC\u016D\u015D\u02D9"
      },
      "cp28593": "iso88593",
      "iso88594": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0138\u0156\xA4\u0128\u013B\xA7\xA8\u0160\u0112\u0122\u0166\xAD\u017D\xAF\xB0\u0105\u02DB\u0157\xB4\u0129\u013C\u02C7\xB8\u0161\u0113\u0123\u0167\u014A\u017E\u014B\u0100\xC1\xC2\xC3\xC4\xC5\xC6\u012E\u010C\xC9\u0118\xCB\u0116\xCD\xCE\u012A\u0110\u0145\u014C\u0136\xD4\xD5\xD6\xD7\xD8\u0172\xDA\xDB\xDC\u0168\u016A\xDF\u0101\xE1\xE2\xE3\xE4\xE5\xE6\u012F\u010D\xE9\u0119\xEB\u0117\xED\xEE\u012B\u0111\u0146\u014D\u0137\xF4\xF5\xF6\xF7\xF8\u0173\xFA\xFB\xFC\u0169\u016B\u02D9"
      },
      "cp28594": "iso88594",
      "iso88595": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0401\u0402\u0403\u0404\u0405\u0406\u0407\u0408\u0409\u040A\u040B\u040C\xAD\u040E\u040F\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2116\u0451\u0452\u0453\u0454\u0455\u0456\u0457\u0458\u0459\u045A\u045B\u045C\xA7\u045E\u045F"
      },
      "cp28595": "iso88595",
      "iso88596": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\uFFFD\uFFFD\xA4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u060C\xAD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u061B\uFFFD\uFFFD\uFFFD\u061F\uFFFD\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\u0637\u0638\u0639\u063A\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0640\u0641\u0642\u0643\u0644\u0645\u0646\u0647\u0648\u0649\u064A\u064B\u064C\u064D\u064E\u064F\u0650\u0651\u0652\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "cp28596": "iso88596",
      "iso88597": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u2018\u2019\xA3\u20AC\u20AF\xA6\xA7\xA8\xA9\u037A\xAB\xAC\xAD\uFFFD\u2015\xB0\xB1\xB2\xB3\u0384\u0385\u0386\xB7\u0388\u0389\u038A\xBB\u038C\xBD\u038E\u038F\u0390\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\uFFFD\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03AA\u03AB\u03AC\u03AD\u03AE\u03AF\u03B0\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C2\u03C3\u03C4\u03C5\u03C6\u03C7\u03C8\u03C9\u03CA\u03CB\u03CC\u03CD\u03CE\uFFFD"
      },
      "cp28597": "iso88597",
      "iso88598": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xD7\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xF7\xBB\xBC\xBD\xBE\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2017\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\uFFFD\u200E\u200F\uFFFD"
      },
      "cp28598": "iso88598",
      "iso88599": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u011E\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u0130\u015E\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u011F\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u0131\u015F\xFF"
      },
      "cp28599": "iso88599",
      "iso885910": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0112\u0122\u012A\u0128\u0136\xA7\u013B\u0110\u0160\u0166\u017D\xAD\u016A\u014A\xB0\u0105\u0113\u0123\u012B\u0129\u0137\xB7\u013C\u0111\u0161\u0167\u017E\u2015\u016B\u014B\u0100\xC1\xC2\xC3\xC4\xC5\xC6\u012E\u010C\xC9\u0118\xCB\u0116\xCD\xCE\xCF\xD0\u0145\u014C\xD3\xD4\xD5\xD6\u0168\xD8\u0172\xDA\xDB\xDC\xDD\xDE\xDF\u0101\xE1\xE2\xE3\xE4\xE5\xE6\u012F\u010D\xE9\u0119\xEB\u0117\xED\xEE\xEF\xF0\u0146\u014D\xF3\xF4\xF5\xF6\u0169\xF8\u0173\xFA\xFB\xFC\xFD\xFE\u0138"
      },
      "cp28600": "iso885910",
      "iso885911": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "cp28601": "iso885911",
      "iso885913": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u201D\xA2\xA3\xA4\u201E\xA6\xA7\xD8\xA9\u0156\xAB\xAC\xAD\xAE\xC6\xB0\xB1\xB2\xB3\u201C\xB5\xB6\xB7\xF8\xB9\u0157\xBB\xBC\xBD\xBE\xE6\u0104\u012E\u0100\u0106\xC4\xC5\u0118\u0112\u010C\xC9\u0179\u0116\u0122\u0136\u012A\u013B\u0160\u0143\u0145\xD3\u014C\xD5\xD6\xD7\u0172\u0141\u015A\u016A\xDC\u017B\u017D\xDF\u0105\u012F\u0101\u0107\xE4\xE5\u0119\u0113\u010D\xE9\u017A\u0117\u0123\u0137\u012B\u013C\u0161\u0144\u0146\xF3\u014D\xF5\xF6\xF7\u0173\u0142\u015B\u016B\xFC\u017C\u017E\u2019"
      },
      "cp28603": "iso885913",
      "iso885914": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u1E02\u1E03\xA3\u010A\u010B\u1E0A\xA7\u1E80\xA9\u1E82\u1E0B\u1EF2\xAD\xAE\u0178\u1E1E\u1E1F\u0120\u0121\u1E40\u1E41\xB6\u1E56\u1E81\u1E57\u1E83\u1E60\u1EF3\u1E84\u1E85\u1E61\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0174\xD1\xD2\xD3\xD4\xD5\xD6\u1E6A\xD8\xD9\xDA\xDB\xDC\xDD\u0176\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0175\xF1\xF2\xF3\xF4\xF5\xF6\u1E6B\xF8\xF9\xFA\xFB\xFC\xFD\u0177\xFF"
      },
      "cp28604": "iso885914",
      "iso885915": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\u20AC\xA5\u0160\xA7\u0161\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u017D\xB5\xB6\xB7\u017E\xB9\xBA\xBB\u0152\u0153\u0178\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\xDE\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "cp28605": "iso885915",
      "iso885916": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0104\u0105\u0141\u20AC\u201E\u0160\xA7\u0161\xA9\u0218\xAB\u0179\xAD\u017A\u017B\xB0\xB1\u010C\u0142\u017D\u201D\xB6\xB7\u017E\u010D\u0219\xBB\u0152\u0153\u0178\u017C\xC0\xC1\xC2\u0102\xC4\u0106\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0110\u0143\xD2\xD3\xD4\u0150\xD6\u015A\u0170\xD9\xDA\xDB\xDC\u0118\u021A\xDF\xE0\xE1\xE2\u0103\xE4\u0107\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0111\u0144\xF2\xF3\xF4\u0151\xF6\u015B\u0171\xF9\xFA\xFB\xFC\u0119\u021B\xFF"
      },
      "cp28606": "iso885916",
      "cp437": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xA2\xA3\xA5\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm437": "cp437",
      "csibm437": "cp437",
      "cp737": {
        "type": "_sbcs",
        "chars": "\u0391\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399\u039A\u039B\u039C\u039D\u039E\u039F\u03A0\u03A1\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03B1\u03B2\u03B3\u03B4\u03B5\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C3\u03C2\u03C4\u03C5\u03C6\u03C7\u03C8\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03C9\u03AC\u03AD\u03AE\u03CA\u03AF\u03CC\u03CD\u03CB\u03CE\u0386\u0388\u0389\u038A\u038C\u038E\u038F\xB1\u2265\u2264\u03AA\u03AB\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm737": "cp737",
      "csibm737": "cp737",
      "cp775": {
        "type": "_sbcs",
        "chars": "\u0106\xFC\xE9\u0101\xE4\u0123\xE5\u0107\u0142\u0113\u0156\u0157\u012B\u0179\xC4\xC5\xC9\xE6\xC6\u014D\xF6\u0122\xA2\u015A\u015B\xD6\xDC\xF8\xA3\xD8\xD7\xA4\u0100\u012A\xF3\u017B\u017C\u017A\u201D\xA6\xA9\xAE\xAC\xBD\xBC\u0141\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u0104\u010C\u0118\u0116\u2563\u2551\u2557\u255D\u012E\u0160\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u0172\u016A\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u017D\u0105\u010D\u0119\u0117\u012F\u0161\u0173\u016B\u017E\u2518\u250C\u2588\u2584\u258C\u2590\u2580\xD3\xDF\u014C\u0143\xF5\xD5\xB5\u0144\u0136\u0137\u013B\u013C\u0146\u0112\u0145\u2019\xAD\xB1\u201C\xBE\xB6\xA7\xF7\u201E\xB0\u2219\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm775": "cp775",
      "csibm775": "cp775",
      "cp850": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\xD7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xF0\xD0\xCA\xCB\xC8\u0131\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\xFE\xDE\xDA\xDB\xD9\xFD\xDD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm850": "cp850",
      "csibm850": "cp850",
      "cp852": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\u016F\u0107\xE7\u0142\xEB\u0150\u0151\xEE\u0179\xC4\u0106\xC9\u0139\u013A\xF4\xF6\u013D\u013E\u015A\u015B\xD6\xDC\u0164\u0165\u0141\xD7\u010D\xE1\xED\xF3\xFA\u0104\u0105\u017D\u017E\u0118\u0119\xAC\u017A\u010C\u015F\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\u011A\u015E\u2563\u2551\u2557\u255D\u017B\u017C\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u0102\u0103\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\u0111\u0110\u010E\xCB\u010F\u0147\xCD\xCE\u011B\u2518\u250C\u2588\u2584\u0162\u016E\u2580\xD3\xDF\xD4\u0143\u0144\u0148\u0160\u0161\u0154\xDA\u0155\u0170\xFD\xDD\u0163\xB4\xAD\u02DD\u02DB\u02C7\u02D8\xA7\xF7\xB8\xB0\xA8\u02D9\u0171\u0158\u0159\u25A0\xA0"
      },
      "ibm852": "cp852",
      "csibm852": "cp852",
      "cp855": {
        "type": "_sbcs",
        "chars": "\u0452\u0402\u0453\u0403\u0451\u0401\u0454\u0404\u0455\u0405\u0456\u0406\u0457\u0407\u0458\u0408\u0459\u0409\u045A\u040A\u045B\u040B\u045C\u040C\u045E\u040E\u045F\u040F\u044E\u042E\u044A\u042A\u0430\u0410\u0431\u0411\u0446\u0426\u0434\u0414\u0435\u0415\u0444\u0424\u0433\u0413\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u0445\u0425\u0438\u0418\u2563\u2551\u2557\u255D\u0439\u0419\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u043A\u041A\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\u043B\u041B\u043C\u041C\u043D\u041D\u043E\u041E\u043F\u2518\u250C\u2588\u2584\u041F\u044F\u2580\u042F\u0440\u0420\u0441\u0421\u0442\u0422\u0443\u0423\u0436\u0416\u0432\u0412\u044C\u042C\u2116\xAD\u044B\u042B\u0437\u0417\u0448\u0428\u044D\u042D\u0449\u0429\u0447\u0427\xA7\u25A0\xA0"
      },
      "ibm855": "cp855",
      "csibm855": "cp855",
      "cp856": {
        "type": "_sbcs",
        "chars": "\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\uFFFD\xA3\uFFFD\xD7\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xAE\xAC\xBD\xBC\uFFFD\xAB\xBB\u2591\u2592\u2593\u2502\u2524\uFFFD\uFFFD\uFFFD\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\uFFFD\uFFFD\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u2518\u250C\u2588\u2584\xA6\uFFFD\u2580\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xB5\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm856": "cp856",
      "csibm856": "cp856",
      "cp857": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\u0131\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\u0130\xD6\xDC\xF8\xA3\xD8\u015E\u015F\xE1\xED\xF3\xFA\xF1\xD1\u011E\u011F\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xBA\xAA\xCA\xCB\xC8\uFFFD\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\uFFFD\xD7\xDA\xDB\xD9\xEC\xFF\xAF\xB4\xAD\xB1\uFFFD\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm857": "cp857",
      "csibm857": "cp857",
      "cp858": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\xD7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xAE\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\xC1\xC2\xC0\xA9\u2563\u2551\u2557\u255D\xA2\xA5\u2510\u2514\u2534\u252C\u251C\u2500\u253C\xE3\xC3\u255A\u2554\u2569\u2566\u2560\u2550\u256C\xA4\xF0\xD0\xCA\xCB\xC8\u20AC\xCD\xCE\xCF\u2518\u250C\u2588\u2584\xA6\xCC\u2580\xD3\xDF\xD4\xD2\xF5\xD5\xB5\xFE\xDE\xDA\xDB\xD9\xFD\xDD\xAF\xB4\xAD\xB1\u2017\xBE\xB6\xA7\xF7\xB8\xB0\xA8\xB7\xB9\xB3\xB2\u25A0\xA0"
      },
      "ibm858": "cp858",
      "csibm858": "cp858",
      "cp860": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE3\xE0\xC1\xE7\xEA\xCA\xE8\xCD\xD4\xEC\xC3\xC2\xC9\xC0\xC8\xF4\xF5\xF2\xDA\xF9\xCC\xD5\xDC\xA2\xA3\xD9\u20A7\xD3\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\xD2\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm860": "cp860",
      "csibm860": "cp860",
      "cp861": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xD0\xF0\xDE\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xFE\xFB\xDD\xFD\xD6\xDC\xF8\xA3\xD8\u20A7\u0192\xE1\xED\xF3\xFA\xC1\xCD\xD3\xDA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm861": "cp861",
      "csibm861": "cp861",
      "cp862": {
        "type": "_sbcs",
        "chars": "\u05D0\u05D1\u05D2\u05D3\u05D4\u05D5\u05D6\u05D7\u05D8\u05D9\u05DA\u05DB\u05DC\u05DD\u05DE\u05DF\u05E0\u05E1\u05E2\u05E3\u05E4\u05E5\u05E6\u05E7\u05E8\u05E9\u05EA\xA2\xA3\xA5\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm862": "cp862",
      "csibm862": "cp862",
      "cp863": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xC2\xE0\xB6\xE7\xEA\xEB\xE8\xEF\xEE\u2017\xC0\xA7\xC9\xC8\xCA\xF4\xCB\xCF\xFB\xF9\xA4\xD4\xDC\xA2\xA3\xD9\xDB\u0192\xA6\xB4\xF3\xFA\xA8\xB8\xB3\xAF\xCE\u2310\xAC\xBD\xBC\xBE\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm863": "cp863",
      "csibm863": "cp863",
      "cp864": {
        "type": "_sbcs",
        "chars": "\0\x07\b	\n\v\f\r\x1B !\"#$\u066A&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7F\xB0\xB7\u2219\u221A\u2592\u2500\u2502\u253C\u2524\u252C\u251C\u2534\u2510\u250C\u2514\u2518\u03B2\u221E\u03C6\xB1\xBD\xBC\u2248\xAB\xBB\uFEF7\uFEF8\uFFFD\uFFFD\uFEFB\uFEFC\uFFFD\xA0\xAD\uFE82\xA3\xA4\uFE84\uFFFD\uFFFD\uFE8E\uFE8F\uFE95\uFE99\u060C\uFE9D\uFEA1\uFEA5\u0660\u0661\u0662\u0663\u0664\u0665\u0666\u0667\u0668\u0669\uFED1\u061B\uFEB1\uFEB5\uFEB9\u061F\xA2\uFE80\uFE81\uFE83\uFE85\uFECA\uFE8B\uFE8D\uFE91\uFE93\uFE97\uFE9B\uFE9F\uFEA3\uFEA7\uFEA9\uFEAB\uFEAD\uFEAF\uFEB3\uFEB7\uFEBB\uFEBF\uFEC1\uFEC5\uFECB\uFECF\xA6\xAC\xF7\xD7\uFEC9\u0640\uFED3\uFED7\uFEDB\uFEDF\uFEE3\uFEE7\uFEEB\uFEED\uFEEF\uFEF3\uFEBD\uFECC\uFECE\uFECD\uFEE1\uFE7D\u0651\uFEE5\uFEE9\uFEEC\uFEF0\uFEF2\uFED0\uFED5\uFEF5\uFEF6\uFEDD\uFED9\uFEF1\u25A0\uFFFD"
      },
      "ibm864": "cp864",
      "csibm864": "cp864",
      "cp865": {
        "type": "_sbcs",
        "chars": "\xC7\xFC\xE9\xE2\xE4\xE0\xE5\xE7\xEA\xEB\xE8\xEF\xEE\xEC\xC4\xC5\xC9\xE6\xC6\xF4\xF6\xF2\xFB\xF9\xFF\xD6\xDC\xF8\xA3\xD8\u20A7\u0192\xE1\xED\xF3\xFA\xF1\xD1\xAA\xBA\xBF\u2310\xAC\xBD\xBC\xA1\xAB\xA4\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u03B1\xDF\u0393\u03C0\u03A3\u03C3\xB5\u03C4\u03A6\u0398\u03A9\u03B4\u221E\u03C6\u03B5\u2229\u2261\xB1\u2265\u2264\u2320\u2321\xF7\u2248\xB0\u2219\xB7\u221A\u207F\xB2\u25A0\xA0"
      },
      "ibm865": "cp865",
      "csibm865": "cp865",
      "cp866": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0404\u0454\u0407\u0457\u040E\u045E\xB0\u2219\xB7\u221A\u2116\xA4\u25A0\xA0"
      },
      "ibm866": "cp866",
      "csibm866": "cp866",
      "cp869": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0386\uFFFD\xB7\xAC\xA6\u2018\u2019\u0388\u2015\u0389\u038A\u03AA\u038C\uFFFD\uFFFD\u038E\u03AB\xA9\u038F\xB2\xB3\u03AC\xA3\u03AD\u03AE\u03AF\u03CA\u0390\u03CC\u03CD\u0391\u0392\u0393\u0394\u0395\u0396\u0397\xBD\u0398\u0399\xAB\xBB\u2591\u2592\u2593\u2502\u2524\u039A\u039B\u039C\u039D\u2563\u2551\u2557\u255D\u039E\u039F\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u03A0\u03A1\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u03A3\u03A4\u03A5\u03A6\u03A7\u03A8\u03A9\u03B1\u03B2\u03B3\u2518\u250C\u2588\u2584\u03B4\u03B5\u2580\u03B6\u03B7\u03B8\u03B9\u03BA\u03BB\u03BC\u03BD\u03BE\u03BF\u03C0\u03C1\u03C3\u03C2\u03C4\u0384\xAD\xB1\u03C5\u03C6\u03C7\xA7\u03C8\u0385\xB0\xA8\u03C9\u03CB\u03B0\u03CE\u25A0\xA0"
      },
      "ibm869": "cp869",
      "csibm869": "cp869",
      "cp922": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\u203E\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\xC3\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\u0160\xD1\xD2\xD3\xD4\xD5\xD6\xD7\xD8\xD9\xDA\xDB\xDC\xDD\u017D\xDF\xE0\xE1\xE2\xE3\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\u0161\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\u017E\xFF"
      },
      "ibm922": "cp922",
      "csibm922": "cp922",
      "cp1046": {
        "type": "_sbcs",
        "chars": "\uFE88\xD7\xF7\uF8F6\uF8F5\uF8F4\uF8F7\uFE71\x88\u25A0\u2502\u2500\u2510\u250C\u2514\u2518\uFE79\uFE7B\uFE7D\uFE7F\uFE77\uFE8A\uFEF0\uFEF3\uFEF2\uFECE\uFECF\uFED0\uFEF6\uFEF8\uFEFA\uFEFC\xA0\uF8FA\uF8F9\uF8F8\xA4\uF8FB\uFE8B\uFE91\uFE97\uFE9B\uFE9F\uFEA3\u060C\xAD\uFEA7\uFEB3\u0660\u0661\u0662\u0663\u0664\u0665\u0666\u0667\u0668\u0669\uFEB7\u061B\uFEBB\uFEBF\uFECA\u061F\uFECB\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\u0637\uFEC7\u0639\u063A\uFECC\uFE82\uFE84\uFE8E\uFED3\u0640\u0641\u0642\u0643\u0644\u0645\u0646\u0647\u0648\u0649\u064A\u064B\u064C\u064D\u064E\u064F\u0650\u0651\u0652\uFED7\uFEDB\uFEDF\uF8FC\uFEF5\uFEF7\uFEF9\uFEFB\uFEE3\uFEE7\uFEEC\uFEE9\uFFFD"
      },
      "ibm1046": "cp1046",
      "csibm1046": "cp1046",
      "cp1124": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0401\u0402\u0490\u0404\u0405\u0406\u0407\u0408\u0409\u040A\u040B\u040C\xAD\u040E\u040F\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u2116\u0451\u0452\u0491\u0454\u0455\u0456\u0457\u0458\u0459\u045A\u045B\u045C\xA7\u045E\u045F"
      },
      "ibm1124": "cp1124",
      "csibm1124": "cp1124",
      "cp1125": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u2591\u2592\u2593\u2502\u2524\u2561\u2562\u2556\u2555\u2563\u2551\u2557\u255D\u255C\u255B\u2510\u2514\u2534\u252C\u251C\u2500\u253C\u255E\u255F\u255A\u2554\u2569\u2566\u2560\u2550\u256C\u2567\u2568\u2564\u2565\u2559\u2558\u2552\u2553\u256B\u256A\u2518\u250C\u2588\u2584\u258C\u2590\u2580\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F\u0401\u0451\u0490\u0491\u0404\u0454\u0406\u0456\u0407\u0457\xB7\u221A\u2116\xA4\u25A0\xA0"
      },
      "ibm1125": "cp1125",
      "csibm1125": "cp1125",
      "cp1129": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\u0153\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u0178\xB5\xB6\xB7\u0152\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF"
      },
      "ibm1129": "cp1129",
      "csibm1129": "cp1129",
      "cp1133": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E81\u0E82\u0E84\u0E87\u0E88\u0EAA\u0E8A\u0E8D\u0E94\u0E95\u0E96\u0E97\u0E99\u0E9A\u0E9B\u0E9C\u0E9D\u0E9E\u0E9F\u0EA1\u0EA2\u0EA3\u0EA5\u0EA7\u0EAB\u0EAD\u0EAE\uFFFD\uFFFD\uFFFD\u0EAF\u0EB0\u0EB2\u0EB3\u0EB4\u0EB5\u0EB6\u0EB7\u0EB8\u0EB9\u0EBC\u0EB1\u0EBB\u0EBD\uFFFD\uFFFD\uFFFD\u0EC0\u0EC1\u0EC2\u0EC3\u0EC4\u0EC8\u0EC9\u0ECA\u0ECB\u0ECC\u0ECD\u0EC6\uFFFD\u0EDC\u0EDD\u20AD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0ED0\u0ED1\u0ED2\u0ED3\u0ED4\u0ED5\u0ED6\u0ED7\u0ED8\u0ED9\uFFFD\uFFFD\xA2\xAC\xA6\uFFFD"
      },
      "ibm1133": "cp1133",
      "csibm1133": "cp1133",
      "cp1161": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0E48\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\u0E49\u0E4A\u0E4B\u20AC\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\xA2\xAC\xA6\xA0"
      },
      "ibm1161": "cp1161",
      "csibm1161": "cp1161",
      "cp1162": {
        "type": "_sbcs",
        "chars": "\u20AC\x81\x82\x83\x84\u2026\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "ibm1162": "cp1162",
      "csibm1162": "cp1162",
      "cp1163": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xA1\xA2\xA3\u20AC\xA5\xA6\xA7\u0153\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\u0178\xB5\xB6\xB7\u0152\xB9\xBA\xBB\xBC\xBD\xBE\xBF\xC0\xC1\xC2\u0102\xC4\xC5\xC6\xC7\xC8\xC9\xCA\xCB\u0300\xCD\xCE\xCF\u0110\xD1\u0309\xD3\xD4\u01A0\xD6\xD7\xD8\xD9\xDA\xDB\xDC\u01AF\u0303\xDF\xE0\xE1\xE2\u0103\xE4\xE5\xE6\xE7\xE8\xE9\xEA\xEB\u0301\xED\xEE\xEF\u0111\xF1\u0323\xF3\xF4\u01A1\xF6\xF7\xF8\xF9\xFA\xFB\xFC\u01B0\u20AB\xFF"
      },
      "ibm1163": "cp1163",
      "csibm1163": "cp1163",
      "maccroatian": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\u0160\u2122\xB4\xA8\u2260\u017D\xD8\u221E\xB1\u2264\u2265\u2206\xB5\u2202\u2211\u220F\u0161\u222B\xAA\xBA\u2126\u017E\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u0106\xAB\u010C\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u0110\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\uFFFD\xA9\u2044\xA4\u2039\u203A\xC6\xBB\u2013\xB7\u201A\u201E\u2030\xC2\u0107\xC1\u010D\xC8\xCD\xCE\xCF\xCC\xD3\xD4\u0111\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u03C0\xCB\u02DA\xB8\xCA\xE6\u02C7"
      },
      "maccyrillic": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u2020\xB0\xA2\xA3\xA7\u2022\xB6\u0406\xAE\xA9\u2122\u0402\u0452\u2260\u0403\u0453\u221E\xB1\u2264\u2265\u0456\xB5\u2202\u0408\u0404\u0454\u0407\u0457\u0409\u0459\u040A\u045A\u0458\u0405\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\u040B\u045B\u040C\u045C\u0455\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u201E\u040E\u045E\u040F\u045F\u2116\u0401\u0451\u044F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\xA4"
      },
      "macgreek": {
        "type": "_sbcs",
        "chars": "\xC4\xB9\xB2\xC9\xB3\xD6\xDC\u0385\xE0\xE2\xE4\u0384\xA8\xE7\xE9\xE8\xEA\xEB\xA3\u2122\xEE\xEF\u2022\xBD\u2030\xF4\xF6\xA6\xAD\xF9\xFB\xFC\u2020\u0393\u0394\u0398\u039B\u039E\u03A0\xDF\xAE\xA9\u03A3\u03AA\xA7\u2260\xB0\u0387\u0391\xB1\u2264\u2265\xA5\u0392\u0395\u0396\u0397\u0399\u039A\u039C\u03A6\u03AB\u03A8\u03A9\u03AC\u039D\xAC\u039F\u03A1\u2248\u03A4\xAB\xBB\u2026\xA0\u03A5\u03A7\u0386\u0388\u0153\u2013\u2015\u201C\u201D\u2018\u2019\xF7\u0389\u038A\u038C\u038E\u03AD\u03AE\u03AF\u03CC\u038F\u03CD\u03B1\u03B2\u03C8\u03B4\u03B5\u03C6\u03B3\u03B7\u03B9\u03BE\u03BA\u03BB\u03BC\u03BD\u03BF\u03C0\u03CE\u03C1\u03C3\u03C4\u03B8\u03C9\u03C2\u03C7\u03C5\u03B6\u03CA\u03CB\u0390\u03B0\uFFFD"
      },
      "maciceland": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\xDD\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\xD0\xF0\xDE\xFE\xFD\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macroman": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\uFB01\uFB02\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macromania": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\u0102\u015E\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\u0103\u015F\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\u0162\u0163\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macthai": {
        "type": "_sbcs",
        "chars": "\xAB\xBB\u2026\uF88C\uF88F\uF892\uF895\uF898\uF88B\uF88E\uF891\uF894\uF897\u201C\u201D\uF899\uFFFD\u2022\uF884\uF889\uF885\uF886\uF887\uF888\uF88A\uF88D\uF890\uF893\uF896\u2018\u2019\uFFFD\xA0\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFEFF\u200B\u2013\u2014\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u2122\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\xAE\xA9\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "macturkish": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u011E\u011F\u0130\u0131\u015E\u015F\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\uFFFD\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "macukraine": {
        "type": "_sbcs",
        "chars": "\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u2020\xB0\u0490\xA3\xA7\u2022\xB6\u0406\xAE\xA9\u2122\u0402\u0452\u2260\u0403\u0453\u221E\xB1\u2264\u2265\u0456\xB5\u0491\u0408\u0404\u0454\u0407\u0457\u0409\u0459\u040A\u045A\u0458\u0405\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\u040B\u045B\u040C\u045C\u0455\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u201E\u040E\u045E\u040F\u045F\u2116\u0401\u0451\u044F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\xA4"
      },
      "koi8r": {
        "type": "_sbcs",
        "chars": "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u2553\u2554\u2555\u2556\u2557\u2558\u2559\u255A\u255B\u255C\u255D\u255E\u255F\u2560\u2561\u0401\u2562\u2563\u2564\u2565\u2566\u2567\u2568\u2569\u256A\u256B\u256C\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "koi8u": {
        "type": "_sbcs",
        "chars": "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u0454\u2554\u0456\u0457\u2557\u2558\u2559\u255A\u255B\u0491\u255D\u255E\u255F\u2560\u2561\u0401\u0404\u2563\u0406\u0407\u2566\u2567\u2568\u2569\u256A\u0490\u256C\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "koi8ru": {
        "type": "_sbcs",
        "chars": "\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2580\u2584\u2588\u258C\u2590\u2591\u2592\u2593\u2320\u25A0\u2219\u221A\u2248\u2264\u2265\xA0\u2321\xB0\xB2\xB7\xF7\u2550\u2551\u2552\u0451\u0454\u2554\u0456\u0457\u2557\u2558\u2559\u255A\u255B\u0491\u045E\u255E\u255F\u2560\u2561\u0401\u0404\u2563\u0406\u0407\u2566\u2567\u2568\u2569\u256A\u0490\u040E\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "koi8t": {
        "type": "_sbcs",
        "chars": "\u049B\u0493\u201A\u0492\u201E\u2026\u2020\u2021\uFFFD\u2030\u04B3\u2039\u04B2\u04B7\u04B6\uFFFD\u049A\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\uFFFD\u203A\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u04EF\u04EE\u0451\xA4\u04E3\xA6\xA7\uFFFD\uFFFD\uFFFD\xAB\xAC\xAD\xAE\uFFFD\xB0\xB1\xB2\u0401\uFFFD\u04E2\xB6\xB7\uFFFD\u2116\uFFFD\xBB\uFFFD\uFFFD\uFFFD\xA9\u044E\u0430\u0431\u0446\u0434\u0435\u0444\u0433\u0445\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u044F\u0440\u0441\u0442\u0443\u0436\u0432\u044C\u044B\u0437\u0448\u044D\u0449\u0447\u044A\u042E\u0410\u0411\u0426\u0414\u0415\u0424\u0413\u0425\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u042F\u0420\u0421\u0422\u0423\u0416\u0412\u042C\u042B\u0417\u0428\u042D\u0429\u0427\u042A"
      },
      "armscii8": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\uFFFD\u0587\u0589)(\xBB\xAB\u2014.\u055D,-\u058A\u2026\u055C\u055B\u055E\u0531\u0561\u0532\u0562\u0533\u0563\u0534\u0564\u0535\u0565\u0536\u0566\u0537\u0567\u0538\u0568\u0539\u0569\u053A\u056A\u053B\u056B\u053C\u056C\u053D\u056D\u053E\u056E\u053F\u056F\u0540\u0570\u0541\u0571\u0542\u0572\u0543\u0573\u0544\u0574\u0545\u0575\u0546\u0576\u0547\u0577\u0548\u0578\u0549\u0579\u054A\u057A\u054B\u057B\u054C\u057C\u054D\u057D\u054E\u057E\u054F\u057F\u0550\u0580\u0551\u0581\u0552\u0582\u0553\u0583\u0554\u0584\u0555\u0585\u0556\u0586\u055A\uFFFD"
      },
      "rk1048": {
        "type": "_sbcs",
        "chars": "\u0402\u0403\u201A\u0453\u201E\u2026\u2020\u2021\u20AC\u2030\u0409\u2039\u040A\u049A\u04BA\u040F\u0452\u2018\u2019\u201C\u201D\u2022\u2013\u2014\uFFFD\u2122\u0459\u203A\u045A\u049B\u04BB\u045F\xA0\u04B0\u04B1\u04D8\xA4\u04E8\xA6\xA7\u0401\xA9\u0492\xAB\xAC\xAD\xAE\u04AE\xB0\xB1\u0406\u0456\u04E9\xB5\xB6\xB7\u0451\u2116\u0493\xBB\u04D9\u04A2\u04A3\u04AF\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F"
      },
      "tcvn": {
        "type": "_sbcs",
        "chars": "\0\xDA\u1EE4\u1EEA\u1EEC\u1EEE\x07\b	\n\v\f\r\u1EE8\u1EF0\u1EF2\u1EF6\u1EF8\xDD\u1EF4\x1B !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7F\xC0\u1EA2\xC3\xC1\u1EA0\u1EB6\u1EAC\xC8\u1EBA\u1EBC\xC9\u1EB8\u1EC6\xCC\u1EC8\u0128\xCD\u1ECA\xD2\u1ECE\xD5\xD3\u1ECC\u1ED8\u1EDC\u1EDE\u1EE0\u1EDA\u1EE2\xD9\u1EE6\u0168\xA0\u0102\xC2\xCA\xD4\u01A0\u01AF\u0110\u0103\xE2\xEA\xF4\u01A1\u01B0\u0111\u1EB0\u0300\u0309\u0303\u0301\u0323\xE0\u1EA3\xE3\xE1\u1EA1\u1EB2\u1EB1\u1EB3\u1EB5\u1EAF\u1EB4\u1EAE\u1EA6\u1EA8\u1EAA\u1EA4\u1EC0\u1EB7\u1EA7\u1EA9\u1EAB\u1EA5\u1EAD\xE8\u1EC2\u1EBB\u1EBD\xE9\u1EB9\u1EC1\u1EC3\u1EC5\u1EBF\u1EC7\xEC\u1EC9\u1EC4\u1EBE\u1ED2\u0129\xED\u1ECB\xF2\u1ED4\u1ECF\xF5\xF3\u1ECD\u1ED3\u1ED5\u1ED7\u1ED1\u1ED9\u1EDD\u1EDF\u1EE1\u1EDB\u1EE3\xF9\u1ED6\u1EE7\u0169\xFA\u1EE5\u1EEB\u1EED\u1EEF\u1EE9\u1EF1\u1EF3\u1EF7\u1EF9\xFD\u1EF5\u1ED0"
      },
      "georgianacademy": {
        "type": "_sbcs",
        "chars": "\x80\x81\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\x9D\x9E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\u10D0\u10D1\u10D2\u10D3\u10D4\u10D5\u10D6\u10D7\u10D8\u10D9\u10DA\u10DB\u10DC\u10DD\u10DE\u10DF\u10E0\u10E1\u10E2\u10E3\u10E4\u10E5\u10E6\u10E7\u10E8\u10E9\u10EA\u10EB\u10EC\u10ED\u10EE\u10EF\u10F0\u10F1\u10F2\u10F3\u10F4\u10F5\u10F6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "georgianps": {
        "type": "_sbcs",
        "chars": "\x80\x81\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0160\u2039\u0152\x8D\x8E\x8F\x90\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u02DC\u2122\u0161\u203A\u0153\x9D\x9E\u0178\xA0\xA1\xA2\xA3\xA4\xA5\xA6\xA7\xA8\xA9\xAA\xAB\xAC\xAD\xAE\xAF\xB0\xB1\xB2\xB3\xB4\xB5\xB6\xB7\xB8\xB9\xBA\xBB\xBC\xBD\xBE\xBF\u10D0\u10D1\u10D2\u10D3\u10D4\u10D5\u10D6\u10F1\u10D7\u10D8\u10D9\u10DA\u10DB\u10DC\u10F2\u10DD\u10DE\u10DF\u10E0\u10E1\u10E2\u10F3\u10E3\u10E4\u10E5\u10E6\u10E7\u10E8\u10E9\u10EA\u10EB\u10EC\u10ED\u10EE\u10F4\u10EF\u10F0\u10F5\xE6\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF"
      },
      "pt154": {
        "type": "_sbcs",
        "chars": "\u0496\u0492\u04EE\u0493\u201E\u2026\u04B6\u04AE\u04B2\u04AF\u04A0\u04E2\u04A2\u049A\u04BA\u04B8\u0497\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u04B3\u04B7\u04A1\u04E3\u04A3\u049B\u04BB\u04B9\xA0\u040E\u045E\u0408\u04E8\u0498\u04B0\xA7\u0401\xA9\u04D8\xAB\xAC\u04EF\xAE\u049C\xB0\u04B1\u0406\u0456\u0499\u04E9\xB6\xB7\u0451\u2116\u04D9\xBB\u0458\u04AA\u04AB\u049D\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041A\u041B\u041C\u041D\u041E\u041F\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429\u042A\u042B\u042C\u042D\u042E\u042F\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438\u0439\u043A\u043B\u043C\u043D\u043E\u043F\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447\u0448\u0449\u044A\u044B\u044C\u044D\u044E\u044F"
      },
      "viscii": {
        "type": "_sbcs",
        "chars": "\0\u1EB2\u1EB4\u1EAA\x07\b	\n\v\f\r\u1EF6\u1EF8\x1B\u1EF4 !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7F\u1EA0\u1EAE\u1EB0\u1EB6\u1EA4\u1EA6\u1EA8\u1EAC\u1EBC\u1EB8\u1EBE\u1EC0\u1EC2\u1EC4\u1EC6\u1ED0\u1ED2\u1ED4\u1ED6\u1ED8\u1EE2\u1EDA\u1EDC\u1EDE\u1ECA\u1ECE\u1ECC\u1EC8\u1EE6\u0168\u1EE4\u1EF2\xD5\u1EAF\u1EB1\u1EB7\u1EA5\u1EA7\u1EA9\u1EAD\u1EBD\u1EB9\u1EBF\u1EC1\u1EC3\u1EC5\u1EC7\u1ED1\u1ED3\u1ED5\u1ED7\u1EE0\u01A0\u1ED9\u1EDD\u1EDF\u1ECB\u1EF0\u1EE8\u1EEA\u1EEC\u01A1\u1EDB\u01AF\xC0\xC1\xC2\xC3\u1EA2\u0102\u1EB3\u1EB5\xC8\xC9\xCA\u1EBA\xCC\xCD\u0128\u1EF3\u0110\u1EE9\xD2\xD3\xD4\u1EA1\u1EF7\u1EEB\u1EED\xD9\xDA\u1EF9\u1EF5\xDD\u1EE1\u01B0\xE0\xE1\xE2\xE3\u1EA3\u0103\u1EEF\u1EAB\xE8\xE9\xEA\u1EBB\xEC\xED\u0129\u1EC9\u0111\u1EF1\xF2\xF3\xF4\xF5\u1ECF\u1ECD\u1EE5\xF9\xFA\u0169\u1EE7\xFD\u1EE3\u1EEE"
      },
      "iso646cn": {
        "type": "_sbcs",
        "chars": "\0\x07\b	\n\v\f\r\x1B !\"#\xA5%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}\u203E\x7F\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "iso646jp": {
        "type": "_sbcs",
        "chars": "\0\x07\b	\n\v\f\r\x1B !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\xA5]^_`abcdefghijklmnopqrstuvwxyz{|}\u203E\x7F\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "hproman8": {
        "type": "_sbcs",
        "chars": "\x80\x81\x82\x83\x84\x85\x86\x87\x88\x89\x8A\x8B\x8C\x8D\x8E\x8F\x90\x91\x92\x93\x94\x95\x96\x97\x98\x99\x9A\x9B\x9C\x9D\x9E\x9F\xA0\xC0\xC2\xC8\xCA\xCB\xCE\xCF\xB4\u02CB\u02C6\xA8\u02DC\xD9\xDB\u20A4\xAF\xDD\xFD\xB0\xC7\xE7\xD1\xF1\xA1\xBF\xA4\xA3\xA5\xA7\u0192\xA2\xE2\xEA\xF4\xFB\xE1\xE9\xF3\xFA\xE0\xE8\xF2\xF9\xE4\xEB\xF6\xFC\xC5\xEE\xD8\xC6\xE5\xED\xF8\xE6\xC4\xEC\xD6\xDC\xC9\xEF\xDF\xD4\xC1\xC3\xE3\xD0\xF0\xCD\xCC\xD3\xD2\xD5\xF5\u0160\u0161\xDA\u0178\xFF\xDE\xFE\xB7\xB5\xB6\xBE\u2014\xBC\xBD\xAA\xBA\xAB\u25A0\xBB\xB1\uFFFD"
      },
      "macintosh": {
        "type": "_sbcs",
        "chars": "\xC4\xC5\xC7\xC9\xD1\xD6\xDC\xE1\xE0\xE2\xE4\xE3\xE5\xE7\xE9\xE8\xEA\xEB\xED\xEC\xEE\xEF\xF1\xF3\xF2\xF4\xF6\xF5\xFA\xF9\xFB\xFC\u2020\xB0\xA2\xA3\xA7\u2022\xB6\xDF\xAE\xA9\u2122\xB4\xA8\u2260\xC6\xD8\u221E\xB1\u2264\u2265\xA5\xB5\u2202\u2211\u220F\u03C0\u222B\xAA\xBA\u2126\xE6\xF8\xBF\xA1\xAC\u221A\u0192\u2248\u2206\xAB\xBB\u2026\xA0\xC0\xC3\xD5\u0152\u0153\u2013\u2014\u201C\u201D\u2018\u2019\xF7\u25CA\xFF\u0178\u2044\xA4\u2039\u203A\uFB01\uFB02\u2021\xB7\u201A\u201E\u2030\xC2\xCA\xC1\xCB\xC8\xCD\xCE\xCF\xCC\xD3\xD4\uFFFD\xD2\xDA\xDB\xD9\u0131\u02C6\u02DC\xAF\u02D8\u02D9\u02DA\xB8\u02DD\u02DB\u02C7"
      },
      "ascii": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD"
      },
      "tis620": {
        "type": "_sbcs",
        "chars": "\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0E01\u0E02\u0E03\u0E04\u0E05\u0E06\u0E07\u0E08\u0E09\u0E0A\u0E0B\u0E0C\u0E0D\u0E0E\u0E0F\u0E10\u0E11\u0E12\u0E13\u0E14\u0E15\u0E16\u0E17\u0E18\u0E19\u0E1A\u0E1B\u0E1C\u0E1D\u0E1E\u0E1F\u0E20\u0E21\u0E22\u0E23\u0E24\u0E25\u0E26\u0E27\u0E28\u0E29\u0E2A\u0E2B\u0E2C\u0E2D\u0E2E\u0E2F\u0E30\u0E31\u0E32\u0E33\u0E34\u0E35\u0E36\u0E37\u0E38\u0E39\u0E3A\uFFFD\uFFFD\uFFFD\uFFFD\u0E3F\u0E40\u0E41\u0E42\u0E43\u0E44\u0E45\u0E46\u0E47\u0E48\u0E49\u0E4A\u0E4B\u0E4C\u0E4D\u0E4E\u0E4F\u0E50\u0E51\u0E52\u0E53\u0E54\u0E55\u0E56\u0E57\u0E58\u0E59\u0E5A\u0E5B\uFFFD\uFFFD\uFFFD\uFFFD"
      }
    };
  }
});

// ../../../node_modules/iconv-lite/encodings/dbcs-codec.js
var require_dbcs_codec = __commonJS({
  "../../../node_modules/iconv-lite/encodings/dbcs-codec.js"(exports) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    exports._dbcs = DBCSCodec;
    var UNASSIGNED = -1;
    var GB18030_CODE = -2;
    var SEQ_START = -10;
    var NODE_START = -1e3;
    var UNASSIGNED_NODE = new Array(256);
    var DEF_CHAR = -1;
    for (i = 0; i < 256; i++)
      UNASSIGNED_NODE[i] = UNASSIGNED;
    var i;
    function DBCSCodec(codecOptions, iconv) {
      this.encodingName = codecOptions.encodingName;
      if (!codecOptions)
        throw new Error("DBCS codec is called without the data.");
      if (!codecOptions.table)
        throw new Error("Encoding '" + this.encodingName + "' has no data.");
      var mappingTable = codecOptions.table();
      this.decodeTables = [];
      this.decodeTables[0] = UNASSIGNED_NODE.slice(0);
      this.decodeTableSeq = [];
      for (var i2 = 0; i2 < mappingTable.length; i2++)
        this._addDecodeChunk(mappingTable[i2]);
      if (typeof codecOptions.gb18030 === "function") {
        this.gb18030 = codecOptions.gb18030();
        var commonThirdByteNodeIdx = this.decodeTables.length;
        this.decodeTables.push(UNASSIGNED_NODE.slice(0));
        var commonFourthByteNodeIdx = this.decodeTables.length;
        this.decodeTables.push(UNASSIGNED_NODE.slice(0));
        var firstByteNode = this.decodeTables[0];
        for (var i2 = 129; i2 <= 254; i2++) {
          var secondByteNode = this.decodeTables[NODE_START - firstByteNode[i2]];
          for (var j = 48; j <= 57; j++) {
            if (secondByteNode[j] === UNASSIGNED) {
              secondByteNode[j] = NODE_START - commonThirdByteNodeIdx;
            } else if (secondByteNode[j] > NODE_START) {
              throw new Error("gb18030 decode tables conflict at byte 2");
            }
            var thirdByteNode = this.decodeTables[NODE_START - secondByteNode[j]];
            for (var k = 129; k <= 254; k++) {
              if (thirdByteNode[k] === UNASSIGNED) {
                thirdByteNode[k] = NODE_START - commonFourthByteNodeIdx;
              } else if (thirdByteNode[k] === NODE_START - commonFourthByteNodeIdx) {
                continue;
              } else if (thirdByteNode[k] > NODE_START) {
                throw new Error("gb18030 decode tables conflict at byte 3");
              }
              var fourthByteNode = this.decodeTables[NODE_START - thirdByteNode[k]];
              for (var l = 48; l <= 57; l++) {
                if (fourthByteNode[l] === UNASSIGNED)
                  fourthByteNode[l] = GB18030_CODE;
              }
            }
          }
        }
      }
      this.defaultCharUnicode = iconv.defaultCharUnicode;
      this.encodeTable = [];
      this.encodeTableSeq = [];
      var skipEncodeChars = {};
      if (codecOptions.encodeSkipVals)
        for (var i2 = 0; i2 < codecOptions.encodeSkipVals.length; i2++) {
          var val = codecOptions.encodeSkipVals[i2];
          if (typeof val === "number")
            skipEncodeChars[val] = true;
          else
            for (var j = val.from; j <= val.to; j++)
              skipEncodeChars[j] = true;
        }
      this._fillEncodeTable(0, 0, skipEncodeChars);
      if (codecOptions.encodeAdd) {
        for (var uChar in codecOptions.encodeAdd)
          if (Object.prototype.hasOwnProperty.call(codecOptions.encodeAdd, uChar))
            this._setEncodeChar(uChar.charCodeAt(0), codecOptions.encodeAdd[uChar]);
      }
      this.defCharSB = this.encodeTable[0][iconv.defaultCharSingleByte.charCodeAt(0)];
      if (this.defCharSB === UNASSIGNED)
        this.defCharSB = this.encodeTable[0]["?"];
      if (this.defCharSB === UNASSIGNED)
        this.defCharSB = "?".charCodeAt(0);
    }
    DBCSCodec.prototype.encoder = DBCSEncoder;
    DBCSCodec.prototype.decoder = DBCSDecoder;
    DBCSCodec.prototype._getDecodeTrieNode = function(addr) {
      var bytes = [];
      for (; addr > 0; addr >>>= 8)
        bytes.push(addr & 255);
      if (bytes.length == 0)
        bytes.push(0);
      var node = this.decodeTables[0];
      for (var i2 = bytes.length - 1; i2 > 0; i2--) {
        var val = node[bytes[i2]];
        if (val == UNASSIGNED) {
          node[bytes[i2]] = NODE_START - this.decodeTables.length;
          this.decodeTables.push(node = UNASSIGNED_NODE.slice(0));
        } else if (val <= NODE_START) {
          node = this.decodeTables[NODE_START - val];
        } else
          throw new Error("Overwrite byte in " + this.encodingName + ", addr: " + addr.toString(16));
      }
      return node;
    };
    DBCSCodec.prototype._addDecodeChunk = function(chunk) {
      var curAddr = parseInt(chunk[0], 16);
      var writeTable = this._getDecodeTrieNode(curAddr);
      curAddr = curAddr & 255;
      for (var k = 1; k < chunk.length; k++) {
        var part = chunk[k];
        if (typeof part === "string") {
          for (var l = 0; l < part.length; ) {
            var code = part.charCodeAt(l++);
            if (55296 <= code && code < 56320) {
              var codeTrail = part.charCodeAt(l++);
              if (56320 <= codeTrail && codeTrail < 57344)
                writeTable[curAddr++] = 65536 + (code - 55296) * 1024 + (codeTrail - 56320);
              else
                throw new Error("Incorrect surrogate pair in " + this.encodingName + " at chunk " + chunk[0]);
            } else if (4080 < code && code <= 4095) {
              var len = 4095 - code + 2;
              var seq = [];
              for (var m = 0; m < len; m++)
                seq.push(part.charCodeAt(l++));
              writeTable[curAddr++] = SEQ_START - this.decodeTableSeq.length;
              this.decodeTableSeq.push(seq);
            } else
              writeTable[curAddr++] = code;
          }
        } else if (typeof part === "number") {
          var charCode = writeTable[curAddr - 1] + 1;
          for (var l = 0; l < part; l++)
            writeTable[curAddr++] = charCode++;
        } else
          throw new Error("Incorrect type '" + typeof part + "' given in " + this.encodingName + " at chunk " + chunk[0]);
      }
      if (curAddr > 255)
        throw new Error("Incorrect chunk in " + this.encodingName + " at addr " + chunk[0] + ": too long" + curAddr);
    };
    DBCSCodec.prototype._getEncodeBucket = function(uCode) {
      var high = uCode >> 8;
      if (this.encodeTable[high] === void 0)
        this.encodeTable[high] = UNASSIGNED_NODE.slice(0);
      return this.encodeTable[high];
    };
    DBCSCodec.prototype._setEncodeChar = function(uCode, dbcsCode) {
      var bucket = this._getEncodeBucket(uCode);
      var low = uCode & 255;
      if (bucket[low] <= SEQ_START)
        this.encodeTableSeq[SEQ_START - bucket[low]][DEF_CHAR] = dbcsCode;
      else if (bucket[low] == UNASSIGNED)
        bucket[low] = dbcsCode;
    };
    DBCSCodec.prototype._setEncodeSequence = function(seq, dbcsCode) {
      var uCode = seq[0];
      var bucket = this._getEncodeBucket(uCode);
      var low = uCode & 255;
      var node;
      if (bucket[low] <= SEQ_START) {
        node = this.encodeTableSeq[SEQ_START - bucket[low]];
      } else {
        node = {};
        if (bucket[low] !== UNASSIGNED)
          node[DEF_CHAR] = bucket[low];
        bucket[low] = SEQ_START - this.encodeTableSeq.length;
        this.encodeTableSeq.push(node);
      }
      for (var j = 1; j < seq.length - 1; j++) {
        var oldVal = node[uCode];
        if (typeof oldVal === "object")
          node = oldVal;
        else {
          node = node[uCode] = {};
          if (oldVal !== void 0)
            node[DEF_CHAR] = oldVal;
        }
      }
      uCode = seq[seq.length - 1];
      node[uCode] = dbcsCode;
    };
    DBCSCodec.prototype._fillEncodeTable = function(nodeIdx, prefix, skipEncodeChars) {
      var node = this.decodeTables[nodeIdx];
      var hasValues = false;
      var subNodeEmpty = {};
      for (var i2 = 0; i2 < 256; i2++) {
        var uCode = node[i2];
        var mbCode = prefix + i2;
        if (skipEncodeChars[mbCode])
          continue;
        if (uCode >= 0) {
          this._setEncodeChar(uCode, mbCode);
          hasValues = true;
        } else if (uCode <= NODE_START) {
          var subNodeIdx = NODE_START - uCode;
          if (!subNodeEmpty[subNodeIdx]) {
            var newPrefix = mbCode << 8 >>> 0;
            if (this._fillEncodeTable(subNodeIdx, newPrefix, skipEncodeChars))
              hasValues = true;
            else
              subNodeEmpty[subNodeIdx] = true;
          }
        } else if (uCode <= SEQ_START) {
          this._setEncodeSequence(this.decodeTableSeq[SEQ_START - uCode], mbCode);
          hasValues = true;
        }
      }
      return hasValues;
    };
    function DBCSEncoder(options, codec) {
      this.leadSurrogate = -1;
      this.seqObj = void 0;
      this.encodeTable = codec.encodeTable;
      this.encodeTableSeq = codec.encodeTableSeq;
      this.defaultCharSingleByte = codec.defCharSB;
      this.gb18030 = codec.gb18030;
    }
    DBCSEncoder.prototype.write = function(str) {
      var newBuf = Buffer2.alloc(str.length * (this.gb18030 ? 4 : 3)), leadSurrogate = this.leadSurrogate, seqObj = this.seqObj, nextChar = -1, i2 = 0, j = 0;
      while (true) {
        if (nextChar === -1) {
          if (i2 == str.length)
            break;
          var uCode = str.charCodeAt(i2++);
        } else {
          var uCode = nextChar;
          nextChar = -1;
        }
        if (55296 <= uCode && uCode < 57344) {
          if (uCode < 56320) {
            if (leadSurrogate === -1) {
              leadSurrogate = uCode;
              continue;
            } else {
              leadSurrogate = uCode;
              uCode = UNASSIGNED;
            }
          } else {
            if (leadSurrogate !== -1) {
              uCode = 65536 + (leadSurrogate - 55296) * 1024 + (uCode - 56320);
              leadSurrogate = -1;
            } else {
              uCode = UNASSIGNED;
            }
          }
        } else if (leadSurrogate !== -1) {
          nextChar = uCode;
          uCode = UNASSIGNED;
          leadSurrogate = -1;
        }
        var dbcsCode = UNASSIGNED;
        if (seqObj !== void 0 && uCode != UNASSIGNED) {
          var resCode = seqObj[uCode];
          if (typeof resCode === "object") {
            seqObj = resCode;
            continue;
          } else if (typeof resCode == "number") {
            dbcsCode = resCode;
          } else if (resCode == void 0) {
            resCode = seqObj[DEF_CHAR];
            if (resCode !== void 0) {
              dbcsCode = resCode;
              nextChar = uCode;
            } else {
            }
          }
          seqObj = void 0;
        } else if (uCode >= 0) {
          var subtable = this.encodeTable[uCode >> 8];
          if (subtable !== void 0)
            dbcsCode = subtable[uCode & 255];
          if (dbcsCode <= SEQ_START) {
            seqObj = this.encodeTableSeq[SEQ_START - dbcsCode];
            continue;
          }
          if (dbcsCode == UNASSIGNED && this.gb18030) {
            var idx = findIdx(this.gb18030.uChars, uCode);
            if (idx != -1) {
              var dbcsCode = this.gb18030.gbChars[idx] + (uCode - this.gb18030.uChars[idx]);
              newBuf[j++] = 129 + Math.floor(dbcsCode / 12600);
              dbcsCode = dbcsCode % 12600;
              newBuf[j++] = 48 + Math.floor(dbcsCode / 1260);
              dbcsCode = dbcsCode % 1260;
              newBuf[j++] = 129 + Math.floor(dbcsCode / 10);
              dbcsCode = dbcsCode % 10;
              newBuf[j++] = 48 + dbcsCode;
              continue;
            }
          }
        }
        if (dbcsCode === UNASSIGNED)
          dbcsCode = this.defaultCharSingleByte;
        if (dbcsCode < 256) {
          newBuf[j++] = dbcsCode;
        } else if (dbcsCode < 65536) {
          newBuf[j++] = dbcsCode >> 8;
          newBuf[j++] = dbcsCode & 255;
        } else if (dbcsCode < 16777216) {
          newBuf[j++] = dbcsCode >> 16;
          newBuf[j++] = dbcsCode >> 8 & 255;
          newBuf[j++] = dbcsCode & 255;
        } else {
          newBuf[j++] = dbcsCode >>> 24;
          newBuf[j++] = dbcsCode >>> 16 & 255;
          newBuf[j++] = dbcsCode >>> 8 & 255;
          newBuf[j++] = dbcsCode & 255;
        }
      }
      this.seqObj = seqObj;
      this.leadSurrogate = leadSurrogate;
      return newBuf.slice(0, j);
    };
    DBCSEncoder.prototype.end = function() {
      if (this.leadSurrogate === -1 && this.seqObj === void 0)
        return;
      var newBuf = Buffer2.alloc(10), j = 0;
      if (this.seqObj) {
        var dbcsCode = this.seqObj[DEF_CHAR];
        if (dbcsCode !== void 0) {
          if (dbcsCode < 256) {
            newBuf[j++] = dbcsCode;
          } else {
            newBuf[j++] = dbcsCode >> 8;
            newBuf[j++] = dbcsCode & 255;
          }
        } else {
        }
        this.seqObj = void 0;
      }
      if (this.leadSurrogate !== -1) {
        newBuf[j++] = this.defaultCharSingleByte;
        this.leadSurrogate = -1;
      }
      return newBuf.slice(0, j);
    };
    DBCSEncoder.prototype.findIdx = findIdx;
    function DBCSDecoder(options, codec) {
      this.nodeIdx = 0;
      this.prevBytes = [];
      this.decodeTables = codec.decodeTables;
      this.decodeTableSeq = codec.decodeTableSeq;
      this.defaultCharUnicode = codec.defaultCharUnicode;
      this.gb18030 = codec.gb18030;
    }
    DBCSDecoder.prototype.write = function(buf) {
      var newBuf = Buffer2.alloc(buf.length * 2), nodeIdx = this.nodeIdx, prevBytes = this.prevBytes, prevOffset = this.prevBytes.length, seqStart = -this.prevBytes.length, uCode;
      for (var i2 = 0, j = 0; i2 < buf.length; i2++) {
        var curByte = i2 >= 0 ? buf[i2] : prevBytes[i2 + prevOffset];
        var uCode = this.decodeTables[nodeIdx][curByte];
        if (uCode >= 0) {
        } else if (uCode === UNASSIGNED) {
          uCode = this.defaultCharUnicode.charCodeAt(0);
          i2 = seqStart;
        } else if (uCode === GB18030_CODE) {
          if (i2 >= 3) {
            var ptr = (buf[i2 - 3] - 129) * 12600 + (buf[i2 - 2] - 48) * 1260 + (buf[i2 - 1] - 129) * 10 + (curByte - 48);
          } else {
            var ptr = (prevBytes[i2 - 3 + prevOffset] - 129) * 12600 + ((i2 - 2 >= 0 ? buf[i2 - 2] : prevBytes[i2 - 2 + prevOffset]) - 48) * 1260 + ((i2 - 1 >= 0 ? buf[i2 - 1] : prevBytes[i2 - 1 + prevOffset]) - 129) * 10 + (curByte - 48);
          }
          var idx = findIdx(this.gb18030.gbChars, ptr);
          uCode = this.gb18030.uChars[idx] + ptr - this.gb18030.gbChars[idx];
        } else if (uCode <= NODE_START) {
          nodeIdx = NODE_START - uCode;
          continue;
        } else if (uCode <= SEQ_START) {
          var seq = this.decodeTableSeq[SEQ_START - uCode];
          for (var k = 0; k < seq.length - 1; k++) {
            uCode = seq[k];
            newBuf[j++] = uCode & 255;
            newBuf[j++] = uCode >> 8;
          }
          uCode = seq[seq.length - 1];
        } else
          throw new Error("iconv-lite internal error: invalid decoding table value " + uCode + " at " + nodeIdx + "/" + curByte);
        if (uCode >= 65536) {
          uCode -= 65536;
          var uCodeLead = 55296 | uCode >> 10;
          newBuf[j++] = uCodeLead & 255;
          newBuf[j++] = uCodeLead >> 8;
          uCode = 56320 | uCode & 1023;
        }
        newBuf[j++] = uCode & 255;
        newBuf[j++] = uCode >> 8;
        nodeIdx = 0;
        seqStart = i2 + 1;
      }
      this.nodeIdx = nodeIdx;
      this.prevBytes = seqStart >= 0 ? Array.prototype.slice.call(buf, seqStart) : prevBytes.slice(seqStart + prevOffset).concat(Array.prototype.slice.call(buf));
      return newBuf.slice(0, j).toString("ucs2");
    };
    DBCSDecoder.prototype.end = function() {
      var ret = "";
      while (this.prevBytes.length > 0) {
        ret += this.defaultCharUnicode;
        var bytesArr = this.prevBytes.slice(1);
        this.prevBytes = [];
        this.nodeIdx = 0;
        if (bytesArr.length > 0)
          ret += this.write(bytesArr);
      }
      this.prevBytes = [];
      this.nodeIdx = 0;
      return ret;
    };
    function findIdx(table, val) {
      if (table[0] > val)
        return -1;
      var l = 0, r = table.length;
      while (l < r - 1) {
        var mid = l + (r - l + 1 >> 1);
        if (table[mid] <= val)
          l = mid;
        else
          r = mid;
      }
      return l;
    }
  }
});

// ../../../node_modules/iconv-lite/encodings/tables/shiftjis.json
var require_shiftjis = __commonJS({
  "../../../node_modules/iconv-lite/encodings/tables/shiftjis.json"(exports, module2) {
    module2.exports = [
      ["0", "\0", 128],
      ["a1", "\uFF61", 62],
      ["8140", "\u3000\u3001\u3002\uFF0C\uFF0E\u30FB\uFF1A\uFF1B\uFF1F\uFF01\u309B\u309C\xB4\uFF40\xA8\uFF3E\uFFE3\uFF3F\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\u2015\u2010\uFF0F\uFF3C\uFF5E\u2225\uFF5C\u2026\u2025\u2018\u2019\u201C\u201D\uFF08\uFF09\u3014\u3015\uFF3B\uFF3D\uFF5B\uFF5D\u3008", 9, "\uFF0B\uFF0D\xB1\xD7"],
      ["8180", "\xF7\uFF1D\u2260\uFF1C\uFF1E\u2266\u2267\u221E\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFFE5\uFF04\uFFE0\uFFE1\uFF05\uFF03\uFF06\uFF0A\uFF20\xA7\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u203B\u3012\u2192\u2190\u2191\u2193\u3013"],
      ["81b8", "\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229"],
      ["81c8", "\u2227\u2228\uFFE2\u21D2\u21D4\u2200\u2203"],
      ["81da", "\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C"],
      ["81f0", "\u212B\u2030\u266F\u266D\u266A\u2020\u2021\xB6"],
      ["81fc", "\u25EF"],
      ["824f", "\uFF10", 9],
      ["8260", "\uFF21", 25],
      ["8281", "\uFF41", 25],
      ["829f", "\u3041", 82],
      ["8340", "\u30A1", 62],
      ["8380", "\u30E0", 22],
      ["839f", "\u0391", 16, "\u03A3", 6],
      ["83bf", "\u03B1", 16, "\u03C3", 6],
      ["8440", "\u0410", 5, "\u0401\u0416", 25],
      ["8470", "\u0430", 5, "\u0451\u0436", 7],
      ["8480", "\u043E", 17],
      ["849f", "\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542"],
      ["8740", "\u2460", 19, "\u2160", 9],
      ["875f", "\u3349\u3314\u3322\u334D\u3318\u3327\u3303\u3336\u3351\u3357\u330D\u3326\u3323\u332B\u334A\u333B\u339C\u339D\u339E\u338E\u338F\u33C4\u33A1"],
      ["877e", "\u337B"],
      ["8780", "\u301D\u301F\u2116\u33CD\u2121\u32A4", 4, "\u3231\u3232\u3239\u337E\u337D\u337C\u2252\u2261\u222B\u222E\u2211\u221A\u22A5\u2220\u221F\u22BF\u2235\u2229\u222A"],
      ["889f", "\u4E9C\u5516\u5A03\u963F\u54C0\u611B\u6328\u59F6\u9022\u8475\u831C\u7A50\u60AA\u63E1\u6E25\u65ED\u8466\u82A6\u9BF5\u6893\u5727\u65A1\u6271\u5B9B\u59D0\u867B\u98F4\u7D62\u7DBE\u9B8E\u6216\u7C9F\u88B7\u5B89\u5EB5\u6309\u6697\u6848\u95C7\u978D\u674F\u4EE5\u4F0A\u4F4D\u4F9D\u5049\u56F2\u5937\u59D4\u5A01\u5C09\u60DF\u610F\u6170\u6613\u6905\u70BA\u754F\u7570\u79FB\u7DAD\u7DEF\u80C3\u840E\u8863\u8B02\u9055\u907A\u533B\u4E95\u4EA5\u57DF\u80B2\u90C1\u78EF\u4E00\u58F1\u6EA2\u9038\u7A32\u8328\u828B\u9C2F\u5141\u5370\u54BD\u54E1\u56E0\u59FB\u5F15\u98F2\u6DEB\u80E4\u852D"],
      ["8940", "\u9662\u9670\u96A0\u97FB\u540B\u53F3\u5B87\u70CF\u7FBD\u8FC2\u96E8\u536F\u9D5C\u7ABA\u4E11\u7893\u81FC\u6E26\u5618\u5504\u6B1D\u851A\u9C3B\u59E5\u53A9\u6D66\u74DC\u958F\u5642\u4E91\u904B\u96F2\u834F\u990C\u53E1\u55B6\u5B30\u5F71\u6620\u66F3\u6804\u6C38\u6CF3\u6D29\u745B\u76C8\u7A4E\u9834\u82F1\u885B\u8A60\u92ED\u6DB2\u75AB\u76CA\u99C5\u60A6\u8B01\u8D8A\u95B2\u698E\u53AD\u5186"],
      ["8980", "\u5712\u5830\u5944\u5BB4\u5EF6\u6028\u63A9\u63F4\u6CBF\u6F14\u708E\u7114\u7159\u71D5\u733F\u7E01\u8276\u82D1\u8597\u9060\u925B\u9D1B\u5869\u65BC\u6C5A\u7525\u51F9\u592E\u5965\u5F80\u5FDC\u62BC\u65FA\u6A2A\u6B27\u6BB4\u738B\u7FC1\u8956\u9D2C\u9D0E\u9EC4\u5CA1\u6C96\u837B\u5104\u5C4B\u61B6\u81C6\u6876\u7261\u4E59\u4FFA\u5378\u6069\u6E29\u7A4F\u97F3\u4E0B\u5316\u4EEE\u4F55\u4F3D\u4FA1\u4F73\u52A0\u53EF\u5609\u590F\u5AC1\u5BB6\u5BE1\u79D1\u6687\u679C\u67B6\u6B4C\u6CB3\u706B\u73C2\u798D\u79BE\u7A3C\u7B87\u82B1\u82DB\u8304\u8377\u83EF\u83D3\u8766\u8AB2\u5629\u8CA8\u8FE6\u904E\u971E\u868A\u4FC4\u5CE8\u6211\u7259\u753B\u81E5\u82BD\u86FE\u8CC0\u96C5\u9913\u99D5\u4ECB\u4F1A\u89E3\u56DE\u584A\u58CA\u5EFB\u5FEB\u602A\u6094\u6062\u61D0\u6212\u62D0\u6539"],
      ["8a40", "\u9B41\u6666\u68B0\u6D77\u7070\u754C\u7686\u7D75\u82A5\u87F9\u958B\u968E\u8C9D\u51F1\u52BE\u5916\u54B3\u5BB3\u5D16\u6168\u6982\u6DAF\u788D\u84CB\u8857\u8A72\u93A7\u9AB8\u6D6C\u99A8\u86D9\u57A3\u67FF\u86CE\u920E\u5283\u5687\u5404\u5ED3\u62E1\u64B9\u683C\u6838\u6BBB\u7372\u78BA\u7A6B\u899A\u89D2\u8D6B\u8F03\u90ED\u95A3\u9694\u9769\u5B66\u5CB3\u697D\u984D\u984E\u639B\u7B20\u6A2B"],
      ["8a80", "\u6A7F\u68B6\u9C0D\u6F5F\u5272\u559D\u6070\u62EC\u6D3B\u6E07\u6ED1\u845B\u8910\u8F44\u4E14\u9C39\u53F6\u691B\u6A3A\u9784\u682A\u515C\u7AC3\u84B2\u91DC\u938C\u565B\u9D28\u6822\u8305\u8431\u7CA5\u5208\u82C5\u74E6\u4E7E\u4F83\u51A0\u5BD2\u520A\u52D8\u52E7\u5DFB\u559A\u582A\u59E6\u5B8C\u5B98\u5BDB\u5E72\u5E79\u60A3\u611F\u6163\u61BE\u63DB\u6562\u67D1\u6853\u68FA\u6B3E\u6B53\u6C57\u6F22\u6F97\u6F45\u74B0\u7518\u76E3\u770B\u7AFF\u7BA1\u7C21\u7DE9\u7F36\u7FF0\u809D\u8266\u839E\u89B3\u8ACC\u8CAB\u9084\u9451\u9593\u9591\u95A2\u9665\u97D3\u9928\u8218\u4E38\u542B\u5CB8\u5DCC\u73A9\u764C\u773C\u5CA9\u7FEB\u8D0B\u96C1\u9811\u9854\u9858\u4F01\u4F0E\u5371\u559C\u5668\u57FA\u5947\u5B09\u5BC4\u5C90\u5E0C\u5E7E\u5FCC\u63EE\u673A\u65D7\u65E2\u671F\u68CB\u68C4"],
      ["8b40", "\u6A5F\u5E30\u6BC5\u6C17\u6C7D\u757F\u7948\u5B63\u7A00\u7D00\u5FBD\u898F\u8A18\u8CB4\u8D77\u8ECC\u8F1D\u98E2\u9A0E\u9B3C\u4E80\u507D\u5100\u5993\u5B9C\u622F\u6280\u64EC\u6B3A\u72A0\u7591\u7947\u7FA9\u87FB\u8ABC\u8B70\u63AC\u83CA\u97A0\u5409\u5403\u55AB\u6854\u6A58\u8A70\u7827\u6775\u9ECD\u5374\u5BA2\u811A\u8650\u9006\u4E18\u4E45\u4EC7\u4F11\u53CA\u5438\u5BAE\u5F13\u6025\u6551"],
      ["8b80", "\u673D\u6C42\u6C72\u6CE3\u7078\u7403\u7A76\u7AAE\u7B08\u7D1A\u7CFE\u7D66\u65E7\u725B\u53BB\u5C45\u5DE8\u62D2\u62E0\u6319\u6E20\u865A\u8A31\u8DDD\u92F8\u6F01\u79A6\u9B5A\u4EA8\u4EAB\u4EAC\u4F9B\u4FA0\u50D1\u5147\u7AF6\u5171\u51F6\u5354\u5321\u537F\u53EB\u55AC\u5883\u5CE1\u5F37\u5F4A\u602F\u6050\u606D\u631F\u6559\u6A4B\u6CC1\u72C2\u72ED\u77EF\u80F8\u8105\u8208\u854E\u90F7\u93E1\u97FF\u9957\u9A5A\u4EF0\u51DD\u5C2D\u6681\u696D\u5C40\u66F2\u6975\u7389\u6850\u7C81\u50C5\u52E4\u5747\u5DFE\u9326\u65A4\u6B23\u6B3D\u7434\u7981\u79BD\u7B4B\u7DCA\u82B9\u83CC\u887F\u895F\u8B39\u8FD1\u91D1\u541F\u9280\u4E5D\u5036\u53E5\u533A\u72D7\u7396\u77E9\u82E6\u8EAF\u99C6\u99C8\u99D2\u5177\u611A\u865E\u55B0\u7A7A\u5076\u5BD3\u9047\u9685\u4E32\u6ADB\u91E7\u5C51\u5C48"],
      ["8c40", "\u6398\u7A9F\u6C93\u9774\u8F61\u7AAA\u718A\u9688\u7C82\u6817\u7E70\u6851\u936C\u52F2\u541B\u85AB\u8A13\u7FA4\u8ECD\u90E1\u5366\u8888\u7941\u4FC2\u50BE\u5211\u5144\u5553\u572D\u73EA\u578B\u5951\u5F62\u5F84\u6075\u6176\u6167\u61A9\u63B2\u643A\u656C\u666F\u6842\u6E13\u7566\u7A3D\u7CFB\u7D4C\u7D99\u7E4B\u7F6B\u830E\u834A\u86CD\u8A08\u8A63\u8B66\u8EFD\u981A\u9D8F\u82B8\u8FCE\u9BE8"],
      ["8c80", "\u5287\u621F\u6483\u6FC0\u9699\u6841\u5091\u6B20\u6C7A\u6F54\u7A74\u7D50\u8840\u8A23\u6708\u4EF6\u5039\u5026\u5065\u517C\u5238\u5263\u55A7\u570F\u5805\u5ACC\u5EFA\u61B2\u61F8\u62F3\u6372\u691C\u6A29\u727D\u72AC\u732E\u7814\u786F\u7D79\u770C\u80A9\u898B\u8B19\u8CE2\u8ED2\u9063\u9375\u967A\u9855\u9A13\u9E78\u5143\u539F\u53B3\u5E7B\u5F26\u6E1B\u6E90\u7384\u73FE\u7D43\u8237\u8A00\u8AFA\u9650\u4E4E\u500B\u53E4\u547C\u56FA\u59D1\u5B64\u5DF1\u5EAB\u5F27\u6238\u6545\u67AF\u6E56\u72D0\u7CCA\u88B4\u80A1\u80E1\u83F0\u864E\u8A87\u8DE8\u9237\u96C7\u9867\u9F13\u4E94\u4E92\u4F0D\u5348\u5449\u543E\u5A2F\u5F8C\u5FA1\u609F\u68A7\u6A8E\u745A\u7881\u8A9E\u8AA4\u8B77\u9190\u4E5E\u9BC9\u4EA4\u4F7C\u4FAF\u5019\u5016\u5149\u516C\u529F\u52B9\u52FE\u539A\u53E3\u5411"],
      ["8d40", "\u540E\u5589\u5751\u57A2\u597D\u5B54\u5B5D\u5B8F\u5DE5\u5DE7\u5DF7\u5E78\u5E83\u5E9A\u5EB7\u5F18\u6052\u614C\u6297\u62D8\u63A7\u653B\u6602\u6643\u66F4\u676D\u6821\u6897\u69CB\u6C5F\u6D2A\u6D69\u6E2F\u6E9D\u7532\u7687\u786C\u7A3F\u7CE0\u7D05\u7D18\u7D5E\u7DB1\u8015\u8003\u80AF\u80B1\u8154\u818F\u822A\u8352\u884C\u8861\u8B1B\u8CA2\u8CFC\u90CA\u9175\u9271\u783F\u92FC\u95A4\u964D"],
      ["8d80", "\u9805\u9999\u9AD8\u9D3B\u525B\u52AB\u53F7\u5408\u58D5\u62F7\u6FE0\u8C6A\u8F5F\u9EB9\u514B\u523B\u544A\u56FD\u7A40\u9177\u9D60\u9ED2\u7344\u6F09\u8170\u7511\u5FFD\u60DA\u9AA8\u72DB\u8FBC\u6B64\u9803\u4ECA\u56F0\u5764\u58BE\u5A5A\u6068\u61C7\u660F\u6606\u6839\u68B1\u6DF7\u75D5\u7D3A\u826E\u9B42\u4E9B\u4F50\u53C9\u5506\u5D6F\u5DE6\u5DEE\u67FB\u6C99\u7473\u7802\u8A50\u9396\u88DF\u5750\u5EA7\u632B\u50B5\u50AC\u518D\u6700\u54C9\u585E\u59BB\u5BB0\u5F69\u624D\u63A1\u683D\u6B73\u6E08\u707D\u91C7\u7280\u7815\u7826\u796D\u658E\u7D30\u83DC\u88C1\u8F09\u969B\u5264\u5728\u6750\u7F6A\u8CA1\u51B4\u5742\u962A\u583A\u698A\u80B4\u54B2\u5D0E\u57FC\u7895\u9DFA\u4F5C\u524A\u548B\u643E\u6628\u6714\u67F5\u7A84\u7B56\u7D22\u932F\u685C\u9BAD\u7B39\u5319\u518A\u5237"],
      ["8e40", "\u5BDF\u62F6\u64AE\u64E6\u672D\u6BBA\u85A9\u96D1\u7690\u9BD6\u634C\u9306\u9BAB\u76BF\u6652\u4E09\u5098\u53C2\u5C71\u60E8\u6492\u6563\u685F\u71E6\u73CA\u7523\u7B97\u7E82\u8695\u8B83\u8CDB\u9178\u9910\u65AC\u66AB\u6B8B\u4ED5\u4ED4\u4F3A\u4F7F\u523A\u53F8\u53F2\u55E3\u56DB\u58EB\u59CB\u59C9\u59FF\u5B50\u5C4D\u5E02\u5E2B\u5FD7\u601D\u6307\u652F\u5B5C\u65AF\u65BD\u65E8\u679D\u6B62"],
      ["8e80", "\u6B7B\u6C0F\u7345\u7949\u79C1\u7CF8\u7D19\u7D2B\u80A2\u8102\u81F3\u8996\u8A5E\u8A69\u8A66\u8A8C\u8AEE\u8CC7\u8CDC\u96CC\u98FC\u6B6F\u4E8B\u4F3C\u4F8D\u5150\u5B57\u5BFA\u6148\u6301\u6642\u6B21\u6ECB\u6CBB\u723E\u74BD\u75D4\u78C1\u793A\u800C\u8033\u81EA\u8494\u8F9E\u6C50\u9E7F\u5F0F\u8B58\u9D2B\u7AFA\u8EF8\u5B8D\u96EB\u4E03\u53F1\u57F7\u5931\u5AC9\u5BA4\u6089\u6E7F\u6F06\u75BE\u8CEA\u5B9F\u8500\u7BE0\u5072\u67F4\u829D\u5C61\u854A\u7E1E\u820E\u5199\u5C04\u6368\u8D66\u659C\u716E\u793E\u7D17\u8005\u8B1D\u8ECA\u906E\u86C7\u90AA\u501F\u52FA\u5C3A\u6753\u707C\u7235\u914C\u91C8\u932B\u82E5\u5BC2\u5F31\u60F9\u4E3B\u53D6\u5B88\u624B\u6731\u6B8A\u72E9\u73E0\u7A2E\u816B\u8DA3\u9152\u9996\u5112\u53D7\u546A\u5BFF\u6388\u6A39\u7DAC\u9700\u56DA\u53CE\u5468"],
      ["8f40", "\u5B97\u5C31\u5DDE\u4FEE\u6101\u62FE\u6D32\u79C0\u79CB\u7D42\u7E4D\u7FD2\u81ED\u821F\u8490\u8846\u8972\u8B90\u8E74\u8F2F\u9031\u914B\u916C\u96C6\u919C\u4EC0\u4F4F\u5145\u5341\u5F93\u620E\u67D4\u6C41\u6E0B\u7363\u7E26\u91CD\u9283\u53D4\u5919\u5BBF\u6DD1\u795D\u7E2E\u7C9B\u587E\u719F\u51FA\u8853\u8FF0\u4FCA\u5CFB\u6625\u77AC\u7AE3\u821C\u99FF\u51C6\u5FAA\u65EC\u696F\u6B89\u6DF3"],
      ["8f80", "\u6E96\u6F64\u76FE\u7D14\u5DE1\u9075\u9187\u9806\u51E6\u521D\u6240\u6691\u66D9\u6E1A\u5EB6\u7DD2\u7F72\u66F8\u85AF\u85F7\u8AF8\u52A9\u53D9\u5973\u5E8F\u5F90\u6055\u92E4\u9664\u50B7\u511F\u52DD\u5320\u5347\u53EC\u54E8\u5546\u5531\u5617\u5968\u59BE\u5A3C\u5BB5\u5C06\u5C0F\u5C11\u5C1A\u5E84\u5E8A\u5EE0\u5F70\u627F\u6284\u62DB\u638C\u6377\u6607\u660C\u662D\u6676\u677E\u68A2\u6A1F\u6A35\u6CBC\u6D88\u6E09\u6E58\u713C\u7126\u7167\u75C7\u7701\u785D\u7901\u7965\u79F0\u7AE0\u7B11\u7CA7\u7D39\u8096\u83D6\u848B\u8549\u885D\u88F3\u8A1F\u8A3C\u8A54\u8A73\u8C61\u8CDE\u91A4\u9266\u937E\u9418\u969C\u9798\u4E0A\u4E08\u4E1E\u4E57\u5197\u5270\u57CE\u5834\u58CC\u5B22\u5E38\u60C5\u64FE\u6761\u6756\u6D44\u72B6\u7573\u7A63\u84B8\u8B72\u91B8\u9320\u5631\u57F4\u98FE"],
      ["9040", "\u62ED\u690D\u6B96\u71ED\u7E54\u8077\u8272\u89E6\u98DF\u8755\u8FB1\u5C3B\u4F38\u4FE1\u4FB5\u5507\u5A20\u5BDD\u5BE9\u5FC3\u614E\u632F\u65B0\u664B\u68EE\u699B\u6D78\u6DF1\u7533\u75B9\u771F\u795E\u79E6\u7D33\u81E3\u82AF\u85AA\u89AA\u8A3A\u8EAB\u8F9B\u9032\u91DD\u9707\u4EBA\u4EC1\u5203\u5875\u58EC\u5C0B\u751A\u5C3D\u814E\u8A0A\u8FC5\u9663\u976D\u7B25\u8ACF\u9808\u9162\u56F3\u53A8"],
      ["9080", "\u9017\u5439\u5782\u5E25\u63A8\u6C34\u708A\u7761\u7C8B\u7FE0\u8870\u9042\u9154\u9310\u9318\u968F\u745E\u9AC4\u5D07\u5D69\u6570\u67A2\u8DA8\u96DB\u636E\u6749\u6919\u83C5\u9817\u96C0\u88FE\u6F84\u647A\u5BF8\u4E16\u702C\u755D\u662F\u51C4\u5236\u52E2\u59D3\u5F81\u6027\u6210\u653F\u6574\u661F\u6674\u68F2\u6816\u6B63\u6E05\u7272\u751F\u76DB\u7CBE\u8056\u58F0\u88FD\u897F\u8AA0\u8A93\u8ACB\u901D\u9192\u9752\u9759\u6589\u7A0E\u8106\u96BB\u5E2D\u60DC\u621A\u65A5\u6614\u6790\u77F3\u7A4D\u7C4D\u7E3E\u810A\u8CAC\u8D64\u8DE1\u8E5F\u78A9\u5207\u62D9\u63A5\u6442\u6298\u8A2D\u7A83\u7BC0\u8AAC\u96EA\u7D76\u820C\u8749\u4ED9\u5148\u5343\u5360\u5BA3\u5C02\u5C16\u5DDD\u6226\u6247\u64B0\u6813\u6834\u6CC9\u6D45\u6D17\u67D3\u6F5C\u714E\u717D\u65CB\u7A7F\u7BAD\u7DDA"],
      ["9140", "\u7E4A\u7FA8\u817A\u821B\u8239\u85A6\u8A6E\u8CCE\u8DF5\u9078\u9077\u92AD\u9291\u9583\u9BAE\u524D\u5584\u6F38\u7136\u5168\u7985\u7E55\u81B3\u7CCE\u564C\u5851\u5CA8\u63AA\u66FE\u66FD\u695A\u72D9\u758F\u758E\u790E\u7956\u79DF\u7C97\u7D20\u7D44\u8607\u8A34\u963B\u9061\u9F20\u50E7\u5275\u53CC\u53E2\u5009\u55AA\u58EE\u594F\u723D\u5B8B\u5C64\u531D\u60E3\u60F3\u635C\u6383\u633F\u63BB"],
      ["9180", "\u64CD\u65E9\u66F9\u5DE3\u69CD\u69FD\u6F15\u71E5\u4E89\u75E9\u76F8\u7A93\u7CDF\u7DCF\u7D9C\u8061\u8349\u8358\u846C\u84BC\u85FB\u88C5\u8D70\u9001\u906D\u9397\u971C\u9A12\u50CF\u5897\u618E\u81D3\u8535\u8D08\u9020\u4FC3\u5074\u5247\u5373\u606F\u6349\u675F\u6E2C\u8DB3\u901F\u4FD7\u5C5E\u8CCA\u65CF\u7D9A\u5352\u8896\u5176\u63C3\u5B58\u5B6B\u5C0A\u640D\u6751\u905C\u4ED6\u591A\u592A\u6C70\u8A51\u553E\u5815\u59A5\u60F0\u6253\u67C1\u8235\u6955\u9640\u99C4\u9A28\u4F53\u5806\u5BFE\u8010\u5CB1\u5E2F\u5F85\u6020\u614B\u6234\u66FF\u6CF0\u6EDE\u80CE\u817F\u82D4\u888B\u8CB8\u9000\u902E\u968A\u9EDB\u9BDB\u4EE3\u53F0\u5927\u7B2C\u918D\u984C\u9DF9\u6EDD\u7027\u5353\u5544\u5B85\u6258\u629E\u62D3\u6CA2\u6FEF\u7422\u8A17\u9438\u6FC1\u8AFE\u8338\u51E7\u86F8\u53EA"],
      ["9240", "\u53E9\u4F46\u9054\u8FB0\u596A\u8131\u5DFD\u7AEA\u8FBF\u68DA\u8C37\u72F8\u9C48\u6A3D\u8AB0\u4E39\u5358\u5606\u5766\u62C5\u63A2\u65E6\u6B4E\u6DE1\u6E5B\u70AD\u77ED\u7AEF\u7BAA\u7DBB\u803D\u80C6\u86CB\u8A95\u935B\u56E3\u58C7\u5F3E\u65AD\u6696\u6A80\u6BB5\u7537\u8AC7\u5024\u77E5\u5730\u5F1B\u6065\u667A\u6C60\u75F4\u7A1A\u7F6E\u81F4\u8718\u9045\u99B3\u7BC9\u755C\u7AF9\u7B51\u84C4"],
      ["9280", "\u9010\u79E9\u7A92\u8336\u5AE1\u7740\u4E2D\u4EF2\u5B99\u5FE0\u62BD\u663C\u67F1\u6CE8\u866B\u8877\u8A3B\u914E\u92F3\u99D0\u6A17\u7026\u732A\u82E7\u8457\u8CAF\u4E01\u5146\u51CB\u558B\u5BF5\u5E16\u5E33\u5E81\u5F14\u5F35\u5F6B\u5FB4\u61F2\u6311\u66A2\u671D\u6F6E\u7252\u753A\u773A\u8074\u8139\u8178\u8776\u8ABF\u8ADC\u8D85\u8DF3\u929A\u9577\u9802\u9CE5\u52C5\u6357\u76F4\u6715\u6C88\u73CD\u8CC3\u93AE\u9673\u6D25\u589C\u690E\u69CC\u8FFD\u939A\u75DB\u901A\u585A\u6802\u63B4\u69FB\u4F43\u6F2C\u67D8\u8FBB\u8526\u7DB4\u9354\u693F\u6F70\u576A\u58F7\u5B2C\u7D2C\u722A\u540A\u91E3\u9DB4\u4EAD\u4F4E\u505C\u5075\u5243\u8C9E\u5448\u5824\u5B9A\u5E1D\u5E95\u5EAD\u5EF7\u5F1F\u608C\u62B5\u633A\u63D0\u68AF\u6C40\u7887\u798E\u7A0B\u7DE0\u8247\u8A02\u8AE6\u8E44\u9013"],
      ["9340", "\u90B8\u912D\u91D8\u9F0E\u6CE5\u6458\u64E2\u6575\u6EF4\u7684\u7B1B\u9069\u93D1\u6EBA\u54F2\u5FB9\u64A4\u8F4D\u8FED\u9244\u5178\u586B\u5929\u5C55\u5E97\u6DFB\u7E8F\u751C\u8CBC\u8EE2\u985B\u70B9\u4F1D\u6BBF\u6FB1\u7530\u96FB\u514E\u5410\u5835\u5857\u59AC\u5C60\u5F92\u6597\u675C\u6E21\u767B\u83DF\u8CED\u9014\u90FD\u934D\u7825\u783A\u52AA\u5EA6\u571F\u5974\u6012\u5012\u515A\u51AC"],
      ["9380", "\u51CD\u5200\u5510\u5854\u5858\u5957\u5B95\u5CF6\u5D8B\u60BC\u6295\u642D\u6771\u6843\u68BC\u68DF\u76D7\u6DD8\u6E6F\u6D9B\u706F\u71C8\u5F53\u75D8\u7977\u7B49\u7B54\u7B52\u7CD6\u7D71\u5230\u8463\u8569\u85E4\u8A0E\u8B04\u8C46\u8E0F\u9003\u900F\u9419\u9676\u982D\u9A30\u95D8\u50CD\u52D5\u540C\u5802\u5C0E\u61A7\u649E\u6D1E\u77B3\u7AE5\u80F4\u8404\u9053\u9285\u5CE0\u9D07\u533F\u5F97\u5FB3\u6D9C\u7279\u7763\u79BF\u7BE4\u6BD2\u72EC\u8AAD\u6803\u6A61\u51F8\u7A81\u6934\u5C4A\u9CF6\u82EB\u5BC5\u9149\u701E\u5678\u5C6F\u60C7\u6566\u6C8C\u8C5A\u9041\u9813\u5451\u66C7\u920D\u5948\u90A3\u5185\u4E4D\u51EA\u8599\u8B0E\u7058\u637A\u934B\u6962\u99B4\u7E04\u7577\u5357\u6960\u8EDF\u96E3\u6C5D\u4E8C\u5C3C\u5F10\u8FE9\u5302\u8CD1\u8089\u8679\u5EFF\u65E5\u4E73\u5165"],
      ["9440", "\u5982\u5C3F\u97EE\u4EFB\u598A\u5FCD\u8A8D\u6FE1\u79B0\u7962\u5BE7\u8471\u732B\u71B1\u5E74\u5FF5\u637B\u649A\u71C3\u7C98\u4E43\u5EFC\u4E4B\u57DC\u56A2\u60A9\u6FC3\u7D0D\u80FD\u8133\u81BF\u8FB2\u8997\u86A4\u5DF4\u628A\u64AD\u8987\u6777\u6CE2\u6D3E\u7436\u7834\u5A46\u7F75\u82AD\u99AC\u4FF3\u5EC3\u62DD\u6392\u6557\u676F\u76C3\u724C\u80CC\u80BA\u8F29\u914D\u500D\u57F9\u5A92\u6885"],
      ["9480", "\u6973\u7164\u72FD\u8CB7\u58F2\u8CE0\u966A\u9019\u877F\u79E4\u77E7\u8429\u4F2F\u5265\u535A\u62CD\u67CF\u6CCA\u767D\u7B94\u7C95\u8236\u8584\u8FEB\u66DD\u6F20\u7206\u7E1B\u83AB\u99C1\u9EA6\u51FD\u7BB1\u7872\u7BB8\u8087\u7B48\u6AE8\u5E61\u808C\u7551\u7560\u516B\u9262\u6E8C\u767A\u9197\u9AEA\u4F10\u7F70\u629C\u7B4F\u95A5\u9CE9\u567A\u5859\u86E4\u96BC\u4F34\u5224\u534A\u53CD\u53DB\u5E06\u642C\u6591\u677F\u6C3E\u6C4E\u7248\u72AF\u73ED\u7554\u7E41\u822C\u85E9\u8CA9\u7BC4\u91C6\u7169\u9812\u98EF\u633D\u6669\u756A\u76E4\u78D0\u8543\u86EE\u532A\u5351\u5426\u5983\u5E87\u5F7C\u60B2\u6249\u6279\u62AB\u6590\u6BD4\u6CCC\u75B2\u76AE\u7891\u79D8\u7DCB\u7F77\u80A5\u88AB\u8AB9\u8CBB\u907F\u975E\u98DB\u6A0B\u7C38\u5099\u5C3E\u5FAE\u6787\u6BD8\u7435\u7709\u7F8E"],
      ["9540", "\u9F3B\u67CA\u7A17\u5339\u758B\u9AED\u5F66\u819D\u83F1\u8098\u5F3C\u5FC5\u7562\u7B46\u903C\u6867\u59EB\u5A9B\u7D10\u767E\u8B2C\u4FF5\u5F6A\u6A19\u6C37\u6F02\u74E2\u7968\u8868\u8A55\u8C79\u5EDF\u63CF\u75C5\u79D2\u82D7\u9328\u92F2\u849C\u86ED\u9C2D\u54C1\u5F6C\u658C\u6D5C\u7015\u8CA7\u8CD3\u983B\u654F\u74F6\u4E0D\u4ED8\u57E0\u592B\u5A66\u5BCC\u51A8\u5E03\u5E9C\u6016\u6276\u6577"],
      ["9580", "\u65A7\u666E\u6D6E\u7236\u7B26\u8150\u819A\u8299\u8B5C\u8CA0\u8CE6\u8D74\u961C\u9644\u4FAE\u64AB\u6B66\u821E\u8461\u856A\u90E8\u5C01\u6953\u98A8\u847A\u8557\u4F0F\u526F\u5FA9\u5E45\u670D\u798F\u8179\u8907\u8986\u6DF5\u5F17\u6255\u6CB8\u4ECF\u7269\u9B92\u5206\u543B\u5674\u58B3\u61A4\u626E\u711A\u596E\u7C89\u7CDE\u7D1B\u96F0\u6587\u805E\u4E19\u4F75\u5175\u5840\u5E63\u5E73\u5F0A\u67C4\u4E26\u853D\u9589\u965B\u7C73\u9801\u50FB\u58C1\u7656\u78A7\u5225\u77A5\u8511\u7B86\u504F\u5909\u7247\u7BC7\u7DE8\u8FBA\u8FD4\u904D\u4FBF\u52C9\u5A29\u5F01\u97AD\u4FDD\u8217\u92EA\u5703\u6355\u6B69\u752B\u88DC\u8F14\u7A42\u52DF\u5893\u6155\u620A\u66AE\u6BCD\u7C3F\u83E9\u5023\u4FF8\u5305\u5446\u5831\u5949\u5B9D\u5CF0\u5CEF\u5D29\u5E96\u62B1\u6367\u653E\u65B9\u670B"],
      ["9640", "\u6CD5\u6CE1\u70F9\u7832\u7E2B\u80DE\u82B3\u840C\u84EC\u8702\u8912\u8A2A\u8C4A\u90A6\u92D2\u98FD\u9CF3\u9D6C\u4E4F\u4EA1\u508D\u5256\u574A\u59A8\u5E3D\u5FD8\u5FD9\u623F\u66B4\u671B\u67D0\u68D2\u5192\u7D21\u80AA\u81A8\u8B00\u8C8C\u8CBF\u927E\u9632\u5420\u982C\u5317\u50D5\u535C\u58A8\u64B2\u6734\u7267\u7766\u7A46\u91E6\u52C3\u6CA1\u6B86\u5800\u5E4C\u5954\u672C\u7FFB\u51E1\u76C6"],
      ["9680", "\u6469\u78E8\u9B54\u9EBB\u57CB\u59B9\u6627\u679A\u6BCE\u54E9\u69D9\u5E55\u819C\u6795\u9BAA\u67FE\u9C52\u685D\u4EA6\u4FE3\u53C8\u62B9\u672B\u6CAB\u8FC4\u4FAD\u7E6D\u9EBF\u4E07\u6162\u6E80\u6F2B\u8513\u5473\u672A\u9B45\u5DF3\u7B95\u5CAC\u5BC6\u871C\u6E4A\u84D1\u7A14\u8108\u5999\u7C8D\u6C11\u7720\u52D9\u5922\u7121\u725F\u77DB\u9727\u9D61\u690B\u5A7F\u5A18\u51A5\u540D\u547D\u660E\u76DF\u8FF7\u9298\u9CF4\u59EA\u725D\u6EC5\u514D\u68C9\u7DBF\u7DEC\u9762\u9EBA\u6478\u6A21\u8302\u5984\u5B5F\u6BDB\u731B\u76F2\u7DB2\u8017\u8499\u5132\u6728\u9ED9\u76EE\u6762\u52FF\u9905\u5C24\u623B\u7C7E\u8CB0\u554F\u60B6\u7D0B\u9580\u5301\u4E5F\u51B6\u591C\u723A\u8036\u91CE\u5F25\u77E2\u5384\u5F79\u7D04\u85AC\u8A33\u8E8D\u9756\u67F3\u85AE\u9453\u6109\u6108\u6CB9\u7652"],
      ["9740", "\u8AED\u8F38\u552F\u4F51\u512A\u52C7\u53CB\u5BA5\u5E7D\u60A0\u6182\u63D6\u6709\u67DA\u6E67\u6D8C\u7336\u7337\u7531\u7950\u88D5\u8A98\u904A\u9091\u90F5\u96C4\u878D\u5915\u4E88\u4F59\u4E0E\u8A89\u8F3F\u9810\u50AD\u5E7C\u5996\u5BB9\u5EB8\u63DA\u63FA\u64C1\u66DC\u694A\u69D8\u6D0B\u6EB6\u7194\u7528\u7AAF\u7F8A\u8000\u8449\u84C9\u8981\u8B21\u8E0A\u9065\u967D\u990A\u617E\u6291\u6B32"],
      ["9780", "\u6C83\u6D74\u7FCC\u7FFC\u6DC0\u7F85\u87BA\u88F8\u6765\u83B1\u983C\u96F7\u6D1B\u7D61\u843D\u916A\u4E71\u5375\u5D50\u6B04\u6FEB\u85CD\u862D\u89A7\u5229\u540F\u5C65\u674E\u68A8\u7406\u7483\u75E2\u88CF\u88E1\u91CC\u96E2\u9678\u5F8B\u7387\u7ACB\u844E\u63A0\u7565\u5289\u6D41\u6E9C\u7409\u7559\u786B\u7C92\u9686\u7ADC\u9F8D\u4FB6\u616E\u65C5\u865C\u4E86\u4EAE\u50DA\u4E21\u51CC\u5BEE\u6599\u6881\u6DBC\u731F\u7642\u77AD\u7A1C\u7CE7\u826F\u8AD2\u907C\u91CF\u9675\u9818\u529B\u7DD1\u502B\u5398\u6797\u6DCB\u71D0\u7433\u81E8\u8F2A\u96A3\u9C57\u9E9F\u7460\u5841\u6D99\u7D2F\u985E\u4EE4\u4F36\u4F8B\u51B7\u52B1\u5DBA\u601C\u73B2\u793C\u82D3\u9234\u96B7\u96F6\u970A\u9E97\u9F62\u66A6\u6B74\u5217\u52A3\u70C8\u88C2\u5EC9\u604B\u6190\u6F23\u7149\u7C3E\u7DF4\u806F"],
      ["9840", "\u84EE\u9023\u932C\u5442\u9B6F\u6AD3\u7089\u8CC2\u8DEF\u9732\u52B4\u5A41\u5ECA\u5F04\u6717\u697C\u6994\u6D6A\u6F0F\u7262\u72FC\u7BED\u8001\u807E\u874B\u90CE\u516D\u9E93\u7984\u808B\u9332\u8AD6\u502D\u548C\u8A71\u6B6A\u8CC4\u8107\u60D1\u67A0\u9DF2\u4E99\u4E98\u9C10\u8A6B\u85C1\u8568\u6900\u6E7E\u7897\u8155"],
      ["989f", "\u5F0C\u4E10\u4E15\u4E2A\u4E31\u4E36\u4E3C\u4E3F\u4E42\u4E56\u4E58\u4E82\u4E85\u8C6B\u4E8A\u8212\u5F0D\u4E8E\u4E9E\u4E9F\u4EA0\u4EA2\u4EB0\u4EB3\u4EB6\u4ECE\u4ECD\u4EC4\u4EC6\u4EC2\u4ED7\u4EDE\u4EED\u4EDF\u4EF7\u4F09\u4F5A\u4F30\u4F5B\u4F5D\u4F57\u4F47\u4F76\u4F88\u4F8F\u4F98\u4F7B\u4F69\u4F70\u4F91\u4F6F\u4F86\u4F96\u5118\u4FD4\u4FDF\u4FCE\u4FD8\u4FDB\u4FD1\u4FDA\u4FD0\u4FE4\u4FE5\u501A\u5028\u5014\u502A\u5025\u5005\u4F1C\u4FF6\u5021\u5029\u502C\u4FFE\u4FEF\u5011\u5006\u5043\u5047\u6703\u5055\u5050\u5048\u505A\u5056\u506C\u5078\u5080\u509A\u5085\u50B4\u50B2"],
      ["9940", "\u50C9\u50CA\u50B3\u50C2\u50D6\u50DE\u50E5\u50ED\u50E3\u50EE\u50F9\u50F5\u5109\u5101\u5102\u5116\u5115\u5114\u511A\u5121\u513A\u5137\u513C\u513B\u513F\u5140\u5152\u514C\u5154\u5162\u7AF8\u5169\u516A\u516E\u5180\u5182\u56D8\u518C\u5189\u518F\u5191\u5193\u5195\u5196\u51A4\u51A6\u51A2\u51A9\u51AA\u51AB\u51B3\u51B1\u51B2\u51B0\u51B5\u51BD\u51C5\u51C9\u51DB\u51E0\u8655\u51E9\u51ED"],
      ["9980", "\u51F0\u51F5\u51FE\u5204\u520B\u5214\u520E\u5227\u522A\u522E\u5233\u5239\u524F\u5244\u524B\u524C\u525E\u5254\u526A\u5274\u5269\u5273\u527F\u527D\u528D\u5294\u5292\u5271\u5288\u5291\u8FA8\u8FA7\u52AC\u52AD\u52BC\u52B5\u52C1\u52CD\u52D7\u52DE\u52E3\u52E6\u98ED\u52E0\u52F3\u52F5\u52F8\u52F9\u5306\u5308\u7538\u530D\u5310\u530F\u5315\u531A\u5323\u532F\u5331\u5333\u5338\u5340\u5346\u5345\u4E17\u5349\u534D\u51D6\u535E\u5369\u536E\u5918\u537B\u5377\u5382\u5396\u53A0\u53A6\u53A5\u53AE\u53B0\u53B6\u53C3\u7C12\u96D9\u53DF\u66FC\u71EE\u53EE\u53E8\u53ED\u53FA\u5401\u543D\u5440\u542C\u542D\u543C\u542E\u5436\u5429\u541D\u544E\u548F\u5475\u548E\u545F\u5471\u5477\u5470\u5492\u547B\u5480\u5476\u5484\u5490\u5486\u54C7\u54A2\u54B8\u54A5\u54AC\u54C4\u54C8\u54A8"],
      ["9a40", "\u54AB\u54C2\u54A4\u54BE\u54BC\u54D8\u54E5\u54E6\u550F\u5514\u54FD\u54EE\u54ED\u54FA\u54E2\u5539\u5540\u5563\u554C\u552E\u555C\u5545\u5556\u5557\u5538\u5533\u555D\u5599\u5580\u54AF\u558A\u559F\u557B\u557E\u5598\u559E\u55AE\u557C\u5583\u55A9\u5587\u55A8\u55DA\u55C5\u55DF\u55C4\u55DC\u55E4\u55D4\u5614\u55F7\u5616\u55FE\u55FD\u561B\u55F9\u564E\u5650\u71DF\u5634\u5636\u5632\u5638"],
      ["9a80", "\u566B\u5664\u562F\u566C\u566A\u5686\u5680\u568A\u56A0\u5694\u568F\u56A5\u56AE\u56B6\u56B4\u56C2\u56BC\u56C1\u56C3\u56C0\u56C8\u56CE\u56D1\u56D3\u56D7\u56EE\u56F9\u5700\u56FF\u5704\u5709\u5708\u570B\u570D\u5713\u5718\u5716\u55C7\u571C\u5726\u5737\u5738\u574E\u573B\u5740\u574F\u5769\u57C0\u5788\u5761\u577F\u5789\u5793\u57A0\u57B3\u57A4\u57AA\u57B0\u57C3\u57C6\u57D4\u57D2\u57D3\u580A\u57D6\u57E3\u580B\u5819\u581D\u5872\u5821\u5862\u584B\u5870\u6BC0\u5852\u583D\u5879\u5885\u58B9\u589F\u58AB\u58BA\u58DE\u58BB\u58B8\u58AE\u58C5\u58D3\u58D1\u58D7\u58D9\u58D8\u58E5\u58DC\u58E4\u58DF\u58EF\u58FA\u58F9\u58FB\u58FC\u58FD\u5902\u590A\u5910\u591B\u68A6\u5925\u592C\u592D\u5932\u5938\u593E\u7AD2\u5955\u5950\u594E\u595A\u5958\u5962\u5960\u5967\u596C\u5969"],
      ["9b40", "\u5978\u5981\u599D\u4F5E\u4FAB\u59A3\u59B2\u59C6\u59E8\u59DC\u598D\u59D9\u59DA\u5A25\u5A1F\u5A11\u5A1C\u5A09\u5A1A\u5A40\u5A6C\u5A49\u5A35\u5A36\u5A62\u5A6A\u5A9A\u5ABC\u5ABE\u5ACB\u5AC2\u5ABD\u5AE3\u5AD7\u5AE6\u5AE9\u5AD6\u5AFA\u5AFB\u5B0C\u5B0B\u5B16\u5B32\u5AD0\u5B2A\u5B36\u5B3E\u5B43\u5B45\u5B40\u5B51\u5B55\u5B5A\u5B5B\u5B65\u5B69\u5B70\u5B73\u5B75\u5B78\u6588\u5B7A\u5B80"],
      ["9b80", "\u5B83\u5BA6\u5BB8\u5BC3\u5BC7\u5BC9\u5BD4\u5BD0\u5BE4\u5BE6\u5BE2\u5BDE\u5BE5\u5BEB\u5BF0\u5BF6\u5BF3\u5C05\u5C07\u5C08\u5C0D\u5C13\u5C20\u5C22\u5C28\u5C38\u5C39\u5C41\u5C46\u5C4E\u5C53\u5C50\u5C4F\u5B71\u5C6C\u5C6E\u4E62\u5C76\u5C79\u5C8C\u5C91\u5C94\u599B\u5CAB\u5CBB\u5CB6\u5CBC\u5CB7\u5CC5\u5CBE\u5CC7\u5CD9\u5CE9\u5CFD\u5CFA\u5CED\u5D8C\u5CEA\u5D0B\u5D15\u5D17\u5D5C\u5D1F\u5D1B\u5D11\u5D14\u5D22\u5D1A\u5D19\u5D18\u5D4C\u5D52\u5D4E\u5D4B\u5D6C\u5D73\u5D76\u5D87\u5D84\u5D82\u5DA2\u5D9D\u5DAC\u5DAE\u5DBD\u5D90\u5DB7\u5DBC\u5DC9\u5DCD\u5DD3\u5DD2\u5DD6\u5DDB\u5DEB\u5DF2\u5DF5\u5E0B\u5E1A\u5E19\u5E11\u5E1B\u5E36\u5E37\u5E44\u5E43\u5E40\u5E4E\u5E57\u5E54\u5E5F\u5E62\u5E64\u5E47\u5E75\u5E76\u5E7A\u9EBC\u5E7F\u5EA0\u5EC1\u5EC2\u5EC8\u5ED0\u5ECF"],
      ["9c40", "\u5ED6\u5EE3\u5EDD\u5EDA\u5EDB\u5EE2\u5EE1\u5EE8\u5EE9\u5EEC\u5EF1\u5EF3\u5EF0\u5EF4\u5EF8\u5EFE\u5F03\u5F09\u5F5D\u5F5C\u5F0B\u5F11\u5F16\u5F29\u5F2D\u5F38\u5F41\u5F48\u5F4C\u5F4E\u5F2F\u5F51\u5F56\u5F57\u5F59\u5F61\u5F6D\u5F73\u5F77\u5F83\u5F82\u5F7F\u5F8A\u5F88\u5F91\u5F87\u5F9E\u5F99\u5F98\u5FA0\u5FA8\u5FAD\u5FBC\u5FD6\u5FFB\u5FE4\u5FF8\u5FF1\u5FDD\u60B3\u5FFF\u6021\u6060"],
      ["9c80", "\u6019\u6010\u6029\u600E\u6031\u601B\u6015\u602B\u6026\u600F\u603A\u605A\u6041\u606A\u6077\u605F\u604A\u6046\u604D\u6063\u6043\u6064\u6042\u606C\u606B\u6059\u6081\u608D\u60E7\u6083\u609A\u6084\u609B\u6096\u6097\u6092\u60A7\u608B\u60E1\u60B8\u60E0\u60D3\u60B4\u5FF0\u60BD\u60C6\u60B5\u60D8\u614D\u6115\u6106\u60F6\u60F7\u6100\u60F4\u60FA\u6103\u6121\u60FB\u60F1\u610D\u610E\u6147\u613E\u6128\u6127\u614A\u613F\u613C\u612C\u6134\u613D\u6142\u6144\u6173\u6177\u6158\u6159\u615A\u616B\u6174\u616F\u6165\u6171\u615F\u615D\u6153\u6175\u6199\u6196\u6187\u61AC\u6194\u619A\u618A\u6191\u61AB\u61AE\u61CC\u61CA\u61C9\u61F7\u61C8\u61C3\u61C6\u61BA\u61CB\u7F79\u61CD\u61E6\u61E3\u61F6\u61FA\u61F4\u61FF\u61FD\u61FC\u61FE\u6200\u6208\u6209\u620D\u620C\u6214\u621B"],
      ["9d40", "\u621E\u6221\u622A\u622E\u6230\u6232\u6233\u6241\u624E\u625E\u6263\u625B\u6260\u6268\u627C\u6282\u6289\u627E\u6292\u6293\u6296\u62D4\u6283\u6294\u62D7\u62D1\u62BB\u62CF\u62FF\u62C6\u64D4\u62C8\u62DC\u62CC\u62CA\u62C2\u62C7\u629B\u62C9\u630C\u62EE\u62F1\u6327\u6302\u6308\u62EF\u62F5\u6350\u633E\u634D\u641C\u634F\u6396\u638E\u6380\u63AB\u6376\u63A3\u638F\u6389\u639F\u63B5\u636B"],
      ["9d80", "\u6369\u63BE\u63E9\u63C0\u63C6\u63E3\u63C9\u63D2\u63F6\u63C4\u6416\u6434\u6406\u6413\u6426\u6436\u651D\u6417\u6428\u640F\u6467\u646F\u6476\u644E\u652A\u6495\u6493\u64A5\u64A9\u6488\u64BC\u64DA\u64D2\u64C5\u64C7\u64BB\u64D8\u64C2\u64F1\u64E7\u8209\u64E0\u64E1\u62AC\u64E3\u64EF\u652C\u64F6\u64F4\u64F2\u64FA\u6500\u64FD\u6518\u651C\u6505\u6524\u6523\u652B\u6534\u6535\u6537\u6536\u6538\u754B\u6548\u6556\u6555\u654D\u6558\u655E\u655D\u6572\u6578\u6582\u6583\u8B8A\u659B\u659F\u65AB\u65B7\u65C3\u65C6\u65C1\u65C4\u65CC\u65D2\u65DB\u65D9\u65E0\u65E1\u65F1\u6772\u660A\u6603\u65FB\u6773\u6635\u6636\u6634\u661C\u664F\u6644\u6649\u6641\u665E\u665D\u6664\u6667\u6668\u665F\u6662\u6670\u6683\u6688\u668E\u6689\u6684\u6698\u669D\u66C1\u66B9\u66C9\u66BE\u66BC"],
      ["9e40", "\u66C4\u66B8\u66D6\u66DA\u66E0\u663F\u66E6\u66E9\u66F0\u66F5\u66F7\u670F\u6716\u671E\u6726\u6727\u9738\u672E\u673F\u6736\u6741\u6738\u6737\u6746\u675E\u6760\u6759\u6763\u6764\u6789\u6770\u67A9\u677C\u676A\u678C\u678B\u67A6\u67A1\u6785\u67B7\u67EF\u67B4\u67EC\u67B3\u67E9\u67B8\u67E4\u67DE\u67DD\u67E2\u67EE\u67B9\u67CE\u67C6\u67E7\u6A9C\u681E\u6846\u6829\u6840\u684D\u6832\u684E"],
      ["9e80", "\u68B3\u682B\u6859\u6863\u6877\u687F\u689F\u688F\u68AD\u6894\u689D\u689B\u6883\u6AAE\u68B9\u6874\u68B5\u68A0\u68BA\u690F\u688D\u687E\u6901\u68CA\u6908\u68D8\u6922\u6926\u68E1\u690C\u68CD\u68D4\u68E7\u68D5\u6936\u6912\u6904\u68D7\u68E3\u6925\u68F9\u68E0\u68EF\u6928\u692A\u691A\u6923\u6921\u68C6\u6979\u6977\u695C\u6978\u696B\u6954\u697E\u696E\u6939\u6974\u693D\u6959\u6930\u6961\u695E\u695D\u6981\u696A\u69B2\u69AE\u69D0\u69BF\u69C1\u69D3\u69BE\u69CE\u5BE8\u69CA\u69DD\u69BB\u69C3\u69A7\u6A2E\u6991\u69A0\u699C\u6995\u69B4\u69DE\u69E8\u6A02\u6A1B\u69FF\u6B0A\u69F9\u69F2\u69E7\u6A05\u69B1\u6A1E\u69ED\u6A14\u69EB\u6A0A\u6A12\u6AC1\u6A23\u6A13\u6A44\u6A0C\u6A72\u6A36\u6A78\u6A47\u6A62\u6A59\u6A66\u6A48\u6A38\u6A22\u6A90\u6A8D\u6AA0\u6A84\u6AA2\u6AA3"],
      ["9f40", "\u6A97\u8617\u6ABB\u6AC3\u6AC2\u6AB8\u6AB3\u6AAC\u6ADE\u6AD1\u6ADF\u6AAA\u6ADA\u6AEA\u6AFB\u6B05\u8616\u6AFA\u6B12\u6B16\u9B31\u6B1F\u6B38\u6B37\u76DC\u6B39\u98EE\u6B47\u6B43\u6B49\u6B50\u6B59\u6B54\u6B5B\u6B5F\u6B61\u6B78\u6B79\u6B7F\u6B80\u6B84\u6B83\u6B8D\u6B98\u6B95\u6B9E\u6BA4\u6BAA\u6BAB\u6BAF\u6BB2\u6BB1\u6BB3\u6BB7\u6BBC\u6BC6\u6BCB\u6BD3\u6BDF\u6BEC\u6BEB\u6BF3\u6BEF"],
      ["9f80", "\u9EBE\u6C08\u6C13\u6C14\u6C1B\u6C24\u6C23\u6C5E\u6C55\u6C62\u6C6A\u6C82\u6C8D\u6C9A\u6C81\u6C9B\u6C7E\u6C68\u6C73\u6C92\u6C90\u6CC4\u6CF1\u6CD3\u6CBD\u6CD7\u6CC5\u6CDD\u6CAE\u6CB1\u6CBE\u6CBA\u6CDB\u6CEF\u6CD9\u6CEA\u6D1F\u884D\u6D36\u6D2B\u6D3D\u6D38\u6D19\u6D35\u6D33\u6D12\u6D0C\u6D63\u6D93\u6D64\u6D5A\u6D79\u6D59\u6D8E\u6D95\u6FE4\u6D85\u6DF9\u6E15\u6E0A\u6DB5\u6DC7\u6DE6\u6DB8\u6DC6\u6DEC\u6DDE\u6DCC\u6DE8\u6DD2\u6DC5\u6DFA\u6DD9\u6DE4\u6DD5\u6DEA\u6DEE\u6E2D\u6E6E\u6E2E\u6E19\u6E72\u6E5F\u6E3E\u6E23\u6E6B\u6E2B\u6E76\u6E4D\u6E1F\u6E43\u6E3A\u6E4E\u6E24\u6EFF\u6E1D\u6E38\u6E82\u6EAA\u6E98\u6EC9\u6EB7\u6ED3\u6EBD\u6EAF\u6EC4\u6EB2\u6ED4\u6ED5\u6E8F\u6EA5\u6EC2\u6E9F\u6F41\u6F11\u704C\u6EEC\u6EF8\u6EFE\u6F3F\u6EF2\u6F31\u6EEF\u6F32\u6ECC"],
      ["e040", "\u6F3E\u6F13\u6EF7\u6F86\u6F7A\u6F78\u6F81\u6F80\u6F6F\u6F5B\u6FF3\u6F6D\u6F82\u6F7C\u6F58\u6F8E\u6F91\u6FC2\u6F66\u6FB3\u6FA3\u6FA1\u6FA4\u6FB9\u6FC6\u6FAA\u6FDF\u6FD5\u6FEC\u6FD4\u6FD8\u6FF1\u6FEE\u6FDB\u7009\u700B\u6FFA\u7011\u7001\u700F\u6FFE\u701B\u701A\u6F74\u701D\u7018\u701F\u7030\u703E\u7032\u7051\u7063\u7099\u7092\u70AF\u70F1\u70AC\u70B8\u70B3\u70AE\u70DF\u70CB\u70DD"],
      ["e080", "\u70D9\u7109\u70FD\u711C\u7119\u7165\u7155\u7188\u7166\u7162\u714C\u7156\u716C\u718F\u71FB\u7184\u7195\u71A8\u71AC\u71D7\u71B9\u71BE\u71D2\u71C9\u71D4\u71CE\u71E0\u71EC\u71E7\u71F5\u71FC\u71F9\u71FF\u720D\u7210\u721B\u7228\u722D\u722C\u7230\u7232\u723B\u723C\u723F\u7240\u7246\u724B\u7258\u7274\u727E\u7282\u7281\u7287\u7292\u7296\u72A2\u72A7\u72B9\u72B2\u72C3\u72C6\u72C4\u72CE\u72D2\u72E2\u72E0\u72E1\u72F9\u72F7\u500F\u7317\u730A\u731C\u7316\u731D\u7334\u732F\u7329\u7325\u733E\u734E\u734F\u9ED8\u7357\u736A\u7368\u7370\u7378\u7375\u737B\u737A\u73C8\u73B3\u73CE\u73BB\u73C0\u73E5\u73EE\u73DE\u74A2\u7405\u746F\u7425\u73F8\u7432\u743A\u7455\u743F\u745F\u7459\u7441\u745C\u7469\u7470\u7463\u746A\u7476\u747E\u748B\u749E\u74A7\u74CA\u74CF\u74D4\u73F1"],
      ["e140", "\u74E0\u74E3\u74E7\u74E9\u74EE\u74F2\u74F0\u74F1\u74F8\u74F7\u7504\u7503\u7505\u750C\u750E\u750D\u7515\u7513\u751E\u7526\u752C\u753C\u7544\u754D\u754A\u7549\u755B\u7546\u755A\u7569\u7564\u7567\u756B\u756D\u7578\u7576\u7586\u7587\u7574\u758A\u7589\u7582\u7594\u759A\u759D\u75A5\u75A3\u75C2\u75B3\u75C3\u75B5\u75BD\u75B8\u75BC\u75B1\u75CD\u75CA\u75D2\u75D9\u75E3\u75DE\u75FE\u75FF"],
      ["e180", "\u75FC\u7601\u75F0\u75FA\u75F2\u75F3\u760B\u760D\u7609\u761F\u7627\u7620\u7621\u7622\u7624\u7634\u7630\u763B\u7647\u7648\u7646\u765C\u7658\u7661\u7662\u7668\u7669\u766A\u7667\u766C\u7670\u7672\u7676\u7678\u767C\u7680\u7683\u7688\u768B\u768E\u7696\u7693\u7699\u769A\u76B0\u76B4\u76B8\u76B9\u76BA\u76C2\u76CD\u76D6\u76D2\u76DE\u76E1\u76E5\u76E7\u76EA\u862F\u76FB\u7708\u7707\u7704\u7729\u7724\u771E\u7725\u7726\u771B\u7737\u7738\u7747\u775A\u7768\u776B\u775B\u7765\u777F\u777E\u7779\u778E\u778B\u7791\u77A0\u779E\u77B0\u77B6\u77B9\u77BF\u77BC\u77BD\u77BB\u77C7\u77CD\u77D7\u77DA\u77DC\u77E3\u77EE\u77FC\u780C\u7812\u7926\u7820\u792A\u7845\u788E\u7874\u7886\u787C\u789A\u788C\u78A3\u78B5\u78AA\u78AF\u78D1\u78C6\u78CB\u78D4\u78BE\u78BC\u78C5\u78CA\u78EC"],
      ["e240", "\u78E7\u78DA\u78FD\u78F4\u7907\u7912\u7911\u7919\u792C\u792B\u7940\u7960\u7957\u795F\u795A\u7955\u7953\u797A\u797F\u798A\u799D\u79A7\u9F4B\u79AA\u79AE\u79B3\u79B9\u79BA\u79C9\u79D5\u79E7\u79EC\u79E1\u79E3\u7A08\u7A0D\u7A18\u7A19\u7A20\u7A1F\u7980\u7A31\u7A3B\u7A3E\u7A37\u7A43\u7A57\u7A49\u7A61\u7A62\u7A69\u9F9D\u7A70\u7A79\u7A7D\u7A88\u7A97\u7A95\u7A98\u7A96\u7AA9\u7AC8\u7AB0"],
      ["e280", "\u7AB6\u7AC5\u7AC4\u7ABF\u9083\u7AC7\u7ACA\u7ACD\u7ACF\u7AD5\u7AD3\u7AD9\u7ADA\u7ADD\u7AE1\u7AE2\u7AE6\u7AED\u7AF0\u7B02\u7B0F\u7B0A\u7B06\u7B33\u7B18\u7B19\u7B1E\u7B35\u7B28\u7B36\u7B50\u7B7A\u7B04\u7B4D\u7B0B\u7B4C\u7B45\u7B75\u7B65\u7B74\u7B67\u7B70\u7B71\u7B6C\u7B6E\u7B9D\u7B98\u7B9F\u7B8D\u7B9C\u7B9A\u7B8B\u7B92\u7B8F\u7B5D\u7B99\u7BCB\u7BC1\u7BCC\u7BCF\u7BB4\u7BC6\u7BDD\u7BE9\u7C11\u7C14\u7BE6\u7BE5\u7C60\u7C00\u7C07\u7C13\u7BF3\u7BF7\u7C17\u7C0D\u7BF6\u7C23\u7C27\u7C2A\u7C1F\u7C37\u7C2B\u7C3D\u7C4C\u7C43\u7C54\u7C4F\u7C40\u7C50\u7C58\u7C5F\u7C64\u7C56\u7C65\u7C6C\u7C75\u7C83\u7C90\u7CA4\u7CAD\u7CA2\u7CAB\u7CA1\u7CA8\u7CB3\u7CB2\u7CB1\u7CAE\u7CB9\u7CBD\u7CC0\u7CC5\u7CC2\u7CD8\u7CD2\u7CDC\u7CE2\u9B3B\u7CEF\u7CF2\u7CF4\u7CF6\u7CFA\u7D06"],
      ["e340", "\u7D02\u7D1C\u7D15\u7D0A\u7D45\u7D4B\u7D2E\u7D32\u7D3F\u7D35\u7D46\u7D73\u7D56\u7D4E\u7D72\u7D68\u7D6E\u7D4F\u7D63\u7D93\u7D89\u7D5B\u7D8F\u7D7D\u7D9B\u7DBA\u7DAE\u7DA3\u7DB5\u7DC7\u7DBD\u7DAB\u7E3D\u7DA2\u7DAF\u7DDC\u7DB8\u7D9F\u7DB0\u7DD8\u7DDD\u7DE4\u7DDE\u7DFB\u7DF2\u7DE1\u7E05\u7E0A\u7E23\u7E21\u7E12\u7E31\u7E1F\u7E09\u7E0B\u7E22\u7E46\u7E66\u7E3B\u7E35\u7E39\u7E43\u7E37"],
      ["e380", "\u7E32\u7E3A\u7E67\u7E5D\u7E56\u7E5E\u7E59\u7E5A\u7E79\u7E6A\u7E69\u7E7C\u7E7B\u7E83\u7DD5\u7E7D\u8FAE\u7E7F\u7E88\u7E89\u7E8C\u7E92\u7E90\u7E93\u7E94\u7E96\u7E8E\u7E9B\u7E9C\u7F38\u7F3A\u7F45\u7F4C\u7F4D\u7F4E\u7F50\u7F51\u7F55\u7F54\u7F58\u7F5F\u7F60\u7F68\u7F69\u7F67\u7F78\u7F82\u7F86\u7F83\u7F88\u7F87\u7F8C\u7F94\u7F9E\u7F9D\u7F9A\u7FA3\u7FAF\u7FB2\u7FB9\u7FAE\u7FB6\u7FB8\u8B71\u7FC5\u7FC6\u7FCA\u7FD5\u7FD4\u7FE1\u7FE6\u7FE9\u7FF3\u7FF9\u98DC\u8006\u8004\u800B\u8012\u8018\u8019\u801C\u8021\u8028\u803F\u803B\u804A\u8046\u8052\u8058\u805A\u805F\u8062\u8068\u8073\u8072\u8070\u8076\u8079\u807D\u807F\u8084\u8086\u8085\u809B\u8093\u809A\u80AD\u5190\u80AC\u80DB\u80E5\u80D9\u80DD\u80C4\u80DA\u80D6\u8109\u80EF\u80F1\u811B\u8129\u8123\u812F\u814B"],
      ["e440", "\u968B\u8146\u813E\u8153\u8151\u80FC\u8171\u816E\u8165\u8166\u8174\u8183\u8188\u818A\u8180\u8182\u81A0\u8195\u81A4\u81A3\u815F\u8193\u81A9\u81B0\u81B5\u81BE\u81B8\u81BD\u81C0\u81C2\u81BA\u81C9\u81CD\u81D1\u81D9\u81D8\u81C8\u81DA\u81DF\u81E0\u81E7\u81FA\u81FB\u81FE\u8201\u8202\u8205\u8207\u820A\u820D\u8210\u8216\u8229\u822B\u8238\u8233\u8240\u8259\u8258\u825D\u825A\u825F\u8264"],
      ["e480", "\u8262\u8268\u826A\u826B\u822E\u8271\u8277\u8278\u827E\u828D\u8292\u82AB\u829F\u82BB\u82AC\u82E1\u82E3\u82DF\u82D2\u82F4\u82F3\u82FA\u8393\u8303\u82FB\u82F9\u82DE\u8306\u82DC\u8309\u82D9\u8335\u8334\u8316\u8332\u8331\u8340\u8339\u8350\u8345\u832F\u832B\u8317\u8318\u8385\u839A\u83AA\u839F\u83A2\u8396\u8323\u838E\u8387\u838A\u837C\u83B5\u8373\u8375\u83A0\u8389\u83A8\u83F4\u8413\u83EB\u83CE\u83FD\u8403\u83D8\u840B\u83C1\u83F7\u8407\u83E0\u83F2\u840D\u8422\u8420\u83BD\u8438\u8506\u83FB\u846D\u842A\u843C\u855A\u8484\u8477\u846B\u84AD\u846E\u8482\u8469\u8446\u842C\u846F\u8479\u8435\u84CA\u8462\u84B9\u84BF\u849F\u84D9\u84CD\u84BB\u84DA\u84D0\u84C1\u84C6\u84D6\u84A1\u8521\u84FF\u84F4\u8517\u8518\u852C\u851F\u8515\u8514\u84FC\u8540\u8563\u8558\u8548"],
      ["e540", "\u8541\u8602\u854B\u8555\u8580\u85A4\u8588\u8591\u858A\u85A8\u856D\u8594\u859B\u85EA\u8587\u859C\u8577\u857E\u8590\u85C9\u85BA\u85CF\u85B9\u85D0\u85D5\u85DD\u85E5\u85DC\u85F9\u860A\u8613\u860B\u85FE\u85FA\u8606\u8622\u861A\u8630\u863F\u864D\u4E55\u8654\u865F\u8667\u8671\u8693\u86A3\u86A9\u86AA\u868B\u868C\u86B6\u86AF\u86C4\u86C6\u86B0\u86C9\u8823\u86AB\u86D4\u86DE\u86E9\u86EC"],
      ["e580", "\u86DF\u86DB\u86EF\u8712\u8706\u8708\u8700\u8703\u86FB\u8711\u8709\u870D\u86F9\u870A\u8734\u873F\u8737\u873B\u8725\u8729\u871A\u8760\u875F\u8778\u874C\u874E\u8774\u8757\u8768\u876E\u8759\u8753\u8763\u876A\u8805\u87A2\u879F\u8782\u87AF\u87CB\u87BD\u87C0\u87D0\u96D6\u87AB\u87C4\u87B3\u87C7\u87C6\u87BB\u87EF\u87F2\u87E0\u880F\u880D\u87FE\u87F6\u87F7\u880E\u87D2\u8811\u8816\u8815\u8822\u8821\u8831\u8836\u8839\u8827\u883B\u8844\u8842\u8852\u8859\u885E\u8862\u886B\u8881\u887E\u889E\u8875\u887D\u88B5\u8872\u8882\u8897\u8892\u88AE\u8899\u88A2\u888D\u88A4\u88B0\u88BF\u88B1\u88C3\u88C4\u88D4\u88D8\u88D9\u88DD\u88F9\u8902\u88FC\u88F4\u88E8\u88F2\u8904\u890C\u890A\u8913\u8943\u891E\u8925\u892A\u892B\u8941\u8944\u893B\u8936\u8938\u894C\u891D\u8960\u895E"],
      ["e640", "\u8966\u8964\u896D\u896A\u896F\u8974\u8977\u897E\u8983\u8988\u898A\u8993\u8998\u89A1\u89A9\u89A6\u89AC\u89AF\u89B2\u89BA\u89BD\u89BF\u89C0\u89DA\u89DC\u89DD\u89E7\u89F4\u89F8\u8A03\u8A16\u8A10\u8A0C\u8A1B\u8A1D\u8A25\u8A36\u8A41\u8A5B\u8A52\u8A46\u8A48\u8A7C\u8A6D\u8A6C\u8A62\u8A85\u8A82\u8A84\u8AA8\u8AA1\u8A91\u8AA5\u8AA6\u8A9A\u8AA3\u8AC4\u8ACD\u8AC2\u8ADA\u8AEB\u8AF3\u8AE7"],
      ["e680", "\u8AE4\u8AF1\u8B14\u8AE0\u8AE2\u8AF7\u8ADE\u8ADB\u8B0C\u8B07\u8B1A\u8AE1\u8B16\u8B10\u8B17\u8B20\u8B33\u97AB\u8B26\u8B2B\u8B3E\u8B28\u8B41\u8B4C\u8B4F\u8B4E\u8B49\u8B56\u8B5B\u8B5A\u8B6B\u8B5F\u8B6C\u8B6F\u8B74\u8B7D\u8B80\u8B8C\u8B8E\u8B92\u8B93\u8B96\u8B99\u8B9A\u8C3A\u8C41\u8C3F\u8C48\u8C4C\u8C4E\u8C50\u8C55\u8C62\u8C6C\u8C78\u8C7A\u8C82\u8C89\u8C85\u8C8A\u8C8D\u8C8E\u8C94\u8C7C\u8C98\u621D\u8CAD\u8CAA\u8CBD\u8CB2\u8CB3\u8CAE\u8CB6\u8CC8\u8CC1\u8CE4\u8CE3\u8CDA\u8CFD\u8CFA\u8CFB\u8D04\u8D05\u8D0A\u8D07\u8D0F\u8D0D\u8D10\u9F4E\u8D13\u8CCD\u8D14\u8D16\u8D67\u8D6D\u8D71\u8D73\u8D81\u8D99\u8DC2\u8DBE\u8DBA\u8DCF\u8DDA\u8DD6\u8DCC\u8DDB\u8DCB\u8DEA\u8DEB\u8DDF\u8DE3\u8DFC\u8E08\u8E09\u8DFF\u8E1D\u8E1E\u8E10\u8E1F\u8E42\u8E35\u8E30\u8E34\u8E4A"],
      ["e740", "\u8E47\u8E49\u8E4C\u8E50\u8E48\u8E59\u8E64\u8E60\u8E2A\u8E63\u8E55\u8E76\u8E72\u8E7C\u8E81\u8E87\u8E85\u8E84\u8E8B\u8E8A\u8E93\u8E91\u8E94\u8E99\u8EAA\u8EA1\u8EAC\u8EB0\u8EC6\u8EB1\u8EBE\u8EC5\u8EC8\u8ECB\u8EDB\u8EE3\u8EFC\u8EFB\u8EEB\u8EFE\u8F0A\u8F05\u8F15\u8F12\u8F19\u8F13\u8F1C\u8F1F\u8F1B\u8F0C\u8F26\u8F33\u8F3B\u8F39\u8F45\u8F42\u8F3E\u8F4C\u8F49\u8F46\u8F4E\u8F57\u8F5C"],
      ["e780", "\u8F62\u8F63\u8F64\u8F9C\u8F9F\u8FA3\u8FAD\u8FAF\u8FB7\u8FDA\u8FE5\u8FE2\u8FEA\u8FEF\u9087\u8FF4\u9005\u8FF9\u8FFA\u9011\u9015\u9021\u900D\u901E\u9016\u900B\u9027\u9036\u9035\u9039\u8FF8\u904F\u9050\u9051\u9052\u900E\u9049\u903E\u9056\u9058\u905E\u9068\u906F\u9076\u96A8\u9072\u9082\u907D\u9081\u9080\u908A\u9089\u908F\u90A8\u90AF\u90B1\u90B5\u90E2\u90E4\u6248\u90DB\u9102\u9112\u9119\u9132\u9130\u914A\u9156\u9158\u9163\u9165\u9169\u9173\u9172\u918B\u9189\u9182\u91A2\u91AB\u91AF\u91AA\u91B5\u91B4\u91BA\u91C0\u91C1\u91C9\u91CB\u91D0\u91D6\u91DF\u91E1\u91DB\u91FC\u91F5\u91F6\u921E\u91FF\u9214\u922C\u9215\u9211\u925E\u9257\u9245\u9249\u9264\u9248\u9295\u923F\u924B\u9250\u929C\u9296\u9293\u929B\u925A\u92CF\u92B9\u92B7\u92E9\u930F\u92FA\u9344\u932E"],
      ["e840", "\u9319\u9322\u931A\u9323\u933A\u9335\u933B\u935C\u9360\u937C\u936E\u9356\u93B0\u93AC\u93AD\u9394\u93B9\u93D6\u93D7\u93E8\u93E5\u93D8\u93C3\u93DD\u93D0\u93C8\u93E4\u941A\u9414\u9413\u9403\u9407\u9410\u9436\u942B\u9435\u9421\u943A\u9441\u9452\u9444\u945B\u9460\u9462\u945E\u946A\u9229\u9470\u9475\u9477\u947D\u945A\u947C\u947E\u9481\u947F\u9582\u9587\u958A\u9594\u9596\u9598\u9599"],
      ["e880", "\u95A0\u95A8\u95A7\u95AD\u95BC\u95BB\u95B9\u95BE\u95CA\u6FF6\u95C3\u95CD\u95CC\u95D5\u95D4\u95D6\u95DC\u95E1\u95E5\u95E2\u9621\u9628\u962E\u962F\u9642\u964C\u964F\u964B\u9677\u965C\u965E\u965D\u965F\u9666\u9672\u966C\u968D\u9698\u9695\u9697\u96AA\u96A7\u96B1\u96B2\u96B0\u96B4\u96B6\u96B8\u96B9\u96CE\u96CB\u96C9\u96CD\u894D\u96DC\u970D\u96D5\u96F9\u9704\u9706\u9708\u9713\u970E\u9711\u970F\u9716\u9719\u9724\u972A\u9730\u9739\u973D\u973E\u9744\u9746\u9748\u9742\u9749\u975C\u9760\u9764\u9766\u9768\u52D2\u976B\u9771\u9779\u9785\u977C\u9781\u977A\u9786\u978B\u978F\u9790\u979C\u97A8\u97A6\u97A3\u97B3\u97B4\u97C3\u97C6\u97C8\u97CB\u97DC\u97ED\u9F4F\u97F2\u7ADF\u97F6\u97F5\u980F\u980C\u9838\u9824\u9821\u9837\u983D\u9846\u984F\u984B\u986B\u986F\u9870"],
      ["e940", "\u9871\u9874\u9873\u98AA\u98AF\u98B1\u98B6\u98C4\u98C3\u98C6\u98E9\u98EB\u9903\u9909\u9912\u9914\u9918\u9921\u991D\u991E\u9924\u9920\u992C\u992E\u993D\u993E\u9942\u9949\u9945\u9950\u994B\u9951\u9952\u994C\u9955\u9997\u9998\u99A5\u99AD\u99AE\u99BC\u99DF\u99DB\u99DD\u99D8\u99D1\u99ED\u99EE\u99F1\u99F2\u99FB\u99F8\u9A01\u9A0F\u9A05\u99E2\u9A19\u9A2B\u9A37\u9A45\u9A42\u9A40\u9A43"],
      ["e980", "\u9A3E\u9A55\u9A4D\u9A5B\u9A57\u9A5F\u9A62\u9A65\u9A64\u9A69\u9A6B\u9A6A\u9AAD\u9AB0\u9ABC\u9AC0\u9ACF\u9AD1\u9AD3\u9AD4\u9ADE\u9ADF\u9AE2\u9AE3\u9AE6\u9AEF\u9AEB\u9AEE\u9AF4\u9AF1\u9AF7\u9AFB\u9B06\u9B18\u9B1A\u9B1F\u9B22\u9B23\u9B25\u9B27\u9B28\u9B29\u9B2A\u9B2E\u9B2F\u9B32\u9B44\u9B43\u9B4F\u9B4D\u9B4E\u9B51\u9B58\u9B74\u9B93\u9B83\u9B91\u9B96\u9B97\u9B9F\u9BA0\u9BA8\u9BB4\u9BC0\u9BCA\u9BB9\u9BC6\u9BCF\u9BD1\u9BD2\u9BE3\u9BE2\u9BE4\u9BD4\u9BE1\u9C3A\u9BF2\u9BF1\u9BF0\u9C15\u9C14\u9C09\u9C13\u9C0C\u9C06\u9C08\u9C12\u9C0A\u9C04\u9C2E\u9C1B\u9C25\u9C24\u9C21\u9C30\u9C47\u9C32\u9C46\u9C3E\u9C5A\u9C60\u9C67\u9C76\u9C78\u9CE7\u9CEC\u9CF0\u9D09\u9D08\u9CEB\u9D03\u9D06\u9D2A\u9D26\u9DAF\u9D23\u9D1F\u9D44\u9D15\u9D12\u9D41\u9D3F\u9D3E\u9D46\u9D48"],
      ["ea40", "\u9D5D\u9D5E\u9D64\u9D51\u9D50\u9D59\u9D72\u9D89\u9D87\u9DAB\u9D6F\u9D7A\u9D9A\u9DA4\u9DA9\u9DB2\u9DC4\u9DC1\u9DBB\u9DB8\u9DBA\u9DC6\u9DCF\u9DC2\u9DD9\u9DD3\u9DF8\u9DE6\u9DED\u9DEF\u9DFD\u9E1A\u9E1B\u9E1E\u9E75\u9E79\u9E7D\u9E81\u9E88\u9E8B\u9E8C\u9E92\u9E95\u9E91\u9E9D\u9EA5\u9EA9\u9EB8\u9EAA\u9EAD\u9761\u9ECC\u9ECE\u9ECF\u9ED0\u9ED4\u9EDC\u9EDE\u9EDD\u9EE0\u9EE5\u9EE8\u9EEF"],
      ["ea80", "\u9EF4\u9EF6\u9EF7\u9EF9\u9EFB\u9EFC\u9EFD\u9F07\u9F08\u76B7\u9F15\u9F21\u9F2C\u9F3E\u9F4A\u9F52\u9F54\u9F63\u9F5F\u9F60\u9F61\u9F66\u9F67\u9F6C\u9F6A\u9F77\u9F72\u9F76\u9F95\u9F9C\u9FA0\u582F\u69C7\u9059\u7464\u51DC\u7199"],
      ["ed40", "\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F"],
      ["ed80", "\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1"],
      ["ee40", "\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559"],
      ["ee80", "\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"],
      ["eeef", "\u2170", 9, "\uFFE2\uFFE4\uFF07\uFF02"],
      ["f040", "\uE000", 62],
      ["f080", "\uE03F", 124],
      ["f140", "\uE0BC", 62],
      ["f180", "\uE0FB", 124],
      ["f240", "\uE178", 62],
      ["f280", "\uE1B7", 124],
      ["f340", "\uE234", 62],
      ["f380", "\uE273", 124],
      ["f440", "\uE2F0", 62],
      ["f480", "\uE32F", 124],
      ["f540", "\uE3AC", 62],
      ["f580", "\uE3EB", 124],
      ["f640", "\uE468", 62],
      ["f680", "\uE4A7", 124],
      ["f740", "\uE524", 62],
      ["f780", "\uE563", 124],
      ["f840", "\uE5E0", 62],
      ["f880", "\uE61F", 124],
      ["f940", "\uE69C"],
      ["fa40", "\u2170", 9, "\u2160", 9, "\uFFE2\uFFE4\uFF07\uFF02\u3231\u2116\u2121\u2235\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A"],
      ["fa80", "\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F"],
      ["fb40", "\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19"],
      ["fb80", "\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9"],
      ["fc40", "\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"]
    ];
  }
});

// ../../../node_modules/iconv-lite/encodings/tables/eucjp.json
var require_eucjp = __commonJS({
  "../../../node_modules/iconv-lite/encodings/tables/eucjp.json"(exports, module2) {
    module2.exports = [
      ["0", "\0", 127],
      ["8ea1", "\uFF61", 62],
      ["a1a1", "\u3000\u3001\u3002\uFF0C\uFF0E\u30FB\uFF1A\uFF1B\uFF1F\uFF01\u309B\u309C\xB4\uFF40\xA8\uFF3E\uFFE3\uFF3F\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\u2015\u2010\uFF0F\uFF3C\uFF5E\u2225\uFF5C\u2026\u2025\u2018\u2019\u201C\u201D\uFF08\uFF09\u3014\u3015\uFF3B\uFF3D\uFF5B\uFF5D\u3008", 9, "\uFF0B\uFF0D\xB1\xD7\xF7\uFF1D\u2260\uFF1C\uFF1E\u2266\u2267\u221E\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFFE5\uFF04\uFFE0\uFFE1\uFF05\uFF03\uFF06\uFF0A\uFF20\xA7\u2606\u2605\u25CB\u25CF\u25CE\u25C7"],
      ["a2a1", "\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u203B\u3012\u2192\u2190\u2191\u2193\u3013"],
      ["a2ba", "\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229"],
      ["a2ca", "\u2227\u2228\uFFE2\u21D2\u21D4\u2200\u2203"],
      ["a2dc", "\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C"],
      ["a2f2", "\u212B\u2030\u266F\u266D\u266A\u2020\u2021\xB6"],
      ["a2fe", "\u25EF"],
      ["a3b0", "\uFF10", 9],
      ["a3c1", "\uFF21", 25],
      ["a3e1", "\uFF41", 25],
      ["a4a1", "\u3041", 82],
      ["a5a1", "\u30A1", 85],
      ["a6a1", "\u0391", 16, "\u03A3", 6],
      ["a6c1", "\u03B1", 16, "\u03C3", 6],
      ["a7a1", "\u0410", 5, "\u0401\u0416", 25],
      ["a7d1", "\u0430", 5, "\u0451\u0436", 25],
      ["a8a1", "\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542"],
      ["ada1", "\u2460", 19, "\u2160", 9],
      ["adc0", "\u3349\u3314\u3322\u334D\u3318\u3327\u3303\u3336\u3351\u3357\u330D\u3326\u3323\u332B\u334A\u333B\u339C\u339D\u339E\u338E\u338F\u33C4\u33A1"],
      ["addf", "\u337B\u301D\u301F\u2116\u33CD\u2121\u32A4", 4, "\u3231\u3232\u3239\u337E\u337D\u337C\u2252\u2261\u222B\u222E\u2211\u221A\u22A5\u2220\u221F\u22BF\u2235\u2229\u222A"],
      ["b0a1", "\u4E9C\u5516\u5A03\u963F\u54C0\u611B\u6328\u59F6\u9022\u8475\u831C\u7A50\u60AA\u63E1\u6E25\u65ED\u8466\u82A6\u9BF5\u6893\u5727\u65A1\u6271\u5B9B\u59D0\u867B\u98F4\u7D62\u7DBE\u9B8E\u6216\u7C9F\u88B7\u5B89\u5EB5\u6309\u6697\u6848\u95C7\u978D\u674F\u4EE5\u4F0A\u4F4D\u4F9D\u5049\u56F2\u5937\u59D4\u5A01\u5C09\u60DF\u610F\u6170\u6613\u6905\u70BA\u754F\u7570\u79FB\u7DAD\u7DEF\u80C3\u840E\u8863\u8B02\u9055\u907A\u533B\u4E95\u4EA5\u57DF\u80B2\u90C1\u78EF\u4E00\u58F1\u6EA2\u9038\u7A32\u8328\u828B\u9C2F\u5141\u5370\u54BD\u54E1\u56E0\u59FB\u5F15\u98F2\u6DEB\u80E4\u852D"],
      ["b1a1", "\u9662\u9670\u96A0\u97FB\u540B\u53F3\u5B87\u70CF\u7FBD\u8FC2\u96E8\u536F\u9D5C\u7ABA\u4E11\u7893\u81FC\u6E26\u5618\u5504\u6B1D\u851A\u9C3B\u59E5\u53A9\u6D66\u74DC\u958F\u5642\u4E91\u904B\u96F2\u834F\u990C\u53E1\u55B6\u5B30\u5F71\u6620\u66F3\u6804\u6C38\u6CF3\u6D29\u745B\u76C8\u7A4E\u9834\u82F1\u885B\u8A60\u92ED\u6DB2\u75AB\u76CA\u99C5\u60A6\u8B01\u8D8A\u95B2\u698E\u53AD\u5186\u5712\u5830\u5944\u5BB4\u5EF6\u6028\u63A9\u63F4\u6CBF\u6F14\u708E\u7114\u7159\u71D5\u733F\u7E01\u8276\u82D1\u8597\u9060\u925B\u9D1B\u5869\u65BC\u6C5A\u7525\u51F9\u592E\u5965\u5F80\u5FDC"],
      ["b2a1", "\u62BC\u65FA\u6A2A\u6B27\u6BB4\u738B\u7FC1\u8956\u9D2C\u9D0E\u9EC4\u5CA1\u6C96\u837B\u5104\u5C4B\u61B6\u81C6\u6876\u7261\u4E59\u4FFA\u5378\u6069\u6E29\u7A4F\u97F3\u4E0B\u5316\u4EEE\u4F55\u4F3D\u4FA1\u4F73\u52A0\u53EF\u5609\u590F\u5AC1\u5BB6\u5BE1\u79D1\u6687\u679C\u67B6\u6B4C\u6CB3\u706B\u73C2\u798D\u79BE\u7A3C\u7B87\u82B1\u82DB\u8304\u8377\u83EF\u83D3\u8766\u8AB2\u5629\u8CA8\u8FE6\u904E\u971E\u868A\u4FC4\u5CE8\u6211\u7259\u753B\u81E5\u82BD\u86FE\u8CC0\u96C5\u9913\u99D5\u4ECB\u4F1A\u89E3\u56DE\u584A\u58CA\u5EFB\u5FEB\u602A\u6094\u6062\u61D0\u6212\u62D0\u6539"],
      ["b3a1", "\u9B41\u6666\u68B0\u6D77\u7070\u754C\u7686\u7D75\u82A5\u87F9\u958B\u968E\u8C9D\u51F1\u52BE\u5916\u54B3\u5BB3\u5D16\u6168\u6982\u6DAF\u788D\u84CB\u8857\u8A72\u93A7\u9AB8\u6D6C\u99A8\u86D9\u57A3\u67FF\u86CE\u920E\u5283\u5687\u5404\u5ED3\u62E1\u64B9\u683C\u6838\u6BBB\u7372\u78BA\u7A6B\u899A\u89D2\u8D6B\u8F03\u90ED\u95A3\u9694\u9769\u5B66\u5CB3\u697D\u984D\u984E\u639B\u7B20\u6A2B\u6A7F\u68B6\u9C0D\u6F5F\u5272\u559D\u6070\u62EC\u6D3B\u6E07\u6ED1\u845B\u8910\u8F44\u4E14\u9C39\u53F6\u691B\u6A3A\u9784\u682A\u515C\u7AC3\u84B2\u91DC\u938C\u565B\u9D28\u6822\u8305\u8431"],
      ["b4a1", "\u7CA5\u5208\u82C5\u74E6\u4E7E\u4F83\u51A0\u5BD2\u520A\u52D8\u52E7\u5DFB\u559A\u582A\u59E6\u5B8C\u5B98\u5BDB\u5E72\u5E79\u60A3\u611F\u6163\u61BE\u63DB\u6562\u67D1\u6853\u68FA\u6B3E\u6B53\u6C57\u6F22\u6F97\u6F45\u74B0\u7518\u76E3\u770B\u7AFF\u7BA1\u7C21\u7DE9\u7F36\u7FF0\u809D\u8266\u839E\u89B3\u8ACC\u8CAB\u9084\u9451\u9593\u9591\u95A2\u9665\u97D3\u9928\u8218\u4E38\u542B\u5CB8\u5DCC\u73A9\u764C\u773C\u5CA9\u7FEB\u8D0B\u96C1\u9811\u9854\u9858\u4F01\u4F0E\u5371\u559C\u5668\u57FA\u5947\u5B09\u5BC4\u5C90\u5E0C\u5E7E\u5FCC\u63EE\u673A\u65D7\u65E2\u671F\u68CB\u68C4"],
      ["b5a1", "\u6A5F\u5E30\u6BC5\u6C17\u6C7D\u757F\u7948\u5B63\u7A00\u7D00\u5FBD\u898F\u8A18\u8CB4\u8D77\u8ECC\u8F1D\u98E2\u9A0E\u9B3C\u4E80\u507D\u5100\u5993\u5B9C\u622F\u6280\u64EC\u6B3A\u72A0\u7591\u7947\u7FA9\u87FB\u8ABC\u8B70\u63AC\u83CA\u97A0\u5409\u5403\u55AB\u6854\u6A58\u8A70\u7827\u6775\u9ECD\u5374\u5BA2\u811A\u8650\u9006\u4E18\u4E45\u4EC7\u4F11\u53CA\u5438\u5BAE\u5F13\u6025\u6551\u673D\u6C42\u6C72\u6CE3\u7078\u7403\u7A76\u7AAE\u7B08\u7D1A\u7CFE\u7D66\u65E7\u725B\u53BB\u5C45\u5DE8\u62D2\u62E0\u6319\u6E20\u865A\u8A31\u8DDD\u92F8\u6F01\u79A6\u9B5A\u4EA8\u4EAB\u4EAC"],
      ["b6a1", "\u4F9B\u4FA0\u50D1\u5147\u7AF6\u5171\u51F6\u5354\u5321\u537F\u53EB\u55AC\u5883\u5CE1\u5F37\u5F4A\u602F\u6050\u606D\u631F\u6559\u6A4B\u6CC1\u72C2\u72ED\u77EF\u80F8\u8105\u8208\u854E\u90F7\u93E1\u97FF\u9957\u9A5A\u4EF0\u51DD\u5C2D\u6681\u696D\u5C40\u66F2\u6975\u7389\u6850\u7C81\u50C5\u52E4\u5747\u5DFE\u9326\u65A4\u6B23\u6B3D\u7434\u7981\u79BD\u7B4B\u7DCA\u82B9\u83CC\u887F\u895F\u8B39\u8FD1\u91D1\u541F\u9280\u4E5D\u5036\u53E5\u533A\u72D7\u7396\u77E9\u82E6\u8EAF\u99C6\u99C8\u99D2\u5177\u611A\u865E\u55B0\u7A7A\u5076\u5BD3\u9047\u9685\u4E32\u6ADB\u91E7\u5C51\u5C48"],
      ["b7a1", "\u6398\u7A9F\u6C93\u9774\u8F61\u7AAA\u718A\u9688\u7C82\u6817\u7E70\u6851\u936C\u52F2\u541B\u85AB\u8A13\u7FA4\u8ECD\u90E1\u5366\u8888\u7941\u4FC2\u50BE\u5211\u5144\u5553\u572D\u73EA\u578B\u5951\u5F62\u5F84\u6075\u6176\u6167\u61A9\u63B2\u643A\u656C\u666F\u6842\u6E13\u7566\u7A3D\u7CFB\u7D4C\u7D99\u7E4B\u7F6B\u830E\u834A\u86CD\u8A08\u8A63\u8B66\u8EFD\u981A\u9D8F\u82B8\u8FCE\u9BE8\u5287\u621F\u6483\u6FC0\u9699\u6841\u5091\u6B20\u6C7A\u6F54\u7A74\u7D50\u8840\u8A23\u6708\u4EF6\u5039\u5026\u5065\u517C\u5238\u5263\u55A7\u570F\u5805\u5ACC\u5EFA\u61B2\u61F8\u62F3\u6372"],
      ["b8a1", "\u691C\u6A29\u727D\u72AC\u732E\u7814\u786F\u7D79\u770C\u80A9\u898B\u8B19\u8CE2\u8ED2\u9063\u9375\u967A\u9855\u9A13\u9E78\u5143\u539F\u53B3\u5E7B\u5F26\u6E1B\u6E90\u7384\u73FE\u7D43\u8237\u8A00\u8AFA\u9650\u4E4E\u500B\u53E4\u547C\u56FA\u59D1\u5B64\u5DF1\u5EAB\u5F27\u6238\u6545\u67AF\u6E56\u72D0\u7CCA\u88B4\u80A1\u80E1\u83F0\u864E\u8A87\u8DE8\u9237\u96C7\u9867\u9F13\u4E94\u4E92\u4F0D\u5348\u5449\u543E\u5A2F\u5F8C\u5FA1\u609F\u68A7\u6A8E\u745A\u7881\u8A9E\u8AA4\u8B77\u9190\u4E5E\u9BC9\u4EA4\u4F7C\u4FAF\u5019\u5016\u5149\u516C\u529F\u52B9\u52FE\u539A\u53E3\u5411"],
      ["b9a1", "\u540E\u5589\u5751\u57A2\u597D\u5B54\u5B5D\u5B8F\u5DE5\u5DE7\u5DF7\u5E78\u5E83\u5E9A\u5EB7\u5F18\u6052\u614C\u6297\u62D8\u63A7\u653B\u6602\u6643\u66F4\u676D\u6821\u6897\u69CB\u6C5F\u6D2A\u6D69\u6E2F\u6E9D\u7532\u7687\u786C\u7A3F\u7CE0\u7D05\u7D18\u7D5E\u7DB1\u8015\u8003\u80AF\u80B1\u8154\u818F\u822A\u8352\u884C\u8861\u8B1B\u8CA2\u8CFC\u90CA\u9175\u9271\u783F\u92FC\u95A4\u964D\u9805\u9999\u9AD8\u9D3B\u525B\u52AB\u53F7\u5408\u58D5\u62F7\u6FE0\u8C6A\u8F5F\u9EB9\u514B\u523B\u544A\u56FD\u7A40\u9177\u9D60\u9ED2\u7344\u6F09\u8170\u7511\u5FFD\u60DA\u9AA8\u72DB\u8FBC"],
      ["baa1", "\u6B64\u9803\u4ECA\u56F0\u5764\u58BE\u5A5A\u6068\u61C7\u660F\u6606\u6839\u68B1\u6DF7\u75D5\u7D3A\u826E\u9B42\u4E9B\u4F50\u53C9\u5506\u5D6F\u5DE6\u5DEE\u67FB\u6C99\u7473\u7802\u8A50\u9396\u88DF\u5750\u5EA7\u632B\u50B5\u50AC\u518D\u6700\u54C9\u585E\u59BB\u5BB0\u5F69\u624D\u63A1\u683D\u6B73\u6E08\u707D\u91C7\u7280\u7815\u7826\u796D\u658E\u7D30\u83DC\u88C1\u8F09\u969B\u5264\u5728\u6750\u7F6A\u8CA1\u51B4\u5742\u962A\u583A\u698A\u80B4\u54B2\u5D0E\u57FC\u7895\u9DFA\u4F5C\u524A\u548B\u643E\u6628\u6714\u67F5\u7A84\u7B56\u7D22\u932F\u685C\u9BAD\u7B39\u5319\u518A\u5237"],
      ["bba1", "\u5BDF\u62F6\u64AE\u64E6\u672D\u6BBA\u85A9\u96D1\u7690\u9BD6\u634C\u9306\u9BAB\u76BF\u6652\u4E09\u5098\u53C2\u5C71\u60E8\u6492\u6563\u685F\u71E6\u73CA\u7523\u7B97\u7E82\u8695\u8B83\u8CDB\u9178\u9910\u65AC\u66AB\u6B8B\u4ED5\u4ED4\u4F3A\u4F7F\u523A\u53F8\u53F2\u55E3\u56DB\u58EB\u59CB\u59C9\u59FF\u5B50\u5C4D\u5E02\u5E2B\u5FD7\u601D\u6307\u652F\u5B5C\u65AF\u65BD\u65E8\u679D\u6B62\u6B7B\u6C0F\u7345\u7949\u79C1\u7CF8\u7D19\u7D2B\u80A2\u8102\u81F3\u8996\u8A5E\u8A69\u8A66\u8A8C\u8AEE\u8CC7\u8CDC\u96CC\u98FC\u6B6F\u4E8B\u4F3C\u4F8D\u5150\u5B57\u5BFA\u6148\u6301\u6642"],
      ["bca1", "\u6B21\u6ECB\u6CBB\u723E\u74BD\u75D4\u78C1\u793A\u800C\u8033\u81EA\u8494\u8F9E\u6C50\u9E7F\u5F0F\u8B58\u9D2B\u7AFA\u8EF8\u5B8D\u96EB\u4E03\u53F1\u57F7\u5931\u5AC9\u5BA4\u6089\u6E7F\u6F06\u75BE\u8CEA\u5B9F\u8500\u7BE0\u5072\u67F4\u829D\u5C61\u854A\u7E1E\u820E\u5199\u5C04\u6368\u8D66\u659C\u716E\u793E\u7D17\u8005\u8B1D\u8ECA\u906E\u86C7\u90AA\u501F\u52FA\u5C3A\u6753\u707C\u7235\u914C\u91C8\u932B\u82E5\u5BC2\u5F31\u60F9\u4E3B\u53D6\u5B88\u624B\u6731\u6B8A\u72E9\u73E0\u7A2E\u816B\u8DA3\u9152\u9996\u5112\u53D7\u546A\u5BFF\u6388\u6A39\u7DAC\u9700\u56DA\u53CE\u5468"],
      ["bda1", "\u5B97\u5C31\u5DDE\u4FEE\u6101\u62FE\u6D32\u79C0\u79CB\u7D42\u7E4D\u7FD2\u81ED\u821F\u8490\u8846\u8972\u8B90\u8E74\u8F2F\u9031\u914B\u916C\u96C6\u919C\u4EC0\u4F4F\u5145\u5341\u5F93\u620E\u67D4\u6C41\u6E0B\u7363\u7E26\u91CD\u9283\u53D4\u5919\u5BBF\u6DD1\u795D\u7E2E\u7C9B\u587E\u719F\u51FA\u8853\u8FF0\u4FCA\u5CFB\u6625\u77AC\u7AE3\u821C\u99FF\u51C6\u5FAA\u65EC\u696F\u6B89\u6DF3\u6E96\u6F64\u76FE\u7D14\u5DE1\u9075\u9187\u9806\u51E6\u521D\u6240\u6691\u66D9\u6E1A\u5EB6\u7DD2\u7F72\u66F8\u85AF\u85F7\u8AF8\u52A9\u53D9\u5973\u5E8F\u5F90\u6055\u92E4\u9664\u50B7\u511F"],
      ["bea1", "\u52DD\u5320\u5347\u53EC\u54E8\u5546\u5531\u5617\u5968\u59BE\u5A3C\u5BB5\u5C06\u5C0F\u5C11\u5C1A\u5E84\u5E8A\u5EE0\u5F70\u627F\u6284\u62DB\u638C\u6377\u6607\u660C\u662D\u6676\u677E\u68A2\u6A1F\u6A35\u6CBC\u6D88\u6E09\u6E58\u713C\u7126\u7167\u75C7\u7701\u785D\u7901\u7965\u79F0\u7AE0\u7B11\u7CA7\u7D39\u8096\u83D6\u848B\u8549\u885D\u88F3\u8A1F\u8A3C\u8A54\u8A73\u8C61\u8CDE\u91A4\u9266\u937E\u9418\u969C\u9798\u4E0A\u4E08\u4E1E\u4E57\u5197\u5270\u57CE\u5834\u58CC\u5B22\u5E38\u60C5\u64FE\u6761\u6756\u6D44\u72B6\u7573\u7A63\u84B8\u8B72\u91B8\u9320\u5631\u57F4\u98FE"],
      ["bfa1", "\u62ED\u690D\u6B96\u71ED\u7E54\u8077\u8272\u89E6\u98DF\u8755\u8FB1\u5C3B\u4F38\u4FE1\u4FB5\u5507\u5A20\u5BDD\u5BE9\u5FC3\u614E\u632F\u65B0\u664B\u68EE\u699B\u6D78\u6DF1\u7533\u75B9\u771F\u795E\u79E6\u7D33\u81E3\u82AF\u85AA\u89AA\u8A3A\u8EAB\u8F9B\u9032\u91DD\u9707\u4EBA\u4EC1\u5203\u5875\u58EC\u5C0B\u751A\u5C3D\u814E\u8A0A\u8FC5\u9663\u976D\u7B25\u8ACF\u9808\u9162\u56F3\u53A8\u9017\u5439\u5782\u5E25\u63A8\u6C34\u708A\u7761\u7C8B\u7FE0\u8870\u9042\u9154\u9310\u9318\u968F\u745E\u9AC4\u5D07\u5D69\u6570\u67A2\u8DA8\u96DB\u636E\u6749\u6919\u83C5\u9817\u96C0\u88FE"],
      ["c0a1", "\u6F84\u647A\u5BF8\u4E16\u702C\u755D\u662F\u51C4\u5236\u52E2\u59D3\u5F81\u6027\u6210\u653F\u6574\u661F\u6674\u68F2\u6816\u6B63\u6E05\u7272\u751F\u76DB\u7CBE\u8056\u58F0\u88FD\u897F\u8AA0\u8A93\u8ACB\u901D\u9192\u9752\u9759\u6589\u7A0E\u8106\u96BB\u5E2D\u60DC\u621A\u65A5\u6614\u6790\u77F3\u7A4D\u7C4D\u7E3E\u810A\u8CAC\u8D64\u8DE1\u8E5F\u78A9\u5207\u62D9\u63A5\u6442\u6298\u8A2D\u7A83\u7BC0\u8AAC\u96EA\u7D76\u820C\u8749\u4ED9\u5148\u5343\u5360\u5BA3\u5C02\u5C16\u5DDD\u6226\u6247\u64B0\u6813\u6834\u6CC9\u6D45\u6D17\u67D3\u6F5C\u714E\u717D\u65CB\u7A7F\u7BAD\u7DDA"],
      ["c1a1", "\u7E4A\u7FA8\u817A\u821B\u8239\u85A6\u8A6E\u8CCE\u8DF5\u9078\u9077\u92AD\u9291\u9583\u9BAE\u524D\u5584\u6F38\u7136\u5168\u7985\u7E55\u81B3\u7CCE\u564C\u5851\u5CA8\u63AA\u66FE\u66FD\u695A\u72D9\u758F\u758E\u790E\u7956\u79DF\u7C97\u7D20\u7D44\u8607\u8A34\u963B\u9061\u9F20\u50E7\u5275\u53CC\u53E2\u5009\u55AA\u58EE\u594F\u723D\u5B8B\u5C64\u531D\u60E3\u60F3\u635C\u6383\u633F\u63BB\u64CD\u65E9\u66F9\u5DE3\u69CD\u69FD\u6F15\u71E5\u4E89\u75E9\u76F8\u7A93\u7CDF\u7DCF\u7D9C\u8061\u8349\u8358\u846C\u84BC\u85FB\u88C5\u8D70\u9001\u906D\u9397\u971C\u9A12\u50CF\u5897\u618E"],
      ["c2a1", "\u81D3\u8535\u8D08\u9020\u4FC3\u5074\u5247\u5373\u606F\u6349\u675F\u6E2C\u8DB3\u901F\u4FD7\u5C5E\u8CCA\u65CF\u7D9A\u5352\u8896\u5176\u63C3\u5B58\u5B6B\u5C0A\u640D\u6751\u905C\u4ED6\u591A\u592A\u6C70\u8A51\u553E\u5815\u59A5\u60F0\u6253\u67C1\u8235\u6955\u9640\u99C4\u9A28\u4F53\u5806\u5BFE\u8010\u5CB1\u5E2F\u5F85\u6020\u614B\u6234\u66FF\u6CF0\u6EDE\u80CE\u817F\u82D4\u888B\u8CB8\u9000\u902E\u968A\u9EDB\u9BDB\u4EE3\u53F0\u5927\u7B2C\u918D\u984C\u9DF9\u6EDD\u7027\u5353\u5544\u5B85\u6258\u629E\u62D3\u6CA2\u6FEF\u7422\u8A17\u9438\u6FC1\u8AFE\u8338\u51E7\u86F8\u53EA"],
      ["c3a1", "\u53E9\u4F46\u9054\u8FB0\u596A\u8131\u5DFD\u7AEA\u8FBF\u68DA\u8C37\u72F8\u9C48\u6A3D\u8AB0\u4E39\u5358\u5606\u5766\u62C5\u63A2\u65E6\u6B4E\u6DE1\u6E5B\u70AD\u77ED\u7AEF\u7BAA\u7DBB\u803D\u80C6\u86CB\u8A95\u935B\u56E3\u58C7\u5F3E\u65AD\u6696\u6A80\u6BB5\u7537\u8AC7\u5024\u77E5\u5730\u5F1B\u6065\u667A\u6C60\u75F4\u7A1A\u7F6E\u81F4\u8718\u9045\u99B3\u7BC9\u755C\u7AF9\u7B51\u84C4\u9010\u79E9\u7A92\u8336\u5AE1\u7740\u4E2D\u4EF2\u5B99\u5FE0\u62BD\u663C\u67F1\u6CE8\u866B\u8877\u8A3B\u914E\u92F3\u99D0\u6A17\u7026\u732A\u82E7\u8457\u8CAF\u4E01\u5146\u51CB\u558B\u5BF5"],
      ["c4a1", "\u5E16\u5E33\u5E81\u5F14\u5F35\u5F6B\u5FB4\u61F2\u6311\u66A2\u671D\u6F6E\u7252\u753A\u773A\u8074\u8139\u8178\u8776\u8ABF\u8ADC\u8D85\u8DF3\u929A\u9577\u9802\u9CE5\u52C5\u6357\u76F4\u6715\u6C88\u73CD\u8CC3\u93AE\u9673\u6D25\u589C\u690E\u69CC\u8FFD\u939A\u75DB\u901A\u585A\u6802\u63B4\u69FB\u4F43\u6F2C\u67D8\u8FBB\u8526\u7DB4\u9354\u693F\u6F70\u576A\u58F7\u5B2C\u7D2C\u722A\u540A\u91E3\u9DB4\u4EAD\u4F4E\u505C\u5075\u5243\u8C9E\u5448\u5824\u5B9A\u5E1D\u5E95\u5EAD\u5EF7\u5F1F\u608C\u62B5\u633A\u63D0\u68AF\u6C40\u7887\u798E\u7A0B\u7DE0\u8247\u8A02\u8AE6\u8E44\u9013"],
      ["c5a1", "\u90B8\u912D\u91D8\u9F0E\u6CE5\u6458\u64E2\u6575\u6EF4\u7684\u7B1B\u9069\u93D1\u6EBA\u54F2\u5FB9\u64A4\u8F4D\u8FED\u9244\u5178\u586B\u5929\u5C55\u5E97\u6DFB\u7E8F\u751C\u8CBC\u8EE2\u985B\u70B9\u4F1D\u6BBF\u6FB1\u7530\u96FB\u514E\u5410\u5835\u5857\u59AC\u5C60\u5F92\u6597\u675C\u6E21\u767B\u83DF\u8CED\u9014\u90FD\u934D\u7825\u783A\u52AA\u5EA6\u571F\u5974\u6012\u5012\u515A\u51AC\u51CD\u5200\u5510\u5854\u5858\u5957\u5B95\u5CF6\u5D8B\u60BC\u6295\u642D\u6771\u6843\u68BC\u68DF\u76D7\u6DD8\u6E6F\u6D9B\u706F\u71C8\u5F53\u75D8\u7977\u7B49\u7B54\u7B52\u7CD6\u7D71\u5230"],
      ["c6a1", "\u8463\u8569\u85E4\u8A0E\u8B04\u8C46\u8E0F\u9003\u900F\u9419\u9676\u982D\u9A30\u95D8\u50CD\u52D5\u540C\u5802\u5C0E\u61A7\u649E\u6D1E\u77B3\u7AE5\u80F4\u8404\u9053\u9285\u5CE0\u9D07\u533F\u5F97\u5FB3\u6D9C\u7279\u7763\u79BF\u7BE4\u6BD2\u72EC\u8AAD\u6803\u6A61\u51F8\u7A81\u6934\u5C4A\u9CF6\u82EB\u5BC5\u9149\u701E\u5678\u5C6F\u60C7\u6566\u6C8C\u8C5A\u9041\u9813\u5451\u66C7\u920D\u5948\u90A3\u5185\u4E4D\u51EA\u8599\u8B0E\u7058\u637A\u934B\u6962\u99B4\u7E04\u7577\u5357\u6960\u8EDF\u96E3\u6C5D\u4E8C\u5C3C\u5F10\u8FE9\u5302\u8CD1\u8089\u8679\u5EFF\u65E5\u4E73\u5165"],
      ["c7a1", "\u5982\u5C3F\u97EE\u4EFB\u598A\u5FCD\u8A8D\u6FE1\u79B0\u7962\u5BE7\u8471\u732B\u71B1\u5E74\u5FF5\u637B\u649A\u71C3\u7C98\u4E43\u5EFC\u4E4B\u57DC\u56A2\u60A9\u6FC3\u7D0D\u80FD\u8133\u81BF\u8FB2\u8997\u86A4\u5DF4\u628A\u64AD\u8987\u6777\u6CE2\u6D3E\u7436\u7834\u5A46\u7F75\u82AD\u99AC\u4FF3\u5EC3\u62DD\u6392\u6557\u676F\u76C3\u724C\u80CC\u80BA\u8F29\u914D\u500D\u57F9\u5A92\u6885\u6973\u7164\u72FD\u8CB7\u58F2\u8CE0\u966A\u9019\u877F\u79E4\u77E7\u8429\u4F2F\u5265\u535A\u62CD\u67CF\u6CCA\u767D\u7B94\u7C95\u8236\u8584\u8FEB\u66DD\u6F20\u7206\u7E1B\u83AB\u99C1\u9EA6"],
      ["c8a1", "\u51FD\u7BB1\u7872\u7BB8\u8087\u7B48\u6AE8\u5E61\u808C\u7551\u7560\u516B\u9262\u6E8C\u767A\u9197\u9AEA\u4F10\u7F70\u629C\u7B4F\u95A5\u9CE9\u567A\u5859\u86E4\u96BC\u4F34\u5224\u534A\u53CD\u53DB\u5E06\u642C\u6591\u677F\u6C3E\u6C4E\u7248\u72AF\u73ED\u7554\u7E41\u822C\u85E9\u8CA9\u7BC4\u91C6\u7169\u9812\u98EF\u633D\u6669\u756A\u76E4\u78D0\u8543\u86EE\u532A\u5351\u5426\u5983\u5E87\u5F7C\u60B2\u6249\u6279\u62AB\u6590\u6BD4\u6CCC\u75B2\u76AE\u7891\u79D8\u7DCB\u7F77\u80A5\u88AB\u8AB9\u8CBB\u907F\u975E\u98DB\u6A0B\u7C38\u5099\u5C3E\u5FAE\u6787\u6BD8\u7435\u7709\u7F8E"],
      ["c9a1", "\u9F3B\u67CA\u7A17\u5339\u758B\u9AED\u5F66\u819D\u83F1\u8098\u5F3C\u5FC5\u7562\u7B46\u903C\u6867\u59EB\u5A9B\u7D10\u767E\u8B2C\u4FF5\u5F6A\u6A19\u6C37\u6F02\u74E2\u7968\u8868\u8A55\u8C79\u5EDF\u63CF\u75C5\u79D2\u82D7\u9328\u92F2\u849C\u86ED\u9C2D\u54C1\u5F6C\u658C\u6D5C\u7015\u8CA7\u8CD3\u983B\u654F\u74F6\u4E0D\u4ED8\u57E0\u592B\u5A66\u5BCC\u51A8\u5E03\u5E9C\u6016\u6276\u6577\u65A7\u666E\u6D6E\u7236\u7B26\u8150\u819A\u8299\u8B5C\u8CA0\u8CE6\u8D74\u961C\u9644\u4FAE\u64AB\u6B66\u821E\u8461\u856A\u90E8\u5C01\u6953\u98A8\u847A\u8557\u4F0F\u526F\u5FA9\u5E45\u670D"],
      ["caa1", "\u798F\u8179\u8907\u8986\u6DF5\u5F17\u6255\u6CB8\u4ECF\u7269\u9B92\u5206\u543B\u5674\u58B3\u61A4\u626E\u711A\u596E\u7C89\u7CDE\u7D1B\u96F0\u6587\u805E\u4E19\u4F75\u5175\u5840\u5E63\u5E73\u5F0A\u67C4\u4E26\u853D\u9589\u965B\u7C73\u9801\u50FB\u58C1\u7656\u78A7\u5225\u77A5\u8511\u7B86\u504F\u5909\u7247\u7BC7\u7DE8\u8FBA\u8FD4\u904D\u4FBF\u52C9\u5A29\u5F01\u97AD\u4FDD\u8217\u92EA\u5703\u6355\u6B69\u752B\u88DC\u8F14\u7A42\u52DF\u5893\u6155\u620A\u66AE\u6BCD\u7C3F\u83E9\u5023\u4FF8\u5305\u5446\u5831\u5949\u5B9D\u5CF0\u5CEF\u5D29\u5E96\u62B1\u6367\u653E\u65B9\u670B"],
      ["cba1", "\u6CD5\u6CE1\u70F9\u7832\u7E2B\u80DE\u82B3\u840C\u84EC\u8702\u8912\u8A2A\u8C4A\u90A6\u92D2\u98FD\u9CF3\u9D6C\u4E4F\u4EA1\u508D\u5256\u574A\u59A8\u5E3D\u5FD8\u5FD9\u623F\u66B4\u671B\u67D0\u68D2\u5192\u7D21\u80AA\u81A8\u8B00\u8C8C\u8CBF\u927E\u9632\u5420\u982C\u5317\u50D5\u535C\u58A8\u64B2\u6734\u7267\u7766\u7A46\u91E6\u52C3\u6CA1\u6B86\u5800\u5E4C\u5954\u672C\u7FFB\u51E1\u76C6\u6469\u78E8\u9B54\u9EBB\u57CB\u59B9\u6627\u679A\u6BCE\u54E9\u69D9\u5E55\u819C\u6795\u9BAA\u67FE\u9C52\u685D\u4EA6\u4FE3\u53C8\u62B9\u672B\u6CAB\u8FC4\u4FAD\u7E6D\u9EBF\u4E07\u6162\u6E80"],
      ["cca1", "\u6F2B\u8513\u5473\u672A\u9B45\u5DF3\u7B95\u5CAC\u5BC6\u871C\u6E4A\u84D1\u7A14\u8108\u5999\u7C8D\u6C11\u7720\u52D9\u5922\u7121\u725F\u77DB\u9727\u9D61\u690B\u5A7F\u5A18\u51A5\u540D\u547D\u660E\u76DF\u8FF7\u9298\u9CF4\u59EA\u725D\u6EC5\u514D\u68C9\u7DBF\u7DEC\u9762\u9EBA\u6478\u6A21\u8302\u5984\u5B5F\u6BDB\u731B\u76F2\u7DB2\u8017\u8499\u5132\u6728\u9ED9\u76EE\u6762\u52FF\u9905\u5C24\u623B\u7C7E\u8CB0\u554F\u60B6\u7D0B\u9580\u5301\u4E5F\u51B6\u591C\u723A\u8036\u91CE\u5F25\u77E2\u5384\u5F79\u7D04\u85AC\u8A33\u8E8D\u9756\u67F3\u85AE\u9453\u6109\u6108\u6CB9\u7652"],
      ["cda1", "\u8AED\u8F38\u552F\u4F51\u512A\u52C7\u53CB\u5BA5\u5E7D\u60A0\u6182\u63D6\u6709\u67DA\u6E67\u6D8C\u7336\u7337\u7531\u7950\u88D5\u8A98\u904A\u9091\u90F5\u96C4\u878D\u5915\u4E88\u4F59\u4E0E\u8A89\u8F3F\u9810\u50AD\u5E7C\u5996\u5BB9\u5EB8\u63DA\u63FA\u64C1\u66DC\u694A\u69D8\u6D0B\u6EB6\u7194\u7528\u7AAF\u7F8A\u8000\u8449\u84C9\u8981\u8B21\u8E0A\u9065\u967D\u990A\u617E\u6291\u6B32\u6C83\u6D74\u7FCC\u7FFC\u6DC0\u7F85\u87BA\u88F8\u6765\u83B1\u983C\u96F7\u6D1B\u7D61\u843D\u916A\u4E71\u5375\u5D50\u6B04\u6FEB\u85CD\u862D\u89A7\u5229\u540F\u5C65\u674E\u68A8\u7406\u7483"],
      ["cea1", "\u75E2\u88CF\u88E1\u91CC\u96E2\u9678\u5F8B\u7387\u7ACB\u844E\u63A0\u7565\u5289\u6D41\u6E9C\u7409\u7559\u786B\u7C92\u9686\u7ADC\u9F8D\u4FB6\u616E\u65C5\u865C\u4E86\u4EAE\u50DA\u4E21\u51CC\u5BEE\u6599\u6881\u6DBC\u731F\u7642\u77AD\u7A1C\u7CE7\u826F\u8AD2\u907C\u91CF\u9675\u9818\u529B\u7DD1\u502B\u5398\u6797\u6DCB\u71D0\u7433\u81E8\u8F2A\u96A3\u9C57\u9E9F\u7460\u5841\u6D99\u7D2F\u985E\u4EE4\u4F36\u4F8B\u51B7\u52B1\u5DBA\u601C\u73B2\u793C\u82D3\u9234\u96B7\u96F6\u970A\u9E97\u9F62\u66A6\u6B74\u5217\u52A3\u70C8\u88C2\u5EC9\u604B\u6190\u6F23\u7149\u7C3E\u7DF4\u806F"],
      ["cfa1", "\u84EE\u9023\u932C\u5442\u9B6F\u6AD3\u7089\u8CC2\u8DEF\u9732\u52B4\u5A41\u5ECA\u5F04\u6717\u697C\u6994\u6D6A\u6F0F\u7262\u72FC\u7BED\u8001\u807E\u874B\u90CE\u516D\u9E93\u7984\u808B\u9332\u8AD6\u502D\u548C\u8A71\u6B6A\u8CC4\u8107\u60D1\u67A0\u9DF2\u4E99\u4E98\u9C10\u8A6B\u85C1\u8568\u6900\u6E7E\u7897\u8155"],
      ["d0a1", "\u5F0C\u4E10\u4E15\u4E2A\u4E31\u4E36\u4E3C\u4E3F\u4E42\u4E56\u4E58\u4E82\u4E85\u8C6B\u4E8A\u8212\u5F0D\u4E8E\u4E9E\u4E9F\u4EA0\u4EA2\u4EB0\u4EB3\u4EB6\u4ECE\u4ECD\u4EC4\u4EC6\u4EC2\u4ED7\u4EDE\u4EED\u4EDF\u4EF7\u4F09\u4F5A\u4F30\u4F5B\u4F5D\u4F57\u4F47\u4F76\u4F88\u4F8F\u4F98\u4F7B\u4F69\u4F70\u4F91\u4F6F\u4F86\u4F96\u5118\u4FD4\u4FDF\u4FCE\u4FD8\u4FDB\u4FD1\u4FDA\u4FD0\u4FE4\u4FE5\u501A\u5028\u5014\u502A\u5025\u5005\u4F1C\u4FF6\u5021\u5029\u502C\u4FFE\u4FEF\u5011\u5006\u5043\u5047\u6703\u5055\u5050\u5048\u505A\u5056\u506C\u5078\u5080\u509A\u5085\u50B4\u50B2"],
      ["d1a1", "\u50C9\u50CA\u50B3\u50C2\u50D6\u50DE\u50E5\u50ED\u50E3\u50EE\u50F9\u50F5\u5109\u5101\u5102\u5116\u5115\u5114\u511A\u5121\u513A\u5137\u513C\u513B\u513F\u5140\u5152\u514C\u5154\u5162\u7AF8\u5169\u516A\u516E\u5180\u5182\u56D8\u518C\u5189\u518F\u5191\u5193\u5195\u5196\u51A4\u51A6\u51A2\u51A9\u51AA\u51AB\u51B3\u51B1\u51B2\u51B0\u51B5\u51BD\u51C5\u51C9\u51DB\u51E0\u8655\u51E9\u51ED\u51F0\u51F5\u51FE\u5204\u520B\u5214\u520E\u5227\u522A\u522E\u5233\u5239\u524F\u5244\u524B\u524C\u525E\u5254\u526A\u5274\u5269\u5273\u527F\u527D\u528D\u5294\u5292\u5271\u5288\u5291\u8FA8"],
      ["d2a1", "\u8FA7\u52AC\u52AD\u52BC\u52B5\u52C1\u52CD\u52D7\u52DE\u52E3\u52E6\u98ED\u52E0\u52F3\u52F5\u52F8\u52F9\u5306\u5308\u7538\u530D\u5310\u530F\u5315\u531A\u5323\u532F\u5331\u5333\u5338\u5340\u5346\u5345\u4E17\u5349\u534D\u51D6\u535E\u5369\u536E\u5918\u537B\u5377\u5382\u5396\u53A0\u53A6\u53A5\u53AE\u53B0\u53B6\u53C3\u7C12\u96D9\u53DF\u66FC\u71EE\u53EE\u53E8\u53ED\u53FA\u5401\u543D\u5440\u542C\u542D\u543C\u542E\u5436\u5429\u541D\u544E\u548F\u5475\u548E\u545F\u5471\u5477\u5470\u5492\u547B\u5480\u5476\u5484\u5490\u5486\u54C7\u54A2\u54B8\u54A5\u54AC\u54C4\u54C8\u54A8"],
      ["d3a1", "\u54AB\u54C2\u54A4\u54BE\u54BC\u54D8\u54E5\u54E6\u550F\u5514\u54FD\u54EE\u54ED\u54FA\u54E2\u5539\u5540\u5563\u554C\u552E\u555C\u5545\u5556\u5557\u5538\u5533\u555D\u5599\u5580\u54AF\u558A\u559F\u557B\u557E\u5598\u559E\u55AE\u557C\u5583\u55A9\u5587\u55A8\u55DA\u55C5\u55DF\u55C4\u55DC\u55E4\u55D4\u5614\u55F7\u5616\u55FE\u55FD\u561B\u55F9\u564E\u5650\u71DF\u5634\u5636\u5632\u5638\u566B\u5664\u562F\u566C\u566A\u5686\u5680\u568A\u56A0\u5694\u568F\u56A5\u56AE\u56B6\u56B4\u56C2\u56BC\u56C1\u56C3\u56C0\u56C8\u56CE\u56D1\u56D3\u56D7\u56EE\u56F9\u5700\u56FF\u5704\u5709"],
      ["d4a1", "\u5708\u570B\u570D\u5713\u5718\u5716\u55C7\u571C\u5726\u5737\u5738\u574E\u573B\u5740\u574F\u5769\u57C0\u5788\u5761\u577F\u5789\u5793\u57A0\u57B3\u57A4\u57AA\u57B0\u57C3\u57C6\u57D4\u57D2\u57D3\u580A\u57D6\u57E3\u580B\u5819\u581D\u5872\u5821\u5862\u584B\u5870\u6BC0\u5852\u583D\u5879\u5885\u58B9\u589F\u58AB\u58BA\u58DE\u58BB\u58B8\u58AE\u58C5\u58D3\u58D1\u58D7\u58D9\u58D8\u58E5\u58DC\u58E4\u58DF\u58EF\u58FA\u58F9\u58FB\u58FC\u58FD\u5902\u590A\u5910\u591B\u68A6\u5925\u592C\u592D\u5932\u5938\u593E\u7AD2\u5955\u5950\u594E\u595A\u5958\u5962\u5960\u5967\u596C\u5969"],
      ["d5a1", "\u5978\u5981\u599D\u4F5E\u4FAB\u59A3\u59B2\u59C6\u59E8\u59DC\u598D\u59D9\u59DA\u5A25\u5A1F\u5A11\u5A1C\u5A09\u5A1A\u5A40\u5A6C\u5A49\u5A35\u5A36\u5A62\u5A6A\u5A9A\u5ABC\u5ABE\u5ACB\u5AC2\u5ABD\u5AE3\u5AD7\u5AE6\u5AE9\u5AD6\u5AFA\u5AFB\u5B0C\u5B0B\u5B16\u5B32\u5AD0\u5B2A\u5B36\u5B3E\u5B43\u5B45\u5B40\u5B51\u5B55\u5B5A\u5B5B\u5B65\u5B69\u5B70\u5B73\u5B75\u5B78\u6588\u5B7A\u5B80\u5B83\u5BA6\u5BB8\u5BC3\u5BC7\u5BC9\u5BD4\u5BD0\u5BE4\u5BE6\u5BE2\u5BDE\u5BE5\u5BEB\u5BF0\u5BF6\u5BF3\u5C05\u5C07\u5C08\u5C0D\u5C13\u5C20\u5C22\u5C28\u5C38\u5C39\u5C41\u5C46\u5C4E\u5C53"],
      ["d6a1", "\u5C50\u5C4F\u5B71\u5C6C\u5C6E\u4E62\u5C76\u5C79\u5C8C\u5C91\u5C94\u599B\u5CAB\u5CBB\u5CB6\u5CBC\u5CB7\u5CC5\u5CBE\u5CC7\u5CD9\u5CE9\u5CFD\u5CFA\u5CED\u5D8C\u5CEA\u5D0B\u5D15\u5D17\u5D5C\u5D1F\u5D1B\u5D11\u5D14\u5D22\u5D1A\u5D19\u5D18\u5D4C\u5D52\u5D4E\u5D4B\u5D6C\u5D73\u5D76\u5D87\u5D84\u5D82\u5DA2\u5D9D\u5DAC\u5DAE\u5DBD\u5D90\u5DB7\u5DBC\u5DC9\u5DCD\u5DD3\u5DD2\u5DD6\u5DDB\u5DEB\u5DF2\u5DF5\u5E0B\u5E1A\u5E19\u5E11\u5E1B\u5E36\u5E37\u5E44\u5E43\u5E40\u5E4E\u5E57\u5E54\u5E5F\u5E62\u5E64\u5E47\u5E75\u5E76\u5E7A\u9EBC\u5E7F\u5EA0\u5EC1\u5EC2\u5EC8\u5ED0\u5ECF"],
      ["d7a1", "\u5ED6\u5EE3\u5EDD\u5EDA\u5EDB\u5EE2\u5EE1\u5EE8\u5EE9\u5EEC\u5EF1\u5EF3\u5EF0\u5EF4\u5EF8\u5EFE\u5F03\u5F09\u5F5D\u5F5C\u5F0B\u5F11\u5F16\u5F29\u5F2D\u5F38\u5F41\u5F48\u5F4C\u5F4E\u5F2F\u5F51\u5F56\u5F57\u5F59\u5F61\u5F6D\u5F73\u5F77\u5F83\u5F82\u5F7F\u5F8A\u5F88\u5F91\u5F87\u5F9E\u5F99\u5F98\u5FA0\u5FA8\u5FAD\u5FBC\u5FD6\u5FFB\u5FE4\u5FF8\u5FF1\u5FDD\u60B3\u5FFF\u6021\u6060\u6019\u6010\u6029\u600E\u6031\u601B\u6015\u602B\u6026\u600F\u603A\u605A\u6041\u606A\u6077\u605F\u604A\u6046\u604D\u6063\u6043\u6064\u6042\u606C\u606B\u6059\u6081\u608D\u60E7\u6083\u609A"],
      ["d8a1", "\u6084\u609B\u6096\u6097\u6092\u60A7\u608B\u60E1\u60B8\u60E0\u60D3\u60B4\u5FF0\u60BD\u60C6\u60B5\u60D8\u614D\u6115\u6106\u60F6\u60F7\u6100\u60F4\u60FA\u6103\u6121\u60FB\u60F1\u610D\u610E\u6147\u613E\u6128\u6127\u614A\u613F\u613C\u612C\u6134\u613D\u6142\u6144\u6173\u6177\u6158\u6159\u615A\u616B\u6174\u616F\u6165\u6171\u615F\u615D\u6153\u6175\u6199\u6196\u6187\u61AC\u6194\u619A\u618A\u6191\u61AB\u61AE\u61CC\u61CA\u61C9\u61F7\u61C8\u61C3\u61C6\u61BA\u61CB\u7F79\u61CD\u61E6\u61E3\u61F6\u61FA\u61F4\u61FF\u61FD\u61FC\u61FE\u6200\u6208\u6209\u620D\u620C\u6214\u621B"],
      ["d9a1", "\u621E\u6221\u622A\u622E\u6230\u6232\u6233\u6241\u624E\u625E\u6263\u625B\u6260\u6268\u627C\u6282\u6289\u627E\u6292\u6293\u6296\u62D4\u6283\u6294\u62D7\u62D1\u62BB\u62CF\u62FF\u62C6\u64D4\u62C8\u62DC\u62CC\u62CA\u62C2\u62C7\u629B\u62C9\u630C\u62EE\u62F1\u6327\u6302\u6308\u62EF\u62F5\u6350\u633E\u634D\u641C\u634F\u6396\u638E\u6380\u63AB\u6376\u63A3\u638F\u6389\u639F\u63B5\u636B\u6369\u63BE\u63E9\u63C0\u63C6\u63E3\u63C9\u63D2\u63F6\u63C4\u6416\u6434\u6406\u6413\u6426\u6436\u651D\u6417\u6428\u640F\u6467\u646F\u6476\u644E\u652A\u6495\u6493\u64A5\u64A9\u6488\u64BC"],
      ["daa1", "\u64DA\u64D2\u64C5\u64C7\u64BB\u64D8\u64C2\u64F1\u64E7\u8209\u64E0\u64E1\u62AC\u64E3\u64EF\u652C\u64F6\u64F4\u64F2\u64FA\u6500\u64FD\u6518\u651C\u6505\u6524\u6523\u652B\u6534\u6535\u6537\u6536\u6538\u754B\u6548\u6556\u6555\u654D\u6558\u655E\u655D\u6572\u6578\u6582\u6583\u8B8A\u659B\u659F\u65AB\u65B7\u65C3\u65C6\u65C1\u65C4\u65CC\u65D2\u65DB\u65D9\u65E0\u65E1\u65F1\u6772\u660A\u6603\u65FB\u6773\u6635\u6636\u6634\u661C\u664F\u6644\u6649\u6641\u665E\u665D\u6664\u6667\u6668\u665F\u6662\u6670\u6683\u6688\u668E\u6689\u6684\u6698\u669D\u66C1\u66B9\u66C9\u66BE\u66BC"],
      ["dba1", "\u66C4\u66B8\u66D6\u66DA\u66E0\u663F\u66E6\u66E9\u66F0\u66F5\u66F7\u670F\u6716\u671E\u6726\u6727\u9738\u672E\u673F\u6736\u6741\u6738\u6737\u6746\u675E\u6760\u6759\u6763\u6764\u6789\u6770\u67A9\u677C\u676A\u678C\u678B\u67A6\u67A1\u6785\u67B7\u67EF\u67B4\u67EC\u67B3\u67E9\u67B8\u67E4\u67DE\u67DD\u67E2\u67EE\u67B9\u67CE\u67C6\u67E7\u6A9C\u681E\u6846\u6829\u6840\u684D\u6832\u684E\u68B3\u682B\u6859\u6863\u6877\u687F\u689F\u688F\u68AD\u6894\u689D\u689B\u6883\u6AAE\u68B9\u6874\u68B5\u68A0\u68BA\u690F\u688D\u687E\u6901\u68CA\u6908\u68D8\u6922\u6926\u68E1\u690C\u68CD"],
      ["dca1", "\u68D4\u68E7\u68D5\u6936\u6912\u6904\u68D7\u68E3\u6925\u68F9\u68E0\u68EF\u6928\u692A\u691A\u6923\u6921\u68C6\u6979\u6977\u695C\u6978\u696B\u6954\u697E\u696E\u6939\u6974\u693D\u6959\u6930\u6961\u695E\u695D\u6981\u696A\u69B2\u69AE\u69D0\u69BF\u69C1\u69D3\u69BE\u69CE\u5BE8\u69CA\u69DD\u69BB\u69C3\u69A7\u6A2E\u6991\u69A0\u699C\u6995\u69B4\u69DE\u69E8\u6A02\u6A1B\u69FF\u6B0A\u69F9\u69F2\u69E7\u6A05\u69B1\u6A1E\u69ED\u6A14\u69EB\u6A0A\u6A12\u6AC1\u6A23\u6A13\u6A44\u6A0C\u6A72\u6A36\u6A78\u6A47\u6A62\u6A59\u6A66\u6A48\u6A38\u6A22\u6A90\u6A8D\u6AA0\u6A84\u6AA2\u6AA3"],
      ["dda1", "\u6A97\u8617\u6ABB\u6AC3\u6AC2\u6AB8\u6AB3\u6AAC\u6ADE\u6AD1\u6ADF\u6AAA\u6ADA\u6AEA\u6AFB\u6B05\u8616\u6AFA\u6B12\u6B16\u9B31\u6B1F\u6B38\u6B37\u76DC\u6B39\u98EE\u6B47\u6B43\u6B49\u6B50\u6B59\u6B54\u6B5B\u6B5F\u6B61\u6B78\u6B79\u6B7F\u6B80\u6B84\u6B83\u6B8D\u6B98\u6B95\u6B9E\u6BA4\u6BAA\u6BAB\u6BAF\u6BB2\u6BB1\u6BB3\u6BB7\u6BBC\u6BC6\u6BCB\u6BD3\u6BDF\u6BEC\u6BEB\u6BF3\u6BEF\u9EBE\u6C08\u6C13\u6C14\u6C1B\u6C24\u6C23\u6C5E\u6C55\u6C62\u6C6A\u6C82\u6C8D\u6C9A\u6C81\u6C9B\u6C7E\u6C68\u6C73\u6C92\u6C90\u6CC4\u6CF1\u6CD3\u6CBD\u6CD7\u6CC5\u6CDD\u6CAE\u6CB1\u6CBE"],
      ["dea1", "\u6CBA\u6CDB\u6CEF\u6CD9\u6CEA\u6D1F\u884D\u6D36\u6D2B\u6D3D\u6D38\u6D19\u6D35\u6D33\u6D12\u6D0C\u6D63\u6D93\u6D64\u6D5A\u6D79\u6D59\u6D8E\u6D95\u6FE4\u6D85\u6DF9\u6E15\u6E0A\u6DB5\u6DC7\u6DE6\u6DB8\u6DC6\u6DEC\u6DDE\u6DCC\u6DE8\u6DD2\u6DC5\u6DFA\u6DD9\u6DE4\u6DD5\u6DEA\u6DEE\u6E2D\u6E6E\u6E2E\u6E19\u6E72\u6E5F\u6E3E\u6E23\u6E6B\u6E2B\u6E76\u6E4D\u6E1F\u6E43\u6E3A\u6E4E\u6E24\u6EFF\u6E1D\u6E38\u6E82\u6EAA\u6E98\u6EC9\u6EB7\u6ED3\u6EBD\u6EAF\u6EC4\u6EB2\u6ED4\u6ED5\u6E8F\u6EA5\u6EC2\u6E9F\u6F41\u6F11\u704C\u6EEC\u6EF8\u6EFE\u6F3F\u6EF2\u6F31\u6EEF\u6F32\u6ECC"],
      ["dfa1", "\u6F3E\u6F13\u6EF7\u6F86\u6F7A\u6F78\u6F81\u6F80\u6F6F\u6F5B\u6FF3\u6F6D\u6F82\u6F7C\u6F58\u6F8E\u6F91\u6FC2\u6F66\u6FB3\u6FA3\u6FA1\u6FA4\u6FB9\u6FC6\u6FAA\u6FDF\u6FD5\u6FEC\u6FD4\u6FD8\u6FF1\u6FEE\u6FDB\u7009\u700B\u6FFA\u7011\u7001\u700F\u6FFE\u701B\u701A\u6F74\u701D\u7018\u701F\u7030\u703E\u7032\u7051\u7063\u7099\u7092\u70AF\u70F1\u70AC\u70B8\u70B3\u70AE\u70DF\u70CB\u70DD\u70D9\u7109\u70FD\u711C\u7119\u7165\u7155\u7188\u7166\u7162\u714C\u7156\u716C\u718F\u71FB\u7184\u7195\u71A8\u71AC\u71D7\u71B9\u71BE\u71D2\u71C9\u71D4\u71CE\u71E0\u71EC\u71E7\u71F5\u71FC"],
      ["e0a1", "\u71F9\u71FF\u720D\u7210\u721B\u7228\u722D\u722C\u7230\u7232\u723B\u723C\u723F\u7240\u7246\u724B\u7258\u7274\u727E\u7282\u7281\u7287\u7292\u7296\u72A2\u72A7\u72B9\u72B2\u72C3\u72C6\u72C4\u72CE\u72D2\u72E2\u72E0\u72E1\u72F9\u72F7\u500F\u7317\u730A\u731C\u7316\u731D\u7334\u732F\u7329\u7325\u733E\u734E\u734F\u9ED8\u7357\u736A\u7368\u7370\u7378\u7375\u737B\u737A\u73C8\u73B3\u73CE\u73BB\u73C0\u73E5\u73EE\u73DE\u74A2\u7405\u746F\u7425\u73F8\u7432\u743A\u7455\u743F\u745F\u7459\u7441\u745C\u7469\u7470\u7463\u746A\u7476\u747E\u748B\u749E\u74A7\u74CA\u74CF\u74D4\u73F1"],
      ["e1a1", "\u74E0\u74E3\u74E7\u74E9\u74EE\u74F2\u74F0\u74F1\u74F8\u74F7\u7504\u7503\u7505\u750C\u750E\u750D\u7515\u7513\u751E\u7526\u752C\u753C\u7544\u754D\u754A\u7549\u755B\u7546\u755A\u7569\u7564\u7567\u756B\u756D\u7578\u7576\u7586\u7587\u7574\u758A\u7589\u7582\u7594\u759A\u759D\u75A5\u75A3\u75C2\u75B3\u75C3\u75B5\u75BD\u75B8\u75BC\u75B1\u75CD\u75CA\u75D2\u75D9\u75E3\u75DE\u75FE\u75FF\u75FC\u7601\u75F0\u75FA\u75F2\u75F3\u760B\u760D\u7609\u761F\u7627\u7620\u7621\u7622\u7624\u7634\u7630\u763B\u7647\u7648\u7646\u765C\u7658\u7661\u7662\u7668\u7669\u766A\u7667\u766C\u7670"],
      ["e2a1", "\u7672\u7676\u7678\u767C\u7680\u7683\u7688\u768B\u768E\u7696\u7693\u7699\u769A\u76B0\u76B4\u76B8\u76B9\u76BA\u76C2\u76CD\u76D6\u76D2\u76DE\u76E1\u76E5\u76E7\u76EA\u862F\u76FB\u7708\u7707\u7704\u7729\u7724\u771E\u7725\u7726\u771B\u7737\u7738\u7747\u775A\u7768\u776B\u775B\u7765\u777F\u777E\u7779\u778E\u778B\u7791\u77A0\u779E\u77B0\u77B6\u77B9\u77BF\u77BC\u77BD\u77BB\u77C7\u77CD\u77D7\u77DA\u77DC\u77E3\u77EE\u77FC\u780C\u7812\u7926\u7820\u792A\u7845\u788E\u7874\u7886\u787C\u789A\u788C\u78A3\u78B5\u78AA\u78AF\u78D1\u78C6\u78CB\u78D4\u78BE\u78BC\u78C5\u78CA\u78EC"],
      ["e3a1", "\u78E7\u78DA\u78FD\u78F4\u7907\u7912\u7911\u7919\u792C\u792B\u7940\u7960\u7957\u795F\u795A\u7955\u7953\u797A\u797F\u798A\u799D\u79A7\u9F4B\u79AA\u79AE\u79B3\u79B9\u79BA\u79C9\u79D5\u79E7\u79EC\u79E1\u79E3\u7A08\u7A0D\u7A18\u7A19\u7A20\u7A1F\u7980\u7A31\u7A3B\u7A3E\u7A37\u7A43\u7A57\u7A49\u7A61\u7A62\u7A69\u9F9D\u7A70\u7A79\u7A7D\u7A88\u7A97\u7A95\u7A98\u7A96\u7AA9\u7AC8\u7AB0\u7AB6\u7AC5\u7AC4\u7ABF\u9083\u7AC7\u7ACA\u7ACD\u7ACF\u7AD5\u7AD3\u7AD9\u7ADA\u7ADD\u7AE1\u7AE2\u7AE6\u7AED\u7AF0\u7B02\u7B0F\u7B0A\u7B06\u7B33\u7B18\u7B19\u7B1E\u7B35\u7B28\u7B36\u7B50"],
      ["e4a1", "\u7B7A\u7B04\u7B4D\u7B0B\u7B4C\u7B45\u7B75\u7B65\u7B74\u7B67\u7B70\u7B71\u7B6C\u7B6E\u7B9D\u7B98\u7B9F\u7B8D\u7B9C\u7B9A\u7B8B\u7B92\u7B8F\u7B5D\u7B99\u7BCB\u7BC1\u7BCC\u7BCF\u7BB4\u7BC6\u7BDD\u7BE9\u7C11\u7C14\u7BE6\u7BE5\u7C60\u7C00\u7C07\u7C13\u7BF3\u7BF7\u7C17\u7C0D\u7BF6\u7C23\u7C27\u7C2A\u7C1F\u7C37\u7C2B\u7C3D\u7C4C\u7C43\u7C54\u7C4F\u7C40\u7C50\u7C58\u7C5F\u7C64\u7C56\u7C65\u7C6C\u7C75\u7C83\u7C90\u7CA4\u7CAD\u7CA2\u7CAB\u7CA1\u7CA8\u7CB3\u7CB2\u7CB1\u7CAE\u7CB9\u7CBD\u7CC0\u7CC5\u7CC2\u7CD8\u7CD2\u7CDC\u7CE2\u9B3B\u7CEF\u7CF2\u7CF4\u7CF6\u7CFA\u7D06"],
      ["e5a1", "\u7D02\u7D1C\u7D15\u7D0A\u7D45\u7D4B\u7D2E\u7D32\u7D3F\u7D35\u7D46\u7D73\u7D56\u7D4E\u7D72\u7D68\u7D6E\u7D4F\u7D63\u7D93\u7D89\u7D5B\u7D8F\u7D7D\u7D9B\u7DBA\u7DAE\u7DA3\u7DB5\u7DC7\u7DBD\u7DAB\u7E3D\u7DA2\u7DAF\u7DDC\u7DB8\u7D9F\u7DB0\u7DD8\u7DDD\u7DE4\u7DDE\u7DFB\u7DF2\u7DE1\u7E05\u7E0A\u7E23\u7E21\u7E12\u7E31\u7E1F\u7E09\u7E0B\u7E22\u7E46\u7E66\u7E3B\u7E35\u7E39\u7E43\u7E37\u7E32\u7E3A\u7E67\u7E5D\u7E56\u7E5E\u7E59\u7E5A\u7E79\u7E6A\u7E69\u7E7C\u7E7B\u7E83\u7DD5\u7E7D\u8FAE\u7E7F\u7E88\u7E89\u7E8C\u7E92\u7E90\u7E93\u7E94\u7E96\u7E8E\u7E9B\u7E9C\u7F38\u7F3A"],
      ["e6a1", "\u7F45\u7F4C\u7F4D\u7F4E\u7F50\u7F51\u7F55\u7F54\u7F58\u7F5F\u7F60\u7F68\u7F69\u7F67\u7F78\u7F82\u7F86\u7F83\u7F88\u7F87\u7F8C\u7F94\u7F9E\u7F9D\u7F9A\u7FA3\u7FAF\u7FB2\u7FB9\u7FAE\u7FB6\u7FB8\u8B71\u7FC5\u7FC6\u7FCA\u7FD5\u7FD4\u7FE1\u7FE6\u7FE9\u7FF3\u7FF9\u98DC\u8006\u8004\u800B\u8012\u8018\u8019\u801C\u8021\u8028\u803F\u803B\u804A\u8046\u8052\u8058\u805A\u805F\u8062\u8068\u8073\u8072\u8070\u8076\u8079\u807D\u807F\u8084\u8086\u8085\u809B\u8093\u809A\u80AD\u5190\u80AC\u80DB\u80E5\u80D9\u80DD\u80C4\u80DA\u80D6\u8109\u80EF\u80F1\u811B\u8129\u8123\u812F\u814B"],
      ["e7a1", "\u968B\u8146\u813E\u8153\u8151\u80FC\u8171\u816E\u8165\u8166\u8174\u8183\u8188\u818A\u8180\u8182\u81A0\u8195\u81A4\u81A3\u815F\u8193\u81A9\u81B0\u81B5\u81BE\u81B8\u81BD\u81C0\u81C2\u81BA\u81C9\u81CD\u81D1\u81D9\u81D8\u81C8\u81DA\u81DF\u81E0\u81E7\u81FA\u81FB\u81FE\u8201\u8202\u8205\u8207\u820A\u820D\u8210\u8216\u8229\u822B\u8238\u8233\u8240\u8259\u8258\u825D\u825A\u825F\u8264\u8262\u8268\u826A\u826B\u822E\u8271\u8277\u8278\u827E\u828D\u8292\u82AB\u829F\u82BB\u82AC\u82E1\u82E3\u82DF\u82D2\u82F4\u82F3\u82FA\u8393\u8303\u82FB\u82F9\u82DE\u8306\u82DC\u8309\u82D9"],
      ["e8a1", "\u8335\u8334\u8316\u8332\u8331\u8340\u8339\u8350\u8345\u832F\u832B\u8317\u8318\u8385\u839A\u83AA\u839F\u83A2\u8396\u8323\u838E\u8387\u838A\u837C\u83B5\u8373\u8375\u83A0\u8389\u83A8\u83F4\u8413\u83EB\u83CE\u83FD\u8403\u83D8\u840B\u83C1\u83F7\u8407\u83E0\u83F2\u840D\u8422\u8420\u83BD\u8438\u8506\u83FB\u846D\u842A\u843C\u855A\u8484\u8477\u846B\u84AD\u846E\u8482\u8469\u8446\u842C\u846F\u8479\u8435\u84CA\u8462\u84B9\u84BF\u849F\u84D9\u84CD\u84BB\u84DA\u84D0\u84C1\u84C6\u84D6\u84A1\u8521\u84FF\u84F4\u8517\u8518\u852C\u851F\u8515\u8514\u84FC\u8540\u8563\u8558\u8548"],
      ["e9a1", "\u8541\u8602\u854B\u8555\u8580\u85A4\u8588\u8591\u858A\u85A8\u856D\u8594\u859B\u85EA\u8587\u859C\u8577\u857E\u8590\u85C9\u85BA\u85CF\u85B9\u85D0\u85D5\u85DD\u85E5\u85DC\u85F9\u860A\u8613\u860B\u85FE\u85FA\u8606\u8622\u861A\u8630\u863F\u864D\u4E55\u8654\u865F\u8667\u8671\u8693\u86A3\u86A9\u86AA\u868B\u868C\u86B6\u86AF\u86C4\u86C6\u86B0\u86C9\u8823\u86AB\u86D4\u86DE\u86E9\u86EC\u86DF\u86DB\u86EF\u8712\u8706\u8708\u8700\u8703\u86FB\u8711\u8709\u870D\u86F9\u870A\u8734\u873F\u8737\u873B\u8725\u8729\u871A\u8760\u875F\u8778\u874C\u874E\u8774\u8757\u8768\u876E\u8759"],
      ["eaa1", "\u8753\u8763\u876A\u8805\u87A2\u879F\u8782\u87AF\u87CB\u87BD\u87C0\u87D0\u96D6\u87AB\u87C4\u87B3\u87C7\u87C6\u87BB\u87EF\u87F2\u87E0\u880F\u880D\u87FE\u87F6\u87F7\u880E\u87D2\u8811\u8816\u8815\u8822\u8821\u8831\u8836\u8839\u8827\u883B\u8844\u8842\u8852\u8859\u885E\u8862\u886B\u8881\u887E\u889E\u8875\u887D\u88B5\u8872\u8882\u8897\u8892\u88AE\u8899\u88A2\u888D\u88A4\u88B0\u88BF\u88B1\u88C3\u88C4\u88D4\u88D8\u88D9\u88DD\u88F9\u8902\u88FC\u88F4\u88E8\u88F2\u8904\u890C\u890A\u8913\u8943\u891E\u8925\u892A\u892B\u8941\u8944\u893B\u8936\u8938\u894C\u891D\u8960\u895E"],
      ["eba1", "\u8966\u8964\u896D\u896A\u896F\u8974\u8977\u897E\u8983\u8988\u898A\u8993\u8998\u89A1\u89A9\u89A6\u89AC\u89AF\u89B2\u89BA\u89BD\u89BF\u89C0\u89DA\u89DC\u89DD\u89E7\u89F4\u89F8\u8A03\u8A16\u8A10\u8A0C\u8A1B\u8A1D\u8A25\u8A36\u8A41\u8A5B\u8A52\u8A46\u8A48\u8A7C\u8A6D\u8A6C\u8A62\u8A85\u8A82\u8A84\u8AA8\u8AA1\u8A91\u8AA5\u8AA6\u8A9A\u8AA3\u8AC4\u8ACD\u8AC2\u8ADA\u8AEB\u8AF3\u8AE7\u8AE4\u8AF1\u8B14\u8AE0\u8AE2\u8AF7\u8ADE\u8ADB\u8B0C\u8B07\u8B1A\u8AE1\u8B16\u8B10\u8B17\u8B20\u8B33\u97AB\u8B26\u8B2B\u8B3E\u8B28\u8B41\u8B4C\u8B4F\u8B4E\u8B49\u8B56\u8B5B\u8B5A\u8B6B"],
      ["eca1", "\u8B5F\u8B6C\u8B6F\u8B74\u8B7D\u8B80\u8B8C\u8B8E\u8B92\u8B93\u8B96\u8B99\u8B9A\u8C3A\u8C41\u8C3F\u8C48\u8C4C\u8C4E\u8C50\u8C55\u8C62\u8C6C\u8C78\u8C7A\u8C82\u8C89\u8C85\u8C8A\u8C8D\u8C8E\u8C94\u8C7C\u8C98\u621D\u8CAD\u8CAA\u8CBD\u8CB2\u8CB3\u8CAE\u8CB6\u8CC8\u8CC1\u8CE4\u8CE3\u8CDA\u8CFD\u8CFA\u8CFB\u8D04\u8D05\u8D0A\u8D07\u8D0F\u8D0D\u8D10\u9F4E\u8D13\u8CCD\u8D14\u8D16\u8D67\u8D6D\u8D71\u8D73\u8D81\u8D99\u8DC2\u8DBE\u8DBA\u8DCF\u8DDA\u8DD6\u8DCC\u8DDB\u8DCB\u8DEA\u8DEB\u8DDF\u8DE3\u8DFC\u8E08\u8E09\u8DFF\u8E1D\u8E1E\u8E10\u8E1F\u8E42\u8E35\u8E30\u8E34\u8E4A"],
      ["eda1", "\u8E47\u8E49\u8E4C\u8E50\u8E48\u8E59\u8E64\u8E60\u8E2A\u8E63\u8E55\u8E76\u8E72\u8E7C\u8E81\u8E87\u8E85\u8E84\u8E8B\u8E8A\u8E93\u8E91\u8E94\u8E99\u8EAA\u8EA1\u8EAC\u8EB0\u8EC6\u8EB1\u8EBE\u8EC5\u8EC8\u8ECB\u8EDB\u8EE3\u8EFC\u8EFB\u8EEB\u8EFE\u8F0A\u8F05\u8F15\u8F12\u8F19\u8F13\u8F1C\u8F1F\u8F1B\u8F0C\u8F26\u8F33\u8F3B\u8F39\u8F45\u8F42\u8F3E\u8F4C\u8F49\u8F46\u8F4E\u8F57\u8F5C\u8F62\u8F63\u8F64\u8F9C\u8F9F\u8FA3\u8FAD\u8FAF\u8FB7\u8FDA\u8FE5\u8FE2\u8FEA\u8FEF\u9087\u8FF4\u9005\u8FF9\u8FFA\u9011\u9015\u9021\u900D\u901E\u9016\u900B\u9027\u9036\u9035\u9039\u8FF8"],
      ["eea1", "\u904F\u9050\u9051\u9052\u900E\u9049\u903E\u9056\u9058\u905E\u9068\u906F\u9076\u96A8\u9072\u9082\u907D\u9081\u9080\u908A\u9089\u908F\u90A8\u90AF\u90B1\u90B5\u90E2\u90E4\u6248\u90DB\u9102\u9112\u9119\u9132\u9130\u914A\u9156\u9158\u9163\u9165\u9169\u9173\u9172\u918B\u9189\u9182\u91A2\u91AB\u91AF\u91AA\u91B5\u91B4\u91BA\u91C0\u91C1\u91C9\u91CB\u91D0\u91D6\u91DF\u91E1\u91DB\u91FC\u91F5\u91F6\u921E\u91FF\u9214\u922C\u9215\u9211\u925E\u9257\u9245\u9249\u9264\u9248\u9295\u923F\u924B\u9250\u929C\u9296\u9293\u929B\u925A\u92CF\u92B9\u92B7\u92E9\u930F\u92FA\u9344\u932E"],
      ["efa1", "\u9319\u9322\u931A\u9323\u933A\u9335\u933B\u935C\u9360\u937C\u936E\u9356\u93B0\u93AC\u93AD\u9394\u93B9\u93D6\u93D7\u93E8\u93E5\u93D8\u93C3\u93DD\u93D0\u93C8\u93E4\u941A\u9414\u9413\u9403\u9407\u9410\u9436\u942B\u9435\u9421\u943A\u9441\u9452\u9444\u945B\u9460\u9462\u945E\u946A\u9229\u9470\u9475\u9477\u947D\u945A\u947C\u947E\u9481\u947F\u9582\u9587\u958A\u9594\u9596\u9598\u9599\u95A0\u95A8\u95A7\u95AD\u95BC\u95BB\u95B9\u95BE\u95CA\u6FF6\u95C3\u95CD\u95CC\u95D5\u95D4\u95D6\u95DC\u95E1\u95E5\u95E2\u9621\u9628\u962E\u962F\u9642\u964C\u964F\u964B\u9677\u965C\u965E"],
      ["f0a1", "\u965D\u965F\u9666\u9672\u966C\u968D\u9698\u9695\u9697\u96AA\u96A7\u96B1\u96B2\u96B0\u96B4\u96B6\u96B8\u96B9\u96CE\u96CB\u96C9\u96CD\u894D\u96DC\u970D\u96D5\u96F9\u9704\u9706\u9708\u9713\u970E\u9711\u970F\u9716\u9719\u9724\u972A\u9730\u9739\u973D\u973E\u9744\u9746\u9748\u9742\u9749\u975C\u9760\u9764\u9766\u9768\u52D2\u976B\u9771\u9779\u9785\u977C\u9781\u977A\u9786\u978B\u978F\u9790\u979C\u97A8\u97A6\u97A3\u97B3\u97B4\u97C3\u97C6\u97C8\u97CB\u97DC\u97ED\u9F4F\u97F2\u7ADF\u97F6\u97F5\u980F\u980C\u9838\u9824\u9821\u9837\u983D\u9846\u984F\u984B\u986B\u986F\u9870"],
      ["f1a1", "\u9871\u9874\u9873\u98AA\u98AF\u98B1\u98B6\u98C4\u98C3\u98C6\u98E9\u98EB\u9903\u9909\u9912\u9914\u9918\u9921\u991D\u991E\u9924\u9920\u992C\u992E\u993D\u993E\u9942\u9949\u9945\u9950\u994B\u9951\u9952\u994C\u9955\u9997\u9998\u99A5\u99AD\u99AE\u99BC\u99DF\u99DB\u99DD\u99D8\u99D1\u99ED\u99EE\u99F1\u99F2\u99FB\u99F8\u9A01\u9A0F\u9A05\u99E2\u9A19\u9A2B\u9A37\u9A45\u9A42\u9A40\u9A43\u9A3E\u9A55\u9A4D\u9A5B\u9A57\u9A5F\u9A62\u9A65\u9A64\u9A69\u9A6B\u9A6A\u9AAD\u9AB0\u9ABC\u9AC0\u9ACF\u9AD1\u9AD3\u9AD4\u9ADE\u9ADF\u9AE2\u9AE3\u9AE6\u9AEF\u9AEB\u9AEE\u9AF4\u9AF1\u9AF7"],
      ["f2a1", "\u9AFB\u9B06\u9B18\u9B1A\u9B1F\u9B22\u9B23\u9B25\u9B27\u9B28\u9B29\u9B2A\u9B2E\u9B2F\u9B32\u9B44\u9B43\u9B4F\u9B4D\u9B4E\u9B51\u9B58\u9B74\u9B93\u9B83\u9B91\u9B96\u9B97\u9B9F\u9BA0\u9BA8\u9BB4\u9BC0\u9BCA\u9BB9\u9BC6\u9BCF\u9BD1\u9BD2\u9BE3\u9BE2\u9BE4\u9BD4\u9BE1\u9C3A\u9BF2\u9BF1\u9BF0\u9C15\u9C14\u9C09\u9C13\u9C0C\u9C06\u9C08\u9C12\u9C0A\u9C04\u9C2E\u9C1B\u9C25\u9C24\u9C21\u9C30\u9C47\u9C32\u9C46\u9C3E\u9C5A\u9C60\u9C67\u9C76\u9C78\u9CE7\u9CEC\u9CF0\u9D09\u9D08\u9CEB\u9D03\u9D06\u9D2A\u9D26\u9DAF\u9D23\u9D1F\u9D44\u9D15\u9D12\u9D41\u9D3F\u9D3E\u9D46\u9D48"],
      ["f3a1", "\u9D5D\u9D5E\u9D64\u9D51\u9D50\u9D59\u9D72\u9D89\u9D87\u9DAB\u9D6F\u9D7A\u9D9A\u9DA4\u9DA9\u9DB2\u9DC4\u9DC1\u9DBB\u9DB8\u9DBA\u9DC6\u9DCF\u9DC2\u9DD9\u9DD3\u9DF8\u9DE6\u9DED\u9DEF\u9DFD\u9E1A\u9E1B\u9E1E\u9E75\u9E79\u9E7D\u9E81\u9E88\u9E8B\u9E8C\u9E92\u9E95\u9E91\u9E9D\u9EA5\u9EA9\u9EB8\u9EAA\u9EAD\u9761\u9ECC\u9ECE\u9ECF\u9ED0\u9ED4\u9EDC\u9EDE\u9EDD\u9EE0\u9EE5\u9EE8\u9EEF\u9EF4\u9EF6\u9EF7\u9EF9\u9EFB\u9EFC\u9EFD\u9F07\u9F08\u76B7\u9F15\u9F21\u9F2C\u9F3E\u9F4A\u9F52\u9F54\u9F63\u9F5F\u9F60\u9F61\u9F66\u9F67\u9F6C\u9F6A\u9F77\u9F72\u9F76\u9F95\u9F9C\u9FA0"],
      ["f4a1", "\u582F\u69C7\u9059\u7464\u51DC\u7199"],
      ["f9a1", "\u7E8A\u891C\u9348\u9288\u84DC\u4FC9\u70BB\u6631\u68C8\u92F9\u66FB\u5F45\u4E28\u4EE1\u4EFC\u4F00\u4F03\u4F39\u4F56\u4F92\u4F8A\u4F9A\u4F94\u4FCD\u5040\u5022\u4FFF\u501E\u5046\u5070\u5042\u5094\u50F4\u50D8\u514A\u5164\u519D\u51BE\u51EC\u5215\u529C\u52A6\u52C0\u52DB\u5300\u5307\u5324\u5372\u5393\u53B2\u53DD\uFA0E\u549C\u548A\u54A9\u54FF\u5586\u5759\u5765\u57AC\u57C8\u57C7\uFA0F\uFA10\u589E\u58B2\u590B\u5953\u595B\u595D\u5963\u59A4\u59BA\u5B56\u5BC0\u752F\u5BD8\u5BEC\u5C1E\u5CA6\u5CBA\u5CF5\u5D27\u5D53\uFA11\u5D42\u5D6D\u5DB8\u5DB9\u5DD0\u5F21\u5F34\u5F67\u5FB7"],
      ["faa1", "\u5FDE\u605D\u6085\u608A\u60DE\u60D5\u6120\u60F2\u6111\u6137\u6130\u6198\u6213\u62A6\u63F5\u6460\u649D\u64CE\u654E\u6600\u6615\u663B\u6609\u662E\u661E\u6624\u6665\u6657\u6659\uFA12\u6673\u6699\u66A0\u66B2\u66BF\u66FA\u670E\uF929\u6766\u67BB\u6852\u67C0\u6801\u6844\u68CF\uFA13\u6968\uFA14\u6998\u69E2\u6A30\u6A6B\u6A46\u6A73\u6A7E\u6AE2\u6AE4\u6BD6\u6C3F\u6C5C\u6C86\u6C6F\u6CDA\u6D04\u6D87\u6D6F\u6D96\u6DAC\u6DCF\u6DF8\u6DF2\u6DFC\u6E39\u6E5C\u6E27\u6E3C\u6EBF\u6F88\u6FB5\u6FF5\u7005\u7007\u7028\u7085\u70AB\u710F\u7104\u715C\u7146\u7147\uFA15\u71C1\u71FE\u72B1"],
      ["fba1", "\u72BE\u7324\uFA16\u7377\u73BD\u73C9\u73D6\u73E3\u73D2\u7407\u73F5\u7426\u742A\u7429\u742E\u7462\u7489\u749F\u7501\u756F\u7682\u769C\u769E\u769B\u76A6\uFA17\u7746\u52AF\u7821\u784E\u7864\u787A\u7930\uFA18\uFA19\uFA1A\u7994\uFA1B\u799B\u7AD1\u7AE7\uFA1C\u7AEB\u7B9E\uFA1D\u7D48\u7D5C\u7DB7\u7DA0\u7DD6\u7E52\u7F47\u7FA1\uFA1E\u8301\u8362\u837F\u83C7\u83F6\u8448\u84B4\u8553\u8559\u856B\uFA1F\u85B0\uFA20\uFA21\u8807\u88F5\u8A12\u8A37\u8A79\u8AA7\u8ABE\u8ADF\uFA22\u8AF6\u8B53\u8B7F\u8CF0\u8CF4\u8D12\u8D76\uFA23\u8ECF\uFA24\uFA25\u9067\u90DE\uFA26\u9115\u9127\u91DA"],
      ["fca1", "\u91D7\u91DE\u91ED\u91EE\u91E4\u91E5\u9206\u9210\u920A\u923A\u9240\u923C\u924E\u9259\u9251\u9239\u9267\u92A7\u9277\u9278\u92E7\u92D7\u92D9\u92D0\uFA27\u92D5\u92E0\u92D3\u9325\u9321\u92FB\uFA28\u931E\u92FF\u931D\u9302\u9370\u9357\u93A4\u93C6\u93DE\u93F8\u9431\u9445\u9448\u9592\uF9DC\uFA29\u969D\u96AF\u9733\u973B\u9743\u974D\u974F\u9751\u9755\u9857\u9865\uFA2A\uFA2B\u9927\uFA2C\u999E\u9A4E\u9AD9\u9ADC\u9B75\u9B72\u9B8F\u9BB1\u9BBB\u9C00\u9D70\u9D6B\uFA2D\u9E19\u9ED1"],
      ["fcf1", "\u2170", 9, "\uFFE2\uFFE4\uFF07\uFF02"],
      ["8fa2af", "\u02D8\u02C7\xB8\u02D9\u02DD\xAF\u02DB\u02DA\uFF5E\u0384\u0385"],
      ["8fa2c2", "\xA1\xA6\xBF"],
      ["8fa2eb", "\xBA\xAA\xA9\xAE\u2122\xA4\u2116"],
      ["8fa6e1", "\u0386\u0388\u0389\u038A\u03AA"],
      ["8fa6e7", "\u038C"],
      ["8fa6e9", "\u038E\u03AB"],
      ["8fa6ec", "\u038F"],
      ["8fa6f1", "\u03AC\u03AD\u03AE\u03AF\u03CA\u0390\u03CC\u03C2\u03CD\u03CB\u03B0\u03CE"],
      ["8fa7c2", "\u0402", 10, "\u040E\u040F"],
      ["8fa7f2", "\u0452", 10, "\u045E\u045F"],
      ["8fa9a1", "\xC6\u0110"],
      ["8fa9a4", "\u0126"],
      ["8fa9a6", "\u0132"],
      ["8fa9a8", "\u0141\u013F"],
      ["8fa9ab", "\u014A\xD8\u0152"],
      ["8fa9af", "\u0166\xDE"],
      ["8fa9c1", "\xE6\u0111\xF0\u0127\u0131\u0133\u0138\u0142\u0140\u0149\u014B\xF8\u0153\xDF\u0167\xFE"],
      ["8faaa1", "\xC1\xC0\xC4\xC2\u0102\u01CD\u0100\u0104\xC5\xC3\u0106\u0108\u010C\xC7\u010A\u010E\xC9\xC8\xCB\xCA\u011A\u0116\u0112\u0118"],
      ["8faaba", "\u011C\u011E\u0122\u0120\u0124\xCD\xCC\xCF\xCE\u01CF\u0130\u012A\u012E\u0128\u0134\u0136\u0139\u013D\u013B\u0143\u0147\u0145\xD1\xD3\xD2\xD6\xD4\u01D1\u0150\u014C\xD5\u0154\u0158\u0156\u015A\u015C\u0160\u015E\u0164\u0162\xDA\xD9\xDC\xDB\u016C\u01D3\u0170\u016A\u0172\u016E\u0168\u01D7\u01DB\u01D9\u01D5\u0174\xDD\u0178\u0176\u0179\u017D\u017B"],
      ["8faba1", "\xE1\xE0\xE4\xE2\u0103\u01CE\u0101\u0105\xE5\xE3\u0107\u0109\u010D\xE7\u010B\u010F\xE9\xE8\xEB\xEA\u011B\u0117\u0113\u0119\u01F5\u011D\u011F"],
      ["8fabbd", "\u0121\u0125\xED\xEC\xEF\xEE\u01D0"],
      ["8fabc5", "\u012B\u012F\u0129\u0135\u0137\u013A\u013E\u013C\u0144\u0148\u0146\xF1\xF3\xF2\xF6\xF4\u01D2\u0151\u014D\xF5\u0155\u0159\u0157\u015B\u015D\u0161\u015F\u0165\u0163\xFA\xF9\xFC\xFB\u016D\u01D4\u0171\u016B\u0173\u016F\u0169\u01D8\u01DC\u01DA\u01D6\u0175\xFD\xFF\u0177\u017A\u017E\u017C"],
      ["8fb0a1", "\u4E02\u4E04\u4E05\u4E0C\u4E12\u4E1F\u4E23\u4E24\u4E28\u4E2B\u4E2E\u4E2F\u4E30\u4E35\u4E40\u4E41\u4E44\u4E47\u4E51\u4E5A\u4E5C\u4E63\u4E68\u4E69\u4E74\u4E75\u4E79\u4E7F\u4E8D\u4E96\u4E97\u4E9D\u4EAF\u4EB9\u4EC3\u4ED0\u4EDA\u4EDB\u4EE0\u4EE1\u4EE2\u4EE8\u4EEF\u4EF1\u4EF3\u4EF5\u4EFD\u4EFE\u4EFF\u4F00\u4F02\u4F03\u4F08\u4F0B\u4F0C\u4F12\u4F15\u4F16\u4F17\u4F19\u4F2E\u4F31\u4F60\u4F33\u4F35\u4F37\u4F39\u4F3B\u4F3E\u4F40\u4F42\u4F48\u4F49\u4F4B\u4F4C\u4F52\u4F54\u4F56\u4F58\u4F5F\u4F63\u4F6A\u4F6C\u4F6E\u4F71\u4F77\u4F78\u4F79\u4F7A\u4F7D\u4F7E\u4F81\u4F82\u4F84"],
      ["8fb1a1", "\u4F85\u4F89\u4F8A\u4F8C\u4F8E\u4F90\u4F92\u4F93\u4F94\u4F97\u4F99\u4F9A\u4F9E\u4F9F\u4FB2\u4FB7\u4FB9\u4FBB\u4FBC\u4FBD\u4FBE\u4FC0\u4FC1\u4FC5\u4FC6\u4FC8\u4FC9\u4FCB\u4FCC\u4FCD\u4FCF\u4FD2\u4FDC\u4FE0\u4FE2\u4FF0\u4FF2\u4FFC\u4FFD\u4FFF\u5000\u5001\u5004\u5007\u500A\u500C\u500E\u5010\u5013\u5017\u5018\u501B\u501C\u501D\u501E\u5022\u5027\u502E\u5030\u5032\u5033\u5035\u5040\u5041\u5042\u5045\u5046\u504A\u504C\u504E\u5051\u5052\u5053\u5057\u5059\u505F\u5060\u5062\u5063\u5066\u5067\u506A\u506D\u5070\u5071\u503B\u5081\u5083\u5084\u5086\u508A\u508E\u508F\u5090"],
      ["8fb2a1", "\u5092\u5093\u5094\u5096\u509B\u509C\u509E", 4, "\u50AA\u50AF\u50B0\u50B9\u50BA\u50BD\u50C0\u50C3\u50C4\u50C7\u50CC\u50CE\u50D0\u50D3\u50D4\u50D8\u50DC\u50DD\u50DF\u50E2\u50E4\u50E6\u50E8\u50E9\u50EF\u50F1\u50F6\u50FA\u50FE\u5103\u5106\u5107\u5108\u510B\u510C\u510D\u510E\u50F2\u5110\u5117\u5119\u511B\u511C\u511D\u511E\u5123\u5127\u5128\u512C\u512D\u512F\u5131\u5133\u5134\u5135\u5138\u5139\u5142\u514A\u514F\u5153\u5155\u5157\u5158\u515F\u5164\u5166\u517E\u5183\u5184\u518B\u518E\u5198\u519D\u51A1\u51A3\u51AD\u51B8\u51BA\u51BC\u51BE\u51BF\u51C2"],
      ["8fb3a1", "\u51C8\u51CF\u51D1\u51D2\u51D3\u51D5\u51D8\u51DE\u51E2\u51E5\u51EE\u51F2\u51F3\u51F4\u51F7\u5201\u5202\u5205\u5212\u5213\u5215\u5216\u5218\u5222\u5228\u5231\u5232\u5235\u523C\u5245\u5249\u5255\u5257\u5258\u525A\u525C\u525F\u5260\u5261\u5266\u526E\u5277\u5278\u5279\u5280\u5282\u5285\u528A\u528C\u5293\u5295\u5296\u5297\u5298\u529A\u529C\u52A4\u52A5\u52A6\u52A7\u52AF\u52B0\u52B6\u52B7\u52B8\u52BA\u52BB\u52BD\u52C0\u52C4\u52C6\u52C8\u52CC\u52CF\u52D1\u52D4\u52D6\u52DB\u52DC\u52E1\u52E5\u52E8\u52E9\u52EA\u52EC\u52F0\u52F1\u52F4\u52F6\u52F7\u5300\u5303\u530A\u530B"],
      ["8fb4a1", "\u530C\u5311\u5313\u5318\u531B\u531C\u531E\u531F\u5325\u5327\u5328\u5329\u532B\u532C\u532D\u5330\u5332\u5335\u533C\u533D\u533E\u5342\u534C\u534B\u5359\u535B\u5361\u5363\u5365\u536C\u536D\u5372\u5379\u537E\u5383\u5387\u5388\u538E\u5393\u5394\u5399\u539D\u53A1\u53A4\u53AA\u53AB\u53AF\u53B2\u53B4\u53B5\u53B7\u53B8\u53BA\u53BD\u53C0\u53C5\u53CF\u53D2\u53D3\u53D5\u53DA\u53DD\u53DE\u53E0\u53E6\u53E7\u53F5\u5402\u5413\u541A\u5421\u5427\u5428\u542A\u542F\u5431\u5434\u5435\u5443\u5444\u5447\u544D\u544F\u545E\u5462\u5464\u5466\u5467\u5469\u546B\u546D\u546E\u5474\u547F"],
      ["8fb5a1", "\u5481\u5483\u5485\u5488\u5489\u548D\u5491\u5495\u5496\u549C\u549F\u54A1\u54A6\u54A7\u54A9\u54AA\u54AD\u54AE\u54B1\u54B7\u54B9\u54BA\u54BB\u54BF\u54C6\u54CA\u54CD\u54CE\u54E0\u54EA\u54EC\u54EF\u54F6\u54FC\u54FE\u54FF\u5500\u5501\u5505\u5508\u5509\u550C\u550D\u550E\u5515\u552A\u552B\u5532\u5535\u5536\u553B\u553C\u553D\u5541\u5547\u5549\u554A\u554D\u5550\u5551\u5558\u555A\u555B\u555E\u5560\u5561\u5564\u5566\u557F\u5581\u5582\u5586\u5588\u558E\u558F\u5591\u5592\u5593\u5594\u5597\u55A3\u55A4\u55AD\u55B2\u55BF\u55C1\u55C3\u55C6\u55C9\u55CB\u55CC\u55CE\u55D1\u55D2"],
      ["8fb6a1", "\u55D3\u55D7\u55D8\u55DB\u55DE\u55E2\u55E9\u55F6\u55FF\u5605\u5608\u560A\u560D", 5, "\u5619\u562C\u5630\u5633\u5635\u5637\u5639\u563B\u563C\u563D\u563F\u5640\u5641\u5643\u5644\u5646\u5649\u564B\u564D\u564F\u5654\u565E\u5660\u5661\u5662\u5663\u5666\u5669\u566D\u566F\u5671\u5672\u5675\u5684\u5685\u5688\u568B\u568C\u5695\u5699\u569A\u569D\u569E\u569F\u56A6\u56A7\u56A8\u56A9\u56AB\u56AC\u56AD\u56B1\u56B3\u56B7\u56BE\u56C5\u56C9\u56CA\u56CB\u56CF\u56D0\u56CC\u56CD\u56D9\u56DC\u56DD\u56DF\u56E1\u56E4", 4, "\u56F1\u56EB\u56ED"],
      ["8fb7a1", "\u56F6\u56F7\u5701\u5702\u5707\u570A\u570C\u5711\u5715\u571A\u571B\u571D\u5720\u5722\u5723\u5724\u5725\u5729\u572A\u572C\u572E\u572F\u5733\u5734\u573D\u573E\u573F\u5745\u5746\u574C\u574D\u5752\u5762\u5765\u5767\u5768\u576B\u576D", 4, "\u5773\u5774\u5775\u5777\u5779\u577A\u577B\u577C\u577E\u5781\u5783\u578C\u5794\u5797\u5799\u579A\u579C\u579D\u579E\u579F\u57A1\u5795\u57A7\u57A8\u57A9\u57AC\u57B8\u57BD\u57C7\u57C8\u57CC\u57CF\u57D5\u57DD\u57DE\u57E4\u57E6\u57E7\u57E9\u57ED\u57F0\u57F5\u57F6\u57F8\u57FD\u57FE\u57FF\u5803\u5804\u5808\u5809\u57E1"],
      ["8fb8a1", "\u580C\u580D\u581B\u581E\u581F\u5820\u5826\u5827\u582D\u5832\u5839\u583F\u5849\u584C\u584D\u584F\u5850\u5855\u585F\u5861\u5864\u5867\u5868\u5878\u587C\u587F\u5880\u5881\u5887\u5888\u5889\u588A\u588C\u588D\u588F\u5890\u5894\u5896\u589D\u58A0\u58A1\u58A2\u58A6\u58A9\u58B1\u58B2\u58C4\u58BC\u58C2\u58C8\u58CD\u58CE\u58D0\u58D2\u58D4\u58D6\u58DA\u58DD\u58E1\u58E2\u58E9\u58F3\u5905\u5906\u590B\u590C\u5912\u5913\u5914\u8641\u591D\u5921\u5923\u5924\u5928\u592F\u5930\u5933\u5935\u5936\u593F\u5943\u5946\u5952\u5953\u5959\u595B\u595D\u595E\u595F\u5961\u5963\u596B\u596D"],
      ["8fb9a1", "\u596F\u5972\u5975\u5976\u5979\u597B\u597C\u598B\u598C\u598E\u5992\u5995\u5997\u599F\u59A4\u59A7\u59AD\u59AE\u59AF\u59B0\u59B3\u59B7\u59BA\u59BC\u59C1\u59C3\u59C4\u59C8\u59CA\u59CD\u59D2\u59DD\u59DE\u59DF\u59E3\u59E4\u59E7\u59EE\u59EF\u59F1\u59F2\u59F4\u59F7\u5A00\u5A04\u5A0C\u5A0D\u5A0E\u5A12\u5A13\u5A1E\u5A23\u5A24\u5A27\u5A28\u5A2A\u5A2D\u5A30\u5A44\u5A45\u5A47\u5A48\u5A4C\u5A50\u5A55\u5A5E\u5A63\u5A65\u5A67\u5A6D\u5A77\u5A7A\u5A7B\u5A7E\u5A8B\u5A90\u5A93\u5A96\u5A99\u5A9C\u5A9E\u5A9F\u5AA0\u5AA2\u5AA7\u5AAC\u5AB1\u5AB2\u5AB3\u5AB5\u5AB8\u5ABA\u5ABB\u5ABF"],
      ["8fbaa1", "\u5AC4\u5AC6\u5AC8\u5ACF\u5ADA\u5ADC\u5AE0\u5AE5\u5AEA\u5AEE\u5AF5\u5AF6\u5AFD\u5B00\u5B01\u5B08\u5B17\u5B34\u5B19\u5B1B\u5B1D\u5B21\u5B25\u5B2D\u5B38\u5B41\u5B4B\u5B4C\u5B52\u5B56\u5B5E\u5B68\u5B6E\u5B6F\u5B7C\u5B7D\u5B7E\u5B7F\u5B81\u5B84\u5B86\u5B8A\u5B8E\u5B90\u5B91\u5B93\u5B94\u5B96\u5BA8\u5BA9\u5BAC\u5BAD\u5BAF\u5BB1\u5BB2\u5BB7\u5BBA\u5BBC\u5BC0\u5BC1\u5BCD\u5BCF\u5BD6", 4, "\u5BE0\u5BEF\u5BF1\u5BF4\u5BFD\u5C0C\u5C17\u5C1E\u5C1F\u5C23\u5C26\u5C29\u5C2B\u5C2C\u5C2E\u5C30\u5C32\u5C35\u5C36\u5C59\u5C5A\u5C5C\u5C62\u5C63\u5C67\u5C68\u5C69"],
      ["8fbba1", "\u5C6D\u5C70\u5C74\u5C75\u5C7A\u5C7B\u5C7C\u5C7D\u5C87\u5C88\u5C8A\u5C8F\u5C92\u5C9D\u5C9F\u5CA0\u5CA2\u5CA3\u5CA6\u5CAA\u5CB2\u5CB4\u5CB5\u5CBA\u5CC9\u5CCB\u5CD2\u5CDD\u5CD7\u5CEE\u5CF1\u5CF2\u5CF4\u5D01\u5D06\u5D0D\u5D12\u5D2B\u5D23\u5D24\u5D26\u5D27\u5D31\u5D34\u5D39\u5D3D\u5D3F\u5D42\u5D43\u5D46\u5D48\u5D55\u5D51\u5D59\u5D4A\u5D5F\u5D60\u5D61\u5D62\u5D64\u5D6A\u5D6D\u5D70\u5D79\u5D7A\u5D7E\u5D7F\u5D81\u5D83\u5D88\u5D8A\u5D92\u5D93\u5D94\u5D95\u5D99\u5D9B\u5D9F\u5DA0\u5DA7\u5DAB\u5DB0\u5DB4\u5DB8\u5DB9\u5DC3\u5DC7\u5DCB\u5DD0\u5DCE\u5DD8\u5DD9\u5DE0\u5DE4"],
      ["8fbca1", "\u5DE9\u5DF8\u5DF9\u5E00\u5E07\u5E0D\u5E12\u5E14\u5E15\u5E18\u5E1F\u5E20\u5E2E\u5E28\u5E32\u5E35\u5E3E\u5E4B\u5E50\u5E49\u5E51\u5E56\u5E58\u5E5B\u5E5C\u5E5E\u5E68\u5E6A", 4, "\u5E70\u5E80\u5E8B\u5E8E\u5EA2\u5EA4\u5EA5\u5EA8\u5EAA\u5EAC\u5EB1\u5EB3\u5EBD\u5EBE\u5EBF\u5EC6\u5ECC\u5ECB\u5ECE\u5ED1\u5ED2\u5ED4\u5ED5\u5EDC\u5EDE\u5EE5\u5EEB\u5F02\u5F06\u5F07\u5F08\u5F0E\u5F19\u5F1C\u5F1D\u5F21\u5F22\u5F23\u5F24\u5F28\u5F2B\u5F2C\u5F2E\u5F30\u5F34\u5F36\u5F3B\u5F3D\u5F3F\u5F40\u5F44\u5F45\u5F47\u5F4D\u5F50\u5F54\u5F58\u5F5B\u5F60\u5F63\u5F64\u5F67"],
      ["8fbda1", "\u5F6F\u5F72\u5F74\u5F75\u5F78\u5F7A\u5F7D\u5F7E\u5F89\u5F8D\u5F8F\u5F96\u5F9C\u5F9D\u5FA2\u5FA7\u5FAB\u5FA4\u5FAC\u5FAF\u5FB0\u5FB1\u5FB8\u5FC4\u5FC7\u5FC8\u5FC9\u5FCB\u5FD0", 4, "\u5FDE\u5FE1\u5FE2\u5FE8\u5FE9\u5FEA\u5FEC\u5FED\u5FEE\u5FEF\u5FF2\u5FF3\u5FF6\u5FFA\u5FFC\u6007\u600A\u600D\u6013\u6014\u6017\u6018\u601A\u601F\u6024\u602D\u6033\u6035\u6040\u6047\u6048\u6049\u604C\u6051\u6054\u6056\u6057\u605D\u6061\u6067\u6071\u607E\u607F\u6082\u6086\u6088\u608A\u608E\u6091\u6093\u6095\u6098\u609D\u609E\u60A2\u60A4\u60A5\u60A8\u60B0\u60B1\u60B7"],
      ["8fbea1", "\u60BB\u60BE\u60C2\u60C4\u60C8\u60C9\u60CA\u60CB\u60CE\u60CF\u60D4\u60D5\u60D9\u60DB\u60DD\u60DE\u60E2\u60E5\u60F2\u60F5\u60F8\u60FC\u60FD\u6102\u6107\u610A\u610C\u6110", 4, "\u6116\u6117\u6119\u611C\u611E\u6122\u612A\u612B\u6130\u6131\u6135\u6136\u6137\u6139\u6141\u6145\u6146\u6149\u615E\u6160\u616C\u6172\u6178\u617B\u617C\u617F\u6180\u6181\u6183\u6184\u618B\u618D\u6192\u6193\u6197\u6198\u619C\u619D\u619F\u61A0\u61A5\u61A8\u61AA\u61AD\u61B8\u61B9\u61BC\u61C0\u61C1\u61C2\u61CE\u61CF\u61D5\u61DC\u61DD\u61DE\u61DF\u61E1\u61E2\u61E7\u61E9\u61E5"],
      ["8fbfa1", "\u61EC\u61ED\u61EF\u6201\u6203\u6204\u6207\u6213\u6215\u621C\u6220\u6222\u6223\u6227\u6229\u622B\u6239\u623D\u6242\u6243\u6244\u6246\u624C\u6250\u6251\u6252\u6254\u6256\u625A\u625C\u6264\u626D\u626F\u6273\u627A\u627D\u628D\u628E\u628F\u6290\u62A6\u62A8\u62B3\u62B6\u62B7\u62BA\u62BE\u62BF\u62C4\u62CE\u62D5\u62D6\u62DA\u62EA\u62F2\u62F4\u62FC\u62FD\u6303\u6304\u630A\u630B\u630D\u6310\u6313\u6316\u6318\u6329\u632A\u632D\u6335\u6336\u6339\u633C\u6341\u6342\u6343\u6344\u6346\u634A\u634B\u634E\u6352\u6353\u6354\u6358\u635B\u6365\u6366\u636C\u636D\u6371\u6374\u6375"],
      ["8fc0a1", "\u6378\u637C\u637D\u637F\u6382\u6384\u6387\u638A\u6390\u6394\u6395\u6399\u639A\u639E\u63A4\u63A6\u63AD\u63AE\u63AF\u63BD\u63C1\u63C5\u63C8\u63CE\u63D1\u63D3\u63D4\u63D5\u63DC\u63E0\u63E5\u63EA\u63EC\u63F2\u63F3\u63F5\u63F8\u63F9\u6409\u640A\u6410\u6412\u6414\u6418\u641E\u6420\u6422\u6424\u6425\u6429\u642A\u642F\u6430\u6435\u643D\u643F\u644B\u644F\u6451\u6452\u6453\u6454\u645A\u645B\u645C\u645D\u645F\u6460\u6461\u6463\u646D\u6473\u6474\u647B\u647D\u6485\u6487\u648F\u6490\u6491\u6498\u6499\u649B\u649D\u649F\u64A1\u64A3\u64A6\u64A8\u64AC\u64B3\u64BD\u64BE\u64BF"],
      ["8fc1a1", "\u64C4\u64C9\u64CA\u64CB\u64CC\u64CE\u64D0\u64D1\u64D5\u64D7\u64E4\u64E5\u64E9\u64EA\u64ED\u64F0\u64F5\u64F7\u64FB\u64FF\u6501\u6504\u6508\u6509\u650A\u650F\u6513\u6514\u6516\u6519\u651B\u651E\u651F\u6522\u6526\u6529\u652E\u6531\u653A\u653C\u653D\u6543\u6547\u6549\u6550\u6552\u6554\u655F\u6560\u6567\u656B\u657A\u657D\u6581\u6585\u658A\u6592\u6595\u6598\u659D\u65A0\u65A3\u65A6\u65AE\u65B2\u65B3\u65B4\u65BF\u65C2\u65C8\u65C9\u65CE\u65D0\u65D4\u65D6\u65D8\u65DF\u65F0\u65F2\u65F4\u65F5\u65F9\u65FE\u65FF\u6600\u6604\u6608\u6609\u660D\u6611\u6612\u6615\u6616\u661D"],
      ["8fc2a1", "\u661E\u6621\u6622\u6623\u6624\u6626\u6629\u662A\u662B\u662C\u662E\u6630\u6631\u6633\u6639\u6637\u6640\u6645\u6646\u664A\u664C\u6651\u664E\u6657\u6658\u6659\u665B\u665C\u6660\u6661\u66FB\u666A\u666B\u666C\u667E\u6673\u6675\u667F\u6677\u6678\u6679\u667B\u6680\u667C\u668B\u668C\u668D\u6690\u6692\u6699\u669A\u669B\u669C\u669F\u66A0\u66A4\u66AD\u66B1\u66B2\u66B5\u66BB\u66BF\u66C0\u66C2\u66C3\u66C8\u66CC\u66CE\u66CF\u66D4\u66DB\u66DF\u66E8\u66EB\u66EC\u66EE\u66FA\u6705\u6707\u670E\u6713\u6719\u671C\u6720\u6722\u6733\u673E\u6745\u6747\u6748\u674C\u6754\u6755\u675D"],
      ["8fc3a1", "\u6766\u676C\u676E\u6774\u6776\u677B\u6781\u6784\u678E\u678F\u6791\u6793\u6796\u6798\u6799\u679B\u67B0\u67B1\u67B2\u67B5\u67BB\u67BC\u67BD\u67F9\u67C0\u67C2\u67C3\u67C5\u67C8\u67C9\u67D2\u67D7\u67D9\u67DC\u67E1\u67E6\u67F0\u67F2\u67F6\u67F7\u6852\u6814\u6819\u681D\u681F\u6828\u6827\u682C\u682D\u682F\u6830\u6831\u6833\u683B\u683F\u6844\u6845\u684A\u684C\u6855\u6857\u6858\u685B\u686B\u686E", 4, "\u6875\u6879\u687A\u687B\u687C\u6882\u6884\u6886\u6888\u6896\u6898\u689A\u689C\u68A1\u68A3\u68A5\u68A9\u68AA\u68AE\u68B2\u68BB\u68C5\u68C8\u68CC\u68CF"],
      ["8fc4a1", "\u68D0\u68D1\u68D3\u68D6\u68D9\u68DC\u68DD\u68E5\u68E8\u68EA\u68EB\u68EC\u68ED\u68F0\u68F1\u68F5\u68F6\u68FB\u68FC\u68FD\u6906\u6909\u690A\u6910\u6911\u6913\u6916\u6917\u6931\u6933\u6935\u6938\u693B\u6942\u6945\u6949\u694E\u6957\u695B\u6963\u6964\u6965\u6966\u6968\u6969\u696C\u6970\u6971\u6972\u697A\u697B\u697F\u6980\u698D\u6992\u6996\u6998\u69A1\u69A5\u69A6\u69A8\u69AB\u69AD\u69AF\u69B7\u69B8\u69BA\u69BC\u69C5\u69C8\u69D1\u69D6\u69D7\u69E2\u69E5\u69EE\u69EF\u69F1\u69F3\u69F5\u69FE\u6A00\u6A01\u6A03\u6A0F\u6A11\u6A15\u6A1A\u6A1D\u6A20\u6A24\u6A28\u6A30\u6A32"],
      ["8fc5a1", "\u6A34\u6A37\u6A3B\u6A3E\u6A3F\u6A45\u6A46\u6A49\u6A4A\u6A4E\u6A50\u6A51\u6A52\u6A55\u6A56\u6A5B\u6A64\u6A67\u6A6A\u6A71\u6A73\u6A7E\u6A81\u6A83\u6A86\u6A87\u6A89\u6A8B\u6A91\u6A9B\u6A9D\u6A9E\u6A9F\u6AA5\u6AAB\u6AAF\u6AB0\u6AB1\u6AB4\u6ABD\u6ABE\u6ABF\u6AC6\u6AC9\u6AC8\u6ACC\u6AD0\u6AD4\u6AD5\u6AD6\u6ADC\u6ADD\u6AE4\u6AE7\u6AEC\u6AF0\u6AF1\u6AF2\u6AFC\u6AFD\u6B02\u6B03\u6B06\u6B07\u6B09\u6B0F\u6B10\u6B11\u6B17\u6B1B\u6B1E\u6B24\u6B28\u6B2B\u6B2C\u6B2F\u6B35\u6B36\u6B3B\u6B3F\u6B46\u6B4A\u6B4D\u6B52\u6B56\u6B58\u6B5D\u6B60\u6B67\u6B6B\u6B6E\u6B70\u6B75\u6B7D"],
      ["8fc6a1", "\u6B7E\u6B82\u6B85\u6B97\u6B9B\u6B9F\u6BA0\u6BA2\u6BA3\u6BA8\u6BA9\u6BAC\u6BAD\u6BAE\u6BB0\u6BB8\u6BB9\u6BBD\u6BBE\u6BC3\u6BC4\u6BC9\u6BCC\u6BD6\u6BDA\u6BE1\u6BE3\u6BE6\u6BE7\u6BEE\u6BF1\u6BF7\u6BF9\u6BFF\u6C02\u6C04\u6C05\u6C09\u6C0D\u6C0E\u6C10\u6C12\u6C19\u6C1F\u6C26\u6C27\u6C28\u6C2C\u6C2E\u6C33\u6C35\u6C36\u6C3A\u6C3B\u6C3F\u6C4A\u6C4B\u6C4D\u6C4F\u6C52\u6C54\u6C59\u6C5B\u6C5C\u6C6B\u6C6D\u6C6F\u6C74\u6C76\u6C78\u6C79\u6C7B\u6C85\u6C86\u6C87\u6C89\u6C94\u6C95\u6C97\u6C98\u6C9C\u6C9F\u6CB0\u6CB2\u6CB4\u6CC2\u6CC6\u6CCD\u6CCF\u6CD0\u6CD1\u6CD2\u6CD4\u6CD6"],
      ["8fc7a1", "\u6CDA\u6CDC\u6CE0\u6CE7\u6CE9\u6CEB\u6CEC\u6CEE\u6CF2\u6CF4\u6D04\u6D07\u6D0A\u6D0E\u6D0F\u6D11\u6D13\u6D1A\u6D26\u6D27\u6D28\u6C67\u6D2E\u6D2F\u6D31\u6D39\u6D3C\u6D3F\u6D57\u6D5E\u6D5F\u6D61\u6D65\u6D67\u6D6F\u6D70\u6D7C\u6D82\u6D87\u6D91\u6D92\u6D94\u6D96\u6D97\u6D98\u6DAA\u6DAC\u6DB4\u6DB7\u6DB9\u6DBD\u6DBF\u6DC4\u6DC8\u6DCA\u6DCE\u6DCF\u6DD6\u6DDB\u6DDD\u6DDF\u6DE0\u6DE2\u6DE5\u6DE9\u6DEF\u6DF0\u6DF4\u6DF6\u6DFC\u6E00\u6E04\u6E1E\u6E22\u6E27\u6E32\u6E36\u6E39\u6E3B\u6E3C\u6E44\u6E45\u6E48\u6E49\u6E4B\u6E4F\u6E51\u6E52\u6E53\u6E54\u6E57\u6E5C\u6E5D\u6E5E"],
      ["8fc8a1", "\u6E62\u6E63\u6E68\u6E73\u6E7B\u6E7D\u6E8D\u6E93\u6E99\u6EA0\u6EA7\u6EAD\u6EAE\u6EB1\u6EB3\u6EBB\u6EBF\u6EC0\u6EC1\u6EC3\u6EC7\u6EC8\u6ECA\u6ECD\u6ECE\u6ECF\u6EEB\u6EED\u6EEE\u6EF9\u6EFB\u6EFD\u6F04\u6F08\u6F0A\u6F0C\u6F0D\u6F16\u6F18\u6F1A\u6F1B\u6F26\u6F29\u6F2A\u6F2F\u6F30\u6F33\u6F36\u6F3B\u6F3C\u6F2D\u6F4F\u6F51\u6F52\u6F53\u6F57\u6F59\u6F5A\u6F5D\u6F5E\u6F61\u6F62\u6F68\u6F6C\u6F7D\u6F7E\u6F83\u6F87\u6F88\u6F8B\u6F8C\u6F8D\u6F90\u6F92\u6F93\u6F94\u6F96\u6F9A\u6F9F\u6FA0\u6FA5\u6FA6\u6FA7\u6FA8\u6FAE\u6FAF\u6FB0\u6FB5\u6FB6\u6FBC\u6FC5\u6FC7\u6FC8\u6FCA"],
      ["8fc9a1", "\u6FDA\u6FDE\u6FE8\u6FE9\u6FF0\u6FF5\u6FF9\u6FFC\u6FFD\u7000\u7005\u7006\u7007\u700D\u7017\u7020\u7023\u702F\u7034\u7037\u7039\u703C\u7043\u7044\u7048\u7049\u704A\u704B\u7054\u7055\u705D\u705E\u704E\u7064\u7065\u706C\u706E\u7075\u7076\u707E\u7081\u7085\u7086\u7094", 4, "\u709B\u70A4\u70AB\u70B0\u70B1\u70B4\u70B7\u70CA\u70D1\u70D3\u70D4\u70D5\u70D6\u70D8\u70DC\u70E4\u70FA\u7103", 4, "\u710B\u710C\u710F\u711E\u7120\u712B\u712D\u712F\u7130\u7131\u7138\u7141\u7145\u7146\u7147\u714A\u714B\u7150\u7152\u7157\u715A\u715C\u715E\u7160"],
      ["8fcaa1", "\u7168\u7179\u7180\u7185\u7187\u718C\u7192\u719A\u719B\u71A0\u71A2\u71AF\u71B0\u71B2\u71B3\u71BA\u71BF\u71C0\u71C1\u71C4\u71CB\u71CC\u71D3\u71D6\u71D9\u71DA\u71DC\u71F8\u71FE\u7200\u7207\u7208\u7209\u7213\u7217\u721A\u721D\u721F\u7224\u722B\u722F\u7234\u7238\u7239\u7241\u7242\u7243\u7245\u724E\u724F\u7250\u7253\u7255\u7256\u725A\u725C\u725E\u7260\u7263\u7268\u726B\u726E\u726F\u7271\u7277\u7278\u727B\u727C\u727F\u7284\u7289\u728D\u728E\u7293\u729B\u72A8\u72AD\u72AE\u72B1\u72B4\u72BE\u72C1\u72C7\u72C9\u72CC\u72D5\u72D6\u72D8\u72DF\u72E5\u72F3\u72F4\u72FA\u72FB"],
      ["8fcba1", "\u72FE\u7302\u7304\u7305\u7307\u730B\u730D\u7312\u7313\u7318\u7319\u731E\u7322\u7324\u7327\u7328\u732C\u7331\u7332\u7335\u733A\u733B\u733D\u7343\u734D\u7350\u7352\u7356\u7358\u735D\u735E\u735F\u7360\u7366\u7367\u7369\u736B\u736C\u736E\u736F\u7371\u7377\u7379\u737C\u7380\u7381\u7383\u7385\u7386\u738E\u7390\u7393\u7395\u7397\u7398\u739C\u739E\u739F\u73A0\u73A2\u73A5\u73A6\u73AA\u73AB\u73AD\u73B5\u73B7\u73B9\u73BC\u73BD\u73BF\u73C5\u73C6\u73C9\u73CB\u73CC\u73CF\u73D2\u73D3\u73D6\u73D9\u73DD\u73E1\u73E3\u73E6\u73E7\u73E9\u73F4\u73F5\u73F7\u73F9\u73FA\u73FB\u73FD"],
      ["8fcca1", "\u73FF\u7400\u7401\u7404\u7407\u740A\u7411\u741A\u741B\u7424\u7426\u7428", 9, "\u7439\u7440\u7443\u7444\u7446\u7447\u744B\u744D\u7451\u7452\u7457\u745D\u7462\u7466\u7467\u7468\u746B\u746D\u746E\u7471\u7472\u7480\u7481\u7485\u7486\u7487\u7489\u748F\u7490\u7491\u7492\u7498\u7499\u749A\u749C\u749F\u74A0\u74A1\u74A3\u74A6\u74A8\u74A9\u74AA\u74AB\u74AE\u74AF\u74B1\u74B2\u74B5\u74B9\u74BB\u74BF\u74C8\u74C9\u74CC\u74D0\u74D3\u74D8\u74DA\u74DB\u74DE\u74DF\u74E4\u74E8\u74EA\u74EB\u74EF\u74F4\u74FA\u74FB\u74FC\u74FF\u7506"],
      ["8fcda1", "\u7512\u7516\u7517\u7520\u7521\u7524\u7527\u7529\u752A\u752F\u7536\u7539\u753D\u753E\u753F\u7540\u7543\u7547\u7548\u754E\u7550\u7552\u7557\u755E\u755F\u7561\u756F\u7571\u7579", 5, "\u7581\u7585\u7590\u7592\u7593\u7595\u7599\u759C\u75A2\u75A4\u75B4\u75BA\u75BF\u75C0\u75C1\u75C4\u75C6\u75CC\u75CE\u75CF\u75D7\u75DC\u75DF\u75E0\u75E1\u75E4\u75E7\u75EC\u75EE\u75EF\u75F1\u75F9\u7600\u7602\u7603\u7604\u7607\u7608\u760A\u760C\u760F\u7612\u7613\u7615\u7616\u7619\u761B\u761C\u761D\u761E\u7623\u7625\u7626\u7629\u762D\u7632\u7633\u7635\u7638\u7639"],
      ["8fcea1", "\u763A\u763C\u764A\u7640\u7641\u7643\u7644\u7645\u7649\u764B\u7655\u7659\u765F\u7664\u7665\u766D\u766E\u766F\u7671\u7674\u7681\u7685\u768C\u768D\u7695\u769B\u769C\u769D\u769F\u76A0\u76A2", 6, "\u76AA\u76AD\u76BD\u76C1\u76C5\u76C9\u76CB\u76CC\u76CE\u76D4\u76D9\u76E0\u76E6\u76E8\u76EC\u76F0\u76F1\u76F6\u76F9\u76FC\u7700\u7706\u770A\u770E\u7712\u7714\u7715\u7717\u7719\u771A\u771C\u7722\u7728\u772D\u772E\u772F\u7734\u7735\u7736\u7739\u773D\u773E\u7742\u7745\u7746\u774A\u774D\u774E\u774F\u7752\u7756\u7757\u775C\u775E\u775F\u7760\u7762"],
      ["8fcfa1", "\u7764\u7767\u776A\u776C\u7770\u7772\u7773\u7774\u777A\u777D\u7780\u7784\u778C\u778D\u7794\u7795\u7796\u779A\u779F\u77A2\u77A7\u77AA\u77AE\u77AF\u77B1\u77B5\u77BE\u77C3\u77C9\u77D1\u77D2\u77D5\u77D9\u77DE\u77DF\u77E0\u77E4\u77E6\u77EA\u77EC\u77F0\u77F1\u77F4\u77F8\u77FB\u7805\u7806\u7809\u780D\u780E\u7811\u781D\u7821\u7822\u7823\u782D\u782E\u7830\u7835\u7837\u7843\u7844\u7847\u7848\u784C\u784E\u7852\u785C\u785E\u7860\u7861\u7863\u7864\u7868\u786A\u786E\u787A\u787E\u788A\u788F\u7894\u7898\u78A1\u789D\u789E\u789F\u78A4\u78A8\u78AC\u78AD\u78B0\u78B1\u78B2\u78B3"],
      ["8fd0a1", "\u78BB\u78BD\u78BF\u78C7\u78C8\u78C9\u78CC\u78CE\u78D2\u78D3\u78D5\u78D6\u78E4\u78DB\u78DF\u78E0\u78E1\u78E6\u78EA\u78F2\u78F3\u7900\u78F6\u78F7\u78FA\u78FB\u78FF\u7906\u790C\u7910\u791A\u791C\u791E\u791F\u7920\u7925\u7927\u7929\u792D\u7931\u7934\u7935\u793B\u793D\u793F\u7944\u7945\u7946\u794A\u794B\u794F\u7951\u7954\u7958\u795B\u795C\u7967\u7969\u796B\u7972\u7979\u797B\u797C\u797E\u798B\u798C\u7991\u7993\u7994\u7995\u7996\u7998\u799B\u799C\u79A1\u79A8\u79A9\u79AB\u79AF\u79B1\u79B4\u79B8\u79BB\u79C2\u79C4\u79C7\u79C8\u79CA\u79CF\u79D4\u79D6\u79DA\u79DD\u79DE"],
      ["8fd1a1", "\u79E0\u79E2\u79E5\u79EA\u79EB\u79ED\u79F1\u79F8\u79FC\u7A02\u7A03\u7A07\u7A09\u7A0A\u7A0C\u7A11\u7A15\u7A1B\u7A1E\u7A21\u7A27\u7A2B\u7A2D\u7A2F\u7A30\u7A34\u7A35\u7A38\u7A39\u7A3A\u7A44\u7A45\u7A47\u7A48\u7A4C\u7A55\u7A56\u7A59\u7A5C\u7A5D\u7A5F\u7A60\u7A65\u7A67\u7A6A\u7A6D\u7A75\u7A78\u7A7E\u7A80\u7A82\u7A85\u7A86\u7A8A\u7A8B\u7A90\u7A91\u7A94\u7A9E\u7AA0\u7AA3\u7AAC\u7AB3\u7AB5\u7AB9\u7ABB\u7ABC\u7AC6\u7AC9\u7ACC\u7ACE\u7AD1\u7ADB\u7AE8\u7AE9\u7AEB\u7AEC\u7AF1\u7AF4\u7AFB\u7AFD\u7AFE\u7B07\u7B14\u7B1F\u7B23\u7B27\u7B29\u7B2A\u7B2B\u7B2D\u7B2E\u7B2F\u7B30"],
      ["8fd2a1", "\u7B31\u7B34\u7B3D\u7B3F\u7B40\u7B41\u7B47\u7B4E\u7B55\u7B60\u7B64\u7B66\u7B69\u7B6A\u7B6D\u7B6F\u7B72\u7B73\u7B77\u7B84\u7B89\u7B8E\u7B90\u7B91\u7B96\u7B9B\u7B9E\u7BA0\u7BA5\u7BAC\u7BAF\u7BB0\u7BB2\u7BB5\u7BB6\u7BBA\u7BBB\u7BBC\u7BBD\u7BC2\u7BC5\u7BC8\u7BCA\u7BD4\u7BD6\u7BD7\u7BD9\u7BDA\u7BDB\u7BE8\u7BEA\u7BF2\u7BF4\u7BF5\u7BF8\u7BF9\u7BFA\u7BFC\u7BFE\u7C01\u7C02\u7C03\u7C04\u7C06\u7C09\u7C0B\u7C0C\u7C0E\u7C0F\u7C19\u7C1B\u7C20\u7C25\u7C26\u7C28\u7C2C\u7C31\u7C33\u7C34\u7C36\u7C39\u7C3A\u7C46\u7C4A\u7C55\u7C51\u7C52\u7C53\u7C59", 5],
      ["8fd3a1", "\u7C61\u7C63\u7C67\u7C69\u7C6D\u7C6E\u7C70\u7C72\u7C79\u7C7C\u7C7D\u7C86\u7C87\u7C8F\u7C94\u7C9E\u7CA0\u7CA6\u7CB0\u7CB6\u7CB7\u7CBA\u7CBB\u7CBC\u7CBF\u7CC4\u7CC7\u7CC8\u7CC9\u7CCD\u7CCF\u7CD3\u7CD4\u7CD5\u7CD7\u7CD9\u7CDA\u7CDD\u7CE6\u7CE9\u7CEB\u7CF5\u7D03\u7D07\u7D08\u7D09\u7D0F\u7D11\u7D12\u7D13\u7D16\u7D1D\u7D1E\u7D23\u7D26\u7D2A\u7D2D\u7D31\u7D3C\u7D3D\u7D3E\u7D40\u7D41\u7D47\u7D48\u7D4D\u7D51\u7D53\u7D57\u7D59\u7D5A\u7D5C\u7D5D\u7D65\u7D67\u7D6A\u7D70\u7D78\u7D7A\u7D7B\u7D7F\u7D81\u7D82\u7D83\u7D85\u7D86\u7D88\u7D8B\u7D8C\u7D8D\u7D91\u7D96\u7D97\u7D9D"],
      ["8fd4a1", "\u7D9E\u7DA6\u7DA7\u7DAA\u7DB3\u7DB6\u7DB7\u7DB9\u7DC2", 4, "\u7DCC\u7DCD\u7DCE\u7DD7\u7DD9\u7E00\u7DE2\u7DE5\u7DE6\u7DEA\u7DEB\u7DED\u7DF1\u7DF5\u7DF6\u7DF9\u7DFA\u7E08\u7E10\u7E11\u7E15\u7E17\u7E1C\u7E1D\u7E20\u7E27\u7E28\u7E2C\u7E2D\u7E2F\u7E33\u7E36\u7E3F\u7E44\u7E45\u7E47\u7E4E\u7E50\u7E52\u7E58\u7E5F\u7E61\u7E62\u7E65\u7E6B\u7E6E\u7E6F\u7E73\u7E78\u7E7E\u7E81\u7E86\u7E87\u7E8A\u7E8D\u7E91\u7E95\u7E98\u7E9A\u7E9D\u7E9E\u7F3C\u7F3B\u7F3D\u7F3E\u7F3F\u7F43\u7F44\u7F47\u7F4F\u7F52\u7F53\u7F5B\u7F5C\u7F5D\u7F61\u7F63\u7F64\u7F65\u7F66\u7F6D"],
      ["8fd5a1", "\u7F71\u7F7D\u7F7E\u7F7F\u7F80\u7F8B\u7F8D\u7F8F\u7F90\u7F91\u7F96\u7F97\u7F9C\u7FA1\u7FA2\u7FA6\u7FAA\u7FAD\u7FB4\u7FBC\u7FBF\u7FC0\u7FC3\u7FC8\u7FCE\u7FCF\u7FDB\u7FDF\u7FE3\u7FE5\u7FE8\u7FEC\u7FEE\u7FEF\u7FF2\u7FFA\u7FFD\u7FFE\u7FFF\u8007\u8008\u800A\u800D\u800E\u800F\u8011\u8013\u8014\u8016\u801D\u801E\u801F\u8020\u8024\u8026\u802C\u802E\u8030\u8034\u8035\u8037\u8039\u803A\u803C\u803E\u8040\u8044\u8060\u8064\u8066\u806D\u8071\u8075\u8081\u8088\u808E\u809C\u809E\u80A6\u80A7\u80AB\u80B8\u80B9\u80C8\u80CD\u80CF\u80D2\u80D4\u80D5\u80D7\u80D8\u80E0\u80ED\u80EE"],
      ["8fd6a1", "\u80F0\u80F2\u80F3\u80F6\u80F9\u80FA\u80FE\u8103\u810B\u8116\u8117\u8118\u811C\u811E\u8120\u8124\u8127\u812C\u8130\u8135\u813A\u813C\u8145\u8147\u814A\u814C\u8152\u8157\u8160\u8161\u8167\u8168\u8169\u816D\u816F\u8177\u8181\u8190\u8184\u8185\u8186\u818B\u818E\u8196\u8198\u819B\u819E\u81A2\u81AE\u81B2\u81B4\u81BB\u81CB\u81C3\u81C5\u81CA\u81CE\u81CF\u81D5\u81D7\u81DB\u81DD\u81DE\u81E1\u81E4\u81EB\u81EC\u81F0\u81F1\u81F2\u81F5\u81F6\u81F8\u81F9\u81FD\u81FF\u8200\u8203\u820F\u8213\u8214\u8219\u821A\u821D\u8221\u8222\u8228\u8232\u8234\u823A\u8243\u8244\u8245\u8246"],
      ["8fd7a1", "\u824B\u824E\u824F\u8251\u8256\u825C\u8260\u8263\u8267\u826D\u8274\u827B\u827D\u827F\u8280\u8281\u8283\u8284\u8287\u8289\u828A\u828E\u8291\u8294\u8296\u8298\u829A\u829B\u82A0\u82A1\u82A3\u82A4\u82A7\u82A8\u82A9\u82AA\u82AE\u82B0\u82B2\u82B4\u82B7\u82BA\u82BC\u82BE\u82BF\u82C6\u82D0\u82D5\u82DA\u82E0\u82E2\u82E4\u82E8\u82EA\u82ED\u82EF\u82F6\u82F7\u82FD\u82FE\u8300\u8301\u8307\u8308\u830A\u830B\u8354\u831B\u831D\u831E\u831F\u8321\u8322\u832C\u832D\u832E\u8330\u8333\u8337\u833A\u833C\u833D\u8342\u8343\u8344\u8347\u834D\u834E\u8351\u8355\u8356\u8357\u8370\u8378"],
      ["8fd8a1", "\u837D\u837F\u8380\u8382\u8384\u8386\u838D\u8392\u8394\u8395\u8398\u8399\u839B\u839C\u839D\u83A6\u83A7\u83A9\u83AC\u83BE\u83BF\u83C0\u83C7\u83C9\u83CF\u83D0\u83D1\u83D4\u83DD\u8353\u83E8\u83EA\u83F6\u83F8\u83F9\u83FC\u8401\u8406\u840A\u840F\u8411\u8415\u8419\u83AD\u842F\u8439\u8445\u8447\u8448\u844A\u844D\u844F\u8451\u8452\u8456\u8458\u8459\u845A\u845C\u8460\u8464\u8465\u8467\u846A\u8470\u8473\u8474\u8476\u8478\u847C\u847D\u8481\u8485\u8492\u8493\u8495\u849E\u84A6\u84A8\u84A9\u84AA\u84AF\u84B1\u84B4\u84BA\u84BD\u84BE\u84C0\u84C2\u84C7\u84C8\u84CC\u84CF\u84D3"],
      ["8fd9a1", "\u84DC\u84E7\u84EA\u84EF\u84F0\u84F1\u84F2\u84F7\u8532\u84FA\u84FB\u84FD\u8502\u8503\u8507\u850C\u850E\u8510\u851C\u851E\u8522\u8523\u8524\u8525\u8527\u852A\u852B\u852F\u8533\u8534\u8536\u853F\u8546\u854F", 4, "\u8556\u8559\u855C", 6, "\u8564\u856B\u856F\u8579\u857A\u857B\u857D\u857F\u8581\u8585\u8586\u8589\u858B\u858C\u858F\u8593\u8598\u859D\u859F\u85A0\u85A2\u85A5\u85A7\u85B4\u85B6\u85B7\u85B8\u85BC\u85BD\u85BE\u85BF\u85C2\u85C7\u85CA\u85CB\u85CE\u85AD\u85D8\u85DA\u85DF\u85E0\u85E6\u85E8\u85ED\u85F3\u85F6\u85FC"],
      ["8fdaa1", "\u85FF\u8600\u8604\u8605\u860D\u860E\u8610\u8611\u8612\u8618\u8619\u861B\u861E\u8621\u8627\u8629\u8636\u8638\u863A\u863C\u863D\u8640\u8642\u8646\u8652\u8653\u8656\u8657\u8658\u8659\u865D\u8660", 4, "\u8669\u866C\u866F\u8675\u8676\u8677\u867A\u868D\u8691\u8696\u8698\u869A\u869C\u86A1\u86A6\u86A7\u86A8\u86AD\u86B1\u86B3\u86B4\u86B5\u86B7\u86B8\u86B9\u86BF\u86C0\u86C1\u86C3\u86C5\u86D1\u86D2\u86D5\u86D7\u86DA\u86DC\u86E0\u86E3\u86E5\u86E7\u8688\u86FA\u86FC\u86FD\u8704\u8705\u8707\u870B\u870E\u870F\u8710\u8713\u8714\u8719\u871E\u871F\u8721\u8723"],
      ["8fdba1", "\u8728\u872E\u872F\u8731\u8732\u8739\u873A\u873C\u873D\u873E\u8740\u8743\u8745\u874D\u8758\u875D\u8761\u8764\u8765\u876F\u8771\u8772\u877B\u8783", 6, "\u878B\u878C\u8790\u8793\u8795\u8797\u8798\u8799\u879E\u87A0\u87A3\u87A7\u87AC\u87AD\u87AE\u87B1\u87B5\u87BE\u87BF\u87C1\u87C8\u87C9\u87CA\u87CE\u87D5\u87D6\u87D9\u87DA\u87DC\u87DF\u87E2\u87E3\u87E4\u87EA\u87EB\u87ED\u87F1\u87F3\u87F8\u87FA\u87FF\u8801\u8803\u8806\u8809\u880A\u880B\u8810\u8819\u8812\u8813\u8814\u8818\u881A\u881B\u881C\u881E\u881F\u8828\u882D\u882E\u8830\u8832\u8835"],
      ["8fdca1", "\u883A\u883C\u8841\u8843\u8845\u8848\u8849\u884A\u884B\u884E\u8851\u8855\u8856\u8858\u885A\u885C\u885F\u8860\u8864\u8869\u8871\u8879\u887B\u8880\u8898\u889A\u889B\u889C\u889F\u88A0\u88A8\u88AA\u88BA\u88BD\u88BE\u88C0\u88CA", 4, "\u88D1\u88D2\u88D3\u88DB\u88DE\u88E7\u88EF\u88F0\u88F1\u88F5\u88F7\u8901\u8906\u890D\u890E\u890F\u8915\u8916\u8918\u8919\u891A\u891C\u8920\u8926\u8927\u8928\u8930\u8931\u8932\u8935\u8939\u893A\u893E\u8940\u8942\u8945\u8946\u8949\u894F\u8952\u8957\u895A\u895B\u895C\u8961\u8962\u8963\u896B\u896E\u8970\u8973\u8975\u897A"],
      ["8fdda1", "\u897B\u897C\u897D\u8989\u898D\u8990\u8994\u8995\u899B\u899C\u899F\u89A0\u89A5\u89B0\u89B4\u89B5\u89B6\u89B7\u89BC\u89D4", 4, "\u89E5\u89E9\u89EB\u89ED\u89F1\u89F3\u89F6\u89F9\u89FD\u89FF\u8A04\u8A05\u8A07\u8A0F\u8A11\u8A12\u8A14\u8A15\u8A1E\u8A20\u8A22\u8A24\u8A26\u8A2B\u8A2C\u8A2F\u8A35\u8A37\u8A3D\u8A3E\u8A40\u8A43\u8A45\u8A47\u8A49\u8A4D\u8A4E\u8A53\u8A56\u8A57\u8A58\u8A5C\u8A5D\u8A61\u8A65\u8A67\u8A75\u8A76\u8A77\u8A79\u8A7A\u8A7B\u8A7E\u8A7F\u8A80\u8A83\u8A86\u8A8B\u8A8F\u8A90\u8A92\u8A96\u8A97\u8A99\u8A9F\u8AA7\u8AA9\u8AAE\u8AAF\u8AB3"],
      ["8fdea1", "\u8AB6\u8AB7\u8ABB\u8ABE\u8AC3\u8AC6\u8AC8\u8AC9\u8ACA\u8AD1\u8AD3\u8AD4\u8AD5\u8AD7\u8ADD\u8ADF\u8AEC\u8AF0\u8AF4\u8AF5\u8AF6\u8AFC\u8AFF\u8B05\u8B06\u8B0B\u8B11\u8B1C\u8B1E\u8B1F\u8B0A\u8B2D\u8B30\u8B37\u8B3C\u8B42", 4, "\u8B48\u8B52\u8B53\u8B54\u8B59\u8B4D\u8B5E\u8B63\u8B6D\u8B76\u8B78\u8B79\u8B7C\u8B7E\u8B81\u8B84\u8B85\u8B8B\u8B8D\u8B8F\u8B94\u8B95\u8B9C\u8B9E\u8B9F\u8C38\u8C39\u8C3D\u8C3E\u8C45\u8C47\u8C49\u8C4B\u8C4F\u8C51\u8C53\u8C54\u8C57\u8C58\u8C5B\u8C5D\u8C59\u8C63\u8C64\u8C66\u8C68\u8C69\u8C6D\u8C73\u8C75\u8C76\u8C7B\u8C7E\u8C86"],
      ["8fdfa1", "\u8C87\u8C8B\u8C90\u8C92\u8C93\u8C99\u8C9B\u8C9C\u8CA4\u8CB9\u8CBA\u8CC5\u8CC6\u8CC9\u8CCB\u8CCF\u8CD6\u8CD5\u8CD9\u8CDD\u8CE1\u8CE8\u8CEC\u8CEF\u8CF0\u8CF2\u8CF5\u8CF7\u8CF8\u8CFE\u8CFF\u8D01\u8D03\u8D09\u8D12\u8D17\u8D1B\u8D65\u8D69\u8D6C\u8D6E\u8D7F\u8D82\u8D84\u8D88\u8D8D\u8D90\u8D91\u8D95\u8D9E\u8D9F\u8DA0\u8DA6\u8DAB\u8DAC\u8DAF\u8DB2\u8DB5\u8DB7\u8DB9\u8DBB\u8DC0\u8DC5\u8DC6\u8DC7\u8DC8\u8DCA\u8DCE\u8DD1\u8DD4\u8DD5\u8DD7\u8DD9\u8DE4\u8DE5\u8DE7\u8DEC\u8DF0\u8DBC\u8DF1\u8DF2\u8DF4\u8DFD\u8E01\u8E04\u8E05\u8E06\u8E0B\u8E11\u8E14\u8E16\u8E20\u8E21\u8E22"],
      ["8fe0a1", "\u8E23\u8E26\u8E27\u8E31\u8E33\u8E36\u8E37\u8E38\u8E39\u8E3D\u8E40\u8E41\u8E4B\u8E4D\u8E4E\u8E4F\u8E54\u8E5B\u8E5C\u8E5D\u8E5E\u8E61\u8E62\u8E69\u8E6C\u8E6D\u8E6F\u8E70\u8E71\u8E79\u8E7A\u8E7B\u8E82\u8E83\u8E89\u8E90\u8E92\u8E95\u8E9A\u8E9B\u8E9D\u8E9E\u8EA2\u8EA7\u8EA9\u8EAD\u8EAE\u8EB3\u8EB5\u8EBA\u8EBB\u8EC0\u8EC1\u8EC3\u8EC4\u8EC7\u8ECF\u8ED1\u8ED4\u8EDC\u8EE8\u8EEE\u8EF0\u8EF1\u8EF7\u8EF9\u8EFA\u8EED\u8F00\u8F02\u8F07\u8F08\u8F0F\u8F10\u8F16\u8F17\u8F18\u8F1E\u8F20\u8F21\u8F23\u8F25\u8F27\u8F28\u8F2C\u8F2D\u8F2E\u8F34\u8F35\u8F36\u8F37\u8F3A\u8F40\u8F41"],
      ["8fe1a1", "\u8F43\u8F47\u8F4F\u8F51", 4, "\u8F58\u8F5D\u8F5E\u8F65\u8F9D\u8FA0\u8FA1\u8FA4\u8FA5\u8FA6\u8FB5\u8FB6\u8FB8\u8FBE\u8FC0\u8FC1\u8FC6\u8FCA\u8FCB\u8FCD\u8FD0\u8FD2\u8FD3\u8FD5\u8FE0\u8FE3\u8FE4\u8FE8\u8FEE\u8FF1\u8FF5\u8FF6\u8FFB\u8FFE\u9002\u9004\u9008\u900C\u9018\u901B\u9028\u9029\u902F\u902A\u902C\u902D\u9033\u9034\u9037\u903F\u9043\u9044\u904C\u905B\u905D\u9062\u9066\u9067\u906C\u9070\u9074\u9079\u9085\u9088\u908B\u908C\u908E\u9090\u9095\u9097\u9098\u9099\u909B\u90A0\u90A1\u90A2\u90A5\u90B0\u90B2\u90B3\u90B4\u90B6\u90BD\u90CC\u90BE\u90C3"],
      ["8fe2a1", "\u90C4\u90C5\u90C7\u90C8\u90D5\u90D7\u90D8\u90D9\u90DC\u90DD\u90DF\u90E5\u90D2\u90F6\u90EB\u90EF\u90F0\u90F4\u90FE\u90FF\u9100\u9104\u9105\u9106\u9108\u910D\u9110\u9114\u9116\u9117\u9118\u911A\u911C\u911E\u9120\u9125\u9122\u9123\u9127\u9129\u912E\u912F\u9131\u9134\u9136\u9137\u9139\u913A\u913C\u913D\u9143\u9147\u9148\u914F\u9153\u9157\u9159\u915A\u915B\u9161\u9164\u9167\u916D\u9174\u9179\u917A\u917B\u9181\u9183\u9185\u9186\u918A\u918E\u9191\u9193\u9194\u9195\u9198\u919E\u91A1\u91A6\u91A8\u91AC\u91AD\u91AE\u91B0\u91B1\u91B2\u91B3\u91B6\u91BB\u91BC\u91BD\u91BF"],
      ["8fe3a1", "\u91C2\u91C3\u91C5\u91D3\u91D4\u91D7\u91D9\u91DA\u91DE\u91E4\u91E5\u91E9\u91EA\u91EC", 5, "\u91F7\u91F9\u91FB\u91FD\u9200\u9201\u9204\u9205\u9206\u9207\u9209\u920A\u920C\u9210\u9212\u9213\u9216\u9218\u921C\u921D\u9223\u9224\u9225\u9226\u9228\u922E\u922F\u9230\u9233\u9235\u9236\u9238\u9239\u923A\u923C\u923E\u9240\u9242\u9243\u9246\u9247\u924A\u924D\u924E\u924F\u9251\u9258\u9259\u925C\u925D\u9260\u9261\u9265\u9267\u9268\u9269\u926E\u926F\u9270\u9275", 4, "\u927B\u927C\u927D\u927F\u9288\u9289\u928A\u928D\u928E\u9292\u9297"],
      ["8fe4a1", "\u9299\u929F\u92A0\u92A4\u92A5\u92A7\u92A8\u92AB\u92AF\u92B2\u92B6\u92B8\u92BA\u92BB\u92BC\u92BD\u92BF", 4, "\u92C5\u92C6\u92C7\u92C8\u92CB\u92CC\u92CD\u92CE\u92D0\u92D3\u92D5\u92D7\u92D8\u92D9\u92DC\u92DD\u92DF\u92E0\u92E1\u92E3\u92E5\u92E7\u92E8\u92EC\u92EE\u92F0\u92F9\u92FB\u92FF\u9300\u9302\u9308\u930D\u9311\u9314\u9315\u931C\u931D\u931E\u931F\u9321\u9324\u9325\u9327\u9329\u932A\u9333\u9334\u9336\u9337\u9347\u9348\u9349\u9350\u9351\u9352\u9355\u9357\u9358\u935A\u935E\u9364\u9365\u9367\u9369\u936A\u936D\u936F\u9370\u9371\u9373\u9374\u9376"],
      ["8fe5a1", "\u937A\u937D\u937F\u9380\u9381\u9382\u9388\u938A\u938B\u938D\u938F\u9392\u9395\u9398\u939B\u939E\u93A1\u93A3\u93A4\u93A6\u93A8\u93AB\u93B4\u93B5\u93B6\u93BA\u93A9\u93C1\u93C4\u93C5\u93C6\u93C7\u93C9", 4, "\u93D3\u93D9\u93DC\u93DE\u93DF\u93E2\u93E6\u93E7\u93F9\u93F7\u93F8\u93FA\u93FB\u93FD\u9401\u9402\u9404\u9408\u9409\u940D\u940E\u940F\u9415\u9416\u9417\u941F\u942E\u942F\u9431\u9432\u9433\u9434\u943B\u943F\u943D\u9443\u9445\u9448\u944A\u944C\u9455\u9459\u945C\u945F\u9461\u9463\u9468\u946B\u946D\u946E\u946F\u9471\u9472\u9484\u9483\u9578\u9579"],
      ["8fe6a1", "\u957E\u9584\u9588\u958C\u958D\u958E\u959D\u959E\u959F\u95A1\u95A6\u95A9\u95AB\u95AC\u95B4\u95B6\u95BA\u95BD\u95BF\u95C6\u95C8\u95C9\u95CB\u95D0\u95D1\u95D2\u95D3\u95D9\u95DA\u95DD\u95DE\u95DF\u95E0\u95E4\u95E6\u961D\u961E\u9622\u9624\u9625\u9626\u962C\u9631\u9633\u9637\u9638\u9639\u963A\u963C\u963D\u9641\u9652\u9654\u9656\u9657\u9658\u9661\u966E\u9674\u967B\u967C\u967E\u967F\u9681\u9682\u9683\u9684\u9689\u9691\u9696\u969A\u969D\u969F\u96A4\u96A5\u96A6\u96A9\u96AE\u96AF\u96B3\u96BA\u96CA\u96D2\u5DB2\u96D8\u96DA\u96DD\u96DE\u96DF\u96E9\u96EF\u96F1\u96FA\u9702"],
      ["8fe7a1", "\u9703\u9705\u9709\u971A\u971B\u971D\u9721\u9722\u9723\u9728\u9731\u9733\u9741\u9743\u974A\u974E\u974F\u9755\u9757\u9758\u975A\u975B\u9763\u9767\u976A\u976E\u9773\u9776\u9777\u9778\u977B\u977D\u977F\u9780\u9789\u9795\u9796\u9797\u9799\u979A\u979E\u979F\u97A2\u97AC\u97AE\u97B1\u97B2\u97B5\u97B6\u97B8\u97B9\u97BA\u97BC\u97BE\u97BF\u97C1\u97C4\u97C5\u97C7\u97C9\u97CA\u97CC\u97CD\u97CE\u97D0\u97D1\u97D4\u97D7\u97D8\u97D9\u97DD\u97DE\u97E0\u97DB\u97E1\u97E4\u97EF\u97F1\u97F4\u97F7\u97F8\u97FA\u9807\u980A\u9819\u980D\u980E\u9814\u9816\u981C\u981E\u9820\u9823\u9826"],
      ["8fe8a1", "\u982B\u982E\u982F\u9830\u9832\u9833\u9835\u9825\u983E\u9844\u9847\u984A\u9851\u9852\u9853\u9856\u9857\u9859\u985A\u9862\u9863\u9865\u9866\u986A\u986C\u98AB\u98AD\u98AE\u98B0\u98B4\u98B7\u98B8\u98BA\u98BB\u98BF\u98C2\u98C5\u98C8\u98CC\u98E1\u98E3\u98E5\u98E6\u98E7\u98EA\u98F3\u98F6\u9902\u9907\u9908\u9911\u9915\u9916\u9917\u991A\u991B\u991C\u991F\u9922\u9926\u9927\u992B\u9931", 4, "\u9939\u993A\u993B\u993C\u9940\u9941\u9946\u9947\u9948\u994D\u994E\u9954\u9958\u9959\u995B\u995C\u995E\u995F\u9960\u999B\u999D\u999F\u99A6\u99B0\u99B1\u99B2\u99B5"],
      ["8fe9a1", "\u99B9\u99BA\u99BD\u99BF\u99C3\u99C9\u99D3\u99D4\u99D9\u99DA\u99DC\u99DE\u99E7\u99EA\u99EB\u99EC\u99F0\u99F4\u99F5\u99F9\u99FD\u99FE\u9A02\u9A03\u9A04\u9A0B\u9A0C\u9A10\u9A11\u9A16\u9A1E\u9A20\u9A22\u9A23\u9A24\u9A27\u9A2D\u9A2E\u9A33\u9A35\u9A36\u9A38\u9A47\u9A41\u9A44\u9A4A\u9A4B\u9A4C\u9A4E\u9A51\u9A54\u9A56\u9A5D\u9AAA\u9AAC\u9AAE\u9AAF\u9AB2\u9AB4\u9AB5\u9AB6\u9AB9\u9ABB\u9ABE\u9ABF\u9AC1\u9AC3\u9AC6\u9AC8\u9ACE\u9AD0\u9AD2\u9AD5\u9AD6\u9AD7\u9ADB\u9ADC\u9AE0\u9AE4\u9AE5\u9AE7\u9AE9\u9AEC\u9AF2\u9AF3\u9AF5\u9AF9\u9AFA\u9AFD\u9AFF", 4],
      ["8feaa1", "\u9B04\u9B05\u9B08\u9B09\u9B0B\u9B0C\u9B0D\u9B0E\u9B10\u9B12\u9B16\u9B19\u9B1B\u9B1C\u9B20\u9B26\u9B2B\u9B2D\u9B33\u9B34\u9B35\u9B37\u9B39\u9B3A\u9B3D\u9B48\u9B4B\u9B4C\u9B55\u9B56\u9B57\u9B5B\u9B5E\u9B61\u9B63\u9B65\u9B66\u9B68\u9B6A", 4, "\u9B73\u9B75\u9B77\u9B78\u9B79\u9B7F\u9B80\u9B84\u9B85\u9B86\u9B87\u9B89\u9B8A\u9B8B\u9B8D\u9B8F\u9B90\u9B94\u9B9A\u9B9D\u9B9E\u9BA6\u9BA7\u9BA9\u9BAC\u9BB0\u9BB1\u9BB2\u9BB7\u9BB8\u9BBB\u9BBC\u9BBE\u9BBF\u9BC1\u9BC7\u9BC8\u9BCE\u9BD0\u9BD7\u9BD8\u9BDD\u9BDF\u9BE5\u9BE7\u9BEA\u9BEB\u9BEF\u9BF3\u9BF7\u9BF8"],
      ["8feba1", "\u9BF9\u9BFA\u9BFD\u9BFF\u9C00\u9C02\u9C0B\u9C0F\u9C11\u9C16\u9C18\u9C19\u9C1A\u9C1C\u9C1E\u9C22\u9C23\u9C26", 4, "\u9C31\u9C35\u9C36\u9C37\u9C3D\u9C41\u9C43\u9C44\u9C45\u9C49\u9C4A\u9C4E\u9C4F\u9C50\u9C53\u9C54\u9C56\u9C58\u9C5B\u9C5D\u9C5E\u9C5F\u9C63\u9C69\u9C6A\u9C5C\u9C6B\u9C68\u9C6E\u9C70\u9C72\u9C75\u9C77\u9C7B\u9CE6\u9CF2\u9CF7\u9CF9\u9D0B\u9D02\u9D11\u9D17\u9D18\u9D1C\u9D1D\u9D1E\u9D2F\u9D30\u9D32\u9D33\u9D34\u9D3A\u9D3C\u9D45\u9D3D\u9D42\u9D43\u9D47\u9D4A\u9D53\u9D54\u9D5F\u9D63\u9D62\u9D65\u9D69\u9D6A\u9D6B\u9D70\u9D76\u9D77\u9D7B"],
      ["8feca1", "\u9D7C\u9D7E\u9D83\u9D84\u9D86\u9D8A\u9D8D\u9D8E\u9D92\u9D93\u9D95\u9D96\u9D97\u9D98\u9DA1\u9DAA\u9DAC\u9DAE\u9DB1\u9DB5\u9DB9\u9DBC\u9DBF\u9DC3\u9DC7\u9DC9\u9DCA\u9DD4\u9DD5\u9DD6\u9DD7\u9DDA\u9DDE\u9DDF\u9DE0\u9DE5\u9DE7\u9DE9\u9DEB\u9DEE\u9DF0\u9DF3\u9DF4\u9DFE\u9E0A\u9E02\u9E07\u9E0E\u9E10\u9E11\u9E12\u9E15\u9E16\u9E19\u9E1C\u9E1D\u9E7A\u9E7B\u9E7C\u9E80\u9E82\u9E83\u9E84\u9E85\u9E87\u9E8E\u9E8F\u9E96\u9E98\u9E9B\u9E9E\u9EA4\u9EA8\u9EAC\u9EAE\u9EAF\u9EB0\u9EB3\u9EB4\u9EB5\u9EC6\u9EC8\u9ECB\u9ED5\u9EDF\u9EE4\u9EE7\u9EEC\u9EED\u9EEE\u9EF0\u9EF1\u9EF2\u9EF5"],
      ["8feda1", "\u9EF8\u9EFF\u9F02\u9F03\u9F09\u9F0F\u9F10\u9F11\u9F12\u9F14\u9F16\u9F17\u9F19\u9F1A\u9F1B\u9F1F\u9F22\u9F26\u9F2A\u9F2B\u9F2F\u9F31\u9F32\u9F34\u9F37\u9F39\u9F3A\u9F3C\u9F3D\u9F3F\u9F41\u9F43", 4, "\u9F53\u9F55\u9F56\u9F57\u9F58\u9F5A\u9F5D\u9F5E\u9F68\u9F69\u9F6D", 4, "\u9F73\u9F75\u9F7A\u9F7D\u9F8F\u9F90\u9F91\u9F92\u9F94\u9F96\u9F97\u9F9E\u9FA1\u9FA2\u9FA3\u9FA5"]
    ];
  }
});

// ../../../node_modules/iconv-lite/encodings/tables/cp936.json
var require_cp936 = __commonJS({
  "../../../node_modules/iconv-lite/encodings/tables/cp936.json"(exports, module2) {
    module2.exports = [
      ["0", "\0", 127, "\u20AC"],
      ["8140", "\u4E02\u4E04\u4E05\u4E06\u4E0F\u4E12\u4E17\u4E1F\u4E20\u4E21\u4E23\u4E26\u4E29\u4E2E\u4E2F\u4E31\u4E33\u4E35\u4E37\u4E3C\u4E40\u4E41\u4E42\u4E44\u4E46\u4E4A\u4E51\u4E55\u4E57\u4E5A\u4E5B\u4E62\u4E63\u4E64\u4E65\u4E67\u4E68\u4E6A", 5, "\u4E72\u4E74", 9, "\u4E7F", 6, "\u4E87\u4E8A"],
      ["8180", "\u4E90\u4E96\u4E97\u4E99\u4E9C\u4E9D\u4E9E\u4EA3\u4EAA\u4EAF\u4EB0\u4EB1\u4EB4\u4EB6\u4EB7\u4EB8\u4EB9\u4EBC\u4EBD\u4EBE\u4EC8\u4ECC\u4ECF\u4ED0\u4ED2\u4EDA\u4EDB\u4EDC\u4EE0\u4EE2\u4EE6\u4EE7\u4EE9\u4EED\u4EEE\u4EEF\u4EF1\u4EF4\u4EF8\u4EF9\u4EFA\u4EFC\u4EFE\u4F00\u4F02", 6, "\u4F0B\u4F0C\u4F12", 4, "\u4F1C\u4F1D\u4F21\u4F23\u4F28\u4F29\u4F2C\u4F2D\u4F2E\u4F31\u4F33\u4F35\u4F37\u4F39\u4F3B\u4F3E", 4, "\u4F44\u4F45\u4F47", 5, "\u4F52\u4F54\u4F56\u4F61\u4F62\u4F66\u4F68\u4F6A\u4F6B\u4F6D\u4F6E\u4F71\u4F72\u4F75\u4F77\u4F78\u4F79\u4F7A\u4F7D\u4F80\u4F81\u4F82\u4F85\u4F86\u4F87\u4F8A\u4F8C\u4F8E\u4F90\u4F92\u4F93\u4F95\u4F96\u4F98\u4F99\u4F9A\u4F9C\u4F9E\u4F9F\u4FA1\u4FA2"],
      ["8240", "\u4FA4\u4FAB\u4FAD\u4FB0", 4, "\u4FB6", 8, "\u4FC0\u4FC1\u4FC2\u4FC6\u4FC7\u4FC8\u4FC9\u4FCB\u4FCC\u4FCD\u4FD2", 4, "\u4FD9\u4FDB\u4FE0\u4FE2\u4FE4\u4FE5\u4FE7\u4FEB\u4FEC\u4FF0\u4FF2\u4FF4\u4FF5\u4FF6\u4FF7\u4FF9\u4FFB\u4FFC\u4FFD\u4FFF", 11],
      ["8280", "\u500B\u500E\u5010\u5011\u5013\u5015\u5016\u5017\u501B\u501D\u501E\u5020\u5022\u5023\u5024\u5027\u502B\u502F", 10, "\u503B\u503D\u503F\u5040\u5041\u5042\u5044\u5045\u5046\u5049\u504A\u504B\u504D\u5050", 4, "\u5056\u5057\u5058\u5059\u505B\u505D", 7, "\u5066", 5, "\u506D", 8, "\u5078\u5079\u507A\u507C\u507D\u5081\u5082\u5083\u5084\u5086\u5087\u5089\u508A\u508B\u508C\u508E", 20, "\u50A4\u50A6\u50AA\u50AB\u50AD", 4, "\u50B3", 6, "\u50BC"],
      ["8340", "\u50BD", 17, "\u50D0", 5, "\u50D7\u50D8\u50D9\u50DB", 10, "\u50E8\u50E9\u50EA\u50EB\u50EF\u50F0\u50F1\u50F2\u50F4\u50F6", 4, "\u50FC", 9, "\u5108"],
      ["8380", "\u5109\u510A\u510C", 5, "\u5113", 13, "\u5122", 28, "\u5142\u5147\u514A\u514C\u514E\u514F\u5150\u5152\u5153\u5157\u5158\u5159\u515B\u515D", 4, "\u5163\u5164\u5166\u5167\u5169\u516A\u516F\u5172\u517A\u517E\u517F\u5183\u5184\u5186\u5187\u518A\u518B\u518E\u518F\u5190\u5191\u5193\u5194\u5198\u519A\u519D\u519E\u519F\u51A1\u51A3\u51A6", 4, "\u51AD\u51AE\u51B4\u51B8\u51B9\u51BA\u51BE\u51BF\u51C1\u51C2\u51C3\u51C5\u51C8\u51CA\u51CD\u51CE\u51D0\u51D2", 5],
      ["8440", "\u51D8\u51D9\u51DA\u51DC\u51DE\u51DF\u51E2\u51E3\u51E5", 5, "\u51EC\u51EE\u51F1\u51F2\u51F4\u51F7\u51FE\u5204\u5205\u5209\u520B\u520C\u520F\u5210\u5213\u5214\u5215\u521C\u521E\u521F\u5221\u5222\u5223\u5225\u5226\u5227\u522A\u522C\u522F\u5231\u5232\u5234\u5235\u523C\u523E\u5244", 5, "\u524B\u524E\u524F\u5252\u5253\u5255\u5257\u5258"],
      ["8480", "\u5259\u525A\u525B\u525D\u525F\u5260\u5262\u5263\u5264\u5266\u5268\u526B\u526C\u526D\u526E\u5270\u5271\u5273", 9, "\u527E\u5280\u5283", 4, "\u5289", 6, "\u5291\u5292\u5294", 6, "\u529C\u52A4\u52A5\u52A6\u52A7\u52AE\u52AF\u52B0\u52B4", 9, "\u52C0\u52C1\u52C2\u52C4\u52C5\u52C6\u52C8\u52CA\u52CC\u52CD\u52CE\u52CF\u52D1\u52D3\u52D4\u52D5\u52D7\u52D9", 5, "\u52E0\u52E1\u52E2\u52E3\u52E5", 10, "\u52F1", 7, "\u52FB\u52FC\u52FD\u5301\u5302\u5303\u5304\u5307\u5309\u530A\u530B\u530C\u530E"],
      ["8540", "\u5311\u5312\u5313\u5314\u5318\u531B\u531C\u531E\u531F\u5322\u5324\u5325\u5327\u5328\u5329\u532B\u532C\u532D\u532F", 9, "\u533C\u533D\u5340\u5342\u5344\u5346\u534B\u534C\u534D\u5350\u5354\u5358\u5359\u535B\u535D\u5365\u5368\u536A\u536C\u536D\u5372\u5376\u5379\u537B\u537C\u537D\u537E\u5380\u5381\u5383\u5387\u5388\u538A\u538E\u538F"],
      ["8580", "\u5390", 4, "\u5396\u5397\u5399\u539B\u539C\u539E\u53A0\u53A1\u53A4\u53A7\u53AA\u53AB\u53AC\u53AD\u53AF", 6, "\u53B7\u53B8\u53B9\u53BA\u53BC\u53BD\u53BE\u53C0\u53C3", 4, "\u53CE\u53CF\u53D0\u53D2\u53D3\u53D5\u53DA\u53DC\u53DD\u53DE\u53E1\u53E2\u53E7\u53F4\u53FA\u53FE\u53FF\u5400\u5402\u5405\u5407\u540B\u5414\u5418\u5419\u541A\u541C\u5422\u5424\u5425\u542A\u5430\u5433\u5436\u5437\u543A\u543D\u543F\u5441\u5442\u5444\u5445\u5447\u5449\u544C\u544D\u544E\u544F\u5451\u545A\u545D", 4, "\u5463\u5465\u5467\u5469", 7, "\u5474\u5479\u547A\u547E\u547F\u5481\u5483\u5485\u5487\u5488\u5489\u548A\u548D\u5491\u5493\u5497\u5498\u549C\u549E\u549F\u54A0\u54A1"],
      ["8640", "\u54A2\u54A5\u54AE\u54B0\u54B2\u54B5\u54B6\u54B7\u54B9\u54BA\u54BC\u54BE\u54C3\u54C5\u54CA\u54CB\u54D6\u54D8\u54DB\u54E0", 4, "\u54EB\u54EC\u54EF\u54F0\u54F1\u54F4", 5, "\u54FB\u54FE\u5500\u5502\u5503\u5504\u5505\u5508\u550A", 4, "\u5512\u5513\u5515", 5, "\u551C\u551D\u551E\u551F\u5521\u5525\u5526"],
      ["8680", "\u5528\u5529\u552B\u552D\u5532\u5534\u5535\u5536\u5538\u5539\u553A\u553B\u553D\u5540\u5542\u5545\u5547\u5548\u554B", 4, "\u5551\u5552\u5553\u5554\u5557", 4, "\u555D\u555E\u555F\u5560\u5562\u5563\u5568\u5569\u556B\u556F", 5, "\u5579\u557A\u557D\u557F\u5585\u5586\u558C\u558D\u558E\u5590\u5592\u5593\u5595\u5596\u5597\u559A\u559B\u559E\u55A0", 6, "\u55A8", 8, "\u55B2\u55B4\u55B6\u55B8\u55BA\u55BC\u55BF", 4, "\u55C6\u55C7\u55C8\u55CA\u55CB\u55CE\u55CF\u55D0\u55D5\u55D7", 4, "\u55DE\u55E0\u55E2\u55E7\u55E9\u55ED\u55EE\u55F0\u55F1\u55F4\u55F6\u55F8", 4, "\u55FF\u5602\u5603\u5604\u5605"],
      ["8740", "\u5606\u5607\u560A\u560B\u560D\u5610", 7, "\u5619\u561A\u561C\u561D\u5620\u5621\u5622\u5625\u5626\u5628\u5629\u562A\u562B\u562E\u562F\u5630\u5633\u5635\u5637\u5638\u563A\u563C\u563D\u563E\u5640", 11, "\u564F", 4, "\u5655\u5656\u565A\u565B\u565D", 4],
      ["8780", "\u5663\u5665\u5666\u5667\u566D\u566E\u566F\u5670\u5672\u5673\u5674\u5675\u5677\u5678\u5679\u567A\u567D", 7, "\u5687", 6, "\u5690\u5691\u5692\u5694", 14, "\u56A4", 10, "\u56B0", 6, "\u56B8\u56B9\u56BA\u56BB\u56BD", 12, "\u56CB", 8, "\u56D5\u56D6\u56D8\u56D9\u56DC\u56E3\u56E5", 5, "\u56EC\u56EE\u56EF\u56F2\u56F3\u56F6\u56F7\u56F8\u56FB\u56FC\u5700\u5701\u5702\u5705\u5707\u570B", 6],
      ["8840", "\u5712", 9, "\u571D\u571E\u5720\u5721\u5722\u5724\u5725\u5726\u5727\u572B\u5731\u5732\u5734", 4, "\u573C\u573D\u573F\u5741\u5743\u5744\u5745\u5746\u5748\u5749\u574B\u5752", 4, "\u5758\u5759\u5762\u5763\u5765\u5767\u576C\u576E\u5770\u5771\u5772\u5774\u5775\u5778\u5779\u577A\u577D\u577E\u577F\u5780"],
      ["8880", "\u5781\u5787\u5788\u5789\u578A\u578D", 4, "\u5794", 6, "\u579C\u579D\u579E\u579F\u57A5\u57A8\u57AA\u57AC\u57AF\u57B0\u57B1\u57B3\u57B5\u57B6\u57B7\u57B9", 8, "\u57C4", 6, "\u57CC\u57CD\u57D0\u57D1\u57D3\u57D6\u57D7\u57DB\u57DC\u57DE\u57E1\u57E2\u57E3\u57E5", 7, "\u57EE\u57F0\u57F1\u57F2\u57F3\u57F5\u57F6\u57F7\u57FB\u57FC\u57FE\u57FF\u5801\u5803\u5804\u5805\u5808\u5809\u580A\u580C\u580E\u580F\u5810\u5812\u5813\u5814\u5816\u5817\u5818\u581A\u581B\u581C\u581D\u581F\u5822\u5823\u5825", 4, "\u582B", 4, "\u5831\u5832\u5833\u5834\u5836", 7],
      ["8940", "\u583E", 5, "\u5845", 6, "\u584E\u584F\u5850\u5852\u5853\u5855\u5856\u5857\u5859", 4, "\u585F", 5, "\u5866", 4, "\u586D", 16, "\u587F\u5882\u5884\u5886\u5887\u5888\u588A\u588B\u588C"],
      ["8980", "\u588D", 4, "\u5894", 4, "\u589B\u589C\u589D\u58A0", 7, "\u58AA", 17, "\u58BD\u58BE\u58BF\u58C0\u58C2\u58C3\u58C4\u58C6", 10, "\u58D2\u58D3\u58D4\u58D6", 13, "\u58E5", 5, "\u58ED\u58EF\u58F1\u58F2\u58F4\u58F5\u58F7\u58F8\u58FA", 7, "\u5903\u5905\u5906\u5908", 4, "\u590E\u5910\u5911\u5912\u5913\u5917\u5918\u591B\u591D\u591E\u5920\u5921\u5922\u5923\u5926\u5928\u592C\u5930\u5932\u5933\u5935\u5936\u593B"],
      ["8a40", "\u593D\u593E\u593F\u5940\u5943\u5945\u5946\u594A\u594C\u594D\u5950\u5952\u5953\u5959\u595B", 4, "\u5961\u5963\u5964\u5966", 12, "\u5975\u5977\u597A\u597B\u597C\u597E\u597F\u5980\u5985\u5989\u598B\u598C\u598E\u598F\u5990\u5991\u5994\u5995\u5998\u599A\u599B\u599C\u599D\u599F\u59A0\u59A1\u59A2\u59A6"],
      ["8a80", "\u59A7\u59AC\u59AD\u59B0\u59B1\u59B3", 5, "\u59BA\u59BC\u59BD\u59BF", 6, "\u59C7\u59C8\u59C9\u59CC\u59CD\u59CE\u59CF\u59D5\u59D6\u59D9\u59DB\u59DE", 4, "\u59E4\u59E6\u59E7\u59E9\u59EA\u59EB\u59ED", 11, "\u59FA\u59FC\u59FD\u59FE\u5A00\u5A02\u5A0A\u5A0B\u5A0D\u5A0E\u5A0F\u5A10\u5A12\u5A14\u5A15\u5A16\u5A17\u5A19\u5A1A\u5A1B\u5A1D\u5A1E\u5A21\u5A22\u5A24\u5A26\u5A27\u5A28\u5A2A", 6, "\u5A33\u5A35\u5A37", 4, "\u5A3D\u5A3E\u5A3F\u5A41", 4, "\u5A47\u5A48\u5A4B", 9, "\u5A56\u5A57\u5A58\u5A59\u5A5B", 5],
      ["8b40", "\u5A61\u5A63\u5A64\u5A65\u5A66\u5A68\u5A69\u5A6B", 8, "\u5A78\u5A79\u5A7B\u5A7C\u5A7D\u5A7E\u5A80", 17, "\u5A93", 6, "\u5A9C", 13, "\u5AAB\u5AAC"],
      ["8b80", "\u5AAD", 4, "\u5AB4\u5AB6\u5AB7\u5AB9", 4, "\u5ABF\u5AC0\u5AC3", 5, "\u5ACA\u5ACB\u5ACD", 4, "\u5AD3\u5AD5\u5AD7\u5AD9\u5ADA\u5ADB\u5ADD\u5ADE\u5ADF\u5AE2\u5AE4\u5AE5\u5AE7\u5AE8\u5AEA\u5AEC", 4, "\u5AF2", 22, "\u5B0A", 11, "\u5B18", 25, "\u5B33\u5B35\u5B36\u5B38", 7, "\u5B41", 6],
      ["8c40", "\u5B48", 7, "\u5B52\u5B56\u5B5E\u5B60\u5B61\u5B67\u5B68\u5B6B\u5B6D\u5B6E\u5B6F\u5B72\u5B74\u5B76\u5B77\u5B78\u5B79\u5B7B\u5B7C\u5B7E\u5B7F\u5B82\u5B86\u5B8A\u5B8D\u5B8E\u5B90\u5B91\u5B92\u5B94\u5B96\u5B9F\u5BA7\u5BA8\u5BA9\u5BAC\u5BAD\u5BAE\u5BAF\u5BB1\u5BB2\u5BB7\u5BBA\u5BBB\u5BBC\u5BC0\u5BC1\u5BC3\u5BC8\u5BC9\u5BCA\u5BCB\u5BCD\u5BCE\u5BCF"],
      ["8c80", "\u5BD1\u5BD4", 8, "\u5BE0\u5BE2\u5BE3\u5BE6\u5BE7\u5BE9", 4, "\u5BEF\u5BF1", 6, "\u5BFD\u5BFE\u5C00\u5C02\u5C03\u5C05\u5C07\u5C08\u5C0B\u5C0C\u5C0D\u5C0E\u5C10\u5C12\u5C13\u5C17\u5C19\u5C1B\u5C1E\u5C1F\u5C20\u5C21\u5C23\u5C26\u5C28\u5C29\u5C2A\u5C2B\u5C2D\u5C2E\u5C2F\u5C30\u5C32\u5C33\u5C35\u5C36\u5C37\u5C43\u5C44\u5C46\u5C47\u5C4C\u5C4D\u5C52\u5C53\u5C54\u5C56\u5C57\u5C58\u5C5A\u5C5B\u5C5C\u5C5D\u5C5F\u5C62\u5C64\u5C67", 6, "\u5C70\u5C72", 6, "\u5C7B\u5C7C\u5C7D\u5C7E\u5C80\u5C83", 4, "\u5C89\u5C8A\u5C8B\u5C8E\u5C8F\u5C92\u5C93\u5C95\u5C9D", 4, "\u5CA4", 4],
      ["8d40", "\u5CAA\u5CAE\u5CAF\u5CB0\u5CB2\u5CB4\u5CB6\u5CB9\u5CBA\u5CBB\u5CBC\u5CBE\u5CC0\u5CC2\u5CC3\u5CC5", 5, "\u5CCC", 5, "\u5CD3", 5, "\u5CDA", 6, "\u5CE2\u5CE3\u5CE7\u5CE9\u5CEB\u5CEC\u5CEE\u5CEF\u5CF1", 9, "\u5CFC", 4],
      ["8d80", "\u5D01\u5D04\u5D05\u5D08", 5, "\u5D0F", 4, "\u5D15\u5D17\u5D18\u5D19\u5D1A\u5D1C\u5D1D\u5D1F", 4, "\u5D25\u5D28\u5D2A\u5D2B\u5D2C\u5D2F", 4, "\u5D35", 7, "\u5D3F", 7, "\u5D48\u5D49\u5D4D", 10, "\u5D59\u5D5A\u5D5C\u5D5E", 10, "\u5D6A\u5D6D\u5D6E\u5D70\u5D71\u5D72\u5D73\u5D75", 12, "\u5D83", 21, "\u5D9A\u5D9B\u5D9C\u5D9E\u5D9F\u5DA0"],
      ["8e40", "\u5DA1", 21, "\u5DB8", 12, "\u5DC6", 6, "\u5DCE", 12, "\u5DDC\u5DDF\u5DE0\u5DE3\u5DE4\u5DEA\u5DEC\u5DED"],
      ["8e80", "\u5DF0\u5DF5\u5DF6\u5DF8", 4, "\u5DFF\u5E00\u5E04\u5E07\u5E09\u5E0A\u5E0B\u5E0D\u5E0E\u5E12\u5E13\u5E17\u5E1E", 7, "\u5E28", 4, "\u5E2F\u5E30\u5E32", 4, "\u5E39\u5E3A\u5E3E\u5E3F\u5E40\u5E41\u5E43\u5E46", 5, "\u5E4D", 6, "\u5E56", 4, "\u5E5C\u5E5D\u5E5F\u5E60\u5E63", 14, "\u5E75\u5E77\u5E79\u5E7E\u5E81\u5E82\u5E83\u5E85\u5E88\u5E89\u5E8C\u5E8D\u5E8E\u5E92\u5E98\u5E9B\u5E9D\u5EA1\u5EA2\u5EA3\u5EA4\u5EA8", 4, "\u5EAE", 4, "\u5EB4\u5EBA\u5EBB\u5EBC\u5EBD\u5EBF", 6],
      ["8f40", "\u5EC6\u5EC7\u5EC8\u5ECB", 5, "\u5ED4\u5ED5\u5ED7\u5ED8\u5ED9\u5EDA\u5EDC", 11, "\u5EE9\u5EEB", 8, "\u5EF5\u5EF8\u5EF9\u5EFB\u5EFC\u5EFD\u5F05\u5F06\u5F07\u5F09\u5F0C\u5F0D\u5F0E\u5F10\u5F12\u5F14\u5F16\u5F19\u5F1A\u5F1C\u5F1D\u5F1E\u5F21\u5F22\u5F23\u5F24"],
      ["8f80", "\u5F28\u5F2B\u5F2C\u5F2E\u5F30\u5F32", 6, "\u5F3B\u5F3D\u5F3E\u5F3F\u5F41", 14, "\u5F51\u5F54\u5F59\u5F5A\u5F5B\u5F5C\u5F5E\u5F5F\u5F60\u5F63\u5F65\u5F67\u5F68\u5F6B\u5F6E\u5F6F\u5F72\u5F74\u5F75\u5F76\u5F78\u5F7A\u5F7D\u5F7E\u5F7F\u5F83\u5F86\u5F8D\u5F8E\u5F8F\u5F91\u5F93\u5F94\u5F96\u5F9A\u5F9B\u5F9D\u5F9E\u5F9F\u5FA0\u5FA2", 5, "\u5FA9\u5FAB\u5FAC\u5FAF", 5, "\u5FB6\u5FB8\u5FB9\u5FBA\u5FBB\u5FBE", 4, "\u5FC7\u5FC8\u5FCA\u5FCB\u5FCE\u5FD3\u5FD4\u5FD5\u5FDA\u5FDB\u5FDC\u5FDE\u5FDF\u5FE2\u5FE3\u5FE5\u5FE6\u5FE8\u5FE9\u5FEC\u5FEF\u5FF0\u5FF2\u5FF3\u5FF4\u5FF6\u5FF7\u5FF9\u5FFA\u5FFC\u6007"],
      ["9040", "\u6008\u6009\u600B\u600C\u6010\u6011\u6013\u6017\u6018\u601A\u601E\u601F\u6022\u6023\u6024\u602C\u602D\u602E\u6030", 4, "\u6036", 4, "\u603D\u603E\u6040\u6044", 6, "\u604C\u604E\u604F\u6051\u6053\u6054\u6056\u6057\u6058\u605B\u605C\u605E\u605F\u6060\u6061\u6065\u6066\u606E\u6071\u6072\u6074\u6075\u6077\u607E\u6080"],
      ["9080", "\u6081\u6082\u6085\u6086\u6087\u6088\u608A\u608B\u608E\u608F\u6090\u6091\u6093\u6095\u6097\u6098\u6099\u609C\u609E\u60A1\u60A2\u60A4\u60A5\u60A7\u60A9\u60AA\u60AE\u60B0\u60B3\u60B5\u60B6\u60B7\u60B9\u60BA\u60BD", 7, "\u60C7\u60C8\u60C9\u60CC", 4, "\u60D2\u60D3\u60D4\u60D6\u60D7\u60D9\u60DB\u60DE\u60E1", 4, "\u60EA\u60F1\u60F2\u60F5\u60F7\u60F8\u60FB", 4, "\u6102\u6103\u6104\u6105\u6107\u610A\u610B\u610C\u6110", 4, "\u6116\u6117\u6118\u6119\u611B\u611C\u611D\u611E\u6121\u6122\u6125\u6128\u6129\u612A\u612C", 18, "\u6140", 6],
      ["9140", "\u6147\u6149\u614B\u614D\u614F\u6150\u6152\u6153\u6154\u6156", 6, "\u615E\u615F\u6160\u6161\u6163\u6164\u6165\u6166\u6169", 6, "\u6171\u6172\u6173\u6174\u6176\u6178", 18, "\u618C\u618D\u618F", 4, "\u6195"],
      ["9180", "\u6196", 6, "\u619E", 8, "\u61AA\u61AB\u61AD", 9, "\u61B8", 5, "\u61BF\u61C0\u61C1\u61C3", 4, "\u61C9\u61CC", 4, "\u61D3\u61D5", 16, "\u61E7", 13, "\u61F6", 8, "\u6200", 5, "\u6207\u6209\u6213\u6214\u6219\u621C\u621D\u621E\u6220\u6223\u6226\u6227\u6228\u6229\u622B\u622D\u622F\u6230\u6231\u6232\u6235\u6236\u6238", 4, "\u6242\u6244\u6245\u6246\u624A"],
      ["9240", "\u624F\u6250\u6255\u6256\u6257\u6259\u625A\u625C", 6, "\u6264\u6265\u6268\u6271\u6272\u6274\u6275\u6277\u6278\u627A\u627B\u627D\u6281\u6282\u6283\u6285\u6286\u6287\u6288\u628B", 5, "\u6294\u6299\u629C\u629D\u629E\u62A3\u62A6\u62A7\u62A9\u62AA\u62AD\u62AE\u62AF\u62B0\u62B2\u62B3\u62B4\u62B6\u62B7\u62B8\u62BA\u62BE\u62C0\u62C1"],
      ["9280", "\u62C3\u62CB\u62CF\u62D1\u62D5\u62DD\u62DE\u62E0\u62E1\u62E4\u62EA\u62EB\u62F0\u62F2\u62F5\u62F8\u62F9\u62FA\u62FB\u6300\u6303\u6304\u6305\u6306\u630A\u630B\u630C\u630D\u630F\u6310\u6312\u6313\u6314\u6315\u6317\u6318\u6319\u631C\u6326\u6327\u6329\u632C\u632D\u632E\u6330\u6331\u6333", 5, "\u633B\u633C\u633E\u633F\u6340\u6341\u6344\u6347\u6348\u634A\u6351\u6352\u6353\u6354\u6356", 7, "\u6360\u6364\u6365\u6366\u6368\u636A\u636B\u636C\u636F\u6370\u6372\u6373\u6374\u6375\u6378\u6379\u637C\u637D\u637E\u637F\u6381\u6383\u6384\u6385\u6386\u638B\u638D\u6391\u6393\u6394\u6395\u6397\u6399", 6, "\u63A1\u63A4\u63A6\u63AB\u63AF\u63B1\u63B2\u63B5\u63B6\u63B9\u63BB\u63BD\u63BF\u63C0"],
      ["9340", "\u63C1\u63C2\u63C3\u63C5\u63C7\u63C8\u63CA\u63CB\u63CC\u63D1\u63D3\u63D4\u63D5\u63D7", 6, "\u63DF\u63E2\u63E4", 4, "\u63EB\u63EC\u63EE\u63EF\u63F0\u63F1\u63F3\u63F5\u63F7\u63F9\u63FA\u63FB\u63FC\u63FE\u6403\u6404\u6406", 4, "\u640D\u640E\u6411\u6412\u6415", 5, "\u641D\u641F\u6422\u6423\u6424"],
      ["9380", "\u6425\u6427\u6428\u6429\u642B\u642E", 5, "\u6435", 4, "\u643B\u643C\u643E\u6440\u6442\u6443\u6449\u644B", 6, "\u6453\u6455\u6456\u6457\u6459", 4, "\u645F", 7, "\u6468\u646A\u646B\u646C\u646E", 9, "\u647B", 6, "\u6483\u6486\u6488", 8, "\u6493\u6494\u6497\u6498\u649A\u649B\u649C\u649D\u649F", 4, "\u64A5\u64A6\u64A7\u64A8\u64AA\u64AB\u64AF\u64B1\u64B2\u64B3\u64B4\u64B6\u64B9\u64BB\u64BD\u64BE\u64BF\u64C1\u64C3\u64C4\u64C6", 6, "\u64CF\u64D1\u64D3\u64D4\u64D5\u64D6\u64D9\u64DA"],
      ["9440", "\u64DB\u64DC\u64DD\u64DF\u64E0\u64E1\u64E3\u64E5\u64E7", 24, "\u6501", 7, "\u650A", 7, "\u6513", 4, "\u6519", 8],
      ["9480", "\u6522\u6523\u6524\u6526", 4, "\u652C\u652D\u6530\u6531\u6532\u6533\u6537\u653A\u653C\u653D\u6540", 4, "\u6546\u6547\u654A\u654B\u654D\u654E\u6550\u6552\u6553\u6554\u6557\u6558\u655A\u655C\u655F\u6560\u6561\u6564\u6565\u6567\u6568\u6569\u656A\u656D\u656E\u656F\u6571\u6573\u6575\u6576\u6578", 14, "\u6588\u6589\u658A\u658D\u658E\u658F\u6592\u6594\u6595\u6596\u6598\u659A\u659D\u659E\u65A0\u65A2\u65A3\u65A6\u65A8\u65AA\u65AC\u65AE\u65B1", 7, "\u65BA\u65BB\u65BE\u65BF\u65C0\u65C2\u65C7\u65C8\u65C9\u65CA\u65CD\u65D0\u65D1\u65D3\u65D4\u65D5\u65D8", 7, "\u65E1\u65E3\u65E4\u65EA\u65EB"],
      ["9540", "\u65F2\u65F3\u65F4\u65F5\u65F8\u65F9\u65FB", 4, "\u6601\u6604\u6605\u6607\u6608\u6609\u660B\u660D\u6610\u6611\u6612\u6616\u6617\u6618\u661A\u661B\u661C\u661E\u6621\u6622\u6623\u6624\u6626\u6629\u662A\u662B\u662C\u662E\u6630\u6632\u6633\u6637", 4, "\u663D\u663F\u6640\u6642\u6644", 6, "\u664D\u664E\u6650\u6651\u6658"],
      ["9580", "\u6659\u665B\u665C\u665D\u665E\u6660\u6662\u6663\u6665\u6667\u6669", 4, "\u6671\u6672\u6673\u6675\u6678\u6679\u667B\u667C\u667D\u667F\u6680\u6681\u6683\u6685\u6686\u6688\u6689\u668A\u668B\u668D\u668E\u668F\u6690\u6692\u6693\u6694\u6695\u6698", 4, "\u669E", 8, "\u66A9", 4, "\u66AF", 4, "\u66B5\u66B6\u66B7\u66B8\u66BA\u66BB\u66BC\u66BD\u66BF", 25, "\u66DA\u66DE", 7, "\u66E7\u66E8\u66EA", 5, "\u66F1\u66F5\u66F6\u66F8\u66FA\u66FB\u66FD\u6701\u6702\u6703"],
      ["9640", "\u6704\u6705\u6706\u6707\u670C\u670E\u670F\u6711\u6712\u6713\u6716\u6718\u6719\u671A\u671C\u671E\u6720", 5, "\u6727\u6729\u672E\u6730\u6732\u6733\u6736\u6737\u6738\u6739\u673B\u673C\u673E\u673F\u6741\u6744\u6745\u6747\u674A\u674B\u674D\u6752\u6754\u6755\u6757", 4, "\u675D\u6762\u6763\u6764\u6766\u6767\u676B\u676C\u676E\u6771\u6774\u6776"],
      ["9680", "\u6778\u6779\u677A\u677B\u677D\u6780\u6782\u6783\u6785\u6786\u6788\u678A\u678C\u678D\u678E\u678F\u6791\u6792\u6793\u6794\u6796\u6799\u679B\u679F\u67A0\u67A1\u67A4\u67A6\u67A9\u67AC\u67AE\u67B1\u67B2\u67B4\u67B9", 7, "\u67C2\u67C5", 9, "\u67D5\u67D6\u67D7\u67DB\u67DF\u67E1\u67E3\u67E4\u67E6\u67E7\u67E8\u67EA\u67EB\u67ED\u67EE\u67F2\u67F5", 7, "\u67FE\u6801\u6802\u6803\u6804\u6806\u680D\u6810\u6812\u6814\u6815\u6818", 4, "\u681E\u681F\u6820\u6822", 6, "\u682B", 6, "\u6834\u6835\u6836\u683A\u683B\u683F\u6847\u684B\u684D\u684F\u6852\u6856", 5],
      ["9740", "\u685C\u685D\u685E\u685F\u686A\u686C", 7, "\u6875\u6878", 8, "\u6882\u6884\u6887", 7, "\u6890\u6891\u6892\u6894\u6895\u6896\u6898", 9, "\u68A3\u68A4\u68A5\u68A9\u68AA\u68AB\u68AC\u68AE\u68B1\u68B2\u68B4\u68B6\u68B7\u68B8"],
      ["9780", "\u68B9", 6, "\u68C1\u68C3", 5, "\u68CA\u68CC\u68CE\u68CF\u68D0\u68D1\u68D3\u68D4\u68D6\u68D7\u68D9\u68DB", 4, "\u68E1\u68E2\u68E4", 9, "\u68EF\u68F2\u68F3\u68F4\u68F6\u68F7\u68F8\u68FB\u68FD\u68FE\u68FF\u6900\u6902\u6903\u6904\u6906", 4, "\u690C\u690F\u6911\u6913", 11, "\u6921\u6922\u6923\u6925", 7, "\u692E\u692F\u6931\u6932\u6933\u6935\u6936\u6937\u6938\u693A\u693B\u693C\u693E\u6940\u6941\u6943", 16, "\u6955\u6956\u6958\u6959\u695B\u695C\u695F"],
      ["9840", "\u6961\u6962\u6964\u6965\u6967\u6968\u6969\u696A\u696C\u696D\u696F\u6970\u6972", 4, "\u697A\u697B\u697D\u697E\u697F\u6981\u6983\u6985\u698A\u698B\u698C\u698E", 5, "\u6996\u6997\u6999\u699A\u699D", 9, "\u69A9\u69AA\u69AC\u69AE\u69AF\u69B0\u69B2\u69B3\u69B5\u69B6\u69B8\u69B9\u69BA\u69BC\u69BD"],
      ["9880", "\u69BE\u69BF\u69C0\u69C2", 7, "\u69CB\u69CD\u69CF\u69D1\u69D2\u69D3\u69D5", 5, "\u69DC\u69DD\u69DE\u69E1", 11, "\u69EE\u69EF\u69F0\u69F1\u69F3", 9, "\u69FE\u6A00", 9, "\u6A0B", 11, "\u6A19", 5, "\u6A20\u6A22", 5, "\u6A29\u6A2B\u6A2C\u6A2D\u6A2E\u6A30\u6A32\u6A33\u6A34\u6A36", 6, "\u6A3F", 4, "\u6A45\u6A46\u6A48", 7, "\u6A51", 6, "\u6A5A"],
      ["9940", "\u6A5C", 4, "\u6A62\u6A63\u6A64\u6A66", 10, "\u6A72", 6, "\u6A7A\u6A7B\u6A7D\u6A7E\u6A7F\u6A81\u6A82\u6A83\u6A85", 8, "\u6A8F\u6A92", 4, "\u6A98", 7, "\u6AA1", 5],
      ["9980", "\u6AA7\u6AA8\u6AAA\u6AAD", 114, "\u6B25\u6B26\u6B28", 6],
      ["9a40", "\u6B2F\u6B30\u6B31\u6B33\u6B34\u6B35\u6B36\u6B38\u6B3B\u6B3C\u6B3D\u6B3F\u6B40\u6B41\u6B42\u6B44\u6B45\u6B48\u6B4A\u6B4B\u6B4D", 11, "\u6B5A", 7, "\u6B68\u6B69\u6B6B", 13, "\u6B7A\u6B7D\u6B7E\u6B7F\u6B80\u6B85\u6B88"],
      ["9a80", "\u6B8C\u6B8E\u6B8F\u6B90\u6B91\u6B94\u6B95\u6B97\u6B98\u6B99\u6B9C", 4, "\u6BA2", 7, "\u6BAB", 7, "\u6BB6\u6BB8", 6, "\u6BC0\u6BC3\u6BC4\u6BC6", 4, "\u6BCC\u6BCE\u6BD0\u6BD1\u6BD8\u6BDA\u6BDC", 4, "\u6BE2", 7, "\u6BEC\u6BED\u6BEE\u6BF0\u6BF1\u6BF2\u6BF4\u6BF6\u6BF7\u6BF8\u6BFA\u6BFB\u6BFC\u6BFE", 6, "\u6C08", 4, "\u6C0E\u6C12\u6C17\u6C1C\u6C1D\u6C1E\u6C20\u6C23\u6C25\u6C2B\u6C2C\u6C2D\u6C31\u6C33\u6C36\u6C37\u6C39\u6C3A\u6C3B\u6C3C\u6C3E\u6C3F\u6C43\u6C44\u6C45\u6C48\u6C4B", 4, "\u6C51\u6C52\u6C53\u6C56\u6C58"],
      ["9b40", "\u6C59\u6C5A\u6C62\u6C63\u6C65\u6C66\u6C67\u6C6B", 4, "\u6C71\u6C73\u6C75\u6C77\u6C78\u6C7A\u6C7B\u6C7C\u6C7F\u6C80\u6C84\u6C87\u6C8A\u6C8B\u6C8D\u6C8E\u6C91\u6C92\u6C95\u6C96\u6C97\u6C98\u6C9A\u6C9C\u6C9D\u6C9E\u6CA0\u6CA2\u6CA8\u6CAC\u6CAF\u6CB0\u6CB4\u6CB5\u6CB6\u6CB7\u6CBA\u6CC0\u6CC1\u6CC2\u6CC3\u6CC6\u6CC7\u6CC8\u6CCB\u6CCD\u6CCE\u6CCF\u6CD1\u6CD2\u6CD8"],
      ["9b80", "\u6CD9\u6CDA\u6CDC\u6CDD\u6CDF\u6CE4\u6CE6\u6CE7\u6CE9\u6CEC\u6CED\u6CF2\u6CF4\u6CF9\u6CFF\u6D00\u6D02\u6D03\u6D05\u6D06\u6D08\u6D09\u6D0A\u6D0D\u6D0F\u6D10\u6D11\u6D13\u6D14\u6D15\u6D16\u6D18\u6D1C\u6D1D\u6D1F", 5, "\u6D26\u6D28\u6D29\u6D2C\u6D2D\u6D2F\u6D30\u6D34\u6D36\u6D37\u6D38\u6D3A\u6D3F\u6D40\u6D42\u6D44\u6D49\u6D4C\u6D50\u6D55\u6D56\u6D57\u6D58\u6D5B\u6D5D\u6D5F\u6D61\u6D62\u6D64\u6D65\u6D67\u6D68\u6D6B\u6D6C\u6D6D\u6D70\u6D71\u6D72\u6D73\u6D75\u6D76\u6D79\u6D7A\u6D7B\u6D7D", 4, "\u6D83\u6D84\u6D86\u6D87\u6D8A\u6D8B\u6D8D\u6D8F\u6D90\u6D92\u6D96", 4, "\u6D9C\u6DA2\u6DA5\u6DAC\u6DAD\u6DB0\u6DB1\u6DB3\u6DB4\u6DB6\u6DB7\u6DB9", 5, "\u6DC1\u6DC2\u6DC3\u6DC8\u6DC9\u6DCA"],
      ["9c40", "\u6DCD\u6DCE\u6DCF\u6DD0\u6DD2\u6DD3\u6DD4\u6DD5\u6DD7\u6DDA\u6DDB\u6DDC\u6DDF\u6DE2\u6DE3\u6DE5\u6DE7\u6DE8\u6DE9\u6DEA\u6DED\u6DEF\u6DF0\u6DF2\u6DF4\u6DF5\u6DF6\u6DF8\u6DFA\u6DFD", 7, "\u6E06\u6E07\u6E08\u6E09\u6E0B\u6E0F\u6E12\u6E13\u6E15\u6E18\u6E19\u6E1B\u6E1C\u6E1E\u6E1F\u6E22\u6E26\u6E27\u6E28\u6E2A\u6E2C\u6E2E\u6E30\u6E31\u6E33\u6E35"],
      ["9c80", "\u6E36\u6E37\u6E39\u6E3B", 7, "\u6E45", 7, "\u6E4F\u6E50\u6E51\u6E52\u6E55\u6E57\u6E59\u6E5A\u6E5C\u6E5D\u6E5E\u6E60", 10, "\u6E6C\u6E6D\u6E6F", 14, "\u6E80\u6E81\u6E82\u6E84\u6E87\u6E88\u6E8A", 4, "\u6E91", 6, "\u6E99\u6E9A\u6E9B\u6E9D\u6E9E\u6EA0\u6EA1\u6EA3\u6EA4\u6EA6\u6EA8\u6EA9\u6EAB\u6EAC\u6EAD\u6EAE\u6EB0\u6EB3\u6EB5\u6EB8\u6EB9\u6EBC\u6EBE\u6EBF\u6EC0\u6EC3\u6EC4\u6EC5\u6EC6\u6EC8\u6EC9\u6ECA\u6ECC\u6ECD\u6ECE\u6ED0\u6ED2\u6ED6\u6ED8\u6ED9\u6EDB\u6EDC\u6EDD\u6EE3\u6EE7\u6EEA", 5],
      ["9d40", "\u6EF0\u6EF1\u6EF2\u6EF3\u6EF5\u6EF6\u6EF7\u6EF8\u6EFA", 7, "\u6F03\u6F04\u6F05\u6F07\u6F08\u6F0A", 4, "\u6F10\u6F11\u6F12\u6F16", 9, "\u6F21\u6F22\u6F23\u6F25\u6F26\u6F27\u6F28\u6F2C\u6F2E\u6F30\u6F32\u6F34\u6F35\u6F37", 6, "\u6F3F\u6F40\u6F41\u6F42"],
      ["9d80", "\u6F43\u6F44\u6F45\u6F48\u6F49\u6F4A\u6F4C\u6F4E", 9, "\u6F59\u6F5A\u6F5B\u6F5D\u6F5F\u6F60\u6F61\u6F63\u6F64\u6F65\u6F67", 5, "\u6F6F\u6F70\u6F71\u6F73\u6F75\u6F76\u6F77\u6F79\u6F7B\u6F7D", 6, "\u6F85\u6F86\u6F87\u6F8A\u6F8B\u6F8F", 12, "\u6F9D\u6F9E\u6F9F\u6FA0\u6FA2", 4, "\u6FA8", 10, "\u6FB4\u6FB5\u6FB7\u6FB8\u6FBA", 5, "\u6FC1\u6FC3", 5, "\u6FCA", 6, "\u6FD3", 10, "\u6FDF\u6FE2\u6FE3\u6FE4\u6FE5"],
      ["9e40", "\u6FE6", 7, "\u6FF0", 32, "\u7012", 7, "\u701C", 6, "\u7024", 6],
      ["9e80", "\u702B", 9, "\u7036\u7037\u7038\u703A", 17, "\u704D\u704E\u7050", 13, "\u705F", 11, "\u706E\u7071\u7072\u7073\u7074\u7077\u7079\u707A\u707B\u707D\u7081\u7082\u7083\u7084\u7086\u7087\u7088\u708B\u708C\u708D\u708F\u7090\u7091\u7093\u7097\u7098\u709A\u709B\u709E", 12, "\u70B0\u70B2\u70B4\u70B5\u70B6\u70BA\u70BE\u70BF\u70C4\u70C5\u70C6\u70C7\u70C9\u70CB", 12, "\u70DA"],
      ["9f40", "\u70DC\u70DD\u70DE\u70E0\u70E1\u70E2\u70E3\u70E5\u70EA\u70EE\u70F0", 6, "\u70F8\u70FA\u70FB\u70FC\u70FE", 10, "\u710B", 4, "\u7111\u7112\u7114\u7117\u711B", 10, "\u7127", 7, "\u7132\u7133\u7134"],
      ["9f80", "\u7135\u7137", 13, "\u7146\u7147\u7148\u7149\u714B\u714D\u714F", 12, "\u715D\u715F", 4, "\u7165\u7169", 4, "\u716F\u7170\u7171\u7174\u7175\u7176\u7177\u7179\u717B\u717C\u717E", 5, "\u7185", 4, "\u718B\u718C\u718D\u718E\u7190\u7191\u7192\u7193\u7195\u7196\u7197\u719A", 4, "\u71A1", 6, "\u71A9\u71AA\u71AB\u71AD", 5, "\u71B4\u71B6\u71B7\u71B8\u71BA", 8, "\u71C4", 9, "\u71CF", 4],
      ["a040", "\u71D6", 9, "\u71E1\u71E2\u71E3\u71E4\u71E6\u71E8", 5, "\u71EF", 9, "\u71FA", 11, "\u7207", 19],
      ["a080", "\u721B\u721C\u721E", 9, "\u7229\u722B\u722D\u722E\u722F\u7232\u7233\u7234\u723A\u723C\u723E\u7240", 6, "\u7249\u724A\u724B\u724E\u724F\u7250\u7251\u7253\u7254\u7255\u7257\u7258\u725A\u725C\u725E\u7260\u7263\u7264\u7265\u7268\u726A\u726B\u726C\u726D\u7270\u7271\u7273\u7274\u7276\u7277\u7278\u727B\u727C\u727D\u7282\u7283\u7285", 4, "\u728C\u728E\u7290\u7291\u7293", 11, "\u72A0", 11, "\u72AE\u72B1\u72B2\u72B3\u72B5\u72BA", 6, "\u72C5\u72C6\u72C7\u72C9\u72CA\u72CB\u72CC\u72CF\u72D1\u72D3\u72D4\u72D5\u72D6\u72D8\u72DA\u72DB"],
      ["a1a1", "\u3000\u3001\u3002\xB7\u02C9\u02C7\xA8\u3003\u3005\u2014\uFF5E\u2016\u2026\u2018\u2019\u201C\u201D\u3014\u3015\u3008", 7, "\u3016\u3017\u3010\u3011\xB1\xD7\xF7\u2236\u2227\u2228\u2211\u220F\u222A\u2229\u2208\u2237\u221A\u22A5\u2225\u2220\u2312\u2299\u222B\u222E\u2261\u224C\u2248\u223D\u221D\u2260\u226E\u226F\u2264\u2265\u221E\u2235\u2234\u2642\u2640\xB0\u2032\u2033\u2103\uFF04\xA4\uFFE0\uFFE1\u2030\xA7\u2116\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u203B\u2192\u2190\u2191\u2193\u3013"],
      ["a2a1", "\u2170", 9],
      ["a2b1", "\u2488", 19, "\u2474", 19, "\u2460", 9],
      ["a2e5", "\u3220", 9],
      ["a2f1", "\u2160", 11],
      ["a3a1", "\uFF01\uFF02\uFF03\uFFE5\uFF05", 88, "\uFFE3"],
      ["a4a1", "\u3041", 82],
      ["a5a1", "\u30A1", 85],
      ["a6a1", "\u0391", 16, "\u03A3", 6],
      ["a6c1", "\u03B1", 16, "\u03C3", 6],
      ["a6e0", "\uFE35\uFE36\uFE39\uFE3A\uFE3F\uFE40\uFE3D\uFE3E\uFE41\uFE42\uFE43\uFE44"],
      ["a6ee", "\uFE3B\uFE3C\uFE37\uFE38\uFE31"],
      ["a6f4", "\uFE33\uFE34"],
      ["a7a1", "\u0410", 5, "\u0401\u0416", 25],
      ["a7d1", "\u0430", 5, "\u0451\u0436", 25],
      ["a840", "\u02CA\u02CB\u02D9\u2013\u2015\u2025\u2035\u2105\u2109\u2196\u2197\u2198\u2199\u2215\u221F\u2223\u2252\u2266\u2267\u22BF\u2550", 35, "\u2581", 6],
      ["a880", "\u2588", 7, "\u2593\u2594\u2595\u25BC\u25BD\u25E2\u25E3\u25E4\u25E5\u2609\u2295\u3012\u301D\u301E"],
      ["a8a1", "\u0101\xE1\u01CE\xE0\u0113\xE9\u011B\xE8\u012B\xED\u01D0\xEC\u014D\xF3\u01D2\xF2\u016B\xFA\u01D4\xF9\u01D6\u01D8\u01DA\u01DC\xFC\xEA\u0251"],
      ["a8bd", "\u0144\u0148"],
      ["a8c0", "\u0261"],
      ["a8c5", "\u3105", 36],
      ["a940", "\u3021", 8, "\u32A3\u338E\u338F\u339C\u339D\u339E\u33A1\u33C4\u33CE\u33D1\u33D2\u33D5\uFE30\uFFE2\uFFE4"],
      ["a959", "\u2121\u3231"],
      ["a95c", "\u2010"],
      ["a960", "\u30FC\u309B\u309C\u30FD\u30FE\u3006\u309D\u309E\uFE49", 9, "\uFE54\uFE55\uFE56\uFE57\uFE59", 8],
      ["a980", "\uFE62", 4, "\uFE68\uFE69\uFE6A\uFE6B"],
      ["a996", "\u3007"],
      ["a9a4", "\u2500", 75],
      ["aa40", "\u72DC\u72DD\u72DF\u72E2", 5, "\u72EA\u72EB\u72F5\u72F6\u72F9\u72FD\u72FE\u72FF\u7300\u7302\u7304", 5, "\u730B\u730C\u730D\u730F\u7310\u7311\u7312\u7314\u7318\u7319\u731A\u731F\u7320\u7323\u7324\u7326\u7327\u7328\u732D\u732F\u7330\u7332\u7333\u7335\u7336\u733A\u733B\u733C\u733D\u7340", 8],
      ["aa80", "\u7349\u734A\u734B\u734C\u734E\u734F\u7351\u7353\u7354\u7355\u7356\u7358", 7, "\u7361", 10, "\u736E\u7370\u7371"],
      ["ab40", "\u7372", 11, "\u737F", 4, "\u7385\u7386\u7388\u738A\u738C\u738D\u738F\u7390\u7392\u7393\u7394\u7395\u7397\u7398\u7399\u739A\u739C\u739D\u739E\u73A0\u73A1\u73A3", 5, "\u73AA\u73AC\u73AD\u73B1\u73B4\u73B5\u73B6\u73B8\u73B9\u73BC\u73BD\u73BE\u73BF\u73C1\u73C3", 4],
      ["ab80", "\u73CB\u73CC\u73CE\u73D2", 6, "\u73DA\u73DB\u73DC\u73DD\u73DF\u73E1\u73E2\u73E3\u73E4\u73E6\u73E8\u73EA\u73EB\u73EC\u73EE\u73EF\u73F0\u73F1\u73F3", 4],
      ["ac40", "\u73F8", 10, "\u7404\u7407\u7408\u740B\u740C\u740D\u740E\u7411", 8, "\u741C", 5, "\u7423\u7424\u7427\u7429\u742B\u742D\u742F\u7431\u7432\u7437", 4, "\u743D\u743E\u743F\u7440\u7442", 11],
      ["ac80", "\u744E", 6, "\u7456\u7458\u745D\u7460", 12, "\u746E\u746F\u7471", 4, "\u7478\u7479\u747A"],
      ["ad40", "\u747B\u747C\u747D\u747F\u7482\u7484\u7485\u7486\u7488\u7489\u748A\u748C\u748D\u748F\u7491", 10, "\u749D\u749F", 7, "\u74AA", 15, "\u74BB", 12],
      ["ad80", "\u74C8", 9, "\u74D3", 8, "\u74DD\u74DF\u74E1\u74E5\u74E7", 6, "\u74F0\u74F1\u74F2"],
      ["ae40", "\u74F3\u74F5\u74F8", 6, "\u7500\u7501\u7502\u7503\u7505", 7, "\u750E\u7510\u7512\u7514\u7515\u7516\u7517\u751B\u751D\u751E\u7520", 4, "\u7526\u7527\u752A\u752E\u7534\u7536\u7539\u753C\u753D\u753F\u7541\u7542\u7543\u7544\u7546\u7547\u7549\u754A\u754D\u7550\u7551\u7552\u7553\u7555\u7556\u7557\u7558"],
      ["ae80", "\u755D", 7, "\u7567\u7568\u7569\u756B", 6, "\u7573\u7575\u7576\u7577\u757A", 4, "\u7580\u7581\u7582\u7584\u7585\u7587"],
      ["af40", "\u7588\u7589\u758A\u758C\u758D\u758E\u7590\u7593\u7595\u7598\u759B\u759C\u759E\u75A2\u75A6", 4, "\u75AD\u75B6\u75B7\u75BA\u75BB\u75BF\u75C0\u75C1\u75C6\u75CB\u75CC\u75CE\u75CF\u75D0\u75D1\u75D3\u75D7\u75D9\u75DA\u75DC\u75DD\u75DF\u75E0\u75E1\u75E5\u75E9\u75EC\u75ED\u75EE\u75EF\u75F2\u75F3\u75F5\u75F6\u75F7\u75F8\u75FA\u75FB\u75FD\u75FE\u7602\u7604\u7606\u7607"],
      ["af80", "\u7608\u7609\u760B\u760D\u760E\u760F\u7611\u7612\u7613\u7614\u7616\u761A\u761C\u761D\u761E\u7621\u7623\u7627\u7628\u762C\u762E\u762F\u7631\u7632\u7636\u7637\u7639\u763A\u763B\u763D\u7641\u7642\u7644"],
      ["b040", "\u7645", 6, "\u764E", 5, "\u7655\u7657", 4, "\u765D\u765F\u7660\u7661\u7662\u7664", 6, "\u766C\u766D\u766E\u7670", 7, "\u7679\u767A\u767C\u767F\u7680\u7681\u7683\u7685\u7689\u768A\u768C\u768D\u768F\u7690\u7692\u7694\u7695\u7697\u7698\u769A\u769B"],
      ["b080", "\u769C", 7, "\u76A5", 8, "\u76AF\u76B0\u76B3\u76B5", 9, "\u76C0\u76C1\u76C3\u554A\u963F\u57C3\u6328\u54CE\u5509\u54C0\u7691\u764C\u853C\u77EE\u827E\u788D\u7231\u9698\u978D\u6C28\u5B89\u4FFA\u6309\u6697\u5CB8\u80FA\u6848\u80AE\u6602\u76CE\u51F9\u6556\u71AC\u7FF1\u8884\u50B2\u5965\u61CA\u6FB3\u82AD\u634C\u6252\u53ED\u5427\u7B06\u516B\u75A4\u5DF4\u62D4\u8DCB\u9776\u628A\u8019\u575D\u9738\u7F62\u7238\u767D\u67CF\u767E\u6446\u4F70\u8D25\u62DC\u7A17\u6591\u73ED\u642C\u6273\u822C\u9881\u677F\u7248\u626E\u62CC\u4F34\u74E3\u534A\u529E\u7ECA\u90A6\u5E2E\u6886\u699C\u8180\u7ED1\u68D2\u78C5\u868C\u9551\u508D\u8C24\u82DE\u80DE\u5305\u8912\u5265"],
      ["b140", "\u76C4\u76C7\u76C9\u76CB\u76CC\u76D3\u76D5\u76D9\u76DA\u76DC\u76DD\u76DE\u76E0", 4, "\u76E6", 7, "\u76F0\u76F3\u76F5\u76F6\u76F7\u76FA\u76FB\u76FD\u76FF\u7700\u7702\u7703\u7705\u7706\u770A\u770C\u770E", 10, "\u771B\u771C\u771D\u771E\u7721\u7723\u7724\u7725\u7727\u772A\u772B"],
      ["b180", "\u772C\u772E\u7730", 4, "\u7739\u773B\u773D\u773E\u773F\u7742\u7744\u7745\u7746\u7748", 7, "\u7752", 7, "\u775C\u8584\u96F9\u4FDD\u5821\u9971\u5B9D\u62B1\u62A5\u66B4\u8C79\u9C8D\u7206\u676F\u7891\u60B2\u5351\u5317\u8F88\u80CC\u8D1D\u94A1\u500D\u72C8\u5907\u60EB\u7119\u88AB\u5954\u82EF\u672C\u7B28\u5D29\u7EF7\u752D\u6CF5\u8E66\u8FF8\u903C\u9F3B\u6BD4\u9119\u7B14\u5F7C\u78A7\u84D6\u853D\u6BD5\u6BD9\u6BD6\u5E01\u5E87\u75F9\u95ED\u655D\u5F0A\u5FC5\u8F9F\u58C1\u81C2\u907F\u965B\u97AD\u8FB9\u7F16\u8D2C\u6241\u4FBF\u53D8\u535E\u8FA8\u8FA9\u8FAB\u904D\u6807\u5F6A\u8198\u8868\u9CD6\u618B\u522B\u762A\u5F6C\u658C\u6FD2\u6EE8\u5BBE\u6448\u5175\u51B0\u67C4\u4E19\u79C9\u997C\u70B3"],
      ["b240", "\u775D\u775E\u775F\u7760\u7764\u7767\u7769\u776A\u776D", 11, "\u777A\u777B\u777C\u7781\u7782\u7783\u7786", 5, "\u778F\u7790\u7793", 11, "\u77A1\u77A3\u77A4\u77A6\u77A8\u77AB\u77AD\u77AE\u77AF\u77B1\u77B2\u77B4\u77B6", 4],
      ["b280", "\u77BC\u77BE\u77C0", 12, "\u77CE", 8, "\u77D8\u77D9\u77DA\u77DD", 4, "\u77E4\u75C5\u5E76\u73BB\u83E0\u64AD\u62E8\u94B5\u6CE2\u535A\u52C3\u640F\u94C2\u7B94\u4F2F\u5E1B\u8236\u8116\u818A\u6E24\u6CCA\u9A73\u6355\u535C\u54FA\u8865\u57E0\u4E0D\u5E03\u6B65\u7C3F\u90E8\u6016\u64E6\u731C\u88C1\u6750\u624D\u8D22\u776C\u8E29\u91C7\u5F69\u83DC\u8521\u9910\u53C2\u8695\u6B8B\u60ED\u60E8\u707F\u82CD\u8231\u4ED3\u6CA7\u85CF\u64CD\u7CD9\u69FD\u66F9\u8349\u5395\u7B56\u4FA7\u518C\u6D4B\u5C42\u8E6D\u63D2\u53C9\u832C\u8336\u67E5\u78B4\u643D\u5BDF\u5C94\u5DEE\u8BE7\u62C6\u67F4\u8C7A\u6400\u63BA\u8749\u998B\u8C17\u7F20\u94F2\u4EA7\u9610\u98A4\u660C\u7316"],
      ["b340", "\u77E6\u77E8\u77EA\u77EF\u77F0\u77F1\u77F2\u77F4\u77F5\u77F7\u77F9\u77FA\u77FB\u77FC\u7803", 5, "\u780A\u780B\u780E\u780F\u7810\u7813\u7815\u7819\u781B\u781E\u7820\u7821\u7822\u7824\u7828\u782A\u782B\u782E\u782F\u7831\u7832\u7833\u7835\u7836\u783D\u783F\u7841\u7842\u7843\u7844\u7846\u7848\u7849\u784A\u784B\u784D\u784F\u7851\u7853\u7854\u7858\u7859\u785A"],
      ["b380", "\u785B\u785C\u785E", 11, "\u786F", 7, "\u7878\u7879\u787A\u787B\u787D", 6, "\u573A\u5C1D\u5E38\u957F\u507F\u80A0\u5382\u655E\u7545\u5531\u5021\u8D85\u6284\u949E\u671D\u5632\u6F6E\u5DE2\u5435\u7092\u8F66\u626F\u64A4\u63A3\u5F7B\u6F88\u90F4\u81E3\u8FB0\u5C18\u6668\u5FF1\u6C89\u9648\u8D81\u886C\u6491\u79F0\u57CE\u6A59\u6210\u5448\u4E58\u7A0B\u60E9\u6F84\u8BDA\u627F\u901E\u9A8B\u79E4\u5403\u75F4\u6301\u5319\u6C60\u8FDF\u5F1B\u9A70\u803B\u9F7F\u4F88\u5C3A\u8D64\u7FC5\u65A5\u70BD\u5145\u51B2\u866B\u5D07\u5BA0\u62BD\u916C\u7574\u8E0C\u7A20\u6101\u7B79\u4EC7\u7EF8\u7785\u4E11\u81ED\u521D\u51FA\u6A71\u53A8\u8E87\u9504\u96CF\u6EC1\u9664\u695A"],
      ["b440", "\u7884\u7885\u7886\u7888\u788A\u788B\u788F\u7890\u7892\u7894\u7895\u7896\u7899\u789D\u789E\u78A0\u78A2\u78A4\u78A6\u78A8", 7, "\u78B5\u78B6\u78B7\u78B8\u78BA\u78BB\u78BC\u78BD\u78BF\u78C0\u78C2\u78C3\u78C4\u78C6\u78C7\u78C8\u78CC\u78CD\u78CE\u78CF\u78D1\u78D2\u78D3\u78D6\u78D7\u78D8\u78DA", 9],
      ["b480", "\u78E4\u78E5\u78E6\u78E7\u78E9\u78EA\u78EB\u78ED", 4, "\u78F3\u78F5\u78F6\u78F8\u78F9\u78FB", 5, "\u7902\u7903\u7904\u7906", 6, "\u7840\u50A8\u77D7\u6410\u89E6\u5904\u63E3\u5DDD\u7A7F\u693D\u4F20\u8239\u5598\u4E32\u75AE\u7A97\u5E62\u5E8A\u95EF\u521B\u5439\u708A\u6376\u9524\u5782\u6625\u693F\u9187\u5507\u6DF3\u7EAF\u8822\u6233\u7EF0\u75B5\u8328\u78C1\u96CC\u8F9E\u6148\u74F7\u8BCD\u6B64\u523A\u8D50\u6B21\u806A\u8471\u56F1\u5306\u4ECE\u4E1B\u51D1\u7C97\u918B\u7C07\u4FC3\u8E7F\u7BE1\u7A9C\u6467\u5D14\u50AC\u8106\u7601\u7CB9\u6DEC\u7FE0\u6751\u5B58\u5BF8\u78CB\u64AE\u6413\u63AA\u632B\u9519\u642D\u8FBE\u7B54\u7629\u6253\u5927\u5446\u6B79\u50A3\u6234\u5E26\u6B86\u4EE3\u8D37\u888B\u5F85\u902E"],
      ["b540", "\u790D", 5, "\u7914", 9, "\u791F", 4, "\u7925", 14, "\u7935", 4, "\u793D\u793F\u7942\u7943\u7944\u7945\u7947\u794A", 8, "\u7954\u7955\u7958\u7959\u7961\u7963"],
      ["b580", "\u7964\u7966\u7969\u796A\u796B\u796C\u796E\u7970", 6, "\u7979\u797B", 4, "\u7982\u7983\u7986\u7987\u7988\u7989\u798B\u798C\u798D\u798E\u7990\u7991\u7992\u6020\u803D\u62C5\u4E39\u5355\u90F8\u63B8\u80C6\u65E6\u6C2E\u4F46\u60EE\u6DE1\u8BDE\u5F39\u86CB\u5F53\u6321\u515A\u8361\u6863\u5200\u6363\u8E48\u5012\u5C9B\u7977\u5BFC\u5230\u7A3B\u60BC\u9053\u76D7\u5FB7\u5F97\u7684\u8E6C\u706F\u767B\u7B49\u77AA\u51F3\u9093\u5824\u4F4E\u6EF4\u8FEA\u654C\u7B1B\u72C4\u6DA4\u7FDF\u5AE1\u62B5\u5E95\u5730\u8482\u7B2C\u5E1D\u5F1F\u9012\u7F14\u98A0\u6382\u6EC7\u7898\u70B9\u5178\u975B\u57AB\u7535\u4F43\u7538\u5E97\u60E6\u5960\u6DC0\u6BBF\u7889\u53FC\u96D5\u51CB\u5201\u6389\u540A\u9493\u8C03\u8DCC\u7239\u789F\u8776\u8FED\u8C0D\u53E0"],
      ["b640", "\u7993", 6, "\u799B", 11, "\u79A8", 10, "\u79B4", 4, "\u79BC\u79BF\u79C2\u79C4\u79C5\u79C7\u79C8\u79CA\u79CC\u79CE\u79CF\u79D0\u79D3\u79D4\u79D6\u79D7\u79D9", 5, "\u79E0\u79E1\u79E2\u79E5\u79E8\u79EA"],
      ["b680", "\u79EC\u79EE\u79F1", 6, "\u79F9\u79FA\u79FC\u79FE\u79FF\u7A01\u7A04\u7A05\u7A07\u7A08\u7A09\u7A0A\u7A0C\u7A0F", 4, "\u7A15\u7A16\u7A18\u7A19\u7A1B\u7A1C\u4E01\u76EF\u53EE\u9489\u9876\u9F0E\u952D\u5B9A\u8BA2\u4E22\u4E1C\u51AC\u8463\u61C2\u52A8\u680B\u4F97\u606B\u51BB\u6D1E\u515C\u6296\u6597\u9661\u8C46\u9017\u75D8\u90FD\u7763\u6BD2\u728A\u72EC\u8BFB\u5835\u7779\u8D4C\u675C\u9540\u809A\u5EA6\u6E21\u5992\u7AEF\u77ED\u953B\u6BB5\u65AD\u7F0E\u5806\u5151\u961F\u5BF9\u58A9\u5428\u8E72\u6566\u987F\u56E4\u949D\u76FE\u9041\u6387\u54C6\u591A\u593A\u579B\u8EB2\u6735\u8DFA\u8235\u5241\u60F0\u5815\u86FE\u5CE8\u9E45\u4FC4\u989D\u8BB9\u5A25\u6076\u5384\u627C\u904F\u9102\u997F\u6069\u800C\u513F\u8033\u5C14\u9975\u6D31\u4E8C"],
      ["b740", "\u7A1D\u7A1F\u7A21\u7A22\u7A24", 14, "\u7A34\u7A35\u7A36\u7A38\u7A3A\u7A3E\u7A40", 5, "\u7A47", 9, "\u7A52", 4, "\u7A58", 16],
      ["b780", "\u7A69", 6, "\u7A71\u7A72\u7A73\u7A75\u7A7B\u7A7C\u7A7D\u7A7E\u7A82\u7A85\u7A87\u7A89\u7A8A\u7A8B\u7A8C\u7A8E\u7A8F\u7A90\u7A93\u7A94\u7A99\u7A9A\u7A9B\u7A9E\u7AA1\u7AA2\u8D30\u53D1\u7F5A\u7B4F\u4F10\u4E4F\u9600\u6CD5\u73D0\u85E9\u5E06\u756A\u7FFB\u6A0A\u77FE\u9492\u7E41\u51E1\u70E6\u53CD\u8FD4\u8303\u8D29\u72AF\u996D\u6CDB\u574A\u82B3\u65B9\u80AA\u623F\u9632\u59A8\u4EFF\u8BBF\u7EBA\u653E\u83F2\u975E\u5561\u98DE\u80A5\u532A\u8BFD\u5420\u80BA\u5E9F\u6CB8\u8D39\u82AC\u915A\u5429\u6C1B\u5206\u7EB7\u575F\u711A\u6C7E\u7C89\u594B\u4EFD\u5FFF\u6124\u7CAA\u4E30\u5C01\u67AB\u8702\u5CF0\u950B\u98CE\u75AF\u70FD\u9022\u51AF\u7F1D\u8BBD\u5949\u51E4\u4F5B\u5426\u592B\u6577\u80A4\u5B75\u6276\u62C2\u8F90\u5E45\u6C1F\u7B26\u4F0F\u4FD8\u670D"],
      ["b840", "\u7AA3\u7AA4\u7AA7\u7AA9\u7AAA\u7AAB\u7AAE", 4, "\u7AB4", 10, "\u7AC0", 10, "\u7ACC", 9, "\u7AD7\u7AD8\u7ADA\u7ADB\u7ADC\u7ADD\u7AE1\u7AE2\u7AE4\u7AE7", 5, "\u7AEE\u7AF0\u7AF1\u7AF2\u7AF3"],
      ["b880", "\u7AF4", 4, "\u7AFB\u7AFC\u7AFE\u7B00\u7B01\u7B02\u7B05\u7B07\u7B09\u7B0C\u7B0D\u7B0E\u7B10\u7B12\u7B13\u7B16\u7B17\u7B18\u7B1A\u7B1C\u7B1D\u7B1F\u7B21\u7B22\u7B23\u7B27\u7B29\u7B2D\u6D6E\u6DAA\u798F\u88B1\u5F17\u752B\u629A\u8F85\u4FEF\u91DC\u65A7\u812F\u8151\u5E9C\u8150\u8D74\u526F\u8986\u8D4B\u590D\u5085\u4ED8\u961C\u7236\u8179\u8D1F\u5BCC\u8BA3\u9644\u5987\u7F1A\u5490\u5676\u560E\u8BE5\u6539\u6982\u9499\u76D6\u6E89\u5E72\u7518\u6746\u67D1\u7AFF\u809D\u8D76\u611F\u79C6\u6562\u8D63\u5188\u521A\u94A2\u7F38\u809B\u7EB2\u5C97\u6E2F\u6760\u7BD9\u768B\u9AD8\u818F\u7F94\u7CD5\u641E\u9550\u7A3F\u544A\u54E5\u6B4C\u6401\u6208\u9E3D\u80F3\u7599\u5272\u9769\u845B\u683C\u86E4\u9601\u9694\u94EC\u4E2A\u5404\u7ED9\u6839\u8DDF\u8015\u66F4\u5E9A\u7FB9"],
      ["b940", "\u7B2F\u7B30\u7B32\u7B34\u7B35\u7B36\u7B37\u7B39\u7B3B\u7B3D\u7B3F", 5, "\u7B46\u7B48\u7B4A\u7B4D\u7B4E\u7B53\u7B55\u7B57\u7B59\u7B5C\u7B5E\u7B5F\u7B61\u7B63", 10, "\u7B6F\u7B70\u7B73\u7B74\u7B76\u7B78\u7B7A\u7B7C\u7B7D\u7B7F\u7B81\u7B82\u7B83\u7B84\u7B86", 6, "\u7B8E\u7B8F"],
      ["b980", "\u7B91\u7B92\u7B93\u7B96\u7B98\u7B99\u7B9A\u7B9B\u7B9E\u7B9F\u7BA0\u7BA3\u7BA4\u7BA5\u7BAE\u7BAF\u7BB0\u7BB2\u7BB3\u7BB5\u7BB6\u7BB7\u7BB9", 7, "\u7BC2\u7BC3\u7BC4\u57C2\u803F\u6897\u5DE5\u653B\u529F\u606D\u9F9A\u4F9B\u8EAC\u516C\u5BAB\u5F13\u5DE9\u6C5E\u62F1\u8D21\u5171\u94A9\u52FE\u6C9F\u82DF\u72D7\u57A2\u6784\u8D2D\u591F\u8F9C\u83C7\u5495\u7B8D\u4F30\u6CBD\u5B64\u59D1\u9F13\u53E4\u86CA\u9AA8\u8C37\u80A1\u6545\u987E\u56FA\u96C7\u522E\u74DC\u5250\u5BE1\u6302\u8902\u4E56\u62D0\u602A\u68FA\u5173\u5B98\u51A0\u89C2\u7BA1\u9986\u7F50\u60EF\u704C\u8D2F\u5149\u5E7F\u901B\u7470\u89C4\u572D\u7845\u5F52\u9F9F\u95FA\u8F68\u9B3C\u8BE1\u7678\u6842\u67DC\u8DEA\u8D35\u523D\u8F8A\u6EDA\u68CD\u9505\u90ED\u56FD\u679C\u88F9\u8FC7\u54C8"],
      ["ba40", "\u7BC5\u7BC8\u7BC9\u7BCA\u7BCB\u7BCD\u7BCE\u7BCF\u7BD0\u7BD2\u7BD4", 4, "\u7BDB\u7BDC\u7BDE\u7BDF\u7BE0\u7BE2\u7BE3\u7BE4\u7BE7\u7BE8\u7BE9\u7BEB\u7BEC\u7BED\u7BEF\u7BF0\u7BF2", 4, "\u7BF8\u7BF9\u7BFA\u7BFB\u7BFD\u7BFF", 7, "\u7C08\u7C09\u7C0A\u7C0D\u7C0E\u7C10", 5, "\u7C17\u7C18\u7C19"],
      ["ba80", "\u7C1A", 4, "\u7C20", 5, "\u7C28\u7C29\u7C2B", 12, "\u7C39", 5, "\u7C42\u9AB8\u5B69\u6D77\u6C26\u4EA5\u5BB3\u9A87\u9163\u61A8\u90AF\u97E9\u542B\u6DB5\u5BD2\u51FD\u558A\u7F55\u7FF0\u64BC\u634D\u65F1\u61BE\u608D\u710A\u6C57\u6C49\u592F\u676D\u822A\u58D5\u568E\u8C6A\u6BEB\u90DD\u597D\u8017\u53F7\u6D69\u5475\u559D\u8377\u83CF\u6838\u79BE\u548C\u4F55\u5408\u76D2\u8C89\u9602\u6CB3\u6DB8\u8D6B\u8910\u9E64\u8D3A\u563F\u9ED1\u75D5\u5F88\u72E0\u6068\u54FC\u4EA8\u6A2A\u8861\u6052\u8F70\u54C4\u70D8\u8679\u9E3F\u6D2A\u5B8F\u5F18\u7EA2\u5589\u4FAF\u7334\u543C\u539A\u5019\u540E\u547C\u4E4E\u5FFD\u745A\u58F6\u846B\u80E1\u8774\u72D0\u7CCA\u6E56"],
      ["bb40", "\u7C43", 9, "\u7C4E", 36, "\u7C75", 5, "\u7C7E", 9],
      ["bb80", "\u7C88\u7C8A", 6, "\u7C93\u7C94\u7C96\u7C99\u7C9A\u7C9B\u7CA0\u7CA1\u7CA3\u7CA6\u7CA7\u7CA8\u7CA9\u7CAB\u7CAC\u7CAD\u7CAF\u7CB0\u7CB4", 4, "\u7CBA\u7CBB\u5F27\u864E\u552C\u62A4\u4E92\u6CAA\u6237\u82B1\u54D7\u534E\u733E\u6ED1\u753B\u5212\u5316\u8BDD\u69D0\u5F8A\u6000\u6DEE\u574F\u6B22\u73AF\u6853\u8FD8\u7F13\u6362\u60A3\u5524\u75EA\u8C62\u7115\u6DA3\u5BA6\u5E7B\u8352\u614C\u9EC4\u78FA\u8757\u7C27\u7687\u51F0\u60F6\u714C\u6643\u5E4C\u604D\u8C0E\u7070\u6325\u8F89\u5FBD\u6062\u86D4\u56DE\u6BC1\u6094\u6167\u5349\u60E0\u6666\u8D3F\u79FD\u4F1A\u70E9\u6C47\u8BB3\u8BF2\u7ED8\u8364\u660F\u5A5A\u9B42\u6D51\u6DF7\u8C41\u6D3B\u4F19\u706B\u83B7\u6216\u60D1\u970D\u8D27\u7978\u51FB\u573E\u57FA\u673A\u7578\u7A3D\u79EF\u7B95"],
      ["bc40", "\u7CBF\u7CC0\u7CC2\u7CC3\u7CC4\u7CC6\u7CC9\u7CCB\u7CCE", 6, "\u7CD8\u7CDA\u7CDB\u7CDD\u7CDE\u7CE1", 6, "\u7CE9", 5, "\u7CF0", 7, "\u7CF9\u7CFA\u7CFC", 13, "\u7D0B", 5],
      ["bc80", "\u7D11", 14, "\u7D21\u7D23\u7D24\u7D25\u7D26\u7D28\u7D29\u7D2A\u7D2C\u7D2D\u7D2E\u7D30", 6, "\u808C\u9965\u8FF9\u6FC0\u8BA5\u9E21\u59EC\u7EE9\u7F09\u5409\u6781\u68D8\u8F91\u7C4D\u96C6\u53CA\u6025\u75BE\u6C72\u5373\u5AC9\u7EA7\u6324\u51E0\u810A\u5DF1\u84DF\u6280\u5180\u5B63\u4F0E\u796D\u5242\u60B8\u6D4E\u5BC4\u5BC2\u8BA1\u8BB0\u65E2\u5FCC\u9645\u5993\u7EE7\u7EAA\u5609\u67B7\u5939\u4F73\u5BB6\u52A0\u835A\u988A\u8D3E\u7532\u94BE\u5047\u7A3C\u4EF7\u67B6\u9A7E\u5AC1\u6B7C\u76D1\u575A\u5C16\u7B3A\u95F4\u714E\u517C\u80A9\u8270\u5978\u7F04\u8327\u68C0\u67EC\u78B1\u7877\u62E3\u6361\u7B80\u4FED\u526A\u51CF\u8350\u69DB\u9274\u8DF5\u8D31\u89C1\u952E\u7BAD\u4EF6"],
      ["bd40", "\u7D37", 54, "\u7D6F", 7],
      ["bd80", "\u7D78", 32, "\u5065\u8230\u5251\u996F\u6E10\u6E85\u6DA7\u5EFA\u50F5\u59DC\u5C06\u6D46\u6C5F\u7586\u848B\u6868\u5956\u8BB2\u5320\u9171\u964D\u8549\u6912\u7901\u7126\u80F6\u4EA4\u90CA\u6D47\u9A84\u5A07\u56BC\u6405\u94F0\u77EB\u4FA5\u811A\u72E1\u89D2\u997A\u7F34\u7EDE\u527F\u6559\u9175\u8F7F\u8F83\u53EB\u7A96\u63ED\u63A5\u7686\u79F8\u8857\u9636\u622A\u52AB\u8282\u6854\u6770\u6377\u776B\u7AED\u6D01\u7ED3\u89E3\u59D0\u6212\u85C9\u82A5\u754C\u501F\u4ECB\u75A5\u8BEB\u5C4A\u5DFE\u7B4B\u65A4\u91D1\u4ECA\u6D25\u895F\u7D27\u9526\u4EC5\u8C28\u8FDB\u9773\u664B\u7981\u8FD1\u70EC\u6D78"],
      ["be40", "\u7D99", 12, "\u7DA7", 6, "\u7DAF", 42],
      ["be80", "\u7DDA", 32, "\u5C3D\u52B2\u8346\u5162\u830E\u775B\u6676\u9CB8\u4EAC\u60CA\u7CBE\u7CB3\u7ECF\u4E95\u8B66\u666F\u9888\u9759\u5883\u656C\u955C\u5F84\u75C9\u9756\u7ADF\u7ADE\u51C0\u70AF\u7A98\u63EA\u7A76\u7EA0\u7396\u97ED\u4E45\u7078\u4E5D\u9152\u53A9\u6551\u65E7\u81FC\u8205\u548E\u5C31\u759A\u97A0\u62D8\u72D9\u75BD\u5C45\u9A79\u83CA\u5C40\u5480\u77E9\u4E3E\u6CAE\u805A\u62D2\u636E\u5DE8\u5177\u8DDD\u8E1E\u952F\u4FF1\u53E5\u60E7\u70AC\u5267\u6350\u9E43\u5A1F\u5026\u7737\u5377\u7EE2\u6485\u652B\u6289\u6398\u5014\u7235\u89C9\u51B3\u8BC0\u7EDD\u5747\u83CC\u94A7\u519B\u541B\u5CFB"],
      ["bf40", "\u7DFB", 62],
      ["bf80", "\u7E3A\u7E3C", 4, "\u7E42", 4, "\u7E48", 21, "\u4FCA\u7AE3\u6D5A\u90E1\u9A8F\u5580\u5496\u5361\u54AF\u5F00\u63E9\u6977\u51EF\u6168\u520A\u582A\u52D8\u574E\u780D\u770B\u5EB7\u6177\u7CE0\u625B\u6297\u4EA2\u7095\u8003\u62F7\u70E4\u9760\u5777\u82DB\u67EF\u68F5\u78D5\u9897\u79D1\u58F3\u54B3\u53EF\u6E34\u514B\u523B\u5BA2\u8BFE\u80AF\u5543\u57A6\u6073\u5751\u542D\u7A7A\u6050\u5B54\u63A7\u62A0\u53E3\u6263\u5BC7\u67AF\u54ED\u7A9F\u82E6\u9177\u5E93\u88E4\u5938\u57AE\u630E\u8DE8\u80EF\u5757\u7B77\u4FA9\u5FEB\u5BBD\u6B3E\u5321\u7B50\u72C2\u6846\u77FF\u7736\u65F7\u51B5\u4E8F\u76D4\u5CBF\u7AA5\u8475\u594E\u9B41\u5080"],
      ["c040", "\u7E5E", 35, "\u7E83", 23, "\u7E9C\u7E9D\u7E9E"],
      ["c080", "\u7EAE\u7EB4\u7EBB\u7EBC\u7ED6\u7EE4\u7EEC\u7EF9\u7F0A\u7F10\u7F1E\u7F37\u7F39\u7F3B", 6, "\u7F43\u7F46", 9, "\u7F52\u7F53\u9988\u6127\u6E83\u5764\u6606\u6346\u56F0\u62EC\u6269\u5ED3\u9614\u5783\u62C9\u5587\u8721\u814A\u8FA3\u5566\u83B1\u6765\u8D56\u84DD\u5A6A\u680F\u62E6\u7BEE\u9611\u5170\u6F9C\u8C30\u63FD\u89C8\u61D2\u7F06\u70C2\u6EE5\u7405\u6994\u72FC\u5ECA\u90CE\u6717\u6D6A\u635E\u52B3\u7262\u8001\u4F6C\u59E5\u916A\u70D9\u6D9D\u52D2\u4E50\u96F7\u956D\u857E\u78CA\u7D2F\u5121\u5792\u64C2\u808B\u7C7B\u6CEA\u68F1\u695E\u51B7\u5398\u68A8\u7281\u9ECE\u7BF1\u72F8\u79BB\u6F13\u7406\u674E\u91CC\u9CA4\u793C\u8389\u8354\u540F\u6817\u4E3D\u5389\u52B1\u783E\u5386\u5229\u5088\u4F8B\u4FD0"],
      ["c140", "\u7F56\u7F59\u7F5B\u7F5C\u7F5D\u7F5E\u7F60\u7F63", 4, "\u7F6B\u7F6C\u7F6D\u7F6F\u7F70\u7F73\u7F75\u7F76\u7F77\u7F78\u7F7A\u7F7B\u7F7C\u7F7D\u7F7F\u7F80\u7F82", 7, "\u7F8B\u7F8D\u7F8F", 4, "\u7F95", 4, "\u7F9B\u7F9C\u7FA0\u7FA2\u7FA3\u7FA5\u7FA6\u7FA8", 6, "\u7FB1"],
      ["c180", "\u7FB3", 4, "\u7FBA\u7FBB\u7FBE\u7FC0\u7FC2\u7FC3\u7FC4\u7FC6\u7FC7\u7FC8\u7FC9\u7FCB\u7FCD\u7FCF", 4, "\u7FD6\u7FD7\u7FD9", 5, "\u7FE2\u7FE3\u75E2\u7ACB\u7C92\u6CA5\u96B6\u529B\u7483\u54E9\u4FE9\u8054\u83B2\u8FDE\u9570\u5EC9\u601C\u6D9F\u5E18\u655B\u8138\u94FE\u604B\u70BC\u7EC3\u7CAE\u51C9\u6881\u7CB1\u826F\u4E24\u8F86\u91CF\u667E\u4EAE\u8C05\u64A9\u804A\u50DA\u7597\u71CE\u5BE5\u8FBD\u6F66\u4E86\u6482\u9563\u5ED6\u6599\u5217\u88C2\u70C8\u52A3\u730E\u7433\u6797\u78F7\u9716\u4E34\u90BB\u9CDE\u6DCB\u51DB\u8D41\u541D\u62CE\u73B2\u83F1\u96F6\u9F84\u94C3\u4F36\u7F9A\u51CC\u7075\u9675\u5CAD\u9886\u53E6\u4EE4\u6E9C\u7409\u69B4\u786B\u998F\u7559\u5218\u7624\u6D41\u67F3\u516D\u9F99\u804B\u5499\u7B3C\u7ABF"],
      ["c240", "\u7FE4\u7FE7\u7FE8\u7FEA\u7FEB\u7FEC\u7FED\u7FEF\u7FF2\u7FF4", 6, "\u7FFD\u7FFE\u7FFF\u8002\u8007\u8008\u8009\u800A\u800E\u800F\u8011\u8013\u801A\u801B\u801D\u801E\u801F\u8021\u8023\u8024\u802B", 5, "\u8032\u8034\u8039\u803A\u803C\u803E\u8040\u8041\u8044\u8045\u8047\u8048\u8049\u804E\u804F\u8050\u8051\u8053\u8055\u8056\u8057"],
      ["c280", "\u8059\u805B", 13, "\u806B", 5, "\u8072", 11, "\u9686\u5784\u62E2\u9647\u697C\u5A04\u6402\u7BD3\u6F0F\u964B\u82A6\u5362\u9885\u5E90\u7089\u63B3\u5364\u864F\u9C81\u9E93\u788C\u9732\u8DEF\u8D42\u9E7F\u6F5E\u7984\u5F55\u9646\u622E\u9A74\u5415\u94DD\u4FA3\u65C5\u5C65\u5C61\u7F15\u8651\u6C2F\u5F8B\u7387\u6EE4\u7EFF\u5CE6\u631B\u5B6A\u6EE6\u5375\u4E71\u63A0\u7565\u62A1\u8F6E\u4F26\u4ED1\u6CA6\u7EB6\u8BBA\u841D\u87BA\u7F57\u903B\u9523\u7BA9\u9AA1\u88F8\u843D\u6D1B\u9A86\u7EDC\u5988\u9EBB\u739B\u7801\u8682\u9A6C\u9A82\u561B\u5417\u57CB\u4E70\u9EA6\u5356\u8FC8\u8109\u7792\u9992\u86EE\u6EE1\u8513\u66FC\u6162\u6F2B"],
      ["c340", "\u807E\u8081\u8082\u8085\u8088\u808A\u808D", 5, "\u8094\u8095\u8097\u8099\u809E\u80A3\u80A6\u80A7\u80A8\u80AC\u80B0\u80B3\u80B5\u80B6\u80B8\u80B9\u80BB\u80C5\u80C7", 4, "\u80CF", 6, "\u80D8\u80DF\u80E0\u80E2\u80E3\u80E6\u80EE\u80F5\u80F7\u80F9\u80FB\u80FE\u80FF\u8100\u8101\u8103\u8104\u8105\u8107\u8108\u810B"],
      ["c380", "\u810C\u8115\u8117\u8119\u811B\u811C\u811D\u811F", 12, "\u812D\u812E\u8130\u8133\u8134\u8135\u8137\u8139", 4, "\u813F\u8C29\u8292\u832B\u76F2\u6C13\u5FD9\u83BD\u732B\u8305\u951A\u6BDB\u77DB\u94C6\u536F\u8302\u5192\u5E3D\u8C8C\u8D38\u4E48\u73AB\u679A\u6885\u9176\u9709\u7164\u6CA1\u7709\u5A92\u9541\u6BCF\u7F8E\u6627\u5BD0\u59B9\u5A9A\u95E8\u95F7\u4EEC\u840C\u8499\u6AAC\u76DF\u9530\u731B\u68A6\u5B5F\u772F\u919A\u9761\u7CDC\u8FF7\u8C1C\u5F25\u7C73\u79D8\u89C5\u6CCC\u871C\u5BC6\u5E42\u68C9\u7720\u7EF5\u5195\u514D\u52C9\u5A29\u7F05\u9762\u82D7\u63CF\u7784\u85D0\u79D2\u6E3A\u5E99\u5999\u8511\u706D\u6C11\u62BF\u76BF\u654F\u60AF\u95FD\u660E\u879F\u9E23\u94ED\u540D\u547D\u8C2C\u6478"],
      ["c440", "\u8140", 5, "\u8147\u8149\u814D\u814E\u814F\u8152\u8156\u8157\u8158\u815B", 4, "\u8161\u8162\u8163\u8164\u8166\u8168\u816A\u816B\u816C\u816F\u8172\u8173\u8175\u8176\u8177\u8178\u8181\u8183", 4, "\u8189\u818B\u818C\u818D\u818E\u8190\u8192", 5, "\u8199\u819A\u819E", 4, "\u81A4\u81A5"],
      ["c480", "\u81A7\u81A9\u81AB", 7, "\u81B4", 5, "\u81BC\u81BD\u81BE\u81BF\u81C4\u81C5\u81C7\u81C8\u81C9\u81CB\u81CD", 6, "\u6479\u8611\u6A21\u819C\u78E8\u6469\u9B54\u62B9\u672B\u83AB\u58A8\u9ED8\u6CAB\u6F20\u5BDE\u964C\u8C0B\u725F\u67D0\u62C7\u7261\u4EA9\u59C6\u6BCD\u5893\u66AE\u5E55\u52DF\u6155\u6728\u76EE\u7766\u7267\u7A46\u62FF\u54EA\u5450\u94A0\u90A3\u5A1C\u7EB3\u6C16\u4E43\u5976\u8010\u5948\u5357\u7537\u96BE\u56CA\u6320\u8111\u607C\u95F9\u6DD6\u5462\u9981\u5185\u5AE9\u80FD\u59AE\u9713\u502A\u6CE5\u5C3C\u62DF\u4F60\u533F\u817B\u9006\u6EBA\u852B\u62C8\u5E74\u78BE\u64B5\u637B\u5FF5\u5A18\u917F\u9E1F\u5C3F\u634F\u8042\u5B7D\u556E\u954A\u954D\u6D85\u60A8\u67E0\u72DE\u51DD\u5B81"],
      ["c540", "\u81D4", 14, "\u81E4\u81E5\u81E6\u81E8\u81E9\u81EB\u81EE", 4, "\u81F5", 5, "\u81FD\u81FF\u8203\u8207", 4, "\u820E\u820F\u8211\u8213\u8215", 5, "\u821D\u8220\u8224\u8225\u8226\u8227\u8229\u822E\u8232\u823A\u823C\u823D\u823F"],
      ["c580", "\u8240\u8241\u8242\u8243\u8245\u8246\u8248\u824A\u824C\u824D\u824E\u8250", 7, "\u8259\u825B\u825C\u825D\u825E\u8260", 7, "\u8269\u62E7\u6CDE\u725B\u626D\u94AE\u7EBD\u8113\u6D53\u519C\u5F04\u5974\u52AA\u6012\u5973\u6696\u8650\u759F\u632A\u61E6\u7CEF\u8BFA\u54E6\u6B27\u9E25\u6BB4\u85D5\u5455\u5076\u6CA4\u556A\u8DB4\u722C\u5E15\u6015\u7436\u62CD\u6392\u724C\u5F98\u6E43\u6D3E\u6500\u6F58\u76D8\u78D0\u76FC\u7554\u5224\u53DB\u4E53\u5E9E\u65C1\u802A\u80D6\u629B\u5486\u5228\u70AE\u888D\u8DD1\u6CE1\u5478\u80DA\u57F9\u88F4\u8D54\u966A\u914D\u4F69\u6C9B\u55B7\u76C6\u7830\u62A8\u70F9\u6F8E\u5F6D\u84EC\u68DA\u787C\u7BF7\u81A8\u670B\u9E4F\u6367\u78B0\u576F\u7812\u9739\u6279\u62AB\u5288\u7435\u6BD7"],
      ["c640", "\u826A\u826B\u826C\u826D\u8271\u8275\u8276\u8277\u8278\u827B\u827C\u8280\u8281\u8283\u8285\u8286\u8287\u8289\u828C\u8290\u8293\u8294\u8295\u8296\u829A\u829B\u829E\u82A0\u82A2\u82A3\u82A7\u82B2\u82B5\u82B6\u82BA\u82BB\u82BC\u82BF\u82C0\u82C2\u82C3\u82C5\u82C6\u82C9\u82D0\u82D6\u82D9\u82DA\u82DD\u82E2\u82E7\u82E8\u82E9\u82EA\u82EC\u82ED\u82EE\u82F0\u82F2\u82F3\u82F5\u82F6\u82F8"],
      ["c680", "\u82FA\u82FC", 4, "\u830A\u830B\u830D\u8310\u8312\u8313\u8316\u8318\u8319\u831D", 9, "\u8329\u832A\u832E\u8330\u8332\u8337\u833B\u833D\u5564\u813E\u75B2\u76AE\u5339\u75DE\u50FB\u5C41\u8B6C\u7BC7\u504F\u7247\u9A97\u98D8\u6F02\u74E2\u7968\u6487\u77A5\u62FC\u9891\u8D2B\u54C1\u8058\u4E52\u576A\u82F9\u840D\u5E73\u51ED\u74F6\u8BC4\u5C4F\u5761\u6CFC\u9887\u5A46\u7834\u9B44\u8FEB\u7C95\u5256\u6251\u94FA\u4EC6\u8386\u8461\u83E9\u84B2\u57D4\u6734\u5703\u666E\u6D66\u8C31\u66DD\u7011\u671F\u6B3A\u6816\u621A\u59BB\u4E03\u51C4\u6F06\u67D2\u6C8F\u5176\u68CB\u5947\u6B67\u7566\u5D0E\u8110\u9F50\u65D7\u7948\u7941\u9A91\u8D77\u5C82\u4E5E\u4F01\u542F\u5951\u780C\u5668\u6C14\u8FC4\u5F03\u6C7D\u6CE3\u8BAB\u6390"],
      ["c740", "\u833E\u833F\u8341\u8342\u8344\u8345\u8348\u834A", 4, "\u8353\u8355", 4, "\u835D\u8362\u8370", 6, "\u8379\u837A\u837E", 6, "\u8387\u8388\u838A\u838B\u838C\u838D\u838F\u8390\u8391\u8394\u8395\u8396\u8397\u8399\u839A\u839D\u839F\u83A1", 6, "\u83AC\u83AD\u83AE"],
      ["c780", "\u83AF\u83B5\u83BB\u83BE\u83BF\u83C2\u83C3\u83C4\u83C6\u83C8\u83C9\u83CB\u83CD\u83CE\u83D0\u83D1\u83D2\u83D3\u83D5\u83D7\u83D9\u83DA\u83DB\u83DE\u83E2\u83E3\u83E4\u83E6\u83E7\u83E8\u83EB\u83EC\u83ED\u6070\u6D3D\u7275\u6266\u948E\u94C5\u5343\u8FC1\u7B7E\u4EDF\u8C26\u4E7E\u9ED4\u94B1\u94B3\u524D\u6F5C\u9063\u6D45\u8C34\u5811\u5D4C\u6B20\u6B49\u67AA\u545B\u8154\u7F8C\u5899\u8537\u5F3A\u62A2\u6A47\u9539\u6572\u6084\u6865\u77A7\u4E54\u4FA8\u5DE7\u9798\u64AC\u7FD8\u5CED\u4FCF\u7A8D\u5207\u8304\u4E14\u602F\u7A83\u94A6\u4FB5\u4EB2\u79E6\u7434\u52E4\u82B9\u64D2\u79BD\u5BDD\u6C81\u9752\u8F7B\u6C22\u503E\u537F\u6E05\u64CE\u6674\u6C30\u60C5\u9877\u8BF7\u5E86\u743C\u7A77\u79CB\u4E18\u90B1\u7403\u6C42\u56DA\u914B\u6CC5\u8D8B\u533A\u86C6\u66F2\u8EAF\u5C48\u9A71\u6E20"],
      ["c840", "\u83EE\u83EF\u83F3", 4, "\u83FA\u83FB\u83FC\u83FE\u83FF\u8400\u8402\u8405\u8407\u8408\u8409\u840A\u8410\u8412", 5, "\u8419\u841A\u841B\u841E", 5, "\u8429", 7, "\u8432", 5, "\u8439\u843A\u843B\u843E", 7, "\u8447\u8448\u8449"],
      ["c880", "\u844A", 6, "\u8452", 4, "\u8458\u845D\u845E\u845F\u8460\u8462\u8464", 4, "\u846A\u846E\u846F\u8470\u8472\u8474\u8477\u8479\u847B\u847C\u53D6\u5A36\u9F8B\u8DA3\u53BB\u5708\u98A7\u6743\u919B\u6CC9\u5168\u75CA\u62F3\u72AC\u5238\u529D\u7F3A\u7094\u7638\u5374\u9E4A\u69B7\u786E\u96C0\u88D9\u7FA4\u7136\u71C3\u5189\u67D3\u74E4\u58E4\u6518\u56B7\u8BA9\u9976\u6270\u7ED5\u60F9\u70ED\u58EC\u4EC1\u4EBA\u5FCD\u97E7\u4EFB\u8BA4\u5203\u598A\u7EAB\u6254\u4ECD\u65E5\u620E\u8338\u84C9\u8363\u878D\u7194\u6EB6\u5BB9\u7ED2\u5197\u63C9\u67D4\u8089\u8339\u8815\u5112\u5B7A\u5982\u8FB1\u4E73\u6C5D\u5165\u8925\u8F6F\u962E\u854A\u745E\u9510\u95F0\u6DA6\u82E5\u5F31\u6492\u6D12\u8428\u816E\u9CC3\u585E\u8D5B\u4E09\u53C1"],
      ["c940", "\u847D", 4, "\u8483\u8484\u8485\u8486\u848A\u848D\u848F", 7, "\u8498\u849A\u849B\u849D\u849E\u849F\u84A0\u84A2", 12, "\u84B0\u84B1\u84B3\u84B5\u84B6\u84B7\u84BB\u84BC\u84BE\u84C0\u84C2\u84C3\u84C5\u84C6\u84C7\u84C8\u84CB\u84CC\u84CE\u84CF\u84D2\u84D4\u84D5\u84D7"],
      ["c980", "\u84D8", 4, "\u84DE\u84E1\u84E2\u84E4\u84E7", 4, "\u84ED\u84EE\u84EF\u84F1", 10, "\u84FD\u84FE\u8500\u8501\u8502\u4F1E\u6563\u6851\u55D3\u4E27\u6414\u9A9A\u626B\u5AC2\u745F\u8272\u6DA9\u68EE\u50E7\u838E\u7802\u6740\u5239\u6C99\u7EB1\u50BB\u5565\u715E\u7B5B\u6652\u73CA\u82EB\u6749\u5C71\u5220\u717D\u886B\u95EA\u9655\u64C5\u8D61\u81B3\u5584\u6C55\u6247\u7F2E\u5892\u4F24\u5546\u8D4F\u664C\u4E0A\u5C1A\u88F3\u68A2\u634E\u7A0D\u70E7\u828D\u52FA\u97F6\u5C11\u54E8\u90B5\u7ECD\u5962\u8D4A\u86C7\u820C\u820D\u8D66\u6444\u5C04\u6151\u6D89\u793E\u8BBE\u7837\u7533\u547B\u4F38\u8EAB\u6DF1\u5A20\u7EC5\u795E\u6C88\u5BA1\u5A76\u751A\u80BE\u614E\u6E17\u58F0\u751F\u7525\u7272\u5347\u7EF3"],
      ["ca40", "\u8503", 8, "\u850D\u850E\u850F\u8510\u8512\u8514\u8515\u8516\u8518\u8519\u851B\u851C\u851D\u851E\u8520\u8522", 8, "\u852D", 9, "\u853E", 4, "\u8544\u8545\u8546\u8547\u854B", 10],
      ["ca80", "\u8557\u8558\u855A\u855B\u855C\u855D\u855F", 4, "\u8565\u8566\u8567\u8569", 8, "\u8573\u8575\u8576\u8577\u8578\u857C\u857D\u857F\u8580\u8581\u7701\u76DB\u5269\u80DC\u5723\u5E08\u5931\u72EE\u65BD\u6E7F\u8BD7\u5C38\u8671\u5341\u77F3\u62FE\u65F6\u4EC0\u98DF\u8680\u5B9E\u8BC6\u53F2\u77E2\u4F7F\u5C4E\u9A76\u59CB\u5F0F\u793A\u58EB\u4E16\u67FF\u4E8B\u62ED\u8A93\u901D\u52BF\u662F\u55DC\u566C\u9002\u4ED5\u4F8D\u91CA\u9970\u6C0F\u5E02\u6043\u5BA4\u89C6\u8BD5\u6536\u624B\u9996\u5B88\u5BFF\u6388\u552E\u53D7\u7626\u517D\u852C\u67A2\u68B3\u6B8A\u6292\u8F93\u53D4\u8212\u6DD1\u758F\u4E66\u8D4E\u5B70\u719F\u85AF\u6691\u66D9\u7F72\u8700\u9ECD\u9F20\u5C5E\u672F\u8FF0\u6811\u675F\u620D\u7AD6\u5885\u5EB6\u6570\u6F31"],
      ["cb40", "\u8582\u8583\u8586\u8588", 6, "\u8590", 10, "\u859D", 6, "\u85A5\u85A6\u85A7\u85A9\u85AB\u85AC\u85AD\u85B1", 5, "\u85B8\u85BA", 6, "\u85C2", 6, "\u85CA", 4, "\u85D1\u85D2"],
      ["cb80", "\u85D4\u85D6", 5, "\u85DD", 6, "\u85E5\u85E6\u85E7\u85E8\u85EA", 14, "\u6055\u5237\u800D\u6454\u8870\u7529\u5E05\u6813\u62F4\u971C\u53CC\u723D\u8C01\u6C34\u7761\u7A0E\u542E\u77AC\u987A\u821C\u8BF4\u7855\u6714\u70C1\u65AF\u6495\u5636\u601D\u79C1\u53F8\u4E1D\u6B7B\u8086\u5BFA\u55E3\u56DB\u4F3A\u4F3C\u9972\u5DF3\u677E\u8038\u6002\u9882\u9001\u5B8B\u8BBC\u8BF5\u641C\u8258\u64DE\u55FD\u82CF\u9165\u4FD7\u7D20\u901F\u7C9F\u50F3\u5851\u6EAF\u5BBF\u8BC9\u8083\u9178\u849C\u7B97\u867D\u968B\u968F\u7EE5\u9AD3\u788E\u5C81\u7A57\u9042\u96A7\u795F\u5B59\u635F\u7B0B\u84D1\u68AD\u5506\u7F29\u7410\u7D22\u9501\u6240\u584C\u4ED6\u5B83\u5979\u5854"],
      ["cc40", "\u85F9\u85FA\u85FC\u85FD\u85FE\u8600", 4, "\u8606", 10, "\u8612\u8613\u8614\u8615\u8617", 15, "\u8628\u862A", 13, "\u8639\u863A\u863B\u863D\u863E\u863F\u8640"],
      ["cc80", "\u8641", 11, "\u8652\u8653\u8655", 4, "\u865B\u865C\u865D\u865F\u8660\u8661\u8663", 7, "\u736D\u631E\u8E4B\u8E0F\u80CE\u82D4\u62AC\u53F0\u6CF0\u915E\u592A\u6001\u6C70\u574D\u644A\u8D2A\u762B\u6EE9\u575B\u6A80\u75F0\u6F6D\u8C2D\u8C08\u5766\u6BEF\u8892\u78B3\u63A2\u53F9\u70AD\u6C64\u5858\u642A\u5802\u68E0\u819B\u5510\u7CD6\u5018\u8EBA\u6DCC\u8D9F\u70EB\u638F\u6D9B\u6ED4\u7EE6\u8404\u6843\u9003\u6DD8\u9676\u8BA8\u5957\u7279\u85E4\u817E\u75BC\u8A8A\u68AF\u5254\u8E22\u9511\u63D0\u9898\u8E44\u557C\u4F53\u66FF\u568F\u60D5\u6D95\u5243\u5C49\u5929\u6DFB\u586B\u7530\u751C\u606C\u8214\u8146\u6311\u6761\u8FE2\u773A\u8DF3\u8D34\u94C1\u5E16\u5385\u542C\u70C3"],
      ["cd40", "\u866D\u866F\u8670\u8672", 6, "\u8683", 6, "\u868E", 4, "\u8694\u8696", 5, "\u869E", 4, "\u86A5\u86A6\u86AB\u86AD\u86AE\u86B2\u86B3\u86B7\u86B8\u86B9\u86BB", 4, "\u86C1\u86C2\u86C3\u86C5\u86C8\u86CC\u86CD\u86D2\u86D3\u86D5\u86D6\u86D7\u86DA\u86DC"],
      ["cd80", "\u86DD\u86E0\u86E1\u86E2\u86E3\u86E5\u86E6\u86E7\u86E8\u86EA\u86EB\u86EC\u86EF\u86F5\u86F6\u86F7\u86FA\u86FB\u86FC\u86FD\u86FF\u8701\u8704\u8705\u8706\u870B\u870C\u870E\u870F\u8710\u8711\u8714\u8716\u6C40\u5EF7\u505C\u4EAD\u5EAD\u633A\u8247\u901A\u6850\u916E\u77B3\u540C\u94DC\u5F64\u7AE5\u6876\u6345\u7B52\u7EDF\u75DB\u5077\u6295\u5934\u900F\u51F8\u79C3\u7A81\u56FE\u5F92\u9014\u6D82\u5C60\u571F\u5410\u5154\u6E4D\u56E2\u63A8\u9893\u817F\u8715\u892A\u9000\u541E\u5C6F\u81C0\u62D6\u6258\u8131\u9E35\u9640\u9A6E\u9A7C\u692D\u59A5\u62D3\u553E\u6316\u54C7\u86D9\u6D3C\u5A03\u74E6\u889C\u6B6A\u5916\u8C4C\u5F2F\u6E7E\u73A9\u987D\u4E38\u70F7\u5B8C\u7897\u633D\u665A\u7696\u60CB\u5B9B\u5A49\u4E07\u8155\u6C6A\u738B\u4EA1\u6789\u7F51\u5F80\u65FA\u671B\u5FD8\u5984\u5A01"],
      ["ce40", "\u8719\u871B\u871D\u871F\u8720\u8724\u8726\u8727\u8728\u872A\u872B\u872C\u872D\u872F\u8730\u8732\u8733\u8735\u8736\u8738\u8739\u873A\u873C\u873D\u8740", 6, "\u874A\u874B\u874D\u874F\u8750\u8751\u8752\u8754\u8755\u8756\u8758\u875A", 5, "\u8761\u8762\u8766", 7, "\u876F\u8771\u8772\u8773\u8775"],
      ["ce80", "\u8777\u8778\u8779\u877A\u877F\u8780\u8781\u8784\u8786\u8787\u8789\u878A\u878C\u878E", 4, "\u8794\u8795\u8796\u8798", 6, "\u87A0", 4, "\u5DCD\u5FAE\u5371\u97E6\u8FDD\u6845\u56F4\u552F\u60DF\u4E3A\u6F4D\u7EF4\u82C7\u840E\u59D4\u4F1F\u4F2A\u5C3E\u7EAC\u672A\u851A\u5473\u754F\u80C3\u5582\u9B4F\u4F4D\u6E2D\u8C13\u5C09\u6170\u536B\u761F\u6E29\u868A\u6587\u95FB\u7EB9\u543B\u7A33\u7D0A\u95EE\u55E1\u7FC1\u74EE\u631D\u8717\u6DA1\u7A9D\u6211\u65A1\u5367\u63E1\u6C83\u5DEB\u545C\u94A8\u4E4C\u6C61\u8BEC\u5C4B\u65E0\u829C\u68A7\u543E\u5434\u6BCB\u6B66\u4E94\u6342\u5348\u821E\u4F0D\u4FAE\u575E\u620A\u96FE\u6664\u7269\u52FF\u52A1\u609F\u8BEF\u6614\u7199\u6790\u897F\u7852\u77FD\u6670\u563B\u5438\u9521\u727A"],
      ["cf40", "\u87A5\u87A6\u87A7\u87A9\u87AA\u87AE\u87B0\u87B1\u87B2\u87B4\u87B6\u87B7\u87B8\u87B9\u87BB\u87BC\u87BE\u87BF\u87C1", 4, "\u87C7\u87C8\u87C9\u87CC", 4, "\u87D4", 6, "\u87DC\u87DD\u87DE\u87DF\u87E1\u87E2\u87E3\u87E4\u87E6\u87E7\u87E8\u87E9\u87EB\u87EC\u87ED\u87EF", 9],
      ["cf80", "\u87FA\u87FB\u87FC\u87FD\u87FF\u8800\u8801\u8802\u8804", 5, "\u880B", 7, "\u8814\u8817\u8818\u8819\u881A\u881C", 4, "\u8823\u7A00\u606F\u5E0C\u6089\u819D\u5915\u60DC\u7184\u70EF\u6EAA\u6C50\u7280\u6A84\u88AD\u5E2D\u4E60\u5AB3\u559C\u94E3\u6D17\u7CFB\u9699\u620F\u7EC6\u778E\u867E\u5323\u971E\u8F96\u6687\u5CE1\u4FA0\u72ED\u4E0B\u53A6\u590F\u5413\u6380\u9528\u5148\u4ED9\u9C9C\u7EA4\u54B8\u8D24\u8854\u8237\u95F2\u6D8E\u5F26\u5ACC\u663E\u9669\u73B0\u732E\u53BF\u817A\u9985\u7FA1\u5BAA\u9677\u9650\u7EBF\u76F8\u53A2\u9576\u9999\u7BB1\u8944\u6E58\u4E61\u7FD4\u7965\u8BE6\u60F3\u54CD\u4EAB\u9879\u5DF7\u6A61\u50CF\u5411\u8C61\u8427\u785D\u9704\u524A\u54EE\u56A3\u9500\u6D88\u5BB5\u6DC6\u6653"],
      ["d040", "\u8824", 13, "\u8833", 5, "\u883A\u883B\u883D\u883E\u883F\u8841\u8842\u8843\u8846", 5, "\u884E", 5, "\u8855\u8856\u8858\u885A", 6, "\u8866\u8867\u886A\u886D\u886F\u8871\u8873\u8874\u8875\u8876\u8878\u8879\u887A"],
      ["d080", "\u887B\u887C\u8880\u8883\u8886\u8887\u8889\u888A\u888C\u888E\u888F\u8890\u8891\u8893\u8894\u8895\u8897", 4, "\u889D", 4, "\u88A3\u88A5", 5, "\u5C0F\u5B5D\u6821\u8096\u5578\u7B11\u6548\u6954\u4E9B\u6B47\u874E\u978B\u534F\u631F\u643A\u90AA\u659C\u80C1\u8C10\u5199\u68B0\u5378\u87F9\u61C8\u6CC4\u6CFB\u8C22\u5C51\u85AA\u82AF\u950C\u6B23\u8F9B\u65B0\u5FFB\u5FC3\u4FE1\u8845\u661F\u8165\u7329\u60FA\u5174\u5211\u578B\u5F62\u90A2\u884C\u9192\u5E78\u674F\u6027\u59D3\u5144\u51F6\u80F8\u5308\u6C79\u96C4\u718A\u4F11\u4FEE\u7F9E\u673D\u55C5\u9508\u79C0\u8896\u7EE3\u589F\u620C\u9700\u865A\u5618\u987B\u5F90\u8BB8\u84C4\u9157\u53D9\u65ED\u5E8F\u755C\u6064\u7D6E\u5A7F\u7EEA\u7EED\u8F69\u55A7\u5BA3\u60AC\u65CB\u7384"],
      ["d140", "\u88AC\u88AE\u88AF\u88B0\u88B2", 4, "\u88B8\u88B9\u88BA\u88BB\u88BD\u88BE\u88BF\u88C0\u88C3\u88C4\u88C7\u88C8\u88CA\u88CB\u88CC\u88CD\u88CF\u88D0\u88D1\u88D3\u88D6\u88D7\u88DA", 4, "\u88E0\u88E1\u88E6\u88E7\u88E9", 6, "\u88F2\u88F5\u88F6\u88F7\u88FA\u88FB\u88FD\u88FF\u8900\u8901\u8903", 5],
      ["d180", "\u8909\u890B", 4, "\u8911\u8914", 4, "\u891C", 4, "\u8922\u8923\u8924\u8926\u8927\u8928\u8929\u892C\u892D\u892E\u892F\u8931\u8932\u8933\u8935\u8937\u9009\u7663\u7729\u7EDA\u9774\u859B\u5B66\u7A74\u96EA\u8840\u52CB\u718F\u5FAA\u65EC\u8BE2\u5BFB\u9A6F\u5DE1\u6B89\u6C5B\u8BAD\u8BAF\u900A\u8FC5\u538B\u62BC\u9E26\u9E2D\u5440\u4E2B\u82BD\u7259\u869C\u5D16\u8859\u6DAF\u96C5\u54D1\u4E9A\u8BB6\u7109\u54BD\u9609\u70DF\u6DF9\u76D0\u4E25\u7814\u8712\u5CA9\u5EF6\u8A00\u989C\u960E\u708E\u6CBF\u5944\u63A9\u773C\u884D\u6F14\u8273\u5830\u71D5\u538C\u781A\u96C1\u5501\u5F66\u7130\u5BB4\u8C1A\u9A8C\u6B83\u592E\u9E2F\u79E7\u6768\u626C\u4F6F\u75A1\u7F8A\u6D0B\u9633\u6C27\u4EF0\u75D2\u517B\u6837\u6F3E\u9080\u8170\u5996\u7476"],
      ["d240", "\u8938", 8, "\u8942\u8943\u8945", 24, "\u8960", 5, "\u8967", 19, "\u897C"],
      ["d280", "\u897D\u897E\u8980\u8982\u8984\u8985\u8987", 26, "\u6447\u5C27\u9065\u7A91\u8C23\u59DA\u54AC\u8200\u836F\u8981\u8000\u6930\u564E\u8036\u7237\u91CE\u51B6\u4E5F\u9875\u6396\u4E1A\u53F6\u66F3\u814B\u591C\u6DB2\u4E00\u58F9\u533B\u63D6\u94F1\u4F9D\u4F0A\u8863\u9890\u5937\u9057\u79FB\u4EEA\u80F0\u7591\u6C82\u5B9C\u59E8\u5F5D\u6905\u8681\u501A\u5DF2\u4E59\u77E3\u4EE5\u827A\u6291\u6613\u9091\u5C79\u4EBF\u5F79\u81C6\u9038\u8084\u75AB\u4EA6\u88D4\u610F\u6BC5\u5FC6\u4E49\u76CA\u6EA2\u8BE3\u8BAE\u8C0A\u8BD1\u5F02\u7FFC\u7FCC\u7ECE\u8335\u836B\u56E0\u6BB7\u97F3\u9634\u59FB\u541F\u94F6\u6DEB\u5BC5\u996E\u5C39\u5F15\u9690"],
      ["d340", "\u89A2", 30, "\u89C3\u89CD\u89D3\u89D4\u89D5\u89D7\u89D8\u89D9\u89DB\u89DD\u89DF\u89E0\u89E1\u89E2\u89E4\u89E7\u89E8\u89E9\u89EA\u89EC\u89ED\u89EE\u89F0\u89F1\u89F2\u89F4", 6],
      ["d380", "\u89FB", 4, "\u8A01", 5, "\u8A08", 21, "\u5370\u82F1\u6A31\u5A74\u9E70\u5E94\u7F28\u83B9\u8424\u8425\u8367\u8747\u8FCE\u8D62\u76C8\u5F71\u9896\u786C\u6620\u54DF\u62E5\u4F63\u81C3\u75C8\u5EB8\u96CD\u8E0A\u86F9\u548F\u6CF3\u6D8C\u6C38\u607F\u52C7\u7528\u5E7D\u4F18\u60A0\u5FE7\u5C24\u7531\u90AE\u94C0\u72B9\u6CB9\u6E38\u9149\u6709\u53CB\u53F3\u4F51\u91C9\u8BF1\u53C8\u5E7C\u8FC2\u6DE4\u4E8E\u76C2\u6986\u865E\u611A\u8206\u4F59\u4FDE\u903E\u9C7C\u6109\u6E1D\u6E14\u9685\u4E88\u5A31\u96E8\u4E0E\u5C7F\u79B9\u5B87\u8BED\u7FBD\u7389\u57DF\u828B\u90C1\u5401\u9047\u55BB\u5CEA\u5FA1\u6108\u6B32\u72F1\u80B2\u8A89"],
      ["d440", "\u8A1E", 31, "\u8A3F", 8, "\u8A49", 21],
      ["d480", "\u8A5F", 25, "\u8A7A", 6, "\u6D74\u5BD3\u88D5\u9884\u8C6B\u9A6D\u9E33\u6E0A\u51A4\u5143\u57A3\u8881\u539F\u63F4\u8F95\u56ED\u5458\u5706\u733F\u6E90\u7F18\u8FDC\u82D1\u613F\u6028\u9662\u66F0\u7EA6\u8D8A\u8DC3\u94A5\u5CB3\u7CA4\u6708\u60A6\u9605\u8018\u4E91\u90E7\u5300\u9668\u5141\u8FD0\u8574\u915D\u6655\u97F5\u5B55\u531D\u7838\u6742\u683D\u54C9\u707E\u5BB0\u8F7D\u518D\u5728\u54B1\u6512\u6682\u8D5E\u8D43\u810F\u846C\u906D\u7CDF\u51FF\u85FB\u67A3\u65E9\u6FA1\u86A4\u8E81\u566A\u9020\u7682\u7076\u71E5\u8D23\u62E9\u5219\u6CFD\u8D3C\u600E\u589E\u618E\u66FE\u8D60\u624E\u55B3\u6E23\u672D\u8F67"],
      ["d540", "\u8A81", 7, "\u8A8B", 7, "\u8A94", 46],
      ["d580", "\u8AC3", 32, "\u94E1\u95F8\u7728\u6805\u69A8\u548B\u4E4D\u70B8\u8BC8\u6458\u658B\u5B85\u7A84\u503A\u5BE8\u77BB\u6BE1\u8A79\u7C98\u6CBE\u76CF\u65A9\u8F97\u5D2D\u5C55\u8638\u6808\u5360\u6218\u7AD9\u6E5B\u7EFD\u6A1F\u7AE0\u5F70\u6F33\u5F20\u638C\u6DA8\u6756\u4E08\u5E10\u8D26\u4ED7\u80C0\u7634\u969C\u62DB\u662D\u627E\u6CBC\u8D75\u7167\u7F69\u5146\u8087\u53EC\u906E\u6298\u54F2\u86F0\u8F99\u8005\u9517\u8517\u8FD9\u6D59\u73CD\u659F\u771F\u7504\u7827\u81FB\u8D1E\u9488\u4FA6\u6795\u75B9\u8BCA\u9707\u632F\u9547\u9635\u84B8\u6323\u7741\u5F81\u72F0\u4E89\u6014\u6574\u62EF\u6B63\u653F"],
      ["d640", "\u8AE4", 34, "\u8B08", 27],
      ["d680", "\u8B24\u8B25\u8B27", 30, "\u5E27\u75C7\u90D1\u8BC1\u829D\u679D\u652F\u5431\u8718\u77E5\u80A2\u8102\u6C41\u4E4B\u7EC7\u804C\u76F4\u690D\u6B96\u6267\u503C\u4F84\u5740\u6307\u6B62\u8DBE\u53EA\u65E8\u7EB8\u5FD7\u631A\u63B7\u81F3\u81F4\u7F6E\u5E1C\u5CD9\u5236\u667A\u79E9\u7A1A\u8D28\u7099\u75D4\u6EDE\u6CBB\u7A92\u4E2D\u76C5\u5FE0\u949F\u8877\u7EC8\u79CD\u80BF\u91CD\u4EF2\u4F17\u821F\u5468\u5DDE\u6D32\u8BCC\u7CA5\u8F74\u8098\u5E1A\u5492\u76B1\u5B99\u663C\u9AA4\u73E0\u682A\u86DB\u6731\u732A\u8BF8\u8BDB\u9010\u7AF9\u70DB\u716E\u62C4\u77A9\u5631\u4E3B\u8457\u67F1\u52A9\u86C0\u8D2E\u94F8\u7B51"],
      ["d740", "\u8B46", 31, "\u8B67", 4, "\u8B6D", 25],
      ["d780", "\u8B87", 24, "\u8BAC\u8BB1\u8BBB\u8BC7\u8BD0\u8BEA\u8C09\u8C1E\u4F4F\u6CE8\u795D\u9A7B\u6293\u722A\u62FD\u4E13\u7816\u8F6C\u64B0\u8D5A\u7BC6\u6869\u5E84\u88C5\u5986\u649E\u58EE\u72B6\u690E\u9525\u8FFD\u8D58\u5760\u7F00\u8C06\u51C6\u6349\u62D9\u5353\u684C\u7422\u8301\u914C\u5544\u7740\u707C\u6D4A\u5179\u54A8\u8D44\u59FF\u6ECB\u6DC4\u5B5C\u7D2B\u4ED4\u7C7D\u6ED3\u5B50\u81EA\u6E0D\u5B57\u9B03\u68D5\u8E2A\u5B97\u7EFC\u603B\u7EB5\u90B9\u8D70\u594F\u63CD\u79DF\u8DB3\u5352\u65CF\u7956\u8BC5\u963B\u7EC4\u94BB\u7E82\u5634\u9189\u6700\u7F6A\u5C0A\u9075\u6628\u5DE6\u4F50\u67DE\u505A\u4F5C\u5750\u5EA7"],
      ["d840", "\u8C38", 8, "\u8C42\u8C43\u8C44\u8C45\u8C48\u8C4A\u8C4B\u8C4D", 7, "\u8C56\u8C57\u8C58\u8C59\u8C5B", 5, "\u8C63", 6, "\u8C6C", 6, "\u8C74\u8C75\u8C76\u8C77\u8C7B", 6, "\u8C83\u8C84\u8C86\u8C87"],
      ["d880", "\u8C88\u8C8B\u8C8D", 6, "\u8C95\u8C96\u8C97\u8C99", 20, "\u4E8D\u4E0C\u5140\u4E10\u5EFF\u5345\u4E15\u4E98\u4E1E\u9B32\u5B6C\u5669\u4E28\u79BA\u4E3F\u5315\u4E47\u592D\u723B\u536E\u6C10\u56DF\u80E4\u9997\u6BD3\u777E\u9F17\u4E36\u4E9F\u9F10\u4E5C\u4E69\u4E93\u8288\u5B5B\u556C\u560F\u4EC4\u538D\u539D\u53A3\u53A5\u53AE\u9765\u8D5D\u531A\u53F5\u5326\u532E\u533E\u8D5C\u5366\u5363\u5202\u5208\u520E\u522D\u5233\u523F\u5240\u524C\u525E\u5261\u525C\u84AF\u527D\u5282\u5281\u5290\u5293\u5182\u7F54\u4EBB\u4EC3\u4EC9\u4EC2\u4EE8\u4EE1\u4EEB\u4EDE\u4F1B\u4EF3\u4F22\u4F64\u4EF5\u4F25\u4F27\u4F09\u4F2B\u4F5E\u4F67\u6538\u4F5A\u4F5D"],
      ["d940", "\u8CAE", 62],
      ["d980", "\u8CED", 32, "\u4F5F\u4F57\u4F32\u4F3D\u4F76\u4F74\u4F91\u4F89\u4F83\u4F8F\u4F7E\u4F7B\u4FAA\u4F7C\u4FAC\u4F94\u4FE6\u4FE8\u4FEA\u4FC5\u4FDA\u4FE3\u4FDC\u4FD1\u4FDF\u4FF8\u5029\u504C\u4FF3\u502C\u500F\u502E\u502D\u4FFE\u501C\u500C\u5025\u5028\u507E\u5043\u5055\u5048\u504E\u506C\u507B\u50A5\u50A7\u50A9\u50BA\u50D6\u5106\u50ED\u50EC\u50E6\u50EE\u5107\u510B\u4EDD\u6C3D\u4F58\u4F65\u4FCE\u9FA0\u6C46\u7C74\u516E\u5DFD\u9EC9\u9998\u5181\u5914\u52F9\u530D\u8A07\u5310\u51EB\u5919\u5155\u4EA0\u5156\u4EB3\u886E\u88A4\u4EB5\u8114\u88D2\u7980\u5B34\u8803\u7FB8\u51AB\u51B1\u51BD\u51BC"],
      ["da40", "\u8D0E", 14, "\u8D20\u8D51\u8D52\u8D57\u8D5F\u8D65\u8D68\u8D69\u8D6A\u8D6C\u8D6E\u8D6F\u8D71\u8D72\u8D78", 8, "\u8D82\u8D83\u8D86\u8D87\u8D88\u8D89\u8D8C", 4, "\u8D92\u8D93\u8D95", 9, "\u8DA0\u8DA1"],
      ["da80", "\u8DA2\u8DA4", 12, "\u8DB2\u8DB6\u8DB7\u8DB9\u8DBB\u8DBD\u8DC0\u8DC1\u8DC2\u8DC5\u8DC7\u8DC8\u8DC9\u8DCA\u8DCD\u8DD0\u8DD2\u8DD3\u8DD4\u51C7\u5196\u51A2\u51A5\u8BA0\u8BA6\u8BA7\u8BAA\u8BB4\u8BB5\u8BB7\u8BC2\u8BC3\u8BCB\u8BCF\u8BCE\u8BD2\u8BD3\u8BD4\u8BD6\u8BD8\u8BD9\u8BDC\u8BDF\u8BE0\u8BE4\u8BE8\u8BE9\u8BEE\u8BF0\u8BF3\u8BF6\u8BF9\u8BFC\u8BFF\u8C00\u8C02\u8C04\u8C07\u8C0C\u8C0F\u8C11\u8C12\u8C14\u8C15\u8C16\u8C19\u8C1B\u8C18\u8C1D\u8C1F\u8C20\u8C21\u8C25\u8C27\u8C2A\u8C2B\u8C2E\u8C2F\u8C32\u8C33\u8C35\u8C36\u5369\u537A\u961D\u9622\u9621\u9631\u962A\u963D\u963C\u9642\u9649\u9654\u965F\u9667\u966C\u9672\u9674\u9688\u968D\u9697\u96B0\u9097\u909B\u909D\u9099\u90AC\u90A1\u90B4\u90B3\u90B6\u90BA"],
      ["db40", "\u8DD5\u8DD8\u8DD9\u8DDC\u8DE0\u8DE1\u8DE2\u8DE5\u8DE6\u8DE7\u8DE9\u8DED\u8DEE\u8DF0\u8DF1\u8DF2\u8DF4\u8DF6\u8DFC\u8DFE", 6, "\u8E06\u8E07\u8E08\u8E0B\u8E0D\u8E0E\u8E10\u8E11\u8E12\u8E13\u8E15", 7, "\u8E20\u8E21\u8E24", 4, "\u8E2B\u8E2D\u8E30\u8E32\u8E33\u8E34\u8E36\u8E37\u8E38\u8E3B\u8E3C\u8E3E"],
      ["db80", "\u8E3F\u8E43\u8E45\u8E46\u8E4C", 4, "\u8E53", 5, "\u8E5A", 11, "\u8E67\u8E68\u8E6A\u8E6B\u8E6E\u8E71\u90B8\u90B0\u90CF\u90C5\u90BE\u90D0\u90C4\u90C7\u90D3\u90E6\u90E2\u90DC\u90D7\u90DB\u90EB\u90EF\u90FE\u9104\u9122\u911E\u9123\u9131\u912F\u9139\u9143\u9146\u520D\u5942\u52A2\u52AC\u52AD\u52BE\u54FF\u52D0\u52D6\u52F0\u53DF\u71EE\u77CD\u5EF4\u51F5\u51FC\u9B2F\u53B6\u5F01\u755A\u5DEF\u574C\u57A9\u57A1\u587E\u58BC\u58C5\u58D1\u5729\u572C\u572A\u5733\u5739\u572E\u572F\u575C\u573B\u5742\u5769\u5785\u576B\u5786\u577C\u577B\u5768\u576D\u5776\u5773\u57AD\u57A4\u578C\u57B2\u57CF\u57A7\u57B4\u5793\u57A0\u57D5\u57D8\u57DA\u57D9\u57D2\u57B8\u57F4\u57EF\u57F8\u57E4\u57DD"],
      ["dc40", "\u8E73\u8E75\u8E77", 4, "\u8E7D\u8E7E\u8E80\u8E82\u8E83\u8E84\u8E86\u8E88", 6, "\u8E91\u8E92\u8E93\u8E95", 6, "\u8E9D\u8E9F", 11, "\u8EAD\u8EAE\u8EB0\u8EB1\u8EB3", 6, "\u8EBB", 7],
      ["dc80", "\u8EC3", 10, "\u8ECF", 21, "\u580B\u580D\u57FD\u57ED\u5800\u581E\u5819\u5844\u5820\u5865\u586C\u5881\u5889\u589A\u5880\u99A8\u9F19\u61FF\u8279\u827D\u827F\u828F\u828A\u82A8\u8284\u828E\u8291\u8297\u8299\u82AB\u82B8\u82BE\u82B0\u82C8\u82CA\u82E3\u8298\u82B7\u82AE\u82CB\u82CC\u82C1\u82A9\u82B4\u82A1\u82AA\u829F\u82C4\u82CE\u82A4\u82E1\u8309\u82F7\u82E4\u830F\u8307\u82DC\u82F4\u82D2\u82D8\u830C\u82FB\u82D3\u8311\u831A\u8306\u8314\u8315\u82E0\u82D5\u831C\u8351\u835B\u835C\u8308\u8392\u833C\u8334\u8331\u839B\u835E\u832F\u834F\u8347\u8343\u835F\u8340\u8317\u8360\u832D\u833A\u8333\u8366\u8365"],
      ["dd40", "\u8EE5", 62],
      ["dd80", "\u8F24", 32, "\u8368\u831B\u8369\u836C\u836A\u836D\u836E\u83B0\u8378\u83B3\u83B4\u83A0\u83AA\u8393\u839C\u8385\u837C\u83B6\u83A9\u837D\u83B8\u837B\u8398\u839E\u83A8\u83BA\u83BC\u83C1\u8401\u83E5\u83D8\u5807\u8418\u840B\u83DD\u83FD\u83D6\u841C\u8438\u8411\u8406\u83D4\u83DF\u840F\u8403\u83F8\u83F9\u83EA\u83C5\u83C0\u8426\u83F0\u83E1\u845C\u8451\u845A\u8459\u8473\u8487\u8488\u847A\u8489\u8478\u843C\u8446\u8469\u8476\u848C\u848E\u8431\u846D\u84C1\u84CD\u84D0\u84E6\u84BD\u84D3\u84CA\u84BF\u84BA\u84E0\u84A1\u84B9\u84B4\u8497\u84E5\u84E3\u850C\u750D\u8538\u84F0\u8539\u851F\u853A"],
      ["de40", "\u8F45", 32, "\u8F6A\u8F80\u8F8C\u8F92\u8F9D\u8FA0\u8FA1\u8FA2\u8FA4\u8FA5\u8FA6\u8FA7\u8FAA\u8FAC\u8FAD\u8FAE\u8FAF\u8FB2\u8FB3\u8FB4\u8FB5\u8FB7\u8FB8\u8FBA\u8FBB\u8FBC\u8FBF\u8FC0\u8FC3\u8FC6"],
      ["de80", "\u8FC9", 4, "\u8FCF\u8FD2\u8FD6\u8FD7\u8FDA\u8FE0\u8FE1\u8FE3\u8FE7\u8FEC\u8FEF\u8FF1\u8FF2\u8FF4\u8FF5\u8FF6\u8FFA\u8FFB\u8FFC\u8FFE\u8FFF\u9007\u9008\u900C\u900E\u9013\u9015\u9018\u8556\u853B\u84FF\u84FC\u8559\u8548\u8568\u8564\u855E\u857A\u77A2\u8543\u8572\u857B\u85A4\u85A8\u8587\u858F\u8579\u85AE\u859C\u8585\u85B9\u85B7\u85B0\u85D3\u85C1\u85DC\u85FF\u8627\u8605\u8629\u8616\u863C\u5EFE\u5F08\u593C\u5941\u8037\u5955\u595A\u5958\u530F\u5C22\u5C25\u5C2C\u5C34\u624C\u626A\u629F\u62BB\u62CA\u62DA\u62D7\u62EE\u6322\u62F6\u6339\u634B\u6343\u63AD\u63F6\u6371\u637A\u638E\u63B4\u636D\u63AC\u638A\u6369\u63AE\u63BC\u63F2\u63F8\u63E0\u63FF\u63C4\u63DE\u63CE\u6452\u63C6\u63BE\u6445\u6441\u640B\u641B\u6420\u640C\u6426\u6421\u645E\u6484\u646D\u6496"],
      ["df40", "\u9019\u901C\u9023\u9024\u9025\u9027", 5, "\u9030", 4, "\u9037\u9039\u903A\u903D\u903F\u9040\u9043\u9045\u9046\u9048", 4, "\u904E\u9054\u9055\u9056\u9059\u905A\u905C", 5, "\u9064\u9066\u9067\u9069\u906A\u906B\u906C\u906F", 4, "\u9076", 6, "\u907E\u9081"],
      ["df80", "\u9084\u9085\u9086\u9087\u9089\u908A\u908C", 4, "\u9092\u9094\u9096\u9098\u909A\u909C\u909E\u909F\u90A0\u90A4\u90A5\u90A7\u90A8\u90A9\u90AB\u90AD\u90B2\u90B7\u90BC\u90BD\u90BF\u90C0\u647A\u64B7\u64B8\u6499\u64BA\u64C0\u64D0\u64D7\u64E4\u64E2\u6509\u6525\u652E\u5F0B\u5FD2\u7519\u5F11\u535F\u53F1\u53FD\u53E9\u53E8\u53FB\u5412\u5416\u5406\u544B\u5452\u5453\u5454\u5456\u5443\u5421\u5457\u5459\u5423\u5432\u5482\u5494\u5477\u5471\u5464\u549A\u549B\u5484\u5476\u5466\u549D\u54D0\u54AD\u54C2\u54B4\u54D2\u54A7\u54A6\u54D3\u54D4\u5472\u54A3\u54D5\u54BB\u54BF\u54CC\u54D9\u54DA\u54DC\u54A9\u54AA\u54A4\u54DD\u54CF\u54DE\u551B\u54E7\u5520\u54FD\u5514\u54F3\u5522\u5523\u550F\u5511\u5527\u552A\u5567\u558F\u55B5\u5549\u556D\u5541\u5555\u553F\u5550\u553C"],
      ["e040", "\u90C2\u90C3\u90C6\u90C8\u90C9\u90CB\u90CC\u90CD\u90D2\u90D4\u90D5\u90D6\u90D8\u90D9\u90DA\u90DE\u90DF\u90E0\u90E3\u90E4\u90E5\u90E9\u90EA\u90EC\u90EE\u90F0\u90F1\u90F2\u90F3\u90F5\u90F6\u90F7\u90F9\u90FA\u90FB\u90FC\u90FF\u9100\u9101\u9103\u9105", 19, "\u911A\u911B\u911C"],
      ["e080", "\u911D\u911F\u9120\u9121\u9124", 10, "\u9130\u9132", 6, "\u913A", 8, "\u9144\u5537\u5556\u5575\u5576\u5577\u5533\u5530\u555C\u558B\u55D2\u5583\u55B1\u55B9\u5588\u5581\u559F\u557E\u55D6\u5591\u557B\u55DF\u55BD\u55BE\u5594\u5599\u55EA\u55F7\u55C9\u561F\u55D1\u55EB\u55EC\u55D4\u55E6\u55DD\u55C4\u55EF\u55E5\u55F2\u55F3\u55CC\u55CD\u55E8\u55F5\u55E4\u8F94\u561E\u5608\u560C\u5601\u5624\u5623\u55FE\u5600\u5627\u562D\u5658\u5639\u5657\u562C\u564D\u5662\u5659\u565C\u564C\u5654\u5686\u5664\u5671\u566B\u567B\u567C\u5685\u5693\u56AF\u56D4\u56D7\u56DD\u56E1\u56F5\u56EB\u56F9\u56FF\u5704\u570A\u5709\u571C\u5E0F\u5E19\u5E14\u5E11\u5E31\u5E3B\u5E3C"],
      ["e140", "\u9145\u9147\u9148\u9151\u9153\u9154\u9155\u9156\u9158\u9159\u915B\u915C\u915F\u9160\u9166\u9167\u9168\u916B\u916D\u9173\u917A\u917B\u917C\u9180", 4, "\u9186\u9188\u918A\u918E\u918F\u9193", 6, "\u919C", 5, "\u91A4", 5, "\u91AB\u91AC\u91B0\u91B1\u91B2\u91B3\u91B6\u91B7\u91B8\u91B9\u91BB"],
      ["e180", "\u91BC", 10, "\u91C8\u91CB\u91D0\u91D2", 9, "\u91DD", 8, "\u5E37\u5E44\u5E54\u5E5B\u5E5E\u5E61\u5C8C\u5C7A\u5C8D\u5C90\u5C96\u5C88\u5C98\u5C99\u5C91\u5C9A\u5C9C\u5CB5\u5CA2\u5CBD\u5CAC\u5CAB\u5CB1\u5CA3\u5CC1\u5CB7\u5CC4\u5CD2\u5CE4\u5CCB\u5CE5\u5D02\u5D03\u5D27\u5D26\u5D2E\u5D24\u5D1E\u5D06\u5D1B\u5D58\u5D3E\u5D34\u5D3D\u5D6C\u5D5B\u5D6F\u5D5D\u5D6B\u5D4B\u5D4A\u5D69\u5D74\u5D82\u5D99\u5D9D\u8C73\u5DB7\u5DC5\u5F73\u5F77\u5F82\u5F87\u5F89\u5F8C\u5F95\u5F99\u5F9C\u5FA8\u5FAD\u5FB5\u5FBC\u8862\u5F61\u72AD\u72B0\u72B4\u72B7\u72B8\u72C3\u72C1\u72CE\u72CD\u72D2\u72E8\u72EF\u72E9\u72F2\u72F4\u72F7\u7301\u72F3\u7303\u72FA"],
      ["e240", "\u91E6", 62],
      ["e280", "\u9225", 32, "\u72FB\u7317\u7313\u7321\u730A\u731E\u731D\u7315\u7322\u7339\u7325\u732C\u7338\u7331\u7350\u734D\u7357\u7360\u736C\u736F\u737E\u821B\u5925\u98E7\u5924\u5902\u9963\u9967", 5, "\u9974\u9977\u997D\u9980\u9984\u9987\u998A\u998D\u9990\u9991\u9993\u9994\u9995\u5E80\u5E91\u5E8B\u5E96\u5EA5\u5EA0\u5EB9\u5EB5\u5EBE\u5EB3\u8D53\u5ED2\u5ED1\u5EDB\u5EE8\u5EEA\u81BA\u5FC4\u5FC9\u5FD6\u5FCF\u6003\u5FEE\u6004\u5FE1\u5FE4\u5FFE\u6005\u6006\u5FEA\u5FED\u5FF8\u6019\u6035\u6026\u601B\u600F\u600D\u6029\u602B\u600A\u603F\u6021\u6078\u6079\u607B\u607A\u6042"],
      ["e340", "\u9246", 45, "\u9275", 16],
      ["e380", "\u9286", 7, "\u928F", 24, "\u606A\u607D\u6096\u609A\u60AD\u609D\u6083\u6092\u608C\u609B\u60EC\u60BB\u60B1\u60DD\u60D8\u60C6\u60DA\u60B4\u6120\u6126\u6115\u6123\u60F4\u6100\u610E\u612B\u614A\u6175\u61AC\u6194\u61A7\u61B7\u61D4\u61F5\u5FDD\u96B3\u95E9\u95EB\u95F1\u95F3\u95F5\u95F6\u95FC\u95FE\u9603\u9604\u9606\u9608\u960A\u960B\u960C\u960D\u960F\u9612\u9615\u9616\u9617\u9619\u961A\u4E2C\u723F\u6215\u6C35\u6C54\u6C5C\u6C4A\u6CA3\u6C85\u6C90\u6C94\u6C8C\u6C68\u6C69\u6C74\u6C76\u6C86\u6CA9\u6CD0\u6CD4\u6CAD\u6CF7\u6CF8\u6CF1\u6CD7\u6CB2\u6CE0\u6CD6\u6CFA\u6CEB\u6CEE\u6CB1\u6CD3\u6CEF\u6CFE"],
      ["e440", "\u92A8", 5, "\u92AF", 24, "\u92C9", 31],
      ["e480", "\u92E9", 32, "\u6D39\u6D27\u6D0C\u6D43\u6D48\u6D07\u6D04\u6D19\u6D0E\u6D2B\u6D4D\u6D2E\u6D35\u6D1A\u6D4F\u6D52\u6D54\u6D33\u6D91\u6D6F\u6D9E\u6DA0\u6D5E\u6D93\u6D94\u6D5C\u6D60\u6D7C\u6D63\u6E1A\u6DC7\u6DC5\u6DDE\u6E0E\u6DBF\u6DE0\u6E11\u6DE6\u6DDD\u6DD9\u6E16\u6DAB\u6E0C\u6DAE\u6E2B\u6E6E\u6E4E\u6E6B\u6EB2\u6E5F\u6E86\u6E53\u6E54\u6E32\u6E25\u6E44\u6EDF\u6EB1\u6E98\u6EE0\u6F2D\u6EE2\u6EA5\u6EA7\u6EBD\u6EBB\u6EB7\u6ED7\u6EB4\u6ECF\u6E8F\u6EC2\u6E9F\u6F62\u6F46\u6F47\u6F24\u6F15\u6EF9\u6F2F\u6F36\u6F4B\u6F74\u6F2A\u6F09\u6F29\u6F89\u6F8D\u6F8C\u6F78\u6F72\u6F7C\u6F7A\u6FD1"],
      ["e540", "\u930A", 51, "\u933F", 10],
      ["e580", "\u934A", 31, "\u936B\u6FC9\u6FA7\u6FB9\u6FB6\u6FC2\u6FE1\u6FEE\u6FDE\u6FE0\u6FEF\u701A\u7023\u701B\u7039\u7035\u704F\u705E\u5B80\u5B84\u5B95\u5B93\u5BA5\u5BB8\u752F\u9A9E\u6434\u5BE4\u5BEE\u8930\u5BF0\u8E47\u8B07\u8FB6\u8FD3\u8FD5\u8FE5\u8FEE\u8FE4\u8FE9\u8FE6\u8FF3\u8FE8\u9005\u9004\u900B\u9026\u9011\u900D\u9016\u9021\u9035\u9036\u902D\u902F\u9044\u9051\u9052\u9050\u9068\u9058\u9062\u905B\u66B9\u9074\u907D\u9082\u9088\u9083\u908B\u5F50\u5F57\u5F56\u5F58\u5C3B\u54AB\u5C50\u5C59\u5B71\u5C63\u5C66\u7FBC\u5F2A\u5F29\u5F2D\u8274\u5F3C\u9B3B\u5C6E\u5981\u5983\u598D\u59A9\u59AA\u59A3"],
      ["e640", "\u936C", 34, "\u9390", 27],
      ["e680", "\u93AC", 29, "\u93CB\u93CC\u93CD\u5997\u59CA\u59AB\u599E\u59A4\u59D2\u59B2\u59AF\u59D7\u59BE\u5A05\u5A06\u59DD\u5A08\u59E3\u59D8\u59F9\u5A0C\u5A09\u5A32\u5A34\u5A11\u5A23\u5A13\u5A40\u5A67\u5A4A\u5A55\u5A3C\u5A62\u5A75\u80EC\u5AAA\u5A9B\u5A77\u5A7A\u5ABE\u5AEB\u5AB2\u5AD2\u5AD4\u5AB8\u5AE0\u5AE3\u5AF1\u5AD6\u5AE6\u5AD8\u5ADC\u5B09\u5B17\u5B16\u5B32\u5B37\u5B40\u5C15\u5C1C\u5B5A\u5B65\u5B73\u5B51\u5B53\u5B62\u9A75\u9A77\u9A78\u9A7A\u9A7F\u9A7D\u9A80\u9A81\u9A85\u9A88\u9A8A\u9A90\u9A92\u9A93\u9A96\u9A98\u9A9B\u9A9C\u9A9D\u9A9F\u9AA0\u9AA2\u9AA3\u9AA5\u9AA7\u7E9F\u7EA1\u7EA3\u7EA5\u7EA8\u7EA9"],
      ["e740", "\u93CE", 7, "\u93D7", 54],
      ["e780", "\u940E", 32, "\u7EAD\u7EB0\u7EBE\u7EC0\u7EC1\u7EC2\u7EC9\u7ECB\u7ECC\u7ED0\u7ED4\u7ED7\u7EDB\u7EE0\u7EE1\u7EE8\u7EEB\u7EEE\u7EEF\u7EF1\u7EF2\u7F0D\u7EF6\u7EFA\u7EFB\u7EFE\u7F01\u7F02\u7F03\u7F07\u7F08\u7F0B\u7F0C\u7F0F\u7F11\u7F12\u7F17\u7F19\u7F1C\u7F1B\u7F1F\u7F21", 6, "\u7F2A\u7F2B\u7F2C\u7F2D\u7F2F", 4, "\u7F35\u5E7A\u757F\u5DDB\u753E\u9095\u738E\u7391\u73AE\u73A2\u739F\u73CF\u73C2\u73D1\u73B7\u73B3\u73C0\u73C9\u73C8\u73E5\u73D9\u987C\u740A\u73E9\u73E7\u73DE\u73BA\u73F2\u740F\u742A\u745B\u7426\u7425\u7428\u7430\u742E\u742C"],
      ["e840", "\u942F", 14, "\u943F", 43, "\u946C\u946D\u946E\u946F"],
      ["e880", "\u9470", 20, "\u9491\u9496\u9498\u94C7\u94CF\u94D3\u94D4\u94DA\u94E6\u94FB\u951C\u9520\u741B\u741A\u7441\u745C\u7457\u7455\u7459\u7477\u746D\u747E\u749C\u748E\u7480\u7481\u7487\u748B\u749E\u74A8\u74A9\u7490\u74A7\u74D2\u74BA\u97EA\u97EB\u97EC\u674C\u6753\u675E\u6748\u6769\u67A5\u6787\u676A\u6773\u6798\u67A7\u6775\u67A8\u679E\u67AD\u678B\u6777\u677C\u67F0\u6809\u67D8\u680A\u67E9\u67B0\u680C\u67D9\u67B5\u67DA\u67B3\u67DD\u6800\u67C3\u67B8\u67E2\u680E\u67C1\u67FD\u6832\u6833\u6860\u6861\u684E\u6862\u6844\u6864\u6883\u681D\u6855\u6866\u6841\u6867\u6840\u683E\u684A\u6849\u6829\u68B5\u688F\u6874\u6877\u6893\u686B\u68C2\u696E\u68FC\u691F\u6920\u68F9"],
      ["e940", "\u9527\u9533\u953D\u9543\u9548\u954B\u9555\u955A\u9560\u956E\u9574\u9575\u9577", 7, "\u9580", 42],
      ["e980", "\u95AB", 32, "\u6924\u68F0\u690B\u6901\u6957\u68E3\u6910\u6971\u6939\u6960\u6942\u695D\u6984\u696B\u6980\u6998\u6978\u6934\u69CC\u6987\u6988\u69CE\u6989\u6966\u6963\u6979\u699B\u69A7\u69BB\u69AB\u69AD\u69D4\u69B1\u69C1\u69CA\u69DF\u6995\u69E0\u698D\u69FF\u6A2F\u69ED\u6A17\u6A18\u6A65\u69F2\u6A44\u6A3E\u6AA0\u6A50\u6A5B\u6A35\u6A8E\u6A79\u6A3D\u6A28\u6A58\u6A7C\u6A91\u6A90\u6AA9\u6A97\u6AAB\u7337\u7352\u6B81\u6B82\u6B87\u6B84\u6B92\u6B93\u6B8D\u6B9A\u6B9B\u6BA1\u6BAA\u8F6B\u8F6D\u8F71\u8F72\u8F73\u8F75\u8F76\u8F78\u8F77\u8F79\u8F7A\u8F7C\u8F7E\u8F81\u8F82\u8F84\u8F87\u8F8B"],
      ["ea40", "\u95CC", 27, "\u95EC\u95FF\u9607\u9613\u9618\u961B\u961E\u9620\u9623", 6, "\u962B\u962C\u962D\u962F\u9630\u9637\u9638\u9639\u963A\u963E\u9641\u9643\u964A\u964E\u964F\u9651\u9652\u9653\u9656\u9657"],
      ["ea80", "\u9658\u9659\u965A\u965C\u965D\u965E\u9660\u9663\u9665\u9666\u966B\u966D", 4, "\u9673\u9678", 12, "\u9687\u9689\u968A\u8F8D\u8F8E\u8F8F\u8F98\u8F9A\u8ECE\u620B\u6217\u621B\u621F\u6222\u6221\u6225\u6224\u622C\u81E7\u74EF\u74F4\u74FF\u750F\u7511\u7513\u6534\u65EE\u65EF\u65F0\u660A\u6619\u6772\u6603\u6615\u6600\u7085\u66F7\u661D\u6634\u6631\u6636\u6635\u8006\u665F\u6654\u6641\u664F\u6656\u6661\u6657\u6677\u6684\u668C\u66A7\u669D\u66BE\u66DB\u66DC\u66E6\u66E9\u8D32\u8D33\u8D36\u8D3B\u8D3D\u8D40\u8D45\u8D46\u8D48\u8D49\u8D47\u8D4D\u8D55\u8D59\u89C7\u89CA\u89CB\u89CC\u89CE\u89CF\u89D0\u89D1\u726E\u729F\u725D\u7266\u726F\u727E\u727F\u7284\u728B\u728D\u728F\u7292\u6308\u6332\u63B0"],
      ["eb40", "\u968C\u968E\u9691\u9692\u9693\u9695\u9696\u969A\u969B\u969D", 9, "\u96A8", 7, "\u96B1\u96B2\u96B4\u96B5\u96B7\u96B8\u96BA\u96BB\u96BF\u96C2\u96C3\u96C8\u96CA\u96CB\u96D0\u96D1\u96D3\u96D4\u96D6", 9, "\u96E1", 6, "\u96EB"],
      ["eb80", "\u96EC\u96ED\u96EE\u96F0\u96F1\u96F2\u96F4\u96F5\u96F8\u96FA\u96FB\u96FC\u96FD\u96FF\u9702\u9703\u9705\u970A\u970B\u970C\u9710\u9711\u9712\u9714\u9715\u9717", 4, "\u971D\u971F\u9720\u643F\u64D8\u8004\u6BEA\u6BF3\u6BFD\u6BF5\u6BF9\u6C05\u6C07\u6C06\u6C0D\u6C15\u6C18\u6C19\u6C1A\u6C21\u6C29\u6C24\u6C2A\u6C32\u6535\u6555\u656B\u724D\u7252\u7256\u7230\u8662\u5216\u809F\u809C\u8093\u80BC\u670A\u80BD\u80B1\u80AB\u80AD\u80B4\u80B7\u80E7\u80E8\u80E9\u80EA\u80DB\u80C2\u80C4\u80D9\u80CD\u80D7\u6710\u80DD\u80EB\u80F1\u80F4\u80ED\u810D\u810E\u80F2\u80FC\u6715\u8112\u8C5A\u8136\u811E\u812C\u8118\u8132\u8148\u814C\u8153\u8174\u8159\u815A\u8171\u8160\u8169\u817C\u817D\u816D\u8167\u584D\u5AB5\u8188\u8182\u8191\u6ED5\u81A3\u81AA\u81CC\u6726\u81CA\u81BB"],
      ["ec40", "\u9721", 8, "\u972B\u972C\u972E\u972F\u9731\u9733", 4, "\u973A\u973B\u973C\u973D\u973F", 18, "\u9754\u9755\u9757\u9758\u975A\u975C\u975D\u975F\u9763\u9764\u9766\u9767\u9768\u976A", 7],
      ["ec80", "\u9772\u9775\u9777", 4, "\u977D", 7, "\u9786", 4, "\u978C\u978E\u978F\u9790\u9793\u9795\u9796\u9797\u9799", 4, "\u81C1\u81A6\u6B24\u6B37\u6B39\u6B43\u6B46\u6B59\u98D1\u98D2\u98D3\u98D5\u98D9\u98DA\u6BB3\u5F40\u6BC2\u89F3\u6590\u9F51\u6593\u65BC\u65C6\u65C4\u65C3\u65CC\u65CE\u65D2\u65D6\u7080\u709C\u7096\u709D\u70BB\u70C0\u70B7\u70AB\u70B1\u70E8\u70CA\u7110\u7113\u7116\u712F\u7131\u7173\u715C\u7168\u7145\u7172\u714A\u7178\u717A\u7198\u71B3\u71B5\u71A8\u71A0\u71E0\u71D4\u71E7\u71F9\u721D\u7228\u706C\u7118\u7166\u71B9\u623E\u623D\u6243\u6248\u6249\u793B\u7940\u7946\u7949\u795B\u795C\u7953\u795A\u7962\u7957\u7960\u796F\u7967\u797A\u7985\u798A\u799A\u79A7\u79B3\u5FD1\u5FD0"],
      ["ed40", "\u979E\u979F\u97A1\u97A2\u97A4", 6, "\u97AC\u97AE\u97B0\u97B1\u97B3\u97B5", 46],
      ["ed80", "\u97E4\u97E5\u97E8\u97EE", 4, "\u97F4\u97F7", 23, "\u603C\u605D\u605A\u6067\u6041\u6059\u6063\u60AB\u6106\u610D\u615D\u61A9\u619D\u61CB\u61D1\u6206\u8080\u807F\u6C93\u6CF6\u6DFC\u77F6\u77F8\u7800\u7809\u7817\u7818\u7811\u65AB\u782D\u781C\u781D\u7839\u783A\u783B\u781F\u783C\u7825\u782C\u7823\u7829\u784E\u786D\u7856\u7857\u7826\u7850\u7847\u784C\u786A\u789B\u7893\u789A\u7887\u789C\u78A1\u78A3\u78B2\u78B9\u78A5\u78D4\u78D9\u78C9\u78EC\u78F2\u7905\u78F4\u7913\u7924\u791E\u7934\u9F9B\u9EF9\u9EFB\u9EFC\u76F1\u7704\u770D\u76F9\u7707\u7708\u771A\u7722\u7719\u772D\u7726\u7735\u7738\u7750\u7751\u7747\u7743\u775A\u7768"],
      ["ee40", "\u980F", 62],
      ["ee80", "\u984E", 32, "\u7762\u7765\u777F\u778D\u777D\u7780\u778C\u7791\u779F\u77A0\u77B0\u77B5\u77BD\u753A\u7540\u754E\u754B\u7548\u755B\u7572\u7579\u7583\u7F58\u7F61\u7F5F\u8A48\u7F68\u7F74\u7F71\u7F79\u7F81\u7F7E\u76CD\u76E5\u8832\u9485\u9486\u9487\u948B\u948A\u948C\u948D\u948F\u9490\u9494\u9497\u9495\u949A\u949B\u949C\u94A3\u94A4\u94AB\u94AA\u94AD\u94AC\u94AF\u94B0\u94B2\u94B4\u94B6", 4, "\u94BC\u94BD\u94BF\u94C4\u94C8", 6, "\u94D0\u94D1\u94D2\u94D5\u94D6\u94D7\u94D9\u94D8\u94DB\u94DE\u94DF\u94E0\u94E2\u94E4\u94E5\u94E7\u94E8\u94EA"],
      ["ef40", "\u986F", 5, "\u988B\u988E\u9892\u9895\u9899\u98A3\u98A8", 37, "\u98CF\u98D0\u98D4\u98D6\u98D7\u98DB\u98DC\u98DD\u98E0", 4],
      ["ef80", "\u98E5\u98E6\u98E9", 30, "\u94E9\u94EB\u94EE\u94EF\u94F3\u94F4\u94F5\u94F7\u94F9\u94FC\u94FD\u94FF\u9503\u9502\u9506\u9507\u9509\u950A\u950D\u950E\u950F\u9512", 4, "\u9518\u951B\u951D\u951E\u951F\u9522\u952A\u952B\u9529\u952C\u9531\u9532\u9534\u9536\u9537\u9538\u953C\u953E\u953F\u9542\u9535\u9544\u9545\u9546\u9549\u954C\u954E\u954F\u9552\u9553\u9554\u9556\u9557\u9558\u9559\u955B\u955E\u955F\u955D\u9561\u9562\u9564", 8, "\u956F\u9571\u9572\u9573\u953A\u77E7\u77EC\u96C9\u79D5\u79ED\u79E3\u79EB\u7A06\u5D47\u7A03\u7A02\u7A1E\u7A14"],
      ["f040", "\u9908", 4, "\u990E\u990F\u9911", 28, "\u992F", 26],
      ["f080", "\u994A", 9, "\u9956", 12, "\u9964\u9966\u9973\u9978\u9979\u997B\u997E\u9982\u9983\u9989\u7A39\u7A37\u7A51\u9ECF\u99A5\u7A70\u7688\u768E\u7693\u7699\u76A4\u74DE\u74E0\u752C\u9E20\u9E22\u9E28", 4, "\u9E32\u9E31\u9E36\u9E38\u9E37\u9E39\u9E3A\u9E3E\u9E41\u9E42\u9E44\u9E46\u9E47\u9E48\u9E49\u9E4B\u9E4C\u9E4E\u9E51\u9E55\u9E57\u9E5A\u9E5B\u9E5C\u9E5E\u9E63\u9E66", 6, "\u9E71\u9E6D\u9E73\u7592\u7594\u7596\u75A0\u759D\u75AC\u75A3\u75B3\u75B4\u75B8\u75C4\u75B1\u75B0\u75C3\u75C2\u75D6\u75CD\u75E3\u75E8\u75E6\u75E4\u75EB\u75E7\u7603\u75F1\u75FC\u75FF\u7610\u7600\u7605\u760C\u7617\u760A\u7625\u7618\u7615\u7619"],
      ["f140", "\u998C\u998E\u999A", 10, "\u99A6\u99A7\u99A9", 47],
      ["f180", "\u99D9", 32, "\u761B\u763C\u7622\u7620\u7640\u762D\u7630\u763F\u7635\u7643\u763E\u7633\u764D\u765E\u7654\u765C\u7656\u766B\u766F\u7FCA\u7AE6\u7A78\u7A79\u7A80\u7A86\u7A88\u7A95\u7AA6\u7AA0\u7AAC\u7AA8\u7AAD\u7AB3\u8864\u8869\u8872\u887D\u887F\u8882\u88A2\u88C6\u88B7\u88BC\u88C9\u88E2\u88CE\u88E3\u88E5\u88F1\u891A\u88FC\u88E8\u88FE\u88F0\u8921\u8919\u8913\u891B\u890A\u8934\u892B\u8936\u8941\u8966\u897B\u758B\u80E5\u76B2\u76B4\u77DC\u8012\u8014\u8016\u801C\u8020\u8022\u8025\u8026\u8027\u8029\u8028\u8031\u800B\u8035\u8043\u8046\u804D\u8052\u8069\u8071\u8983\u9878\u9880\u9883"],
      ["f240", "\u99FA", 62],
      ["f280", "\u9A39", 32, "\u9889\u988C\u988D\u988F\u9894\u989A\u989B\u989E\u989F\u98A1\u98A2\u98A5\u98A6\u864D\u8654\u866C\u866E\u867F\u867A\u867C\u867B\u86A8\u868D\u868B\u86AC\u869D\u86A7\u86A3\u86AA\u8693\u86A9\u86B6\u86C4\u86B5\u86CE\u86B0\u86BA\u86B1\u86AF\u86C9\u86CF\u86B4\u86E9\u86F1\u86F2\u86ED\u86F3\u86D0\u8713\u86DE\u86F4\u86DF\u86D8\u86D1\u8703\u8707\u86F8\u8708\u870A\u870D\u8709\u8723\u873B\u871E\u8725\u872E\u871A\u873E\u8748\u8734\u8731\u8729\u8737\u873F\u8782\u8722\u877D\u877E\u877B\u8760\u8770\u874C\u876E\u878B\u8753\u8763\u877C\u8764\u8759\u8765\u8793\u87AF\u87A8\u87D2"],
      ["f340", "\u9A5A", 17, "\u9A72\u9A83\u9A89\u9A8D\u9A8E\u9A94\u9A95\u9A99\u9AA6\u9AA9", 6, "\u9AB2\u9AB3\u9AB4\u9AB5\u9AB9\u9ABB\u9ABD\u9ABE\u9ABF\u9AC3\u9AC4\u9AC6", 4, "\u9ACD\u9ACE\u9ACF\u9AD0\u9AD2\u9AD4\u9AD5\u9AD6\u9AD7\u9AD9\u9ADA\u9ADB\u9ADC"],
      ["f380", "\u9ADD\u9ADE\u9AE0\u9AE2\u9AE3\u9AE4\u9AE5\u9AE7\u9AE8\u9AE9\u9AEA\u9AEC\u9AEE\u9AF0", 8, "\u9AFA\u9AFC", 6, "\u9B04\u9B05\u9B06\u87C6\u8788\u8785\u87AD\u8797\u8783\u87AB\u87E5\u87AC\u87B5\u87B3\u87CB\u87D3\u87BD\u87D1\u87C0\u87CA\u87DB\u87EA\u87E0\u87EE\u8816\u8813\u87FE\u880A\u881B\u8821\u8839\u883C\u7F36\u7F42\u7F44\u7F45\u8210\u7AFA\u7AFD\u7B08\u7B03\u7B04\u7B15\u7B0A\u7B2B\u7B0F\u7B47\u7B38\u7B2A\u7B19\u7B2E\u7B31\u7B20\u7B25\u7B24\u7B33\u7B3E\u7B1E\u7B58\u7B5A\u7B45\u7B75\u7B4C\u7B5D\u7B60\u7B6E\u7B7B\u7B62\u7B72\u7B71\u7B90\u7BA6\u7BA7\u7BB8\u7BAC\u7B9D\u7BA8\u7B85\u7BAA\u7B9C\u7BA2\u7BAB\u7BB4\u7BD1\u7BC1\u7BCC\u7BDD\u7BDA\u7BE5\u7BE6\u7BEA\u7C0C\u7BFE\u7BFC\u7C0F\u7C16\u7C0B"],
      ["f440", "\u9B07\u9B09", 5, "\u9B10\u9B11\u9B12\u9B14", 10, "\u9B20\u9B21\u9B22\u9B24", 10, "\u9B30\u9B31\u9B33", 7, "\u9B3D\u9B3E\u9B3F\u9B40\u9B46\u9B4A\u9B4B\u9B4C\u9B4E\u9B50\u9B52\u9B53\u9B55", 5],
      ["f480", "\u9B5B", 32, "\u7C1F\u7C2A\u7C26\u7C38\u7C41\u7C40\u81FE\u8201\u8202\u8204\u81EC\u8844\u8221\u8222\u8223\u822D\u822F\u8228\u822B\u8238\u823B\u8233\u8234\u823E\u8244\u8249\u824B\u824F\u825A\u825F\u8268\u887E\u8885\u8888\u88D8\u88DF\u895E\u7F9D\u7F9F\u7FA7\u7FAF\u7FB0\u7FB2\u7C7C\u6549\u7C91\u7C9D\u7C9C\u7C9E\u7CA2\u7CB2\u7CBC\u7CBD\u7CC1\u7CC7\u7CCC\u7CCD\u7CC8\u7CC5\u7CD7\u7CE8\u826E\u66A8\u7FBF\u7FCE\u7FD5\u7FE5\u7FE1\u7FE6\u7FE9\u7FEE\u7FF3\u7CF8\u7D77\u7DA6\u7DAE\u7E47\u7E9B\u9EB8\u9EB4\u8D73\u8D84\u8D94\u8D91\u8DB1\u8D67\u8D6D\u8C47\u8C49\u914A\u9150\u914E\u914F\u9164"],
      ["f540", "\u9B7C", 62],
      ["f580", "\u9BBB", 32, "\u9162\u9161\u9170\u9169\u916F\u917D\u917E\u9172\u9174\u9179\u918C\u9185\u9190\u918D\u9191\u91A2\u91A3\u91AA\u91AD\u91AE\u91AF\u91B5\u91B4\u91BA\u8C55\u9E7E\u8DB8\u8DEB\u8E05\u8E59\u8E69\u8DB5\u8DBF\u8DBC\u8DBA\u8DC4\u8DD6\u8DD7\u8DDA\u8DDE\u8DCE\u8DCF\u8DDB\u8DC6\u8DEC\u8DF7\u8DF8\u8DE3\u8DF9\u8DFB\u8DE4\u8E09\u8DFD\u8E14\u8E1D\u8E1F\u8E2C\u8E2E\u8E23\u8E2F\u8E3A\u8E40\u8E39\u8E35\u8E3D\u8E31\u8E49\u8E41\u8E42\u8E51\u8E52\u8E4A\u8E70\u8E76\u8E7C\u8E6F\u8E74\u8E85\u8E8F\u8E94\u8E90\u8E9C\u8E9E\u8C78\u8C82\u8C8A\u8C85\u8C98\u8C94\u659B\u89D6\u89DE\u89DA\u89DC"],
      ["f640", "\u9BDC", 62],
      ["f680", "\u9C1B", 32, "\u89E5\u89EB\u89EF\u8A3E\u8B26\u9753\u96E9\u96F3\u96EF\u9706\u9701\u9708\u970F\u970E\u972A\u972D\u9730\u973E\u9F80\u9F83\u9F85", 5, "\u9F8C\u9EFE\u9F0B\u9F0D\u96B9\u96BC\u96BD\u96CE\u96D2\u77BF\u96E0\u928E\u92AE\u92C8\u933E\u936A\u93CA\u938F\u943E\u946B\u9C7F\u9C82\u9C85\u9C86\u9C87\u9C88\u7A23\u9C8B\u9C8E\u9C90\u9C91\u9C92\u9C94\u9C95\u9C9A\u9C9B\u9C9E", 5, "\u9CA5", 4, "\u9CAB\u9CAD\u9CAE\u9CB0", 7, "\u9CBA\u9CBB\u9CBC\u9CBD\u9CC4\u9CC5\u9CC6\u9CC7\u9CCA\u9CCB"],
      ["f740", "\u9C3C", 62],
      ["f780", "\u9C7B\u9C7D\u9C7E\u9C80\u9C83\u9C84\u9C89\u9C8A\u9C8C\u9C8F\u9C93\u9C96\u9C97\u9C98\u9C99\u9C9D\u9CAA\u9CAC\u9CAF\u9CB9\u9CBE", 4, "\u9CC8\u9CC9\u9CD1\u9CD2\u9CDA\u9CDB\u9CE0\u9CE1\u9CCC", 4, "\u9CD3\u9CD4\u9CD5\u9CD7\u9CD8\u9CD9\u9CDC\u9CDD\u9CDF\u9CE2\u977C\u9785\u9791\u9792\u9794\u97AF\u97AB\u97A3\u97B2\u97B4\u9AB1\u9AB0\u9AB7\u9E58\u9AB6\u9ABA\u9ABC\u9AC1\u9AC0\u9AC5\u9AC2\u9ACB\u9ACC\u9AD1\u9B45\u9B43\u9B47\u9B49\u9B48\u9B4D\u9B51\u98E8\u990D\u992E\u9955\u9954\u9ADF\u9AE1\u9AE6\u9AEF\u9AEB\u9AFB\u9AED\u9AF9\u9B08\u9B0F\u9B13\u9B1F\u9B23\u9EBD\u9EBE\u7E3B\u9E82\u9E87\u9E88\u9E8B\u9E92\u93D6\u9E9D\u9E9F\u9EDB\u9EDC\u9EDD\u9EE0\u9EDF\u9EE2\u9EE9\u9EE7\u9EE5\u9EEA\u9EEF\u9F22\u9F2C\u9F2F\u9F39\u9F37\u9F3D\u9F3E\u9F44"],
      ["f840", "\u9CE3", 62],
      ["f880", "\u9D22", 32],
      ["f940", "\u9D43", 62],
      ["f980", "\u9D82", 32],
      ["fa40", "\u9DA3", 62],
      ["fa80", "\u9DE2", 32],
      ["fb40", "\u9E03", 27, "\u9E24\u9E27\u9E2E\u9E30\u9E34\u9E3B\u9E3C\u9E40\u9E4D\u9E50\u9E52\u9E53\u9E54\u9E56\u9E59\u9E5D\u9E5F\u9E60\u9E61\u9E62\u9E65\u9E6E\u9E6F\u9E72\u9E74", 9, "\u9E80"],
      ["fb80", "\u9E81\u9E83\u9E84\u9E85\u9E86\u9E89\u9E8A\u9E8C", 5, "\u9E94", 8, "\u9E9E\u9EA0", 5, "\u9EA7\u9EA8\u9EA9\u9EAA"],
      ["fc40", "\u9EAB", 8, "\u9EB5\u9EB6\u9EB7\u9EB9\u9EBA\u9EBC\u9EBF", 4, "\u9EC5\u9EC6\u9EC7\u9EC8\u9ECA\u9ECB\u9ECC\u9ED0\u9ED2\u9ED3\u9ED5\u9ED6\u9ED7\u9ED9\u9EDA\u9EDE\u9EE1\u9EE3\u9EE4\u9EE6\u9EE8\u9EEB\u9EEC\u9EED\u9EEE\u9EF0", 8, "\u9EFA\u9EFD\u9EFF", 6],
      ["fc80", "\u9F06", 4, "\u9F0C\u9F0F\u9F11\u9F12\u9F14\u9F15\u9F16\u9F18\u9F1A", 5, "\u9F21\u9F23", 8, "\u9F2D\u9F2E\u9F30\u9F31"],
      ["fd40", "\u9F32", 4, "\u9F38\u9F3A\u9F3C\u9F3F", 4, "\u9F45", 10, "\u9F52", 38],
      ["fd80", "\u9F79", 5, "\u9F81\u9F82\u9F8D", 11, "\u9F9C\u9F9D\u9F9E\u9FA1", 4, "\uF92C\uF979\uF995\uF9E7\uF9F1"],
      ["fe40", "\uFA0C\uFA0D\uFA0E\uFA0F\uFA11\uFA13\uFA14\uFA18\uFA1F\uFA20\uFA21\uFA23\uFA24\uFA27\uFA28\uFA29"]
    ];
  }
});

// ../../../node_modules/iconv-lite/encodings/tables/gbk-added.json
var require_gbk_added = __commonJS({
  "../../../node_modules/iconv-lite/encodings/tables/gbk-added.json"(exports, module2) {
    module2.exports = [
      ["a140", "\uE4C6", 62],
      ["a180", "\uE505", 32],
      ["a240", "\uE526", 62],
      ["a280", "\uE565", 32],
      ["a2ab", "\uE766", 5],
      ["a2e3", "\u20AC\uE76D"],
      ["a2ef", "\uE76E\uE76F"],
      ["a2fd", "\uE770\uE771"],
      ["a340", "\uE586", 62],
      ["a380", "\uE5C5", 31, "\u3000"],
      ["a440", "\uE5E6", 62],
      ["a480", "\uE625", 32],
      ["a4f4", "\uE772", 10],
      ["a540", "\uE646", 62],
      ["a580", "\uE685", 32],
      ["a5f7", "\uE77D", 7],
      ["a640", "\uE6A6", 62],
      ["a680", "\uE6E5", 32],
      ["a6b9", "\uE785", 7],
      ["a6d9", "\uE78D", 6],
      ["a6ec", "\uE794\uE795"],
      ["a6f3", "\uE796"],
      ["a6f6", "\uE797", 8],
      ["a740", "\uE706", 62],
      ["a780", "\uE745", 32],
      ["a7c2", "\uE7A0", 14],
      ["a7f2", "\uE7AF", 12],
      ["a896", "\uE7BC", 10],
      ["a8bc", "\u1E3F"],
      ["a8bf", "\u01F9"],
      ["a8c1", "\uE7C9\uE7CA\uE7CB\uE7CC"],
      ["a8ea", "\uE7CD", 20],
      ["a958", "\uE7E2"],
      ["a95b", "\uE7E3"],
      ["a95d", "\uE7E4\uE7E5\uE7E6"],
      ["a989", "\u303E\u2FF0", 11],
      ["a997", "\uE7F4", 12],
      ["a9f0", "\uE801", 14],
      ["aaa1", "\uE000", 93],
      ["aba1", "\uE05E", 93],
      ["aca1", "\uE0BC", 93],
      ["ada1", "\uE11A", 93],
      ["aea1", "\uE178", 93],
      ["afa1", "\uE1D6", 93],
      ["d7fa", "\uE810", 4],
      ["f8a1", "\uE234", 93],
      ["f9a1", "\uE292", 93],
      ["faa1", "\uE2F0", 93],
      ["fba1", "\uE34E", 93],
      ["fca1", "\uE3AC", 93],
      ["fda1", "\uE40A", 93],
      ["fe50", "\u2E81\uE816\uE817\uE818\u2E84\u3473\u3447\u2E88\u2E8B\uE81E\u359E\u361A\u360E\u2E8C\u2E97\u396E\u3918\uE826\u39CF\u39DF\u3A73\u39D0\uE82B\uE82C\u3B4E\u3C6E\u3CE0\u2EA7\uE831\uE832\u2EAA\u4056\u415F\u2EAE\u4337\u2EB3\u2EB6\u2EB7\uE83B\u43B1\u43AC\u2EBB\u43DD\u44D6\u4661\u464C\uE843"],
      ["fe80", "\u4723\u4729\u477C\u478D\u2ECA\u4947\u497A\u497D\u4982\u4983\u4985\u4986\u499F\u499B\u49B7\u49B6\uE854\uE855\u4CA3\u4C9F\u4CA0\u4CA1\u4C77\u4CA2\u4D13", 6, "\u4DAE\uE864\uE468", 93],
      ["8135f437", "\uE7C7"]
    ];
  }
});

// ../../../node_modules/iconv-lite/encodings/tables/gb18030-ranges.json
var require_gb18030_ranges = __commonJS({
  "../../../node_modules/iconv-lite/encodings/tables/gb18030-ranges.json"(exports, module2) {
    module2.exports = { uChars: [128, 165, 169, 178, 184, 216, 226, 235, 238, 244, 248, 251, 253, 258, 276, 284, 300, 325, 329, 334, 364, 463, 465, 467, 469, 471, 473, 475, 477, 506, 594, 610, 712, 716, 730, 930, 938, 962, 970, 1026, 1104, 1106, 8209, 8215, 8218, 8222, 8231, 8241, 8244, 8246, 8252, 8365, 8452, 8454, 8458, 8471, 8482, 8556, 8570, 8596, 8602, 8713, 8720, 8722, 8726, 8731, 8737, 8740, 8742, 8748, 8751, 8760, 8766, 8777, 8781, 8787, 8802, 8808, 8816, 8854, 8858, 8870, 8896, 8979, 9322, 9372, 9548, 9588, 9616, 9622, 9634, 9652, 9662, 9672, 9676, 9680, 9702, 9735, 9738, 9793, 9795, 11906, 11909, 11913, 11917, 11928, 11944, 11947, 11951, 11956, 11960, 11964, 11979, 12284, 12292, 12312, 12319, 12330, 12351, 12436, 12447, 12535, 12543, 12586, 12842, 12850, 12964, 13200, 13215, 13218, 13253, 13263, 13267, 13270, 13384, 13428, 13727, 13839, 13851, 14617, 14703, 14801, 14816, 14964, 15183, 15471, 15585, 16471, 16736, 17208, 17325, 17330, 17374, 17623, 17997, 18018, 18212, 18218, 18301, 18318, 18760, 18811, 18814, 18820, 18823, 18844, 18848, 18872, 19576, 19620, 19738, 19887, 40870, 59244, 59336, 59367, 59413, 59417, 59423, 59431, 59437, 59443, 59452, 59460, 59478, 59493, 63789, 63866, 63894, 63976, 63986, 64016, 64018, 64021, 64025, 64034, 64037, 64042, 65074, 65093, 65107, 65112, 65127, 65132, 65375, 65510, 65536], gbChars: [0, 36, 38, 45, 50, 81, 89, 95, 96, 100, 103, 104, 105, 109, 126, 133, 148, 172, 175, 179, 208, 306, 307, 308, 309, 310, 311, 312, 313, 341, 428, 443, 544, 545, 558, 741, 742, 749, 750, 805, 819, 820, 7922, 7924, 7925, 7927, 7934, 7943, 7944, 7945, 7950, 8062, 8148, 8149, 8152, 8164, 8174, 8236, 8240, 8262, 8264, 8374, 8380, 8381, 8384, 8388, 8390, 8392, 8393, 8394, 8396, 8401, 8406, 8416, 8419, 8424, 8437, 8439, 8445, 8482, 8485, 8496, 8521, 8603, 8936, 8946, 9046, 9050, 9063, 9066, 9076, 9092, 9100, 9108, 9111, 9113, 9131, 9162, 9164, 9218, 9219, 11329, 11331, 11334, 11336, 11346, 11361, 11363, 11366, 11370, 11372, 11375, 11389, 11682, 11686, 11687, 11692, 11694, 11714, 11716, 11723, 11725, 11730, 11736, 11982, 11989, 12102, 12336, 12348, 12350, 12384, 12393, 12395, 12397, 12510, 12553, 12851, 12962, 12973, 13738, 13823, 13919, 13933, 14080, 14298, 14585, 14698, 15583, 15847, 16318, 16434, 16438, 16481, 16729, 17102, 17122, 17315, 17320, 17402, 17418, 17859, 17909, 17911, 17915, 17916, 17936, 17939, 17961, 18664, 18703, 18814, 18962, 19043, 33469, 33470, 33471, 33484, 33485, 33490, 33497, 33501, 33505, 33513, 33520, 33536, 33550, 37845, 37921, 37948, 38029, 38038, 38064, 38065, 38066, 38069, 38075, 38076, 38078, 39108, 39109, 39113, 39114, 39115, 39116, 39265, 39394, 189e3] };
  }
});

// ../../../node_modules/iconv-lite/encodings/tables/cp949.json
var require_cp949 = __commonJS({
  "../../../node_modules/iconv-lite/encodings/tables/cp949.json"(exports, module2) {
    module2.exports = [
      ["0", "\0", 127],
      ["8141", "\uAC02\uAC03\uAC05\uAC06\uAC0B", 4, "\uAC18\uAC1E\uAC1F\uAC21\uAC22\uAC23\uAC25", 6, "\uAC2E\uAC32\uAC33\uAC34"],
      ["8161", "\uAC35\uAC36\uAC37\uAC3A\uAC3B\uAC3D\uAC3E\uAC3F\uAC41", 9, "\uAC4C\uAC4E", 5, "\uAC55"],
      ["8181", "\uAC56\uAC57\uAC59\uAC5A\uAC5B\uAC5D", 18, "\uAC72\uAC73\uAC75\uAC76\uAC79\uAC7B", 4, "\uAC82\uAC87\uAC88\uAC8D\uAC8E\uAC8F\uAC91\uAC92\uAC93\uAC95", 6, "\uAC9E\uACA2", 5, "\uACAB\uACAD\uACAE\uACB1", 6, "\uACBA\uACBE\uACBF\uACC0\uACC2\uACC3\uACC5\uACC6\uACC7\uACC9\uACCA\uACCB\uACCD", 7, "\uACD6\uACD8", 7, "\uACE2\uACE3\uACE5\uACE6\uACE9\uACEB\uACED\uACEE\uACF2\uACF4\uACF7", 4, "\uACFE\uACFF\uAD01\uAD02\uAD03\uAD05\uAD07", 4, "\uAD0E\uAD10\uAD12\uAD13"],
      ["8241", "\uAD14\uAD15\uAD16\uAD17\uAD19\uAD1A\uAD1B\uAD1D\uAD1E\uAD1F\uAD21", 7, "\uAD2A\uAD2B\uAD2E", 5],
      ["8261", "\uAD36\uAD37\uAD39\uAD3A\uAD3B\uAD3D", 6, "\uAD46\uAD48\uAD4A", 5, "\uAD51\uAD52\uAD53\uAD55\uAD56\uAD57"],
      ["8281", "\uAD59", 7, "\uAD62\uAD64", 7, "\uAD6E\uAD6F\uAD71\uAD72\uAD77\uAD78\uAD79\uAD7A\uAD7E\uAD80\uAD83", 4, "\uAD8A\uAD8B\uAD8D\uAD8E\uAD8F\uAD91", 10, "\uAD9E", 5, "\uADA5", 17, "\uADB8", 7, "\uADC2\uADC3\uADC5\uADC6\uADC7\uADC9", 6, "\uADD2\uADD4", 7, "\uADDD\uADDE\uADDF\uADE1\uADE2\uADE3\uADE5", 18],
      ["8341", "\uADFA\uADFB\uADFD\uADFE\uAE02", 5, "\uAE0A\uAE0C\uAE0E", 5, "\uAE15", 7],
      ["8361", "\uAE1D", 18, "\uAE32\uAE33\uAE35\uAE36\uAE39\uAE3B\uAE3C"],
      ["8381", "\uAE3D\uAE3E\uAE3F\uAE42\uAE44\uAE47\uAE48\uAE49\uAE4B\uAE4F\uAE51\uAE52\uAE53\uAE55\uAE57", 4, "\uAE5E\uAE62\uAE63\uAE64\uAE66\uAE67\uAE6A\uAE6B\uAE6D\uAE6E\uAE6F\uAE71", 6, "\uAE7A\uAE7E", 5, "\uAE86", 5, "\uAE8D", 46, "\uAEBF\uAEC1\uAEC2\uAEC3\uAEC5", 6, "\uAECE\uAED2", 5, "\uAEDA\uAEDB\uAEDD", 8],
      ["8441", "\uAEE6\uAEE7\uAEE9\uAEEA\uAEEC\uAEEE", 5, "\uAEF5\uAEF6\uAEF7\uAEF9\uAEFA\uAEFB\uAEFD", 8],
      ["8461", "\uAF06\uAF09\uAF0A\uAF0B\uAF0C\uAF0E\uAF0F\uAF11", 18],
      ["8481", "\uAF24", 7, "\uAF2E\uAF2F\uAF31\uAF33\uAF35", 6, "\uAF3E\uAF40\uAF44\uAF45\uAF46\uAF47\uAF4A", 5, "\uAF51", 10, "\uAF5E", 5, "\uAF66", 18, "\uAF7A", 5, "\uAF81\uAF82\uAF83\uAF85\uAF86\uAF87\uAF89", 6, "\uAF92\uAF93\uAF94\uAF96", 5, "\uAF9D", 26, "\uAFBA\uAFBB\uAFBD\uAFBE"],
      ["8541", "\uAFBF\uAFC1", 5, "\uAFCA\uAFCC\uAFCF", 4, "\uAFD5", 6, "\uAFDD", 4],
      ["8561", "\uAFE2", 5, "\uAFEA", 5, "\uAFF2\uAFF3\uAFF5\uAFF6\uAFF7\uAFF9", 6, "\uB002\uB003"],
      ["8581", "\uB005", 6, "\uB00D\uB00E\uB00F\uB011\uB012\uB013\uB015", 6, "\uB01E", 9, "\uB029", 26, "\uB046\uB047\uB049\uB04B\uB04D\uB04F\uB050\uB051\uB052\uB056\uB058\uB05A\uB05B\uB05C\uB05E", 29, "\uB07E\uB07F\uB081\uB082\uB083\uB085", 6, "\uB08E\uB090\uB092", 5, "\uB09B\uB09D\uB09E\uB0A3\uB0A4"],
      ["8641", "\uB0A5\uB0A6\uB0A7\uB0AA\uB0B0\uB0B2\uB0B6\uB0B7\uB0B9\uB0BA\uB0BB\uB0BD", 6, "\uB0C6\uB0CA", 5, "\uB0D2"],
      ["8661", "\uB0D3\uB0D5\uB0D6\uB0D7\uB0D9", 6, "\uB0E1\uB0E2\uB0E3\uB0E4\uB0E6", 10],
      ["8681", "\uB0F1", 22, "\uB10A\uB10D\uB10E\uB10F\uB111\uB114\uB115\uB116\uB117\uB11A\uB11E", 4, "\uB126\uB127\uB129\uB12A\uB12B\uB12D", 6, "\uB136\uB13A", 5, "\uB142\uB143\uB145\uB146\uB147\uB149", 6, "\uB152\uB153\uB156\uB157\uB159\uB15A\uB15B\uB15D\uB15E\uB15F\uB161", 22, "\uB17A\uB17B\uB17D\uB17E\uB17F\uB181\uB183", 4, "\uB18A\uB18C\uB18E\uB18F\uB190\uB191\uB195\uB196\uB197\uB199\uB19A\uB19B\uB19D"],
      ["8741", "\uB19E", 9, "\uB1A9", 15],
      ["8761", "\uB1B9", 18, "\uB1CD\uB1CE\uB1CF\uB1D1\uB1D2\uB1D3\uB1D5"],
      ["8781", "\uB1D6", 5, "\uB1DE\uB1E0", 7, "\uB1EA\uB1EB\uB1ED\uB1EE\uB1EF\uB1F1", 7, "\uB1FA\uB1FC\uB1FE", 5, "\uB206\uB207\uB209\uB20A\uB20D", 6, "\uB216\uB218\uB21A", 5, "\uB221", 18, "\uB235", 6, "\uB23D", 26, "\uB259\uB25A\uB25B\uB25D\uB25E\uB25F\uB261", 6, "\uB26A", 4],
      ["8841", "\uB26F", 4, "\uB276", 5, "\uB27D", 6, "\uB286\uB287\uB288\uB28A", 4],
      ["8861", "\uB28F\uB292\uB293\uB295\uB296\uB297\uB29B", 4, "\uB2A2\uB2A4\uB2A7\uB2A8\uB2A9\uB2AB\uB2AD\uB2AE\uB2AF\uB2B1\uB2B2\uB2B3\uB2B5\uB2B6\uB2B7"],
      ["8881", "\uB2B8", 15, "\uB2CA\uB2CB\uB2CD\uB2CE\uB2CF\uB2D1\uB2D3", 4, "\uB2DA\uB2DC\uB2DE\uB2DF\uB2E0\uB2E1\uB2E3\uB2E7\uB2E9\uB2EA\uB2F0\uB2F1\uB2F2\uB2F6\uB2FC\uB2FD\uB2FE\uB302\uB303\uB305\uB306\uB307\uB309", 6, "\uB312\uB316", 5, "\uB31D", 54, "\uB357\uB359\uB35A\uB35D\uB360\uB361\uB362\uB363"],
      ["8941", "\uB366\uB368\uB36A\uB36C\uB36D\uB36F\uB372\uB373\uB375\uB376\uB377\uB379", 6, "\uB382\uB386", 5, "\uB38D"],
      ["8961", "\uB38E\uB38F\uB391\uB392\uB393\uB395", 10, "\uB3A2", 5, "\uB3A9\uB3AA\uB3AB\uB3AD"],
      ["8981", "\uB3AE", 21, "\uB3C6\uB3C7\uB3C9\uB3CA\uB3CD\uB3CF\uB3D1\uB3D2\uB3D3\uB3D6\uB3D8\uB3DA\uB3DC\uB3DE\uB3DF\uB3E1\uB3E2\uB3E3\uB3E5\uB3E6\uB3E7\uB3E9", 18, "\uB3FD", 18, "\uB411", 6, "\uB419\uB41A\uB41B\uB41D\uB41E\uB41F\uB421", 6, "\uB42A\uB42C", 7, "\uB435", 15],
      ["8a41", "\uB445", 10, "\uB452\uB453\uB455\uB456\uB457\uB459", 6, "\uB462\uB464\uB466"],
      ["8a61", "\uB467", 4, "\uB46D", 18, "\uB481\uB482"],
      ["8a81", "\uB483", 4, "\uB489", 19, "\uB49E", 5, "\uB4A5\uB4A6\uB4A7\uB4A9\uB4AA\uB4AB\uB4AD", 7, "\uB4B6\uB4B8\uB4BA", 5, "\uB4C1\uB4C2\uB4C3\uB4C5\uB4C6\uB4C7\uB4C9", 6, "\uB4D1\uB4D2\uB4D3\uB4D4\uB4D6", 5, "\uB4DE\uB4DF\uB4E1\uB4E2\uB4E5\uB4E7", 4, "\uB4EE\uB4F0\uB4F2", 5, "\uB4F9", 26, "\uB516\uB517\uB519\uB51A\uB51D"],
      ["8b41", "\uB51E", 5, "\uB526\uB52B", 4, "\uB532\uB533\uB535\uB536\uB537\uB539", 6, "\uB542\uB546"],
      ["8b61", "\uB547\uB548\uB549\uB54A\uB54E\uB54F\uB551\uB552\uB553\uB555", 6, "\uB55E\uB562", 8],
      ["8b81", "\uB56B", 52, "\uB5A2\uB5A3\uB5A5\uB5A6\uB5A7\uB5A9\uB5AC\uB5AD\uB5AE\uB5AF\uB5B2\uB5B6", 4, "\uB5BE\uB5BF\uB5C1\uB5C2\uB5C3\uB5C5", 6, "\uB5CE\uB5D2", 5, "\uB5D9", 18, "\uB5ED", 18],
      ["8c41", "\uB600", 15, "\uB612\uB613\uB615\uB616\uB617\uB619", 4],
      ["8c61", "\uB61E", 6, "\uB626", 5, "\uB62D", 6, "\uB635", 5],
      ["8c81", "\uB63B", 12, "\uB649", 26, "\uB665\uB666\uB667\uB669", 50, "\uB69E\uB69F\uB6A1\uB6A2\uB6A3\uB6A5", 5, "\uB6AD\uB6AE\uB6AF\uB6B0\uB6B2", 16],
      ["8d41", "\uB6C3", 16, "\uB6D5", 8],
      ["8d61", "\uB6DE", 17, "\uB6F1\uB6F2\uB6F3\uB6F5\uB6F6\uB6F7\uB6F9\uB6FA"],
      ["8d81", "\uB6FB", 4, "\uB702\uB703\uB704\uB706", 33, "\uB72A\uB72B\uB72D\uB72E\uB731", 6, "\uB73A\uB73C", 7, "\uB745\uB746\uB747\uB749\uB74A\uB74B\uB74D", 6, "\uB756", 9, "\uB761\uB762\uB763\uB765\uB766\uB767\uB769", 6, "\uB772\uB774\uB776", 5, "\uB77E\uB77F\uB781\uB782\uB783\uB785", 6, "\uB78E\uB793\uB794\uB795\uB79A\uB79B\uB79D\uB79E"],
      ["8e41", "\uB79F\uB7A1", 6, "\uB7AA\uB7AE", 5, "\uB7B6\uB7B7\uB7B9", 8],
      ["8e61", "\uB7C2", 4, "\uB7C8\uB7CA", 19],
      ["8e81", "\uB7DE", 13, "\uB7EE\uB7EF\uB7F1\uB7F2\uB7F3\uB7F5", 6, "\uB7FE\uB802", 4, "\uB80A\uB80B\uB80D\uB80E\uB80F\uB811", 6, "\uB81A\uB81C\uB81E", 5, "\uB826\uB827\uB829\uB82A\uB82B\uB82D", 6, "\uB836\uB83A", 5, "\uB841\uB842\uB843\uB845", 11, "\uB852\uB854", 7, "\uB85E\uB85F\uB861\uB862\uB863\uB865", 6, "\uB86E\uB870\uB872", 5, "\uB879\uB87A\uB87B\uB87D", 7],
      ["8f41", "\uB885", 7, "\uB88E", 17],
      ["8f61", "\uB8A0", 7, "\uB8A9", 6, "\uB8B1\uB8B2\uB8B3\uB8B5\uB8B6\uB8B7\uB8B9", 4],
      ["8f81", "\uB8BE\uB8BF\uB8C2\uB8C4\uB8C6", 5, "\uB8CD\uB8CE\uB8CF\uB8D1\uB8D2\uB8D3\uB8D5", 7, "\uB8DE\uB8E0\uB8E2", 5, "\uB8EA\uB8EB\uB8ED\uB8EE\uB8EF\uB8F1", 6, "\uB8FA\uB8FC\uB8FE", 5, "\uB905", 18, "\uB919", 6, "\uB921", 26, "\uB93E\uB93F\uB941\uB942\uB943\uB945", 6, "\uB94D\uB94E\uB950\uB952", 5],
      ["9041", "\uB95A\uB95B\uB95D\uB95E\uB95F\uB961", 6, "\uB96A\uB96C\uB96E", 5, "\uB976\uB977\uB979\uB97A\uB97B\uB97D"],
      ["9061", "\uB97E", 5, "\uB986\uB988\uB98B\uB98C\uB98F", 15],
      ["9081", "\uB99F", 12, "\uB9AE\uB9AF\uB9B1\uB9B2\uB9B3\uB9B5", 6, "\uB9BE\uB9C0\uB9C2", 5, "\uB9CA\uB9CB\uB9CD\uB9D3", 4, "\uB9DA\uB9DC\uB9DF\uB9E0\uB9E2\uB9E6\uB9E7\uB9E9\uB9EA\uB9EB\uB9ED", 6, "\uB9F6\uB9FB", 4, "\uBA02", 5, "\uBA09", 11, "\uBA16", 33, "\uBA3A\uBA3B\uBA3D\uBA3E\uBA3F\uBA41\uBA43\uBA44\uBA45\uBA46"],
      ["9141", "\uBA47\uBA4A\uBA4C\uBA4F\uBA50\uBA51\uBA52\uBA56\uBA57\uBA59\uBA5A\uBA5B\uBA5D", 6, "\uBA66\uBA6A", 5],
      ["9161", "\uBA72\uBA73\uBA75\uBA76\uBA77\uBA79", 9, "\uBA86\uBA88\uBA89\uBA8A\uBA8B\uBA8D", 5],
      ["9181", "\uBA93", 20, "\uBAAA\uBAAD\uBAAE\uBAAF\uBAB1\uBAB3", 4, "\uBABA\uBABC\uBABE", 5, "\uBAC5\uBAC6\uBAC7\uBAC9", 14, "\uBADA", 33, "\uBAFD\uBAFE\uBAFF\uBB01\uBB02\uBB03\uBB05", 7, "\uBB0E\uBB10\uBB12", 5, "\uBB19\uBB1A\uBB1B\uBB1D\uBB1E\uBB1F\uBB21", 6],
      ["9241", "\uBB28\uBB2A\uBB2C", 7, "\uBB37\uBB39\uBB3A\uBB3F", 4, "\uBB46\uBB48\uBB4A\uBB4B\uBB4C\uBB4E\uBB51\uBB52"],
      ["9261", "\uBB53\uBB55\uBB56\uBB57\uBB59", 7, "\uBB62\uBB64", 7, "\uBB6D", 4],
      ["9281", "\uBB72", 21, "\uBB89\uBB8A\uBB8B\uBB8D\uBB8E\uBB8F\uBB91", 18, "\uBBA5\uBBA6\uBBA7\uBBA9\uBBAA\uBBAB\uBBAD", 6, "\uBBB5\uBBB6\uBBB8", 7, "\uBBC1\uBBC2\uBBC3\uBBC5\uBBC6\uBBC7\uBBC9", 6, "\uBBD1\uBBD2\uBBD4", 35, "\uBBFA\uBBFB\uBBFD\uBBFE\uBC01"],
      ["9341", "\uBC03", 4, "\uBC0A\uBC0E\uBC10\uBC12\uBC13\uBC19\uBC1A\uBC20\uBC21\uBC22\uBC23\uBC26\uBC28\uBC2A\uBC2B\uBC2C\uBC2E\uBC2F\uBC32\uBC33\uBC35"],
      ["9361", "\uBC36\uBC37\uBC39", 6, "\uBC42\uBC46\uBC47\uBC48\uBC4A\uBC4B\uBC4E\uBC4F\uBC51", 8],
      ["9381", "\uBC5A\uBC5B\uBC5C\uBC5E", 37, "\uBC86\uBC87\uBC89\uBC8A\uBC8D\uBC8F", 4, "\uBC96\uBC98\uBC9B", 4, "\uBCA2\uBCA3\uBCA5\uBCA6\uBCA9", 6, "\uBCB2\uBCB6", 5, "\uBCBE\uBCBF\uBCC1\uBCC2\uBCC3\uBCC5", 7, "\uBCCE\uBCD2\uBCD3\uBCD4\uBCD6\uBCD7\uBCD9\uBCDA\uBCDB\uBCDD", 22, "\uBCF7\uBCF9\uBCFA\uBCFB\uBCFD"],
      ["9441", "\uBCFE", 5, "\uBD06\uBD08\uBD0A", 5, "\uBD11\uBD12\uBD13\uBD15", 8],
      ["9461", "\uBD1E", 5, "\uBD25", 6, "\uBD2D", 12],
      ["9481", "\uBD3A", 5, "\uBD41", 6, "\uBD4A\uBD4B\uBD4D\uBD4E\uBD4F\uBD51", 6, "\uBD5A", 9, "\uBD65\uBD66\uBD67\uBD69", 22, "\uBD82\uBD83\uBD85\uBD86\uBD8B", 4, "\uBD92\uBD94\uBD96\uBD97\uBD98\uBD9B\uBD9D", 6, "\uBDA5", 10, "\uBDB1", 6, "\uBDB9", 24],
      ["9541", "\uBDD2\uBDD3\uBDD6\uBDD7\uBDD9\uBDDA\uBDDB\uBDDD", 11, "\uBDEA", 5, "\uBDF1"],
      ["9561", "\uBDF2\uBDF3\uBDF5\uBDF6\uBDF7\uBDF9", 6, "\uBE01\uBE02\uBE04\uBE06", 5, "\uBE0E\uBE0F\uBE11\uBE12\uBE13"],
      ["9581", "\uBE15", 6, "\uBE1E\uBE20", 35, "\uBE46\uBE47\uBE49\uBE4A\uBE4B\uBE4D\uBE4F", 4, "\uBE56\uBE58\uBE5C\uBE5D\uBE5E\uBE5F\uBE62\uBE63\uBE65\uBE66\uBE67\uBE69\uBE6B", 4, "\uBE72\uBE76", 4, "\uBE7E\uBE7F\uBE81\uBE82\uBE83\uBE85", 6, "\uBE8E\uBE92", 5, "\uBE9A", 13, "\uBEA9", 14],
      ["9641", "\uBEB8", 23, "\uBED2\uBED3"],
      ["9661", "\uBED5\uBED6\uBED9", 6, "\uBEE1\uBEE2\uBEE6", 5, "\uBEED", 8],
      ["9681", "\uBEF6", 10, "\uBF02", 5, "\uBF0A", 13, "\uBF1A\uBF1E", 33, "\uBF42\uBF43\uBF45\uBF46\uBF47\uBF49", 6, "\uBF52\uBF53\uBF54\uBF56", 44],
      ["9741", "\uBF83", 16, "\uBF95", 8],
      ["9761", "\uBF9E", 17, "\uBFB1", 7],
      ["9781", "\uBFB9", 11, "\uBFC6", 5, "\uBFCE\uBFCF\uBFD1\uBFD2\uBFD3\uBFD5", 6, "\uBFDD\uBFDE\uBFE0\uBFE2", 89, "\uC03D\uC03E\uC03F"],
      ["9841", "\uC040", 16, "\uC052", 5, "\uC059\uC05A\uC05B"],
      ["9861", "\uC05D\uC05E\uC05F\uC061", 6, "\uC06A", 15],
      ["9881", "\uC07A", 21, "\uC092\uC093\uC095\uC096\uC097\uC099", 6, "\uC0A2\uC0A4\uC0A6", 5, "\uC0AE\uC0B1\uC0B2\uC0B7", 4, "\uC0BE\uC0C2\uC0C3\uC0C4\uC0C6\uC0C7\uC0CA\uC0CB\uC0CD\uC0CE\uC0CF\uC0D1", 6, "\uC0DA\uC0DE", 5, "\uC0E6\uC0E7\uC0E9\uC0EA\uC0EB\uC0ED", 6, "\uC0F6\uC0F8\uC0FA", 5, "\uC101\uC102\uC103\uC105\uC106\uC107\uC109", 6, "\uC111\uC112\uC113\uC114\uC116", 5, "\uC121\uC122\uC125\uC128\uC129\uC12A\uC12B\uC12E"],
      ["9941", "\uC132\uC133\uC134\uC135\uC137\uC13A\uC13B\uC13D\uC13E\uC13F\uC141", 6, "\uC14A\uC14E", 5, "\uC156\uC157"],
      ["9961", "\uC159\uC15A\uC15B\uC15D", 6, "\uC166\uC16A", 5, "\uC171\uC172\uC173\uC175\uC176\uC177\uC179\uC17A\uC17B"],
      ["9981", "\uC17C", 8, "\uC186", 5, "\uC18F\uC191\uC192\uC193\uC195\uC197", 4, "\uC19E\uC1A0\uC1A2\uC1A3\uC1A4\uC1A6\uC1A7\uC1AA\uC1AB\uC1AD\uC1AE\uC1AF\uC1B1", 11, "\uC1BE", 5, "\uC1C5\uC1C6\uC1C7\uC1C9\uC1CA\uC1CB\uC1CD", 6, "\uC1D5\uC1D6\uC1D9", 6, "\uC1E1\uC1E2\uC1E3\uC1E5\uC1E6\uC1E7\uC1E9", 6, "\uC1F2\uC1F4", 7, "\uC1FE\uC1FF\uC201\uC202\uC203\uC205", 6, "\uC20E\uC210\uC212", 5, "\uC21A\uC21B\uC21D\uC21E\uC221\uC222\uC223"],
      ["9a41", "\uC224\uC225\uC226\uC227\uC22A\uC22C\uC22E\uC230\uC233\uC235", 16],
      ["9a61", "\uC246\uC247\uC249", 6, "\uC252\uC253\uC255\uC256\uC257\uC259", 6, "\uC261\uC262\uC263\uC264\uC266"],
      ["9a81", "\uC267", 4, "\uC26E\uC26F\uC271\uC272\uC273\uC275", 6, "\uC27E\uC280\uC282", 5, "\uC28A", 5, "\uC291", 6, "\uC299\uC29A\uC29C\uC29E", 5, "\uC2A6\uC2A7\uC2A9\uC2AA\uC2AB\uC2AE", 5, "\uC2B6\uC2B8\uC2BA", 33, "\uC2DE\uC2DF\uC2E1\uC2E2\uC2E5", 5, "\uC2EE\uC2F0\uC2F2\uC2F3\uC2F4\uC2F5\uC2F7\uC2FA\uC2FD\uC2FE\uC2FF\uC301", 6, "\uC30A\uC30B\uC30E\uC30F"],
      ["9b41", "\uC310\uC311\uC312\uC316\uC317\uC319\uC31A\uC31B\uC31D", 6, "\uC326\uC327\uC32A", 8],
      ["9b61", "\uC333", 17, "\uC346", 7],
      ["9b81", "\uC34E", 25, "\uC36A\uC36B\uC36D\uC36E\uC36F\uC371\uC373", 4, "\uC37A\uC37B\uC37E", 5, "\uC385\uC386\uC387\uC389\uC38A\uC38B\uC38D", 50, "\uC3C1", 22, "\uC3DA"],
      ["9c41", "\uC3DB\uC3DD\uC3DE\uC3E1\uC3E3", 4, "\uC3EA\uC3EB\uC3EC\uC3EE", 5, "\uC3F6\uC3F7\uC3F9", 5],
      ["9c61", "\uC3FF", 8, "\uC409", 6, "\uC411", 9],
      ["9c81", "\uC41B", 8, "\uC425", 6, "\uC42D\uC42E\uC42F\uC431\uC432\uC433\uC435", 6, "\uC43E", 9, "\uC449", 26, "\uC466\uC467\uC469\uC46A\uC46B\uC46D", 6, "\uC476\uC477\uC478\uC47A", 5, "\uC481", 18, "\uC495", 6, "\uC49D", 12],
      ["9d41", "\uC4AA", 13, "\uC4B9\uC4BA\uC4BB\uC4BD", 8],
      ["9d61", "\uC4C6", 25],
      ["9d81", "\uC4E0", 8, "\uC4EA", 5, "\uC4F2\uC4F3\uC4F5\uC4F6\uC4F7\uC4F9\uC4FB\uC4FC\uC4FD\uC4FE\uC502", 9, "\uC50D\uC50E\uC50F\uC511\uC512\uC513\uC515", 6, "\uC51D", 10, "\uC52A\uC52B\uC52D\uC52E\uC52F\uC531", 6, "\uC53A\uC53C\uC53E", 5, "\uC546\uC547\uC54B\uC54F\uC550\uC551\uC552\uC556\uC55A\uC55B\uC55C\uC55F\uC562\uC563\uC565\uC566\uC567\uC569", 6, "\uC572\uC576", 5, "\uC57E\uC57F\uC581\uC582\uC583\uC585\uC586\uC588\uC589\uC58A\uC58B\uC58E\uC590\uC592\uC593\uC594"],
      ["9e41", "\uC596\uC599\uC59A\uC59B\uC59D\uC59E\uC59F\uC5A1", 7, "\uC5AA", 9, "\uC5B6"],
      ["9e61", "\uC5B7\uC5BA\uC5BF", 4, "\uC5CB\uC5CD\uC5CF\uC5D2\uC5D3\uC5D5\uC5D6\uC5D7\uC5D9", 6, "\uC5E2\uC5E4\uC5E6\uC5E7"],
      ["9e81", "\uC5E8\uC5E9\uC5EA\uC5EB\uC5EF\uC5F1\uC5F2\uC5F3\uC5F5\uC5F8\uC5F9\uC5FA\uC5FB\uC602\uC603\uC604\uC609\uC60A\uC60B\uC60D\uC60E\uC60F\uC611", 6, "\uC61A\uC61D", 6, "\uC626\uC627\uC629\uC62A\uC62B\uC62F\uC631\uC632\uC636\uC638\uC63A\uC63C\uC63D\uC63E\uC63F\uC642\uC643\uC645\uC646\uC647\uC649", 6, "\uC652\uC656", 5, "\uC65E\uC65F\uC661", 10, "\uC66D\uC66E\uC670\uC672", 5, "\uC67A\uC67B\uC67D\uC67E\uC67F\uC681", 6, "\uC68A\uC68C\uC68E", 5, "\uC696\uC697\uC699\uC69A\uC69B\uC69D", 6, "\uC6A6"],
      ["9f41", "\uC6A8\uC6AA", 5, "\uC6B2\uC6B3\uC6B5\uC6B6\uC6B7\uC6BB", 4, "\uC6C2\uC6C4\uC6C6", 5, "\uC6CE"],
      ["9f61", "\uC6CF\uC6D1\uC6D2\uC6D3\uC6D5", 6, "\uC6DE\uC6DF\uC6E2", 5, "\uC6EA\uC6EB\uC6ED\uC6EE\uC6EF\uC6F1\uC6F2"],
      ["9f81", "\uC6F3", 4, "\uC6FA\uC6FB\uC6FC\uC6FE", 5, "\uC706\uC707\uC709\uC70A\uC70B\uC70D", 6, "\uC716\uC718\uC71A", 5, "\uC722\uC723\uC725\uC726\uC727\uC729", 6, "\uC732\uC734\uC736\uC738\uC739\uC73A\uC73B\uC73E\uC73F\uC741\uC742\uC743\uC745", 4, "\uC74B\uC74E\uC750\uC759\uC75A\uC75B\uC75D\uC75E\uC75F\uC761", 6, "\uC769\uC76A\uC76C", 7, "\uC776\uC777\uC779\uC77A\uC77B\uC77F\uC780\uC781\uC782\uC786\uC78B\uC78C\uC78D\uC78F\uC792\uC793\uC795\uC799\uC79B", 4, "\uC7A2\uC7A7", 4, "\uC7AE\uC7AF\uC7B1\uC7B2\uC7B3\uC7B5\uC7B6\uC7B7"],
      ["a041", "\uC7B8\uC7B9\uC7BA\uC7BB\uC7BE\uC7C2", 5, "\uC7CA\uC7CB\uC7CD\uC7CF\uC7D1", 6, "\uC7D9\uC7DA\uC7DB\uC7DC"],
      ["a061", "\uC7DE", 5, "\uC7E5\uC7E6\uC7E7\uC7E9\uC7EA\uC7EB\uC7ED", 13],
      ["a081", "\uC7FB", 4, "\uC802\uC803\uC805\uC806\uC807\uC809\uC80B", 4, "\uC812\uC814\uC817", 4, "\uC81E\uC81F\uC821\uC822\uC823\uC825", 6, "\uC82E\uC830\uC832", 5, "\uC839\uC83A\uC83B\uC83D\uC83E\uC83F\uC841", 6, "\uC84A\uC84B\uC84E", 5, "\uC855", 26, "\uC872\uC873\uC875\uC876\uC877\uC879\uC87B", 4, "\uC882\uC884\uC888\uC889\uC88A\uC88E", 5, "\uC895", 7, "\uC89E\uC8A0\uC8A2\uC8A3\uC8A4"],
      ["a141", "\uC8A5\uC8A6\uC8A7\uC8A9", 18, "\uC8BE\uC8BF\uC8C0\uC8C1"],
      ["a161", "\uC8C2\uC8C3\uC8C5\uC8C6\uC8C7\uC8C9\uC8CA\uC8CB\uC8CD", 6, "\uC8D6\uC8D8\uC8DA", 5, "\uC8E2\uC8E3\uC8E5"],
      ["a181", "\uC8E6", 14, "\uC8F6", 5, "\uC8FE\uC8FF\uC901\uC902\uC903\uC907", 4, "\uC90E\u3000\u3001\u3002\xB7\u2025\u2026\xA8\u3003\xAD\u2015\u2225\uFF3C\u223C\u2018\u2019\u201C\u201D\u3014\u3015\u3008", 9, "\xB1\xD7\xF7\u2260\u2264\u2265\u221E\u2234\xB0\u2032\u2033\u2103\u212B\uFFE0\uFFE1\uFFE5\u2642\u2640\u2220\u22A5\u2312\u2202\u2207\u2261\u2252\xA7\u203B\u2606\u2605\u25CB\u25CF\u25CE\u25C7\u25C6\u25A1\u25A0\u25B3\u25B2\u25BD\u25BC\u2192\u2190\u2191\u2193\u2194\u3013\u226A\u226B\u221A\u223D\u221D\u2235\u222B\u222C\u2208\u220B\u2286\u2287\u2282\u2283\u222A\u2229\u2227\u2228\uFFE2"],
      ["a241", "\uC910\uC912", 5, "\uC919", 18],
      ["a261", "\uC92D", 6, "\uC935", 18],
      ["a281", "\uC948", 7, "\uC952\uC953\uC955\uC956\uC957\uC959", 6, "\uC962\uC964", 7, "\uC96D\uC96E\uC96F\u21D2\u21D4\u2200\u2203\xB4\uFF5E\u02C7\u02D8\u02DD\u02DA\u02D9\xB8\u02DB\xA1\xBF\u02D0\u222E\u2211\u220F\xA4\u2109\u2030\u25C1\u25C0\u25B7\u25B6\u2664\u2660\u2661\u2665\u2667\u2663\u2299\u25C8\u25A3\u25D0\u25D1\u2592\u25A4\u25A5\u25A8\u25A7\u25A6\u25A9\u2668\u260F\u260E\u261C\u261E\xB6\u2020\u2021\u2195\u2197\u2199\u2196\u2198\u266D\u2669\u266A\u266C\u327F\u321C\u2116\u33C7\u2122\u33C2\u33D8\u2121\u20AC\xAE"],
      ["a341", "\uC971\uC972\uC973\uC975", 6, "\uC97D", 10, "\uC98A\uC98B\uC98D\uC98E\uC98F"],
      ["a361", "\uC991", 6, "\uC99A\uC99C\uC99E", 16],
      ["a381", "\uC9AF", 16, "\uC9C2\uC9C3\uC9C5\uC9C6\uC9C9\uC9CB", 4, "\uC9D2\uC9D4\uC9D7\uC9D8\uC9DB\uFF01", 58, "\uFFE6\uFF3D", 32, "\uFFE3"],
      ["a441", "\uC9DE\uC9DF\uC9E1\uC9E3\uC9E5\uC9E6\uC9E8\uC9E9\uC9EA\uC9EB\uC9EE\uC9F2", 5, "\uC9FA\uC9FB\uC9FD\uC9FE\uC9FF\uCA01\uCA02\uCA03\uCA04"],
      ["a461", "\uCA05\uCA06\uCA07\uCA0A\uCA0E", 5, "\uCA15\uCA16\uCA17\uCA19", 12],
      ["a481", "\uCA26\uCA27\uCA28\uCA2A", 28, "\u3131", 93],
      ["a541", "\uCA47", 4, "\uCA4E\uCA4F\uCA51\uCA52\uCA53\uCA55", 6, "\uCA5E\uCA62", 5, "\uCA69\uCA6A"],
      ["a561", "\uCA6B", 17, "\uCA7E", 5, "\uCA85\uCA86"],
      ["a581", "\uCA87", 16, "\uCA99", 14, "\u2170", 9],
      ["a5b0", "\u2160", 9],
      ["a5c1", "\u0391", 16, "\u03A3", 6],
      ["a5e1", "\u03B1", 16, "\u03C3", 6],
      ["a641", "\uCAA8", 19, "\uCABE\uCABF\uCAC1\uCAC2\uCAC3\uCAC5"],
      ["a661", "\uCAC6", 5, "\uCACE\uCAD0\uCAD2\uCAD4\uCAD5\uCAD6\uCAD7\uCADA", 5, "\uCAE1", 6],
      ["a681", "\uCAE8\uCAE9\uCAEA\uCAEB\uCAED", 6, "\uCAF5", 18, "\uCB09\uCB0A\u2500\u2502\u250C\u2510\u2518\u2514\u251C\u252C\u2524\u2534\u253C\u2501\u2503\u250F\u2513\u251B\u2517\u2523\u2533\u252B\u253B\u254B\u2520\u252F\u2528\u2537\u253F\u251D\u2530\u2525\u2538\u2542\u2512\u2511\u251A\u2519\u2516\u2515\u250E\u250D\u251E\u251F\u2521\u2522\u2526\u2527\u2529\u252A\u252D\u252E\u2531\u2532\u2535\u2536\u2539\u253A\u253D\u253E\u2540\u2541\u2543", 7],
      ["a741", "\uCB0B", 4, "\uCB11\uCB12\uCB13\uCB15\uCB16\uCB17\uCB19", 6, "\uCB22", 7],
      ["a761", "\uCB2A", 22, "\uCB42\uCB43\uCB44"],
      ["a781", "\uCB45\uCB46\uCB47\uCB4A\uCB4B\uCB4D\uCB4E\uCB4F\uCB51", 6, "\uCB5A\uCB5B\uCB5C\uCB5E", 5, "\uCB65", 7, "\u3395\u3396\u3397\u2113\u3398\u33C4\u33A3\u33A4\u33A5\u33A6\u3399", 9, "\u33CA\u338D\u338E\u338F\u33CF\u3388\u3389\u33C8\u33A7\u33A8\u33B0", 9, "\u3380", 4, "\u33BA", 5, "\u3390", 4, "\u2126\u33C0\u33C1\u338A\u338B\u338C\u33D6\u33C5\u33AD\u33AE\u33AF\u33DB\u33A9\u33AA\u33AB\u33AC\u33DD\u33D0\u33D3\u33C3\u33C9\u33DC\u33C6"],
      ["a841", "\uCB6D", 10, "\uCB7A", 14],
      ["a861", "\uCB89", 18, "\uCB9D", 6],
      ["a881", "\uCBA4", 19, "\uCBB9", 11, "\xC6\xD0\xAA\u0126"],
      ["a8a6", "\u0132"],
      ["a8a8", "\u013F\u0141\xD8\u0152\xBA\xDE\u0166\u014A"],
      ["a8b1", "\u3260", 27, "\u24D0", 25, "\u2460", 14, "\xBD\u2153\u2154\xBC\xBE\u215B\u215C\u215D\u215E"],
      ["a941", "\uCBC5", 14, "\uCBD5", 10],
      ["a961", "\uCBE0\uCBE1\uCBE2\uCBE3\uCBE5\uCBE6\uCBE8\uCBEA", 18],
      ["a981", "\uCBFD", 14, "\uCC0E\uCC0F\uCC11\uCC12\uCC13\uCC15", 6, "\uCC1E\uCC1F\uCC20\uCC23\uCC24\xE6\u0111\xF0\u0127\u0131\u0133\u0138\u0140\u0142\xF8\u0153\xDF\xFE\u0167\u014B\u0149\u3200", 27, "\u249C", 25, "\u2474", 14, "\xB9\xB2\xB3\u2074\u207F\u2081\u2082\u2083\u2084"],
      ["aa41", "\uCC25\uCC26\uCC2A\uCC2B\uCC2D\uCC2F\uCC31", 6, "\uCC3A\uCC3F", 4, "\uCC46\uCC47\uCC49\uCC4A\uCC4B\uCC4D\uCC4E"],
      ["aa61", "\uCC4F", 4, "\uCC56\uCC5A", 5, "\uCC61\uCC62\uCC63\uCC65\uCC67\uCC69", 6, "\uCC71\uCC72"],
      ["aa81", "\uCC73\uCC74\uCC76", 29, "\u3041", 82],
      ["ab41", "\uCC94\uCC95\uCC96\uCC97\uCC9A\uCC9B\uCC9D\uCC9E\uCC9F\uCCA1", 6, "\uCCAA\uCCAE", 5, "\uCCB6\uCCB7\uCCB9"],
      ["ab61", "\uCCBA\uCCBB\uCCBD", 6, "\uCCC6\uCCC8\uCCCA", 5, "\uCCD1\uCCD2\uCCD3\uCCD5", 5],
      ["ab81", "\uCCDB", 8, "\uCCE5", 6, "\uCCED\uCCEE\uCCEF\uCCF1", 12, "\u30A1", 85],
      ["ac41", "\uCCFE\uCCFF\uCD00\uCD02", 5, "\uCD0A\uCD0B\uCD0D\uCD0E\uCD0F\uCD11", 6, "\uCD1A\uCD1C\uCD1E\uCD1F\uCD20"],
      ["ac61", "\uCD21\uCD22\uCD23\uCD25\uCD26\uCD27\uCD29\uCD2A\uCD2B\uCD2D", 11, "\uCD3A", 4],
      ["ac81", "\uCD3F", 28, "\uCD5D\uCD5E\uCD5F\u0410", 5, "\u0401\u0416", 25],
      ["acd1", "\u0430", 5, "\u0451\u0436", 25],
      ["ad41", "\uCD61\uCD62\uCD63\uCD65", 6, "\uCD6E\uCD70\uCD72", 5, "\uCD79", 7],
      ["ad61", "\uCD81", 6, "\uCD89", 10, "\uCD96\uCD97\uCD99\uCD9A\uCD9B\uCD9D\uCD9E\uCD9F"],
      ["ad81", "\uCDA0\uCDA1\uCDA2\uCDA3\uCDA6\uCDA8\uCDAA", 5, "\uCDB1", 18, "\uCDC5"],
      ["ae41", "\uCDC6", 5, "\uCDCD\uCDCE\uCDCF\uCDD1", 16],
      ["ae61", "\uCDE2", 5, "\uCDE9\uCDEA\uCDEB\uCDED\uCDEE\uCDEF\uCDF1", 6, "\uCDFA\uCDFC\uCDFE", 4],
      ["ae81", "\uCE03\uCE05\uCE06\uCE07\uCE09\uCE0A\uCE0B\uCE0D", 6, "\uCE15\uCE16\uCE17\uCE18\uCE1A", 5, "\uCE22\uCE23\uCE25\uCE26\uCE27\uCE29\uCE2A\uCE2B"],
      ["af41", "\uCE2C\uCE2D\uCE2E\uCE2F\uCE32\uCE34\uCE36", 19],
      ["af61", "\uCE4A", 13, "\uCE5A\uCE5B\uCE5D\uCE5E\uCE62", 5, "\uCE6A\uCE6C"],
      ["af81", "\uCE6E", 5, "\uCE76\uCE77\uCE79\uCE7A\uCE7B\uCE7D", 6, "\uCE86\uCE88\uCE8A", 5, "\uCE92\uCE93\uCE95\uCE96\uCE97\uCE99"],
      ["b041", "\uCE9A", 5, "\uCEA2\uCEA6", 5, "\uCEAE", 12],
      ["b061", "\uCEBB", 5, "\uCEC2", 19],
      ["b081", "\uCED6", 13, "\uCEE6\uCEE7\uCEE9\uCEEA\uCEED", 6, "\uCEF6\uCEFA", 5, "\uAC00\uAC01\uAC04\uAC07\uAC08\uAC09\uAC0A\uAC10", 7, "\uAC19", 4, "\uAC20\uAC24\uAC2C\uAC2D\uAC2F\uAC30\uAC31\uAC38\uAC39\uAC3C\uAC40\uAC4B\uAC4D\uAC54\uAC58\uAC5C\uAC70\uAC71\uAC74\uAC77\uAC78\uAC7A\uAC80\uAC81\uAC83\uAC84\uAC85\uAC86\uAC89\uAC8A\uAC8B\uAC8C\uAC90\uAC94\uAC9C\uAC9D\uAC9F\uACA0\uACA1\uACA8\uACA9\uACAA\uACAC\uACAF\uACB0\uACB8\uACB9\uACBB\uACBC\uACBD\uACC1\uACC4\uACC8\uACCC\uACD5\uACD7\uACE0\uACE1\uACE4\uACE7\uACE8\uACEA\uACEC\uACEF\uACF0\uACF1\uACF3\uACF5\uACF6\uACFC\uACFD\uAD00\uAD04\uAD06"],
      ["b141", "\uCF02\uCF03\uCF05\uCF06\uCF07\uCF09", 6, "\uCF12\uCF14\uCF16", 5, "\uCF1D\uCF1E\uCF1F\uCF21\uCF22\uCF23"],
      ["b161", "\uCF25", 6, "\uCF2E\uCF32", 5, "\uCF39", 11],
      ["b181", "\uCF45", 14, "\uCF56\uCF57\uCF59\uCF5A\uCF5B\uCF5D", 6, "\uCF66\uCF68\uCF6A\uCF6B\uCF6C\uAD0C\uAD0D\uAD0F\uAD11\uAD18\uAD1C\uAD20\uAD29\uAD2C\uAD2D\uAD34\uAD35\uAD38\uAD3C\uAD44\uAD45\uAD47\uAD49\uAD50\uAD54\uAD58\uAD61\uAD63\uAD6C\uAD6D\uAD70\uAD73\uAD74\uAD75\uAD76\uAD7B\uAD7C\uAD7D\uAD7F\uAD81\uAD82\uAD88\uAD89\uAD8C\uAD90\uAD9C\uAD9D\uADA4\uADB7\uADC0\uADC1\uADC4\uADC8\uADD0\uADD1\uADD3\uADDC\uADE0\uADE4\uADF8\uADF9\uADFC\uADFF\uAE00\uAE01\uAE08\uAE09\uAE0B\uAE0D\uAE14\uAE30\uAE31\uAE34\uAE37\uAE38\uAE3A\uAE40\uAE41\uAE43\uAE45\uAE46\uAE4A\uAE4C\uAE4D\uAE4E\uAE50\uAE54\uAE56\uAE5C\uAE5D\uAE5F\uAE60\uAE61\uAE65\uAE68\uAE69\uAE6C\uAE70\uAE78"],
      ["b241", "\uCF6D\uCF6E\uCF6F\uCF72\uCF73\uCF75\uCF76\uCF77\uCF79", 6, "\uCF81\uCF82\uCF83\uCF84\uCF86", 5, "\uCF8D"],
      ["b261", "\uCF8E", 18, "\uCFA2", 5, "\uCFA9"],
      ["b281", "\uCFAA", 5, "\uCFB1", 18, "\uCFC5", 6, "\uAE79\uAE7B\uAE7C\uAE7D\uAE84\uAE85\uAE8C\uAEBC\uAEBD\uAEBE\uAEC0\uAEC4\uAECC\uAECD\uAECF\uAED0\uAED1\uAED8\uAED9\uAEDC\uAEE8\uAEEB\uAEED\uAEF4\uAEF8\uAEFC\uAF07\uAF08\uAF0D\uAF10\uAF2C\uAF2D\uAF30\uAF32\uAF34\uAF3C\uAF3D\uAF3F\uAF41\uAF42\uAF43\uAF48\uAF49\uAF50\uAF5C\uAF5D\uAF64\uAF65\uAF79\uAF80\uAF84\uAF88\uAF90\uAF91\uAF95\uAF9C\uAFB8\uAFB9\uAFBC\uAFC0\uAFC7\uAFC8\uAFC9\uAFCB\uAFCD\uAFCE\uAFD4\uAFDC\uAFE8\uAFE9\uAFF0\uAFF1\uAFF4\uAFF8\uB000\uB001\uB004\uB00C\uB010\uB014\uB01C\uB01D\uB028\uB044\uB045\uB048\uB04A\uB04C\uB04E\uB053\uB054\uB055\uB057\uB059"],
      ["b341", "\uCFCC", 19, "\uCFE2\uCFE3\uCFE5\uCFE6\uCFE7\uCFE9"],
      ["b361", "\uCFEA", 5, "\uCFF2\uCFF4\uCFF6", 5, "\uCFFD\uCFFE\uCFFF\uD001\uD002\uD003\uD005", 5],
      ["b381", "\uD00B", 5, "\uD012", 5, "\uD019", 19, "\uB05D\uB07C\uB07D\uB080\uB084\uB08C\uB08D\uB08F\uB091\uB098\uB099\uB09A\uB09C\uB09F\uB0A0\uB0A1\uB0A2\uB0A8\uB0A9\uB0AB", 4, "\uB0B1\uB0B3\uB0B4\uB0B5\uB0B8\uB0BC\uB0C4\uB0C5\uB0C7\uB0C8\uB0C9\uB0D0\uB0D1\uB0D4\uB0D8\uB0E0\uB0E5\uB108\uB109\uB10B\uB10C\uB110\uB112\uB113\uB118\uB119\uB11B\uB11C\uB11D\uB123\uB124\uB125\uB128\uB12C\uB134\uB135\uB137\uB138\uB139\uB140\uB141\uB144\uB148\uB150\uB151\uB154\uB155\uB158\uB15C\uB160\uB178\uB179\uB17C\uB180\uB182\uB188\uB189\uB18B\uB18D\uB192\uB193\uB194\uB198\uB19C\uB1A8\uB1CC\uB1D0\uB1D4\uB1DC\uB1DD"],
      ["b441", "\uD02E", 5, "\uD036\uD037\uD039\uD03A\uD03B\uD03D", 6, "\uD046\uD048\uD04A", 5],
      ["b461", "\uD051\uD052\uD053\uD055\uD056\uD057\uD059", 6, "\uD061", 10, "\uD06E\uD06F"],
      ["b481", "\uD071\uD072\uD073\uD075", 6, "\uD07E\uD07F\uD080\uD082", 18, "\uB1DF\uB1E8\uB1E9\uB1EC\uB1F0\uB1F9\uB1FB\uB1FD\uB204\uB205\uB208\uB20B\uB20C\uB214\uB215\uB217\uB219\uB220\uB234\uB23C\uB258\uB25C\uB260\uB268\uB269\uB274\uB275\uB27C\uB284\uB285\uB289\uB290\uB291\uB294\uB298\uB299\uB29A\uB2A0\uB2A1\uB2A3\uB2A5\uB2A6\uB2AA\uB2AC\uB2B0\uB2B4\uB2C8\uB2C9\uB2CC\uB2D0\uB2D2\uB2D8\uB2D9\uB2DB\uB2DD\uB2E2\uB2E4\uB2E5\uB2E6\uB2E8\uB2EB", 4, "\uB2F3\uB2F4\uB2F5\uB2F7", 4, "\uB2FF\uB300\uB301\uB304\uB308\uB310\uB311\uB313\uB314\uB315\uB31C\uB354\uB355\uB356\uB358\uB35B\uB35C\uB35E\uB35F\uB364\uB365"],
      ["b541", "\uD095", 14, "\uD0A6\uD0A7\uD0A9\uD0AA\uD0AB\uD0AD", 5],
      ["b561", "\uD0B3\uD0B6\uD0B8\uD0BA", 5, "\uD0C2\uD0C3\uD0C5\uD0C6\uD0C7\uD0CA", 5, "\uD0D2\uD0D6", 4],
      ["b581", "\uD0DB\uD0DE\uD0DF\uD0E1\uD0E2\uD0E3\uD0E5", 6, "\uD0EE\uD0F2", 5, "\uD0F9", 11, "\uB367\uB369\uB36B\uB36E\uB370\uB371\uB374\uB378\uB380\uB381\uB383\uB384\uB385\uB38C\uB390\uB394\uB3A0\uB3A1\uB3A8\uB3AC\uB3C4\uB3C5\uB3C8\uB3CB\uB3CC\uB3CE\uB3D0\uB3D4\uB3D5\uB3D7\uB3D9\uB3DB\uB3DD\uB3E0\uB3E4\uB3E8\uB3FC\uB410\uB418\uB41C\uB420\uB428\uB429\uB42B\uB434\uB450\uB451\uB454\uB458\uB460\uB461\uB463\uB465\uB46C\uB480\uB488\uB49D\uB4A4\uB4A8\uB4AC\uB4B5\uB4B7\uB4B9\uB4C0\uB4C4\uB4C8\uB4D0\uB4D5\uB4DC\uB4DD\uB4E0\uB4E3\uB4E4\uB4E6\uB4EC\uB4ED\uB4EF\uB4F1\uB4F8\uB514\uB515\uB518\uB51B\uB51C\uB524\uB525\uB527\uB528\uB529\uB52A\uB530\uB531\uB534\uB538"],
      ["b641", "\uD105", 7, "\uD10E", 17],
      ["b661", "\uD120", 15, "\uD132\uD133\uD135\uD136\uD137\uD139\uD13B\uD13C\uD13D\uD13E"],
      ["b681", "\uD13F\uD142\uD146", 5, "\uD14E\uD14F\uD151\uD152\uD153\uD155", 6, "\uD15E\uD160\uD162", 5, "\uD169\uD16A\uD16B\uD16D\uB540\uB541\uB543\uB544\uB545\uB54B\uB54C\uB54D\uB550\uB554\uB55C\uB55D\uB55F\uB560\uB561\uB5A0\uB5A1\uB5A4\uB5A8\uB5AA\uB5AB\uB5B0\uB5B1\uB5B3\uB5B4\uB5B5\uB5BB\uB5BC\uB5BD\uB5C0\uB5C4\uB5CC\uB5CD\uB5CF\uB5D0\uB5D1\uB5D8\uB5EC\uB610\uB611\uB614\uB618\uB625\uB62C\uB634\uB648\uB664\uB668\uB69C\uB69D\uB6A0\uB6A4\uB6AB\uB6AC\uB6B1\uB6D4\uB6F0\uB6F4\uB6F8\uB700\uB701\uB705\uB728\uB729\uB72C\uB72F\uB730\uB738\uB739\uB73B\uB744\uB748\uB74C\uB754\uB755\uB760\uB764\uB768\uB770\uB771\uB773\uB775\uB77C\uB77D\uB780\uB784\uB78C\uB78D\uB78F\uB790\uB791\uB792\uB796\uB797"],
      ["b741", "\uD16E", 13, "\uD17D", 6, "\uD185\uD186\uD187\uD189\uD18A"],
      ["b761", "\uD18B", 20, "\uD1A2\uD1A3\uD1A5\uD1A6\uD1A7"],
      ["b781", "\uD1A9", 6, "\uD1B2\uD1B4\uD1B6\uD1B7\uD1B8\uD1B9\uD1BB\uD1BD\uD1BE\uD1BF\uD1C1", 14, "\uB798\uB799\uB79C\uB7A0\uB7A8\uB7A9\uB7AB\uB7AC\uB7AD\uB7B4\uB7B5\uB7B8\uB7C7\uB7C9\uB7EC\uB7ED\uB7F0\uB7F4\uB7FC\uB7FD\uB7FF\uB800\uB801\uB807\uB808\uB809\uB80C\uB810\uB818\uB819\uB81B\uB81D\uB824\uB825\uB828\uB82C\uB834\uB835\uB837\uB838\uB839\uB840\uB844\uB851\uB853\uB85C\uB85D\uB860\uB864\uB86C\uB86D\uB86F\uB871\uB878\uB87C\uB88D\uB8A8\uB8B0\uB8B4\uB8B8\uB8C0\uB8C1\uB8C3\uB8C5\uB8CC\uB8D0\uB8D4\uB8DD\uB8DF\uB8E1\uB8E8\uB8E9\uB8EC\uB8F0\uB8F8\uB8F9\uB8FB\uB8FD\uB904\uB918\uB920\uB93C\uB93D\uB940\uB944\uB94C\uB94F\uB951\uB958\uB959\uB95C\uB960\uB968\uB969"],
      ["b841", "\uD1D0", 7, "\uD1D9", 17],
      ["b861", "\uD1EB", 8, "\uD1F5\uD1F6\uD1F7\uD1F9", 13],
      ["b881", "\uD208\uD20A", 5, "\uD211", 24, "\uB96B\uB96D\uB974\uB975\uB978\uB97C\uB984\uB985\uB987\uB989\uB98A\uB98D\uB98E\uB9AC\uB9AD\uB9B0\uB9B4\uB9BC\uB9BD\uB9BF\uB9C1\uB9C8\uB9C9\uB9CC\uB9CE", 4, "\uB9D8\uB9D9\uB9DB\uB9DD\uB9DE\uB9E1\uB9E3\uB9E4\uB9E5\uB9E8\uB9EC\uB9F4\uB9F5\uB9F7\uB9F8\uB9F9\uB9FA\uBA00\uBA01\uBA08\uBA15\uBA38\uBA39\uBA3C\uBA40\uBA42\uBA48\uBA49\uBA4B\uBA4D\uBA4E\uBA53\uBA54\uBA55\uBA58\uBA5C\uBA64\uBA65\uBA67\uBA68\uBA69\uBA70\uBA71\uBA74\uBA78\uBA83\uBA84\uBA85\uBA87\uBA8C\uBAA8\uBAA9\uBAAB\uBAAC\uBAB0\uBAB2\uBAB8\uBAB9\uBABB\uBABD\uBAC4\uBAC8\uBAD8\uBAD9\uBAFC"],
      ["b941", "\uD22A\uD22B\uD22E\uD22F\uD231\uD232\uD233\uD235", 6, "\uD23E\uD240\uD242", 5, "\uD249\uD24A\uD24B\uD24C"],
      ["b961", "\uD24D", 14, "\uD25D", 6, "\uD265\uD266\uD267\uD268"],
      ["b981", "\uD269", 22, "\uD282\uD283\uD285\uD286\uD287\uD289\uD28A\uD28B\uD28C\uBB00\uBB04\uBB0D\uBB0F\uBB11\uBB18\uBB1C\uBB20\uBB29\uBB2B\uBB34\uBB35\uBB36\uBB38\uBB3B\uBB3C\uBB3D\uBB3E\uBB44\uBB45\uBB47\uBB49\uBB4D\uBB4F\uBB50\uBB54\uBB58\uBB61\uBB63\uBB6C\uBB88\uBB8C\uBB90\uBBA4\uBBA8\uBBAC\uBBB4\uBBB7\uBBC0\uBBC4\uBBC8\uBBD0\uBBD3\uBBF8\uBBF9\uBBFC\uBBFF\uBC00\uBC02\uBC08\uBC09\uBC0B\uBC0C\uBC0D\uBC0F\uBC11\uBC14", 4, "\uBC1B", 4, "\uBC24\uBC25\uBC27\uBC29\uBC2D\uBC30\uBC31\uBC34\uBC38\uBC40\uBC41\uBC43\uBC44\uBC45\uBC49\uBC4C\uBC4D\uBC50\uBC5D\uBC84\uBC85\uBC88\uBC8B\uBC8C\uBC8E\uBC94\uBC95\uBC97"],
      ["ba41", "\uD28D\uD28E\uD28F\uD292\uD293\uD294\uD296", 5, "\uD29D\uD29E\uD29F\uD2A1\uD2A2\uD2A3\uD2A5", 6, "\uD2AD"],
      ["ba61", "\uD2AE\uD2AF\uD2B0\uD2B2", 5, "\uD2BA\uD2BB\uD2BD\uD2BE\uD2C1\uD2C3", 4, "\uD2CA\uD2CC", 5],
      ["ba81", "\uD2D2\uD2D3\uD2D5\uD2D6\uD2D7\uD2D9\uD2DA\uD2DB\uD2DD", 6, "\uD2E6", 9, "\uD2F2\uD2F3\uD2F5\uD2F6\uD2F7\uD2F9\uD2FA\uBC99\uBC9A\uBCA0\uBCA1\uBCA4\uBCA7\uBCA8\uBCB0\uBCB1\uBCB3\uBCB4\uBCB5\uBCBC\uBCBD\uBCC0\uBCC4\uBCCD\uBCCF\uBCD0\uBCD1\uBCD5\uBCD8\uBCDC\uBCF4\uBCF5\uBCF6\uBCF8\uBCFC\uBD04\uBD05\uBD07\uBD09\uBD10\uBD14\uBD24\uBD2C\uBD40\uBD48\uBD49\uBD4C\uBD50\uBD58\uBD59\uBD64\uBD68\uBD80\uBD81\uBD84\uBD87\uBD88\uBD89\uBD8A\uBD90\uBD91\uBD93\uBD95\uBD99\uBD9A\uBD9C\uBDA4\uBDB0\uBDB8\uBDD4\uBDD5\uBDD8\uBDDC\uBDE9\uBDF0\uBDF4\uBDF8\uBE00\uBE03\uBE05\uBE0C\uBE0D\uBE10\uBE14\uBE1C\uBE1D\uBE1F\uBE44\uBE45\uBE48\uBE4C\uBE4E\uBE54\uBE55\uBE57\uBE59\uBE5A\uBE5B\uBE60\uBE61\uBE64"],
      ["bb41", "\uD2FB", 4, "\uD302\uD304\uD306", 5, "\uD30F\uD311\uD312\uD313\uD315\uD317", 4, "\uD31E\uD322\uD323"],
      ["bb61", "\uD324\uD326\uD327\uD32A\uD32B\uD32D\uD32E\uD32F\uD331", 6, "\uD33A\uD33E", 5, "\uD346\uD347\uD348\uD349"],
      ["bb81", "\uD34A", 31, "\uBE68\uBE6A\uBE70\uBE71\uBE73\uBE74\uBE75\uBE7B\uBE7C\uBE7D\uBE80\uBE84\uBE8C\uBE8D\uBE8F\uBE90\uBE91\uBE98\uBE99\uBEA8\uBED0\uBED1\uBED4\uBED7\uBED8\uBEE0\uBEE3\uBEE4\uBEE5\uBEEC\uBF01\uBF08\uBF09\uBF18\uBF19\uBF1B\uBF1C\uBF1D\uBF40\uBF41\uBF44\uBF48\uBF50\uBF51\uBF55\uBF94\uBFB0\uBFC5\uBFCC\uBFCD\uBFD0\uBFD4\uBFDC\uBFDF\uBFE1\uC03C\uC051\uC058\uC05C\uC060\uC068\uC069\uC090\uC091\uC094\uC098\uC0A0\uC0A1\uC0A3\uC0A5\uC0AC\uC0AD\uC0AF\uC0B0\uC0B3\uC0B4\uC0B5\uC0B6\uC0BC\uC0BD\uC0BF\uC0C0\uC0C1\uC0C5\uC0C8\uC0C9\uC0CC\uC0D0\uC0D8\uC0D9\uC0DB\uC0DC\uC0DD\uC0E4"],
      ["bc41", "\uD36A", 17, "\uD37E\uD37F\uD381\uD382\uD383\uD385\uD386\uD387"],
      ["bc61", "\uD388\uD389\uD38A\uD38B\uD38E\uD392", 5, "\uD39A\uD39B\uD39D\uD39E\uD39F\uD3A1", 6, "\uD3AA\uD3AC\uD3AE"],
      ["bc81", "\uD3AF", 4, "\uD3B5\uD3B6\uD3B7\uD3B9\uD3BA\uD3BB\uD3BD", 6, "\uD3C6\uD3C7\uD3CA", 5, "\uD3D1", 5, "\uC0E5\uC0E8\uC0EC\uC0F4\uC0F5\uC0F7\uC0F9\uC100\uC104\uC108\uC110\uC115\uC11C", 4, "\uC123\uC124\uC126\uC127\uC12C\uC12D\uC12F\uC130\uC131\uC136\uC138\uC139\uC13C\uC140\uC148\uC149\uC14B\uC14C\uC14D\uC154\uC155\uC158\uC15C\uC164\uC165\uC167\uC168\uC169\uC170\uC174\uC178\uC185\uC18C\uC18D\uC18E\uC190\uC194\uC196\uC19C\uC19D\uC19F\uC1A1\uC1A5\uC1A8\uC1A9\uC1AC\uC1B0\uC1BD\uC1C4\uC1C8\uC1CC\uC1D4\uC1D7\uC1D8\uC1E0\uC1E4\uC1E8\uC1F0\uC1F1\uC1F3\uC1FC\uC1FD\uC200\uC204\uC20C\uC20D\uC20F\uC211\uC218\uC219\uC21C\uC21F\uC220\uC228\uC229\uC22B\uC22D"],
      ["bd41", "\uD3D7\uD3D9", 7, "\uD3E2\uD3E4", 7, "\uD3EE\uD3EF\uD3F1\uD3F2\uD3F3\uD3F5\uD3F6\uD3F7"],
      ["bd61", "\uD3F8\uD3F9\uD3FA\uD3FB\uD3FE\uD400\uD402", 5, "\uD409", 13],
      ["bd81", "\uD417", 5, "\uD41E", 25, "\uC22F\uC231\uC232\uC234\uC248\uC250\uC251\uC254\uC258\uC260\uC265\uC26C\uC26D\uC270\uC274\uC27C\uC27D\uC27F\uC281\uC288\uC289\uC290\uC298\uC29B\uC29D\uC2A4\uC2A5\uC2A8\uC2AC\uC2AD\uC2B4\uC2B5\uC2B7\uC2B9\uC2DC\uC2DD\uC2E0\uC2E3\uC2E4\uC2EB\uC2EC\uC2ED\uC2EF\uC2F1\uC2F6\uC2F8\uC2F9\uC2FB\uC2FC\uC300\uC308\uC309\uC30C\uC30D\uC313\uC314\uC315\uC318\uC31C\uC324\uC325\uC328\uC329\uC345\uC368\uC369\uC36C\uC370\uC372\uC378\uC379\uC37C\uC37D\uC384\uC388\uC38C\uC3C0\uC3D8\uC3D9\uC3DC\uC3DF\uC3E0\uC3E2\uC3E8\uC3E9\uC3ED\uC3F4\uC3F5\uC3F8\uC408\uC410\uC424\uC42C\uC430"],
      ["be41", "\uD438", 7, "\uD441\uD442\uD443\uD445", 14],
      ["be61", "\uD454", 7, "\uD45D\uD45E\uD45F\uD461\uD462\uD463\uD465", 7, "\uD46E\uD470\uD471\uD472"],
      ["be81", "\uD473", 4, "\uD47A\uD47B\uD47D\uD47E\uD481\uD483", 4, "\uD48A\uD48C\uD48E", 5, "\uD495", 8, "\uC434\uC43C\uC43D\uC448\uC464\uC465\uC468\uC46C\uC474\uC475\uC479\uC480\uC494\uC49C\uC4B8\uC4BC\uC4E9\uC4F0\uC4F1\uC4F4\uC4F8\uC4FA\uC4FF\uC500\uC501\uC50C\uC510\uC514\uC51C\uC528\uC529\uC52C\uC530\uC538\uC539\uC53B\uC53D\uC544\uC545\uC548\uC549\uC54A\uC54C\uC54D\uC54E\uC553\uC554\uC555\uC557\uC558\uC559\uC55D\uC55E\uC560\uC561\uC564\uC568\uC570\uC571\uC573\uC574\uC575\uC57C\uC57D\uC580\uC584\uC587\uC58C\uC58D\uC58F\uC591\uC595\uC597\uC598\uC59C\uC5A0\uC5A9\uC5B4\uC5B5\uC5B8\uC5B9\uC5BB\uC5BC\uC5BD\uC5BE\uC5C4", 6, "\uC5CC\uC5CE"],
      ["bf41", "\uD49E", 10, "\uD4AA", 14],
      ["bf61", "\uD4B9", 18, "\uD4CD\uD4CE\uD4CF\uD4D1\uD4D2\uD4D3\uD4D5"],
      ["bf81", "\uD4D6", 5, "\uD4DD\uD4DE\uD4E0", 7, "\uD4E9\uD4EA\uD4EB\uD4ED\uD4EE\uD4EF\uD4F1", 6, "\uD4F9\uD4FA\uD4FC\uC5D0\uC5D1\uC5D4\uC5D8\uC5E0\uC5E1\uC5E3\uC5E5\uC5EC\uC5ED\uC5EE\uC5F0\uC5F4\uC5F6\uC5F7\uC5FC", 5, "\uC605\uC606\uC607\uC608\uC60C\uC610\uC618\uC619\uC61B\uC61C\uC624\uC625\uC628\uC62C\uC62D\uC62E\uC630\uC633\uC634\uC635\uC637\uC639\uC63B\uC640\uC641\uC644\uC648\uC650\uC651\uC653\uC654\uC655\uC65C\uC65D\uC660\uC66C\uC66F\uC671\uC678\uC679\uC67C\uC680\uC688\uC689\uC68B\uC68D\uC694\uC695\uC698\uC69C\uC6A4\uC6A5\uC6A7\uC6A9\uC6B0\uC6B1\uC6B4\uC6B8\uC6B9\uC6BA\uC6C0\uC6C1\uC6C3\uC6C5\uC6CC\uC6CD\uC6D0\uC6D4\uC6DC\uC6DD\uC6E0\uC6E1\uC6E8"],
      ["c041", "\uD4FE", 5, "\uD505\uD506\uD507\uD509\uD50A\uD50B\uD50D", 6, "\uD516\uD518", 5],
      ["c061", "\uD51E", 25],
      ["c081", "\uD538\uD539\uD53A\uD53B\uD53E\uD53F\uD541\uD542\uD543\uD545", 6, "\uD54E\uD550\uD552", 5, "\uD55A\uD55B\uD55D\uD55E\uD55F\uD561\uD562\uD563\uC6E9\uC6EC\uC6F0\uC6F8\uC6F9\uC6FD\uC704\uC705\uC708\uC70C\uC714\uC715\uC717\uC719\uC720\uC721\uC724\uC728\uC730\uC731\uC733\uC735\uC737\uC73C\uC73D\uC740\uC744\uC74A\uC74C\uC74D\uC74F\uC751", 7, "\uC75C\uC760\uC768\uC76B\uC774\uC775\uC778\uC77C\uC77D\uC77E\uC783\uC784\uC785\uC787\uC788\uC789\uC78A\uC78E\uC790\uC791\uC794\uC796\uC797\uC798\uC79A\uC7A0\uC7A1\uC7A3\uC7A4\uC7A5\uC7A6\uC7AC\uC7AD\uC7B0\uC7B4\uC7BC\uC7BD\uC7BF\uC7C0\uC7C1\uC7C8\uC7C9\uC7CC\uC7CE\uC7D0\uC7D8\uC7DD\uC7E4\uC7E8\uC7EC\uC800\uC801\uC804\uC808\uC80A"],
      ["c141", "\uD564\uD566\uD567\uD56A\uD56C\uD56E", 5, "\uD576\uD577\uD579\uD57A\uD57B\uD57D", 6, "\uD586\uD58A\uD58B"],
      ["c161", "\uD58C\uD58D\uD58E\uD58F\uD591", 19, "\uD5A6\uD5A7"],
      ["c181", "\uD5A8", 31, "\uC810\uC811\uC813\uC815\uC816\uC81C\uC81D\uC820\uC824\uC82C\uC82D\uC82F\uC831\uC838\uC83C\uC840\uC848\uC849\uC84C\uC84D\uC854\uC870\uC871\uC874\uC878\uC87A\uC880\uC881\uC883\uC885\uC886\uC887\uC88B\uC88C\uC88D\uC894\uC89D\uC89F\uC8A1\uC8A8\uC8BC\uC8BD\uC8C4\uC8C8\uC8CC\uC8D4\uC8D5\uC8D7\uC8D9\uC8E0\uC8E1\uC8E4\uC8F5\uC8FC\uC8FD\uC900\uC904\uC905\uC906\uC90C\uC90D\uC90F\uC911\uC918\uC92C\uC934\uC950\uC951\uC954\uC958\uC960\uC961\uC963\uC96C\uC970\uC974\uC97C\uC988\uC989\uC98C\uC990\uC998\uC999\uC99B\uC99D\uC9C0\uC9C1\uC9C4\uC9C7\uC9C8\uC9CA\uC9D0\uC9D1\uC9D3"],
      ["c241", "\uD5CA\uD5CB\uD5CD\uD5CE\uD5CF\uD5D1\uD5D3", 4, "\uD5DA\uD5DC\uD5DE", 5, "\uD5E6\uD5E7\uD5E9\uD5EA\uD5EB\uD5ED\uD5EE"],
      ["c261", "\uD5EF", 4, "\uD5F6\uD5F8\uD5FA", 5, "\uD602\uD603\uD605\uD606\uD607\uD609", 6, "\uD612"],
      ["c281", "\uD616", 5, "\uD61D\uD61E\uD61F\uD621\uD622\uD623\uD625", 7, "\uD62E", 9, "\uD63A\uD63B\uC9D5\uC9D6\uC9D9\uC9DA\uC9DC\uC9DD\uC9E0\uC9E2\uC9E4\uC9E7\uC9EC\uC9ED\uC9EF\uC9F0\uC9F1\uC9F8\uC9F9\uC9FC\uCA00\uCA08\uCA09\uCA0B\uCA0C\uCA0D\uCA14\uCA18\uCA29\uCA4C\uCA4D\uCA50\uCA54\uCA5C\uCA5D\uCA5F\uCA60\uCA61\uCA68\uCA7D\uCA84\uCA98\uCABC\uCABD\uCAC0\uCAC4\uCACC\uCACD\uCACF\uCAD1\uCAD3\uCAD8\uCAD9\uCAE0\uCAEC\uCAF4\uCB08\uCB10\uCB14\uCB18\uCB20\uCB21\uCB41\uCB48\uCB49\uCB4C\uCB50\uCB58\uCB59\uCB5D\uCB64\uCB78\uCB79\uCB9C\uCBB8\uCBD4\uCBE4\uCBE7\uCBE9\uCC0C\uCC0D\uCC10\uCC14\uCC1C\uCC1D\uCC21\uCC22\uCC27\uCC28\uCC29\uCC2C\uCC2E\uCC30\uCC38\uCC39\uCC3B"],
      ["c341", "\uD63D\uD63E\uD63F\uD641\uD642\uD643\uD644\uD646\uD647\uD64A\uD64C\uD64E\uD64F\uD650\uD652\uD653\uD656\uD657\uD659\uD65A\uD65B\uD65D", 4],
      ["c361", "\uD662", 4, "\uD668\uD66A", 5, "\uD672\uD673\uD675", 11],
      ["c381", "\uD681\uD682\uD684\uD686", 5, "\uD68E\uD68F\uD691\uD692\uD693\uD695", 7, "\uD69E\uD6A0\uD6A2", 5, "\uD6A9\uD6AA\uCC3C\uCC3D\uCC3E\uCC44\uCC45\uCC48\uCC4C\uCC54\uCC55\uCC57\uCC58\uCC59\uCC60\uCC64\uCC66\uCC68\uCC70\uCC75\uCC98\uCC99\uCC9C\uCCA0\uCCA8\uCCA9\uCCAB\uCCAC\uCCAD\uCCB4\uCCB5\uCCB8\uCCBC\uCCC4\uCCC5\uCCC7\uCCC9\uCCD0\uCCD4\uCCE4\uCCEC\uCCF0\uCD01\uCD08\uCD09\uCD0C\uCD10\uCD18\uCD19\uCD1B\uCD1D\uCD24\uCD28\uCD2C\uCD39\uCD5C\uCD60\uCD64\uCD6C\uCD6D\uCD6F\uCD71\uCD78\uCD88\uCD94\uCD95\uCD98\uCD9C\uCDA4\uCDA5\uCDA7\uCDA9\uCDB0\uCDC4\uCDCC\uCDD0\uCDE8\uCDEC\uCDF0\uCDF8\uCDF9\uCDFB\uCDFD\uCE04\uCE08\uCE0C\uCE14\uCE19\uCE20\uCE21\uCE24\uCE28\uCE30\uCE31\uCE33\uCE35"],
      ["c441", "\uD6AB\uD6AD\uD6AE\uD6AF\uD6B1", 7, "\uD6BA\uD6BC", 7, "\uD6C6\uD6C7\uD6C9\uD6CA\uD6CB"],
      ["c461", "\uD6CD\uD6CE\uD6CF\uD6D0\uD6D2\uD6D3\uD6D5\uD6D6\uD6D8\uD6DA", 5, "\uD6E1\uD6E2\uD6E3\uD6E5\uD6E6\uD6E7\uD6E9", 4],
      ["c481", "\uD6EE\uD6EF\uD6F1\uD6F2\uD6F3\uD6F4\uD6F6", 5, "\uD6FE\uD6FF\uD701\uD702\uD703\uD705", 11, "\uD712\uD713\uD714\uCE58\uCE59\uCE5C\uCE5F\uCE60\uCE61\uCE68\uCE69\uCE6B\uCE6D\uCE74\uCE75\uCE78\uCE7C\uCE84\uCE85\uCE87\uCE89\uCE90\uCE91\uCE94\uCE98\uCEA0\uCEA1\uCEA3\uCEA4\uCEA5\uCEAC\uCEAD\uCEC1\uCEE4\uCEE5\uCEE8\uCEEB\uCEEC\uCEF4\uCEF5\uCEF7\uCEF8\uCEF9\uCF00\uCF01\uCF04\uCF08\uCF10\uCF11\uCF13\uCF15\uCF1C\uCF20\uCF24\uCF2C\uCF2D\uCF2F\uCF30\uCF31\uCF38\uCF54\uCF55\uCF58\uCF5C\uCF64\uCF65\uCF67\uCF69\uCF70\uCF71\uCF74\uCF78\uCF80\uCF85\uCF8C\uCFA1\uCFA8\uCFB0\uCFC4\uCFE0\uCFE1\uCFE4\uCFE8\uCFF0\uCFF1\uCFF3\uCFF5\uCFFC\uD000\uD004\uD011\uD018\uD02D\uD034\uD035\uD038\uD03C"],
      ["c541", "\uD715\uD716\uD717\uD71A\uD71B\uD71D\uD71E\uD71F\uD721", 6, "\uD72A\uD72C\uD72E", 5, "\uD736\uD737\uD739"],
      ["c561", "\uD73A\uD73B\uD73D", 6, "\uD745\uD746\uD748\uD74A", 5, "\uD752\uD753\uD755\uD75A", 4],
      ["c581", "\uD75F\uD762\uD764\uD766\uD767\uD768\uD76A\uD76B\uD76D\uD76E\uD76F\uD771\uD772\uD773\uD775", 6, "\uD77E\uD77F\uD780\uD782", 5, "\uD78A\uD78B\uD044\uD045\uD047\uD049\uD050\uD054\uD058\uD060\uD06C\uD06D\uD070\uD074\uD07C\uD07D\uD081\uD0A4\uD0A5\uD0A8\uD0AC\uD0B4\uD0B5\uD0B7\uD0B9\uD0C0\uD0C1\uD0C4\uD0C8\uD0C9\uD0D0\uD0D1\uD0D3\uD0D4\uD0D5\uD0DC\uD0DD\uD0E0\uD0E4\uD0EC\uD0ED\uD0EF\uD0F0\uD0F1\uD0F8\uD10D\uD130\uD131\uD134\uD138\uD13A\uD140\uD141\uD143\uD144\uD145\uD14C\uD14D\uD150\uD154\uD15C\uD15D\uD15F\uD161\uD168\uD16C\uD17C\uD184\uD188\uD1A0\uD1A1\uD1A4\uD1A8\uD1B0\uD1B1\uD1B3\uD1B5\uD1BA\uD1BC\uD1C0\uD1D8\uD1F4\uD1F8\uD207\uD209\uD210\uD22C\uD22D\uD230\uD234\uD23C\uD23D\uD23F\uD241\uD248\uD25C"],
      ["c641", "\uD78D\uD78E\uD78F\uD791", 6, "\uD79A\uD79C\uD79E", 5],
      ["c6a1", "\uD264\uD280\uD281\uD284\uD288\uD290\uD291\uD295\uD29C\uD2A0\uD2A4\uD2AC\uD2B1\uD2B8\uD2B9\uD2BC\uD2BF\uD2C0\uD2C2\uD2C8\uD2C9\uD2CB\uD2D4\uD2D8\uD2DC\uD2E4\uD2E5\uD2F0\uD2F1\uD2F4\uD2F8\uD300\uD301\uD303\uD305\uD30C\uD30D\uD30E\uD310\uD314\uD316\uD31C\uD31D\uD31F\uD320\uD321\uD325\uD328\uD329\uD32C\uD330\uD338\uD339\uD33B\uD33C\uD33D\uD344\uD345\uD37C\uD37D\uD380\uD384\uD38C\uD38D\uD38F\uD390\uD391\uD398\uD399\uD39C\uD3A0\uD3A8\uD3A9\uD3AB\uD3AD\uD3B4\uD3B8\uD3BC\uD3C4\uD3C5\uD3C8\uD3C9\uD3D0\uD3D8\uD3E1\uD3E3\uD3EC\uD3ED\uD3F0\uD3F4\uD3FC\uD3FD\uD3FF\uD401"],
      ["c7a1", "\uD408\uD41D\uD440\uD444\uD45C\uD460\uD464\uD46D\uD46F\uD478\uD479\uD47C\uD47F\uD480\uD482\uD488\uD489\uD48B\uD48D\uD494\uD4A9\uD4CC\uD4D0\uD4D4\uD4DC\uD4DF\uD4E8\uD4EC\uD4F0\uD4F8\uD4FB\uD4FD\uD504\uD508\uD50C\uD514\uD515\uD517\uD53C\uD53D\uD540\uD544\uD54C\uD54D\uD54F\uD551\uD558\uD559\uD55C\uD560\uD565\uD568\uD569\uD56B\uD56D\uD574\uD575\uD578\uD57C\uD584\uD585\uD587\uD588\uD589\uD590\uD5A5\uD5C8\uD5C9\uD5CC\uD5D0\uD5D2\uD5D8\uD5D9\uD5DB\uD5DD\uD5E4\uD5E5\uD5E8\uD5EC\uD5F4\uD5F5\uD5F7\uD5F9\uD600\uD601\uD604\uD608\uD610\uD611\uD613\uD614\uD615\uD61C\uD620"],
      ["c8a1", "\uD624\uD62D\uD638\uD639\uD63C\uD640\uD645\uD648\uD649\uD64B\uD64D\uD651\uD654\uD655\uD658\uD65C\uD667\uD669\uD670\uD671\uD674\uD683\uD685\uD68C\uD68D\uD690\uD694\uD69D\uD69F\uD6A1\uD6A8\uD6AC\uD6B0\uD6B9\uD6BB\uD6C4\uD6C5\uD6C8\uD6CC\uD6D1\uD6D4\uD6D7\uD6D9\uD6E0\uD6E4\uD6E8\uD6F0\uD6F5\uD6FC\uD6FD\uD700\uD704\uD711\uD718\uD719\uD71C\uD720\uD728\uD729\uD72B\uD72D\uD734\uD735\uD738\uD73C\uD744\uD747\uD749\uD750\uD751\uD754\uD756\uD757\uD758\uD759\uD760\uD761\uD763\uD765\uD769\uD76C\uD770\uD774\uD77C\uD77D\uD781\uD788\uD789\uD78C\uD790\uD798\uD799\uD79B\uD79D"],
      ["caa1", "\u4F3D\u4F73\u5047\u50F9\u52A0\u53EF\u5475\u54E5\u5609\u5AC1\u5BB6\u6687\u67B6\u67B7\u67EF\u6B4C\u73C2\u75C2\u7A3C\u82DB\u8304\u8857\u8888\u8A36\u8CC8\u8DCF\u8EFB\u8FE6\u99D5\u523B\u5374\u5404\u606A\u6164\u6BBC\u73CF\u811A\u89BA\u89D2\u95A3\u4F83\u520A\u58BE\u5978\u59E6\u5E72\u5E79\u61C7\u63C0\u6746\u67EC\u687F\u6F97\u764E\u770B\u78F5\u7A08\u7AFF\u7C21\u809D\u826E\u8271\u8AEB\u9593\u4E6B\u559D\u66F7\u6E34\u78A3\u7AED\u845B\u8910\u874E\u97A8\u52D8\u574E\u582A\u5D4C\u611F\u61BE\u6221\u6562\u67D1\u6A44\u6E1B\u7518\u75B3\u76E3\u77B0\u7D3A\u90AF\u9451\u9452\u9F95"],
      ["cba1", "\u5323\u5CAC\u7532\u80DB\u9240\u9598\u525B\u5808\u59DC\u5CA1\u5D17\u5EB7\u5F3A\u5F4A\u6177\u6C5F\u757A\u7586\u7CE0\u7D73\u7DB1\u7F8C\u8154\u8221\u8591\u8941\u8B1B\u92FC\u964D\u9C47\u4ECB\u4EF7\u500B\u51F1\u584F\u6137\u613E\u6168\u6539\u69EA\u6F11\u75A5\u7686\u76D6\u7B87\u82A5\u84CB\uF900\u93A7\u958B\u5580\u5BA2\u5751\uF901\u7CB3\u7FB9\u91B5\u5028\u53BB\u5C45\u5DE8\u62D2\u636E\u64DA\u64E7\u6E20\u70AC\u795B\u8DDD\u8E1E\uF902\u907D\u9245\u92F8\u4E7E\u4EF6\u5065\u5DFE\u5EFA\u6106\u6957\u8171\u8654\u8E47\u9375\u9A2B\u4E5E\u5091\u6770\u6840\u5109\u528D\u5292\u6AA2"],
      ["cca1", "\u77BC\u9210\u9ED4\u52AB\u602F\u8FF2\u5048\u61A9\u63ED\u64CA\u683C\u6A84\u6FC0\u8188\u89A1\u9694\u5805\u727D\u72AC\u7504\u7D79\u7E6D\u80A9\u898B\u8B74\u9063\u9D51\u6289\u6C7A\u6F54\u7D50\u7F3A\u8A23\u517C\u614A\u7B9D\u8B19\u9257\u938C\u4EAC\u4FD3\u501E\u50BE\u5106\u52C1\u52CD\u537F\u5770\u5883\u5E9A\u5F91\u6176\u61AC\u64CE\u656C\u666F\u66BB\u66F4\u6897\u6D87\u7085\u70F1\u749F\u74A5\u74CA\u75D9\u786C\u78EC\u7ADF\u7AF6\u7D45\u7D93\u8015\u803F\u811B\u8396\u8B66\u8F15\u9015\u93E1\u9803\u9838\u9A5A\u9BE8\u4FC2\u5553\u583A\u5951\u5B63\u5C46\u60B8\u6212\u6842\u68B0"],
      ["cda1", "\u68E8\u6EAA\u754C\u7678\u78CE\u7A3D\u7CFB\u7E6B\u7E7C\u8A08\u8AA1\u8C3F\u968E\u9DC4\u53E4\u53E9\u544A\u5471\u56FA\u59D1\u5B64\u5C3B\u5EAB\u62F7\u6537\u6545\u6572\u66A0\u67AF\u69C1\u6CBD\u75FC\u7690\u777E\u7A3F\u7F94\u8003\u80A1\u818F\u82E6\u82FD\u83F0\u85C1\u8831\u88B4\u8AA5\uF903\u8F9C\u932E\u96C7\u9867\u9AD8\u9F13\u54ED\u659B\u66F2\u688F\u7A40\u8C37\u9D60\u56F0\u5764\u5D11\u6606\u68B1\u68CD\u6EFE\u7428\u889E\u9BE4\u6C68\uF904\u9AA8\u4F9B\u516C\u5171\u529F\u5B54\u5DE5\u6050\u606D\u62F1\u63A7\u653B\u73D9\u7A7A\u86A3\u8CA2\u978F\u4E32\u5BE1\u6208\u679C\u74DC"],
      ["cea1", "\u79D1\u83D3\u8A87\u8AB2\u8DE8\u904E\u934B\u9846\u5ED3\u69E8\u85FF\u90ED\uF905\u51A0\u5B98\u5BEC\u6163\u68FA\u6B3E\u704C\u742F\u74D8\u7BA1\u7F50\u83C5\u89C0\u8CAB\u95DC\u9928\u522E\u605D\u62EC\u9002\u4F8A\u5149\u5321\u58D9\u5EE3\u66E0\u6D38\u709A\u72C2\u73D6\u7B50\u80F1\u945B\u5366\u639B\u7F6B\u4E56\u5080\u584A\u58DE\u602A\u6127\u62D0\u69D0\u9B41\u5B8F\u7D18\u80B1\u8F5F\u4EA4\u50D1\u54AC\u55AC\u5B0C\u5DA0\u5DE7\u652A\u654E\u6821\u6A4B\u72E1\u768E\u77EF\u7D5E\u7FF9\u81A0\u854E\u86DF\u8F03\u8F4E\u90CA\u9903\u9A55\u9BAB\u4E18\u4E45\u4E5D\u4EC7\u4FF1\u5177\u52FE"],
      ["cfa1", "\u5340\u53E3\u53E5\u548E\u5614\u5775\u57A2\u5BC7\u5D87\u5ED0\u61FC\u62D8\u6551\u67B8\u67E9\u69CB\u6B50\u6BC6\u6BEC\u6C42\u6E9D\u7078\u72D7\u7396\u7403\u77BF\u77E9\u7A76\u7D7F\u8009\u81FC\u8205\u820A\u82DF\u8862\u8B33\u8CFC\u8EC0\u9011\u90B1\u9264\u92B6\u99D2\u9A45\u9CE9\u9DD7\u9F9C\u570B\u5C40\u83CA\u97A0\u97AB\u9EB4\u541B\u7A98\u7FA4\u88D9\u8ECD\u90E1\u5800\u5C48\u6398\u7A9F\u5BAE\u5F13\u7A79\u7AAE\u828E\u8EAC\u5026\u5238\u52F8\u5377\u5708\u62F3\u6372\u6B0A\u6DC3\u7737\u53A5\u7357\u8568\u8E76\u95D5\u673A\u6AC3\u6F70\u8A6D\u8ECC\u994B\uF906\u6677\u6B78\u8CB4"],
      ["d0a1", "\u9B3C\uF907\u53EB\u572D\u594E\u63C6\u69FB\u73EA\u7845\u7ABA\u7AC5\u7CFE\u8475\u898F\u8D73\u9035\u95A8\u52FB\u5747\u7547\u7B60\u83CC\u921E\uF908\u6A58\u514B\u524B\u5287\u621F\u68D8\u6975\u9699\u50C5\u52A4\u52E4\u61C3\u65A4\u6839\u69FF\u747E\u7B4B\u82B9\u83EB\u89B2\u8B39\u8FD1\u9949\uF909\u4ECA\u5997\u64D2\u6611\u6A8E\u7434\u7981\u79BD\u82A9\u887E\u887F\u895F\uF90A\u9326\u4F0B\u53CA\u6025\u6271\u6C72\u7D1A\u7D66\u4E98\u5162\u77DC\u80AF\u4F01\u4F0E\u5176\u5180\u55DC\u5668\u573B\u57FA\u57FC\u5914\u5947\u5993\u5BC4\u5C90\u5D0E\u5DF1\u5E7E\u5FCC\u6280\u65D7\u65E3"],
      ["d1a1", "\u671E\u671F\u675E\u68CB\u68C4\u6A5F\u6B3A\u6C23\u6C7D\u6C82\u6DC7\u7398\u7426\u742A\u7482\u74A3\u7578\u757F\u7881\u78EF\u7941\u7947\u7948\u797A\u7B95\u7D00\u7DBA\u7F88\u8006\u802D\u808C\u8A18\u8B4F\u8C48\u8D77\u9321\u9324\u98E2\u9951\u9A0E\u9A0F\u9A65\u9E92\u7DCA\u4F76\u5409\u62EE\u6854\u91D1\u55AB\u513A\uF90B\uF90C\u5A1C\u61E6\uF90D\u62CF\u62FF\uF90E", 5, "\u90A3\uF914", 4, "\u8AFE\uF919\uF91A\uF91B\uF91C\u6696\uF91D\u7156\uF91E\uF91F\u96E3\uF920\u634F\u637A\u5357\uF921\u678F\u6960\u6E73\uF922\u7537\uF923\uF924\uF925"],
      ["d2a1", "\u7D0D\uF926\uF927\u8872\u56CA\u5A18\uF928", 4, "\u4E43\uF92D\u5167\u5948\u67F0\u8010\uF92E\u5973\u5E74\u649A\u79CA\u5FF5\u606C\u62C8\u637B\u5BE7\u5BD7\u52AA\uF92F\u5974\u5F29\u6012\uF930\uF931\uF932\u7459\uF933", 5, "\u99D1\uF939", 10, "\u6FC3\uF944\uF945\u81BF\u8FB2\u60F1\uF946\uF947\u8166\uF948\uF949\u5C3F\uF94A", 7, "\u5AE9\u8A25\u677B\u7D10\uF952", 5, "\u80FD\uF958\uF959\u5C3C\u6CE5\u533F\u6EBA\u591A\u8336"],
      ["d3a1", "\u4E39\u4EB6\u4F46\u55AE\u5718\u58C7\u5F56\u65B7\u65E6\u6A80\u6BB5\u6E4D\u77ED\u7AEF\u7C1E\u7DDE\u86CB\u8892\u9132\u935B\u64BB\u6FBE\u737A\u75B8\u9054\u5556\u574D\u61BA\u64D4\u66C7\u6DE1\u6E5B\u6F6D\u6FB9\u75F0\u8043\u81BD\u8541\u8983\u8AC7\u8B5A\u931F\u6C93\u7553\u7B54\u8E0F\u905D\u5510\u5802\u5858\u5E62\u6207\u649E\u68E0\u7576\u7CD6\u87B3\u9EE8\u4EE3\u5788\u576E\u5927\u5C0D\u5CB1\u5E36\u5F85\u6234\u64E1\u73B3\u81FA\u888B\u8CB8\u968A\u9EDB\u5B85\u5FB7\u60B3\u5012\u5200\u5230\u5716\u5835\u5857\u5C0E\u5C60\u5CF6\u5D8B\u5EA6\u5F92\u60BC\u6311\u6389\u6417\u6843"],
      ["d4a1", "\u68F9\u6AC2\u6DD8\u6E21\u6ED4\u6FE4\u71FE\u76DC\u7779\u79B1\u7A3B\u8404\u89A9\u8CED\u8DF3\u8E48\u9003\u9014\u9053\u90FD\u934D\u9676\u97DC\u6BD2\u7006\u7258\u72A2\u7368\u7763\u79BF\u7BE4\u7E9B\u8B80\u58A9\u60C7\u6566\u65FD\u66BE\u6C8C\u711E\u71C9\u8C5A\u9813\u4E6D\u7A81\u4EDD\u51AC\u51CD\u52D5\u540C\u61A7\u6771\u6850\u68DF\u6D1E\u6F7C\u75BC\u77B3\u7AE5\u80F4\u8463\u9285\u515C\u6597\u675C\u6793\u75D8\u7AC7\u8373\uF95A\u8C46\u9017\u982D\u5C6F\u81C0\u829A\u9041\u906F\u920D\u5F97\u5D9D\u6A59\u71C8\u767B\u7B49\u85E4\u8B04\u9127\u9A30\u5587\u61F6\uF95B\u7669\u7F85"],
      ["d5a1", "\u863F\u87BA\u88F8\u908F\uF95C\u6D1B\u70D9\u73DE\u7D61\u843D\uF95D\u916A\u99F1\uF95E\u4E82\u5375\u6B04\u6B12\u703E\u721B\u862D\u9E1E\u524C\u8FA3\u5D50\u64E5\u652C\u6B16\u6FEB\u7C43\u7E9C\u85CD\u8964\u89BD\u62C9\u81D8\u881F\u5ECA\u6717\u6D6A\u72FC\u7405\u746F\u8782\u90DE\u4F86\u5D0D\u5FA0\u840A\u51B7\u63A0\u7565\u4EAE\u5006\u5169\u51C9\u6881\u6A11\u7CAE\u7CB1\u7CE7\u826F\u8AD2\u8F1B\u91CF\u4FB6\u5137\u52F5\u5442\u5EEC\u616E\u623E\u65C5\u6ADA\u6FFE\u792A\u85DC\u8823\u95AD\u9A62\u9A6A\u9E97\u9ECE\u529B\u66C6\u6B77\u701D\u792B\u8F62\u9742\u6190\u6200\u6523\u6F23"],
      ["d6a1", "\u7149\u7489\u7DF4\u806F\u84EE\u8F26\u9023\u934A\u51BD\u5217\u52A3\u6D0C\u70C8\u88C2\u5EC9\u6582\u6BAE\u6FC2\u7C3E\u7375\u4EE4\u4F36\u56F9\uF95F\u5CBA\u5DBA\u601C\u73B2\u7B2D\u7F9A\u7FCE\u8046\u901E\u9234\u96F6\u9748\u9818\u9F61\u4F8B\u6FA7\u79AE\u91B4\u96B7\u52DE\uF960\u6488\u64C4\u6AD3\u6F5E\u7018\u7210\u76E7\u8001\u8606\u865C\u8DEF\u8F05\u9732\u9B6F\u9DFA\u9E75\u788C\u797F\u7DA0\u83C9\u9304\u9E7F\u9E93\u8AD6\u58DF\u5F04\u6727\u7027\u74CF\u7C60\u807E\u5121\u7028\u7262\u78CA\u8CC2\u8CDA\u8CF4\u96F7\u4E86\u50DA\u5BEE\u5ED6\u6599\u71CE\u7642\u77AD\u804A\u84FC"],
      ["d7a1", "\u907C\u9B27\u9F8D\u58D8\u5A41\u5C62\u6A13\u6DDA\u6F0F\u763B\u7D2F\u7E37\u851E\u8938\u93E4\u964B\u5289\u65D2\u67F3\u69B4\u6D41\u6E9C\u700F\u7409\u7460\u7559\u7624\u786B\u8B2C\u985E\u516D\u622E\u9678\u4F96\u502B\u5D19\u6DEA\u7DB8\u8F2A\u5F8B\u6144\u6817\uF961\u9686\u52D2\u808B\u51DC\u51CC\u695E\u7A1C\u7DBE\u83F1\u9675\u4FDA\u5229\u5398\u540F\u550E\u5C65\u60A7\u674E\u68A8\u6D6C\u7281\u72F8\u7406\u7483\uF962\u75E2\u7C6C\u7F79\u7FB8\u8389\u88CF\u88E1\u91CC\u91D0\u96E2\u9BC9\u541D\u6F7E\u71D0\u7498\u85FA\u8EAA\u96A3\u9C57\u9E9F\u6797\u6DCB\u7433\u81E8\u9716\u782C"],
      ["d8a1", "\u7ACB\u7B20\u7C92\u6469\u746A\u75F2\u78BC\u78E8\u99AC\u9B54\u9EBB\u5BDE\u5E55\u6F20\u819C\u83AB\u9088\u4E07\u534D\u5A29\u5DD2\u5F4E\u6162\u633D\u6669\u66FC\u6EFF\u6F2B\u7063\u779E\u842C\u8513\u883B\u8F13\u9945\u9C3B\u551C\u62B9\u672B\u6CAB\u8309\u896A\u977A\u4EA1\u5984\u5FD8\u5FD9\u671B\u7DB2\u7F54\u8292\u832B\u83BD\u8F1E\u9099\u57CB\u59B9\u5A92\u5BD0\u6627\u679A\u6885\u6BCF\u7164\u7F75\u8CB7\u8CE3\u9081\u9B45\u8108\u8C8A\u964C\u9A40\u9EA5\u5B5F\u6C13\u731B\u76F2\u76DF\u840C\u51AA\u8993\u514D\u5195\u52C9\u68C9\u6C94\u7704\u7720\u7DBF\u7DEC\u9762\u9EB5\u6EC5"],
      ["d9a1", "\u8511\u51A5\u540D\u547D\u660E\u669D\u6927\u6E9F\u76BF\u7791\u8317\u84C2\u879F\u9169\u9298\u9CF4\u8882\u4FAE\u5192\u52DF\u59C6\u5E3D\u6155\u6478\u6479\u66AE\u67D0\u6A21\u6BCD\u6BDB\u725F\u7261\u7441\u7738\u77DB\u8017\u82BC\u8305\u8B00\u8B28\u8C8C\u6728\u6C90\u7267\u76EE\u7766\u7A46\u9DA9\u6B7F\u6C92\u5922\u6726\u8499\u536F\u5893\u5999\u5EDF\u63CF\u6634\u6773\u6E3A\u732B\u7AD7\u82D7\u9328\u52D9\u5DEB\u61AE\u61CB\u620A\u62C7\u64AB\u65E0\u6959\u6B66\u6BCB\u7121\u73F7\u755D\u7E46\u821E\u8302\u856A\u8AA3\u8CBF\u9727\u9D61\u58A8\u9ED8\u5011\u520E\u543B\u554F\u6587"],
      ["daa1", "\u6C76\u7D0A\u7D0B\u805E\u868A\u9580\u96EF\u52FF\u6C95\u7269\u5473\u5A9A\u5C3E\u5D4B\u5F4C\u5FAE\u672A\u68B6\u6963\u6E3C\u6E44\u7709\u7C73\u7F8E\u8587\u8B0E\u8FF7\u9761\u9EF4\u5CB7\u60B6\u610D\u61AB\u654F\u65FB\u65FC\u6C11\u6CEF\u739F\u73C9\u7DE1\u9594\u5BC6\u871C\u8B10\u525D\u535A\u62CD\u640F\u64B2\u6734\u6A38\u6CCA\u73C0\u749E\u7B94\u7C95\u7E1B\u818A\u8236\u8584\u8FEB\u96F9\u99C1\u4F34\u534A\u53CD\u53DB\u62CC\u642C\u6500\u6591\u69C3\u6CEE\u6F58\u73ED\u7554\u7622\u76E4\u76FC\u78D0\u78FB\u792C\u7D46\u822C\u87E0\u8FD4\u9812\u98EF\u52C3\u62D4\u64A5\u6E24\u6F51"],
      ["dba1", "\u767C\u8DCB\u91B1\u9262\u9AEE\u9B43\u5023\u508D\u574A\u59A8\u5C28\u5E47\u5F77\u623F\u653E\u65B9\u65C1\u6609\u678B\u699C\u6EC2\u78C5\u7D21\u80AA\u8180\u822B\u82B3\u84A1\u868C\u8A2A\u8B17\u90A6\u9632\u9F90\u500D\u4FF3\uF963\u57F9\u5F98\u62DC\u6392\u676F\u6E43\u7119\u76C3\u80CC\u80DA\u88F4\u88F5\u8919\u8CE0\u8F29\u914D\u966A\u4F2F\u4F70\u5E1B\u67CF\u6822\u767D\u767E\u9B44\u5E61\u6A0A\u7169\u71D4\u756A\uF964\u7E41\u8543\u85E9\u98DC\u4F10\u7B4F\u7F70\u95A5\u51E1\u5E06\u68B5\u6C3E\u6C4E\u6CDB\u72AF\u7BC4\u8303\u6CD5\u743A\u50FB\u5288\u58C1\u64D8\u6A97\u74A7\u7656"],
      ["dca1", "\u78A7\u8617\u95E2\u9739\uF965\u535E\u5F01\u8B8A\u8FA8\u8FAF\u908A\u5225\u77A5\u9C49\u9F08\u4E19\u5002\u5175\u5C5B\u5E77\u661E\u663A\u67C4\u68C5\u70B3\u7501\u75C5\u79C9\u7ADD\u8F27\u9920\u9A08\u4FDD\u5821\u5831\u5BF6\u666E\u6B65\u6D11\u6E7A\u6F7D\u73E4\u752B\u83E9\u88DC\u8913\u8B5C\u8F14\u4F0F\u50D5\u5310\u535C\u5B93\u5FA9\u670D\u798F\u8179\u832F\u8514\u8907\u8986\u8F39\u8F3B\u99A5\u9C12\u672C\u4E76\u4FF8\u5949\u5C01\u5CEF\u5CF0\u6367\u68D2\u70FD\u71A2\u742B\u7E2B\u84EC\u8702\u9022\u92D2\u9CF3\u4E0D\u4ED8\u4FEF\u5085\u5256\u526F\u5426\u5490\u57E0\u592B\u5A66"],
      ["dda1", "\u5B5A\u5B75\u5BCC\u5E9C\uF966\u6276\u6577\u65A7\u6D6E\u6EA5\u7236\u7B26\u7C3F\u7F36\u8150\u8151\u819A\u8240\u8299\u83A9\u8A03\u8CA0\u8CE6\u8CFB\u8D74\u8DBA\u90E8\u91DC\u961C\u9644\u99D9\u9CE7\u5317\u5206\u5429\u5674\u58B3\u5954\u596E\u5FFF\u61A4\u626E\u6610\u6C7E\u711A\u76C6\u7C89\u7CDE\u7D1B\u82AC\u8CC1\u96F0\uF967\u4F5B\u5F17\u5F7F\u62C2\u5D29\u670B\u68DA\u787C\u7E43\u9D6C\u4E15\u5099\u5315\u532A\u5351\u5983\u5A62\u5E87\u60B2\u618A\u6249\u6279\u6590\u6787\u69A7\u6BD4\u6BD6\u6BD7\u6BD8\u6CB8\uF968\u7435\u75FA\u7812\u7891\u79D5\u79D8\u7C83\u7DCB\u7FE1\u80A5"],
      ["dea1", "\u813E\u81C2\u83F2\u871A\u88E8\u8AB9\u8B6C\u8CBB\u9119\u975E\u98DB\u9F3B\u56AC\u5B2A\u5F6C\u658C\u6AB3\u6BAF\u6D5C\u6FF1\u7015\u725D\u73AD\u8CA7\u8CD3\u983B\u6191\u6C37\u8058\u9A01\u4E4D\u4E8B\u4E9B\u4ED5\u4F3A\u4F3C\u4F7F\u4FDF\u50FF\u53F2\u53F8\u5506\u55E3\u56DB\u58EB\u5962\u5A11\u5BEB\u5BFA\u5C04\u5DF3\u5E2B\u5F99\u601D\u6368\u659C\u65AF\u67F6\u67FB\u68AD\u6B7B\u6C99\u6CD7\u6E23\u7009\u7345\u7802\u793E\u7940\u7960\u79C1\u7BE9\u7D17\u7D72\u8086\u820D\u838E\u84D1\u86C7\u88DF\u8A50\u8A5E\u8B1D\u8CDC\u8D66\u8FAD\u90AA\u98FC\u99DF\u9E9D\u524A\uF969\u6714\uF96A"],
      ["dfa1", "\u5098\u522A\u5C71\u6563\u6C55\u73CA\u7523\u759D\u7B97\u849C\u9178\u9730\u4E77\u6492\u6BBA\u715E\u85A9\u4E09\uF96B\u6749\u68EE\u6E17\u829F\u8518\u886B\u63F7\u6F81\u9212\u98AF\u4E0A\u50B7\u50CF\u511F\u5546\u55AA\u5617\u5B40\u5C19\u5CE0\u5E38\u5E8A\u5EA0\u5EC2\u60F3\u6851\u6A61\u6E58\u723D\u7240\u72C0\u76F8\u7965\u7BB1\u7FD4\u88F3\u89F4\u8A73\u8C61\u8CDE\u971C\u585E\u74BD\u8CFD\u55C7\uF96C\u7A61\u7D22\u8272\u7272\u751F\u7525\uF96D\u7B19\u5885\u58FB\u5DBC\u5E8F\u5EB6\u5F90\u6055\u6292\u637F\u654D\u6691\u66D9\u66F8\u6816\u68F2\u7280\u745E\u7B6E\u7D6E\u7DD6\u7F72"],
      ["e0a1", "\u80E5\u8212\u85AF\u897F\u8A93\u901D\u92E4\u9ECD\u9F20\u5915\u596D\u5E2D\u60DC\u6614\u6673\u6790\u6C50\u6DC5\u6F5F\u77F3\u78A9\u84C6\u91CB\u932B\u4ED9\u50CA\u5148\u5584\u5B0B\u5BA3\u6247\u657E\u65CB\u6E32\u717D\u7401\u7444\u7487\u74BF\u766C\u79AA\u7DDA\u7E55\u7FA8\u817A\u81B3\u8239\u861A\u87EC\u8A75\u8DE3\u9078\u9291\u9425\u994D\u9BAE\u5368\u5C51\u6954\u6CC4\u6D29\u6E2B\u820C\u859B\u893B\u8A2D\u8AAA\u96EA\u9F67\u5261\u66B9\u6BB2\u7E96\u87FE\u8D0D\u9583\u965D\u651D\u6D89\u71EE\uF96E\u57CE\u59D3\u5BAC\u6027\u60FA\u6210\u661F\u665F\u7329\u73F9\u76DB\u7701\u7B6C"],
      ["e1a1", "\u8056\u8072\u8165\u8AA0\u9192\u4E16\u52E2\u6B72\u6D17\u7A05\u7B39\u7D30\uF96F\u8CB0\u53EC\u562F\u5851\u5BB5\u5C0F\u5C11\u5DE2\u6240\u6383\u6414\u662D\u68B3\u6CBC\u6D88\u6EAF\u701F\u70A4\u71D2\u7526\u758F\u758E\u7619\u7B11\u7BE0\u7C2B\u7D20\u7D39\u852C\u856D\u8607\u8A34\u900D\u9061\u90B5\u92B7\u97F6\u9A37\u4FD7\u5C6C\u675F\u6D91\u7C9F\u7E8C\u8B16\u8D16\u901F\u5B6B\u5DFD\u640D\u84C0\u905C\u98E1\u7387\u5B8B\u609A\u677E\u6DDE\u8A1F\u8AA6\u9001\u980C\u5237\uF970\u7051\u788E\u9396\u8870\u91D7\u4FEE\u53D7\u55FD\u56DA\u5782\u58FD\u5AC2\u5B88\u5CAB\u5CC0\u5E25\u6101"],
      ["e2a1", "\u620D\u624B\u6388\u641C\u6536\u6578\u6A39\u6B8A\u6C34\u6D19\u6F31\u71E7\u72E9\u7378\u7407\u74B2\u7626\u7761\u79C0\u7A57\u7AEA\u7CB9\u7D8F\u7DAC\u7E61\u7F9E\u8129\u8331\u8490\u84DA\u85EA\u8896\u8AB0\u8B90\u8F38\u9042\u9083\u916C\u9296\u92B9\u968B\u96A7\u96A8\u96D6\u9700\u9808\u9996\u9AD3\u9B1A\u53D4\u587E\u5919\u5B70\u5BBF\u6DD1\u6F5A\u719F\u7421\u74B9\u8085\u83FD\u5DE1\u5F87\u5FAA\u6042\u65EC\u6812\u696F\u6A53\u6B89\u6D35\u6DF3\u73E3\u76FE\u77AC\u7B4D\u7D14\u8123\u821C\u8340\u84F4\u8563\u8A62\u8AC4\u9187\u931E\u9806\u99B4\u620C\u8853\u8FF0\u9265\u5D07\u5D27"],
      ["e3a1", "\u5D69\u745F\u819D\u8768\u6FD5\u62FE\u7FD2\u8936\u8972\u4E1E\u4E58\u50E7\u52DD\u5347\u627F\u6607\u7E69\u8805\u965E\u4F8D\u5319\u5636\u59CB\u5AA4\u5C38\u5C4E\u5C4D\u5E02\u5F11\u6043\u65BD\u662F\u6642\u67BE\u67F4\u731C\u77E2\u793A\u7FC5\u8494\u84CD\u8996\u8A66\u8A69\u8AE1\u8C55\u8C7A\u57F4\u5BD4\u5F0F\u606F\u62ED\u690D\u6B96\u6E5C\u7184\u7BD2\u8755\u8B58\u8EFE\u98DF\u98FE\u4F38\u4F81\u4FE1\u547B\u5A20\u5BB8\u613C\u65B0\u6668\u71FC\u7533\u795E\u7D33\u814E\u81E3\u8398\u85AA\u85CE\u8703\u8A0A\u8EAB\u8F9B\uF971\u8FC5\u5931\u5BA4\u5BE6\u6089\u5BE9\u5C0B\u5FC3\u6C81"],
      ["e4a1", "\uF972\u6DF1\u700B\u751A\u82AF\u8AF6\u4EC0\u5341\uF973\u96D9\u6C0F\u4E9E\u4FC4\u5152\u555E\u5A25\u5CE8\u6211\u7259\u82BD\u83AA\u86FE\u8859\u8A1D\u963F\u96C5\u9913\u9D09\u9D5D\u580A\u5CB3\u5DBD\u5E44\u60E1\u6115\u63E1\u6A02\u6E25\u9102\u9354\u984E\u9C10\u9F77\u5B89\u5CB8\u6309\u664F\u6848\u773C\u96C1\u978D\u9854\u9B9F\u65A1\u8B01\u8ECB\u95BC\u5535\u5CA9\u5DD6\u5EB5\u6697\u764C\u83F4\u95C7\u58D3\u62BC\u72CE\u9D28\u4EF0\u592E\u600F\u663B\u6B83\u79E7\u9D26\u5393\u54C0\u57C3\u5D16\u611B\u66D6\u6DAF\u788D\u827E\u9698\u9744\u5384\u627C\u6396\u6DB2\u7E0A\u814B\u984D"],
      ["e5a1", "\u6AFB\u7F4C\u9DAF\u9E1A\u4E5F\u503B\u51B6\u591C\u60F9\u63F6\u6930\u723A\u8036\uF974\u91CE\u5F31\uF975\uF976\u7D04\u82E5\u846F\u84BB\u85E5\u8E8D\uF977\u4F6F\uF978\uF979\u58E4\u5B43\u6059\u63DA\u6518\u656D\u6698\uF97A\u694A\u6A23\u6D0B\u7001\u716C\u75D2\u760D\u79B3\u7A70\uF97B\u7F8A\uF97C\u8944\uF97D\u8B93\u91C0\u967D\uF97E\u990A\u5704\u5FA1\u65BC\u6F01\u7600\u79A6\u8A9E\u99AD\u9B5A\u9F6C\u5104\u61B6\u6291\u6A8D\u81C6\u5043\u5830\u5F66\u7109\u8A00\u8AFA\u5B7C\u8616\u4FFA\u513C\u56B4\u5944\u63A9\u6DF9\u5DAA\u696D\u5186\u4E88\u4F59\uF97F\uF980\uF981\u5982\uF982"],
      ["e6a1", "\uF983\u6B5F\u6C5D\uF984\u74B5\u7916\uF985\u8207\u8245\u8339\u8F3F\u8F5D\uF986\u9918\uF987\uF988\uF989\u4EA6\uF98A\u57DF\u5F79\u6613\uF98B\uF98C\u75AB\u7E79\u8B6F\uF98D\u9006\u9A5B\u56A5\u5827\u59F8\u5A1F\u5BB4\uF98E\u5EF6\uF98F\uF990\u6350\u633B\uF991\u693D\u6C87\u6CBF\u6D8E\u6D93\u6DF5\u6F14\uF992\u70DF\u7136\u7159\uF993\u71C3\u71D5\uF994\u784F\u786F\uF995\u7B75\u7DE3\uF996\u7E2F\uF997\u884D\u8EDF\uF998\uF999\uF99A\u925B\uF99B\u9CF6\uF99C\uF99D\uF99E\u6085\u6D85\uF99F\u71B1\uF9A0\uF9A1\u95B1\u53AD\uF9A2\uF9A3\uF9A4\u67D3\uF9A5\u708E\u7130\u7430\u8276\u82D2"],
      ["e7a1", "\uF9A6\u95BB\u9AE5\u9E7D\u66C4\uF9A7\u71C1\u8449\uF9A8\uF9A9\u584B\uF9AA\uF9AB\u5DB8\u5F71\uF9AC\u6620\u668E\u6979\u69AE\u6C38\u6CF3\u6E36\u6F41\u6FDA\u701B\u702F\u7150\u71DF\u7370\uF9AD\u745B\uF9AE\u74D4\u76C8\u7A4E\u7E93\uF9AF\uF9B0\u82F1\u8A60\u8FCE\uF9B1\u9348\uF9B2\u9719\uF9B3\uF9B4\u4E42\u502A\uF9B5\u5208\u53E1\u66F3\u6C6D\u6FCA\u730A\u777F\u7A62\u82AE\u85DD\u8602\uF9B6\u88D4\u8A63\u8B7D\u8C6B\uF9B7\u92B3\uF9B8\u9713\u9810\u4E94\u4F0D\u4FC9\u50B2\u5348\u543E\u5433\u55DA\u5862\u58BA\u5967\u5A1B\u5BE4\u609F\uF9B9\u61CA\u6556\u65FF\u6664\u68A7\u6C5A\u6FB3"],
      ["e8a1", "\u70CF\u71AC\u7352\u7B7D\u8708\u8AA4\u9C32\u9F07\u5C4B\u6C83\u7344\u7389\u923A\u6EAB\u7465\u761F\u7A69\u7E15\u860A\u5140\u58C5\u64C1\u74EE\u7515\u7670\u7FC1\u9095\u96CD\u9954\u6E26\u74E6\u7AA9\u7AAA\u81E5\u86D9\u8778\u8A1B\u5A49\u5B8C\u5B9B\u68A1\u6900\u6D63\u73A9\u7413\u742C\u7897\u7DE9\u7FEB\u8118\u8155\u839E\u8C4C\u962E\u9811\u66F0\u5F80\u65FA\u6789\u6C6A\u738B\u502D\u5A03\u6B6A\u77EE\u5916\u5D6C\u5DCD\u7325\u754F\uF9BA\uF9BB\u50E5\u51F9\u582F\u592D\u5996\u59DA\u5BE5\uF9BC\uF9BD\u5DA2\u62D7\u6416\u6493\u64FE\uF9BE\u66DC\uF9BF\u6A48\uF9C0\u71FF\u7464\uF9C1"],
      ["e9a1", "\u7A88\u7AAF\u7E47\u7E5E\u8000\u8170\uF9C2\u87EF\u8981\u8B20\u9059\uF9C3\u9080\u9952\u617E\u6B32\u6D74\u7E1F\u8925\u8FB1\u4FD1\u50AD\u5197\u52C7\u57C7\u5889\u5BB9\u5EB8\u6142\u6995\u6D8C\u6E67\u6EB6\u7194\u7462\u7528\u752C\u8073\u8338\u84C9\u8E0A\u9394\u93DE\uF9C4\u4E8E\u4F51\u5076\u512A\u53C8\u53CB\u53F3\u5B87\u5BD3\u5C24\u611A\u6182\u65F4\u725B\u7397\u7440\u76C2\u7950\u7991\u79B9\u7D06\u7FBD\u828B\u85D5\u865E\u8FC2\u9047\u90F5\u91EA\u9685\u96E8\u96E9\u52D6\u5F67\u65ED\u6631\u682F\u715C\u7A36\u90C1\u980A\u4E91\uF9C5\u6A52\u6B9E\u6F90\u7189\u8018\u82B8\u8553"],
      ["eaa1", "\u904B\u9695\u96F2\u97FB\u851A\u9B31\u4E90\u718A\u96C4\u5143\u539F\u54E1\u5713\u5712\u57A3\u5A9B\u5AC4\u5BC3\u6028\u613F\u63F4\u6C85\u6D39\u6E72\u6E90\u7230\u733F\u7457\u82D1\u8881\u8F45\u9060\uF9C6\u9662\u9858\u9D1B\u6708\u8D8A\u925E\u4F4D\u5049\u50DE\u5371\u570D\u59D4\u5A01\u5C09\u6170\u6690\u6E2D\u7232\u744B\u7DEF\u80C3\u840E\u8466\u853F\u875F\u885B\u8918\u8B02\u9055\u97CB\u9B4F\u4E73\u4F91\u5112\u516A\uF9C7\u552F\u55A9\u5B7A\u5BA5\u5E7C\u5E7D\u5EBE\u60A0\u60DF\u6108\u6109\u63C4\u6538\u6709\uF9C8\u67D4\u67DA\uF9C9\u6961\u6962\u6CB9\u6D27\uF9CA\u6E38\uF9CB"],
      ["eba1", "\u6FE1\u7336\u7337\uF9CC\u745C\u7531\uF9CD\u7652\uF9CE\uF9CF\u7DAD\u81FE\u8438\u88D5\u8A98\u8ADB\u8AED\u8E30\u8E42\u904A\u903E\u907A\u9149\u91C9\u936E\uF9D0\uF9D1\u5809\uF9D2\u6BD3\u8089\u80B2\uF9D3\uF9D4\u5141\u596B\u5C39\uF9D5\uF9D6\u6F64\u73A7\u80E4\u8D07\uF9D7\u9217\u958F\uF9D8\uF9D9\uF9DA\uF9DB\u807F\u620E\u701C\u7D68\u878D\uF9DC\u57A0\u6069\u6147\u6BB7\u8ABE\u9280\u96B1\u4E59\u541F\u6DEB\u852D\u9670\u97F3\u98EE\u63D6\u6CE3\u9091\u51DD\u61C9\u81BA\u9DF9\u4F9D\u501A\u5100\u5B9C\u610F\u61FF\u64EC\u6905\u6BC5\u7591\u77E3\u7FA9\u8264\u858F\u87FB\u8863\u8ABC"],
      ["eca1", "\u8B70\u91AB\u4E8C\u4EE5\u4F0A\uF9DD\uF9DE\u5937\u59E8\uF9DF\u5DF2\u5F1B\u5F5B\u6021\uF9E0\uF9E1\uF9E2\uF9E3\u723E\u73E5\uF9E4\u7570\u75CD\uF9E5\u79FB\uF9E6\u800C\u8033\u8084\u82E1\u8351\uF9E7\uF9E8\u8CBD\u8CB3\u9087\uF9E9\uF9EA\u98F4\u990C\uF9EB\uF9EC\u7037\u76CA\u7FCA\u7FCC\u7FFC\u8B1A\u4EBA\u4EC1\u5203\u5370\uF9ED\u54BD\u56E0\u59FB\u5BC5\u5F15\u5FCD\u6E6E\uF9EE\uF9EF\u7D6A\u8335\uF9F0\u8693\u8A8D\uF9F1\u976D\u9777\uF9F2\uF9F3\u4E00\u4F5A\u4F7E\u58F9\u65E5\u6EA2\u9038\u93B0\u99B9\u4EFB\u58EC\u598A\u59D9\u6041\uF9F4\uF9F5\u7A14\uF9F6\u834F\u8CC3\u5165\u5344"],
      ["eda1", "\uF9F7\uF9F8\uF9F9\u4ECD\u5269\u5B55\u82BF\u4ED4\u523A\u54A8\u59C9\u59FF\u5B50\u5B57\u5B5C\u6063\u6148\u6ECB\u7099\u716E\u7386\u74F7\u75B5\u78C1\u7D2B\u8005\u81EA\u8328\u8517\u85C9\u8AEE\u8CC7\u96CC\u4F5C\u52FA\u56BC\u65AB\u6628\u707C\u70B8\u7235\u7DBD\u828D\u914C\u96C0\u9D72\u5B71\u68E7\u6B98\u6F7A\u76DE\u5C91\u66AB\u6F5B\u7BB4\u7C2A\u8836\u96DC\u4E08\u4ED7\u5320\u5834\u58BB\u58EF\u596C\u5C07\u5E33\u5E84\u5F35\u638C\u66B2\u6756\u6A1F\u6AA3\u6B0C\u6F3F\u7246\uF9FA\u7350\u748B\u7AE0\u7CA7\u8178\u81DF\u81E7\u838A\u846C\u8523\u8594\u85CF\u88DD\u8D13\u91AC\u9577"],
      ["eea1", "\u969C\u518D\u54C9\u5728\u5BB0\u624D\u6750\u683D\u6893\u6E3D\u6ED3\u707D\u7E21\u88C1\u8CA1\u8F09\u9F4B\u9F4E\u722D\u7B8F\u8ACD\u931A\u4F47\u4F4E\u5132\u5480\u59D0\u5E95\u62B5\u6775\u696E\u6A17\u6CAE\u6E1A\u72D9\u732A\u75BD\u7BB8\u7D35\u82E7\u83F9\u8457\u85F7\u8A5B\u8CAF\u8E87\u9019\u90B8\u96CE\u9F5F\u52E3\u540A\u5AE1\u5BC2\u6458\u6575\u6EF4\u72C4\uF9FB\u7684\u7A4D\u7B1B\u7C4D\u7E3E\u7FDF\u837B\u8B2B\u8CCA\u8D64\u8DE1\u8E5F\u8FEA\u8FF9\u9069\u93D1\u4F43\u4F7A\u50B3\u5168\u5178\u524D\u526A\u5861\u587C\u5960\u5C08\u5C55\u5EDB\u609B\u6230\u6813\u6BBF\u6C08\u6FB1"],
      ["efa1", "\u714E\u7420\u7530\u7538\u7551\u7672\u7B4C\u7B8B\u7BAD\u7BC6\u7E8F\u8A6E\u8F3E\u8F49\u923F\u9293\u9322\u942B\u96FB\u985A\u986B\u991E\u5207\u622A\u6298\u6D59\u7664\u7ACA\u7BC0\u7D76\u5360\u5CBE\u5E97\u6F38\u70B9\u7C98\u9711\u9B8E\u9EDE\u63A5\u647A\u8776\u4E01\u4E95\u4EAD\u505C\u5075\u5448\u59C3\u5B9A\u5E40\u5EAD\u5EF7\u5F81\u60C5\u633A\u653F\u6574\u65CC\u6676\u6678\u67FE\u6968\u6A89\u6B63\u6C40\u6DC0\u6DE8\u6E1F\u6E5E\u701E\u70A1\u738E\u73FD\u753A\u775B\u7887\u798E\u7A0B\u7A7D\u7CBE\u7D8E\u8247\u8A02\u8AEA\u8C9E\u912D\u914A\u91D8\u9266\u92CC\u9320\u9706\u9756"],
      ["f0a1", "\u975C\u9802\u9F0E\u5236\u5291\u557C\u5824\u5E1D\u5F1F\u608C\u63D0\u68AF\u6FDF\u796D\u7B2C\u81CD\u85BA\u88FD\u8AF8\u8E44\u918D\u9664\u969B\u973D\u984C\u9F4A\u4FCE\u5146\u51CB\u52A9\u5632\u5F14\u5F6B\u63AA\u64CD\u65E9\u6641\u66FA\u66F9\u671D\u689D\u68D7\u69FD\u6F15\u6F6E\u7167\u71E5\u722A\u74AA\u773A\u7956\u795A\u79DF\u7A20\u7A95\u7C97\u7CDF\u7D44\u7E70\u8087\u85FB\u86A4\u8A54\u8ABF\u8D99\u8E81\u9020\u906D\u91E3\u963B\u96D5\u9CE5\u65CF\u7C07\u8DB3\u93C3\u5B58\u5C0A\u5352\u62D9\u731D\u5027\u5B97\u5F9E\u60B0\u616B\u68D5\u6DD9\u742E\u7A2E\u7D42\u7D9C\u7E31\u816B"],
      ["f1a1", "\u8E2A\u8E35\u937E\u9418\u4F50\u5750\u5DE6\u5EA7\u632B\u7F6A\u4E3B\u4F4F\u4F8F\u505A\u59DD\u80C4\u546A\u5468\u55FE\u594F\u5B99\u5DDE\u5EDA\u665D\u6731\u67F1\u682A\u6CE8\u6D32\u6E4A\u6F8D\u70B7\u73E0\u7587\u7C4C\u7D02\u7D2C\u7DA2\u821F\u86DB\u8A3B\u8A85\u8D70\u8E8A\u8F33\u9031\u914E\u9152\u9444\u99D0\u7AF9\u7CA5\u4FCA\u5101\u51C6\u57C8\u5BEF\u5CFB\u6659\u6A3D\u6D5A\u6E96\u6FEC\u710C\u756F\u7AE3\u8822\u9021\u9075\u96CB\u99FF\u8301\u4E2D\u4EF2\u8846\u91CD\u537D\u6ADB\u696B\u6C41\u847A\u589E\u618E\u66FE\u62EF\u70DD\u7511\u75C7\u7E52\u84B8\u8B49\u8D08\u4E4B\u53EA"],
      ["f2a1", "\u54AB\u5730\u5740\u5FD7\u6301\u6307\u646F\u652F\u65E8\u667A\u679D\u67B3\u6B62\u6C60\u6C9A\u6F2C\u77E5\u7825\u7949\u7957\u7D19\u80A2\u8102\u81F3\u829D\u82B7\u8718\u8A8C\uF9FC\u8D04\u8DBE\u9072\u76F4\u7A19\u7A37\u7E54\u8077\u5507\u55D4\u5875\u632F\u6422\u6649\u664B\u686D\u699B\u6B84\u6D25\u6EB1\u73CD\u7468\u74A1\u755B\u75B9\u76E1\u771E\u778B\u79E6\u7E09\u7E1D\u81FB\u852F\u8897\u8A3A\u8CD1\u8EEB\u8FB0\u9032\u93AD\u9663\u9673\u9707\u4F84\u53F1\u59EA\u5AC9\u5E19\u684E\u74C6\u75BE\u79E9\u7A92\u81A3\u86ED\u8CEA\u8DCC\u8FED\u659F\u6715\uF9FD\u57F7\u6F57\u7DDD\u8F2F"],
      ["f3a1", "\u93F6\u96C6\u5FB5\u61F2\u6F84\u4E14\u4F98\u501F\u53C9\u55DF\u5D6F\u5DEE\u6B21\u6B64\u78CB\u7B9A\uF9FE\u8E49\u8ECA\u906E\u6349\u643E\u7740\u7A84\u932F\u947F\u9F6A\u64B0\u6FAF\u71E6\u74A8\u74DA\u7AC4\u7C12\u7E82\u7CB2\u7E98\u8B9A\u8D0A\u947D\u9910\u994C\u5239\u5BDF\u64E6\u672D\u7D2E\u50ED\u53C3\u5879\u6158\u6159\u61FA\u65AC\u7AD9\u8B92\u8B96\u5009\u5021\u5275\u5531\u5A3C\u5EE0\u5F70\u6134\u655E\u660C\u6636\u66A2\u69CD\u6EC4\u6F32\u7316\u7621\u7A93\u8139\u8259\u83D6\u84BC\u50B5\u57F0\u5BC0\u5BE8\u5F69\u63A1\u7826\u7DB5\u83DC\u8521\u91C7\u91F5\u518A\u67F5\u7B56"],
      ["f4a1", "\u8CAC\u51C4\u59BB\u60BD\u8655\u501C\uF9FF\u5254\u5C3A\u617D\u621A\u62D3\u64F2\u65A5\u6ECC\u7620\u810A\u8E60\u965F\u96BB\u4EDF\u5343\u5598\u5929\u5DDD\u64C5\u6CC9\u6DFA\u7394\u7A7F\u821B\u85A6\u8CE4\u8E10\u9077\u91E7\u95E1\u9621\u97C6\u51F8\u54F2\u5586\u5FB9\u64A4\u6F88\u7DB4\u8F1F\u8F4D\u9435\u50C9\u5C16\u6CBE\u6DFB\u751B\u77BB\u7C3D\u7C64\u8A79\u8AC2\u581E\u59BE\u5E16\u6377\u7252\u758A\u776B\u8ADC\u8CBC\u8F12\u5EF3\u6674\u6DF8\u807D\u83C1\u8ACB\u9751\u9BD6\uFA00\u5243\u66FF\u6D95\u6EEF\u7DE0\u8AE6\u902E\u905E\u9AD4\u521D\u527F\u54E8\u6194\u6284\u62DB\u68A2"],
      ["f5a1", "\u6912\u695A\u6A35\u7092\u7126\u785D\u7901\u790E\u79D2\u7A0D\u8096\u8278\u82D5\u8349\u8549\u8C82\u8D85\u9162\u918B\u91AE\u4FC3\u56D1\u71ED\u77D7\u8700\u89F8\u5BF8\u5FD6\u6751\u90A8\u53E2\u585A\u5BF5\u60A4\u6181\u6460\u7E3D\u8070\u8525\u9283\u64AE\u50AC\u5D14\u6700\u589C\u62BD\u63A8\u690E\u6978\u6A1E\u6E6B\u76BA\u79CB\u82BB\u8429\u8ACF\u8DA8\u8FFD\u9112\u914B\u919C\u9310\u9318\u939A\u96DB\u9A36\u9C0D\u4E11\u755C\u795D\u7AFA\u7B51\u7BC9\u7E2E\u84C4\u8E59\u8E74\u8EF8\u9010\u6625\u693F\u7443\u51FA\u672E\u9EDC\u5145\u5FE0\u6C96\u87F2\u885D\u8877\u60B4\u81B5\u8403"],
      ["f6a1", "\u8D05\u53D6\u5439\u5634\u5A36\u5C31\u708A\u7FE0\u805A\u8106\u81ED\u8DA3\u9189\u9A5F\u9DF2\u5074\u4EC4\u53A0\u60FB\u6E2C\u5C64\u4F88\u5024\u55E4\u5CD9\u5E5F\u6065\u6894\u6CBB\u6DC4\u71BE\u75D4\u75F4\u7661\u7A1A\u7A49\u7DC7\u7DFB\u7F6E\u81F4\u86A9\u8F1C\u96C9\u99B3\u9F52\u5247\u52C5\u98ED\u89AA\u4E03\u67D2\u6F06\u4FB5\u5BE2\u6795\u6C88\u6D78\u741B\u7827\u91DD\u937C\u87C4\u79E4\u7A31\u5FEB\u4ED6\u54A4\u553E\u58AE\u59A5\u60F0\u6253\u62D6\u6736\u6955\u8235\u9640\u99B1\u99DD\u502C\u5353\u5544\u577C\uFA01\u6258\uFA02\u64E2\u666B\u67DD\u6FC1\u6FEF\u7422\u7438\u8A17"],
      ["f7a1", "\u9438\u5451\u5606\u5766\u5F48\u619A\u6B4E\u7058\u70AD\u7DBB\u8A95\u596A\u812B\u63A2\u7708\u803D\u8CAA\u5854\u642D\u69BB\u5B95\u5E11\u6E6F\uFA03\u8569\u514C\u53F0\u592A\u6020\u614B\u6B86\u6C70\u6CF0\u7B1E\u80CE\u82D4\u8DC6\u90B0\u98B1\uFA04\u64C7\u6FA4\u6491\u6504\u514E\u5410\u571F\u8A0E\u615F\u6876\uFA05\u75DB\u7B52\u7D71\u901A\u5806\u69CC\u817F\u892A\u9000\u9839\u5078\u5957\u59AC\u6295\u900F\u9B2A\u615D\u7279\u95D6\u5761\u5A46\u5DF4\u628A\u64AD\u64FA\u6777\u6CE2\u6D3E\u722C\u7436\u7834\u7F77\u82AD\u8DDB\u9817\u5224\u5742\u677F\u7248\u74E3\u8CA9\u8FA6\u9211"],
      ["f8a1", "\u962A\u516B\u53ED\u634C\u4F69\u5504\u6096\u6557\u6C9B\u6D7F\u724C\u72FD\u7A17\u8987\u8C9D\u5F6D\u6F8E\u70F9\u81A8\u610E\u4FBF\u504F\u6241\u7247\u7BC7\u7DE8\u7FE9\u904D\u97AD\u9A19\u8CB6\u576A\u5E73\u67B0\u840D\u8A55\u5420\u5B16\u5E63\u5EE2\u5F0A\u6583\u80BA\u853D\u9589\u965B\u4F48\u5305\u530D\u530F\u5486\u54FA\u5703\u5E03\u6016\u629B\u62B1\u6355\uFA06\u6CE1\u6D66\u75B1\u7832\u80DE\u812F\u82DE\u8461\u84B2\u888D\u8912\u900B\u92EA\u98FD\u9B91\u5E45\u66B4\u66DD\u7011\u7206\uFA07\u4FF5\u527D\u5F6A\u6153\u6753\u6A19\u6F02\u74E2\u7968\u8868\u8C79\u98C7\u98C4\u9A43"],
      ["f9a1", "\u54C1\u7A1F\u6953\u8AF7\u8C4A\u98A8\u99AE\u5F7C\u62AB\u75B2\u76AE\u88AB\u907F\u9642\u5339\u5F3C\u5FC5\u6CCC\u73CC\u7562\u758B\u7B46\u82FE\u999D\u4E4F\u903C\u4E0B\u4F55\u53A6\u590F\u5EC8\u6630\u6CB3\u7455\u8377\u8766\u8CC0\u9050\u971E\u9C15\u58D1\u5B78\u8650\u8B14\u9DB4\u5BD2\u6068\u608D\u65F1\u6C57\u6F22\u6FA3\u701A\u7F55\u7FF0\u9591\u9592\u9650\u97D3\u5272\u8F44\u51FD\u542B\u54B8\u5563\u558A\u6ABB\u6DB5\u7DD8\u8266\u929C\u9677\u9E79\u5408\u54C8\u76D2\u86E4\u95A4\u95D4\u965C\u4EA2\u4F09\u59EE\u5AE6\u5DF7\u6052\u6297\u676D\u6841\u6C86\u6E2F\u7F38\u809B\u822A"],
      ["faa1", "\uFA08\uFA09\u9805\u4EA5\u5055\u54B3\u5793\u595A\u5B69\u5BB3\u61C8\u6977\u6D77\u7023\u87F9\u89E3\u8A72\u8AE7\u9082\u99ED\u9AB8\u52BE\u6838\u5016\u5E78\u674F\u8347\u884C\u4EAB\u5411\u56AE\u73E6\u9115\u97FF\u9909\u9957\u9999\u5653\u589F\u865B\u8A31\u61B2\u6AF6\u737B\u8ED2\u6B47\u96AA\u9A57\u5955\u7200\u8D6B\u9769\u4FD4\u5CF4\u5F26\u61F8\u665B\u6CEB\u70AB\u7384\u73B9\u73FE\u7729\u774D\u7D43\u7D62\u7E23\u8237\u8852\uFA0A\u8CE2\u9249\u986F\u5B51\u7A74\u8840\u9801\u5ACC\u4FE0\u5354\u593E\u5CFD\u633E\u6D79\u72F9\u8105\u8107\u83A2\u92CF\u9830\u4EA8\u5144\u5211\u578B"],
      ["fba1", "\u5F62\u6CC2\u6ECE\u7005\u7050\u70AF\u7192\u73E9\u7469\u834A\u87A2\u8861\u9008\u90A2\u93A3\u99A8\u516E\u5F57\u60E0\u6167\u66B3\u8559\u8E4A\u91AF\u978B\u4E4E\u4E92\u547C\u58D5\u58FA\u597D\u5CB5\u5F27\u6236\u6248\u660A\u6667\u6BEB\u6D69\u6DCF\u6E56\u6EF8\u6F94\u6FE0\u6FE9\u705D\u72D0\u7425\u745A\u74E0\u7693\u795C\u7CCA\u7E1E\u80E1\u82A6\u846B\u84BF\u864E\u865F\u8774\u8B77\u8C6A\u93AC\u9800\u9865\u60D1\u6216\u9177\u5A5A\u660F\u6DF7\u6E3E\u743F\u9B42\u5FFD\u60DA\u7B0F\u54C4\u5F18\u6C5E\u6CD3\u6D2A\u70D8\u7D05\u8679\u8A0C\u9D3B\u5316\u548C\u5B05\u6A3A\u706B\u7575"],
      ["fca1", "\u798D\u79BE\u82B1\u83EF\u8A71\u8B41\u8CA8\u9774\uFA0B\u64F4\u652B\u78BA\u78BB\u7A6B\u4E38\u559A\u5950\u5BA6\u5E7B\u60A3\u63DB\u6B61\u6665\u6853\u6E19\u7165\u74B0\u7D08\u9084\u9A69\u9C25\u6D3B\u6ED1\u733E\u8C41\u95CA\u51F0\u5E4C\u5FA8\u604D\u60F6\u6130\u614C\u6643\u6644\u69A5\u6CC1\u6E5F\u6EC9\u6F62\u714C\u749C\u7687\u7BC1\u7C27\u8352\u8757\u9051\u968D\u9EC3\u532F\u56DE\u5EFB\u5F8A\u6062\u6094\u61F7\u6666\u6703\u6A9C\u6DEE\u6FAE\u7070\u736A\u7E6A\u81BE\u8334\u86D4\u8AA8\u8CC4\u5283\u7372\u5B96\u6A6B\u9404\u54EE\u5686\u5B5D\u6548\u6585\u66C9\u689F\u6D8D\u6DC6"],
      ["fda1", "\u723B\u80B4\u9175\u9A4D\u4FAF\u5019\u539A\u540E\u543C\u5589\u55C5\u5E3F\u5F8C\u673D\u7166\u73DD\u9005\u52DB\u52F3\u5864\u58CE\u7104\u718F\u71FB\u85B0\u8A13\u6688\u85A8\u55A7\u6684\u714A\u8431\u5349\u5599\u6BC1\u5F59\u5FBD\u63EE\u6689\u7147\u8AF1\u8F1D\u9EBE\u4F11\u643A\u70CB\u7566\u8667\u6064\u8B4E\u9DF8\u5147\u51F6\u5308\u6D36\u80F8\u9ED1\u6615\u6B23\u7098\u75D5\u5403\u5C79\u7D07\u8A16\u6B20\u6B3D\u6B46\u5438\u6070\u6D3D\u7FD5\u8208\u50D6\u51DE\u559C\u566B\u56CD\u59EC\u5B09\u5E0C\u6199\u6198\u6231\u665E\u66E6\u7199\u71B9\u71BA\u72A7\u79A7\u7A00\u7FB2\u8A70"]
    ];
  }
});

// ../../../node_modules/iconv-lite/encodings/tables/cp950.json
var require_cp950 = __commonJS({
  "../../../node_modules/iconv-lite/encodings/tables/cp950.json"(exports, module2) {
    module2.exports = [
      ["0", "\0", 127],
      ["a140", "\u3000\uFF0C\u3001\u3002\uFF0E\u2027\uFF1B\uFF1A\uFF1F\uFF01\uFE30\u2026\u2025\uFE50\uFE51\uFE52\xB7\uFE54\uFE55\uFE56\uFE57\uFF5C\u2013\uFE31\u2014\uFE33\u2574\uFE34\uFE4F\uFF08\uFF09\uFE35\uFE36\uFF5B\uFF5D\uFE37\uFE38\u3014\u3015\uFE39\uFE3A\u3010\u3011\uFE3B\uFE3C\u300A\u300B\uFE3D\uFE3E\u3008\u3009\uFE3F\uFE40\u300C\u300D\uFE41\uFE42\u300E\u300F\uFE43\uFE44\uFE59\uFE5A"],
      ["a1a1", "\uFE5B\uFE5C\uFE5D\uFE5E\u2018\u2019\u201C\u201D\u301D\u301E\u2035\u2032\uFF03\uFF06\uFF0A\u203B\xA7\u3003\u25CB\u25CF\u25B3\u25B2\u25CE\u2606\u2605\u25C7\u25C6\u25A1\u25A0\u25BD\u25BC\u32A3\u2105\xAF\uFFE3\uFF3F\u02CD\uFE49\uFE4A\uFE4D\uFE4E\uFE4B\uFE4C\uFE5F\uFE60\uFE61\uFF0B\uFF0D\xD7\xF7\xB1\u221A\uFF1C\uFF1E\uFF1D\u2266\u2267\u2260\u221E\u2252\u2261\uFE62", 4, "\uFF5E\u2229\u222A\u22A5\u2220\u221F\u22BF\u33D2\u33D1\u222B\u222E\u2235\u2234\u2640\u2642\u2295\u2299\u2191\u2193\u2190\u2192\u2196\u2197\u2199\u2198\u2225\u2223\uFF0F"],
      ["a240", "\uFF3C\u2215\uFE68\uFF04\uFFE5\u3012\uFFE0\uFFE1\uFF05\uFF20\u2103\u2109\uFE69\uFE6A\uFE6B\u33D5\u339C\u339D\u339E\u33CE\u33A1\u338E\u338F\u33C4\xB0\u5159\u515B\u515E\u515D\u5161\u5163\u55E7\u74E9\u7CCE\u2581", 7, "\u258F\u258E\u258D\u258C\u258B\u258A\u2589\u253C\u2534\u252C\u2524\u251C\u2594\u2500\u2502\u2595\u250C\u2510\u2514\u2518\u256D"],
      ["a2a1", "\u256E\u2570\u256F\u2550\u255E\u256A\u2561\u25E2\u25E3\u25E5\u25E4\u2571\u2572\u2573\uFF10", 9, "\u2160", 9, "\u3021", 8, "\u5341\u5344\u5345\uFF21", 25, "\uFF41", 21],
      ["a340", "\uFF57\uFF58\uFF59\uFF5A\u0391", 16, "\u03A3", 6, "\u03B1", 16, "\u03C3", 6, "\u3105", 10],
      ["a3a1", "\u3110", 25, "\u02D9\u02C9\u02CA\u02C7\u02CB"],
      ["a3e1", "\u20AC"],
      ["a440", "\u4E00\u4E59\u4E01\u4E03\u4E43\u4E5D\u4E86\u4E8C\u4EBA\u513F\u5165\u516B\u51E0\u5200\u5201\u529B\u5315\u5341\u535C\u53C8\u4E09\u4E0B\u4E08\u4E0A\u4E2B\u4E38\u51E1\u4E45\u4E48\u4E5F\u4E5E\u4E8E\u4EA1\u5140\u5203\u52FA\u5343\u53C9\u53E3\u571F\u58EB\u5915\u5927\u5973\u5B50\u5B51\u5B53\u5BF8\u5C0F\u5C22\u5C38\u5C71\u5DDD\u5DE5\u5DF1\u5DF2\u5DF3\u5DFE\u5E72\u5EFE\u5F0B\u5F13\u624D"],
      ["a4a1", "\u4E11\u4E10\u4E0D\u4E2D\u4E30\u4E39\u4E4B\u5C39\u4E88\u4E91\u4E95\u4E92\u4E94\u4EA2\u4EC1\u4EC0\u4EC3\u4EC6\u4EC7\u4ECD\u4ECA\u4ECB\u4EC4\u5143\u5141\u5167\u516D\u516E\u516C\u5197\u51F6\u5206\u5207\u5208\u52FB\u52FE\u52FF\u5316\u5339\u5348\u5347\u5345\u535E\u5384\u53CB\u53CA\u53CD\u58EC\u5929\u592B\u592A\u592D\u5B54\u5C11\u5C24\u5C3A\u5C6F\u5DF4\u5E7B\u5EFF\u5F14\u5F15\u5FC3\u6208\u6236\u624B\u624E\u652F\u6587\u6597\u65A4\u65B9\u65E5\u66F0\u6708\u6728\u6B20\u6B62\u6B79\u6BCB\u6BD4\u6BDB\u6C0F\u6C34\u706B\u722A\u7236\u723B\u7247\u7259\u725B\u72AC\u738B\u4E19"],
      ["a540", "\u4E16\u4E15\u4E14\u4E18\u4E3B\u4E4D\u4E4F\u4E4E\u4EE5\u4ED8\u4ED4\u4ED5\u4ED6\u4ED7\u4EE3\u4EE4\u4ED9\u4EDE\u5145\u5144\u5189\u518A\u51AC\u51F9\u51FA\u51F8\u520A\u52A0\u529F\u5305\u5306\u5317\u531D\u4EDF\u534A\u5349\u5361\u5360\u536F\u536E\u53BB\u53EF\u53E4\u53F3\u53EC\u53EE\u53E9\u53E8\u53FC\u53F8\u53F5\u53EB\u53E6\u53EA\u53F2\u53F1\u53F0\u53E5\u53ED\u53FB\u56DB\u56DA\u5916"],
      ["a5a1", "\u592E\u5931\u5974\u5976\u5B55\u5B83\u5C3C\u5DE8\u5DE7\u5DE6\u5E02\u5E03\u5E73\u5E7C\u5F01\u5F18\u5F17\u5FC5\u620A\u6253\u6254\u6252\u6251\u65A5\u65E6\u672E\u672C\u672A\u672B\u672D\u6B63\u6BCD\u6C11\u6C10\u6C38\u6C41\u6C40\u6C3E\u72AF\u7384\u7389\u74DC\u74E6\u7518\u751F\u7528\u7529\u7530\u7531\u7532\u7533\u758B\u767D\u76AE\u76BF\u76EE\u77DB\u77E2\u77F3\u793A\u79BE\u7A74\u7ACB\u4E1E\u4E1F\u4E52\u4E53\u4E69\u4E99\u4EA4\u4EA6\u4EA5\u4EFF\u4F09\u4F19\u4F0A\u4F15\u4F0D\u4F10\u4F11\u4F0F\u4EF2\u4EF6\u4EFB\u4EF0\u4EF3\u4EFD\u4F01\u4F0B\u5149\u5147\u5146\u5148\u5168"],
      ["a640", "\u5171\u518D\u51B0\u5217\u5211\u5212\u520E\u5216\u52A3\u5308\u5321\u5320\u5370\u5371\u5409\u540F\u540C\u540A\u5410\u5401\u540B\u5404\u5411\u540D\u5408\u5403\u540E\u5406\u5412\u56E0\u56DE\u56DD\u5733\u5730\u5728\u572D\u572C\u572F\u5729\u5919\u591A\u5937\u5938\u5984\u5978\u5983\u597D\u5979\u5982\u5981\u5B57\u5B58\u5B87\u5B88\u5B85\u5B89\u5BFA\u5C16\u5C79\u5DDE\u5E06\u5E76\u5E74"],
      ["a6a1", "\u5F0F\u5F1B\u5FD9\u5FD6\u620E\u620C\u620D\u6210\u6263\u625B\u6258\u6536\u65E9\u65E8\u65EC\u65ED\u66F2\u66F3\u6709\u673D\u6734\u6731\u6735\u6B21\u6B64\u6B7B\u6C16\u6C5D\u6C57\u6C59\u6C5F\u6C60\u6C50\u6C55\u6C61\u6C5B\u6C4D\u6C4E\u7070\u725F\u725D\u767E\u7AF9\u7C73\u7CF8\u7F36\u7F8A\u7FBD\u8001\u8003\u800C\u8012\u8033\u807F\u8089\u808B\u808C\u81E3\u81EA\u81F3\u81FC\u820C\u821B\u821F\u826E\u8272\u827E\u866B\u8840\u884C\u8863\u897F\u9621\u4E32\u4EA8\u4F4D\u4F4F\u4F47\u4F57\u4F5E\u4F34\u4F5B\u4F55\u4F30\u4F50\u4F51\u4F3D\u4F3A\u4F38\u4F43\u4F54\u4F3C\u4F46\u4F63"],
      ["a740", "\u4F5C\u4F60\u4F2F\u4F4E\u4F36\u4F59\u4F5D\u4F48\u4F5A\u514C\u514B\u514D\u5175\u51B6\u51B7\u5225\u5224\u5229\u522A\u5228\u52AB\u52A9\u52AA\u52AC\u5323\u5373\u5375\u541D\u542D\u541E\u543E\u5426\u544E\u5427\u5446\u5443\u5433\u5448\u5442\u541B\u5429\u544A\u5439\u543B\u5438\u542E\u5435\u5436\u5420\u543C\u5440\u5431\u542B\u541F\u542C\u56EA\u56F0\u56E4\u56EB\u574A\u5751\u5740\u574D"],
      ["a7a1", "\u5747\u574E\u573E\u5750\u574F\u573B\u58EF\u593E\u599D\u5992\u59A8\u599E\u59A3\u5999\u5996\u598D\u59A4\u5993\u598A\u59A5\u5B5D\u5B5C\u5B5A\u5B5B\u5B8C\u5B8B\u5B8F\u5C2C\u5C40\u5C41\u5C3F\u5C3E\u5C90\u5C91\u5C94\u5C8C\u5DEB\u5E0C\u5E8F\u5E87\u5E8A\u5EF7\u5F04\u5F1F\u5F64\u5F62\u5F77\u5F79\u5FD8\u5FCC\u5FD7\u5FCD\u5FF1\u5FEB\u5FF8\u5FEA\u6212\u6211\u6284\u6297\u6296\u6280\u6276\u6289\u626D\u628A\u627C\u627E\u6279\u6273\u6292\u626F\u6298\u626E\u6295\u6293\u6291\u6286\u6539\u653B\u6538\u65F1\u66F4\u675F\u674E\u674F\u6750\u6751\u675C\u6756\u675E\u6749\u6746\u6760"],
      ["a840", "\u6753\u6757\u6B65\u6BCF\u6C42\u6C5E\u6C99\u6C81\u6C88\u6C89\u6C85\u6C9B\u6C6A\u6C7A\u6C90\u6C70\u6C8C\u6C68\u6C96\u6C92\u6C7D\u6C83\u6C72\u6C7E\u6C74\u6C86\u6C76\u6C8D\u6C94\u6C98\u6C82\u7076\u707C\u707D\u7078\u7262\u7261\u7260\u72C4\u72C2\u7396\u752C\u752B\u7537\u7538\u7682\u76EF\u77E3\u79C1\u79C0\u79BF\u7A76\u7CFB\u7F55\u8096\u8093\u809D\u8098\u809B\u809A\u80B2\u826F\u8292"],
      ["a8a1", "\u828B\u828D\u898B\u89D2\u8A00\u8C37\u8C46\u8C55\u8C9D\u8D64\u8D70\u8DB3\u8EAB\u8ECA\u8F9B\u8FB0\u8FC2\u8FC6\u8FC5\u8FC4\u5DE1\u9091\u90A2\u90AA\u90A6\u90A3\u9149\u91C6\u91CC\u9632\u962E\u9631\u962A\u962C\u4E26\u4E56\u4E73\u4E8B\u4E9B\u4E9E\u4EAB\u4EAC\u4F6F\u4F9D\u4F8D\u4F73\u4F7F\u4F6C\u4F9B\u4F8B\u4F86\u4F83\u4F70\u4F75\u4F88\u4F69\u4F7B\u4F96\u4F7E\u4F8F\u4F91\u4F7A\u5154\u5152\u5155\u5169\u5177\u5176\u5178\u51BD\u51FD\u523B\u5238\u5237\u523A\u5230\u522E\u5236\u5241\u52BE\u52BB\u5352\u5354\u5353\u5351\u5366\u5377\u5378\u5379\u53D6\u53D4\u53D7\u5473\u5475"],
      ["a940", "\u5496\u5478\u5495\u5480\u547B\u5477\u5484\u5492\u5486\u547C\u5490\u5471\u5476\u548C\u549A\u5462\u5468\u548B\u547D\u548E\u56FA\u5783\u5777\u576A\u5769\u5761\u5766\u5764\u577C\u591C\u5949\u5947\u5948\u5944\u5954\u59BE\u59BB\u59D4\u59B9\u59AE\u59D1\u59C6\u59D0\u59CD\u59CB\u59D3\u59CA\u59AF\u59B3\u59D2\u59C5\u5B5F\u5B64\u5B63\u5B97\u5B9A\u5B98\u5B9C\u5B99\u5B9B\u5C1A\u5C48\u5C45"],
      ["a9a1", "\u5C46\u5CB7\u5CA1\u5CB8\u5CA9\u5CAB\u5CB1\u5CB3\u5E18\u5E1A\u5E16\u5E15\u5E1B\u5E11\u5E78\u5E9A\u5E97\u5E9C\u5E95\u5E96\u5EF6\u5F26\u5F27\u5F29\u5F80\u5F81\u5F7F\u5F7C\u5FDD\u5FE0\u5FFD\u5FF5\u5FFF\u600F\u6014\u602F\u6035\u6016\u602A\u6015\u6021\u6027\u6029\u602B\u601B\u6216\u6215\u623F\u623E\u6240\u627F\u62C9\u62CC\u62C4\u62BF\u62C2\u62B9\u62D2\u62DB\u62AB\u62D3\u62D4\u62CB\u62C8\u62A8\u62BD\u62BC\u62D0\u62D9\u62C7\u62CD\u62B5\u62DA\u62B1\u62D8\u62D6\u62D7\u62C6\u62AC\u62CE\u653E\u65A7\u65BC\u65FA\u6614\u6613\u660C\u6606\u6602\u660E\u6600\u660F\u6615\u660A"],
      ["aa40", "\u6607\u670D\u670B\u676D\u678B\u6795\u6771\u679C\u6773\u6777\u6787\u679D\u6797\u676F\u6770\u677F\u6789\u677E\u6790\u6775\u679A\u6793\u677C\u676A\u6772\u6B23\u6B66\u6B67\u6B7F\u6C13\u6C1B\u6CE3\u6CE8\u6CF3\u6CB1\u6CCC\u6CE5\u6CB3\u6CBD\u6CBE\u6CBC\u6CE2\u6CAB\u6CD5\u6CD3\u6CB8\u6CC4\u6CB9\u6CC1\u6CAE\u6CD7\u6CC5\u6CF1\u6CBF\u6CBB\u6CE1\u6CDB\u6CCA\u6CAC\u6CEF\u6CDC\u6CD6\u6CE0"],
      ["aaa1", "\u7095\u708E\u7092\u708A\u7099\u722C\u722D\u7238\u7248\u7267\u7269\u72C0\u72CE\u72D9\u72D7\u72D0\u73A9\u73A8\u739F\u73AB\u73A5\u753D\u759D\u7599\u759A\u7684\u76C2\u76F2\u76F4\u77E5\u77FD\u793E\u7940\u7941\u79C9\u79C8\u7A7A\u7A79\u7AFA\u7CFE\u7F54\u7F8C\u7F8B\u8005\u80BA\u80A5\u80A2\u80B1\u80A1\u80AB\u80A9\u80B4\u80AA\u80AF\u81E5\u81FE\u820D\u82B3\u829D\u8299\u82AD\u82BD\u829F\u82B9\u82B1\u82AC\u82A5\u82AF\u82B8\u82A3\u82B0\u82BE\u82B7\u864E\u8671\u521D\u8868\u8ECB\u8FCE\u8FD4\u8FD1\u90B5\u90B8\u90B1\u90B6\u91C7\u91D1\u9577\u9580\u961C\u9640\u963F\u963B\u9644"],
      ["ab40", "\u9642\u96B9\u96E8\u9752\u975E\u4E9F\u4EAD\u4EAE\u4FE1\u4FB5\u4FAF\u4FBF\u4FE0\u4FD1\u4FCF\u4FDD\u4FC3\u4FB6\u4FD8\u4FDF\u4FCA\u4FD7\u4FAE\u4FD0\u4FC4\u4FC2\u4FDA\u4FCE\u4FDE\u4FB7\u5157\u5192\u5191\u51A0\u524E\u5243\u524A\u524D\u524C\u524B\u5247\u52C7\u52C9\u52C3\u52C1\u530D\u5357\u537B\u539A\u53DB\u54AC\u54C0\u54A8\u54CE\u54C9\u54B8\u54A6\u54B3\u54C7\u54C2\u54BD\u54AA\u54C1"],
      ["aba1", "\u54C4\u54C8\u54AF\u54AB\u54B1\u54BB\u54A9\u54A7\u54BF\u56FF\u5782\u578B\u57A0\u57A3\u57A2\u57CE\u57AE\u5793\u5955\u5951\u594F\u594E\u5950\u59DC\u59D8\u59FF\u59E3\u59E8\u5A03\u59E5\u59EA\u59DA\u59E6\u5A01\u59FB\u5B69\u5BA3\u5BA6\u5BA4\u5BA2\u5BA5\u5C01\u5C4E\u5C4F\u5C4D\u5C4B\u5CD9\u5CD2\u5DF7\u5E1D\u5E25\u5E1F\u5E7D\u5EA0\u5EA6\u5EFA\u5F08\u5F2D\u5F65\u5F88\u5F85\u5F8A\u5F8B\u5F87\u5F8C\u5F89\u6012\u601D\u6020\u6025\u600E\u6028\u604D\u6070\u6068\u6062\u6046\u6043\u606C\u606B\u606A\u6064\u6241\u62DC\u6316\u6309\u62FC\u62ED\u6301\u62EE\u62FD\u6307\u62F1\u62F7"],
      ["ac40", "\u62EF\u62EC\u62FE\u62F4\u6311\u6302\u653F\u6545\u65AB\u65BD\u65E2\u6625\u662D\u6620\u6627\u662F\u661F\u6628\u6631\u6624\u66F7\u67FF\u67D3\u67F1\u67D4\u67D0\u67EC\u67B6\u67AF\u67F5\u67E9\u67EF\u67C4\u67D1\u67B4\u67DA\u67E5\u67B8\u67CF\u67DE\u67F3\u67B0\u67D9\u67E2\u67DD\u67D2\u6B6A\u6B83\u6B86\u6BB5\u6BD2\u6BD7\u6C1F\u6CC9\u6D0B\u6D32\u6D2A\u6D41\u6D25\u6D0C\u6D31\u6D1E\u6D17"],
      ["aca1", "\u6D3B\u6D3D\u6D3E\u6D36\u6D1B\u6CF5\u6D39\u6D27\u6D38\u6D29\u6D2E\u6D35\u6D0E\u6D2B\u70AB\u70BA\u70B3\u70AC\u70AF\u70AD\u70B8\u70AE\u70A4\u7230\u7272\u726F\u7274\u72E9\u72E0\u72E1\u73B7\u73CA\u73BB\u73B2\u73CD\u73C0\u73B3\u751A\u752D\u754F\u754C\u754E\u754B\u75AB\u75A4\u75A5\u75A2\u75A3\u7678\u7686\u7687\u7688\u76C8\u76C6\u76C3\u76C5\u7701\u76F9\u76F8\u7709\u770B\u76FE\u76FC\u7707\u77DC\u7802\u7814\u780C\u780D\u7946\u7949\u7948\u7947\u79B9\u79BA\u79D1\u79D2\u79CB\u7A7F\u7A81\u7AFF\u7AFD\u7C7D\u7D02\u7D05\u7D00\u7D09\u7D07\u7D04\u7D06\u7F38\u7F8E\u7FBF\u8004"],
      ["ad40", "\u8010\u800D\u8011\u8036\u80D6\u80E5\u80DA\u80C3\u80C4\u80CC\u80E1\u80DB\u80CE\u80DE\u80E4\u80DD\u81F4\u8222\u82E7\u8303\u8305\u82E3\u82DB\u82E6\u8304\u82E5\u8302\u8309\u82D2\u82D7\u82F1\u8301\u82DC\u82D4\u82D1\u82DE\u82D3\u82DF\u82EF\u8306\u8650\u8679\u867B\u867A\u884D\u886B\u8981\u89D4\u8A08\u8A02\u8A03\u8C9E\u8CA0\u8D74\u8D73\u8DB4\u8ECD\u8ECC\u8FF0\u8FE6\u8FE2\u8FEA\u8FE5"],
      ["ada1", "\u8FED\u8FEB\u8FE4\u8FE8\u90CA\u90CE\u90C1\u90C3\u914B\u914A\u91CD\u9582\u9650\u964B\u964C\u964D\u9762\u9769\u97CB\u97ED\u97F3\u9801\u98A8\u98DB\u98DF\u9996\u9999\u4E58\u4EB3\u500C\u500D\u5023\u4FEF\u5026\u5025\u4FF8\u5029\u5016\u5006\u503C\u501F\u501A\u5012\u5011\u4FFA\u5000\u5014\u5028\u4FF1\u5021\u500B\u5019\u5018\u4FF3\u4FEE\u502D\u502A\u4FFE\u502B\u5009\u517C\u51A4\u51A5\u51A2\u51CD\u51CC\u51C6\u51CB\u5256\u525C\u5254\u525B\u525D\u532A\u537F\u539F\u539D\u53DF\u54E8\u5510\u5501\u5537\u54FC\u54E5\u54F2\u5506\u54FA\u5514\u54E9\u54ED\u54E1\u5509\u54EE\u54EA"],
      ["ae40", "\u54E6\u5527\u5507\u54FD\u550F\u5703\u5704\u57C2\u57D4\u57CB\u57C3\u5809\u590F\u5957\u5958\u595A\u5A11\u5A18\u5A1C\u5A1F\u5A1B\u5A13\u59EC\u5A20\u5A23\u5A29\u5A25\u5A0C\u5A09\u5B6B\u5C58\u5BB0\u5BB3\u5BB6\u5BB4\u5BAE\u5BB5\u5BB9\u5BB8\u5C04\u5C51\u5C55\u5C50\u5CED\u5CFD\u5CFB\u5CEA\u5CE8\u5CF0\u5CF6\u5D01\u5CF4\u5DEE\u5E2D\u5E2B\u5EAB\u5EAD\u5EA7\u5F31\u5F92\u5F91\u5F90\u6059"],
      ["aea1", "\u6063\u6065\u6050\u6055\u606D\u6069\u606F\u6084\u609F\u609A\u608D\u6094\u608C\u6085\u6096\u6247\u62F3\u6308\u62FF\u634E\u633E\u632F\u6355\u6342\u6346\u634F\u6349\u633A\u6350\u633D\u632A\u632B\u6328\u634D\u634C\u6548\u6549\u6599\u65C1\u65C5\u6642\u6649\u664F\u6643\u6652\u664C\u6645\u6641\u66F8\u6714\u6715\u6717\u6821\u6838\u6848\u6846\u6853\u6839\u6842\u6854\u6829\u68B3\u6817\u684C\u6851\u683D\u67F4\u6850\u6840\u683C\u6843\u682A\u6845\u6813\u6818\u6841\u6B8A\u6B89\u6BB7\u6C23\u6C27\u6C28\u6C26\u6C24\u6CF0\u6D6A\u6D95\u6D88\u6D87\u6D66\u6D78\u6D77\u6D59\u6D93"],
      ["af40", "\u6D6C\u6D89\u6D6E\u6D5A\u6D74\u6D69\u6D8C\u6D8A\u6D79\u6D85\u6D65\u6D94\u70CA\u70D8\u70E4\u70D9\u70C8\u70CF\u7239\u7279\u72FC\u72F9\u72FD\u72F8\u72F7\u7386\u73ED\u7409\u73EE\u73E0\u73EA\u73DE\u7554\u755D\u755C\u755A\u7559\u75BE\u75C5\u75C7\u75B2\u75B3\u75BD\u75BC\u75B9\u75C2\u75B8\u768B\u76B0\u76CA\u76CD\u76CE\u7729\u771F\u7720\u7728\u77E9\u7830\u7827\u7838\u781D\u7834\u7837"],
      ["afa1", "\u7825\u782D\u7820\u781F\u7832\u7955\u7950\u7960\u795F\u7956\u795E\u795D\u7957\u795A\u79E4\u79E3\u79E7\u79DF\u79E6\u79E9\u79D8\u7A84\u7A88\u7AD9\u7B06\u7B11\u7C89\u7D21\u7D17\u7D0B\u7D0A\u7D20\u7D22\u7D14\u7D10\u7D15\u7D1A\u7D1C\u7D0D\u7D19\u7D1B\u7F3A\u7F5F\u7F94\u7FC5\u7FC1\u8006\u8018\u8015\u8019\u8017\u803D\u803F\u80F1\u8102\u80F0\u8105\u80ED\u80F4\u8106\u80F8\u80F3\u8108\u80FD\u810A\u80FC\u80EF\u81ED\u81EC\u8200\u8210\u822A\u822B\u8228\u822C\u82BB\u832B\u8352\u8354\u834A\u8338\u8350\u8349\u8335\u8334\u834F\u8332\u8339\u8336\u8317\u8340\u8331\u8328\u8343"],
      ["b040", "\u8654\u868A\u86AA\u8693\u86A4\u86A9\u868C\u86A3\u869C\u8870\u8877\u8881\u8882\u887D\u8879\u8A18\u8A10\u8A0E\u8A0C\u8A15\u8A0A\u8A17\u8A13\u8A16\u8A0F\u8A11\u8C48\u8C7A\u8C79\u8CA1\u8CA2\u8D77\u8EAC\u8ED2\u8ED4\u8ECF\u8FB1\u9001\u9006\u8FF7\u9000\u8FFA\u8FF4\u9003\u8FFD\u9005\u8FF8\u9095\u90E1\u90DD\u90E2\u9152\u914D\u914C\u91D8\u91DD\u91D7\u91DC\u91D9\u9583\u9662\u9663\u9661"],
      ["b0a1", "\u965B\u965D\u9664\u9658\u965E\u96BB\u98E2\u99AC\u9AA8\u9AD8\u9B25\u9B32\u9B3C\u4E7E\u507A\u507D\u505C\u5047\u5043\u504C\u505A\u5049\u5065\u5076\u504E\u5055\u5075\u5074\u5077\u504F\u500F\u506F\u506D\u515C\u5195\u51F0\u526A\u526F\u52D2\u52D9\u52D8\u52D5\u5310\u530F\u5319\u533F\u5340\u533E\u53C3\u66FC\u5546\u556A\u5566\u5544\u555E\u5561\u5543\u554A\u5531\u5556\u554F\u5555\u552F\u5564\u5538\u552E\u555C\u552C\u5563\u5533\u5541\u5557\u5708\u570B\u5709\u57DF\u5805\u580A\u5806\u57E0\u57E4\u57FA\u5802\u5835\u57F7\u57F9\u5920\u5962\u5A36\u5A41\u5A49\u5A66\u5A6A\u5A40"],
      ["b140", "\u5A3C\u5A62\u5A5A\u5A46\u5A4A\u5B70\u5BC7\u5BC5\u5BC4\u5BC2\u5BBF\u5BC6\u5C09\u5C08\u5C07\u5C60\u5C5C\u5C5D\u5D07\u5D06\u5D0E\u5D1B\u5D16\u5D22\u5D11\u5D29\u5D14\u5D19\u5D24\u5D27\u5D17\u5DE2\u5E38\u5E36\u5E33\u5E37\u5EB7\u5EB8\u5EB6\u5EB5\u5EBE\u5F35\u5F37\u5F57\u5F6C\u5F69\u5F6B\u5F97\u5F99\u5F9E\u5F98\u5FA1\u5FA0\u5F9C\u607F\u60A3\u6089\u60A0\u60A8\u60CB\u60B4\u60E6\u60BD"],
      ["b1a1", "\u60C5\u60BB\u60B5\u60DC\u60BC\u60D8\u60D5\u60C6\u60DF\u60B8\u60DA\u60C7\u621A\u621B\u6248\u63A0\u63A7\u6372\u6396\u63A2\u63A5\u6377\u6367\u6398\u63AA\u6371\u63A9\u6389\u6383\u639B\u636B\u63A8\u6384\u6388\u6399\u63A1\u63AC\u6392\u638F\u6380\u637B\u6369\u6368\u637A\u655D\u6556\u6551\u6559\u6557\u555F\u654F\u6558\u6555\u6554\u659C\u659B\u65AC\u65CF\u65CB\u65CC\u65CE\u665D\u665A\u6664\u6668\u6666\u665E\u66F9\u52D7\u671B\u6881\u68AF\u68A2\u6893\u68B5\u687F\u6876\u68B1\u68A7\u6897\u68B0\u6883\u68C4\u68AD\u6886\u6885\u6894\u689D\u68A8\u689F\u68A1\u6882\u6B32\u6BBA"],
      ["b240", "\u6BEB\u6BEC\u6C2B\u6D8E\u6DBC\u6DF3\u6DD9\u6DB2\u6DE1\u6DCC\u6DE4\u6DFB\u6DFA\u6E05\u6DC7\u6DCB\u6DAF\u6DD1\u6DAE\u6DDE\u6DF9\u6DB8\u6DF7\u6DF5\u6DC5\u6DD2\u6E1A\u6DB5\u6DDA\u6DEB\u6DD8\u6DEA\u6DF1\u6DEE\u6DE8\u6DC6\u6DC4\u6DAA\u6DEC\u6DBF\u6DE6\u70F9\u7109\u710A\u70FD\u70EF\u723D\u727D\u7281\u731C\u731B\u7316\u7313\u7319\u7387\u7405\u740A\u7403\u7406\u73FE\u740D\u74E0\u74F6"],
      ["b2a1", "\u74F7\u751C\u7522\u7565\u7566\u7562\u7570\u758F\u75D4\u75D5\u75B5\u75CA\u75CD\u768E\u76D4\u76D2\u76DB\u7737\u773E\u773C\u7736\u7738\u773A\u786B\u7843\u784E\u7965\u7968\u796D\u79FB\u7A92\u7A95\u7B20\u7B28\u7B1B\u7B2C\u7B26\u7B19\u7B1E\u7B2E\u7C92\u7C97\u7C95\u7D46\u7D43\u7D71\u7D2E\u7D39\u7D3C\u7D40\u7D30\u7D33\u7D44\u7D2F\u7D42\u7D32\u7D31\u7F3D\u7F9E\u7F9A\u7FCC\u7FCE\u7FD2\u801C\u804A\u8046\u812F\u8116\u8123\u812B\u8129\u8130\u8124\u8202\u8235\u8237\u8236\u8239\u838E\u839E\u8398\u8378\u83A2\u8396\u83BD\u83AB\u8392\u838A\u8393\u8389\u83A0\u8377\u837B\u837C"],
      ["b340", "\u8386\u83A7\u8655\u5F6A\u86C7\u86C0\u86B6\u86C4\u86B5\u86C6\u86CB\u86B1\u86AF\u86C9\u8853\u889E\u8888\u88AB\u8892\u8896\u888D\u888B\u8993\u898F\u8A2A\u8A1D\u8A23\u8A25\u8A31\u8A2D\u8A1F\u8A1B\u8A22\u8C49\u8C5A\u8CA9\u8CAC\u8CAB\u8CA8\u8CAA\u8CA7\u8D67\u8D66\u8DBE\u8DBA\u8EDB\u8EDF\u9019\u900D\u901A\u9017\u9023\u901F\u901D\u9010\u9015\u901E\u9020\u900F\u9022\u9016\u901B\u9014"],
      ["b3a1", "\u90E8\u90ED\u90FD\u9157\u91CE\u91F5\u91E6\u91E3\u91E7\u91ED\u91E9\u9589\u966A\u9675\u9673\u9678\u9670\u9674\u9676\u9677\u966C\u96C0\u96EA\u96E9\u7AE0\u7ADF\u9802\u9803\u9B5A\u9CE5\u9E75\u9E7F\u9EA5\u9EBB\u50A2\u508D\u5085\u5099\u5091\u5080\u5096\u5098\u509A\u6700\u51F1\u5272\u5274\u5275\u5269\u52DE\u52DD\u52DB\u535A\u53A5\u557B\u5580\u55A7\u557C\u558A\u559D\u5598\u5582\u559C\u55AA\u5594\u5587\u558B\u5583\u55B3\u55AE\u559F\u553E\u55B2\u559A\u55BB\u55AC\u55B1\u557E\u5589\u55AB\u5599\u570D\u582F\u582A\u5834\u5824\u5830\u5831\u5821\u581D\u5820\u58F9\u58FA\u5960"],
      ["b440", "\u5A77\u5A9A\u5A7F\u5A92\u5A9B\u5AA7\u5B73\u5B71\u5BD2\u5BCC\u5BD3\u5BD0\u5C0A\u5C0B\u5C31\u5D4C\u5D50\u5D34\u5D47\u5DFD\u5E45\u5E3D\u5E40\u5E43\u5E7E\u5ECA\u5EC1\u5EC2\u5EC4\u5F3C\u5F6D\u5FA9\u5FAA\u5FA8\u60D1\u60E1\u60B2\u60B6\u60E0\u611C\u6123\u60FA\u6115\u60F0\u60FB\u60F4\u6168\u60F1\u610E\u60F6\u6109\u6100\u6112\u621F\u6249\u63A3\u638C\u63CF\u63C0\u63E9\u63C9\u63C6\u63CD"],
      ["b4a1", "\u63D2\u63E3\u63D0\u63E1\u63D6\u63ED\u63EE\u6376\u63F4\u63EA\u63DB\u6452\u63DA\u63F9\u655E\u6566\u6562\u6563\u6591\u6590\u65AF\u666E\u6670\u6674\u6676\u666F\u6691\u667A\u667E\u6677\u66FE\u66FF\u671F\u671D\u68FA\u68D5\u68E0\u68D8\u68D7\u6905\u68DF\u68F5\u68EE\u68E7\u68F9\u68D2\u68F2\u68E3\u68CB\u68CD\u690D\u6912\u690E\u68C9\u68DA\u696E\u68FB\u6B3E\u6B3A\u6B3D\u6B98\u6B96\u6BBC\u6BEF\u6C2E\u6C2F\u6C2C\u6E2F\u6E38\u6E54\u6E21\u6E32\u6E67\u6E4A\u6E20\u6E25\u6E23\u6E1B\u6E5B\u6E58\u6E24\u6E56\u6E6E\u6E2D\u6E26\u6E6F\u6E34\u6E4D\u6E3A\u6E2C\u6E43\u6E1D\u6E3E\u6ECB"],
      ["b540", "\u6E89\u6E19\u6E4E\u6E63\u6E44\u6E72\u6E69\u6E5F\u7119\u711A\u7126\u7130\u7121\u7136\u716E\u711C\u724C\u7284\u7280\u7336\u7325\u7334\u7329\u743A\u742A\u7433\u7422\u7425\u7435\u7436\u7434\u742F\u741B\u7426\u7428\u7525\u7526\u756B\u756A\u75E2\u75DB\u75E3\u75D9\u75D8\u75DE\u75E0\u767B\u767C\u7696\u7693\u76B4\u76DC\u774F\u77ED\u785D\u786C\u786F\u7A0D\u7A08\u7A0B\u7A05\u7A00\u7A98"],
      ["b5a1", "\u7A97\u7A96\u7AE5\u7AE3\u7B49\u7B56\u7B46\u7B50\u7B52\u7B54\u7B4D\u7B4B\u7B4F\u7B51\u7C9F\u7CA5\u7D5E\u7D50\u7D68\u7D55\u7D2B\u7D6E\u7D72\u7D61\u7D66\u7D62\u7D70\u7D73\u5584\u7FD4\u7FD5\u800B\u8052\u8085\u8155\u8154\u814B\u8151\u814E\u8139\u8146\u813E\u814C\u8153\u8174\u8212\u821C\u83E9\u8403\u83F8\u840D\u83E0\u83C5\u840B\u83C1\u83EF\u83F1\u83F4\u8457\u840A\u83F0\u840C\u83CC\u83FD\u83F2\u83CA\u8438\u840E\u8404\u83DC\u8407\u83D4\u83DF\u865B\u86DF\u86D9\u86ED\u86D4\u86DB\u86E4\u86D0\u86DE\u8857\u88C1\u88C2\u88B1\u8983\u8996\u8A3B\u8A60\u8A55\u8A5E\u8A3C\u8A41"],
      ["b640", "\u8A54\u8A5B\u8A50\u8A46\u8A34\u8A3A\u8A36\u8A56\u8C61\u8C82\u8CAF\u8CBC\u8CB3\u8CBD\u8CC1\u8CBB\u8CC0\u8CB4\u8CB7\u8CB6\u8CBF\u8CB8\u8D8A\u8D85\u8D81\u8DCE\u8DDD\u8DCB\u8DDA\u8DD1\u8DCC\u8DDB\u8DC6\u8EFB\u8EF8\u8EFC\u8F9C\u902E\u9035\u9031\u9038\u9032\u9036\u9102\u90F5\u9109\u90FE\u9163\u9165\u91CF\u9214\u9215\u9223\u9209\u921E\u920D\u9210\u9207\u9211\u9594\u958F\u958B\u9591"],
      ["b6a1", "\u9593\u9592\u958E\u968A\u968E\u968B\u967D\u9685\u9686\u968D\u9672\u9684\u96C1\u96C5\u96C4\u96C6\u96C7\u96EF\u96F2\u97CC\u9805\u9806\u9808\u98E7\u98EA\u98EF\u98E9\u98F2\u98ED\u99AE\u99AD\u9EC3\u9ECD\u9ED1\u4E82\u50AD\u50B5\u50B2\u50B3\u50C5\u50BE\u50AC\u50B7\u50BB\u50AF\u50C7\u527F\u5277\u527D\u52DF\u52E6\u52E4\u52E2\u52E3\u532F\u55DF\u55E8\u55D3\u55E6\u55CE\u55DC\u55C7\u55D1\u55E3\u55E4\u55EF\u55DA\u55E1\u55C5\u55C6\u55E5\u55C9\u5712\u5713\u585E\u5851\u5858\u5857\u585A\u5854\u586B\u584C\u586D\u584A\u5862\u5852\u584B\u5967\u5AC1\u5AC9\u5ACC\u5ABE\u5ABD\u5ABC"],
      ["b740", "\u5AB3\u5AC2\u5AB2\u5D69\u5D6F\u5E4C\u5E79\u5EC9\u5EC8\u5F12\u5F59\u5FAC\u5FAE\u611A\u610F\u6148\u611F\u60F3\u611B\u60F9\u6101\u6108\u614E\u614C\u6144\u614D\u613E\u6134\u6127\u610D\u6106\u6137\u6221\u6222\u6413\u643E\u641E\u642A\u642D\u643D\u642C\u640F\u641C\u6414\u640D\u6436\u6416\u6417\u6406\u656C\u659F\u65B0\u6697\u6689\u6687\u6688\u6696\u6684\u6698\u668D\u6703\u6994\u696D"],
      ["b7a1", "\u695A\u6977\u6960\u6954\u6975\u6930\u6982\u694A\u6968\u696B\u695E\u6953\u6979\u6986\u695D\u6963\u695B\u6B47\u6B72\u6BC0\u6BBF\u6BD3\u6BFD\u6EA2\u6EAF\u6ED3\u6EB6\u6EC2\u6E90\u6E9D\u6EC7\u6EC5\u6EA5\u6E98\u6EBC\u6EBA\u6EAB\u6ED1\u6E96\u6E9C\u6EC4\u6ED4\u6EAA\u6EA7\u6EB4\u714E\u7159\u7169\u7164\u7149\u7167\u715C\u716C\u7166\u714C\u7165\u715E\u7146\u7168\u7156\u723A\u7252\u7337\u7345\u733F\u733E\u746F\u745A\u7455\u745F\u745E\u7441\u743F\u7459\u745B\u745C\u7576\u7578\u7600\u75F0\u7601\u75F2\u75F1\u75FA\u75FF\u75F4\u75F3\u76DE\u76DF\u775B\u776B\u7766\u775E\u7763"],
      ["b840", "\u7779\u776A\u776C\u775C\u7765\u7768\u7762\u77EE\u788E\u78B0\u7897\u7898\u788C\u7889\u787C\u7891\u7893\u787F\u797A\u797F\u7981\u842C\u79BD\u7A1C\u7A1A\u7A20\u7A14\u7A1F\u7A1E\u7A9F\u7AA0\u7B77\u7BC0\u7B60\u7B6E\u7B67\u7CB1\u7CB3\u7CB5\u7D93\u7D79\u7D91\u7D81\u7D8F\u7D5B\u7F6E\u7F69\u7F6A\u7F72\u7FA9\u7FA8\u7FA4\u8056\u8058\u8086\u8084\u8171\u8170\u8178\u8165\u816E\u8173\u816B"],
      ["b8a1", "\u8179\u817A\u8166\u8205\u8247\u8482\u8477\u843D\u8431\u8475\u8466\u846B\u8449\u846C\u845B\u843C\u8435\u8461\u8463\u8469\u846D\u8446\u865E\u865C\u865F\u86F9\u8713\u8708\u8707\u8700\u86FE\u86FB\u8702\u8703\u8706\u870A\u8859\u88DF\u88D4\u88D9\u88DC\u88D8\u88DD\u88E1\u88CA\u88D5\u88D2\u899C\u89E3\u8A6B\u8A72\u8A73\u8A66\u8A69\u8A70\u8A87\u8A7C\u8A63\u8AA0\u8A71\u8A85\u8A6D\u8A62\u8A6E\u8A6C\u8A79\u8A7B\u8A3E\u8A68\u8C62\u8C8A\u8C89\u8CCA\u8CC7\u8CC8\u8CC4\u8CB2\u8CC3\u8CC2\u8CC5\u8DE1\u8DDF\u8DE8\u8DEF\u8DF3\u8DFA\u8DEA\u8DE4\u8DE6\u8EB2\u8F03\u8F09\u8EFE\u8F0A"],
      ["b940", "\u8F9F\u8FB2\u904B\u904A\u9053\u9042\u9054\u903C\u9055\u9050\u9047\u904F\u904E\u904D\u9051\u903E\u9041\u9112\u9117\u916C\u916A\u9169\u91C9\u9237\u9257\u9238\u923D\u9240\u923E\u925B\u924B\u9264\u9251\u9234\u9249\u924D\u9245\u9239\u923F\u925A\u9598\u9698\u9694\u9695\u96CD\u96CB\u96C9\u96CA\u96F7\u96FB\u96F9\u96F6\u9756\u9774\u9776\u9810\u9811\u9813\u980A\u9812\u980C\u98FC\u98F4"],
      ["b9a1", "\u98FD\u98FE\u99B3\u99B1\u99B4\u9AE1\u9CE9\u9E82\u9F0E\u9F13\u9F20\u50E7\u50EE\u50E5\u50D6\u50ED\u50DA\u50D5\u50CF\u50D1\u50F1\u50CE\u50E9\u5162\u51F3\u5283\u5282\u5331\u53AD\u55FE\u5600\u561B\u5617\u55FD\u5614\u5606\u5609\u560D\u560E\u55F7\u5616\u561F\u5608\u5610\u55F6\u5718\u5716\u5875\u587E\u5883\u5893\u588A\u5879\u5885\u587D\u58FD\u5925\u5922\u5924\u596A\u5969\u5AE1\u5AE6\u5AE9\u5AD7\u5AD6\u5AD8\u5AE3\u5B75\u5BDE\u5BE7\u5BE1\u5BE5\u5BE6\u5BE8\u5BE2\u5BE4\u5BDF\u5C0D\u5C62\u5D84\u5D87\u5E5B\u5E63\u5E55\u5E57\u5E54\u5ED3\u5ED6\u5F0A\u5F46\u5F70\u5FB9\u6147"],
      ["ba40", "\u613F\u614B\u6177\u6162\u6163\u615F\u615A\u6158\u6175\u622A\u6487\u6458\u6454\u64A4\u6478\u645F\u647A\u6451\u6467\u6434\u646D\u647B\u6572\u65A1\u65D7\u65D6\u66A2\u66A8\u669D\u699C\u69A8\u6995\u69C1\u69AE\u69D3\u69CB\u699B\u69B7\u69BB\u69AB\u69B4\u69D0\u69CD\u69AD\u69CC\u69A6\u69C3\u69A3\u6B49\u6B4C\u6C33\u6F33\u6F14\u6EFE\u6F13\u6EF4\u6F29\u6F3E\u6F20\u6F2C\u6F0F\u6F02\u6F22"],
      ["baa1", "\u6EFF\u6EEF\u6F06\u6F31\u6F38\u6F32\u6F23\u6F15\u6F2B\u6F2F\u6F88\u6F2A\u6EEC\u6F01\u6EF2\u6ECC\u6EF7\u7194\u7199\u717D\u718A\u7184\u7192\u723E\u7292\u7296\u7344\u7350\u7464\u7463\u746A\u7470\u746D\u7504\u7591\u7627\u760D\u760B\u7609\u7613\u76E1\u76E3\u7784\u777D\u777F\u7761\u78C1\u789F\u78A7\u78B3\u78A9\u78A3\u798E\u798F\u798D\u7A2E\u7A31\u7AAA\u7AA9\u7AED\u7AEF\u7BA1\u7B95\u7B8B\u7B75\u7B97\u7B9D\u7B94\u7B8F\u7BB8\u7B87\u7B84\u7CB9\u7CBD\u7CBE\u7DBB\u7DB0\u7D9C\u7DBD\u7DBE\u7DA0\u7DCA\u7DB4\u7DB2\u7DB1\u7DBA\u7DA2\u7DBF\u7DB5\u7DB8\u7DAD\u7DD2\u7DC7\u7DAC"],
      ["bb40", "\u7F70\u7FE0\u7FE1\u7FDF\u805E\u805A\u8087\u8150\u8180\u818F\u8188\u818A\u817F\u8182\u81E7\u81FA\u8207\u8214\u821E\u824B\u84C9\u84BF\u84C6\u84C4\u8499\u849E\u84B2\u849C\u84CB\u84B8\u84C0\u84D3\u8490\u84BC\u84D1\u84CA\u873F\u871C\u873B\u8722\u8725\u8734\u8718\u8755\u8737\u8729\u88F3\u8902\u88F4\u88F9\u88F8\u88FD\u88E8\u891A\u88EF\u8AA6\u8A8C\u8A9E\u8AA3\u8A8D\u8AA1\u8A93\u8AA4"],
      ["bba1", "\u8AAA\u8AA5\u8AA8\u8A98\u8A91\u8A9A\u8AA7\u8C6A\u8C8D\u8C8C\u8CD3\u8CD1\u8CD2\u8D6B\u8D99\u8D95\u8DFC\u8F14\u8F12\u8F15\u8F13\u8FA3\u9060\u9058\u905C\u9063\u9059\u905E\u9062\u905D\u905B\u9119\u9118\u911E\u9175\u9178\u9177\u9174\u9278\u9280\u9285\u9298\u9296\u927B\u9293\u929C\u92A8\u927C\u9291\u95A1\u95A8\u95A9\u95A3\u95A5\u95A4\u9699\u969C\u969B\u96CC\u96D2\u9700\u977C\u9785\u97F6\u9817\u9818\u98AF\u98B1\u9903\u9905\u990C\u9909\u99C1\u9AAF\u9AB0\u9AE6\u9B41\u9B42\u9CF4\u9CF6\u9CF3\u9EBC\u9F3B\u9F4A\u5104\u5100\u50FB\u50F5\u50F9\u5102\u5108\u5109\u5105\u51DC"],
      ["bc40", "\u5287\u5288\u5289\u528D\u528A\u52F0\u53B2\u562E\u563B\u5639\u5632\u563F\u5634\u5629\u5653\u564E\u5657\u5674\u5636\u562F\u5630\u5880\u589F\u589E\u58B3\u589C\u58AE\u58A9\u58A6\u596D\u5B09\u5AFB\u5B0B\u5AF5\u5B0C\u5B08\u5BEE\u5BEC\u5BE9\u5BEB\u5C64\u5C65\u5D9D\u5D94\u5E62\u5E5F\u5E61\u5EE2\u5EDA\u5EDF\u5EDD\u5EE3\u5EE0\u5F48\u5F71\u5FB7\u5FB5\u6176\u6167\u616E\u615D\u6155\u6182"],
      ["bca1", "\u617C\u6170\u616B\u617E\u61A7\u6190\u61AB\u618E\u61AC\u619A\u61A4\u6194\u61AE\u622E\u6469\u646F\u6479\u649E\u64B2\u6488\u6490\u64B0\u64A5\u6493\u6495\u64A9\u6492\u64AE\u64AD\u64AB\u649A\u64AC\u6499\u64A2\u64B3\u6575\u6577\u6578\u66AE\u66AB\u66B4\u66B1\u6A23\u6A1F\u69E8\u6A01\u6A1E\u6A19\u69FD\u6A21\u6A13\u6A0A\u69F3\u6A02\u6A05\u69ED\u6A11\u6B50\u6B4E\u6BA4\u6BC5\u6BC6\u6F3F\u6F7C\u6F84\u6F51\u6F66\u6F54\u6F86\u6F6D\u6F5B\u6F78\u6F6E\u6F8E\u6F7A\u6F70\u6F64\u6F97\u6F58\u6ED5\u6F6F\u6F60\u6F5F\u719F\u71AC\u71B1\u71A8\u7256\u729B\u734E\u7357\u7469\u748B\u7483"],
      ["bd40", "\u747E\u7480\u757F\u7620\u7629\u761F\u7624\u7626\u7621\u7622\u769A\u76BA\u76E4\u778E\u7787\u778C\u7791\u778B\u78CB\u78C5\u78BA\u78CA\u78BE\u78D5\u78BC\u78D0\u7A3F\u7A3C\u7A40\u7A3D\u7A37\u7A3B\u7AAF\u7AAE\u7BAD\u7BB1\u7BC4\u7BB4\u7BC6\u7BC7\u7BC1\u7BA0\u7BCC\u7CCA\u7DE0\u7DF4\u7DEF\u7DFB\u7DD8\u7DEC\u7DDD\u7DE8\u7DE3\u7DDA\u7DDE\u7DE9\u7D9E\u7DD9\u7DF2\u7DF9\u7F75\u7F77\u7FAF"],
      ["bda1", "\u7FE9\u8026\u819B\u819C\u819D\u81A0\u819A\u8198\u8517\u853D\u851A\u84EE\u852C\u852D\u8513\u8511\u8523\u8521\u8514\u84EC\u8525\u84FF\u8506\u8782\u8774\u8776\u8760\u8766\u8778\u8768\u8759\u8757\u874C\u8753\u885B\u885D\u8910\u8907\u8912\u8913\u8915\u890A\u8ABC\u8AD2\u8AC7\u8AC4\u8A95\u8ACB\u8AF8\u8AB2\u8AC9\u8AC2\u8ABF\u8AB0\u8AD6\u8ACD\u8AB6\u8AB9\u8ADB\u8C4C\u8C4E\u8C6C\u8CE0\u8CDE\u8CE6\u8CE4\u8CEC\u8CED\u8CE2\u8CE3\u8CDC\u8CEA\u8CE1\u8D6D\u8D9F\u8DA3\u8E2B\u8E10\u8E1D\u8E22\u8E0F\u8E29\u8E1F\u8E21\u8E1E\u8EBA\u8F1D\u8F1B\u8F1F\u8F29\u8F26\u8F2A\u8F1C\u8F1E"],
      ["be40", "\u8F25\u9069\u906E\u9068\u906D\u9077\u9130\u912D\u9127\u9131\u9187\u9189\u918B\u9183\u92C5\u92BB\u92B7\u92EA\u92AC\u92E4\u92C1\u92B3\u92BC\u92D2\u92C7\u92F0\u92B2\u95AD\u95B1\u9704\u9706\u9707\u9709\u9760\u978D\u978B\u978F\u9821\u982B\u981C\u98B3\u990A\u9913\u9912\u9918\u99DD\u99D0\u99DF\u99DB\u99D1\u99D5\u99D2\u99D9\u9AB7\u9AEE\u9AEF\u9B27\u9B45\u9B44\u9B77\u9B6F\u9D06\u9D09"],
      ["bea1", "\u9D03\u9EA9\u9EBE\u9ECE\u58A8\u9F52\u5112\u5118\u5114\u5110\u5115\u5180\u51AA\u51DD\u5291\u5293\u52F3\u5659\u566B\u5679\u5669\u5664\u5678\u566A\u5668\u5665\u5671\u566F\u566C\u5662\u5676\u58C1\u58BE\u58C7\u58C5\u596E\u5B1D\u5B34\u5B78\u5BF0\u5C0E\u5F4A\u61B2\u6191\u61A9\u618A\u61CD\u61B6\u61BE\u61CA\u61C8\u6230\u64C5\u64C1\u64CB\u64BB\u64BC\u64DA\u64C4\u64C7\u64C2\u64CD\u64BF\u64D2\u64D4\u64BE\u6574\u66C6\u66C9\u66B9\u66C4\u66C7\u66B8\u6A3D\u6A38\u6A3A\u6A59\u6A6B\u6A58\u6A39\u6A44\u6A62\u6A61\u6A4B\u6A47\u6A35\u6A5F\u6A48\u6B59\u6B77\u6C05\u6FC2\u6FB1\u6FA1"],
      ["bf40", "\u6FC3\u6FA4\u6FC1\u6FA7\u6FB3\u6FC0\u6FB9\u6FB6\u6FA6\u6FA0\u6FB4\u71BE\u71C9\u71D0\u71D2\u71C8\u71D5\u71B9\u71CE\u71D9\u71DC\u71C3\u71C4\u7368\u749C\u74A3\u7498\u749F\u749E\u74E2\u750C\u750D\u7634\u7638\u763A\u76E7\u76E5\u77A0\u779E\u779F\u77A5\u78E8\u78DA\u78EC\u78E7\u79A6\u7A4D\u7A4E\u7A46\u7A4C\u7A4B\u7ABA\u7BD9\u7C11\u7BC9\u7BE4\u7BDB\u7BE1\u7BE9\u7BE6\u7CD5\u7CD6\u7E0A"],
      ["bfa1", "\u7E11\u7E08\u7E1B\u7E23\u7E1E\u7E1D\u7E09\u7E10\u7F79\u7FB2\u7FF0\u7FF1\u7FEE\u8028\u81B3\u81A9\u81A8\u81FB\u8208\u8258\u8259\u854A\u8559\u8548\u8568\u8569\u8543\u8549\u856D\u856A\u855E\u8783\u879F\u879E\u87A2\u878D\u8861\u892A\u8932\u8925\u892B\u8921\u89AA\u89A6\u8AE6\u8AFA\u8AEB\u8AF1\u8B00\u8ADC\u8AE7\u8AEE\u8AFE\u8B01\u8B02\u8AF7\u8AED\u8AF3\u8AF6\u8AFC\u8C6B\u8C6D\u8C93\u8CF4\u8E44\u8E31\u8E34\u8E42\u8E39\u8E35\u8F3B\u8F2F\u8F38\u8F33\u8FA8\u8FA6\u9075\u9074\u9078\u9072\u907C\u907A\u9134\u9192\u9320\u9336\u92F8\u9333\u932F\u9322\u92FC\u932B\u9304\u931A"],
      ["c040", "\u9310\u9326\u9321\u9315\u932E\u9319\u95BB\u96A7\u96A8\u96AA\u96D5\u970E\u9711\u9716\u970D\u9713\u970F\u975B\u975C\u9766\u9798\u9830\u9838\u983B\u9837\u982D\u9839\u9824\u9910\u9928\u991E\u991B\u9921\u991A\u99ED\u99E2\u99F1\u9AB8\u9ABC\u9AFB\u9AED\u9B28\u9B91\u9D15\u9D23\u9D26\u9D28\u9D12\u9D1B\u9ED8\u9ED4\u9F8D\u9F9C\u512A\u511F\u5121\u5132\u52F5\u568E\u5680\u5690\u5685\u5687"],
      ["c0a1", "\u568F\u58D5\u58D3\u58D1\u58CE\u5B30\u5B2A\u5B24\u5B7A\u5C37\u5C68\u5DBC\u5DBA\u5DBD\u5DB8\u5E6B\u5F4C\u5FBD\u61C9\u61C2\u61C7\u61E6\u61CB\u6232\u6234\u64CE\u64CA\u64D8\u64E0\u64F0\u64E6\u64EC\u64F1\u64E2\u64ED\u6582\u6583\u66D9\u66D6\u6A80\u6A94\u6A84\u6AA2\u6A9C\u6ADB\u6AA3\u6A7E\u6A97\u6A90\u6AA0\u6B5C\u6BAE\u6BDA\u6C08\u6FD8\u6FF1\u6FDF\u6FE0\u6FDB\u6FE4\u6FEB\u6FEF\u6F80\u6FEC\u6FE1\u6FE9\u6FD5\u6FEE\u6FF0\u71E7\u71DF\u71EE\u71E6\u71E5\u71ED\u71EC\u71F4\u71E0\u7235\u7246\u7370\u7372\u74A9\u74B0\u74A6\u74A8\u7646\u7642\u764C\u76EA\u77B3\u77AA\u77B0\u77AC"],
      ["c140", "\u77A7\u77AD\u77EF\u78F7\u78FA\u78F4\u78EF\u7901\u79A7\u79AA\u7A57\u7ABF\u7C07\u7C0D\u7BFE\u7BF7\u7C0C\u7BE0\u7CE0\u7CDC\u7CDE\u7CE2\u7CDF\u7CD9\u7CDD\u7E2E\u7E3E\u7E46\u7E37\u7E32\u7E43\u7E2B\u7E3D\u7E31\u7E45\u7E41\u7E34\u7E39\u7E48\u7E35\u7E3F\u7E2F\u7F44\u7FF3\u7FFC\u8071\u8072\u8070\u806F\u8073\u81C6\u81C3\u81BA\u81C2\u81C0\u81BF\u81BD\u81C9\u81BE\u81E8\u8209\u8271\u85AA"],
      ["c1a1", "\u8584\u857E\u859C\u8591\u8594\u85AF\u859B\u8587\u85A8\u858A\u8667\u87C0\u87D1\u87B3\u87D2\u87C6\u87AB\u87BB\u87BA\u87C8\u87CB\u893B\u8936\u8944\u8938\u893D\u89AC\u8B0E\u8B17\u8B19\u8B1B\u8B0A\u8B20\u8B1D\u8B04\u8B10\u8C41\u8C3F\u8C73\u8CFA\u8CFD\u8CFC\u8CF8\u8CFB\u8DA8\u8E49\u8E4B\u8E48\u8E4A\u8F44\u8F3E\u8F42\u8F45\u8F3F\u907F\u907D\u9084\u9081\u9082\u9080\u9139\u91A3\u919E\u919C\u934D\u9382\u9328\u9375\u934A\u9365\u934B\u9318\u937E\u936C\u935B\u9370\u935A\u9354\u95CA\u95CB\u95CC\u95C8\u95C6\u96B1\u96B8\u96D6\u971C\u971E\u97A0\u97D3\u9846\u98B6\u9935\u9A01"],
      ["c240", "\u99FF\u9BAE\u9BAB\u9BAA\u9BAD\u9D3B\u9D3F\u9E8B\u9ECF\u9EDE\u9EDC\u9EDD\u9EDB\u9F3E\u9F4B\u53E2\u5695\u56AE\u58D9\u58D8\u5B38\u5F5D\u61E3\u6233\u64F4\u64F2\u64FE\u6506\u64FA\u64FB\u64F7\u65B7\u66DC\u6726\u6AB3\u6AAC\u6AC3\u6ABB\u6AB8\u6AC2\u6AAE\u6AAF\u6B5F\u6B78\u6BAF\u7009\u700B\u6FFE\u7006\u6FFA\u7011\u700F\u71FB\u71FC\u71FE\u71F8\u7377\u7375\u74A7\u74BF\u7515\u7656\u7658"],
      ["c2a1", "\u7652\u77BD\u77BF\u77BB\u77BC\u790E\u79AE\u7A61\u7A62\u7A60\u7AC4\u7AC5\u7C2B\u7C27\u7C2A\u7C1E\u7C23\u7C21\u7CE7\u7E54\u7E55\u7E5E\u7E5A\u7E61\u7E52\u7E59\u7F48\u7FF9\u7FFB\u8077\u8076\u81CD\u81CF\u820A\u85CF\u85A9\u85CD\u85D0\u85C9\u85B0\u85BA\u85B9\u85A6\u87EF\u87EC\u87F2\u87E0\u8986\u89B2\u89F4\u8B28\u8B39\u8B2C\u8B2B\u8C50\u8D05\u8E59\u8E63\u8E66\u8E64\u8E5F\u8E55\u8EC0\u8F49\u8F4D\u9087\u9083\u9088\u91AB\u91AC\u91D0\u9394\u938A\u9396\u93A2\u93B3\u93AE\u93AC\u93B0\u9398\u939A\u9397\u95D4\u95D6\u95D0\u95D5\u96E2\u96DC\u96D9\u96DB\u96DE\u9724\u97A3\u97A6"],
      ["c340", "\u97AD\u97F9\u984D\u984F\u984C\u984E\u9853\u98BA\u993E\u993F\u993D\u992E\u99A5\u9A0E\u9AC1\u9B03\u9B06\u9B4F\u9B4E\u9B4D\u9BCA\u9BC9\u9BFD\u9BC8\u9BC0\u9D51\u9D5D\u9D60\u9EE0\u9F15\u9F2C\u5133\u56A5\u58DE\u58DF\u58E2\u5BF5\u9F90\u5EEC\u61F2\u61F7\u61F6\u61F5\u6500\u650F\u66E0\u66DD\u6AE5\u6ADD\u6ADA\u6AD3\u701B\u701F\u7028\u701A\u701D\u7015\u7018\u7206\u720D\u7258\u72A2\u7378"],
      ["c3a1", "\u737A\u74BD\u74CA\u74E3\u7587\u7586\u765F\u7661\u77C7\u7919\u79B1\u7A6B\u7A69\u7C3E\u7C3F\u7C38\u7C3D\u7C37\u7C40\u7E6B\u7E6D\u7E79\u7E69\u7E6A\u7F85\u7E73\u7FB6\u7FB9\u7FB8\u81D8\u85E9\u85DD\u85EA\u85D5\u85E4\u85E5\u85F7\u87FB\u8805\u880D\u87F9\u87FE\u8960\u895F\u8956\u895E\u8B41\u8B5C\u8B58\u8B49\u8B5A\u8B4E\u8B4F\u8B46\u8B59\u8D08\u8D0A\u8E7C\u8E72\u8E87\u8E76\u8E6C\u8E7A\u8E74\u8F54\u8F4E\u8FAD\u908A\u908B\u91B1\u91AE\u93E1\u93D1\u93DF\u93C3\u93C8\u93DC\u93DD\u93D6\u93E2\u93CD\u93D8\u93E4\u93D7\u93E8\u95DC\u96B4\u96E3\u972A\u9727\u9761\u97DC\u97FB\u985E"],
      ["c440", "\u9858\u985B\u98BC\u9945\u9949\u9A16\u9A19\u9B0D\u9BE8\u9BE7\u9BD6\u9BDB\u9D89\u9D61\u9D72\u9D6A\u9D6C\u9E92\u9E97\u9E93\u9EB4\u52F8\u56A8\u56B7\u56B6\u56B4\u56BC\u58E4\u5B40\u5B43\u5B7D\u5BF6\u5DC9\u61F8\u61FA\u6518\u6514\u6519\u66E6\u6727\u6AEC\u703E\u7030\u7032\u7210\u737B\u74CF\u7662\u7665\u7926\u792A\u792C\u792B\u7AC7\u7AF6\u7C4C\u7C43\u7C4D\u7CEF\u7CF0\u8FAE\u7E7D\u7E7C"],
      ["c4a1", "\u7E82\u7F4C\u8000\u81DA\u8266\u85FB\u85F9\u8611\u85FA\u8606\u860B\u8607\u860A\u8814\u8815\u8964\u89BA\u89F8\u8B70\u8B6C\u8B66\u8B6F\u8B5F\u8B6B\u8D0F\u8D0D\u8E89\u8E81\u8E85\u8E82\u91B4\u91CB\u9418\u9403\u93FD\u95E1\u9730\u98C4\u9952\u9951\u99A8\u9A2B\u9A30\u9A37\u9A35\u9C13\u9C0D\u9E79\u9EB5\u9EE8\u9F2F\u9F5F\u9F63\u9F61\u5137\u5138\u56C1\u56C0\u56C2\u5914\u5C6C\u5DCD\u61FC\u61FE\u651D\u651C\u6595\u66E9\u6AFB\u6B04\u6AFA\u6BB2\u704C\u721B\u72A7\u74D6\u74D4\u7669\u77D3\u7C50\u7E8F\u7E8C\u7FBC\u8617\u862D\u861A\u8823\u8822\u8821\u881F\u896A\u896C\u89BD\u8B74"],
      ["c540", "\u8B77\u8B7D\u8D13\u8E8A\u8E8D\u8E8B\u8F5F\u8FAF\u91BA\u942E\u9433\u9435\u943A\u9438\u9432\u942B\u95E2\u9738\u9739\u9732\u97FF\u9867\u9865\u9957\u9A45\u9A43\u9A40\u9A3E\u9ACF\u9B54\u9B51\u9C2D\u9C25\u9DAF\u9DB4\u9DC2\u9DB8\u9E9D\u9EEF\u9F19\u9F5C\u9F66\u9F67\u513C\u513B\u56C8\u56CA\u56C9\u5B7F\u5DD4\u5DD2\u5F4E\u61FF\u6524\u6B0A\u6B61\u7051\u7058\u7380\u74E4\u758A\u766E\u766C"],
      ["c5a1", "\u79B3\u7C60\u7C5F\u807E\u807D\u81DF\u8972\u896F\u89FC\u8B80\u8D16\u8D17\u8E91\u8E93\u8F61\u9148\u9444\u9451\u9452\u973D\u973E\u97C3\u97C1\u986B\u9955\u9A55\u9A4D\u9AD2\u9B1A\u9C49\u9C31\u9C3E\u9C3B\u9DD3\u9DD7\u9F34\u9F6C\u9F6A\u9F94\u56CC\u5DD6\u6200\u6523\u652B\u652A\u66EC\u6B10\u74DA\u7ACA\u7C64\u7C63\u7C65\u7E93\u7E96\u7E94\u81E2\u8638\u863F\u8831\u8B8A\u9090\u908F\u9463\u9460\u9464\u9768\u986F\u995C\u9A5A\u9A5B\u9A57\u9AD3\u9AD4\u9AD1\u9C54\u9C57\u9C56\u9DE5\u9E9F\u9EF4\u56D1\u58E9\u652C\u705E\u7671\u7672\u77D7\u7F50\u7F88\u8836\u8839\u8862\u8B93\u8B92"],
      ["c640", "\u8B96\u8277\u8D1B\u91C0\u946A\u9742\u9748\u9744\u97C6\u9870\u9A5F\u9B22\u9B58\u9C5F\u9DF9\u9DFA\u9E7C\u9E7D\u9F07\u9F77\u9F72\u5EF3\u6B16\u7063\u7C6C\u7C6E\u883B\u89C0\u8EA1\u91C1\u9472\u9470\u9871\u995E\u9AD6\u9B23\u9ECC\u7064\u77DA\u8B9A\u9477\u97C9\u9A62\u9A65\u7E9C\u8B9C\u8EAA\u91C5\u947D\u947E\u947C\u9C77\u9C78\u9EF7\u8C54\u947F\u9E1A\u7228\u9A6A\u9B31\u9E1B\u9E1E\u7C72"],
      ["c940", "\u4E42\u4E5C\u51F5\u531A\u5382\u4E07\u4E0C\u4E47\u4E8D\u56D7\uFA0C\u5C6E\u5F73\u4E0F\u5187\u4E0E\u4E2E\u4E93\u4EC2\u4EC9\u4EC8\u5198\u52FC\u536C\u53B9\u5720\u5903\u592C\u5C10\u5DFF\u65E1\u6BB3\u6BCC\u6C14\u723F\u4E31\u4E3C\u4EE8\u4EDC\u4EE9\u4EE1\u4EDD\u4EDA\u520C\u531C\u534C\u5722\u5723\u5917\u592F\u5B81\u5B84\u5C12\u5C3B\u5C74\u5C73\u5E04\u5E80\u5E82\u5FC9\u6209\u6250\u6C15"],
      ["c9a1", "\u6C36\u6C43\u6C3F\u6C3B\u72AE\u72B0\u738A\u79B8\u808A\u961E\u4F0E\u4F18\u4F2C\u4EF5\u4F14\u4EF1\u4F00\u4EF7\u4F08\u4F1D\u4F02\u4F05\u4F22\u4F13\u4F04\u4EF4\u4F12\u51B1\u5213\u5209\u5210\u52A6\u5322\u531F\u534D\u538A\u5407\u56E1\u56DF\u572E\u572A\u5734\u593C\u5980\u597C\u5985\u597B\u597E\u5977\u597F\u5B56\u5C15\u5C25\u5C7C\u5C7A\u5C7B\u5C7E\u5DDF\u5E75\u5E84\u5F02\u5F1A\u5F74\u5FD5\u5FD4\u5FCF\u625C\u625E\u6264\u6261\u6266\u6262\u6259\u6260\u625A\u6265\u65EF\u65EE\u673E\u6739\u6738\u673B\u673A\u673F\u673C\u6733\u6C18\u6C46\u6C52\u6C5C\u6C4F\u6C4A\u6C54\u6C4B"],
      ["ca40", "\u6C4C\u7071\u725E\u72B4\u72B5\u738E\u752A\u767F\u7A75\u7F51\u8278\u827C\u8280\u827D\u827F\u864D\u897E\u9099\u9097\u9098\u909B\u9094\u9622\u9624\u9620\u9623\u4F56\u4F3B\u4F62\u4F49\u4F53\u4F64\u4F3E\u4F67\u4F52\u4F5F\u4F41\u4F58\u4F2D\u4F33\u4F3F\u4F61\u518F\u51B9\u521C\u521E\u5221\u52AD\u52AE\u5309\u5363\u5372\u538E\u538F\u5430\u5437\u542A\u5454\u5445\u5419\u541C\u5425\u5418"],
      ["caa1", "\u543D\u544F\u5441\u5428\u5424\u5447\u56EE\u56E7\u56E5\u5741\u5745\u574C\u5749\u574B\u5752\u5906\u5940\u59A6\u5998\u59A0\u5997\u598E\u59A2\u5990\u598F\u59A7\u59A1\u5B8E\u5B92\u5C28\u5C2A\u5C8D\u5C8F\u5C88\u5C8B\u5C89\u5C92\u5C8A\u5C86\u5C93\u5C95\u5DE0\u5E0A\u5E0E\u5E8B\u5E89\u5E8C\u5E88\u5E8D\u5F05\u5F1D\u5F78\u5F76\u5FD2\u5FD1\u5FD0\u5FED\u5FE8\u5FEE\u5FF3\u5FE1\u5FE4\u5FE3\u5FFA\u5FEF\u5FF7\u5FFB\u6000\u5FF4\u623A\u6283\u628C\u628E\u628F\u6294\u6287\u6271\u627B\u627A\u6270\u6281\u6288\u6277\u627D\u6272\u6274\u6537\u65F0\u65F4\u65F3\u65F2\u65F5\u6745\u6747"],
      ["cb40", "\u6759\u6755\u674C\u6748\u675D\u674D\u675A\u674B\u6BD0\u6C19\u6C1A\u6C78\u6C67\u6C6B\u6C84\u6C8B\u6C8F\u6C71\u6C6F\u6C69\u6C9A\u6C6D\u6C87\u6C95\u6C9C\u6C66\u6C73\u6C65\u6C7B\u6C8E\u7074\u707A\u7263\u72BF\u72BD\u72C3\u72C6\u72C1\u72BA\u72C5\u7395\u7397\u7393\u7394\u7392\u753A\u7539\u7594\u7595\u7681\u793D\u8034\u8095\u8099\u8090\u8092\u809C\u8290\u828F\u8285\u828E\u8291\u8293"],
      ["cba1", "\u828A\u8283\u8284\u8C78\u8FC9\u8FBF\u909F\u90A1\u90A5\u909E\u90A7\u90A0\u9630\u9628\u962F\u962D\u4E33\u4F98\u4F7C\u4F85\u4F7D\u4F80\u4F87\u4F76\u4F74\u4F89\u4F84\u4F77\u4F4C\u4F97\u4F6A\u4F9A\u4F79\u4F81\u4F78\u4F90\u4F9C\u4F94\u4F9E\u4F92\u4F82\u4F95\u4F6B\u4F6E\u519E\u51BC\u51BE\u5235\u5232\u5233\u5246\u5231\u52BC\u530A\u530B\u533C\u5392\u5394\u5487\u547F\u5481\u5491\u5482\u5488\u546B\u547A\u547E\u5465\u546C\u5474\u5466\u548D\u546F\u5461\u5460\u5498\u5463\u5467\u5464\u56F7\u56F9\u576F\u5772\u576D\u576B\u5771\u5770\u5776\u5780\u5775\u577B\u5773\u5774\u5762"],
      ["cc40", "\u5768\u577D\u590C\u5945\u59B5\u59BA\u59CF\u59CE\u59B2\u59CC\u59C1\u59B6\u59BC\u59C3\u59D6\u59B1\u59BD\u59C0\u59C8\u59B4\u59C7\u5B62\u5B65\u5B93\u5B95\u5C44\u5C47\u5CAE\u5CA4\u5CA0\u5CB5\u5CAF\u5CA8\u5CAC\u5C9F\u5CA3\u5CAD\u5CA2\u5CAA\u5CA7\u5C9D\u5CA5\u5CB6\u5CB0\u5CA6\u5E17\u5E14\u5E19\u5F28\u5F22\u5F23\u5F24\u5F54\u5F82\u5F7E\u5F7D\u5FDE\u5FE5\u602D\u6026\u6019\u6032\u600B"],
      ["cca1", "\u6034\u600A\u6017\u6033\u601A\u601E\u602C\u6022\u600D\u6010\u602E\u6013\u6011\u600C\u6009\u601C\u6214\u623D\u62AD\u62B4\u62D1\u62BE\u62AA\u62B6\u62CA\u62AE\u62B3\u62AF\u62BB\u62A9\u62B0\u62B8\u653D\u65A8\u65BB\u6609\u65FC\u6604\u6612\u6608\u65FB\u6603\u660B\u660D\u6605\u65FD\u6611\u6610\u66F6\u670A\u6785\u676C\u678E\u6792\u6776\u677B\u6798\u6786\u6784\u6774\u678D\u678C\u677A\u679F\u6791\u6799\u6783\u677D\u6781\u6778\u6779\u6794\u6B25\u6B80\u6B7E\u6BDE\u6C1D\u6C93\u6CEC\u6CEB\u6CEE\u6CD9\u6CB6\u6CD4\u6CAD\u6CE7\u6CB7\u6CD0\u6CC2\u6CBA\u6CC3\u6CC6\u6CED\u6CF2"],
      ["cd40", "\u6CD2\u6CDD\u6CB4\u6C8A\u6C9D\u6C80\u6CDE\u6CC0\u6D30\u6CCD\u6CC7\u6CB0\u6CF9\u6CCF\u6CE9\u6CD1\u7094\u7098\u7085\u7093\u7086\u7084\u7091\u7096\u7082\u709A\u7083\u726A\u72D6\u72CB\u72D8\u72C9\u72DC\u72D2\u72D4\u72DA\u72CC\u72D1\u73A4\u73A1\u73AD\u73A6\u73A2\u73A0\u73AC\u739D\u74DD\u74E8\u753F\u7540\u753E\u758C\u7598\u76AF\u76F3\u76F1\u76F0\u76F5\u77F8\u77FC\u77F9\u77FB\u77FA"],
      ["cda1", "\u77F7\u7942\u793F\u79C5\u7A78\u7A7B\u7AFB\u7C75\u7CFD\u8035\u808F\u80AE\u80A3\u80B8\u80B5\u80AD\u8220\u82A0\u82C0\u82AB\u829A\u8298\u829B\u82B5\u82A7\u82AE\u82BC\u829E\u82BA\u82B4\u82A8\u82A1\u82A9\u82C2\u82A4\u82C3\u82B6\u82A2\u8670\u866F\u866D\u866E\u8C56\u8FD2\u8FCB\u8FD3\u8FCD\u8FD6\u8FD5\u8FD7\u90B2\u90B4\u90AF\u90B3\u90B0\u9639\u963D\u963C\u963A\u9643\u4FCD\u4FC5\u4FD3\u4FB2\u4FC9\u4FCB\u4FC1\u4FD4\u4FDC\u4FD9\u4FBB\u4FB3\u4FDB\u4FC7\u4FD6\u4FBA\u4FC0\u4FB9\u4FEC\u5244\u5249\u52C0\u52C2\u533D\u537C\u5397\u5396\u5399\u5398\u54BA\u54A1\u54AD\u54A5\u54CF"],
      ["ce40", "\u54C3\u830D\u54B7\u54AE\u54D6\u54B6\u54C5\u54C6\u54A0\u5470\u54BC\u54A2\u54BE\u5472\u54DE\u54B0\u57B5\u579E\u579F\u57A4\u578C\u5797\u579D\u579B\u5794\u5798\u578F\u5799\u57A5\u579A\u5795\u58F4\u590D\u5953\u59E1\u59DE\u59EE\u5A00\u59F1\u59DD\u59FA\u59FD\u59FC\u59F6\u59E4\u59F2\u59F7\u59DB\u59E9\u59F3\u59F5\u59E0\u59FE\u59F4\u59ED\u5BA8\u5C4C\u5CD0\u5CD8\u5CCC\u5CD7\u5CCB\u5CDB"],
      ["cea1", "\u5CDE\u5CDA\u5CC9\u5CC7\u5CCA\u5CD6\u5CD3\u5CD4\u5CCF\u5CC8\u5CC6\u5CCE\u5CDF\u5CF8\u5DF9\u5E21\u5E22\u5E23\u5E20\u5E24\u5EB0\u5EA4\u5EA2\u5E9B\u5EA3\u5EA5\u5F07\u5F2E\u5F56\u5F86\u6037\u6039\u6054\u6072\u605E\u6045\u6053\u6047\u6049\u605B\u604C\u6040\u6042\u605F\u6024\u6044\u6058\u6066\u606E\u6242\u6243\u62CF\u630D\u630B\u62F5\u630E\u6303\u62EB\u62F9\u630F\u630C\u62F8\u62F6\u6300\u6313\u6314\u62FA\u6315\u62FB\u62F0\u6541\u6543\u65AA\u65BF\u6636\u6621\u6632\u6635\u661C\u6626\u6622\u6633\u662B\u663A\u661D\u6634\u6639\u662E\u670F\u6710\u67C1\u67F2\u67C8\u67BA"],
      ["cf40", "\u67DC\u67BB\u67F8\u67D8\u67C0\u67B7\u67C5\u67EB\u67E4\u67DF\u67B5\u67CD\u67B3\u67F7\u67F6\u67EE\u67E3\u67C2\u67B9\u67CE\u67E7\u67F0\u67B2\u67FC\u67C6\u67ED\u67CC\u67AE\u67E6\u67DB\u67FA\u67C9\u67CA\u67C3\u67EA\u67CB\u6B28\u6B82\u6B84\u6BB6\u6BD6\u6BD8\u6BE0\u6C20\u6C21\u6D28\u6D34\u6D2D\u6D1F\u6D3C\u6D3F\u6D12\u6D0A\u6CDA\u6D33\u6D04\u6D19\u6D3A\u6D1A\u6D11\u6D00\u6D1D\u6D42"],
      ["cfa1", "\u6D01\u6D18\u6D37\u6D03\u6D0F\u6D40\u6D07\u6D20\u6D2C\u6D08\u6D22\u6D09\u6D10\u70B7\u709F\u70BE\u70B1\u70B0\u70A1\u70B4\u70B5\u70A9\u7241\u7249\u724A\u726C\u7270\u7273\u726E\u72CA\u72E4\u72E8\u72EB\u72DF\u72EA\u72E6\u72E3\u7385\u73CC\u73C2\u73C8\u73C5\u73B9\u73B6\u73B5\u73B4\u73EB\u73BF\u73C7\u73BE\u73C3\u73C6\u73B8\u73CB\u74EC\u74EE\u752E\u7547\u7548\u75A7\u75AA\u7679\u76C4\u7708\u7703\u7704\u7705\u770A\u76F7\u76FB\u76FA\u77E7\u77E8\u7806\u7811\u7812\u7805\u7810\u780F\u780E\u7809\u7803\u7813\u794A\u794C\u794B\u7945\u7944\u79D5\u79CD\u79CF\u79D6\u79CE\u7A80"],
      ["d040", "\u7A7E\u7AD1\u7B00\u7B01\u7C7A\u7C78\u7C79\u7C7F\u7C80\u7C81\u7D03\u7D08\u7D01\u7F58\u7F91\u7F8D\u7FBE\u8007\u800E\u800F\u8014\u8037\u80D8\u80C7\u80E0\u80D1\u80C8\u80C2\u80D0\u80C5\u80E3\u80D9\u80DC\u80CA\u80D5\u80C9\u80CF\u80D7\u80E6\u80CD\u81FF\u8221\u8294\u82D9\u82FE\u82F9\u8307\u82E8\u8300\u82D5\u833A\u82EB\u82D6\u82F4\u82EC\u82E1\u82F2\u82F5\u830C\u82FB\u82F6\u82F0\u82EA"],
      ["d0a1", "\u82E4\u82E0\u82FA\u82F3\u82ED\u8677\u8674\u867C\u8673\u8841\u884E\u8867\u886A\u8869\u89D3\u8A04\u8A07\u8D72\u8FE3\u8FE1\u8FEE\u8FE0\u90F1\u90BD\u90BF\u90D5\u90C5\u90BE\u90C7\u90CB\u90C8\u91D4\u91D3\u9654\u964F\u9651\u9653\u964A\u964E\u501E\u5005\u5007\u5013\u5022\u5030\u501B\u4FF5\u4FF4\u5033\u5037\u502C\u4FF6\u4FF7\u5017\u501C\u5020\u5027\u5035\u502F\u5031\u500E\u515A\u5194\u5193\u51CA\u51C4\u51C5\u51C8\u51CE\u5261\u525A\u5252\u525E\u525F\u5255\u5262\u52CD\u530E\u539E\u5526\u54E2\u5517\u5512\u54E7\u54F3\u54E4\u551A\u54FF\u5504\u5508\u54EB\u5511\u5505\u54F1"],
      ["d140", "\u550A\u54FB\u54F7\u54F8\u54E0\u550E\u5503\u550B\u5701\u5702\u57CC\u5832\u57D5\u57D2\u57BA\u57C6\u57BD\u57BC\u57B8\u57B6\u57BF\u57C7\u57D0\u57B9\u57C1\u590E\u594A\u5A19\u5A16\u5A2D\u5A2E\u5A15\u5A0F\u5A17\u5A0A\u5A1E\u5A33\u5B6C\u5BA7\u5BAD\u5BAC\u5C03\u5C56\u5C54\u5CEC\u5CFF\u5CEE\u5CF1\u5CF7\u5D00\u5CF9\u5E29\u5E28\u5EA8\u5EAE\u5EAA\u5EAC\u5F33\u5F30\u5F67\u605D\u605A\u6067"],
      ["d1a1", "\u6041\u60A2\u6088\u6080\u6092\u6081\u609D\u6083\u6095\u609B\u6097\u6087\u609C\u608E\u6219\u6246\u62F2\u6310\u6356\u632C\u6344\u6345\u6336\u6343\u63E4\u6339\u634B\u634A\u633C\u6329\u6341\u6334\u6358\u6354\u6359\u632D\u6347\u6333\u635A\u6351\u6338\u6357\u6340\u6348\u654A\u6546\u65C6\u65C3\u65C4\u65C2\u664A\u665F\u6647\u6651\u6712\u6713\u681F\u681A\u6849\u6832\u6833\u683B\u684B\u684F\u6816\u6831\u681C\u6835\u682B\u682D\u682F\u684E\u6844\u6834\u681D\u6812\u6814\u6826\u6828\u682E\u684D\u683A\u6825\u6820\u6B2C\u6B2F\u6B2D\u6B31\u6B34\u6B6D\u8082\u6B88\u6BE6\u6BE4"],
      ["d240", "\u6BE8\u6BE3\u6BE2\u6BE7\u6C25\u6D7A\u6D63\u6D64\u6D76\u6D0D\u6D61\u6D92\u6D58\u6D62\u6D6D\u6D6F\u6D91\u6D8D\u6DEF\u6D7F\u6D86\u6D5E\u6D67\u6D60\u6D97\u6D70\u6D7C\u6D5F\u6D82\u6D98\u6D2F\u6D68\u6D8B\u6D7E\u6D80\u6D84\u6D16\u6D83\u6D7B\u6D7D\u6D75\u6D90\u70DC\u70D3\u70D1\u70DD\u70CB\u7F39\u70E2\u70D7\u70D2\u70DE\u70E0\u70D4\u70CD\u70C5\u70C6\u70C7\u70DA\u70CE\u70E1\u7242\u7278"],
      ["d2a1", "\u7277\u7276\u7300\u72FA\u72F4\u72FE\u72F6\u72F3\u72FB\u7301\u73D3\u73D9\u73E5\u73D6\u73BC\u73E7\u73E3\u73E9\u73DC\u73D2\u73DB\u73D4\u73DD\u73DA\u73D7\u73D8\u73E8\u74DE\u74DF\u74F4\u74F5\u7521\u755B\u755F\u75B0\u75C1\u75BB\u75C4\u75C0\u75BF\u75B6\u75BA\u768A\u76C9\u771D\u771B\u7710\u7713\u7712\u7723\u7711\u7715\u7719\u771A\u7722\u7727\u7823\u782C\u7822\u7835\u782F\u7828\u782E\u782B\u7821\u7829\u7833\u782A\u7831\u7954\u795B\u794F\u795C\u7953\u7952\u7951\u79EB\u79EC\u79E0\u79EE\u79ED\u79EA\u79DC\u79DE\u79DD\u7A86\u7A89\u7A85\u7A8B\u7A8C\u7A8A\u7A87\u7AD8\u7B10"],
      ["d340", "\u7B04\u7B13\u7B05\u7B0F\u7B08\u7B0A\u7B0E\u7B09\u7B12\u7C84\u7C91\u7C8A\u7C8C\u7C88\u7C8D\u7C85\u7D1E\u7D1D\u7D11\u7D0E\u7D18\u7D16\u7D13\u7D1F\u7D12\u7D0F\u7D0C\u7F5C\u7F61\u7F5E\u7F60\u7F5D\u7F5B\u7F96\u7F92\u7FC3\u7FC2\u7FC0\u8016\u803E\u8039\u80FA\u80F2\u80F9\u80F5\u8101\u80FB\u8100\u8201\u822F\u8225\u8333\u832D\u8344\u8319\u8351\u8325\u8356\u833F\u8341\u8326\u831C\u8322"],
      ["d3a1", "\u8342\u834E\u831B\u832A\u8308\u833C\u834D\u8316\u8324\u8320\u8337\u832F\u8329\u8347\u8345\u834C\u8353\u831E\u832C\u834B\u8327\u8348\u8653\u8652\u86A2\u86A8\u8696\u868D\u8691\u869E\u8687\u8697\u8686\u868B\u869A\u8685\u86A5\u8699\u86A1\u86A7\u8695\u8698\u868E\u869D\u8690\u8694\u8843\u8844\u886D\u8875\u8876\u8872\u8880\u8871\u887F\u886F\u8883\u887E\u8874\u887C\u8A12\u8C47\u8C57\u8C7B\u8CA4\u8CA3\u8D76\u8D78\u8DB5\u8DB7\u8DB6\u8ED1\u8ED3\u8FFE\u8FF5\u9002\u8FFF\u8FFB\u9004\u8FFC\u8FF6\u90D6\u90E0\u90D9\u90DA\u90E3\u90DF\u90E5\u90D8\u90DB\u90D7\u90DC\u90E4\u9150"],
      ["d440", "\u914E\u914F\u91D5\u91E2\u91DA\u965C\u965F\u96BC\u98E3\u9ADF\u9B2F\u4E7F\u5070\u506A\u5061\u505E\u5060\u5053\u504B\u505D\u5072\u5048\u504D\u5041\u505B\u504A\u5062\u5015\u5045\u505F\u5069\u506B\u5063\u5064\u5046\u5040\u506E\u5073\u5057\u5051\u51D0\u526B\u526D\u526C\u526E\u52D6\u52D3\u532D\u539C\u5575\u5576\u553C\u554D\u5550\u5534\u552A\u5551\u5562\u5536\u5535\u5530\u5552\u5545"],
      ["d4a1", "\u550C\u5532\u5565\u554E\u5539\u5548\u552D\u553B\u5540\u554B\u570A\u5707\u57FB\u5814\u57E2\u57F6\u57DC\u57F4\u5800\u57ED\u57FD\u5808\u57F8\u580B\u57F3\u57CF\u5807\u57EE\u57E3\u57F2\u57E5\u57EC\u57E1\u580E\u57FC\u5810\u57E7\u5801\u580C\u57F1\u57E9\u57F0\u580D\u5804\u595C\u5A60\u5A58\u5A55\u5A67\u5A5E\u5A38\u5A35\u5A6D\u5A50\u5A5F\u5A65\u5A6C\u5A53\u5A64\u5A57\u5A43\u5A5D\u5A52\u5A44\u5A5B\u5A48\u5A8E\u5A3E\u5A4D\u5A39\u5A4C\u5A70\u5A69\u5A47\u5A51\u5A56\u5A42\u5A5C\u5B72\u5B6E\u5BC1\u5BC0\u5C59\u5D1E\u5D0B\u5D1D\u5D1A\u5D20\u5D0C\u5D28\u5D0D\u5D26\u5D25\u5D0F"],
      ["d540", "\u5D30\u5D12\u5D23\u5D1F\u5D2E\u5E3E\u5E34\u5EB1\u5EB4\u5EB9\u5EB2\u5EB3\u5F36\u5F38\u5F9B\u5F96\u5F9F\u608A\u6090\u6086\u60BE\u60B0\u60BA\u60D3\u60D4\u60CF\u60E4\u60D9\u60DD\u60C8\u60B1\u60DB\u60B7\u60CA\u60BF\u60C3\u60CD\u60C0\u6332\u6365\u638A\u6382\u637D\u63BD\u639E\u63AD\u639D\u6397\u63AB\u638E\u636F\u6387\u6390\u636E\u63AF\u6375\u639C\u636D\u63AE\u637C\u63A4\u633B\u639F"],
      ["d5a1", "\u6378\u6385\u6381\u6391\u638D\u6370\u6553\u65CD\u6665\u6661\u665B\u6659\u665C\u6662\u6718\u6879\u6887\u6890\u689C\u686D\u686E\u68AE\u68AB\u6956\u686F\u68A3\u68AC\u68A9\u6875\u6874\u68B2\u688F\u6877\u6892\u687C\u686B\u6872\u68AA\u6880\u6871\u687E\u689B\u6896\u688B\u68A0\u6889\u68A4\u6878\u687B\u6891\u688C\u688A\u687D\u6B36\u6B33\u6B37\u6B38\u6B91\u6B8F\u6B8D\u6B8E\u6B8C\u6C2A\u6DC0\u6DAB\u6DB4\u6DB3\u6E74\u6DAC\u6DE9\u6DE2\u6DB7\u6DF6\u6DD4\u6E00\u6DC8\u6DE0\u6DDF\u6DD6\u6DBE\u6DE5\u6DDC\u6DDD\u6DDB\u6DF4\u6DCA\u6DBD\u6DED\u6DF0\u6DBA\u6DD5\u6DC2\u6DCF\u6DC9"],
      ["d640", "\u6DD0\u6DF2\u6DD3\u6DFD\u6DD7\u6DCD\u6DE3\u6DBB\u70FA\u710D\u70F7\u7117\u70F4\u710C\u70F0\u7104\u70F3\u7110\u70FC\u70FF\u7106\u7113\u7100\u70F8\u70F6\u710B\u7102\u710E\u727E\u727B\u727C\u727F\u731D\u7317\u7307\u7311\u7318\u730A\u7308\u72FF\u730F\u731E\u7388\u73F6\u73F8\u73F5\u7404\u7401\u73FD\u7407\u7400\u73FA\u73FC\u73FF\u740C\u740B\u73F4\u7408\u7564\u7563\u75CE\u75D2\u75CF"],
      ["d6a1", "\u75CB\u75CC\u75D1\u75D0\u768F\u7689\u76D3\u7739\u772F\u772D\u7731\u7732\u7734\u7733\u773D\u7725\u773B\u7735\u7848\u7852\u7849\u784D\u784A\u784C\u7826\u7845\u7850\u7964\u7967\u7969\u796A\u7963\u796B\u7961\u79BB\u79FA\u79F8\u79F6\u79F7\u7A8F\u7A94\u7A90\u7B35\u7B47\u7B34\u7B25\u7B30\u7B22\u7B24\u7B33\u7B18\u7B2A\u7B1D\u7B31\u7B2B\u7B2D\u7B2F\u7B32\u7B38\u7B1A\u7B23\u7C94\u7C98\u7C96\u7CA3\u7D35\u7D3D\u7D38\u7D36\u7D3A\u7D45\u7D2C\u7D29\u7D41\u7D47\u7D3E\u7D3F\u7D4A\u7D3B\u7D28\u7F63\u7F95\u7F9C\u7F9D\u7F9B\u7FCA\u7FCB\u7FCD\u7FD0\u7FD1\u7FC7\u7FCF\u7FC9\u801F"],
      ["d740", "\u801E\u801B\u8047\u8043\u8048\u8118\u8125\u8119\u811B\u812D\u811F\u812C\u811E\u8121\u8115\u8127\u811D\u8122\u8211\u8238\u8233\u823A\u8234\u8232\u8274\u8390\u83A3\u83A8\u838D\u837A\u8373\u83A4\u8374\u838F\u8381\u8395\u8399\u8375\u8394\u83A9\u837D\u8383\u838C\u839D\u839B\u83AA\u838B\u837E\u83A5\u83AF\u8388\u8397\u83B0\u837F\u83A6\u8387\u83AE\u8376\u839A\u8659\u8656\u86BF\u86B7"],
      ["d7a1", "\u86C2\u86C1\u86C5\u86BA\u86B0\u86C8\u86B9\u86B3\u86B8\u86CC\u86B4\u86BB\u86BC\u86C3\u86BD\u86BE\u8852\u8889\u8895\u88A8\u88A2\u88AA\u889A\u8891\u88A1\u889F\u8898\u88A7\u8899\u889B\u8897\u88A4\u88AC\u888C\u8893\u888E\u8982\u89D6\u89D9\u89D5\u8A30\u8A27\u8A2C\u8A1E\u8C39\u8C3B\u8C5C\u8C5D\u8C7D\u8CA5\u8D7D\u8D7B\u8D79\u8DBC\u8DC2\u8DB9\u8DBF\u8DC1\u8ED8\u8EDE\u8EDD\u8EDC\u8ED7\u8EE0\u8EE1\u9024\u900B\u9011\u901C\u900C\u9021\u90EF\u90EA\u90F0\u90F4\u90F2\u90F3\u90D4\u90EB\u90EC\u90E9\u9156\u9158\u915A\u9153\u9155\u91EC\u91F4\u91F1\u91F3\u91F8\u91E4\u91F9\u91EA"],
      ["d840", "\u91EB\u91F7\u91E8\u91EE\u957A\u9586\u9588\u967C\u966D\u966B\u9671\u966F\u96BF\u976A\u9804\u98E5\u9997\u509B\u5095\u5094\u509E\u508B\u50A3\u5083\u508C\u508E\u509D\u5068\u509C\u5092\u5082\u5087\u515F\u51D4\u5312\u5311\u53A4\u53A7\u5591\u55A8\u55A5\u55AD\u5577\u5645\u55A2\u5593\u5588\u558F\u55B5\u5581\u55A3\u5592\u55A4\u557D\u558C\u55A6\u557F\u5595\u55A1\u558E\u570C\u5829\u5837"],
      ["d8a1", "\u5819\u581E\u5827\u5823\u5828\u57F5\u5848\u5825\u581C\u581B\u5833\u583F\u5836\u582E\u5839\u5838\u582D\u582C\u583B\u5961\u5AAF\u5A94\u5A9F\u5A7A\u5AA2\u5A9E\u5A78\u5AA6\u5A7C\u5AA5\u5AAC\u5A95\u5AAE\u5A37\u5A84\u5A8A\u5A97\u5A83\u5A8B\u5AA9\u5A7B\u5A7D\u5A8C\u5A9C\u5A8F\u5A93\u5A9D\u5BEA\u5BCD\u5BCB\u5BD4\u5BD1\u5BCA\u5BCE\u5C0C\u5C30\u5D37\u5D43\u5D6B\u5D41\u5D4B\u5D3F\u5D35\u5D51\u5D4E\u5D55\u5D33\u5D3A\u5D52\u5D3D\u5D31\u5D59\u5D42\u5D39\u5D49\u5D38\u5D3C\u5D32\u5D36\u5D40\u5D45\u5E44\u5E41\u5F58\u5FA6\u5FA5\u5FAB\u60C9\u60B9\u60CC\u60E2\u60CE\u60C4\u6114"],
      ["d940", "\u60F2\u610A\u6116\u6105\u60F5\u6113\u60F8\u60FC\u60FE\u60C1\u6103\u6118\u611D\u6110\u60FF\u6104\u610B\u624A\u6394\u63B1\u63B0\u63CE\u63E5\u63E8\u63EF\u63C3\u649D\u63F3\u63CA\u63E0\u63F6\u63D5\u63F2\u63F5\u6461\u63DF\u63BE\u63DD\u63DC\u63C4\u63D8\u63D3\u63C2\u63C7\u63CC\u63CB\u63C8\u63F0\u63D7\u63D9\u6532\u6567\u656A\u6564\u655C\u6568\u6565\u658C\u659D\u659E\u65AE\u65D0\u65D2"],
      ["d9a1", "\u667C\u666C\u667B\u6680\u6671\u6679\u666A\u6672\u6701\u690C\u68D3\u6904\u68DC\u692A\u68EC\u68EA\u68F1\u690F\u68D6\u68F7\u68EB\u68E4\u68F6\u6913\u6910\u68F3\u68E1\u6907\u68CC\u6908\u6970\u68B4\u6911\u68EF\u68C6\u6914\u68F8\u68D0\u68FD\u68FC\u68E8\u690B\u690A\u6917\u68CE\u68C8\u68DD\u68DE\u68E6\u68F4\u68D1\u6906\u68D4\u68E9\u6915\u6925\u68C7\u6B39\u6B3B\u6B3F\u6B3C\u6B94\u6B97\u6B99\u6B95\u6BBD\u6BF0\u6BF2\u6BF3\u6C30\u6DFC\u6E46\u6E47\u6E1F\u6E49\u6E88\u6E3C\u6E3D\u6E45\u6E62\u6E2B\u6E3F\u6E41\u6E5D\u6E73\u6E1C\u6E33\u6E4B\u6E40\u6E51\u6E3B\u6E03\u6E2E\u6E5E"],
      ["da40", "\u6E68\u6E5C\u6E61\u6E31\u6E28\u6E60\u6E71\u6E6B\u6E39\u6E22\u6E30\u6E53\u6E65\u6E27\u6E78\u6E64\u6E77\u6E55\u6E79\u6E52\u6E66\u6E35\u6E36\u6E5A\u7120\u711E\u712F\u70FB\u712E\u7131\u7123\u7125\u7122\u7132\u711F\u7128\u713A\u711B\u724B\u725A\u7288\u7289\u7286\u7285\u728B\u7312\u730B\u7330\u7322\u7331\u7333\u7327\u7332\u732D\u7326\u7323\u7335\u730C\u742E\u742C\u7430\u742B\u7416"],
      ["daa1", "\u741A\u7421\u742D\u7431\u7424\u7423\u741D\u7429\u7420\u7432\u74FB\u752F\u756F\u756C\u75E7\u75DA\u75E1\u75E6\u75DD\u75DF\u75E4\u75D7\u7695\u7692\u76DA\u7746\u7747\u7744\u774D\u7745\u774A\u774E\u774B\u774C\u77DE\u77EC\u7860\u7864\u7865\u785C\u786D\u7871\u786A\u786E\u7870\u7869\u7868\u785E\u7862\u7974\u7973\u7972\u7970\u7A02\u7A0A\u7A03\u7A0C\u7A04\u7A99\u7AE6\u7AE4\u7B4A\u7B3B\u7B44\u7B48\u7B4C\u7B4E\u7B40\u7B58\u7B45\u7CA2\u7C9E\u7CA8\u7CA1\u7D58\u7D6F\u7D63\u7D53\u7D56\u7D67\u7D6A\u7D4F\u7D6D\u7D5C\u7D6B\u7D52\u7D54\u7D69\u7D51\u7D5F\u7D4E\u7F3E\u7F3F\u7F65"],
      ["db40", "\u7F66\u7FA2\u7FA0\u7FA1\u7FD7\u8051\u804F\u8050\u80FE\u80D4\u8143\u814A\u8152\u814F\u8147\u813D\u814D\u813A\u81E6\u81EE\u81F7\u81F8\u81F9\u8204\u823C\u823D\u823F\u8275\u833B\u83CF\u83F9\u8423\u83C0\u83E8\u8412\u83E7\u83E4\u83FC\u83F6\u8410\u83C6\u83C8\u83EB\u83E3\u83BF\u8401\u83DD\u83E5\u83D8\u83FF\u83E1\u83CB\u83CE\u83D6\u83F5\u83C9\u8409\u840F\u83DE\u8411\u8406\u83C2\u83F3"],
      ["dba1", "\u83D5\u83FA\u83C7\u83D1\u83EA\u8413\u83C3\u83EC\u83EE\u83C4\u83FB\u83D7\u83E2\u841B\u83DB\u83FE\u86D8\u86E2\u86E6\u86D3\u86E3\u86DA\u86EA\u86DD\u86EB\u86DC\u86EC\u86E9\u86D7\u86E8\u86D1\u8848\u8856\u8855\u88BA\u88D7\u88B9\u88B8\u88C0\u88BE\u88B6\u88BC\u88B7\u88BD\u88B2\u8901\u88C9\u8995\u8998\u8997\u89DD\u89DA\u89DB\u8A4E\u8A4D\u8A39\u8A59\u8A40\u8A57\u8A58\u8A44\u8A45\u8A52\u8A48\u8A51\u8A4A\u8A4C\u8A4F\u8C5F\u8C81\u8C80\u8CBA\u8CBE\u8CB0\u8CB9\u8CB5\u8D84\u8D80\u8D89\u8DD8\u8DD3\u8DCD\u8DC7\u8DD6\u8DDC\u8DCF\u8DD5\u8DD9\u8DC8\u8DD7\u8DC5\u8EEF\u8EF7\u8EFA"],
      ["dc40", "\u8EF9\u8EE6\u8EEE\u8EE5\u8EF5\u8EE7\u8EE8\u8EF6\u8EEB\u8EF1\u8EEC\u8EF4\u8EE9\u902D\u9034\u902F\u9106\u912C\u9104\u90FF\u90FC\u9108\u90F9\u90FB\u9101\u9100\u9107\u9105\u9103\u9161\u9164\u915F\u9162\u9160\u9201\u920A\u9225\u9203\u921A\u9226\u920F\u920C\u9200\u9212\u91FF\u91FD\u9206\u9204\u9227\u9202\u921C\u9224\u9219\u9217\u9205\u9216\u957B\u958D\u958C\u9590\u9687\u967E\u9688"],
      ["dca1", "\u9689\u9683\u9680\u96C2\u96C8\u96C3\u96F1\u96F0\u976C\u9770\u976E\u9807\u98A9\u98EB\u9CE6\u9EF9\u4E83\u4E84\u4EB6\u50BD\u50BF\u50C6\u50AE\u50C4\u50CA\u50B4\u50C8\u50C2\u50B0\u50C1\u50BA\u50B1\u50CB\u50C9\u50B6\u50B8\u51D7\u527A\u5278\u527B\u527C\u55C3\u55DB\u55CC\u55D0\u55CB\u55CA\u55DD\u55C0\u55D4\u55C4\u55E9\u55BF\u55D2\u558D\u55CF\u55D5\u55E2\u55D6\u55C8\u55F2\u55CD\u55D9\u55C2\u5714\u5853\u5868\u5864\u584F\u584D\u5849\u586F\u5855\u584E\u585D\u5859\u5865\u585B\u583D\u5863\u5871\u58FC\u5AC7\u5AC4\u5ACB\u5ABA\u5AB8\u5AB1\u5AB5\u5AB0\u5ABF\u5AC8\u5ABB\u5AC6"],
      ["dd40", "\u5AB7\u5AC0\u5ACA\u5AB4\u5AB6\u5ACD\u5AB9\u5A90\u5BD6\u5BD8\u5BD9\u5C1F\u5C33\u5D71\u5D63\u5D4A\u5D65\u5D72\u5D6C\u5D5E\u5D68\u5D67\u5D62\u5DF0\u5E4F\u5E4E\u5E4A\u5E4D\u5E4B\u5EC5\u5ECC\u5EC6\u5ECB\u5EC7\u5F40\u5FAF\u5FAD\u60F7\u6149\u614A\u612B\u6145\u6136\u6132\u612E\u6146\u612F\u614F\u6129\u6140\u6220\u9168\u6223\u6225\u6224\u63C5\u63F1\u63EB\u6410\u6412\u6409\u6420\u6424"],
      ["dda1", "\u6433\u6443\u641F\u6415\u6418\u6439\u6437\u6422\u6423\u640C\u6426\u6430\u6428\u6441\u6435\u642F\u640A\u641A\u6440\u6425\u6427\u640B\u63E7\u641B\u642E\u6421\u640E\u656F\u6592\u65D3\u6686\u668C\u6695\u6690\u668B\u668A\u6699\u6694\u6678\u6720\u6966\u695F\u6938\u694E\u6962\u6971\u693F\u6945\u696A\u6939\u6942\u6957\u6959\u697A\u6948\u6949\u6935\u696C\u6933\u693D\u6965\u68F0\u6978\u6934\u6969\u6940\u696F\u6944\u6976\u6958\u6941\u6974\u694C\u693B\u694B\u6937\u695C\u694F\u6951\u6932\u6952\u692F\u697B\u693C\u6B46\u6B45\u6B43\u6B42\u6B48\u6B41\u6B9B\uFA0D\u6BFB\u6BFC"],
      ["de40", "\u6BF9\u6BF7\u6BF8\u6E9B\u6ED6\u6EC8\u6E8F\u6EC0\u6E9F\u6E93\u6E94\u6EA0\u6EB1\u6EB9\u6EC6\u6ED2\u6EBD\u6EC1\u6E9E\u6EC9\u6EB7\u6EB0\u6ECD\u6EA6\u6ECF\u6EB2\u6EBE\u6EC3\u6EDC\u6ED8\u6E99\u6E92\u6E8E\u6E8D\u6EA4\u6EA1\u6EBF\u6EB3\u6ED0\u6ECA\u6E97\u6EAE\u6EA3\u7147\u7154\u7152\u7163\u7160\u7141\u715D\u7162\u7172\u7178\u716A\u7161\u7142\u7158\u7143\u714B\u7170\u715F\u7150\u7153"],
      ["dea1", "\u7144\u714D\u715A\u724F\u728D\u728C\u7291\u7290\u728E\u733C\u7342\u733B\u733A\u7340\u734A\u7349\u7444\u744A\u744B\u7452\u7451\u7457\u7440\u744F\u7450\u744E\u7442\u7446\u744D\u7454\u74E1\u74FF\u74FE\u74FD\u751D\u7579\u7577\u6983\u75EF\u760F\u7603\u75F7\u75FE\u75FC\u75F9\u75F8\u7610\u75FB\u75F6\u75ED\u75F5\u75FD\u7699\u76B5\u76DD\u7755\u775F\u7760\u7752\u7756\u775A\u7769\u7767\u7754\u7759\u776D\u77E0\u7887\u789A\u7894\u788F\u7884\u7895\u7885\u7886\u78A1\u7883\u7879\u7899\u7880\u7896\u787B\u797C\u7982\u797D\u7979\u7A11\u7A18\u7A19\u7A12\u7A17\u7A15\u7A22\u7A13"],
      ["df40", "\u7A1B\u7A10\u7AA3\u7AA2\u7A9E\u7AEB\u7B66\u7B64\u7B6D\u7B74\u7B69\u7B72\u7B65\u7B73\u7B71\u7B70\u7B61\u7B78\u7B76\u7B63\u7CB2\u7CB4\u7CAF\u7D88\u7D86\u7D80\u7D8D\u7D7F\u7D85\u7D7A\u7D8E\u7D7B\u7D83\u7D7C\u7D8C\u7D94\u7D84\u7D7D\u7D92\u7F6D\u7F6B\u7F67\u7F68\u7F6C\u7FA6\u7FA5\u7FA7\u7FDB\u7FDC\u8021\u8164\u8160\u8177\u815C\u8169\u815B\u8162\u8172\u6721\u815E\u8176\u8167\u816F"],
      ["dfa1", "\u8144\u8161\u821D\u8249\u8244\u8240\u8242\u8245\u84F1\u843F\u8456\u8476\u8479\u848F\u848D\u8465\u8451\u8440\u8486\u8467\u8430\u844D\u847D\u845A\u8459\u8474\u8473\u845D\u8507\u845E\u8437\u843A\u8434\u847A\u8443\u8478\u8432\u8445\u8429\u83D9\u844B\u842F\u8442\u842D\u845F\u8470\u8439\u844E\u844C\u8452\u846F\u84C5\u848E\u843B\u8447\u8436\u8433\u8468\u847E\u8444\u842B\u8460\u8454\u846E\u8450\u870B\u8704\u86F7\u870C\u86FA\u86D6\u86F5\u874D\u86F8\u870E\u8709\u8701\u86F6\u870D\u8705\u88D6\u88CB\u88CD\u88CE\u88DE\u88DB\u88DA\u88CC\u88D0\u8985\u899B\u89DF\u89E5\u89E4"],
      ["e040", "\u89E1\u89E0\u89E2\u89DC\u89E6\u8A76\u8A86\u8A7F\u8A61\u8A3F\u8A77\u8A82\u8A84\u8A75\u8A83\u8A81\u8A74\u8A7A\u8C3C\u8C4B\u8C4A\u8C65\u8C64\u8C66\u8C86\u8C84\u8C85\u8CCC\u8D68\u8D69\u8D91\u8D8C\u8D8E\u8D8F\u8D8D\u8D93\u8D94\u8D90\u8D92\u8DF0\u8DE0\u8DEC\u8DF1\u8DEE\u8DD0\u8DE9\u8DE3\u8DE2\u8DE7\u8DF2\u8DEB\u8DF4\u8F06\u8EFF\u8F01\u8F00\u8F05\u8F07\u8F08\u8F02\u8F0B\u9052\u903F"],
      ["e0a1", "\u9044\u9049\u903D\u9110\u910D\u910F\u9111\u9116\u9114\u910B\u910E\u916E\u916F\u9248\u9252\u9230\u923A\u9266\u9233\u9265\u925E\u9283\u922E\u924A\u9246\u926D\u926C\u924F\u9260\u9267\u926F\u9236\u9261\u9270\u9231\u9254\u9263\u9250\u9272\u924E\u9253\u924C\u9256\u9232\u959F\u959C\u959E\u959B\u9692\u9693\u9691\u9697\u96CE\u96FA\u96FD\u96F8\u96F5\u9773\u9777\u9778\u9772\u980F\u980D\u980E\u98AC\u98F6\u98F9\u99AF\u99B2\u99B0\u99B5\u9AAD\u9AAB\u9B5B\u9CEA\u9CED\u9CE7\u9E80\u9EFD\u50E6\u50D4\u50D7\u50E8\u50F3\u50DB\u50EA\u50DD\u50E4\u50D3\u50EC\u50F0\u50EF\u50E3\u50E0"],
      ["e140", "\u51D8\u5280\u5281\u52E9\u52EB\u5330\u53AC\u5627\u5615\u560C\u5612\u55FC\u560F\u561C\u5601\u5613\u5602\u55FA\u561D\u5604\u55FF\u55F9\u5889\u587C\u5890\u5898\u5886\u5881\u587F\u5874\u588B\u587A\u5887\u5891\u588E\u5876\u5882\u5888\u587B\u5894\u588F\u58FE\u596B\u5ADC\u5AEE\u5AE5\u5AD5\u5AEA\u5ADA\u5AED\u5AEB\u5AF3\u5AE2\u5AE0\u5ADB\u5AEC\u5ADE\u5ADD\u5AD9\u5AE8\u5ADF\u5B77\u5BE0"],
      ["e1a1", "\u5BE3\u5C63\u5D82\u5D80\u5D7D\u5D86\u5D7A\u5D81\u5D77\u5D8A\u5D89\u5D88\u5D7E\u5D7C\u5D8D\u5D79\u5D7F\u5E58\u5E59\u5E53\u5ED8\u5ED1\u5ED7\u5ECE\u5EDC\u5ED5\u5ED9\u5ED2\u5ED4\u5F44\u5F43\u5F6F\u5FB6\u612C\u6128\u6141\u615E\u6171\u6173\u6152\u6153\u6172\u616C\u6180\u6174\u6154\u617A\u615B\u6165\u613B\u616A\u6161\u6156\u6229\u6227\u622B\u642B\u644D\u645B\u645D\u6474\u6476\u6472\u6473\u647D\u6475\u6466\u64A6\u644E\u6482\u645E\u645C\u644B\u6453\u6460\u6450\u647F\u643F\u646C\u646B\u6459\u6465\u6477\u6573\u65A0\u66A1\u66A0\u669F\u6705\u6704\u6722\u69B1\u69B6\u69C9"],
      ["e240", "\u69A0\u69CE\u6996\u69B0\u69AC\u69BC\u6991\u6999\u698E\u69A7\u698D\u69A9\u69BE\u69AF\u69BF\u69C4\u69BD\u69A4\u69D4\u69B9\u69CA\u699A\u69CF\u69B3\u6993\u69AA\u69A1\u699E\u69D9\u6997\u6990\u69C2\u69B5\u69A5\u69C6\u6B4A\u6B4D\u6B4B\u6B9E\u6B9F\u6BA0\u6BC3\u6BC4\u6BFE\u6ECE\u6EF5\u6EF1\u6F03\u6F25\u6EF8\u6F37\u6EFB\u6F2E\u6F09\u6F4E\u6F19\u6F1A\u6F27\u6F18\u6F3B\u6F12\u6EED\u6F0A"],
      ["e2a1", "\u6F36\u6F73\u6EF9\u6EEE\u6F2D\u6F40\u6F30\u6F3C\u6F35\u6EEB\u6F07\u6F0E\u6F43\u6F05\u6EFD\u6EF6\u6F39\u6F1C\u6EFC\u6F3A\u6F1F\u6F0D\u6F1E\u6F08\u6F21\u7187\u7190\u7189\u7180\u7185\u7182\u718F\u717B\u7186\u7181\u7197\u7244\u7253\u7297\u7295\u7293\u7343\u734D\u7351\u734C\u7462\u7473\u7471\u7475\u7472\u7467\u746E\u7500\u7502\u7503\u757D\u7590\u7616\u7608\u760C\u7615\u7611\u760A\u7614\u76B8\u7781\u777C\u7785\u7782\u776E\u7780\u776F\u777E\u7783\u78B2\u78AA\u78B4\u78AD\u78A8\u787E\u78AB\u789E\u78A5\u78A0\u78AC\u78A2\u78A4\u7998\u798A\u798B\u7996\u7995\u7994\u7993"],
      ["e340", "\u7997\u7988\u7992\u7990\u7A2B\u7A4A\u7A30\u7A2F\u7A28\u7A26\u7AA8\u7AAB\u7AAC\u7AEE\u7B88\u7B9C\u7B8A\u7B91\u7B90\u7B96\u7B8D\u7B8C\u7B9B\u7B8E\u7B85\u7B98\u5284\u7B99\u7BA4\u7B82\u7CBB\u7CBF\u7CBC\u7CBA\u7DA7\u7DB7\u7DC2\u7DA3\u7DAA\u7DC1\u7DC0\u7DC5\u7D9D\u7DCE\u7DC4\u7DC6\u7DCB\u7DCC\u7DAF\u7DB9\u7D96\u7DBC\u7D9F\u7DA6\u7DAE\u7DA9\u7DA1\u7DC9\u7F73\u7FE2\u7FE3\u7FE5\u7FDE"],
      ["e3a1", "\u8024\u805D\u805C\u8189\u8186\u8183\u8187\u818D\u818C\u818B\u8215\u8497\u84A4\u84A1\u849F\u84BA\u84CE\u84C2\u84AC\u84AE\u84AB\u84B9\u84B4\u84C1\u84CD\u84AA\u849A\u84B1\u84D0\u849D\u84A7\u84BB\u84A2\u8494\u84C7\u84CC\u849B\u84A9\u84AF\u84A8\u84D6\u8498\u84B6\u84CF\u84A0\u84D7\u84D4\u84D2\u84DB\u84B0\u8491\u8661\u8733\u8723\u8728\u876B\u8740\u872E\u871E\u8721\u8719\u871B\u8743\u872C\u8741\u873E\u8746\u8720\u8732\u872A\u872D\u873C\u8712\u873A\u8731\u8735\u8742\u8726\u8727\u8738\u8724\u871A\u8730\u8711\u88F7\u88E7\u88F1\u88F2\u88FA\u88FE\u88EE\u88FC\u88F6\u88FB"],
      ["e440", "\u88F0\u88EC\u88EB\u899D\u89A1\u899F\u899E\u89E9\u89EB\u89E8\u8AAB\u8A99\u8A8B\u8A92\u8A8F\u8A96\u8C3D\u8C68\u8C69\u8CD5\u8CCF\u8CD7\u8D96\u8E09\u8E02\u8DFF\u8E0D\u8DFD\u8E0A\u8E03\u8E07\u8E06\u8E05\u8DFE\u8E00\u8E04\u8F10\u8F11\u8F0E\u8F0D\u9123\u911C\u9120\u9122\u911F\u911D\u911A\u9124\u9121\u911B\u917A\u9172\u9179\u9173\u92A5\u92A4\u9276\u929B\u927A\u92A0\u9294\u92AA\u928D"],
      ["e4a1", "\u92A6\u929A\u92AB\u9279\u9297\u927F\u92A3\u92EE\u928E\u9282\u9295\u92A2\u927D\u9288\u92A1\u928A\u9286\u928C\u9299\u92A7\u927E\u9287\u92A9\u929D\u928B\u922D\u969E\u96A1\u96FF\u9758\u977D\u977A\u977E\u9783\u9780\u9782\u977B\u9784\u9781\u977F\u97CE\u97CD\u9816\u98AD\u98AE\u9902\u9900\u9907\u999D\u999C\u99C3\u99B9\u99BB\u99BA\u99C2\u99BD\u99C7\u9AB1\u9AE3\u9AE7\u9B3E\u9B3F\u9B60\u9B61\u9B5F\u9CF1\u9CF2\u9CF5\u9EA7\u50FF\u5103\u5130\u50F8\u5106\u5107\u50F6\u50FE\u510B\u510C\u50FD\u510A\u528B\u528C\u52F1\u52EF\u5648\u5642\u564C\u5635\u5641\u564A\u5649\u5646\u5658"],
      ["e540", "\u565A\u5640\u5633\u563D\u562C\u563E\u5638\u562A\u563A\u571A\u58AB\u589D\u58B1\u58A0\u58A3\u58AF\u58AC\u58A5\u58A1\u58FF\u5AFF\u5AF4\u5AFD\u5AF7\u5AF6\u5B03\u5AF8\u5B02\u5AF9\u5B01\u5B07\u5B05\u5B0F\u5C67\u5D99\u5D97\u5D9F\u5D92\u5DA2\u5D93\u5D95\u5DA0\u5D9C\u5DA1\u5D9A\u5D9E\u5E69\u5E5D\u5E60\u5E5C\u7DF3\u5EDB\u5EDE\u5EE1\u5F49\u5FB2\u618B\u6183\u6179\u61B1\u61B0\u61A2\u6189"],
      ["e5a1", "\u619B\u6193\u61AF\u61AD\u619F\u6192\u61AA\u61A1\u618D\u6166\u61B3\u622D\u646E\u6470\u6496\u64A0\u6485\u6497\u649C\u648F\u648B\u648A\u648C\u64A3\u649F\u6468\u64B1\u6498\u6576\u657A\u6579\u657B\u65B2\u65B3\u66B5\u66B0\u66A9\u66B2\u66B7\u66AA\u66AF\u6A00\u6A06\u6A17\u69E5\u69F8\u6A15\u69F1\u69E4\u6A20\u69FF\u69EC\u69E2\u6A1B\u6A1D\u69FE\u6A27\u69F2\u69EE\u6A14\u69F7\u69E7\u6A40\u6A08\u69E6\u69FB\u6A0D\u69FC\u69EB\u6A09\u6A04\u6A18\u6A25\u6A0F\u69F6\u6A26\u6A07\u69F4\u6A16\u6B51\u6BA5\u6BA3\u6BA2\u6BA6\u6C01\u6C00\u6BFF\u6C02\u6F41\u6F26\u6F7E\u6F87\u6FC6\u6F92"],
      ["e640", "\u6F8D\u6F89\u6F8C\u6F62\u6F4F\u6F85\u6F5A\u6F96\u6F76\u6F6C\u6F82\u6F55\u6F72\u6F52\u6F50\u6F57\u6F94\u6F93\u6F5D\u6F00\u6F61\u6F6B\u6F7D\u6F67\u6F90\u6F53\u6F8B\u6F69\u6F7F\u6F95\u6F63\u6F77\u6F6A\u6F7B\u71B2\u71AF\u719B\u71B0\u71A0\u719A\u71A9\u71B5\u719D\u71A5\u719E\u71A4\u71A1\u71AA\u719C\u71A7\u71B3\u7298\u729A\u7358\u7352\u735E\u735F\u7360\u735D\u735B\u7361\u735A\u7359"],
      ["e6a1", "\u7362\u7487\u7489\u748A\u7486\u7481\u747D\u7485\u7488\u747C\u7479\u7508\u7507\u757E\u7625\u761E\u7619\u761D\u761C\u7623\u761A\u7628\u761B\u769C\u769D\u769E\u769B\u778D\u778F\u7789\u7788\u78CD\u78BB\u78CF\u78CC\u78D1\u78CE\u78D4\u78C8\u78C3\u78C4\u78C9\u799A\u79A1\u79A0\u799C\u79A2\u799B\u6B76\u7A39\u7AB2\u7AB4\u7AB3\u7BB7\u7BCB\u7BBE\u7BAC\u7BCE\u7BAF\u7BB9\u7BCA\u7BB5\u7CC5\u7CC8\u7CCC\u7CCB\u7DF7\u7DDB\u7DEA\u7DE7\u7DD7\u7DE1\u7E03\u7DFA\u7DE6\u7DF6\u7DF1\u7DF0\u7DEE\u7DDF\u7F76\u7FAC\u7FB0\u7FAD\u7FED\u7FEB\u7FEA\u7FEC\u7FE6\u7FE8\u8064\u8067\u81A3\u819F"],
      ["e740", "\u819E\u8195\u81A2\u8199\u8197\u8216\u824F\u8253\u8252\u8250\u824E\u8251\u8524\u853B\u850F\u8500\u8529\u850E\u8509\u850D\u851F\u850A\u8527\u851C\u84FB\u852B\u84FA\u8508\u850C\u84F4\u852A\u84F2\u8515\u84F7\u84EB\u84F3\u84FC\u8512\u84EA\u84E9\u8516\u84FE\u8528\u851D\u852E\u8502\u84FD\u851E\u84F6\u8531\u8526\u84E7\u84E8\u84F0\u84EF\u84F9\u8518\u8520\u8530\u850B\u8519\u852F\u8662"],
      ["e7a1", "\u8756\u8763\u8764\u8777\u87E1\u8773\u8758\u8754\u875B\u8752\u8761\u875A\u8751\u875E\u876D\u876A\u8750\u874E\u875F\u875D\u876F\u876C\u877A\u876E\u875C\u8765\u874F\u877B\u8775\u8762\u8767\u8769\u885A\u8905\u890C\u8914\u890B\u8917\u8918\u8919\u8906\u8916\u8911\u890E\u8909\u89A2\u89A4\u89A3\u89ED\u89F0\u89EC\u8ACF\u8AC6\u8AB8\u8AD3\u8AD1\u8AD4\u8AD5\u8ABB\u8AD7\u8ABE\u8AC0\u8AC5\u8AD8\u8AC3\u8ABA\u8ABD\u8AD9\u8C3E\u8C4D\u8C8F\u8CE5\u8CDF\u8CD9\u8CE8\u8CDA\u8CDD\u8CE7\u8DA0\u8D9C\u8DA1\u8D9B\u8E20\u8E23\u8E25\u8E24\u8E2E\u8E15\u8E1B\u8E16\u8E11\u8E19\u8E26\u8E27"],
      ["e840", "\u8E14\u8E12\u8E18\u8E13\u8E1C\u8E17\u8E1A\u8F2C\u8F24\u8F18\u8F1A\u8F20\u8F23\u8F16\u8F17\u9073\u9070\u906F\u9067\u906B\u912F\u912B\u9129\u912A\u9132\u9126\u912E\u9185\u9186\u918A\u9181\u9182\u9184\u9180\u92D0\u92C3\u92C4\u92C0\u92D9\u92B6\u92CF\u92F1\u92DF\u92D8\u92E9\u92D7\u92DD\u92CC\u92EF\u92C2\u92E8\u92CA\u92C8\u92CE\u92E6\u92CD\u92D5\u92C9\u92E0\u92DE\u92E7\u92D1\u92D3"],
      ["e8a1", "\u92B5\u92E1\u92C6\u92B4\u957C\u95AC\u95AB\u95AE\u95B0\u96A4\u96A2\u96D3\u9705\u9708\u9702\u975A\u978A\u978E\u9788\u97D0\u97CF\u981E\u981D\u9826\u9829\u9828\u9820\u981B\u9827\u98B2\u9908\u98FA\u9911\u9914\u9916\u9917\u9915\u99DC\u99CD\u99CF\u99D3\u99D4\u99CE\u99C9\u99D6\u99D8\u99CB\u99D7\u99CC\u9AB3\u9AEC\u9AEB\u9AF3\u9AF2\u9AF1\u9B46\u9B43\u9B67\u9B74\u9B71\u9B66\u9B76\u9B75\u9B70\u9B68\u9B64\u9B6C\u9CFC\u9CFA\u9CFD\u9CFF\u9CF7\u9D07\u9D00\u9CF9\u9CFB\u9D08\u9D05\u9D04\u9E83\u9ED3\u9F0F\u9F10\u511C\u5113\u5117\u511A\u5111\u51DE\u5334\u53E1\u5670\u5660\u566E"],
      ["e940", "\u5673\u5666\u5663\u566D\u5672\u565E\u5677\u571C\u571B\u58C8\u58BD\u58C9\u58BF\u58BA\u58C2\u58BC\u58C6\u5B17\u5B19\u5B1B\u5B21\u5B14\u5B13\u5B10\u5B16\u5B28\u5B1A\u5B20\u5B1E\u5BEF\u5DAC\u5DB1\u5DA9\u5DA7\u5DB5\u5DB0\u5DAE\u5DAA\u5DA8\u5DB2\u5DAD\u5DAF\u5DB4\u5E67\u5E68\u5E66\u5E6F\u5EE9\u5EE7\u5EE6\u5EE8\u5EE5\u5F4B\u5FBC\u619D\u61A8\u6196\u61C5\u61B4\u61C6\u61C1\u61CC\u61BA"],
      ["e9a1", "\u61BF\u61B8\u618C\u64D7\u64D6\u64D0\u64CF\u64C9\u64BD\u6489\u64C3\u64DB\u64F3\u64D9\u6533\u657F\u657C\u65A2\u66C8\u66BE\u66C0\u66CA\u66CB\u66CF\u66BD\u66BB\u66BA\u66CC\u6723\u6A34\u6A66\u6A49\u6A67\u6A32\u6A68\u6A3E\u6A5D\u6A6D\u6A76\u6A5B\u6A51\u6A28\u6A5A\u6A3B\u6A3F\u6A41\u6A6A\u6A64\u6A50\u6A4F\u6A54\u6A6F\u6A69\u6A60\u6A3C\u6A5E\u6A56\u6A55\u6A4D\u6A4E\u6A46\u6B55\u6B54\u6B56\u6BA7\u6BAA\u6BAB\u6BC8\u6BC7\u6C04\u6C03\u6C06\u6FAD\u6FCB\u6FA3\u6FC7\u6FBC\u6FCE\u6FC8\u6F5E\u6FC4\u6FBD\u6F9E\u6FCA\u6FA8\u7004\u6FA5\u6FAE\u6FBA\u6FAC\u6FAA\u6FCF\u6FBF\u6FB8"],
      ["ea40", "\u6FA2\u6FC9\u6FAB\u6FCD\u6FAF\u6FB2\u6FB0\u71C5\u71C2\u71BF\u71B8\u71D6\u71C0\u71C1\u71CB\u71D4\u71CA\u71C7\u71CF\u71BD\u71D8\u71BC\u71C6\u71DA\u71DB\u729D\u729E\u7369\u7366\u7367\u736C\u7365\u736B\u736A\u747F\u749A\u74A0\u7494\u7492\u7495\u74A1\u750B\u7580\u762F\u762D\u7631\u763D\u7633\u763C\u7635\u7632\u7630\u76BB\u76E6\u779A\u779D\u77A1\u779C\u779B\u77A2\u77A3\u7795\u7799"],
      ["eaa1", "\u7797\u78DD\u78E9\u78E5\u78EA\u78DE\u78E3\u78DB\u78E1\u78E2\u78ED\u78DF\u78E0\u79A4\u7A44\u7A48\u7A47\u7AB6\u7AB8\u7AB5\u7AB1\u7AB7\u7BDE\u7BE3\u7BE7\u7BDD\u7BD5\u7BE5\u7BDA\u7BE8\u7BF9\u7BD4\u7BEA\u7BE2\u7BDC\u7BEB\u7BD8\u7BDF\u7CD2\u7CD4\u7CD7\u7CD0\u7CD1\u7E12\u7E21\u7E17\u7E0C\u7E1F\u7E20\u7E13\u7E0E\u7E1C\u7E15\u7E1A\u7E22\u7E0B\u7E0F\u7E16\u7E0D\u7E14\u7E25\u7E24\u7F43\u7F7B\u7F7C\u7F7A\u7FB1\u7FEF\u802A\u8029\u806C\u81B1\u81A6\u81AE\u81B9\u81B5\u81AB\u81B0\u81AC\u81B4\u81B2\u81B7\u81A7\u81F2\u8255\u8256\u8257\u8556\u8545\u856B\u854D\u8553\u8561\u8558"],
      ["eb40", "\u8540\u8546\u8564\u8541\u8562\u8544\u8551\u8547\u8563\u853E\u855B\u8571\u854E\u856E\u8575\u8555\u8567\u8560\u858C\u8566\u855D\u8554\u8565\u856C\u8663\u8665\u8664\u879B\u878F\u8797\u8793\u8792\u8788\u8781\u8796\u8798\u8779\u8787\u87A3\u8785\u8790\u8791\u879D\u8784\u8794\u879C\u879A\u8789\u891E\u8926\u8930\u892D\u892E\u8927\u8931\u8922\u8929\u8923\u892F\u892C\u891F\u89F1\u8AE0"],
      ["eba1", "\u8AE2\u8AF2\u8AF4\u8AF5\u8ADD\u8B14\u8AE4\u8ADF\u8AF0\u8AC8\u8ADE\u8AE1\u8AE8\u8AFF\u8AEF\u8AFB\u8C91\u8C92\u8C90\u8CF5\u8CEE\u8CF1\u8CF0\u8CF3\u8D6C\u8D6E\u8DA5\u8DA7\u8E33\u8E3E\u8E38\u8E40\u8E45\u8E36\u8E3C\u8E3D\u8E41\u8E30\u8E3F\u8EBD\u8F36\u8F2E\u8F35\u8F32\u8F39\u8F37\u8F34\u9076\u9079\u907B\u9086\u90FA\u9133\u9135\u9136\u9193\u9190\u9191\u918D\u918F\u9327\u931E\u9308\u931F\u9306\u930F\u937A\u9338\u933C\u931B\u9323\u9312\u9301\u9346\u932D\u930E\u930D\u92CB\u931D\u92FA\u9325\u9313\u92F9\u92F7\u9334\u9302\u9324\u92FF\u9329\u9339\u9335\u932A\u9314\u930C"],
      ["ec40", "\u930B\u92FE\u9309\u9300\u92FB\u9316\u95BC\u95CD\u95BE\u95B9\u95BA\u95B6\u95BF\u95B5\u95BD\u96A9\u96D4\u970B\u9712\u9710\u9799\u9797\u9794\u97F0\u97F8\u9835\u982F\u9832\u9924\u991F\u9927\u9929\u999E\u99EE\u99EC\u99E5\u99E4\u99F0\u99E3\u99EA\u99E9\u99E7\u9AB9\u9ABF\u9AB4\u9ABB\u9AF6\u9AFA\u9AF9\u9AF7\u9B33\u9B80\u9B85\u9B87\u9B7C\u9B7E\u9B7B\u9B82\u9B93\u9B92\u9B90\u9B7A\u9B95"],
      ["eca1", "\u9B7D\u9B88\u9D25\u9D17\u9D20\u9D1E\u9D14\u9D29\u9D1D\u9D18\u9D22\u9D10\u9D19\u9D1F\u9E88\u9E86\u9E87\u9EAE\u9EAD\u9ED5\u9ED6\u9EFA\u9F12\u9F3D\u5126\u5125\u5122\u5124\u5120\u5129\u52F4\u5693\u568C\u568D\u5686\u5684\u5683\u567E\u5682\u567F\u5681\u58D6\u58D4\u58CF\u58D2\u5B2D\u5B25\u5B32\u5B23\u5B2C\u5B27\u5B26\u5B2F\u5B2E\u5B7B\u5BF1\u5BF2\u5DB7\u5E6C\u5E6A\u5FBE\u5FBB\u61C3\u61B5\u61BC\u61E7\u61E0\u61E5\u61E4\u61E8\u61DE\u64EF\u64E9\u64E3\u64EB\u64E4\u64E8\u6581\u6580\u65B6\u65DA\u66D2\u6A8D\u6A96\u6A81\u6AA5\u6A89\u6A9F\u6A9B\u6AA1\u6A9E\u6A87\u6A93\u6A8E"],
      ["ed40", "\u6A95\u6A83\u6AA8\u6AA4\u6A91\u6A7F\u6AA6\u6A9A\u6A85\u6A8C\u6A92\u6B5B\u6BAD\u6C09\u6FCC\u6FA9\u6FF4\u6FD4\u6FE3\u6FDC\u6FED\u6FE7\u6FE6\u6FDE\u6FF2\u6FDD\u6FE2\u6FE8\u71E1\u71F1\u71E8\u71F2\u71E4\u71F0\u71E2\u7373\u736E\u736F\u7497\u74B2\u74AB\u7490\u74AA\u74AD\u74B1\u74A5\u74AF\u7510\u7511\u7512\u750F\u7584\u7643\u7648\u7649\u7647\u76A4\u76E9\u77B5\u77AB\u77B2\u77B7\u77B6"],
      ["eda1", "\u77B4\u77B1\u77A8\u77F0\u78F3\u78FD\u7902\u78FB\u78FC\u78F2\u7905\u78F9\u78FE\u7904\u79AB\u79A8\u7A5C\u7A5B\u7A56\u7A58\u7A54\u7A5A\u7ABE\u7AC0\u7AC1\u7C05\u7C0F\u7BF2\u7C00\u7BFF\u7BFB\u7C0E\u7BF4\u7C0B\u7BF3\u7C02\u7C09\u7C03\u7C01\u7BF8\u7BFD\u7C06\u7BF0\u7BF1\u7C10\u7C0A\u7CE8\u7E2D\u7E3C\u7E42\u7E33\u9848\u7E38\u7E2A\u7E49\u7E40\u7E47\u7E29\u7E4C\u7E30\u7E3B\u7E36\u7E44\u7E3A\u7F45\u7F7F\u7F7E\u7F7D\u7FF4\u7FF2\u802C\u81BB\u81C4\u81CC\u81CA\u81C5\u81C7\u81BC\u81E9\u825B\u825A\u825C\u8583\u8580\u858F\u85A7\u8595\u85A0\u858B\u85A3\u857B\u85A4\u859A\u859E"],
      ["ee40", "\u8577\u857C\u8589\u85A1\u857A\u8578\u8557\u858E\u8596\u8586\u858D\u8599\u859D\u8581\u85A2\u8582\u8588\u8585\u8579\u8576\u8598\u8590\u859F\u8668\u87BE\u87AA\u87AD\u87C5\u87B0\u87AC\u87B9\u87B5\u87BC\u87AE\u87C9\u87C3\u87C2\u87CC\u87B7\u87AF\u87C4\u87CA\u87B4\u87B6\u87BF\u87B8\u87BD\u87DE\u87B2\u8935\u8933\u893C\u893E\u8941\u8952\u8937\u8942\u89AD\u89AF\u89AE\u89F2\u89F3\u8B1E"],
      ["eea1", "\u8B18\u8B16\u8B11\u8B05\u8B0B\u8B22\u8B0F\u8B12\u8B15\u8B07\u8B0D\u8B08\u8B06\u8B1C\u8B13\u8B1A\u8C4F\u8C70\u8C72\u8C71\u8C6F\u8C95\u8C94\u8CF9\u8D6F\u8E4E\u8E4D\u8E53\u8E50\u8E4C\u8E47\u8F43\u8F40\u9085\u907E\u9138\u919A\u91A2\u919B\u9199\u919F\u91A1\u919D\u91A0\u93A1\u9383\u93AF\u9364\u9356\u9347\u937C\u9358\u935C\u9376\u9349\u9350\u9351\u9360\u936D\u938F\u934C\u936A\u9379\u9357\u9355\u9352\u934F\u9371\u9377\u937B\u9361\u935E\u9363\u9367\u9380\u934E\u9359\u95C7\u95C0\u95C9\u95C3\u95C5\u95B7\u96AE\u96B0\u96AC\u9720\u971F\u9718\u971D\u9719\u979A\u97A1\u979C"],
      ["ef40", "\u979E\u979D\u97D5\u97D4\u97F1\u9841\u9844\u984A\u9849\u9845\u9843\u9925\u992B\u992C\u992A\u9933\u9932\u992F\u992D\u9931\u9930\u9998\u99A3\u99A1\u9A02\u99FA\u99F4\u99F7\u99F9\u99F8\u99F6\u99FB\u99FD\u99FE\u99FC\u9A03\u9ABE\u9AFE\u9AFD\u9B01\u9AFC\u9B48\u9B9A\u9BA8\u9B9E\u9B9B\u9BA6\u9BA1\u9BA5\u9BA4\u9B86\u9BA2\u9BA0\u9BAF\u9D33\u9D41\u9D67\u9D36\u9D2E\u9D2F\u9D31\u9D38\u9D30"],
      ["efa1", "\u9D45\u9D42\u9D43\u9D3E\u9D37\u9D40\u9D3D\u7FF5\u9D2D\u9E8A\u9E89\u9E8D\u9EB0\u9EC8\u9EDA\u9EFB\u9EFF\u9F24\u9F23\u9F22\u9F54\u9FA0\u5131\u512D\u512E\u5698\u569C\u5697\u569A\u569D\u5699\u5970\u5B3C\u5C69\u5C6A\u5DC0\u5E6D\u5E6E\u61D8\u61DF\u61ED\u61EE\u61F1\u61EA\u61F0\u61EB\u61D6\u61E9\u64FF\u6504\u64FD\u64F8\u6501\u6503\u64FC\u6594\u65DB\u66DA\u66DB\u66D8\u6AC5\u6AB9\u6ABD\u6AE1\u6AC6\u6ABA\u6AB6\u6AB7\u6AC7\u6AB4\u6AAD\u6B5E\u6BC9\u6C0B\u7007\u700C\u700D\u7001\u7005\u7014\u700E\u6FFF\u7000\u6FFB\u7026\u6FFC\u6FF7\u700A\u7201\u71FF\u71F9\u7203\u71FD\u7376"],
      ["f040", "\u74B8\u74C0\u74B5\u74C1\u74BE\u74B6\u74BB\u74C2\u7514\u7513\u765C\u7664\u7659\u7650\u7653\u7657\u765A\u76A6\u76BD\u76EC\u77C2\u77BA\u78FF\u790C\u7913\u7914\u7909\u7910\u7912\u7911\u79AD\u79AC\u7A5F\u7C1C\u7C29\u7C19\u7C20\u7C1F\u7C2D\u7C1D\u7C26\u7C28\u7C22\u7C25\u7C30\u7E5C\u7E50\u7E56\u7E63\u7E58\u7E62\u7E5F\u7E51\u7E60\u7E57\u7E53\u7FB5\u7FB3\u7FF7\u7FF8\u8075\u81D1\u81D2"],
      ["f0a1", "\u81D0\u825F\u825E\u85B4\u85C6\u85C0\u85C3\u85C2\u85B3\u85B5\u85BD\u85C7\u85C4\u85BF\u85CB\u85CE\u85C8\u85C5\u85B1\u85B6\u85D2\u8624\u85B8\u85B7\u85BE\u8669\u87E7\u87E6\u87E2\u87DB\u87EB\u87EA\u87E5\u87DF\u87F3\u87E4\u87D4\u87DC\u87D3\u87ED\u87D8\u87E3\u87A4\u87D7\u87D9\u8801\u87F4\u87E8\u87DD\u8953\u894B\u894F\u894C\u8946\u8950\u8951\u8949\u8B2A\u8B27\u8B23\u8B33\u8B30\u8B35\u8B47\u8B2F\u8B3C\u8B3E\u8B31\u8B25\u8B37\u8B26\u8B36\u8B2E\u8B24\u8B3B\u8B3D\u8B3A\u8C42\u8C75\u8C99\u8C98\u8C97\u8CFE\u8D04\u8D02\u8D00\u8E5C\u8E62\u8E60\u8E57\u8E56\u8E5E\u8E65\u8E67"],
      ["f140", "\u8E5B\u8E5A\u8E61\u8E5D\u8E69\u8E54\u8F46\u8F47\u8F48\u8F4B\u9128\u913A\u913B\u913E\u91A8\u91A5\u91A7\u91AF\u91AA\u93B5\u938C\u9392\u93B7\u939B\u939D\u9389\u93A7\u938E\u93AA\u939E\u93A6\u9395\u9388\u9399\u939F\u938D\u93B1\u9391\u93B2\u93A4\u93A8\u93B4\u93A3\u93A5\u95D2\u95D3\u95D1\u96B3\u96D7\u96DA\u5DC2\u96DF\u96D8\u96DD\u9723\u9722\u9725\u97AC\u97AE\u97A8\u97AB\u97A4\u97AA"],
      ["f1a1", "\u97A2\u97A5\u97D7\u97D9\u97D6\u97D8\u97FA\u9850\u9851\u9852\u98B8\u9941\u993C\u993A\u9A0F\u9A0B\u9A09\u9A0D\u9A04\u9A11\u9A0A\u9A05\u9A07\u9A06\u9AC0\u9ADC\u9B08\u9B04\u9B05\u9B29\u9B35\u9B4A\u9B4C\u9B4B\u9BC7\u9BC6\u9BC3\u9BBF\u9BC1\u9BB5\u9BB8\u9BD3\u9BB6\u9BC4\u9BB9\u9BBD\u9D5C\u9D53\u9D4F\u9D4A\u9D5B\u9D4B\u9D59\u9D56\u9D4C\u9D57\u9D52\u9D54\u9D5F\u9D58\u9D5A\u9E8E\u9E8C\u9EDF\u9F01\u9F00\u9F16\u9F25\u9F2B\u9F2A\u9F29\u9F28\u9F4C\u9F55\u5134\u5135\u5296\u52F7\u53B4\u56AB\u56AD\u56A6\u56A7\u56AA\u56AC\u58DA\u58DD\u58DB\u5912\u5B3D\u5B3E\u5B3F\u5DC3\u5E70"],
      ["f240", "\u5FBF\u61FB\u6507\u6510\u650D\u6509\u650C\u650E\u6584\u65DE\u65DD\u66DE\u6AE7\u6AE0\u6ACC\u6AD1\u6AD9\u6ACB\u6ADF\u6ADC\u6AD0\u6AEB\u6ACF\u6ACD\u6ADE\u6B60\u6BB0\u6C0C\u7019\u7027\u7020\u7016\u702B\u7021\u7022\u7023\u7029\u7017\u7024\u701C\u702A\u720C\u720A\u7207\u7202\u7205\u72A5\u72A6\u72A4\u72A3\u72A1\u74CB\u74C5\u74B7\u74C3\u7516\u7660\u77C9\u77CA\u77C4\u77F1\u791D\u791B"],
      ["f2a1", "\u7921\u791C\u7917\u791E\u79B0\u7A67\u7A68\u7C33\u7C3C\u7C39\u7C2C\u7C3B\u7CEC\u7CEA\u7E76\u7E75\u7E78\u7E70\u7E77\u7E6F\u7E7A\u7E72\u7E74\u7E68\u7F4B\u7F4A\u7F83\u7F86\u7FB7\u7FFD\u7FFE\u8078\u81D7\u81D5\u8264\u8261\u8263\u85EB\u85F1\u85ED\u85D9\u85E1\u85E8\u85DA\u85D7\u85EC\u85F2\u85F8\u85D8\u85DF\u85E3\u85DC\u85D1\u85F0\u85E6\u85EF\u85DE\u85E2\u8800\u87FA\u8803\u87F6\u87F7\u8809\u880C\u880B\u8806\u87FC\u8808\u87FF\u880A\u8802\u8962\u895A\u895B\u8957\u8961\u895C\u8958\u895D\u8959\u8988\u89B7\u89B6\u89F6\u8B50\u8B48\u8B4A\u8B40\u8B53\u8B56\u8B54\u8B4B\u8B55"],
      ["f340", "\u8B51\u8B42\u8B52\u8B57\u8C43\u8C77\u8C76\u8C9A\u8D06\u8D07\u8D09\u8DAC\u8DAA\u8DAD\u8DAB\u8E6D\u8E78\u8E73\u8E6A\u8E6F\u8E7B\u8EC2\u8F52\u8F51\u8F4F\u8F50\u8F53\u8FB4\u9140\u913F\u91B0\u91AD\u93DE\u93C7\u93CF\u93C2\u93DA\u93D0\u93F9\u93EC\u93CC\u93D9\u93A9\u93E6\u93CA\u93D4\u93EE\u93E3\u93D5\u93C4\u93CE\u93C0\u93D2\u93E7\u957D\u95DA\u95DB\u96E1\u9729\u972B\u972C\u9728\u9726"],
      ["f3a1", "\u97B3\u97B7\u97B6\u97DD\u97DE\u97DF\u985C\u9859\u985D\u9857\u98BF\u98BD\u98BB\u98BE\u9948\u9947\u9943\u99A6\u99A7\u9A1A\u9A15\u9A25\u9A1D\u9A24\u9A1B\u9A22\u9A20\u9A27\u9A23\u9A1E\u9A1C\u9A14\u9AC2\u9B0B\u9B0A\u9B0E\u9B0C\u9B37\u9BEA\u9BEB\u9BE0\u9BDE\u9BE4\u9BE6\u9BE2\u9BF0\u9BD4\u9BD7\u9BEC\u9BDC\u9BD9\u9BE5\u9BD5\u9BE1\u9BDA\u9D77\u9D81\u9D8A\u9D84\u9D88\u9D71\u9D80\u9D78\u9D86\u9D8B\u9D8C\u9D7D\u9D6B\u9D74\u9D75\u9D70\u9D69\u9D85\u9D73\u9D7B\u9D82\u9D6F\u9D79\u9D7F\u9D87\u9D68\u9E94\u9E91\u9EC0\u9EFC\u9F2D\u9F40\u9F41\u9F4D\u9F56\u9F57\u9F58\u5337\u56B2"],
      ["f440", "\u56B5\u56B3\u58E3\u5B45\u5DC6\u5DC7\u5EEE\u5EEF\u5FC0\u5FC1\u61F9\u6517\u6516\u6515\u6513\u65DF\u66E8\u66E3\u66E4\u6AF3\u6AF0\u6AEA\u6AE8\u6AF9\u6AF1\u6AEE\u6AEF\u703C\u7035\u702F\u7037\u7034\u7031\u7042\u7038\u703F\u703A\u7039\u7040\u703B\u7033\u7041\u7213\u7214\u72A8\u737D\u737C\u74BA\u76AB\u76AA\u76BE\u76ED\u77CC\u77CE\u77CF\u77CD\u77F2\u7925\u7923\u7927\u7928\u7924\u7929"],
      ["f4a1", "\u79B2\u7A6E\u7A6C\u7A6D\u7AF7\u7C49\u7C48\u7C4A\u7C47\u7C45\u7CEE\u7E7B\u7E7E\u7E81\u7E80\u7FBA\u7FFF\u8079\u81DB\u81D9\u820B\u8268\u8269\u8622\u85FF\u8601\u85FE\u861B\u8600\u85F6\u8604\u8609\u8605\u860C\u85FD\u8819\u8810\u8811\u8817\u8813\u8816\u8963\u8966\u89B9\u89F7\u8B60\u8B6A\u8B5D\u8B68\u8B63\u8B65\u8B67\u8B6D\u8DAE\u8E86\u8E88\u8E84\u8F59\u8F56\u8F57\u8F55\u8F58\u8F5A\u908D\u9143\u9141\u91B7\u91B5\u91B2\u91B3\u940B\u9413\u93FB\u9420\u940F\u9414\u93FE\u9415\u9410\u9428\u9419\u940D\u93F5\u9400\u93F7\u9407\u940E\u9416\u9412\u93FA\u9409\u93F8\u940A\u93FF"],
      ["f540", "\u93FC\u940C\u93F6\u9411\u9406\u95DE\u95E0\u95DF\u972E\u972F\u97B9\u97BB\u97FD\u97FE\u9860\u9862\u9863\u985F\u98C1\u98C2\u9950\u994E\u9959\u994C\u994B\u9953\u9A32\u9A34\u9A31\u9A2C\u9A2A\u9A36\u9A29\u9A2E\u9A38\u9A2D\u9AC7\u9ACA\u9AC6\u9B10\u9B12\u9B11\u9C0B\u9C08\u9BF7\u9C05\u9C12\u9BF8\u9C40\u9C07\u9C0E\u9C06\u9C17\u9C14\u9C09\u9D9F\u9D99\u9DA4\u9D9D\u9D92\u9D98\u9D90\u9D9B"],
      ["f5a1", "\u9DA0\u9D94\u9D9C\u9DAA\u9D97\u9DA1\u9D9A\u9DA2\u9DA8\u9D9E\u9DA3\u9DBF\u9DA9\u9D96\u9DA6\u9DA7\u9E99\u9E9B\u9E9A\u9EE5\u9EE4\u9EE7\u9EE6\u9F30\u9F2E\u9F5B\u9F60\u9F5E\u9F5D\u9F59\u9F91\u513A\u5139\u5298\u5297\u56C3\u56BD\u56BE\u5B48\u5B47\u5DCB\u5DCF\u5EF1\u61FD\u651B\u6B02\u6AFC\u6B03\u6AF8\u6B00\u7043\u7044\u704A\u7048\u7049\u7045\u7046\u721D\u721A\u7219\u737E\u7517\u766A\u77D0\u792D\u7931\u792F\u7C54\u7C53\u7CF2\u7E8A\u7E87\u7E88\u7E8B\u7E86\u7E8D\u7F4D\u7FBB\u8030\u81DD\u8618\u862A\u8626\u861F\u8623\u861C\u8619\u8627\u862E\u8621\u8620\u8629\u861E\u8625"],
      ["f640", "\u8829\u881D\u881B\u8820\u8824\u881C\u882B\u884A\u896D\u8969\u896E\u896B\u89FA\u8B79\u8B78\u8B45\u8B7A\u8B7B\u8D10\u8D14\u8DAF\u8E8E\u8E8C\u8F5E\u8F5B\u8F5D\u9146\u9144\u9145\u91B9\u943F\u943B\u9436\u9429\u943D\u943C\u9430\u9439\u942A\u9437\u942C\u9440\u9431\u95E5\u95E4\u95E3\u9735\u973A\u97BF\u97E1\u9864\u98C9\u98C6\u98C0\u9958\u9956\u9A39\u9A3D\u9A46\u9A44\u9A42\u9A41\u9A3A"],
      ["f6a1", "\u9A3F\u9ACD\u9B15\u9B17\u9B18\u9B16\u9B3A\u9B52\u9C2B\u9C1D\u9C1C\u9C2C\u9C23\u9C28\u9C29\u9C24\u9C21\u9DB7\u9DB6\u9DBC\u9DC1\u9DC7\u9DCA\u9DCF\u9DBE\u9DC5\u9DC3\u9DBB\u9DB5\u9DCE\u9DB9\u9DBA\u9DAC\u9DC8\u9DB1\u9DAD\u9DCC\u9DB3\u9DCD\u9DB2\u9E7A\u9E9C\u9EEB\u9EEE\u9EED\u9F1B\u9F18\u9F1A\u9F31\u9F4E\u9F65\u9F64\u9F92\u4EB9\u56C6\u56C5\u56CB\u5971\u5B4B\u5B4C\u5DD5\u5DD1\u5EF2\u6521\u6520\u6526\u6522\u6B0B\u6B08\u6B09\u6C0D\u7055\u7056\u7057\u7052\u721E\u721F\u72A9\u737F\u74D8\u74D5\u74D9\u74D7\u766D\u76AD\u7935\u79B4\u7A70\u7A71\u7C57\u7C5C\u7C59\u7C5B\u7C5A"],
      ["f740", "\u7CF4\u7CF1\u7E91\u7F4F\u7F87\u81DE\u826B\u8634\u8635\u8633\u862C\u8632\u8636\u882C\u8828\u8826\u882A\u8825\u8971\u89BF\u89BE\u89FB\u8B7E\u8B84\u8B82\u8B86\u8B85\u8B7F\u8D15\u8E95\u8E94\u8E9A\u8E92\u8E90\u8E96\u8E97\u8F60\u8F62\u9147\u944C\u9450\u944A\u944B\u944F\u9447\u9445\u9448\u9449\u9446\u973F\u97E3\u986A\u9869\u98CB\u9954\u995B\u9A4E\u9A53\u9A54\u9A4C\u9A4F\u9A48\u9A4A"],
      ["f7a1", "\u9A49\u9A52\u9A50\u9AD0\u9B19\u9B2B\u9B3B\u9B56\u9B55\u9C46\u9C48\u9C3F\u9C44\u9C39\u9C33\u9C41\u9C3C\u9C37\u9C34\u9C32\u9C3D\u9C36\u9DDB\u9DD2\u9DDE\u9DDA\u9DCB\u9DD0\u9DDC\u9DD1\u9DDF\u9DE9\u9DD9\u9DD8\u9DD6\u9DF5\u9DD5\u9DDD\u9EB6\u9EF0\u9F35\u9F33\u9F32\u9F42\u9F6B\u9F95\u9FA2\u513D\u5299\u58E8\u58E7\u5972\u5B4D\u5DD8\u882F\u5F4F\u6201\u6203\u6204\u6529\u6525\u6596\u66EB\u6B11\u6B12\u6B0F\u6BCA\u705B\u705A\u7222\u7382\u7381\u7383\u7670\u77D4\u7C67\u7C66\u7E95\u826C\u863A\u8640\u8639\u863C\u8631\u863B\u863E\u8830\u8832\u882E\u8833\u8976\u8974\u8973\u89FE"],
      ["f840", "\u8B8C\u8B8E\u8B8B\u8B88\u8C45\u8D19\u8E98\u8F64\u8F63\u91BC\u9462\u9455\u945D\u9457\u945E\u97C4\u97C5\u9800\u9A56\u9A59\u9B1E\u9B1F\u9B20\u9C52\u9C58\u9C50\u9C4A\u9C4D\u9C4B\u9C55\u9C59\u9C4C\u9C4E\u9DFB\u9DF7\u9DEF\u9DE3\u9DEB\u9DF8\u9DE4\u9DF6\u9DE1\u9DEE\u9DE6\u9DF2\u9DF0\u9DE2\u9DEC\u9DF4\u9DF3\u9DE8\u9DED\u9EC2\u9ED0\u9EF2\u9EF3\u9F06\u9F1C\u9F38\u9F37\u9F36\u9F43\u9F4F"],
      ["f8a1", "\u9F71\u9F70\u9F6E\u9F6F\u56D3\u56CD\u5B4E\u5C6D\u652D\u66ED\u66EE\u6B13\u705F\u7061\u705D\u7060\u7223\u74DB\u74E5\u77D5\u7938\u79B7\u79B6\u7C6A\u7E97\u7F89\u826D\u8643\u8838\u8837\u8835\u884B\u8B94\u8B95\u8E9E\u8E9F\u8EA0\u8E9D\u91BE\u91BD\u91C2\u946B\u9468\u9469\u96E5\u9746\u9743\u9747\u97C7\u97E5\u9A5E\u9AD5\u9B59\u9C63\u9C67\u9C66\u9C62\u9C5E\u9C60\u9E02\u9DFE\u9E07\u9E03\u9E06\u9E05\u9E00\u9E01\u9E09\u9DFF\u9DFD\u9E04\u9EA0\u9F1E\u9F46\u9F74\u9F75\u9F76\u56D4\u652E\u65B8\u6B18\u6B19\u6B17\u6B1A\u7062\u7226\u72AA\u77D8\u77D9\u7939\u7C69\u7C6B\u7CF6\u7E9A"],
      ["f940", "\u7E98\u7E9B\u7E99\u81E0\u81E1\u8646\u8647\u8648\u8979\u897A\u897C\u897B\u89FF\u8B98\u8B99\u8EA5\u8EA4\u8EA3\u946E\u946D\u946F\u9471\u9473\u9749\u9872\u995F\u9C68\u9C6E\u9C6D\u9E0B\u9E0D\u9E10\u9E0F\u9E12\u9E11\u9EA1\u9EF5\u9F09\u9F47\u9F78\u9F7B\u9F7A\u9F79\u571E\u7066\u7C6F\u883C\u8DB2\u8EA6\u91C3\u9474\u9478\u9476\u9475\u9A60\u9C74\u9C73\u9C71\u9C75\u9E14\u9E13\u9EF6\u9F0A"],
      ["f9a1", "\u9FA4\u7068\u7065\u7CF7\u866A\u883E\u883D\u883F\u8B9E\u8C9C\u8EA9\u8EC9\u974B\u9873\u9874\u98CC\u9961\u99AB\u9A64\u9A66\u9A67\u9B24\u9E15\u9E17\u9F48\u6207\u6B1E\u7227\u864C\u8EA8\u9482\u9480\u9481\u9A69\u9A68\u9B2E\u9E19\u7229\u864B\u8B9F\u9483\u9C79\u9EB7\u7675\u9A6B\u9C7A\u9E1D\u7069\u706A\u9EA4\u9F7E\u9F49\u9F98\u7881\u92B9\u88CF\u58BB\u6052\u7CA7\u5AFA\u2554\u2566\u2557\u2560\u256C\u2563\u255A\u2569\u255D\u2552\u2564\u2555\u255E\u256A\u2561\u2558\u2567\u255B\u2553\u2565\u2556\u255F\u256B\u2562\u2559\u2568\u255C\u2551\u2550\u256D\u256E\u2570\u256F\u2593"]
    ];
  }
});

// ../../../node_modules/iconv-lite/encodings/tables/big5-added.json
var require_big5_added = __commonJS({
  "../../../node_modules/iconv-lite/encodings/tables/big5-added.json"(exports, module2) {
    module2.exports = [
      ["8740", "\u43F0\u4C32\u4603\u45A6\u4578\u{27267}\u4D77\u45B3\u{27CB1}\u4CE2\u{27CC5}\u3B95\u4736\u4744\u4C47\u4C40\u{242BF}\u{23617}\u{27352}\u{26E8B}\u{270D2}\u4C57\u{2A351}\u474F\u45DA\u4C85\u{27C6C}\u4D07\u4AA4\u46A1\u{26B23}\u7225\u{25A54}\u{21A63}\u{23E06}\u{23F61}\u664D\u56FB"],
      ["8767", "\u7D95\u591D\u{28BB9}\u3DF4\u9734\u{27BEF}\u5BDB\u{21D5E}\u5AA4\u3625\u{29EB0}\u5AD1\u5BB7\u5CFC\u676E\u8593\u{29945}\u7461\u749D\u3875\u{21D53}\u{2369E}\u{26021}\u3EEC"],
      ["87a1", "\u{258DE}\u3AF5\u7AFC\u9F97\u{24161}\u{2890D}\u{231EA}\u{20A8A}\u{2325E}\u430A\u8484\u9F96\u942F\u4930\u8613\u5896\u974A\u9218\u79D0\u7A32\u6660\u6A29\u889D\u744C\u7BC5\u6782\u7A2C\u524F\u9046\u34E6\u73C4\u{25DB9}\u74C6\u9FC7\u57B3\u492F\u544C\u4131\u{2368E}\u5818\u7A72\u{27B65}\u8B8F\u46AE\u{26E88}\u4181\u{25D99}\u7BAE\u{224BC}\u9FC8\u{224C1}\u{224C9}\u{224CC}\u9FC9\u8504\u{235BB}\u40B4\u9FCA\u44E1\u{2ADFF}\u62C1\u706E\u9FCB"],
      ["8840", "\u31C0", 4, "\u{2010C}\u31C5\u{200D1}\u{200CD}\u31C6\u31C7\u{200CB}\u{21FE8}\u31C8\u{200CA}\u31C9\u31CA\u31CB\u31CC\u{2010E}\u31CD\u31CE\u0100\xC1\u01CD\xC0\u0112\xC9\u011A\xC8\u014C\xD3\u01D1\xD2\u0FFF\xCA\u0304\u1EBE\u0FFF\xCA\u030C\u1EC0\xCA\u0101\xE1\u01CE\xE0\u0251\u0113\xE9\u011B\xE8\u012B\xED\u01D0\xEC\u014D\xF3\u01D2\xF2\u016B\xFA\u01D4\xF9\u01D6\u01D8\u01DA"],
      ["88a1", "\u01DC\xFC\u0FFF\xEA\u0304\u1EBF\u0FFF\xEA\u030C\u1EC1\xEA\u0261\u23DA\u23DB"],
      ["8940", "\u{2A3A9}\u{21145}"],
      ["8943", "\u650A"],
      ["8946", "\u4E3D\u6EDD\u9D4E\u91DF"],
      ["894c", "\u{27735}\u6491\u4F1A\u4F28\u4FA8\u5156\u5174\u519C\u51E4\u52A1\u52A8\u533B\u534E\u53D1\u53D8\u56E2\u58F0\u5904\u5907\u5932\u5934\u5B66\u5B9E\u5B9F\u5C9A\u5E86\u603B\u6589\u67FE\u6804\u6865\u6D4E\u70BC\u7535\u7EA4\u7EAC\u7EBA\u7EC7\u7ECF\u7EDF\u7F06\u7F37\u827A\u82CF\u836F\u89C6\u8BBE\u8BE2\u8F66\u8F67\u8F6E"],
      ["89a1", "\u7411\u7CFC\u7DCD\u6946\u7AC9\u5227"],
      ["89ab", "\u918C\u78B8\u915E\u80BC"],
      ["89b0", "\u8D0B\u80F6\u{209E7}"],
      ["89b5", "\u809F\u9EC7\u4CCD\u9DC9\u9E0C\u4C3E\u{29DF6}\u{2700E}\u9E0A\u{2A133}\u35C1"],
      ["89c1", "\u6E9A\u823E\u7519"],
      ["89c5", "\u4911\u9A6C\u9A8F\u9F99\u7987\u{2846C}\u{21DCA}\u{205D0}\u{22AE6}\u4E24\u4E81\u4E80\u4E87\u4EBF\u4EEB\u4F37\u344C\u4FBD\u3E48\u5003\u5088\u347D\u3493\u34A5\u5186\u5905\u51DB\u51FC\u5205\u4E89\u5279\u5290\u5327\u35C7\u53A9\u3551\u53B0\u3553\u53C2\u5423\u356D\u3572\u3681\u5493\u54A3\u54B4\u54B9\u54D0\u54EF\u5518\u5523\u5528\u3598\u553F\u35A5\u35BF\u55D7\u35C5"],
      ["8a40", "\u{27D84}\u5525"],
      ["8a43", "\u{20C42}\u{20D15}\u{2512B}\u5590\u{22CC6}\u39EC\u{20341}\u8E46\u{24DB8}\u{294E5}\u4053\u{280BE}\u777A\u{22C38}\u3A34\u47D5\u{2815D}\u{269F2}\u{24DEA}\u64DD\u{20D7C}\u{20FB4}\u{20CD5}\u{210F4}\u648D\u8E7E\u{20E96}\u{20C0B}\u{20F64}\u{22CA9}\u{28256}\u{244D3}"],
      ["8a64", "\u{20D46}\u{29A4D}\u{280E9}\u47F4\u{24EA7}\u{22CC2}\u9AB2\u3A67\u{295F4}\u3FED\u3506\u{252C7}\u{297D4}\u{278C8}\u{22D44}\u9D6E\u9815"],
      ["8a76", "\u43D9\u{260A5}\u64B4\u54E3\u{22D4C}\u{22BCA}\u{21077}\u39FB\u{2106F}"],
      ["8aa1", "\u{266DA}\u{26716}\u{279A0}\u64EA\u{25052}\u{20C43}\u8E68\u{221A1}\u{28B4C}\u{20731}"],
      ["8aac", "\u480B\u{201A9}\u3FFA\u5873\u{22D8D}"],
      ["8ab2", "\u{245C8}\u{204FC}\u{26097}\u{20F4C}\u{20D96}\u5579\u40BB\u43BA"],
      ["8abb", "\u4AB4\u{22A66}\u{2109D}\u81AA\u98F5\u{20D9C}\u6379\u39FE\u{22775}\u8DC0\u56A1\u647C\u3E43"],
      ["8ac9", "\u{2A601}\u{20E09}\u{22ACF}\u{22CC9}"],
      ["8ace", "\u{210C8}\u{239C2}\u3992\u3A06\u{2829B}\u3578\u{25E49}\u{220C7}\u5652\u{20F31}\u{22CB2}\u{29720}\u34BC\u6C3D\u{24E3B}"],
      ["8adf", "\u{27574}\u{22E8B}\u{22208}\u{2A65B}\u{28CCD}\u{20E7A}\u{20C34}\u{2681C}\u7F93\u{210CF}\u{22803}\u{22939}\u35FB\u{251E3}\u{20E8C}\u{20F8D}\u{20EAA}\u3F93\u{20F30}\u{20D47}\u{2114F}\u{20E4C}"],
      ["8af6", "\u{20EAB}\u{20BA9}\u{20D48}\u{210C0}\u{2113D}\u3FF9\u{22696}\u6432\u{20FAD}"],
      ["8b40", "\u{233F4}\u{27639}\u{22BCE}\u{20D7E}\u{20D7F}\u{22C51}\u{22C55}\u3A18\u{20E98}\u{210C7}\u{20F2E}\u{2A632}\u{26B50}\u{28CD2}\u{28D99}\u{28CCA}\u95AA\u54CC\u82C4\u55B9"],
      ["8b55", "\u{29EC3}\u9C26\u9AB6\u{2775E}\u{22DEE}\u7140\u816D\u80EC\u5C1C\u{26572}\u8134\u3797\u535F\u{280BD}\u91B6\u{20EFA}\u{20E0F}\u{20E77}\u{20EFB}\u35DD\u{24DEB}\u3609\u{20CD6}\u56AF\u{227B5}\u{210C9}\u{20E10}\u{20E78}\u{21078}\u{21148}\u{28207}\u{21455}\u{20E79}\u{24E50}\u{22DA4}\u5A54\u{2101D}\u{2101E}\u{210F5}\u{210F6}\u579C\u{20E11}"],
      ["8ba1", "\u{27694}\u{282CD}\u{20FB5}\u{20E7B}\u{2517E}\u3703\u{20FB6}\u{21180}\u{252D8}\u{2A2BD}\u{249DA}\u{2183A}\u{24177}\u{2827C}\u5899\u5268\u361A\u{2573D}\u7BB2\u5B68\u4800\u4B2C\u9F27\u49E7\u9C1F\u9B8D\u{25B74}\u{2313D}\u55FB\u35F2\u5689\u4E28\u5902\u{21BC1}\u{2F878}\u9751\u{20086}\u4E5B\u4EBB\u353E\u5C23\u5F51\u5FC4\u38FA\u624C\u6535\u6B7A\u6C35\u6C3A\u706C\u722B\u4E2C\u72AD\u{248E9}\u7F52\u793B\u7CF9\u7F53\u{2626A}\u34C1"],
      ["8bde", "\u{2634B}\u8002\u8080\u{26612}\u{26951}\u535D\u8864\u89C1\u{278B2}\u8BA0\u8D1D\u9485\u9578\u957F\u95E8\u{28E0F}\u97E6\u9875\u98CE\u98DE\u9963\u{29810}\u9C7C\u9E1F\u9EC4\u6B6F\uF907\u4E37\u{20087}\u961D\u6237\u94A2"],
      ["8c40", "\u503B\u6DFE\u{29C73}\u9FA6\u3DC9\u888F\u{2414E}\u7077\u5CF5\u4B20\u{251CD}\u3559\u{25D30}\u6122\u{28A32}\u8FA7\u91F6\u7191\u6719\u73BA\u{23281}\u{2A107}\u3C8B\u{21980}\u4B10\u78E4\u7402\u51AE\u{2870F}\u4009\u6A63\u{2A2BA}\u4223\u860F\u{20A6F}\u7A2A\u{29947}\u{28AEA}\u9755\u704D\u5324\u{2207E}\u93F4\u76D9\u{289E3}\u9FA7\u77DD\u4EA3\u4FF0\u50BC\u4E2F\u4F17\u9FA8\u5434\u7D8B\u5892\u58D0\u{21DB6}\u5E92\u5E99\u5FC2\u{22712}\u658B"],
      ["8ca1", "\u{233F9}\u6919\u6A43\u{23C63}\u6CFF"],
      ["8ca7", "\u7200\u{24505}\u738C\u3EDB\u{24A13}\u5B15\u74B9\u8B83\u{25CA4}\u{25695}\u7A93\u7BEC\u7CC3\u7E6C\u82F8\u8597\u9FA9\u8890\u9FAA\u8EB9\u9FAB\u8FCF\u855F\u99E0\u9221\u9FAC\u{28DB9}\u{2143F}\u4071\u42A2\u5A1A"],
      ["8cc9", "\u9868\u676B\u4276\u573D"],
      ["8cce", "\u85D6\u{2497B}\u82BF\u{2710D}\u4C81\u{26D74}\u5D7B\u{26B15}\u{26FBE}\u9FAD\u9FAE\u5B96\u9FAF\u66E7\u7E5B\u6E57\u79CA\u3D88\u44C3\u{23256}\u{22796}\u439A\u4536"],
      ["8ce6", "\u5CD5\u{23B1A}\u8AF9\u5C78\u3D12\u{23551}\u5D78\u9FB2\u7157\u4558\u{240EC}\u{21E23}\u4C77\u3978\u344A\u{201A4}\u{26C41}\u8ACC\u4FB4\u{20239}\u59BF\u816C\u9856\u{298FA}\u5F3B"],
      ["8d40", "\u{20B9F}"],
      ["8d42", "\u{221C1}\u{2896D}\u4102\u46BB\u{29079}\u3F07\u9FB3\u{2A1B5}\u40F8\u37D6\u46F7\u{26C46}\u417C\u{286B2}\u{273FF}\u456D\u38D4\u{2549A}\u4561\u451B\u4D89\u4C7B\u4D76\u45EA\u3FC8\u{24B0F}\u3661\u44DE\u44BD\u41ED\u5D3E\u5D48\u5D56\u3DFC\u380F\u5DA4\u5DB9\u3820\u3838\u5E42\u5EBD\u5F25\u5F83\u3908\u3914\u393F\u394D\u60D7\u613D\u5CE5\u3989\u61B7\u61B9\u61CF\u39B8\u622C\u6290\u62E5\u6318\u39F8\u56B1"],
      ["8da1", "\u3A03\u63E2\u63FB\u6407\u645A\u3A4B\u64C0\u5D15\u5621\u9F9F\u3A97\u6586\u3ABD\u65FF\u6653\u3AF2\u6692\u3B22\u6716\u3B42\u67A4\u6800\u3B58\u684A\u6884\u3B72\u3B71\u3B7B\u6909\u6943\u725C\u6964\u699F\u6985\u3BBC\u69D6\u3BDD\u6A65\u6A74\u6A71\u6A82\u3BEC\u6A99\u3BF2\u6AAB\u6AB5\u6AD4\u6AF6\u6B81\u6BC1\u6BEA\u6C75\u6CAA\u3CCB\u6D02\u6D06\u6D26\u6D81\u3CEF\u6DA4\u6DB1\u6E15\u6E18\u6E29\u6E86\u{289C0}\u6EBB\u6EE2\u6EDA\u9F7F\u6EE8\u6EE9\u6F24\u6F34\u3D46\u{23F41}\u6F81\u6FBE\u3D6A\u3D75\u71B7\u5C99\u3D8A\u702C\u3D91\u7050\u7054\u706F\u707F\u7089\u{20325}\u43C1\u35F1\u{20ED8}"],
      ["8e40", "\u{23ED7}\u57BE\u{26ED3}\u713E\u{257E0}\u364E\u69A2\u{28BE9}\u5B74\u7A49\u{258E1}\u{294D9}\u7A65\u7A7D\u{259AC}\u7ABB\u7AB0\u7AC2\u7AC3\u71D1\u{2648D}\u41CA\u7ADA\u7ADD\u7AEA\u41EF\u54B2\u{25C01}\u7B0B\u7B55\u7B29\u{2530E}\u{25CFE}\u7BA2\u7B6F\u839C\u{25BB4}\u{26C7F}\u7BD0\u8421\u7B92\u7BB8\u{25D20}\u3DAD\u{25C65}\u8492\u7BFA\u7C06\u7C35\u{25CC1}\u7C44\u7C83\u{24882}\u7CA6\u667D\u{24578}\u7CC9\u7CC7\u7CE6\u7C74\u7CF3\u7CF5\u7CCE"],
      ["8ea1", "\u7E67\u451D\u{26E44}\u7D5D\u{26ED6}\u748D\u7D89\u7DAB\u7135\u7DB3\u7DD2\u{24057}\u{26029}\u7DE4\u3D13\u7DF5\u{217F9}\u7DE5\u{2836D}\u7E1D\u{26121}\u{2615A}\u7E6E\u7E92\u432B\u946C\u7E27\u7F40\u7F41\u7F47\u7936\u{262D0}\u99E1\u7F97\u{26351}\u7FA3\u{21661}\u{20068}\u455C\u{23766}\u4503\u{2833A}\u7FFA\u{26489}\u8005\u8008\u801D\u8028\u802F\u{2A087}\u{26CC3}\u803B\u803C\u8061\u{22714}\u4989\u{26626}\u{23DE3}\u{266E8}\u6725\u80A7\u{28A48}\u8107\u811A\u58B0\u{226F6}\u6C7F\u{26498}\u{24FB8}\u64E7\u{2148A}\u8218\u{2185E}\u6A53\u{24A65}\u{24A95}\u447A\u8229\u{20B0D}\u{26A52}\u{23D7E}\u4FF9\u{214FD}\u84E2\u8362\u{26B0A}\u{249A7}\u{23530}\u{21773}\u{23DF8}\u82AA\u691B\u{2F994}\u41DB"],
      ["8f40", "\u854B\u82D0\u831A\u{20E16}\u{217B4}\u36C1\u{2317D}\u{2355A}\u827B\u82E2\u8318\u{23E8B}\u{26DA3}\u{26B05}\u{26B97}\u{235CE}\u3DBF\u831D\u55EC\u8385\u450B\u{26DA5}\u83AC\u83C1\u83D3\u347E\u{26ED4}\u6A57\u855A\u3496\u{26E42}\u{22EEF}\u8458\u{25BE4}\u8471\u3DD3\u44E4\u6AA7\u844A\u{23CB5}\u7958\u84A8\u{26B96}\u{26E77}\u{26E43}\u84DE\u840F\u8391\u44A0\u8493\u84E4\u{25C91}\u4240\u{25CC0}\u4543\u8534\u5AF2\u{26E99}\u4527\u8573\u4516\u67BF\u8616"],
      ["8fa1", "\u{28625}\u{2863B}\u85C1\u{27088}\u8602\u{21582}\u{270CD}\u{2F9B2}\u456A\u8628\u3648\u{218A2}\u53F7\u{2739A}\u867E\u8771\u{2A0F8}\u87EE\u{22C27}\u87B1\u87DA\u880F\u5661\u866C\u6856\u460F\u8845\u8846\u{275E0}\u{23DB9}\u{275E4}\u885E\u889C\u465B\u88B4\u88B5\u63C1\u88C5\u7777\u{2770F}\u8987\u898A\u89A6\u89A9\u89A7\u89BC\u{28A25}\u89E7\u{27924}\u{27ABD}\u8A9C\u7793\u91FE\u8A90\u{27A59}\u7AE9\u{27B3A}\u{23F8F}\u4713\u{27B38}\u717C\u8B0C\u8B1F\u{25430}\u{25565}\u8B3F\u8B4C\u8B4D\u8AA9\u{24A7A}\u8B90\u8B9B\u8AAF\u{216DF}\u4615\u884F\u8C9B\u{27D54}\u{27D8F}\u{2F9D4}\u3725\u{27D53}\u8CD6\u{27D98}\u{27DBD}\u8D12\u8D03\u{21910}\u8CDB\u705C\u8D11\u{24CC9}\u3ED0\u8D77"],
      ["9040", "\u8DA9\u{28002}\u{21014}\u{2498A}\u3B7C\u{281BC}\u{2710C}\u7AE7\u8EAD\u8EB6\u8EC3\u92D4\u8F19\u8F2D\u{28365}\u{28412}\u8FA5\u9303\u{2A29F}\u{20A50}\u8FB3\u492A\u{289DE}\u{2853D}\u{23DBB}\u5EF8\u{23262}\u8FF9\u{2A014}\u{286BC}\u{28501}\u{22325}\u3980\u{26ED7}\u9037\u{2853C}\u{27ABE}\u9061\u{2856C}\u{2860B}\u90A8\u{28713}\u90C4\u{286E6}\u90AE\u90FD\u9167\u3AF0\u91A9\u91C4\u7CAC\u{28933}\u{21E89}\u920E\u6C9F\u9241\u9262\u{255B9}\u92B9\u{28AC6}\u{23C9B}\u{28B0C}\u{255DB}"],
      ["90a1", "\u{20D31}\u932C\u936B\u{28AE1}\u{28BEB}\u708F\u5AC3\u{28AE2}\u{28AE5}\u4965\u9244\u{28BEC}\u{28C39}\u{28BFF}\u9373\u945B\u8EBC\u9585\u95A6\u9426\u95A0\u6FF6\u42B9\u{2267A}\u{286D8}\u{2127C}\u{23E2E}\u49DF\u6C1C\u967B\u9696\u416C\u96A3\u{26ED5}\u61DA\u96B6\u78F5\u{28AE0}\u96BD\u53CC\u49A1\u{26CB8}\u{20274}\u{26410}\u{290AF}\u{290E5}\u{24AD1}\u{21915}\u{2330A}\u9731\u8642\u9736\u4A0F\u453D\u4585\u{24AE9}\u7075\u5B41\u971B\u975C\u{291D5}\u9757\u5B4A\u{291EB}\u975F\u9425\u50D0\u{230B7}\u{230BC}\u9789\u979F\u97B1\u97BE\u97C0\u97D2\u97E0\u{2546C}\u97EE\u741C\u{29433}\u97FF\u97F5\u{2941D}\u{2797A}\u4AD1\u9834\u9833\u984B\u9866\u3B0E\u{27175}\u3D51\u{20630}\u{2415C}"],
      ["9140", "\u{25706}\u98CA\u98B7\u98C8\u98C7\u4AFF\u{26D27}\u{216D3}\u55B0\u98E1\u98E6\u98EC\u9378\u9939\u{24A29}\u4B72\u{29857}\u{29905}\u99F5\u9A0C\u9A3B\u9A10\u9A58\u{25725}\u36C4\u{290B1}\u{29BD5}\u9AE0\u9AE2\u{29B05}\u9AF4\u4C0E\u9B14\u9B2D\u{28600}\u5034\u9B34\u{269A8}\u38C3\u{2307D}\u9B50\u9B40\u{29D3E}\u5A45\u{21863}\u9B8E\u{2424B}\u9C02\u9BFF\u9C0C\u{29E68}\u9DD4\u{29FB7}\u{2A192}\u{2A1AB}\u{2A0E1}\u{2A123}\u{2A1DF}\u9D7E\u9D83\u{2A134}\u9E0E\u6888"],
      ["91a1", "\u9DC4\u{2215B}\u{2A193}\u{2A220}\u{2193B}\u{2A233}\u9D39\u{2A0B9}\u{2A2B4}\u9E90\u9E95\u9E9E\u9EA2\u4D34\u9EAA\u9EAF\u{24364}\u9EC1\u3B60\u39E5\u3D1D\u4F32\u37BE\u{28C2B}\u9F02\u9F08\u4B96\u9424\u{26DA2}\u9F17\u9F16\u9F39\u569F\u568A\u9F45\u99B8\u{2908B}\u97F2\u847F\u9F62\u9F69\u7ADC\u9F8E\u7216\u4BBE\u{24975}\u{249BB}\u7177\u{249F8}\u{24348}\u{24A51}\u739E\u{28BDA}\u{218FA}\u799F\u{2897E}\u{28E36}\u9369\u93F3\u{28A44}\u92EC\u9381\u93CB\u{2896C}\u{244B9}\u7217\u3EEB\u7772\u7A43\u70D0\u{24473}\u{243F8}\u717E\u{217EF}\u70A3\u{218BE}\u{23599}\u3EC7\u{21885}\u{2542F}\u{217F8}\u3722\u{216FB}\u{21839}\u36E1\u{21774}\u{218D1}\u{25F4B}\u3723\u{216C0}\u575B\u{24A25}\u{213FE}\u{212A8}"],
      ["9240", "\u{213C6}\u{214B6}\u8503\u{236A6}\u8503\u8455\u{24994}\u{27165}\u{23E31}\u{2555C}\u{23EFB}\u{27052}\u44F4\u{236EE}\u{2999D}\u{26F26}\u67F9\u3733\u3C15\u3DE7\u586C\u{21922}\u6810\u4057\u{2373F}\u{240E1}\u{2408B}\u{2410F}\u{26C21}\u54CB\u569E\u{266B1}\u5692\u{20FDF}\u{20BA8}\u{20E0D}\u93C6\u{28B13}\u939C\u4EF8\u512B\u3819\u{24436}\u4EBC\u{20465}\u{2037F}\u4F4B\u4F8A\u{25651}\u5A68\u{201AB}\u{203CB}\u3999\u{2030A}\u{20414}\u3435\u4F29\u{202C0}\u{28EB3}\u{20275}\u8ADA\u{2020C}\u4E98"],
      ["92a1", "\u50CD\u510D\u4FA2\u4F03\u{24A0E}\u{23E8A}\u4F42\u502E\u506C\u5081\u4FCC\u4FE5\u5058\u50FC\u5159\u515B\u515D\u515E\u6E76\u{23595}\u{23E39}\u{23EBF}\u6D72\u{21884}\u{23E89}\u51A8\u51C3\u{205E0}\u44DD\u{204A3}\u{20492}\u{20491}\u8D7A\u{28A9C}\u{2070E}\u5259\u52A4\u{20873}\u52E1\u936E\u467A\u718C\u{2438C}\u{20C20}\u{249AC}\u{210E4}\u69D1\u{20E1D}\u7479\u3EDE\u7499\u7414\u7456\u7398\u4B8E\u{24ABC}\u{2408D}\u53D0\u3584\u720F\u{240C9}\u55B4\u{20345}\u54CD\u{20BC6}\u571D\u925D\u96F4\u9366\u57DD\u578D\u577F\u363E\u58CB\u5A99\u{28A46}\u{216FA}\u{2176F}\u{21710}\u5A2C\u59B8\u928F\u5A7E\u5ACF\u5A12\u{25946}\u{219F3}\u{21861}\u{24295}\u36F5\u6D05\u7443\u5A21\u{25E83}"],
      ["9340", "\u5A81\u{28BD7}\u{20413}\u93E0\u748C\u{21303}\u7105\u4972\u9408\u{289FB}\u93BD\u37A0\u5C1E\u5C9E\u5E5E\u5E48\u{21996}\u{2197C}\u{23AEE}\u5ECD\u5B4F\u{21903}\u{21904}\u3701\u{218A0}\u36DD\u{216FE}\u36D3\u812A\u{28A47}\u{21DBA}\u{23472}\u{289A8}\u5F0C\u5F0E\u{21927}\u{217AB}\u5A6B\u{2173B}\u5B44\u8614\u{275FD}\u8860\u607E\u{22860}\u{2262B}\u5FDB\u3EB8\u{225AF}\u{225BE}\u{29088}\u{26F73}\u61C0\u{2003E}\u{20046}\u{2261B}\u6199\u6198\u6075\u{22C9B}\u{22D07}\u{246D4}\u{2914D}"],
      ["93a1", "\u6471\u{24665}\u{22B6A}\u3A29\u{22B22}\u{23450}\u{298EA}\u{22E78}\u6337\u{2A45B}\u64B6\u6331\u63D1\u{249E3}\u{22D67}\u62A4\u{22CA1}\u643B\u656B\u6972\u3BF4\u{2308E}\u{232AD}\u{24989}\u{232AB}\u550D\u{232E0}\u{218D9}\u{2943F}\u66CE\u{23289}\u{231B3}\u3AE0\u4190\u{25584}\u{28B22}\u{2558F}\u{216FC}\u{2555B}\u{25425}\u78EE\u{23103}\u{2182A}\u{23234}\u3464\u{2320F}\u{23182}\u{242C9}\u668E\u{26D24}\u666B\u4B93\u6630\u{27870}\u{21DEB}\u6663\u{232D2}\u{232E1}\u661E\u{25872}\u38D1\u{2383A}\u{237BC}\u3B99\u{237A2}\u{233FE}\u74D0\u3B96\u678F\u{2462A}\u68B6\u681E\u3BC4\u6ABE\u3863\u{237D5}\u{24487}\u6A33\u6A52\u6AC9\u6B05\u{21912}\u6511\u6898\u6A4C\u3BD7\u6A7A\u6B57\u{23FC0}\u{23C9A}\u93A0\u92F2\u{28BEA}\u{28ACB}"],
      ["9440", "\u9289\u{2801E}\u{289DC}\u9467\u6DA5\u6F0B\u{249EC}\u6D67\u{23F7F}\u3D8F\u6E04\u{2403C}\u5A3D\u6E0A\u5847\u6D24\u7842\u713B\u{2431A}\u{24276}\u70F1\u7250\u7287\u7294\u{2478F}\u{24725}\u5179\u{24AA4}\u{205EB}\u747A\u{23EF8}\u{2365F}\u{24A4A}\u{24917}\u{25FE1}\u3F06\u3EB1\u{24ADF}\u{28C23}\u{23F35}\u60A7\u3EF3\u74CC\u743C\u9387\u7437\u449F\u{26DEA}\u4551\u7583\u3F63\u{24CD9}\u{24D06}\u3F58\u7555\u7673\u{2A5C6}\u3B19\u7468\u{28ACC}\u{249AB}\u{2498E}\u3AFB"],
      ["94a1", "\u3DCD\u{24A4E}\u3EFF\u{249C5}\u{248F3}\u91FA\u5732\u9342\u{28AE3}\u{21864}\u50DF\u{25221}\u{251E7}\u7778\u{23232}\u770E\u770F\u777B\u{24697}\u{23781}\u3A5E\u{248F0}\u7438\u749B\u3EBF\u{24ABA}\u{24AC7}\u40C8\u{24A96}\u{261AE}\u9307\u{25581}\u781E\u788D\u7888\u78D2\u73D0\u7959\u{27741}\u{256E3}\u410E\u799B\u8496\u79A5\u6A2D\u{23EFA}\u7A3A\u79F4\u416E\u{216E6}\u4132\u9235\u79F1\u{20D4C}\u{2498C}\u{20299}\u{23DBA}\u{2176E}\u3597\u556B\u3570\u36AA\u{201D4}\u{20C0D}\u7AE2\u5A59\u{226F5}\u{25AAF}\u{25A9C}\u5A0D\u{2025B}\u78F0\u5A2A\u{25BC6}\u7AFE\u41F9\u7C5D\u7C6D\u4211\u{25BB3}\u{25EBC}\u{25EA6}\u7CCD\u{249F9}\u{217B0}\u7C8E\u7C7C\u7CAE\u6AB2\u7DDC\u7E07\u7DD3\u7F4E\u{26261}"],
      ["9540", "\u{2615C}\u{27B48}\u7D97\u{25E82}\u426A\u{26B75}\u{20916}\u67D6\u{2004E}\u{235CF}\u57C4\u{26412}\u{263F8}\u{24962}\u7FDD\u7B27\u{2082C}\u{25AE9}\u{25D43}\u7B0C\u{25E0E}\u99E6\u8645\u9A63\u6A1C\u{2343F}\u39E2\u{249F7}\u{265AD}\u9A1F\u{265A0}\u8480\u{27127}\u{26CD1}\u44EA\u8137\u4402\u80C6\u8109\u8142\u{267B4}\u98C3\u{26A42}\u8262\u8265\u{26A51}\u8453\u{26DA7}\u8610\u{2721B}\u5A86\u417F\u{21840}\u5B2B\u{218A1}\u5AE4\u{218D8}\u86A0\u{2F9BC}\u{23D8F}\u882D\u{27422}\u5A02"],
      ["95a1", "\u886E\u4F45\u8887\u88BF\u88E6\u8965\u894D\u{25683}\u8954\u{27785}\u{27784}\u{28BF5}\u{28BD9}\u{28B9C}\u{289F9}\u3EAD\u84A3\u46F5\u46CF\u37F2\u8A3D\u8A1C\u{29448}\u5F4D\u922B\u{24284}\u65D4\u7129\u70C4\u{21845}\u9D6D\u8C9F\u8CE9\u{27DDC}\u599A\u77C3\u59F0\u436E\u36D4\u8E2A\u8EA7\u{24C09}\u8F30\u8F4A\u42F4\u6C58\u6FBB\u{22321}\u489B\u6F79\u6E8B\u{217DA}\u9BE9\u36B5\u{2492F}\u90BB\u9097\u5571\u4906\u91BB\u9404\u{28A4B}\u4062\u{28AFC}\u9427\u{28C1D}\u{28C3B}\u84E5\u8A2B\u9599\u95A7\u9597\u9596\u{28D34}\u7445\u3EC2\u{248FF}\u{24A42}\u{243EA}\u3EE7\u{23225}\u968F\u{28EE7}\u{28E66}\u{28E65}\u3ECC\u{249ED}\u{24A78}\u{23FEE}\u7412\u746B\u3EFC\u9741\u{290B0}"],
      ["9640", "\u6847\u4A1D\u{29093}\u{257DF}\u975D\u9368\u{28989}\u{28C26}\u{28B2F}\u{263BE}\u92BA\u5B11\u8B69\u493C\u73F9\u{2421B}\u979B\u9771\u9938\u{20F26}\u5DC1\u{28BC5}\u{24AB2}\u981F\u{294DA}\u92F6\u{295D7}\u91E5\u44C0\u{28B50}\u{24A67}\u{28B64}\u98DC\u{28A45}\u3F00\u922A\u4925\u8414\u993B\u994D\u{27B06}\u3DFD\u999B\u4B6F\u99AA\u9A5C\u{28B65}\u{258C8}\u6A8F\u9A21\u5AFE\u9A2F\u{298F1}\u4B90\u{29948}\u99BC\u4BBD\u4B97\u937D\u5872\u{21302}\u5822\u{249B8}"],
      ["96a1", "\u{214E8}\u7844\u{2271F}\u{23DB8}\u68C5\u3D7D\u9458\u3927\u6150\u{22781}\u{2296B}\u6107\u9C4F\u9C53\u9C7B\u9C35\u9C10\u9B7F\u9BCF\u{29E2D}\u9B9F\u{2A1F5}\u{2A0FE}\u9D21\u4CAE\u{24104}\u9E18\u4CB0\u9D0C\u{2A1B4}\u{2A0ED}\u{2A0F3}\u{2992F}\u9DA5\u84BD\u{26E12}\u{26FDF}\u{26B82}\u85FC\u4533\u{26DA4}\u{26E84}\u{26DF0}\u8420\u85EE\u{26E00}\u{237D7}\u{26064}\u79E2\u{2359C}\u{23640}\u492D\u{249DE}\u3D62\u93DB\u92BE\u9348\u{202BF}\u78B9\u9277\u944D\u4FE4\u3440\u9064\u{2555D}\u783D\u7854\u78B6\u784B\u{21757}\u{231C9}\u{24941}\u369A\u4F72\u6FDA\u6FD9\u701E\u701E\u5414\u{241B5}\u57BB\u58F3\u578A\u9D16\u57D7\u7134\u34AF\u{241AC}\u71EB\u{26C40}\u{24F97}\u5B28\u{217B5}\u{28A49}"],
      ["9740", "\u610C\u5ACE\u5A0B\u42BC\u{24488}\u372C\u4B7B\u{289FC}\u93BB\u93B8\u{218D6}\u{20F1D}\u8472\u{26CC0}\u{21413}\u{242FA}\u{22C26}\u{243C1}\u5994\u{23DB7}\u{26741}\u7DA8\u{2615B}\u{260A4}\u{249B9}\u{2498B}\u{289FA}\u92E5\u73E2\u3EE9\u74B4\u{28B63}\u{2189F}\u3EE1\u{24AB3}\u6AD8\u73F3\u73FB\u3ED6\u{24A3E}\u{24A94}\u{217D9}\u{24A66}\u{203A7}\u{21424}\u{249E5}\u7448\u{24916}\u70A5\u{24976}\u9284\u73E6\u935F\u{204FE}\u9331\u{28ACE}\u{28A16}\u9386\u{28BE7}\u{255D5}\u4935\u{28A82}\u716B"],
      ["97a1", "\u{24943}\u{20CFF}\u56A4\u{2061A}\u{20BEB}\u{20CB8}\u5502\u79C4\u{217FA}\u7DFE\u{216C2}\u{24A50}\u{21852}\u452E\u9401\u370A\u{28AC0}\u{249AD}\u59B0\u{218BF}\u{21883}\u{27484}\u5AA1\u36E2\u{23D5B}\u36B0\u925F\u5A79\u{28A81}\u{21862}\u9374\u3CCD\u{20AB4}\u4A96\u398A\u50F4\u3D69\u3D4C\u{2139C}\u7175\u42FB\u{28218}\u6E0F\u{290E4}\u44EB\u6D57\u{27E4F}\u7067\u6CAF\u3CD6\u{23FED}\u{23E2D}\u6E02\u6F0C\u3D6F\u{203F5}\u7551\u36BC\u34C8\u4680\u3EDA\u4871\u59C4\u926E\u493E\u8F41\u{28C1C}\u{26BC0}\u5812\u57C8\u36D6\u{21452}\u70FE\u{24362}\u{24A71}\u{22FE3}\u{212B0}\u{223BD}\u68B9\u6967\u{21398}\u{234E5}\u{27BF4}\u{236DF}\u{28A83}\u{237D6}\u{233FA}\u{24C9F}\u6A1A\u{236AD}\u{26CB7}\u843E\u44DF\u44CE"],
      ["9840", "\u{26D26}\u{26D51}\u{26C82}\u{26FDE}\u6F17\u{27109}\u833D\u{2173A}\u83ED\u{26C80}\u{27053}\u{217DB}\u5989\u5A82\u{217B3}\u5A61\u5A71\u{21905}\u{241FC}\u372D\u59EF\u{2173C}\u36C7\u718E\u9390\u669A\u{242A5}\u5A6E\u5A2B\u{24293}\u6A2B\u{23EF9}\u{27736}\u{2445B}\u{242CA}\u711D\u{24259}\u{289E1}\u4FB0\u{26D28}\u5CC2\u{244CE}\u{27E4D}\u{243BD}\u6A0C\u{24256}\u{21304}\u70A6\u7133\u{243E9}\u3DA5\u6CDF\u{2F825}\u{24A4F}\u7E65\u59EB\u5D2F\u3DF3\u5F5C\u{24A5D}\u{217DF}\u7DA4\u8426"],
      ["98a1", "\u5485\u{23AFA}\u{23300}\u{20214}\u577E\u{208D5}\u{20619}\u3FE5\u{21F9E}\u{2A2B6}\u7003\u{2915B}\u5D70\u738F\u7CD3\u{28A59}\u{29420}\u4FC8\u7FE7\u72CD\u7310\u{27AF4}\u7338\u7339\u{256F6}\u7341\u7348\u3EA9\u{27B18}\u906C\u71F5\u{248F2}\u73E1\u81F6\u3ECA\u770C\u3ED1\u6CA2\u56FD\u7419\u741E\u741F\u3EE2\u3EF0\u3EF4\u3EFA\u74D3\u3F0E\u3F53\u7542\u756D\u7572\u758D\u3F7C\u75C8\u75DC\u3FC0\u764D\u3FD7\u7674\u3FDC\u767A\u{24F5C}\u7188\u5623\u8980\u5869\u401D\u7743\u4039\u6761\u4045\u35DB\u7798\u406A\u406F\u5C5E\u77BE\u77CB\u58F2\u7818\u70B9\u781C\u40A8\u7839\u7847\u7851\u7866\u8448\u{25535}\u7933\u6803\u7932\u4103"],
      ["9940", "\u4109\u7991\u7999\u8FBB\u7A06\u8FBC\u4167\u7A91\u41B2\u7ABC\u8279\u41C4\u7ACF\u7ADB\u41CF\u4E21\u7B62\u7B6C\u7B7B\u7C12\u7C1B\u4260\u427A\u7C7B\u7C9C\u428C\u7CB8\u4294\u7CED\u8F93\u70C0\u{20CCF}\u7DCF\u7DD4\u7DD0\u7DFD\u7FAE\u7FB4\u729F\u4397\u8020\u8025\u7B39\u802E\u8031\u8054\u3DCC\u57B4\u70A0\u80B7\u80E9\u43ED\u810C\u732A\u810E\u8112\u7560\u8114\u4401\u3B39\u8156\u8159\u815A"],
      ["99a1", "\u4413\u583A\u817C\u8184\u4425\u8193\u442D\u81A5\u57EF\u81C1\u81E4\u8254\u448F\u82A6\u8276\u82CA\u82D8\u82FF\u44B0\u8357\u9669\u698A\u8405\u70F5\u8464\u60E3\u8488\u4504\u84BE\u84E1\u84F8\u8510\u8538\u8552\u453B\u856F\u8570\u85E0\u4577\u8672\u8692\u86B2\u86EF\u9645\u878B\u4606\u4617\u88AE\u88FF\u8924\u8947\u8991\u{27967}\u8A29\u8A38\u8A94\u8AB4\u8C51\u8CD4\u8CF2\u8D1C\u4798\u585F\u8DC3\u47ED\u4EEE\u8E3A\u55D8\u5754\u8E71\u55F5\u8EB0\u4837\u8ECE\u8EE2\u8EE4\u8EED\u8EF2\u8FB7\u8FC1\u8FCA\u8FCC\u9033\u99C4\u48AD\u98E0\u9213\u491E\u9228\u9258\u926B\u92B1\u92AE\u92BF"],
      ["9a40", "\u92E3\u92EB\u92F3\u92F4\u92FD\u9343\u9384\u93AD\u4945\u4951\u9EBF\u9417\u5301\u941D\u942D\u943E\u496A\u9454\u9479\u952D\u95A2\u49A7\u95F4\u9633\u49E5\u67A0\u4A24\u9740\u4A35\u97B2\u97C2\u5654\u4AE4\u60E8\u98B9\u4B19\u98F1\u5844\u990E\u9919\u51B4\u991C\u9937\u9942\u995D\u9962\u4B70\u99C5\u4B9D\u9A3C\u9B0F\u7A83\u9B69\u9B81\u9BDD\u9BF1\u9BF4\u4C6D\u9C20\u376F\u{21BC2}\u9D49\u9C3A"],
      ["9aa1", "\u9EFE\u5650\u9D93\u9DBD\u9DC0\u9DFC\u94F6\u8FB6\u9E7B\u9EAC\u9EB1\u9EBD\u9EC6\u94DC\u9EE2\u9EF1\u9EF8\u7AC8\u9F44\u{20094}\u{202B7}\u{203A0}\u691A\u94C3\u59AC\u{204D7}\u5840\u94C1\u37B9\u{205D5}\u{20615}\u{20676}\u{216BA}\u5757\u7173\u{20AC2}\u{20ACD}\u{20BBF}\u546A\u{2F83B}\u{20BCB}\u549E\u{20BFB}\u{20C3B}\u{20C53}\u{20C65}\u{20C7C}\u60E7\u{20C8D}\u567A\u{20CB5}\u{20CDD}\u{20CED}\u{20D6F}\u{20DB2}\u{20DC8}\u6955\u9C2F\u87A5\u{20E04}\u{20E0E}\u{20ED7}\u{20F90}\u{20F2D}\u{20E73}\u5C20\u{20FBC}\u5E0B\u{2105C}\u{2104F}\u{21076}\u671E\u{2107B}\u{21088}\u{21096}\u3647\u{210BF}\u{210D3}\u{2112F}\u{2113B}\u5364\u84AD\u{212E3}\u{21375}\u{21336}\u8B81\u{21577}\u{21619}\u{217C3}\u{217C7}\u4E78\u70BB\u{2182D}\u{2196A}"],
      ["9b40", "\u{21A2D}\u{21A45}\u{21C2A}\u{21C70}\u{21CAC}\u{21EC8}\u62C3\u{21ED5}\u{21F15}\u7198\u6855\u{22045}\u69E9\u36C8\u{2227C}\u{223D7}\u{223FA}\u{2272A}\u{22871}\u{2294F}\u82FD\u{22967}\u{22993}\u{22AD5}\u89A5\u{22AE8}\u8FA0\u{22B0E}\u97B8\u{22B3F}\u9847\u9ABD\u{22C4C}"],
      ["9b62", "\u{22C88}\u{22CB7}\u{25BE8}\u{22D08}\u{22D12}\u{22DB7}\u{22D95}\u{22E42}\u{22F74}\u{22FCC}\u{23033}\u{23066}\u{2331F}\u{233DE}\u5FB1\u6648\u66BF\u{27A79}\u{23567}\u{235F3}\u7201\u{249BA}\u77D7\u{2361A}\u{23716}\u7E87\u{20346}\u58B5\u670E"],
      ["9ba1", "\u6918\u{23AA7}\u{27657}\u{25FE2}\u{23E11}\u{23EB9}\u{275FE}\u{2209A}\u48D0\u4AB8\u{24119}\u{28A9A}\u{242EE}\u{2430D}\u{2403B}\u{24334}\u{24396}\u{24A45}\u{205CA}\u51D2\u{20611}\u599F\u{21EA8}\u3BBE\u{23CFF}\u{24404}\u{244D6}\u5788\u{24674}\u399B\u{2472F}\u{285E8}\u{299C9}\u3762\u{221C3}\u8B5E\u{28B4E}\u99D6\u{24812}\u{248FB}\u{24A15}\u7209\u{24AC0}\u{20C78}\u5965\u{24EA5}\u{24F86}\u{20779}\u8EDA\u{2502C}\u528F\u573F\u7171\u{25299}\u{25419}\u{23F4A}\u{24AA7}\u55BC\u{25446}\u{2546E}\u{26B52}\u91D4\u3473\u{2553F}\u{27632}\u{2555E}\u4718\u{25562}\u{25566}\u{257C7}\u{2493F}\u{2585D}\u5066\u34FB\u{233CC}\u60DE\u{25903}\u477C\u{28948}\u{25AAE}\u{25B89}\u{25C06}\u{21D90}\u57A1\u7151\u6FB6\u{26102}\u{27C12}\u9056\u{261B2}\u{24F9A}\u8B62\u{26402}\u{2644A}"],
      ["9c40", "\u5D5B\u{26BF7}\u8F36\u{26484}\u{2191C}\u8AEA\u{249F6}\u{26488}\u{23FEF}\u{26512}\u4BC0\u{265BF}\u{266B5}\u{2271B}\u9465\u{257E1}\u6195\u5A27\u{2F8CD}\u4FBB\u56B9\u{24521}\u{266FC}\u4E6A\u{24934}\u9656\u6D8F\u{26CBD}\u3618\u8977\u{26799}\u{2686E}\u{26411}\u{2685E}\u71DF\u{268C7}\u7B42\u{290C0}\u{20A11}\u{26926}\u9104\u{26939}\u7A45\u9DF0\u{269FA}\u9A26\u{26A2D}\u365F\u{26469}\u{20021}\u7983\u{26A34}\u{26B5B}\u5D2C\u{23519}\u83CF\u{26B9D}\u46D0\u{26CA4}\u753B\u8865\u{26DAE}\u58B6"],
      ["9ca1", "\u371C\u{2258D}\u{2704B}\u{271CD}\u3C54\u{27280}\u{27285}\u9281\u{2217A}\u{2728B}\u9330\u{272E6}\u{249D0}\u6C39\u949F\u{27450}\u{20EF8}\u8827\u88F5\u{22926}\u{28473}\u{217B1}\u6EB8\u{24A2A}\u{21820}\u39A4\u36B9\u5C10\u79E3\u453F\u66B6\u{29CAD}\u{298A4}\u8943\u{277CC}\u{27858}\u56D6\u40DF\u{2160A}\u39A1\u{2372F}\u{280E8}\u{213C5}\u71AD\u8366\u{279DD}\u{291A8}\u5A67\u4CB7\u{270AF}\u{289AB}\u{279FD}\u{27A0A}\u{27B0B}\u{27D66}\u{2417A}\u7B43\u797E\u{28009}\u6FB5\u{2A2DF}\u6A03\u{28318}\u53A2\u{26E07}\u93BF\u6836\u975D\u{2816F}\u{28023}\u{269B5}\u{213ED}\u{2322F}\u{28048}\u5D85\u{28C30}\u{28083}\u5715\u9823\u{28949}\u5DAB\u{24988}\u65BE\u69D5\u53D2\u{24AA5}\u{23F81}\u3C11\u6736\u{28090}\u{280F4}\u{2812E}\u{21FA1}\u{2814F}"],
      ["9d40", "\u{28189}\u{281AF}\u{2821A}\u{28306}\u{2832F}\u{2838A}\u35CA\u{28468}\u{286AA}\u48FA\u63E6\u{28956}\u7808\u9255\u{289B8}\u43F2\u{289E7}\u43DF\u{289E8}\u{28B46}\u{28BD4}\u59F8\u{28C09}\u8F0B\u{28FC5}\u{290EC}\u7B51\u{29110}\u{2913C}\u3DF7\u{2915E}\u{24ACA}\u8FD0\u728F\u568B\u{294E7}\u{295E9}\u{295B0}\u{295B8}\u{29732}\u{298D1}\u{29949}\u{2996A}\u{299C3}\u{29A28}\u{29B0E}\u{29D5A}\u{29D9B}\u7E9F\u{29EF8}\u{29F23}\u4CA4\u9547\u{2A293}\u71A2\u{2A2FF}\u4D91\u9012\u{2A5CB}\u4D9C\u{20C9C}\u8FBE\u55C1"],
      ["9da1", "\u8FBA\u{224B0}\u8FB9\u{24A93}\u4509\u7E7F\u6F56\u6AB1\u4EEA\u34E4\u{28B2C}\u{2789D}\u373A\u8E80\u{217F5}\u{28024}\u{28B6C}\u{28B99}\u{27A3E}\u{266AF}\u3DEB\u{27655}\u{23CB7}\u{25635}\u{25956}\u4E9A\u{25E81}\u{26258}\u56BF\u{20E6D}\u8E0E\u5B6D\u{23E88}\u{24C9E}\u63DE\u62D0\u{217F6}\u{2187B}\u6530\u562D\u{25C4A}\u541A\u{25311}\u3DC6\u{29D98}\u4C7D\u5622\u561E\u7F49\u{25ED8}\u5975\u{23D40}\u8770\u4E1C\u{20FEA}\u{20D49}\u{236BA}\u8117\u9D5E\u8D18\u763B\u9C45\u764E\u77B9\u9345\u5432\u8148\u82F7\u5625\u8132\u8418\u80BD\u55EA\u7962\u5643\u5416\u{20E9D}\u35CE\u5605\u55F1\u66F1\u{282E2}\u362D\u7534\u55F0\u55BA\u5497\u5572\u{20C41}\u{20C96}\u5ED0\u{25148}\u{20E76}\u{22C62}"],
      ["9e40", "\u{20EA2}\u9EAB\u7D5A\u55DE\u{21075}\u629D\u976D\u5494\u8CCD\u71F6\u9176\u63FC\u63B9\u63FE\u5569\u{22B43}\u9C72\u{22EB3}\u519A\u34DF\u{20DA7}\u51A7\u544D\u551E\u5513\u7666\u8E2D\u{2688A}\u75B1\u80B6\u8804\u8786\u88C7\u81B6\u841C\u{210C1}\u44EC\u7304\u{24706}\u5B90\u830B\u{26893}\u567B\u{226F4}\u{27D2F}\u{241A3}\u{27D73}\u{26ED0}\u{272B6}\u9170\u{211D9}\u9208\u{23CFC}\u{2A6A9}\u{20EAC}\u{20EF9}\u7266\u{21CA2}\u474E\u{24FC2}\u{27FF9}\u{20FEB}\u40FA"],
      ["9ea1", "\u9C5D\u651F\u{22DA0}\u48F3\u{247E0}\u{29D7C}\u{20FEC}\u{20E0A}\u6062\u{275A3}\u{20FED}"],
      ["9ead", "\u{26048}\u{21187}\u71A3\u7E8E\u9D50\u4E1A\u4E04\u3577\u5B0D\u6CB2\u5367\u36AC\u39DC\u537D\u36A5\u{24618}\u589A\u{24B6E}\u822D\u544B\u57AA\u{25A95}\u{20979}"],
      ["9ec5", "\u3A52\u{22465}\u7374\u{29EAC}\u4D09\u9BED\u{23CFE}\u{29F30}\u4C5B\u{24FA9}\u{2959E}\u{29FDE}\u845C\u{23DB6}\u{272B2}\u{267B3}\u{23720}\u632E\u7D25\u{23EF7}\u{23E2C}\u3A2A\u9008\u52CC\u3E74\u367A\u45E9\u{2048E}\u7640\u5AF0\u{20EB6}\u787A\u{27F2E}\u58A7\u40BF\u567C\u9B8B\u5D74\u7654\u{2A434}\u9E85\u4CE1\u75F9\u37FB\u6119\u{230DA}\u{243F2}"],
      ["9ef5", "\u565D\u{212A9}\u57A7\u{24963}\u{29E06}\u5234\u{270AE}\u35AD\u6C4A\u9D7C"],
      ["9f40", "\u7C56\u9B39\u57DE\u{2176C}\u5C53\u64D3\u{294D0}\u{26335}\u{27164}\u86AD\u{20D28}\u{26D22}\u{24AE2}\u{20D71}"],
      ["9f4f", "\u51FE\u{21F0F}\u5D8E\u9703\u{21DD1}\u9E81\u904C\u7B1F\u9B02\u5CD1\u7BA3\u6268\u6335\u9AFF\u7BCF\u9B2A\u7C7E\u9B2E\u7C42\u7C86\u9C15\u7BFC\u9B09\u9F17\u9C1B\u{2493E}\u9F5A\u5573\u5BC3\u4FFD\u9E98\u4FF2\u5260\u3E06\u52D1\u5767\u5056\u59B7\u5E12\u97C8\u9DAB\u8F5C\u5469\u97B4\u9940\u97BA\u532C\u6130"],
      ["9fa1", "\u692C\u53DA\u9C0A\u9D02\u4C3B\u9641\u6980\u50A6\u7546\u{2176D}\u99DA\u5273"],
      ["9fae", "\u9159\u9681\u915C"],
      ["9fb2", "\u9151\u{28E97}\u637F\u{26D23}\u6ACA\u5611\u918E\u757A\u6285\u{203FC}\u734F\u7C70\u{25C21}\u{23CFD}"],
      ["9fc1", "\u{24919}\u76D6\u9B9D\u4E2A\u{20CD4}\u83BE\u8842"],
      ["9fc9", "\u5C4A\u69C0\u50ED\u577A\u521F\u5DF5\u4ECE\u6C31\u{201F2}\u4F39\u549C\u54DA\u529A\u8D82\u35FE\u5F0C\u35F3"],
      ["9fdb", "\u6B52\u917C\u9FA5\u9B97\u982E\u98B4\u9ABA\u9EA8\u9E84\u717A\u7B14"],
      ["9fe7", "\u6BFA\u8818\u7F78"],
      ["9feb", "\u5620\u{2A64A}\u8E77\u9F53"],
      ["9ff0", "\u8DD4\u8E4F\u9E1C\u8E01\u6282\u{2837D}\u8E28\u8E75\u7AD3\u{24A77}\u7A3E\u78D8\u6CEA\u8A67\u7607"],
      ["a040", "\u{28A5A}\u9F26\u6CCE\u87D6\u75C3\u{2A2B2}\u7853\u{2F840}\u8D0C\u72E2\u7371\u8B2D\u7302\u74F1\u8CEB\u{24ABB}\u862F\u5FBA\u88A0\u44B7"],
      ["a055", "\u{2183B}\u{26E05}"],
      ["a058", "\u8A7E\u{2251B}"],
      ["a05b", "\u60FD\u7667\u9AD7\u9D44\u936E\u9B8F\u87F5"],
      ["a063", "\u880F\u8CF7\u732C\u9721\u9BB0\u35D6\u72B2\u4C07\u7C51\u994A\u{26159}\u6159\u4C04\u9E96\u617D"],
      ["a073", "\u575F\u616F\u62A6\u6239\u62CE\u3A5C\u61E2\u53AA\u{233F5}\u6364\u6802\u35D2"],
      ["a0a1", "\u5D57\u{28BC2}\u8FDA\u{28E39}"],
      ["a0a6", "\u50D9\u{21D46}\u7906\u5332\u9638\u{20F3B}\u4065"],
      ["a0ae", "\u77FE"],
      ["a0b0", "\u7CC2\u{25F1A}\u7CDA\u7A2D\u8066\u8063\u7D4D\u7505\u74F2\u8994\u821A\u670C\u8062\u{27486}\u805B\u74F0\u8103\u7724\u8989\u{267CC}\u7553\u{26ED1}\u87A9\u87CE\u81C8\u878C\u8A49\u8CAD\u8B43\u772B\u74F8\u84DA\u3635\u69B2\u8DA6"],
      ["a0d4", "\u89A9\u7468\u6DB9\u87C1\u{24011}\u74E7\u3DDB\u7176\u60A4\u619C\u3CD1\u7162\u6077"],
      ["a0e2", "\u7F71\u{28B2D}\u7250\u60E9\u4B7E\u5220\u3C18\u{23CC7}\u{25ED7}\u{27656}\u{25531}\u{21944}\u{212FE}\u{29903}\u{26DDC}\u{270AD}\u5CC1\u{261AD}\u{28A0F}\u{23677}\u{200EE}\u{26846}\u{24F0E}\u4562\u5B1F\u{2634C}\u9F50\u9EA6\u{2626B}"],
      ["a3c0", "\u2400", 31, "\u2421"],
      ["c6a1", "\u2460", 9, "\u2474", 9, "\u2170", 9, "\u4E36\u4E3F\u4E85\u4EA0\u5182\u5196\u51AB\u52F9\u5338\u5369\u53B6\u590A\u5B80\u5DDB\u2F33\u5E7F\u5EF4\u5F50\u5F61\u6534\u65E0\u7592\u7676\u8FB5\u96B6\xA8\u02C6\u30FD\u30FE\u309D\u309E\u3003\u4EDD\u3005\u3006\u3007\u30FC\uFF3B\uFF3D\u273D\u3041", 23],
      ["c740", "\u3059", 58, "\u30A1\u30A2\u30A3\u30A4"],
      ["c7a1", "\u30A5", 81, "\u0410", 5, "\u0401\u0416", 4],
      ["c840", "\u041B", 26, "\u0451\u0436", 25, "\u21E7\u21B8\u21B9\u31CF\u{200CC}\u4E5A\u{2008A}\u5202\u4491"],
      ["c8a1", "\u9FB0\u5188\u9FB1\u{27607}"],
      ["c8cd", "\uFFE2\uFFE4\uFF07\uFF02\u3231\u2116\u2121\u309B\u309C\u2E80\u2E84\u2E86\u2E87\u2E88\u2E8A\u2E8C\u2E8D\u2E95\u2E9C\u2E9D\u2EA5\u2EA7\u2EAA\u2EAC\u2EAE\u2EB6\u2EBC\u2EBE\u2EC6\u2ECA\u2ECC\u2ECD\u2ECF\u2ED6\u2ED7\u2EDE\u2EE3"],
      ["c8f5", "\u0283\u0250\u025B\u0254\u0275\u0153\xF8\u014B\u028A\u026A"],
      ["f9fe", "\uFFED"],
      ["fa40", "\u{20547}\u92DB\u{205DF}\u{23FC5}\u854C\u42B5\u73EF\u51B5\u3649\u{24942}\u{289E4}\u9344\u{219DB}\u82EE\u{23CC8}\u783C\u6744\u62DF\u{24933}\u{289AA}\u{202A0}\u{26BB3}\u{21305}\u4FAB\u{224ED}\u5008\u{26D29}\u{27A84}\u{23600}\u{24AB1}\u{22513}\u5029\u{2037E}\u5FA4\u{20380}\u{20347}\u6EDB\u{2041F}\u507D\u5101\u347A\u510E\u986C\u3743\u8416\u{249A4}\u{20487}\u5160\u{233B4}\u516A\u{20BFF}\u{220FC}\u{202E5}\u{22530}\u{2058E}\u{23233}\u{21983}\u5B82\u877D\u{205B3}\u{23C99}\u51B2\u51B8"],
      ["faa1", "\u9D34\u51C9\u51CF\u51D1\u3CDC\u51D3\u{24AA6}\u51B3\u51E2\u5342\u51ED\u83CD\u693E\u{2372D}\u5F7B\u520B\u5226\u523C\u52B5\u5257\u5294\u52B9\u52C5\u7C15\u8542\u52E0\u860D\u{26B13}\u5305\u{28ADE}\u5549\u6ED9\u{23F80}\u{20954}\u{23FEC}\u5333\u5344\u{20BE2}\u6CCB\u{21726}\u681B\u73D5\u604A\u3EAA\u38CC\u{216E8}\u71DD\u44A2\u536D\u5374\u{286AB}\u537E\u537F\u{21596}\u{21613}\u77E6\u5393\u{28A9B}\u53A0\u53AB\u53AE\u73A7\u{25772}\u3F59\u739C\u53C1\u53C5\u6C49\u4E49\u57FE\u53D9\u3AAB\u{20B8F}\u53E0\u{23FEB}\u{22DA3}\u53F6\u{20C77}\u5413\u7079\u552B\u6657\u6D5B\u546D\u{26B53}\u{20D74}\u555D\u548F\u54A4\u47A6\u{2170D}\u{20EDD}\u3DB4\u{20D4D}"],
      ["fb40", "\u{289BC}\u{22698}\u5547\u4CED\u542F\u7417\u5586\u55A9\u5605\u{218D7}\u{2403A}\u4552\u{24435}\u66B3\u{210B4}\u5637\u66CD\u{2328A}\u66A4\u66AD\u564D\u564F\u78F1\u56F1\u9787\u53FE\u5700\u56EF\u56ED\u{28B66}\u3623\u{2124F}\u5746\u{241A5}\u6C6E\u708B\u5742\u36B1\u{26C7E}\u57E6\u{21416}\u5803\u{21454}\u{24363}\u5826\u{24BF5}\u585C\u58AA\u3561\u58E0\u58DC\u{2123C}\u58FB\u5BFF\u5743\u{2A150}\u{24278}\u93D3\u35A1\u591F\u68A6\u36C3\u6E59"],
      ["fba1", "\u{2163E}\u5A24\u5553\u{21692}\u8505\u59C9\u{20D4E}\u{26C81}\u{26D2A}\u{217DC}\u59D9\u{217FB}\u{217B2}\u{26DA6}\u6D71\u{21828}\u{216D5}\u59F9\u{26E45}\u5AAB\u5A63\u36E6\u{249A9}\u5A77\u3708\u5A96\u7465\u5AD3\u{26FA1}\u{22554}\u3D85\u{21911}\u3732\u{216B8}\u5E83\u52D0\u5B76\u6588\u5B7C\u{27A0E}\u4004\u485D\u{20204}\u5BD5\u6160\u{21A34}\u{259CC}\u{205A5}\u5BF3\u5B9D\u4D10\u5C05\u{21B44}\u5C13\u73CE\u5C14\u{21CA5}\u{26B28}\u5C49\u48DD\u5C85\u5CE9\u5CEF\u5D8B\u{21DF9}\u{21E37}\u5D10\u5D18\u5D46\u{21EA4}\u5CBA\u5DD7\u82FC\u382D\u{24901}\u{22049}\u{22173}\u8287\u3836\u3BC2\u5E2E\u6A8A\u5E75\u5E7A\u{244BC}\u{20CD3}\u53A6\u4EB7\u5ED0\u53A8\u{21771}\u5E09\u5EF4\u{28482}"],
      ["fc40", "\u5EF9\u5EFB\u38A0\u5EFC\u683E\u941B\u5F0D\u{201C1}\u{2F894}\u3ADE\u48AE\u{2133A}\u5F3A\u{26888}\u{223D0}\u5F58\u{22471}\u5F63\u97BD\u{26E6E}\u5F72\u9340\u{28A36}\u5FA7\u5DB6\u3D5F\u{25250}\u{21F6A}\u{270F8}\u{22668}\u91D6\u{2029E}\u{28A29}\u6031\u6685\u{21877}\u3963\u3DC7\u3639\u5790\u{227B4}\u7971\u3E40\u609E\u60A4\u60B3\u{24982}\u{2498F}\u{27A53}\u74A4\u50E1\u5AA0\u6164\u8424\u6142\u{2F8A6}\u{26ED2}\u6181\u51F4\u{20656}\u6187\u5BAA\u{23FB7}"],
      ["fca1", "\u{2285F}\u61D3\u{28B9D}\u{2995D}\u61D0\u3932\u{22980}\u{228C1}\u6023\u615C\u651E\u638B\u{20118}\u62C5\u{21770}\u62D5\u{22E0D}\u636C\u{249DF}\u3A17\u6438\u63F8\u{2138E}\u{217FC}\u6490\u6F8A\u{22E36}\u9814\u{2408C}\u{2571D}\u64E1\u64E5\u947B\u3A66\u643A\u3A57\u654D\u6F16\u{24A28}\u{24A23}\u6585\u656D\u655F\u{2307E}\u65B5\u{24940}\u4B37\u65D1\u40D8\u{21829}\u65E0\u65E3\u5FDF\u{23400}\u6618\u{231F7}\u{231F8}\u6644\u{231A4}\u{231A5}\u664B\u{20E75}\u6667\u{251E6}\u6673\u6674\u{21E3D}\u{23231}\u{285F4}\u{231C8}\u{25313}\u77C5\u{228F7}\u99A4\u6702\u{2439C}\u{24A21}\u3B2B\u69FA\u{237C2}\u675E\u6767\u6762\u{241CD}\u{290ED}\u67D7\u44E9\u6822\u6E50\u923C\u6801\u{233E6}\u{26DA0}\u685D"],
      ["fd40", "\u{2346F}\u69E1\u6A0B\u{28ADF}\u6973\u68C3\u{235CD}\u6901\u6900\u3D32\u3A01\u{2363C}\u3B80\u67AC\u6961\u{28A4A}\u42FC\u6936\u6998\u3BA1\u{203C9}\u8363\u5090\u69F9\u{23659}\u{2212A}\u6A45\u{23703}\u6A9D\u3BF3\u67B1\u6AC8\u{2919C}\u3C0D\u6B1D\u{20923}\u60DE\u6B35\u6B74\u{227CD}\u6EB5\u{23ADB}\u{203B5}\u{21958}\u3740\u5421\u{23B5A}\u6BE1\u{23EFC}\u6BDC\u6C37\u{2248B}\u{248F1}\u{26B51}\u6C5A\u8226\u6C79\u{23DBC}\u44C5\u{23DBD}\u{241A4}\u{2490C}\u{24900}"],
      ["fda1", "\u{23CC9}\u36E5\u3CEB\u{20D32}\u9B83\u{231F9}\u{22491}\u7F8F\u6837\u{26D25}\u{26DA1}\u{26DEB}\u6D96\u6D5C\u6E7C\u6F04\u{2497F}\u{24085}\u{26E72}\u8533\u{26F74}\u51C7\u6C9C\u6E1D\u842E\u{28B21}\u6E2F\u{23E2F}\u7453\u{23F82}\u79CC\u6E4F\u5A91\u{2304B}\u6FF8\u370D\u6F9D\u{23E30}\u6EFA\u{21497}\u{2403D}\u4555\u93F0\u6F44\u6F5C\u3D4E\u6F74\u{29170}\u3D3B\u6F9F\u{24144}\u6FD3\u{24091}\u{24155}\u{24039}\u{23FF0}\u{23FB4}\u{2413F}\u51DF\u{24156}\u{24157}\u{24140}\u{261DD}\u704B\u707E\u70A7\u7081\u70CC\u70D5\u70D6\u70DF\u4104\u3DE8\u71B4\u7196\u{24277}\u712B\u7145\u5A88\u714A\u716E\u5C9C\u{24365}\u714F\u9362\u{242C1}\u712C\u{2445A}\u{24A27}\u{24A22}\u71BA\u{28BE8}\u70BD\u720E"],
      ["fe40", "\u9442\u7215\u5911\u9443\u7224\u9341\u{25605}\u722E\u7240\u{24974}\u68BD\u7255\u7257\u3E55\u{23044}\u680D\u6F3D\u7282\u732A\u732B\u{24823}\u{2882B}\u48ED\u{28804}\u7328\u732E\u73CF\u73AA\u{20C3A}\u{26A2E}\u73C9\u7449\u{241E2}\u{216E7}\u{24A24}\u6623\u36C5\u{249B7}\u{2498D}\u{249FB}\u73F7\u7415\u6903\u{24A26}\u7439\u{205C3}\u3ED7\u745C\u{228AD}\u7460\u{28EB2}\u7447\u73E4\u7476\u83B9\u746C\u3730\u7474\u93F1\u6A2C\u7482\u4953\u{24A8C}"],
      ["fea1", "\u{2415F}\u{24A79}\u{28B8F}\u5B46\u{28C03}\u{2189E}\u74C8\u{21988}\u750E\u74E9\u751E\u{28ED9}\u{21A4B}\u5BD7\u{28EAC}\u9385\u754D\u754A\u7567\u756E\u{24F82}\u3F04\u{24D13}\u758E\u745D\u759E\u75B4\u7602\u762C\u7651\u764F\u766F\u7676\u{263F5}\u7690\u81EF\u37F8\u{26911}\u{2690E}\u76A1\u76A5\u76B7\u76CC\u{26F9F}\u8462\u{2509D}\u{2517D}\u{21E1C}\u771E\u7726\u7740\u64AF\u{25220}\u7758\u{232AC}\u77AF\u{28964}\u{28968}\u{216C1}\u77F4\u7809\u{21376}\u{24A12}\u68CA\u78AF\u78C7\u78D3\u96A5\u792E\u{255E0}\u78D7\u7934\u78B1\u{2760C}\u8FB8\u8884\u{28B2B}\u{26083}\u{2261C}\u7986\u8900\u6902\u7980\u{25857}\u799D\u{27B39}\u793C\u79A9\u6E2A\u{27126}\u3EA8\u79C6\u{2910D}\u79D4"]
    ];
  }
});

// ../../../node_modules/iconv-lite/encodings/dbcs-data.js
var require_dbcs_data = __commonJS({
  "../../../node_modules/iconv-lite/encodings/dbcs-data.js"(exports, module2) {
    "use strict";
    module2.exports = {
      // == Japanese/ShiftJIS ====================================================
      // All japanese encodings are based on JIS X set of standards:
      // JIS X 0201 - Single-byte encoding of ASCII + ¥ + Kana chars at 0xA1-0xDF.
      // JIS X 0208 - Main set of 6879 characters, placed in 94x94 plane, to be encoded by 2 bytes. 
      //              Has several variations in 1978, 1983, 1990 and 1997.
      // JIS X 0212 - Supplementary plane of 6067 chars in 94x94 plane. 1990. Effectively dead.
      // JIS X 0213 - Extension and modern replacement of 0208 and 0212. Total chars: 11233.
      //              2 planes, first is superset of 0208, second - revised 0212.
      //              Introduced in 2000, revised 2004. Some characters are in Unicode Plane 2 (0x2xxxx)
      // Byte encodings are:
      //  * Shift_JIS: Compatible with 0201, uses not defined chars in top half as lead bytes for double-byte
      //               encoding of 0208. Lead byte ranges: 0x81-0x9F, 0xE0-0xEF; Trail byte ranges: 0x40-0x7E, 0x80-0x9E, 0x9F-0xFC.
      //               Windows CP932 is a superset of Shift_JIS. Some companies added more chars, notably KDDI.
      //  * EUC-JP:    Up to 3 bytes per character. Used mostly on *nixes.
      //               0x00-0x7F       - lower part of 0201
      //               0x8E, 0xA1-0xDF - upper part of 0201
      //               (0xA1-0xFE)x2   - 0208 plane (94x94).
      //               0x8F, (0xA1-0xFE)x2 - 0212 plane (94x94).
      //  * JIS X 208: 7-bit, direct encoding of 0208. Byte ranges: 0x21-0x7E (94 values). Uncommon.
      //               Used as-is in ISO2022 family.
      //  * ISO2022-JP: Stateful encoding, with escape sequences to switch between ASCII, 
      //                0201-1976 Roman, 0208-1978, 0208-1983.
      //  * ISO2022-JP-1: Adds esc seq for 0212-1990.
      //  * ISO2022-JP-2: Adds esc seq for GB2313-1980, KSX1001-1992, ISO8859-1, ISO8859-7.
      //  * ISO2022-JP-3: Adds esc seq for 0201-1976 Kana set, 0213-2000 Planes 1, 2.
      //  * ISO2022-JP-2004: Adds 0213-2004 Plane 1.
      //
      // After JIS X 0213 appeared, Shift_JIS-2004, EUC-JISX0213 and ISO2022-JP-2004 followed, with just changing the planes.
      //
      // Overall, it seems that it's a mess :( http://www8.plala.or.jp/tkubota1/unicode-symbols-map2.html
      "shiftjis": {
        type: "_dbcs",
        table: function() {
          return require_shiftjis();
        },
        encodeAdd: { "\xA5": 92, "\u203E": 126 },
        encodeSkipVals: [{ from: 60736, to: 63808 }]
      },
      "csshiftjis": "shiftjis",
      "mskanji": "shiftjis",
      "sjis": "shiftjis",
      "windows31j": "shiftjis",
      "ms31j": "shiftjis",
      "xsjis": "shiftjis",
      "windows932": "shiftjis",
      "ms932": "shiftjis",
      "932": "shiftjis",
      "cp932": "shiftjis",
      "eucjp": {
        type: "_dbcs",
        table: function() {
          return require_eucjp();
        },
        encodeAdd: { "\xA5": 92, "\u203E": 126 }
      },
      // TODO: KDDI extension to Shift_JIS
      // TODO: IBM CCSID 942 = CP932, but F0-F9 custom chars and other char changes.
      // TODO: IBM CCSID 943 = Shift_JIS = CP932 with original Shift_JIS lower 128 chars.
      // == Chinese/GBK ==========================================================
      // http://en.wikipedia.org/wiki/GBK
      // We mostly implement W3C recommendation: https://www.w3.org/TR/encoding/#gbk-encoder
      // Oldest GB2312 (1981, ~7600 chars) is a subset of CP936
      "gb2312": "cp936",
      "gb231280": "cp936",
      "gb23121980": "cp936",
      "csgb2312": "cp936",
      "csiso58gb231280": "cp936",
      "euccn": "cp936",
      // Microsoft's CP936 is a subset and approximation of GBK.
      "windows936": "cp936",
      "ms936": "cp936",
      "936": "cp936",
      "cp936": {
        type: "_dbcs",
        table: function() {
          return require_cp936();
        }
      },
      // GBK (~22000 chars) is an extension of CP936 that added user-mapped chars and some other.
      "gbk": {
        type: "_dbcs",
        table: function() {
          return require_cp936().concat(require_gbk_added());
        }
      },
      "xgbk": "gbk",
      "isoir58": "gbk",
      // GB18030 is an algorithmic extension of GBK.
      // Main source: https://www.w3.org/TR/encoding/#gbk-encoder
      // http://icu-project.org/docs/papers/gb18030.html
      // http://source.icu-project.org/repos/icu/data/trunk/charset/data/xml/gb-18030-2000.xml
      // http://www.khngai.com/chinese/charmap/tblgbk.php?page=0
      "gb18030": {
        type: "_dbcs",
        table: function() {
          return require_cp936().concat(require_gbk_added());
        },
        gb18030: function() {
          return require_gb18030_ranges();
        },
        encodeSkipVals: [128],
        encodeAdd: { "\u20AC": 41699 }
      },
      "chinese": "gb18030",
      // == Korean ===============================================================
      // EUC-KR, KS_C_5601 and KS X 1001 are exactly the same.
      "windows949": "cp949",
      "ms949": "cp949",
      "949": "cp949",
      "cp949": {
        type: "_dbcs",
        table: function() {
          return require_cp949();
        }
      },
      "cseuckr": "cp949",
      "csksc56011987": "cp949",
      "euckr": "cp949",
      "isoir149": "cp949",
      "korean": "cp949",
      "ksc56011987": "cp949",
      "ksc56011989": "cp949",
      "ksc5601": "cp949",
      // == Big5/Taiwan/Hong Kong ================================================
      // There are lots of tables for Big5 and cp950. Please see the following links for history:
      // http://moztw.org/docs/big5/  http://www.haible.de/bruno/charsets/conversion-tables/Big5.html
      // Variations, in roughly number of defined chars:
      //  * Windows CP 950: Microsoft variant of Big5. Canonical: http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP950.TXT
      //  * Windows CP 951: Microsoft variant of Big5-HKSCS-2001. Seems to be never public. http://me.abelcheung.org/articles/research/what-is-cp951/
      //  * Big5-2003 (Taiwan standard) almost superset of cp950.
      //  * Unicode-at-on (UAO) / Mozilla 1.8. Falling out of use on the Web. Not supported by other browsers.
      //  * Big5-HKSCS (-2001, -2004, -2008). Hong Kong standard. 
      //    many unicode code points moved from PUA to Supplementary plane (U+2XXXX) over the years.
      //    Plus, it has 4 combining sequences.
      //    Seems that Mozilla refused to support it for 10 yrs. https://bugzilla.mozilla.org/show_bug.cgi?id=162431 https://bugzilla.mozilla.org/show_bug.cgi?id=310299
      //    because big5-hkscs is the only encoding to include astral characters in non-algorithmic way.
      //    Implementations are not consistent within browsers; sometimes labeled as just big5.
      //    MS Internet Explorer switches from big5 to big5-hkscs when a patch applied.
      //    Great discussion & recap of what's going on https://bugzilla.mozilla.org/show_bug.cgi?id=912470#c31
      //    In the encoder, it might make sense to support encoding old PUA mappings to Big5 bytes seq-s.
      //    Official spec: http://www.ogcio.gov.hk/en/business/tech_promotion/ccli/terms/doc/2003cmp_2008.txt
      //                   http://www.ogcio.gov.hk/tc/business/tech_promotion/ccli/terms/doc/hkscs-2008-big5-iso.txt
      // 
      // Current understanding of how to deal with Big5(-HKSCS) is in the Encoding Standard, http://encoding.spec.whatwg.org/#big5-encoder
      // Unicode mapping (http://www.unicode.org/Public/MAPPINGS/OBSOLETE/EASTASIA/OTHER/BIG5.TXT) is said to be wrong.
      "windows950": "cp950",
      "ms950": "cp950",
      "950": "cp950",
      "cp950": {
        type: "_dbcs",
        table: function() {
          return require_cp950();
        }
      },
      // Big5 has many variations and is an extension of cp950. We use Encoding Standard's as a consensus.
      "big5": "big5hkscs",
      "big5hkscs": {
        type: "_dbcs",
        table: function() {
          return require_cp950().concat(require_big5_added());
        },
        encodeSkipVals: [
          // Although Encoding Standard says we should avoid encoding to HKSCS area (See Step 1 of
          // https://encoding.spec.whatwg.org/#index-big5-pointer), we still do it to increase compatibility with ICU.
          // But if a single unicode point can be encoded both as HKSCS and regular Big5, we prefer the latter.
          36457,
          36463,
          36478,
          36523,
          36532,
          36557,
          36560,
          36695,
          36713,
          36718,
          36811,
          36862,
          36973,
          36986,
          37060,
          37084,
          37105,
          37311,
          37551,
          37552,
          37553,
          37554,
          37585,
          37959,
          38090,
          38361,
          38652,
          39285,
          39798,
          39800,
          39803,
          39878,
          39902,
          39916,
          39926,
          40002,
          40019,
          40034,
          40040,
          40043,
          40055,
          40124,
          40125,
          40144,
          40279,
          40282,
          40388,
          40431,
          40443,
          40617,
          40687,
          40701,
          40800,
          40907,
          41079,
          41180,
          41183,
          36812,
          37576,
          38468,
          38637,
          // Step 2 of https://encoding.spec.whatwg.org/#index-big5-pointer: Use last pointer for U+2550, U+255E, U+2561, U+256A, U+5341, or U+5345
          41636,
          41637,
          41639,
          41638,
          41676,
          41678
        ]
      },
      "cnbig5": "big5hkscs",
      "csbig5": "big5hkscs",
      "xxbig5": "big5hkscs"
    };
  }
});

// ../../../node_modules/iconv-lite/encodings/index.js
var require_encodings = __commonJS({
  "../../../node_modules/iconv-lite/encodings/index.js"(exports, module2) {
    "use strict";
    var modules = [
      require_internal(),
      require_utf32(),
      require_utf16(),
      require_utf7(),
      require_sbcs_codec(),
      require_sbcs_data(),
      require_sbcs_data_generated(),
      require_dbcs_codec(),
      require_dbcs_data()
    ];
    for (i = 0; i < modules.length; i++) {
      module2 = modules[i];
      for (enc in module2)
        if (Object.prototype.hasOwnProperty.call(module2, enc))
          exports[enc] = module2[enc];
    }
    var module2;
    var enc;
    var i;
  }
});

// ../../../node_modules/iconv-lite/lib/streams.js
var require_streams = __commonJS({
  "../../../node_modules/iconv-lite/lib/streams.js"(exports, module2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    module2.exports = function(stream_module) {
      var Transform = stream_module.Transform;
      function IconvLiteEncoderStream(conv, options) {
        this.conv = conv;
        options = options || {};
        options.decodeStrings = false;
        Transform.call(this, options);
      }
      IconvLiteEncoderStream.prototype = Object.create(Transform.prototype, {
        constructor: { value: IconvLiteEncoderStream }
      });
      IconvLiteEncoderStream.prototype._transform = function(chunk, encoding, done) {
        if (typeof chunk != "string")
          return done(new Error("Iconv encoding stream needs strings as its input."));
        try {
          var res = this.conv.write(chunk);
          if (res && res.length)
            this.push(res);
          done();
        } catch (e) {
          done(e);
        }
      };
      IconvLiteEncoderStream.prototype._flush = function(done) {
        try {
          var res = this.conv.end();
          if (res && res.length)
            this.push(res);
          done();
        } catch (e) {
          done(e);
        }
      };
      IconvLiteEncoderStream.prototype.collect = function(cb) {
        var chunks = [];
        this.on("error", cb);
        this.on("data", function(chunk) {
          chunks.push(chunk);
        });
        this.on("end", function() {
          cb(null, Buffer2.concat(chunks));
        });
        return this;
      };
      function IconvLiteDecoderStream(conv, options) {
        this.conv = conv;
        options = options || {};
        options.encoding = this.encoding = "utf8";
        Transform.call(this, options);
      }
      IconvLiteDecoderStream.prototype = Object.create(Transform.prototype, {
        constructor: { value: IconvLiteDecoderStream }
      });
      IconvLiteDecoderStream.prototype._transform = function(chunk, encoding, done) {
        if (!Buffer2.isBuffer(chunk) && !(chunk instanceof Uint8Array))
          return done(new Error("Iconv decoding stream needs buffers as its input."));
        try {
          var res = this.conv.write(chunk);
          if (res && res.length)
            this.push(res, this.encoding);
          done();
        } catch (e) {
          done(e);
        }
      };
      IconvLiteDecoderStream.prototype._flush = function(done) {
        try {
          var res = this.conv.end();
          if (res && res.length)
            this.push(res, this.encoding);
          done();
        } catch (e) {
          done(e);
        }
      };
      IconvLiteDecoderStream.prototype.collect = function(cb) {
        var res = "";
        this.on("error", cb);
        this.on("data", function(chunk) {
          res += chunk;
        });
        this.on("end", function() {
          cb(null, res);
        });
        return this;
      };
      return {
        IconvLiteEncoderStream,
        IconvLiteDecoderStream
      };
    };
  }
});

// ../../../node_modules/iconv-lite/lib/index.js
var require_lib = __commonJS({
  "../../../node_modules/iconv-lite/lib/index.js"(exports, module2) {
    "use strict";
    var Buffer2 = require_safer().Buffer;
    var bomHandling = require_bom_handling();
    var iconv = module2.exports;
    iconv.encodings = null;
    iconv.defaultCharUnicode = "\uFFFD";
    iconv.defaultCharSingleByte = "?";
    iconv.encode = function encode(str, encoding, options) {
      str = "" + (str || "");
      var encoder = iconv.getEncoder(encoding, options);
      var res = encoder.write(str);
      var trail = encoder.end();
      return trail && trail.length > 0 ? Buffer2.concat([res, trail]) : res;
    };
    iconv.decode = function decode(buf, encoding, options) {
      if (typeof buf === "string") {
        if (!iconv.skipDecodeWarning) {
          console.error("Iconv-lite warning: decode()-ing strings is deprecated. Refer to https://github.com/ashtuchkin/iconv-lite/wiki/Use-Buffers-when-decoding");
          iconv.skipDecodeWarning = true;
        }
        buf = Buffer2.from("" + (buf || ""), "binary");
      }
      var decoder = iconv.getDecoder(encoding, options);
      var res = decoder.write(buf);
      var trail = decoder.end();
      return trail ? res + trail : res;
    };
    iconv.encodingExists = function encodingExists(enc) {
      try {
        iconv.getCodec(enc);
        return true;
      } catch (e) {
        return false;
      }
    };
    iconv.toEncoding = iconv.encode;
    iconv.fromEncoding = iconv.decode;
    iconv._codecDataCache = {};
    iconv.getCodec = function getCodec(encoding) {
      if (!iconv.encodings)
        iconv.encodings = require_encodings();
      var enc = iconv._canonicalizeEncoding(encoding);
      var codecOptions = {};
      while (true) {
        var codec = iconv._codecDataCache[enc];
        if (codec)
          return codec;
        var codecDef = iconv.encodings[enc];
        switch (typeof codecDef) {
          case "string":
            enc = codecDef;
            break;
          case "object":
            for (var key in codecDef)
              codecOptions[key] = codecDef[key];
            if (!codecOptions.encodingName)
              codecOptions.encodingName = enc;
            enc = codecDef.type;
            break;
          case "function":
            if (!codecOptions.encodingName)
              codecOptions.encodingName = enc;
            codec = new codecDef(codecOptions, iconv);
            iconv._codecDataCache[codecOptions.encodingName] = codec;
            return codec;
          default:
            throw new Error("Encoding not recognized: '" + encoding + "' (searched as: '" + enc + "')");
        }
      }
    };
    iconv._canonicalizeEncoding = function(encoding) {
      return ("" + encoding).toLowerCase().replace(/:\d{4}$|[^0-9a-z]/g, "");
    };
    iconv.getEncoder = function getEncoder(encoding, options) {
      var codec = iconv.getCodec(encoding), encoder = new codec.encoder(options, codec);
      if (codec.bomAware && options && options.addBOM)
        encoder = new bomHandling.PrependBOM(encoder, options);
      return encoder;
    };
    iconv.getDecoder = function getDecoder(encoding, options) {
      var codec = iconv.getCodec(encoding), decoder = new codec.decoder(options, codec);
      if (codec.bomAware && !(options && options.stripBOM === false))
        decoder = new bomHandling.StripBOM(decoder, options);
      return decoder;
    };
    iconv.enableStreamingAPI = function enableStreamingAPI(stream_module2) {
      if (iconv.supportsStreams)
        return;
      var streams = require_streams()(stream_module2);
      iconv.IconvLiteEncoderStream = streams.IconvLiteEncoderStream;
      iconv.IconvLiteDecoderStream = streams.IconvLiteDecoderStream;
      iconv.encodeStream = function encodeStream(encoding, options) {
        return new iconv.IconvLiteEncoderStream(iconv.getEncoder(encoding, options), options);
      };
      iconv.decodeStream = function decodeStream(encoding, options) {
        return new iconv.IconvLiteDecoderStream(iconv.getDecoder(encoding, options), options);
      };
      iconv.supportsStreams = true;
    };
    var stream_module;
    try {
      stream_module = require("stream");
    } catch (e) {
    }
    if (stream_module && stream_module.Transform) {
      iconv.enableStreamingAPI(stream_module);
    } else {
      iconv.encodeStream = iconv.decodeStream = function() {
        throw new Error("iconv-lite Streaming API is not enabled. Use iconv.enableStreamingAPI(require('stream')); to enable it.");
      };
    }
    if (false) {
      console.error("iconv-lite warning: js files use non-utf8 encoding. See https://github.com/ashtuchkin/iconv-lite/wiki/Javascript-source-file-encodings for more info.");
    }
  }
});

// ../../../node_modules/encoding-japanese/src/util.js
var require_util = __commonJS({
  "../../../node_modules/encoding-japanese/src/util.js"(exports) {
    "use strict";
    var config = require_config();
    var fromCharCode = String.fromCharCode;
    var slice = Array.prototype.slice;
    var toString = Object.prototype.toString;
    var hasOwnProperty = Object.prototype.hasOwnProperty;
    var nativeIsArray = Array.isArray;
    var nativeObjectKeys = Object.keys;
    function isObject(x) {
      var type = typeof x;
      return type === "function" || type === "object" && !!x;
    }
    exports.isObject = isObject;
    function isArray(x) {
      return nativeIsArray ? nativeIsArray(x) : toString.call(x) === "[object Array]";
    }
    exports.isArray = isArray;
    function isString(x) {
      return typeof x === "string" || toString.call(x) === "[object String]";
    }
    exports.isString = isString;
    function objectKeys(object) {
      if (nativeObjectKeys) {
        return nativeObjectKeys(object);
      }
      var keys = [];
      for (var key in object) {
        if (hasOwnProperty.call(object, key)) {
          keys[keys.length] = key;
        }
      }
      return keys;
    }
    exports.objectKeys = objectKeys;
    function createBuffer(bits, size) {
      if (config.HAS_TYPED) {
        switch (bits) {
          case 8:
            return new Uint8Array(size);
          case 16:
            return new Uint16Array(size);
        }
      }
      return new Array(size);
    }
    exports.createBuffer = createBuffer;
    function stringToBuffer(string) {
      var length = string.length;
      var buffer = createBuffer(16, length);
      for (var i = 0; i < length; i++) {
        buffer[i] = string.charCodeAt(i);
      }
      return buffer;
    }
    exports.stringToBuffer = stringToBuffer;
    function codeToString_fast(code) {
      if (config.CAN_CHARCODE_APPLY && config.CAN_CHARCODE_APPLY_TYPED) {
        var len = code && code.length;
        if (len < config.APPLY_BUFFER_SIZE && config.APPLY_BUFFER_SIZE_OK) {
          return fromCharCode.apply(null, code);
        }
        if (config.APPLY_BUFFER_SIZE_OK === null) {
          try {
            var s = fromCharCode.apply(null, code);
            if (len > config.APPLY_BUFFER_SIZE) {
              config.APPLY_BUFFER_SIZE_OK = true;
            }
            return s;
          } catch (e) {
            config.APPLY_BUFFER_SIZE_OK = false;
          }
        }
      }
      return codeToString_chunked(code);
    }
    exports.codeToString_fast = codeToString_fast;
    function codeToString_chunked(code) {
      var string = "";
      var length = code && code.length;
      var i = 0;
      var sub;
      while (i < length) {
        if (code.subarray) {
          sub = code.subarray(i, i + config.APPLY_BUFFER_SIZE);
        } else {
          sub = code.slice(i, i + config.APPLY_BUFFER_SIZE);
        }
        i += config.APPLY_BUFFER_SIZE;
        if (config.APPLY_BUFFER_SIZE_OK) {
          string += fromCharCode.apply(null, sub);
          continue;
        }
        if (config.APPLY_BUFFER_SIZE_OK === null) {
          try {
            string += fromCharCode.apply(null, sub);
            if (sub.length > config.APPLY_BUFFER_SIZE) {
              config.APPLY_BUFFER_SIZE_OK = true;
            }
            continue;
          } catch (e) {
            config.APPLY_BUFFER_SIZE_OK = false;
          }
        }
        return codeToString_slow(code);
      }
      return string;
    }
    exports.codeToString_chunked = codeToString_chunked;
    function codeToString_slow(code) {
      var string = "";
      var length = code && code.length;
      for (var i = 0; i < length; i++) {
        string += fromCharCode(code[i]);
      }
      return string;
    }
    exports.codeToString_slow = codeToString_slow;
    function stringToCode(string) {
      var code = [];
      var len = string && string.length;
      for (var i = 0; i < len; i++) {
        code[i] = string.charCodeAt(i);
      }
      return code;
    }
    exports.stringToCode = stringToCode;
    function codeToBuffer(code) {
      if (config.HAS_TYPED) {
        return new Uint16Array(code);
      }
      if (isArray(code)) {
        return code;
      }
      var length = code && code.length;
      var buffer = [];
      for (var i = 0; i < length; i++) {
        buffer[i] = code[i];
      }
      return buffer;
    }
    exports.codeToBuffer = codeToBuffer;
    function bufferToCode(buffer) {
      if (isArray(buffer)) {
        return buffer;
      }
      return slice.call(buffer);
    }
    exports.bufferToCode = bufferToCode;
    function canonicalizeEncodingName(target) {
      var name = "";
      var expect = ("" + target).toUpperCase().replace(/[^A-Z0-9]+/g, "");
      var aliasNames = objectKeys(config.EncodingAliases);
      var len = aliasNames.length;
      var hit = 0;
      var encoding, encodingLen, j;
      for (var i = 0; i < len; i++) {
        encoding = aliasNames[i];
        if (encoding === expect) {
          name = encoding;
          break;
        }
        encodingLen = encoding.length;
        for (j = hit; j < encodingLen; j++) {
          if (encoding.slice(0, j) === expect.slice(0, j) || encoding.slice(-j) === expect.slice(-j)) {
            name = encoding;
            hit = j;
          }
        }
      }
      if (hasOwnProperty.call(config.EncodingAliases, name)) {
        return config.EncodingAliases[name];
      }
      return name;
    }
    exports.canonicalizeEncodingName = canonicalizeEncodingName;
    var base64EncodeChars = [
      65,
      66,
      67,
      68,
      69,
      70,
      71,
      72,
      73,
      74,
      75,
      76,
      77,
      78,
      79,
      80,
      81,
      82,
      83,
      84,
      85,
      86,
      87,
      88,
      89,
      90,
      97,
      98,
      99,
      100,
      101,
      102,
      103,
      104,
      105,
      106,
      107,
      108,
      109,
      110,
      111,
      112,
      113,
      114,
      115,
      116,
      117,
      118,
      119,
      120,
      121,
      122,
      48,
      49,
      50,
      51,
      52,
      53,
      54,
      55,
      56,
      57,
      43,
      47
    ];
    var base64DecodeChars = [
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      62,
      -1,
      -1,
      -1,
      63,
      52,
      53,
      54,
      55,
      56,
      57,
      58,
      59,
      60,
      61,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      0,
      1,
      2,
      3,
      4,
      5,
      6,
      7,
      8,
      9,
      10,
      11,
      12,
      13,
      14,
      15,
      16,
      17,
      18,
      19,
      20,
      21,
      22,
      23,
      24,
      25,
      -1,
      -1,
      -1,
      -1,
      -1,
      -1,
      26,
      27,
      28,
      29,
      30,
      31,
      32,
      33,
      34,
      35,
      36,
      37,
      38,
      39,
      40,
      41,
      42,
      43,
      44,
      45,
      46,
      47,
      48,
      49,
      50,
      51,
      -1,
      -1,
      -1,
      -1,
      -1
    ];
    var base64EncodePadding = "=".charCodeAt(0);
    function base64encode(data) {
      var out, i, len;
      var c1, c2, c3;
      len = data && data.length;
      i = 0;
      out = [];
      while (i < len) {
        c1 = data[i++];
        if (i == len) {
          out[out.length] = base64EncodeChars[c1 >> 2];
          out[out.length] = base64EncodeChars[(c1 & 3) << 4];
          out[out.length] = base64EncodePadding;
          out[out.length] = base64EncodePadding;
          break;
        }
        c2 = data[i++];
        if (i == len) {
          out[out.length] = base64EncodeChars[c1 >> 2];
          out[out.length] = base64EncodeChars[(c1 & 3) << 4 | (c2 & 240) >> 4];
          out[out.length] = base64EncodeChars[(c2 & 15) << 2];
          out[out.length] = base64EncodePadding;
          break;
        }
        c3 = data[i++];
        out[out.length] = base64EncodeChars[c1 >> 2];
        out[out.length] = base64EncodeChars[(c1 & 3) << 4 | (c2 & 240) >> 4];
        out[out.length] = base64EncodeChars[(c2 & 15) << 2 | (c3 & 192) >> 6];
        out[out.length] = base64EncodeChars[c3 & 63];
      }
      return codeToString_fast(out);
    }
    exports.base64encode = base64encode;
    function base64decode(str) {
      var c1, c2, c3, c4;
      var i, len, out;
      len = str && str.length;
      i = 0;
      out = [];
      while (i < len) {
        do {
          c1 = base64DecodeChars[str.charCodeAt(i++) & 255];
        } while (i < len && c1 == -1);
        if (c1 == -1) {
          break;
        }
        do {
          c2 = base64DecodeChars[str.charCodeAt(i++) & 255];
        } while (i < len && c2 == -1);
        if (c2 == -1) {
          break;
        }
        out[out.length] = c1 << 2 | (c2 & 48) >> 4;
        do {
          c3 = str.charCodeAt(i++) & 255;
          if (c3 == 61) {
            return out;
          }
          c3 = base64DecodeChars[c3];
        } while (i < len && c3 == -1);
        if (c3 == -1) {
          break;
        }
        out[out.length] = (c2 & 15) << 4 | (c3 & 60) >> 2;
        do {
          c4 = str.charCodeAt(i++) & 255;
          if (c4 == 61) {
            return out;
          }
          c4 = base64DecodeChars[c4];
        } while (i < len && c4 == -1);
        if (c4 == -1) {
          break;
        }
        out[out.length] = (c3 & 3) << 6 | c4;
      }
      return out;
    }
    exports.base64decode = base64decode;
  }
});

// ../../../node_modules/encoding-japanese/src/utf8-to-jis-table.js
var require_utf8_to_jis_table = __commonJS({
  "../../../node_modules/encoding-japanese/src/utf8-to-jis-table.js"(exports, module2) {
    "use strict";
    module2.exports = {
      15711649: 33,
      15711650: 34,
      15711651: 35,
      15711652: 36,
      15711653: 37,
      15711654: 38,
      15711655: 39,
      15711656: 40,
      15711657: 41,
      15711658: 42,
      15711659: 43,
      15711660: 44,
      15711661: 45,
      15711662: 46,
      15711663: 47,
      15711664: 48,
      15711665: 49,
      15711666: 50,
      15711667: 51,
      15711668: 52,
      15711669: 53,
      15711670: 54,
      15711671: 55,
      15711672: 56,
      15711673: 57,
      15711674: 58,
      15711675: 59,
      15711676: 60,
      15711677: 61,
      15711678: 62,
      15711679: 63,
      15711872: 64,
      15711873: 65,
      15711874: 66,
      15711875: 67,
      15711876: 68,
      15711877: 69,
      15711878: 70,
      15711879: 71,
      15711880: 72,
      15711881: 73,
      15711882: 74,
      15711883: 75,
      15711884: 76,
      15711885: 77,
      15711886: 78,
      15711887: 79,
      15711888: 80,
      15711889: 81,
      15711890: 82,
      15711891: 83,
      15711892: 84,
      15711893: 85,
      15711894: 86,
      15711895: 87,
      15711896: 88,
      15711897: 89,
      15711898: 90,
      15711899: 91,
      15711900: 92,
      15711901: 93,
      15711902: 94,
      15711903: 95,
      14848416: 11553,
      14848417: 11554,
      14848418: 11555,
      14848419: 11556,
      14848420: 11557,
      14848421: 11558,
      14848422: 11559,
      14848423: 11560,
      14848424: 11561,
      14848425: 11562,
      14848426: 11563,
      14848427: 11564,
      14848428: 11565,
      14848429: 11566,
      14848430: 11567,
      14848431: 11568,
      14848432: 11569,
      14848433: 11570,
      14848434: 11571,
      14848435: 11572,
      14845344: 11573,
      14845345: 11574,
      14845346: 11575,
      14845347: 11576,
      14845348: 11577,
      14845349: 11578,
      14845350: 11579,
      14845351: 11580,
      14845352: 11581,
      14845353: 11582,
      14912905: 11584,
      14912660: 11585,
      14912674: 11586,
      14912909: 11587,
      14912664: 11588,
      14912679: 11589,
      14912643: 11590,
      14912694: 11591,
      14912913: 11592,
      14912919: 11593,
      14912653: 11594,
      14912678: 11595,
      14912675: 11596,
      14912683: 11597,
      14912906: 11598,
      14912699: 11599,
      14913180: 11600,
      14913181: 11601,
      14913182: 11602,
      14913166: 11603,
      14913167: 11604,
      14913412: 11605,
      14913185: 11606,
      14912955: 11615,
      14909597: 11616,
      14909599: 11617,
      14845078: 11618,
      14913421: 11619,
      14845089: 11620,
      14912164: 11621,
      14912165: 11622,
      14912166: 11623,
      14912167: 11624,
      14912168: 11625,
      14911665: 11626,
      14911666: 11627,
      14911673: 11628,
      14912958: 11629,
      14912957: 11630,
      14912956: 11631,
      14846126: 11635,
      14846097: 11636,
      14846111: 11640,
      14846655: 11641,
      14909568: 8481,
      14909569: 8482,
      14909570: 8483,
      15711372: 8484,
      15711374: 8485,
      14910395: 8486,
      15711386: 8487,
      15711387: 8488,
      15711391: 8489,
      15711361: 8490,
      14910107: 8491,
      14910108: 8492,
      49844: 8493,
      15711616: 8494,
      49832: 8495,
      15711422: 8496,
      15712163: 8497,
      15711423: 8498,
      14910397: 8499,
      14910398: 8500,
      14910109: 8501,
      14910110: 8502,
      14909571: 8503,
      14990237: 8504,
      14909573: 8505,
      14909574: 8506,
      14909575: 8507,
      14910396: 8508,
      14844053: 8509,
      14844048: 8510,
      15711375: 8511,
      15711420: 8512,
      15711646: 8513,
      14844054: 8514,
      15711644: 8515,
      14844070: 8516,
      14844069: 8517,
      14844056: 8518,
      14844057: 8519,
      14844060: 8520,
      14844061: 8521,
      15711368: 8522,
      15711369: 8523,
      14909588: 8524,
      14909589: 8525,
      15711419: 8526,
      15711421: 8527,
      15711643: 8528,
      15711645: 8529,
      14909576: 8530,
      14909577: 8531,
      14909578: 8532,
      14909579: 8533,
      14909580: 8534,
      14909581: 8535,
      14909582: 8536,
      14909583: 8537,
      14909584: 8538,
      14909585: 8539,
      15711371: 8540,
      15711373: 8541,
      49841: 8542,
      50071: 8543,
      50103: 8544,
      15711389: 8545,
      14846368: 8546,
      15711388: 8547,
      15711390: 8548,
      14846374: 8549,
      14846375: 8550,
      14846110: 8551,
      14846132: 8552,
      14850434: 8553,
      14850432: 8554,
      49840: 8555,
      14844082: 8556,
      14844083: 8557,
      14845059: 8558,
      15712165: 8559,
      15711364: 8560,
      15712160: 8561,
      15712161: 8562,
      15711365: 8563,
      15711363: 8564,
      15711366: 8565,
      15711370: 8566,
      15711392: 8567,
      49831: 8568,
      14850182: 8569,
      14850181: 8570,
      14849931: 8571,
      14849935: 8572,
      14849934: 8573,
      14849927: 8574,
      14849926: 8737,
      14849697: 8738,
      14849696: 8739,
      14849715: 8740,
      14849714: 8741,
      14849725: 8742,
      14849724: 8743,
      14844091: 8744,
      14909586: 8745,
      14845586: 8746,
      14845584: 8747,
      14845585: 8748,
      14845587: 8749,
      14909587: 8750,
      14846088: 8762,
      14846091: 8763,
      14846598: 8764,
      14846599: 8765,
      14846594: 8766,
      14846595: 8767,
      14846122: 8768,
      14846121: 8769,
      14846119: 8778,
      14846120: 8779,
      49836: 8780,
      14845842: 8781,
      14845844: 8782,
      14846080: 8783,
      14846083: 8784,
      14846112: 8796,
      14846629: 8797,
      14847122: 8798,
      14846082: 8799,
      14846087: 8800,
      14846369: 8801,
      14846354: 8802,
      14846378: 8803,
      14846379: 8804,
      14846106: 8805,
      14846141: 8806,
      14846109: 8807,
      14846133: 8808,
      14846123: 8809,
      14846124: 8810,
      14845099: 8818,
      14844080: 8819,
      14850479: 8820,
      14850477: 8821,
      14850474: 8822,
      14844064: 8823,
      14844065: 8824,
      49846: 8825,
      14849967: 8830,
      15711376: 9008,
      15711377: 9009,
      15711378: 9010,
      15711379: 9011,
      15711380: 9012,
      15711381: 9013,
      15711382: 9014,
      15711383: 9015,
      15711384: 9016,
      15711385: 9017,
      15711393: 9025,
      15711394: 9026,
      15711395: 9027,
      15711396: 9028,
      15711397: 9029,
      15711398: 9030,
      15711399: 9031,
      15711400: 9032,
      15711401: 9033,
      15711402: 9034,
      15711403: 9035,
      15711404: 9036,
      15711405: 9037,
      15711406: 9038,
      15711407: 9039,
      15711408: 9040,
      15711409: 9041,
      15711410: 9042,
      15711411: 9043,
      15711412: 9044,
      15711413: 9045,
      15711414: 9046,
      15711415: 9047,
      15711416: 9048,
      15711417: 9049,
      15711418: 9050,
      15711617: 9057,
      15711618: 9058,
      15711619: 9059,
      15711620: 9060,
      15711621: 9061,
      15711622: 9062,
      15711623: 9063,
      15711624: 9064,
      15711625: 9065,
      15711626: 9066,
      15711627: 9067,
      15711628: 9068,
      15711629: 9069,
      15711630: 9070,
      15711631: 9071,
      15711632: 9072,
      15711633: 9073,
      15711634: 9074,
      15711635: 9075,
      15711636: 9076,
      15711637: 9077,
      15711638: 9078,
      15711639: 9079,
      15711640: 9080,
      15711641: 9081,
      15711642: 9082,
      14909825: 9249,
      14909826: 9250,
      14909827: 9251,
      14909828: 9252,
      14909829: 9253,
      14909830: 9254,
      14909831: 9255,
      14909832: 9256,
      14909833: 9257,
      14909834: 9258,
      14909835: 9259,
      14909836: 9260,
      14909837: 9261,
      14909838: 9262,
      14909839: 9263,
      14909840: 9264,
      14909841: 9265,
      14909842: 9266,
      14909843: 9267,
      14909844: 9268,
      14909845: 9269,
      14909846: 9270,
      14909847: 9271,
      14909848: 9272,
      14909849: 9273,
      14909850: 9274,
      14909851: 9275,
      14909852: 9276,
      14909853: 9277,
      14909854: 9278,
      14909855: 9279,
      14909856: 9280,
      14909857: 9281,
      14909858: 9282,
      14909859: 9283,
      14909860: 9284,
      14909861: 9285,
      14909862: 9286,
      14909863: 9287,
      14909864: 9288,
      14909865: 9289,
      14909866: 9290,
      14909867: 9291,
      14909868: 9292,
      14909869: 9293,
      14909870: 9294,
      14909871: 9295,
      14909872: 9296,
      14909873: 9297,
      14909874: 9298,
      14909875: 9299,
      14909876: 9300,
      14909877: 9301,
      14909878: 9302,
      14909879: 9303,
      14909880: 9304,
      14909881: 9305,
      14909882: 9306,
      14909883: 9307,
      14909884: 9308,
      14909885: 9309,
      14909886: 9310,
      14909887: 9311,
      14910080: 9312,
      14910081: 9313,
      14910082: 9314,
      14910083: 9315,
      14910084: 9316,
      14910085: 9317,
      14910086: 9318,
      14910087: 9319,
      14910088: 9320,
      14910089: 9321,
      14910090: 9322,
      14910091: 9323,
      14910092: 9324,
      14910093: 9325,
      14910094: 9326,
      14910095: 9327,
      14910096: 9328,
      14910097: 9329,
      14910098: 9330,
      14910099: 9331,
      14910113: 9505,
      14910114: 9506,
      14910115: 9507,
      14910116: 9508,
      14910117: 9509,
      14910118: 9510,
      14910119: 9511,
      14910120: 9512,
      14910121: 9513,
      14910122: 9514,
      14910123: 9515,
      14910124: 9516,
      14910125: 9517,
      14910126: 9518,
      14910127: 9519,
      14910128: 9520,
      14910129: 9521,
      14910130: 9522,
      14910131: 9523,
      14910132: 9524,
      14910133: 9525,
      14910134: 9526,
      14910135: 9527,
      14910136: 9528,
      14910137: 9529,
      14910138: 9530,
      14910139: 9531,
      14910140: 9532,
      14910141: 9533,
      14910142: 9534,
      14910143: 9535,
      14910336: 9536,
      14910337: 9537,
      14910338: 9538,
      14910339: 9539,
      14910340: 9540,
      14910341: 9541,
      14910342: 9542,
      14910343: 9543,
      14910344: 9544,
      14910345: 9545,
      14910346: 9546,
      14910347: 9547,
      14910348: 9548,
      14910349: 9549,
      14910350: 9550,
      14910351: 9551,
      14910352: 9552,
      14910353: 9553,
      14910354: 9554,
      14910355: 9555,
      14910356: 9556,
      14910357: 9557,
      14910358: 9558,
      14910359: 9559,
      14910360: 9560,
      14910361: 9561,
      14910362: 9562,
      14910363: 9563,
      14910364: 9564,
      14910365: 9565,
      14910366: 9566,
      14910367: 9567,
      14910368: 9568,
      14910369: 9569,
      14910370: 9570,
      14910371: 9571,
      14910372: 9572,
      14910373: 9573,
      14910374: 9574,
      14910375: 9575,
      14910376: 9576,
      14910377: 9577,
      14910378: 9578,
      14910379: 9579,
      14910380: 9580,
      14910381: 9581,
      14910382: 9582,
      14910383: 9583,
      14910384: 9584,
      14910385: 9585,
      14910386: 9586,
      14910387: 9587,
      14910388: 9588,
      14910389: 9589,
      14910390: 9590,
      52881: 9761,
      52882: 9762,
      52883: 9763,
      52884: 9764,
      52885: 9765,
      52886: 9766,
      52887: 9767,
      52888: 9768,
      52889: 9769,
      52890: 9770,
      52891: 9771,
      52892: 9772,
      52893: 9773,
      52894: 9774,
      52895: 9775,
      52896: 9776,
      52897: 9777,
      52899: 9778,
      52900: 9779,
      52901: 9780,
      52902: 9781,
      52903: 9782,
      52904: 9783,
      52905: 9784,
      52913: 9793,
      52914: 9794,
      52915: 9795,
      52916: 9796,
      52917: 9797,
      52918: 9798,
      52919: 9799,
      52920: 9800,
      52921: 9801,
      52922: 9802,
      52923: 9803,
      52924: 9804,
      52925: 9805,
      52926: 9806,
      52927: 9807,
      53120: 9808,
      53121: 9809,
      53123: 9810,
      53124: 9811,
      53125: 9812,
      53126: 9813,
      53127: 9814,
      53128: 9815,
      53129: 9816,
      53392: 10017,
      53393: 10018,
      53394: 10019,
      53395: 10020,
      53396: 10021,
      53397: 10022,
      53377: 10023,
      53398: 10024,
      53399: 10025,
      53400: 10026,
      53401: 10027,
      53402: 10028,
      53403: 10029,
      53404: 10030,
      53405: 10031,
      53406: 10032,
      53407: 10033,
      53408: 10034,
      53409: 10035,
      53410: 10036,
      53411: 10037,
      53412: 10038,
      53413: 10039,
      53414: 10040,
      53415: 10041,
      53416: 10042,
      53417: 10043,
      53418: 10044,
      53419: 10045,
      53420: 10046,
      53421: 10047,
      53422: 10048,
      53423: 10049,
      53424: 10065,
      53425: 10066,
      53426: 10067,
      53427: 10068,
      53428: 10069,
      53429: 10070,
      53649: 10071,
      53430: 10072,
      53431: 10073,
      53432: 10074,
      53433: 10075,
      53434: 10076,
      53435: 10077,
      53436: 10078,
      53437: 10079,
      53438: 10080,
      53439: 10081,
      53632: 10082,
      53633: 10083,
      53634: 10084,
      53635: 10085,
      53636: 10086,
      53637: 10087,
      53638: 10088,
      53639: 10089,
      53640: 10090,
      53641: 10091,
      53642: 10092,
      53643: 10093,
      53644: 10094,
      53645: 10095,
      53646: 10096,
      53647: 10097,
      14849152: 10273,
      14849154: 10274,
      14849164: 10275,
      14849168: 10276,
      14849176: 10277,
      14849172: 10278,
      14849180: 10279,
      14849196: 10280,
      14849188: 10281,
      14849204: 10282,
      14849212: 10283,
      14849153: 10284,
      14849155: 10285,
      14849167: 10286,
      14849171: 10287,
      14849179: 10288,
      14849175: 10289,
      14849187: 10290,
      14849203: 10291,
      14849195: 10292,
      14849211: 10293,
      14849419: 10294,
      14849184: 10295,
      14849199: 10296,
      14849192: 10297,
      14849207: 10298,
      14849215: 10299,
      14849181: 10300,
      14849200: 10301,
      14849189: 10302,
      14849208: 10303,
      14849410: 10304,
      14989980: 12321,
      15045782: 12322,
      15050883: 12323,
      15308991: 12324,
      15045504: 12325,
      15107227: 12326,
      15109288: 12327,
      15050678: 12328,
      15302818: 12329,
      15241653: 12330,
      15240348: 12331,
      15182224: 12332,
      15106730: 12333,
      15110049: 12334,
      15120549: 12335,
      15112109: 12336,
      15241638: 12337,
      15239846: 12338,
      15314869: 12339,
      15114899: 12340,
      15047847: 12341,
      15111841: 12342,
      15108529: 12343,
      15052443: 12344,
      15050640: 12345,
      15243707: 12346,
      15311796: 12347,
      15185314: 12348,
      15185598: 12349,
      15314574: 12350,
      15108246: 12351,
      15184543: 12352,
      15246007: 12353,
      15052425: 12354,
      15055541: 12355,
      15109257: 12356,
      15112855: 12357,
      15114632: 12358,
      15308679: 12359,
      15310477: 12360,
      15113615: 12361,
      14990245: 12362,
      14990474: 12363,
      14990733: 12364,
      14991005: 12365,
      15040905: 12366,
      15047602: 12367,
      15049911: 12368,
      15050644: 12369,
      15050881: 12370,
      15052937: 12371,
      15106975: 12372,
      15107215: 12373,
      15107504: 12374,
      15112339: 12375,
      15115397: 12376,
      15172282: 12377,
      15177103: 12378,
      15177136: 12379,
      15181755: 12380,
      15185581: 12381,
      15185839: 12382,
      15238019: 12383,
      15241358: 12384,
      15245731: 12385,
      15248514: 12386,
      15303061: 12387,
      15303098: 12388,
      15043771: 12389,
      14989973: 12390,
      14989989: 12391,
      15048607: 12392,
      15237810: 12393,
      15303553: 12394,
      15180719: 12395,
      14989440: 12396,
      15049649: 12397,
      15121058: 12398,
      15302840: 12399,
      15182002: 12400,
      15240360: 12401,
      15239819: 12402,
      15315119: 12403,
      15041921: 12404,
      15044016: 12405,
      15045309: 12406,
      15045537: 12407,
      15047584: 12408,
      15050683: 12409,
      15056021: 12410,
      15311794: 12411,
      15120299: 12412,
      15238052: 12413,
      15242413: 12414,
      15309218: 12577,
      15309232: 12578,
      15309472: 12579,
      15310779: 12580,
      15044747: 12581,
      15044531: 12582,
      15052423: 12583,
      15172495: 12584,
      15187645: 12585,
      15253378: 12586,
      15309736: 12587,
      15044015: 12588,
      15316380: 12589,
      15182522: 12590,
      14989457: 12591,
      15180435: 12592,
      15239100: 12593,
      15120550: 12594,
      15046808: 12595,
      15045764: 12596,
      15117469: 12597,
      15242394: 12598,
      15315131: 12599,
      15050661: 12600,
      15044265: 12601,
      15119782: 12602,
      15176604: 12603,
      15308431: 12604,
      15047042: 12605,
      14989969: 12606,
      15303051: 12607,
      15309746: 12608,
      15240591: 12609,
      15312012: 12610,
      15044513: 12611,
      15046326: 12612,
      15051952: 12613,
      15056305: 12614,
      15112352: 12615,
      15113139: 12616,
      15114372: 12617,
      15118520: 12618,
      15119283: 12619,
      15119529: 12620,
      15176091: 12621,
      15178632: 12622,
      15182222: 12623,
      15311028: 12624,
      15240113: 12625,
      15245723: 12626,
      15247776: 12627,
      15305645: 12628,
      15120050: 12629,
      15177387: 12630,
      15178634: 12631,
      15312773: 12632,
      15106726: 12633,
      15248513: 12634,
      15251082: 12635,
      15308466: 12636,
      15115918: 12637,
      15044269: 12638,
      15042182: 12639,
      15047826: 12640,
      15048880: 12641,
      15050116: 12642,
      15052468: 12643,
      15055798: 12644,
      15106216: 12645,
      15109801: 12646,
      15110068: 12647,
      15119039: 12648,
      15121556: 12649,
      15172238: 12650,
      15172756: 12651,
      15173017: 12652,
      15173525: 12653,
      15174847: 12654,
      15186049: 12655,
      15239606: 12656,
      15240081: 12657,
      15242903: 12658,
      15303072: 12659,
      15305115: 12660,
      15316123: 12661,
      15049129: 12662,
      15111868: 12663,
      15118746: 12664,
      15176869: 12665,
      15042489: 12666,
      15049902: 12667,
      15050149: 12668,
      15056512: 12669,
      15056796: 12670,
      15108796: 12833,
      15112122: 12834,
      15116458: 12835,
      15117479: 12836,
      15118004: 12837,
      15175307: 12838,
      15187841: 12839,
      15246742: 12840,
      15316140: 12841,
      15316110: 12842,
      15317892: 12843,
      15053473: 12844,
      15118998: 12845,
      15240635: 12846,
      15041668: 12847,
      15053195: 12848,
      15107766: 12849,
      15239046: 12850,
      15114678: 12851,
      15174049: 12852,
      14989721: 12853,
      14991290: 12854,
      15044024: 12855,
      15106473: 12856,
      15120553: 12857,
      15182223: 12858,
      15310771: 12859,
      14989451: 12860,
      15043734: 12861,
      14990254: 12862,
      14990741: 12863,
      14990525: 12864,
      14991009: 12865,
      14990771: 12866,
      15043232: 12867,
      15044527: 12868,
      15046793: 12869,
      15049871: 12870,
      15051649: 12871,
      15052470: 12872,
      15052705: 12873,
      15181713: 12874,
      15112839: 12875,
      15113884: 12876,
      15113910: 12877,
      15117708: 12878,
      15119027: 12879,
      15172011: 12880,
      15175554: 12881,
      15181453: 12882,
      15181502: 12883,
      15182012: 12884,
      15183495: 12885,
      15239857: 12886,
      15240091: 12887,
      15240324: 12888,
      15240631: 12889,
      15241135: 12890,
      15241107: 12891,
      15244710: 12892,
      15248050: 12893,
      15046825: 12894,
      15250088: 12895,
      15253414: 12896,
      15303054: 12897,
      15309982: 12898,
      15243914: 12899,
      14991236: 12900,
      15053736: 12901,
      15108241: 12902,
      15174041: 12903,
      15176891: 12904,
      15239077: 12905,
      15239869: 12906,
      15244222: 12907,
      15250304: 12908,
      15309701: 12909,
      15312019: 12910,
      15312789: 12911,
      14990219: 12912,
      14990490: 12913,
      15247267: 12914,
      15047582: 12915,
      15049098: 12916,
      15049610: 12917,
      15055803: 12918,
      15056811: 12919,
      15106218: 12920,
      15106708: 12921,
      15106466: 12922,
      15107984: 12923,
      15108242: 12924,
      15109008: 12925,
      15111353: 12926,
      15314305: 13089,
      15112614: 13090,
      15114928: 13091,
      15119799: 13092,
      15172016: 13093,
      15177100: 13094,
      15178374: 13095,
      15185333: 13096,
      15239845: 13097,
      15245241: 13098,
      15308427: 13099,
      15309454: 13100,
      15250077: 13101,
      15042481: 13102,
      15043262: 13103,
      15049878: 13104,
      15045299: 13105,
      15052467: 13106,
      15053974: 13107,
      15107496: 13108,
      15115906: 13109,
      15120047: 13110,
      15180429: 13111,
      15242123: 13112,
      15245719: 13113,
      15247794: 13114,
      15306407: 13115,
      15313592: 13116,
      15119788: 13117,
      15312552: 13118,
      15244185: 13119,
      15048355: 13120,
      15114175: 13121,
      15244174: 13122,
      15304846: 13123,
      15043203: 13124,
      15047303: 13125,
      15044740: 13126,
      15055763: 13127,
      15109025: 13128,
      15110841: 13129,
      15114428: 13130,
      15114424: 13131,
      15118011: 13132,
      15175090: 13133,
      15180474: 13134,
      15182251: 13135,
      15247002: 13136,
      15247250: 13137,
      15250859: 13138,
      15252611: 13139,
      15303597: 13140,
      15308451: 13141,
      15309460: 13142,
      15310249: 13143,
      15052198: 13144,
      15053491: 13145,
      15115709: 13146,
      15311245: 13147,
      15311246: 13148,
      15109787: 13149,
      15183008: 13150,
      15116459: 13151,
      15116735: 13152,
      15114934: 13153,
      15315085: 13154,
      15121823: 13155,
      15042994: 13156,
      15046301: 13157,
      15106480: 13158,
      15109036: 13159,
      15119547: 13160,
      15120519: 13161,
      15121297: 13162,
      15241627: 13163,
      15246480: 13164,
      15252868: 13165,
      14989460: 13166,
      15315129: 13167,
      15044534: 13168,
      15115419: 13169,
      15116474: 13170,
      15310468: 13171,
      15114410: 13172,
      15041948: 13173,
      15182723: 13174,
      15241906: 13175,
      15304604: 13176,
      15306380: 13177,
      15047067: 13178,
      15316136: 13179,
      15114402: 13180,
      15240325: 13181,
      15241393: 13182,
      15184549: 13345,
      15042696: 13346,
      15240069: 13347,
      15176614: 13348,
      14989758: 13349,
      14990979: 13350,
      15042208: 13351,
      15052690: 13352,
      15042698: 13353,
      15043480: 13354,
      15043495: 13355,
      15054779: 13356,
      15046298: 13357,
      15048874: 13358,
      15050662: 13359,
      15052428: 13360,
      15052440: 13361,
      15052699: 13362,
      15055282: 13363,
      15055289: 13364,
      15106723: 13365,
      15107231: 13366,
      15107491: 13367,
      15107774: 13368,
      15110043: 13369,
      15111586: 13370,
      15114129: 13371,
      15114643: 13372,
      15115194: 13373,
      15117502: 13374,
      15117715: 13375,
      15118743: 13376,
      15121570: 13377,
      15122071: 13378,
      15121797: 13379,
      15176368: 13380,
      15176856: 13381,
      15178659: 13382,
      15178891: 13383,
      15182783: 13384,
      15183521: 13385,
      15184033: 13386,
      15185833: 13387,
      15187126: 13388,
      15187888: 13389,
      15237789: 13390,
      15239590: 13391,
      15240862: 13392,
      15247027: 13393,
      15248268: 13394,
      15250091: 13395,
      15303300: 13396,
      15307153: 13397,
      15308435: 13398,
      15308433: 13399,
      15308450: 13400,
      15309221: 13401,
      15310739: 13402,
      15312040: 13403,
      15239320: 13404,
      14989496: 13405,
      15044779: 13406,
      15053496: 13407,
      15054732: 13408,
      15175337: 13409,
      15178124: 13410,
      15178940: 13411,
      15053481: 13412,
      15187883: 13413,
      15250571: 13414,
      15309697: 13415,
      15310993: 13416,
      15311252: 13417,
      15311256: 13418,
      14990465: 13419,
      14990478: 13420,
      15044017: 13421,
      15046300: 13422,
      15047080: 13423,
      15048634: 13424,
      15050119: 13425,
      15051913: 13426,
      15052676: 13427,
      15053456: 13428,
      15054988: 13429,
      15055294: 13430,
      15056780: 13431,
      15110062: 13432,
      15113402: 13433,
      15112087: 13434,
      15112098: 13435,
      15113375: 13436,
      15115147: 13437,
      15115140: 13438,
      15116703: 13601,
      15055024: 13602,
      15118213: 13603,
      15118487: 13604,
      15118781: 13605,
      15177151: 13606,
      15181192: 13607,
      15052195: 13608,
      15181952: 13609,
      15185024: 13610,
      15056573: 13611,
      15246991: 13612,
      15247512: 13613,
      15250100: 13614,
      15250871: 13615,
      15252364: 13616,
      15252637: 13617,
      15311778: 13618,
      15313038: 13619,
      15314108: 13620,
      14989952: 13621,
      15040957: 13622,
      15041664: 13623,
      15050387: 13624,
      15052444: 13625,
      15108271: 13626,
      15108736: 13627,
      15111084: 13628,
      15117498: 13629,
      15174304: 13630,
      15177361: 13631,
      15181191: 13632,
      15187625: 13633,
      15245243: 13634,
      15248060: 13635,
      15248816: 13636,
      15109804: 13637,
      15241098: 13638,
      15310496: 13639,
      15044745: 13640,
      15044739: 13641,
      15046315: 13642,
      15114644: 13643,
      15116696: 13644,
      15247792: 13645,
      15179943: 13646,
      15113653: 13647,
      15317901: 13648,
      15044020: 13649,
      15052450: 13650,
      15238298: 13651,
      15243664: 13652,
      15302790: 13653,
      14989464: 13654,
      14989701: 13655,
      14990215: 13656,
      14990481: 13657,
      15044490: 13658,
      15044792: 13659,
      15052462: 13660,
      15056019: 13661,
      15106213: 13662,
      15111569: 13663,
      15113405: 13664,
      15118722: 13665,
      15118770: 13666,
      15119267: 13667,
      15172024: 13668,
      15175811: 13669,
      15182262: 13670,
      15182510: 13671,
      15182984: 13672,
      15185050: 13673,
      15184830: 13674,
      15185318: 13675,
      15112103: 13676,
      15174043: 13677,
      15044283: 13678,
      15053189: 13679,
      15054760: 13680,
      15109010: 13681,
      15109024: 13682,
      15109273: 13683,
      15120544: 13684,
      15243674: 13685,
      15247537: 13686,
      15251357: 13687,
      15305656: 13688,
      15121537: 13689,
      15181478: 13690,
      15314330: 13691,
      14989992: 13692,
      14989995: 13693,
      14989996: 13694,
      14991003: 13857,
      14991008: 13858,
      15041425: 13859,
      15041927: 13860,
      15182774: 13861,
      15041969: 13862,
      15042486: 13863,
      15043988: 13864,
      15043745: 13865,
      15044031: 13866,
      15044523: 13867,
      15046316: 13868,
      15049347: 13869,
      15053729: 13870,
      15056055: 13871,
      15056266: 13872,
      15106223: 13873,
      15106448: 13874,
      15106477: 13875,
      15109279: 13876,
      15111577: 13877,
      15116683: 13878,
      15119233: 13879,
      15174530: 13880,
      15174573: 13881,
      15179695: 13882,
      15238072: 13883,
      15238277: 13884,
      15239304: 13885,
      15242638: 13886,
      15303607: 13887,
      15306657: 13888,
      15310783: 13889,
      15312279: 13890,
      15313306: 13891,
      14990256: 13892,
      15042461: 13893,
      15052973: 13894,
      15112833: 13895,
      15115693: 13896,
      15053184: 13897,
      15113138: 13898,
      15115701: 13899,
      15175305: 13900,
      15114640: 13901,
      15184513: 13902,
      15041413: 13903,
      15043492: 13904,
      15048071: 13905,
      15054782: 13906,
      15305894: 13907,
      15111844: 13908,
      15117475: 13909,
      15117501: 13910,
      15175860: 13911,
      15181441: 13912,
      15181501: 13913,
      15183243: 13914,
      15185802: 13915,
      15239865: 13916,
      15241100: 13917,
      15245759: 13918,
      15246751: 13919,
      15248569: 13920,
      15253393: 13921,
      15304593: 13922,
      15044767: 13923,
      15305344: 13924,
      14989725: 13925,
      15040694: 13926,
      15044517: 13927,
      15043770: 13928,
      15174551: 13929,
      15175318: 13930,
      15179689: 13931,
      15240102: 13932,
      15252143: 13933,
      15312774: 13934,
      15312776: 13935,
      15312786: 13936,
      15041975: 13937,
      15107226: 13938,
      15243678: 13939,
      15046320: 13940,
      15182266: 13941,
      15040950: 13942,
      15052691: 13943,
      15303047: 13944,
      15309445: 13945,
      14989490: 13946,
      15117211: 13947,
      15304615: 13948,
      15053201: 13949,
      15053192: 13950,
      15109784: 14113,
      15182495: 14114,
      15118995: 14115,
      15310260: 14116,
      15252897: 14117,
      15182506: 14118,
      15173258: 14119,
      15309448: 14120,
      15184514: 14121,
      15114391: 14122,
      15186352: 14123,
      15114641: 14124,
      15306156: 14125,
      15043506: 14126,
      15044763: 14127,
      15242923: 14128,
      15247507: 14129,
      15187620: 14130,
      15252365: 14131,
      15303585: 14132,
      15044006: 14133,
      15245960: 14134,
      15181185: 14135,
      14991234: 14136,
      15041214: 14137,
      15042705: 14138,
      15041924: 14139,
      15046035: 14140,
      15047853: 14141,
      15175594: 14142,
      15048331: 14143,
      15050129: 14144,
      15056290: 14145,
      15056516: 14146,
      15106485: 14147,
      15107510: 14148,
      15107495: 14149,
      15107753: 14150,
      15109810: 14151,
      15110330: 14152,
      15111596: 14153,
      15112623: 14154,
      15114626: 14155,
      15120531: 14156,
      15177126: 14157,
      15182013: 14158,
      15184827: 14159,
      15185292: 14160,
      15185561: 14161,
      15186315: 14162,
      15187371: 14163,
      15240334: 14164,
      15240586: 14165,
      15244173: 14166,
      15247496: 14167,
      15247779: 14168,
      15248806: 14169,
      15252413: 14170,
      15311002: 14171,
      15316623: 14172,
      15239864: 14173,
      15253390: 14174,
      15314856: 14175,
      15043207: 14176,
      15108255: 14177,
      15110787: 14178,
      15122304: 14179,
      15309465: 14180,
      15114625: 14181,
      15041169: 14182,
      15117472: 14183,
      15118778: 14184,
      15121812: 14185,
      15182260: 14186,
      15185296: 14187,
      15245696: 14188,
      15247523: 14189,
      15113352: 14190,
      14990262: 14191,
      15040697: 14192,
      15040678: 14193,
      15040933: 14194,
      15041980: 14195,
      15042744: 14196,
      15042979: 14197,
      15046311: 14198,
      15047823: 14199,
      15048837: 14200,
      15051660: 14201,
      15055802: 14202,
      15107762: 14203,
      15108024: 14204,
      15109043: 14205,
      15109554: 14206,
      15115420: 14369,
      15116457: 14370,
      15174077: 14371,
      15174316: 14372,
      15174830: 14373,
      15179924: 14374,
      15180207: 14375,
      15185337: 14376,
      15178892: 14377,
      15237801: 14378,
      15246987: 14379,
      15248537: 14380,
      15250338: 14381,
      15252370: 14382,
      15303075: 14383,
      15306165: 14384,
      15309242: 14385,
      15311253: 14386,
      15313043: 14387,
      15317432: 14388,
      15041923: 14389,
      15044255: 14390,
      15044275: 14391,
      15055291: 14392,
      15056038: 14393,
      15120539: 14394,
      15121040: 14395,
      15175300: 14396,
      15175614: 14397,
      15185283: 14398,
      15239351: 14399,
      15247488: 14400,
      15248314: 14401,
      15309200: 14402,
      14989710: 14403,
      15040651: 14404,
      15044516: 14405,
      15045052: 14406,
      15047610: 14407,
      15050641: 14408,
      15052196: 14409,
      15054769: 14410,
      15055531: 14411,
      15056039: 14412,
      15108280: 14413,
      15111557: 14414,
      15113903: 14415,
      15120790: 14416,
      15174544: 14417,
      15184778: 14418,
      15246004: 14419,
      15237793: 14420,
      15238049: 14421,
      15241136: 14422,
      15243662: 14423,
      15248007: 14424,
      15251368: 14425,
      15304887: 14426,
      15309703: 14427,
      15311271: 14428,
      15318163: 14429,
      14989972: 14430,
      14989970: 14431,
      14990477: 14432,
      15043976: 14433,
      15045001: 14434,
      15044798: 14435,
      15050927: 14436,
      15056524: 14437,
      15056545: 14438,
      15106719: 14439,
      15114919: 14440,
      15116942: 14441,
      15176090: 14442,
      15180417: 14443,
      15248030: 14444,
      15248036: 14445,
      15248823: 14446,
      15304336: 14447,
      14989726: 14448,
      15314825: 14449,
      14989988: 14450,
      14990780: 14451,
      14991023: 14452,
      15040665: 14453,
      15040662: 14454,
      15041929: 14455,
      15041964: 14456,
      15043231: 14457,
      15043257: 14458,
      15043518: 14459,
      15044250: 14460,
      15044515: 14461,
      15044753: 14462,
      15044750: 14625,
      15046281: 14626,
      15048081: 14627,
      15048354: 14628,
      15050173: 14629,
      15052180: 14630,
      15052189: 14631,
      15052431: 14632,
      15054757: 14633,
      15054759: 14634,
      15054775: 14635,
      15055288: 14636,
      15055491: 14637,
      15055514: 14638,
      15055543: 14639,
      15056024: 14640,
      15106450: 14641,
      15107468: 14642,
      15108759: 14643,
      15109016: 14644,
      15109799: 14645,
      15111355: 14646,
      15112322: 14647,
      15112579: 14648,
      15113140: 14649,
      15113645: 14650,
      15114401: 14651,
      15114903: 14652,
      15116171: 14653,
      15118751: 14654,
      15119530: 14655,
      15119785: 14656,
      15120559: 14657,
      15121053: 14658,
      15176882: 14659,
      15178375: 14660,
      15180204: 14661,
      15182015: 14662,
      15184800: 14663,
      15185029: 14664,
      15185048: 14665,
      15185310: 14666,
      15185585: 14667,
      15237269: 14668,
      15237251: 14669,
      15237807: 14670,
      15237809: 14671,
      15238548: 14672,
      15238799: 14673,
      15239338: 14674,
      15240594: 14675,
      15245708: 14676,
      15245729: 14677,
      15248539: 14678,
      15250082: 14679,
      15250364: 14680,
      15303562: 14681,
      15304117: 14682,
      15305137: 14683,
      15179967: 14684,
      15305660: 14685,
      15308452: 14686,
      15309197: 14687,
      15310981: 14688,
      15312537: 14689,
      15313816: 14690,
      15316155: 14691,
      15042971: 14692,
      15043243: 14693,
      15044535: 14694,
      15044744: 14695,
      15049621: 14696,
      15109047: 14697,
      15122336: 14698,
      15249834: 14699,
      15252895: 14700,
      15317689: 14701,
      15041931: 14702,
      15042747: 14703,
      15045002: 14704,
      15047613: 14705,
      15182208: 14706,
      15304119: 14707,
      15316384: 14708,
      15317906: 14709,
      15175044: 14710,
      15121545: 14711,
      15238576: 14712,
      15176849: 14713,
      15056829: 14714,
      15106970: 14715,
      15313576: 14716,
      15174555: 14717,
      15253180: 14718,
      15117732: 14881,
      15310979: 14882,
      14990218: 14883,
      15047600: 14884,
      15048100: 14885,
      15049406: 14886,
      15051162: 14887,
      15106472: 14888,
      15107975: 14889,
      15112335: 14890,
      15112326: 14891,
      15114425: 14892,
      15114929: 14893,
      15120311: 14894,
      15177621: 14895,
      15185082: 14896,
      15239598: 14897,
      15314306: 14898,
      14989979: 14899,
      14990736: 14900,
      15044489: 14901,
      15045766: 14902,
      15054255: 14903,
      15054758: 14904,
      15054766: 14905,
      15114171: 14906,
      15119001: 14907,
      15176115: 14908,
      15179906: 14909,
      15247760: 14910,
      15306390: 14911,
      15246239: 14912,
      15048080: 14913,
      15055527: 14914,
      15109291: 14915,
      15041205: 14916,
      15041196: 14917,
      15042189: 14918,
      15113344: 14919,
      15045513: 14920,
      15049118: 14921,
      15050427: 14922,
      15052464: 14923,
      15056297: 14924,
      15108493: 14925,
      15109793: 14926,
      15114429: 14927,
      15117747: 14928,
      15120520: 14929,
      15172029: 14930,
      15304583: 14931,
      15174272: 14932,
      15179925: 14933,
      15179942: 14934,
      15181229: 14935,
      15111822: 14936,
      15185072: 14937,
      15241116: 14938,
      15246209: 14939,
      15252617: 14940,
      15309467: 14941,
      15042980: 14942,
      15047848: 14943,
      15113616: 14944,
      15187370: 14945,
      15250081: 14946,
      15042228: 14947,
      15048066: 14948,
      15308970: 14949,
      15048890: 14950,
      15115914: 14951,
      15237812: 14952,
      15045298: 14953,
      15053966: 14954,
      15048636: 14955,
      15180437: 14956,
      15316922: 14957,
      14990748: 14958,
      15042954: 14959,
      15045259: 14960,
      15110334: 14961,
      15112360: 14962,
      15113364: 14963,
      15114165: 14964,
      15182468: 14965,
      15183254: 14966,
      15185058: 14967,
      15305903: 14968,
      15114652: 14969,
      15314605: 14970,
      15183033: 14971,
      15043737: 14972,
      15042186: 14973,
      15042743: 14974,
      15052703: 15137,
      15109046: 15138,
      15110830: 15139,
      15111078: 15140,
      15113389: 15141,
      15118010: 15142,
      15242921: 15143,
      15309713: 15144,
      15178384: 15145,
      15314838: 15146,
      15109516: 15147,
      15305862: 15148,
      15314603: 15149,
      15178431: 15150,
      15112594: 15151,
      14989449: 15152,
      15041176: 15153,
      15044482: 15154,
      15053233: 15155,
      15106984: 15156,
      15110802: 15157,
      15111587: 15158,
      15114655: 15159,
      15173542: 15160,
      15175562: 15161,
      15176867: 15162,
      15183511: 15163,
      15186562: 15164,
      15243925: 15165,
      15249027: 15166,
      15250331: 15167,
      15304120: 15168,
      15312016: 15169,
      15111852: 15170,
      15112875: 15171,
      15117963: 15172,
      14990229: 15173,
      14990228: 15174,
      14990522: 15175,
      14990783: 15176,
      15042746: 15177,
      15044536: 15178,
      15044530: 15179,
      15046563: 15180,
      15047579: 15181,
      15049643: 15182,
      15050635: 15183,
      15050633: 15184,
      15050687: 15185,
      15052176: 15186,
      15053197: 15187,
      15054978: 15188,
      15055019: 15189,
      15056791: 15190,
      15106205: 15191,
      15109255: 15192,
      15111343: 15193,
      15052188: 15194,
      15111855: 15195,
      15111869: 15196,
      15112104: 15197,
      15113885: 15198,
      15117730: 15199,
      15117755: 15200,
      15118479: 15201,
      15175045: 15202,
      15181193: 15203,
      15181697: 15204,
      15184824: 15205,
      15185049: 15206,
      15185067: 15207,
      15237794: 15208,
      15238274: 15209,
      15239091: 15210,
      15246998: 15211,
      15247774: 15212,
      15247785: 15213,
      15247782: 15214,
      15248012: 15215,
      15248302: 15216,
      15250311: 15217,
      15250332: 15218,
      15309708: 15219,
      15311804: 15220,
      15117743: 15221,
      14989963: 15222,
      14990524: 15223,
      14990989: 15224,
      15041936: 15225,
      15052183: 15226,
      15052730: 15227,
      15107464: 15228,
      15109249: 15229,
      15112578: 15230,
      15117473: 15393,
      15121291: 15394,
      15119035: 15395,
      15173822: 15396,
      15176381: 15397,
      15177620: 15398,
      15180673: 15399,
      15180986: 15400,
      15237260: 15401,
      15237299: 15402,
      15239082: 15403,
      15241876: 15404,
      15253150: 15405,
      15118736: 15406,
      15317439: 15407,
      15056015: 15408,
      15248792: 15409,
      15316139: 15410,
      15182778: 15411,
      15252408: 15412,
      15052429: 15413,
      15309739: 15414,
      14989443: 15415,
      15044529: 15416,
      15048631: 15417,
      15049905: 15418,
      15051657: 15419,
      15052452: 15420,
      15106697: 15421,
      15120831: 15422,
      15121542: 15423,
      15177406: 15424,
      15250346: 15425,
      15052447: 15426,
      15242368: 15427,
      15183776: 15428,
      15040946: 15429,
      15114164: 15430,
      15239837: 15431,
      15053217: 15432,
      15242634: 15433,
      15186078: 15434,
      15239310: 15435,
      15042201: 15436,
      15052932: 15437,
      15109544: 15438,
      15250854: 15439,
      15111836: 15440,
      15173038: 15441,
      15180990: 15442,
      15185047: 15443,
      15237253: 15444,
      15248541: 15445,
      15252362: 15446,
      15303086: 15447,
      15244167: 15448,
      15303338: 15449,
      15040671: 15450,
      15043514: 15451,
      15052986: 15452,
      15113619: 15453,
      15172028: 15454,
      15173813: 15455,
      15304076: 15456,
      15304584: 15457,
      15305899: 15458,
      15240101: 15459,
      15052674: 15460,
      15056049: 15461,
      15107001: 15462,
      14989499: 15463,
      15044502: 15464,
      15052424: 15465,
      15108491: 15466,
      15113393: 15467,
      15117962: 15468,
      15174569: 15469,
      15175584: 15470,
      15181998: 15471,
      15238571: 15472,
      15251107: 15473,
      15304082: 15474,
      15312534: 15475,
      15041682: 15476,
      15044503: 15477,
      15045034: 15478,
      15052735: 15479,
      15109768: 15480,
      15116473: 15481,
      15185580: 15482,
      15309952: 15483,
      15047578: 15484,
      15044494: 15485,
      15045032: 15486,
      15052439: 15649,
      15052977: 15650,
      15054750: 15651,
      14991278: 15652,
      15107201: 15653,
      15109054: 15654,
      15119538: 15655,
      15181696: 15656,
      15181707: 15657,
      15185282: 15658,
      15186317: 15659,
      15187858: 15660,
      15239085: 15661,
      15239327: 15662,
      15241872: 15663,
      15245702: 15664,
      15246770: 15665,
      15249040: 15666,
      15251892: 15667,
      15252655: 15668,
      15302833: 15669,
      15304075: 15670,
      15304108: 15671,
      15309702: 15672,
      15304348: 15673,
      14990208: 15674,
      14990735: 15675,
      15041925: 15676,
      15043969: 15677,
      15056531: 15678,
      15108238: 15679,
      15114132: 15680,
      15118721: 15681,
      15120523: 15682,
      15175075: 15683,
      15186086: 15684,
      15304589: 15685,
      15305347: 15686,
      15044500: 15687,
      15049881: 15688,
      15052479: 15689,
      15120273: 15690,
      15181213: 15691,
      15186094: 15692,
      15184539: 15693,
      15049150: 15694,
      15173279: 15695,
      15042490: 15696,
      15245715: 15697,
      15253424: 15698,
      14991242: 15699,
      15053755: 15700,
      15112357: 15701,
      15179436: 15702,
      15182755: 15703,
      15239324: 15704,
      15312831: 15705,
      15042438: 15706,
      15056554: 15707,
      15112108: 15708,
      15115695: 15709,
      15117961: 15710,
      15120307: 15711,
      15121046: 15712,
      15121828: 15713,
      15178686: 15714,
      15185044: 15715,
      15054753: 15716,
      15303093: 15717,
      15304327: 15718,
      15310982: 15719,
      15042470: 15720,
      15042717: 15721,
      15108480: 15722,
      15112849: 15723,
      15113113: 15724,
      15120538: 15725,
      15055542: 15726,
      15185810: 15727,
      15187378: 15728,
      15113144: 15729,
      15242927: 15730,
      15243191: 15731,
      15248312: 15732,
      15043241: 15733,
      15044505: 15734,
      15050163: 15735,
      15055503: 15736,
      15056528: 15737,
      15106453: 15738,
      15305636: 15739,
      15309220: 15740,
      15041207: 15741,
      15041695: 15742,
      15043485: 15905,
      15043744: 15906,
      15043975: 15907,
      15044524: 15908,
      15045544: 15909,
      15046022: 15910,
      15045809: 15911,
      15046807: 15912,
      15050152: 15913,
      15050430: 15914,
      15050940: 15915,
      15052469: 15916,
      15052934: 15917,
      15052943: 15918,
      15052945: 15919,
      15052954: 15920,
      15055492: 15921,
      15055498: 15922,
      15055776: 15923,
      15056304: 15924,
      15108543: 15925,
      15108740: 15926,
      15109019: 15927,
      15109772: 15928,
      15109559: 15929,
      15112327: 15930,
      15112332: 15931,
      15112365: 15932,
      15112630: 15933,
      15113662: 15934,
      15114914: 15935,
      15116447: 15936,
      15116469: 15937,
      15119036: 15938,
      15120008: 15939,
      15120521: 15940,
      15120792: 15941,
      15172796: 15942,
      15172774: 15943,
      15173031: 15944,
      15177607: 15945,
      15178881: 15946,
      15180189: 15947,
      15180929: 15948,
      15181221: 15949,
      15181744: 15950,
      15182752: 15951,
      15182993: 15952,
      15184551: 15953,
      15185081: 15954,
      15237782: 15955,
      15241110: 15956,
      15241867: 15957,
      15242633: 15958,
      15245725: 15959,
      15246259: 15960,
      15247519: 15961,
      15247548: 15962,
      15247764: 15963,
      15247795: 15964,
      15249825: 15965,
      15250334: 15966,
      15304356: 15967,
      15305126: 15968,
      15306174: 15969,
      15306904: 15970,
      15309468: 15971,
      15310488: 15972,
      14989450: 15973,
      14989448: 15974,
      14989470: 15975,
      14989719: 15976,
      15042199: 15977,
      15042992: 15978,
      15048590: 15979,
      15048884: 15980,
      15049612: 15981,
      15051938: 15982,
      15055032: 15983,
      15106949: 15984,
      15111102: 15985,
      15113633: 15986,
      15113622: 15987,
      15119748: 15988,
      15174326: 15989,
      15177139: 15990,
      15182243: 15991,
      15241912: 15992,
      15248818: 15993,
      15304376: 15994,
      15305888: 15995,
      15046833: 15996,
      15048628: 15997,
      15311806: 15998,
      15109037: 16161,
      15115405: 16162,
      15117974: 16163,
      15173549: 16164,
      15186324: 16165,
      15237559: 16166,
      15239602: 16167,
      15247270: 16168,
      15311775: 16169,
      15244693: 16170,
      15253169: 16171,
      15052987: 16172,
      14990520: 16173,
      14991265: 16174,
      14991029: 16175,
      15045767: 16176,
      15050912: 16177,
      15052701: 16178,
      15052713: 16179,
      15056771: 16180,
      15107470: 16181,
      15109295: 16182,
      15111856: 16183,
      15112587: 16184,
      15115182: 16185,
      15115931: 16186,
      15119800: 16187,
      15120305: 16188,
      15176883: 16189,
      15177401: 16190,
      15178911: 16191,
      15181214: 16192,
      15181734: 16193,
      15185075: 16194,
      15239075: 16195,
      15239855: 16196,
      15242922: 16197,
      15247018: 16198,
      15247546: 16199,
      15252139: 16200,
      15253147: 16201,
      15302834: 16202,
      15304605: 16203,
      15309959: 16204,
      14990010: 16205,
      14990209: 16206,
      15042691: 16207,
      15049141: 16208,
      15049644: 16209,
      15052939: 16210,
      15176858: 16211,
      15052989: 16212,
      15238542: 16213,
      15247498: 16214,
      15253381: 16215,
      15309219: 16216,
      15310253: 16217,
      15183013: 16218,
      15248271: 16219,
      15310984: 16220,
      15304098: 16221,
      15047603: 16222,
      15044264: 16223,
      15302807: 16224,
      15044793: 16225,
      15048322: 16226,
      15055013: 16227,
      15109800: 16228,
      15118516: 16229,
      15172234: 16230,
      15179169: 16231,
      15184523: 16232,
      15187872: 16233,
      15245744: 16234,
      15303042: 16235,
      15304084: 16236,
      15305872: 16237,
      15305880: 16238,
      15309455: 16239,
      15176094: 16240,
      15313796: 16241,
      15053959: 16242,
      15054249: 16243,
      15111600: 16244,
      15113890: 16245,
      15251112: 16246,
      15309723: 16247,
      15109550: 16248,
      15113609: 16249,
      15115417: 16250,
      15241093: 16251,
      15310999: 16252,
      15309696: 16253,
      15246270: 16254,
      15122052: 16417,
      15110586: 16418,
      15052728: 16419,
      14989462: 16420,
      15171756: 16421,
      15177117: 16422,
      15112367: 16423,
      15042436: 16424,
      15042742: 16425,
      15043490: 16426,
      15050643: 16427,
      15056513: 16428,
      15106215: 16429,
      15108240: 16430,
      15111359: 16431,
      15111604: 16432,
      15112351: 16433,
      15112628: 16434,
      15115186: 16435,
      15114390: 16436,
      15117731: 16437,
      15120517: 16438,
      15174066: 16439,
      15176863: 16440,
      15178651: 16441,
      15184574: 16442,
      15237526: 16443,
      15049648: 16444,
      15246269: 16445,
      15246783: 16446,
      15248032: 16447,
      15248019: 16448,
      15248267: 16449,
      15302813: 16450,
      15304338: 16451,
      15310226: 16452,
      15310233: 16453,
      15111817: 16454,
      15181966: 16455,
      15238278: 16456,
      15309499: 16457,
      15055021: 16458,
      15106972: 16459,
      15108250: 16460,
      15111845: 16461,
      15112340: 16462,
      15113872: 16463,
      15179699: 16464,
      15182221: 16465,
      15184269: 16466,
      15186110: 16467,
      15238282: 16468,
      15250092: 16469,
      15250852: 16470,
      15251361: 16471,
      15251871: 16472,
      15180457: 16473,
      15042695: 16474,
      15109017: 16475,
      15109797: 16476,
      15110530: 16477,
      15108760: 16478,
      15247533: 16479,
      15182467: 16480,
      15183744: 16481,
      15248044: 16482,
      15309738: 16483,
      15185334: 16484,
      15239308: 16485,
      15244681: 16486,
      14990233: 16487,
      15041928: 16488,
      15043971: 16489,
      15044e3: 16490,
      15052451: 16491,
      15052930: 16492,
      15052950: 16493,
      15054749: 16494,
      15108262: 16495,
      15108487: 16496,
      15110832: 16497,
      15114387: 16498,
      15114420: 16499,
      15119241: 16500,
      15119749: 16501,
      15119511: 16502,
      15114131: 16503,
      15121820: 16504,
      15173006: 16505,
      15173053: 16506,
      15112075: 16507,
      15182271: 16508,
      15183533: 16509,
      15185818: 16510,
      15186314: 16673,
      15187624: 16674,
      15238586: 16675,
      15239323: 16676,
      15239353: 16677,
      15242918: 16678,
      15247790: 16679,
      15250318: 16680,
      15251381: 16681,
      15303096: 16682,
      15303095: 16683,
      15305389: 16684,
      15305361: 16685,
      15308419: 16686,
      15314606: 16687,
      15042957: 16688,
      15046276: 16689,
      15121592: 16690,
      15172790: 16691,
      15041960: 16692,
      15181445: 16693,
      15186325: 16694,
      15238835: 16695,
      15184782: 16696,
      15047052: 16697,
      15049105: 16698,
      15053480: 16699,
      15109802: 16700,
      15113150: 16701,
      15113149: 16702,
      15115674: 16703,
      15174553: 16704,
      15177359: 16705,
      15177358: 16706,
      15180942: 16707,
      15181206: 16708,
      15181727: 16709,
      15184535: 16710,
      15185056: 16711,
      15185284: 16712,
      15243399: 16713,
      15247540: 16714,
      15308987: 16715,
      15303073: 16716,
      15318176: 16717,
      15041447: 16718,
      15042997: 16719,
      15044492: 16720,
      15044514: 16721,
      15040649: 16722,
      15046314: 16723,
      15049646: 16724,
      15050127: 16725,
      15173821: 16726,
      15052427: 16727,
      15053220: 16728,
      15043741: 16729,
      15106979: 16730,
      15106995: 16731,
      15109532: 16732,
      15109763: 16733,
      15109311: 16734,
      15109819: 16735,
      15111053: 16736,
      15112105: 16737,
      15113145: 16738,
      15054755: 16739,
      15116173: 16740,
      15116221: 16741,
      15121557: 16742,
      15173541: 16743,
      14989961: 16744,
      15177641: 16745,
      15178680: 16746,
      15182483: 16747,
      15184799: 16748,
      15185807: 16749,
      15185564: 16750,
      15237537: 16751,
      15240585: 16752,
      15240600: 16753,
      15241644: 16754,
      15241916: 16755,
      15243195: 16756,
      15246213: 16757,
      15250864: 16758,
      15302785: 16759,
      15303085: 16760,
      15306391: 16761,
      15309980: 16762,
      15313042: 16763,
      15041423: 16764,
      15049367: 16765,
      15107726: 16766,
      15239059: 16929,
      15242421: 16930,
      15250568: 16931,
      15302816: 16932,
      14991235: 16933,
      15040948: 16934,
      15042951: 16935,
      15044019: 16936,
      15106479: 16937,
      15109513: 16938,
      15113631: 16939,
      15120556: 16940,
      15251123: 16941,
      15302815: 16942,
      14991255: 16943,
      15053214: 16944,
      15250314: 16945,
      15112079: 16946,
      15185562: 16947,
      15043986: 16948,
      15245974: 16949,
      15041974: 16950,
      15110019: 16951,
      15052184: 16952,
      15052203: 16953,
      15052938: 16954,
      15110285: 16955,
      15113617: 16956,
      15303068: 16957,
      14990230: 16958,
      15049882: 16959,
      15049898: 16960,
      15118768: 16961,
      15247761: 16962,
      15045822: 16963,
      15048853: 16964,
      15050405: 16965,
      15106992: 16966,
      15108499: 16967,
      15114113: 16968,
      15239349: 16969,
      15115669: 16970,
      15309184: 16971,
      15312772: 16972,
      15313064: 16973,
      14990739: 16974,
      15048838: 16975,
      15052734: 16976,
      15237264: 16977,
      15053489: 16978,
      15055023: 16979,
      15056517: 16980,
      15106208: 16981,
      15107467: 16982,
      15108276: 16983,
      15113151: 16984,
      15119280: 16985,
      15121310: 16986,
      15238030: 16987,
      15238591: 16988,
      15240084: 16989,
      15245963: 16990,
      15250104: 16991,
      15302784: 16992,
      15302830: 16993,
      15309450: 16994,
      15317915: 16995,
      15314843: 16996,
      14990243: 16997,
      15044528: 16998,
      15049895: 16999,
      15183020: 17e3,
      15304333: 17001,
      15311244: 17002,
      15316921: 17003,
      15121309: 17004,
      15171751: 17005,
      15043987: 17006,
      15046020: 17007,
      15052421: 17008,
      15108504: 17009,
      15108766: 17010,
      15109011: 17011,
      15119010: 17012,
      15122351: 17013,
      15175842: 17014,
      15247511: 17015,
      15306936: 17016,
      15122305: 17017,
      15248318: 17018,
      15240376: 17019,
      15042471: 17020,
      15244216: 17021,
      15044522: 17022,
      15044521: 17185,
      14990726: 17186,
      15303060: 17187,
      15253168: 17188,
      15050154: 17189,
      15238321: 17190,
      15054781: 17191,
      15182762: 17192,
      15253183: 17193,
      15115162: 17194,
      15249591: 17195,
      15174584: 17196,
      15315336: 17197,
      15116477: 17198,
      15248048: 17199,
      14989497: 17200,
      15043992: 17201,
      15046790: 17202,
      15048102: 17203,
      15108997: 17204,
      15109794: 17205,
      15112102: 17206,
      15117710: 17207,
      15120289: 17208,
      15120795: 17209,
      15172269: 17210,
      15179693: 17211,
      15182767: 17212,
      15183530: 17213,
      15185595: 17214,
      15237309: 17215,
      15238022: 17216,
      15244171: 17217,
      15248021: 17218,
      15306139: 17219,
      15047587: 17220,
      15049607: 17221,
      15056062: 17222,
      15111853: 17223,
      15112854: 17224,
      15116928: 17225,
      15118005: 17226,
      15176887: 17227,
      15248263: 17228,
      15040676: 17229,
      15179685: 17230,
      15047856: 17231,
      15056027: 17232,
      15106469: 17233,
      15112634: 17234,
      15118752: 17235,
      15177652: 17236,
      15181978: 17237,
      15187374: 17238,
      15239092: 17239,
      15244440: 17240,
      15303045: 17241,
      15312563: 17242,
      15183753: 17243,
      15177116: 17244,
      15182777: 17245,
      15183249: 17246,
      15242116: 17247,
      15302800: 17248,
      15181737: 17249,
      15182482: 17250,
      15240374: 17251,
      15051681: 17252,
      15179136: 17253,
      14989485: 17254,
      14990258: 17255,
      15052441: 17256,
      15056800: 17257,
      15108797: 17258,
      15112380: 17259,
      15114161: 17260,
      15119272: 17261,
      15243691: 17262,
      15245751: 17263,
      15247547: 17264,
      15304078: 17265,
      15305651: 17266,
      15312784: 17267,
      15116439: 17268,
      15171750: 17269,
      15174826: 17270,
      15240103: 17271,
      15241623: 17272,
      15250095: 17273,
      14989441: 17274,
      15041926: 17275,
      15042443: 17276,
      15046283: 17277,
      15052725: 17278,
      15054998: 17441,
      15055027: 17442,
      15055489: 17443,
      15056020: 17444,
      15056053: 17445,
      15056299: 17446,
      15056564: 17447,
      15108018: 17448,
      15109265: 17449,
      15112866: 17450,
      15113373: 17451,
      15121838: 17452,
      15174034: 17453,
      15176890: 17454,
      15178938: 17455,
      15237556: 17456,
      15238329: 17457,
      15238584: 17458,
      15244726: 17459,
      15248063: 17460,
      15248284: 17461,
      15251077: 17462,
      15251379: 17463,
      15305370: 17464,
      15308215: 17465,
      15310978: 17466,
      15315877: 17467,
      15043461: 17468,
      15109527: 17469,
      15178676: 17470,
      15113365: 17471,
      15118984: 17472,
      15175565: 17473,
      15250307: 17474,
      15306414: 17475,
      15309235: 17476,
      15119525: 17477,
      15049372: 17478,
      15115406: 17479,
      15116172: 17480,
      15253437: 17481,
      15306394: 17482,
      15177627: 17483,
      15302810: 17484,
      15049114: 17485,
      15114370: 17486,
      15109812: 17487,
      15116219: 17488,
      14990723: 17489,
      15121580: 17490,
      15114136: 17491,
      15253179: 17492,
      15242406: 17493,
      15185588: 17494,
      15306132: 17495,
      15115455: 17496,
      15121840: 17497,
      15048106: 17498,
      15049655: 17499,
      15051948: 17500,
      15185068: 17501,
      15173802: 17502,
      15044746: 17503,
      15304611: 17504,
      15316660: 17505,
      14989997: 17506,
      14990734: 17507,
      15040924: 17508,
      15040949: 17509,
      15042947: 17510,
      15250078: 17511,
      15045e3: 17512,
      15048868: 17513,
      15052442: 17514,
      15055005: 17515,
      15055509: 17516,
      15055533: 17517,
      15055799: 17518,
      15056031: 17519,
      15106700: 17520,
      15108789: 17521,
      15109306: 17522,
      15110032: 17523,
      15114927: 17524,
      15118720: 17525,
      15180423: 17526,
      15181454: 17527,
      15181963: 17528,
      15185824: 17529,
      15239559: 17530,
      15247490: 17531,
      15248294: 17532,
      15251844: 17533,
      15302803: 17534,
      15303352: 17697,
      15303853: 17698,
      15304600: 17699,
      15318158: 17700,
      15119269: 17701,
      15110552: 17702,
      15111074: 17703,
      15111605: 17704,
      15121332: 17705,
      15178372: 17706,
      15183003: 17707,
      15303081: 17708,
      15306641: 17709,
      15121082: 17710,
      15045554: 17711,
      15056569: 17712,
      15110820: 17713,
      15252877: 17714,
      15253421: 17715,
      15305092: 17716,
      15041976: 17717,
      15049131: 17718,
      15049897: 17719,
      15053205: 17720,
      15055511: 17721,
      15120315: 17722,
      15186575: 17723,
      15176860: 17724,
      15250108: 17725,
      15252386: 17726,
      15311259: 17727,
      15172281: 17728,
      14990493: 17729,
      15118015: 17730,
      15122097: 17731,
      15176880: 17732,
      15309755: 17733,
      15041934: 17734,
      15044752: 17735,
      15048885: 17736,
      15049111: 17737,
      15050412: 17738,
      15053216: 17739,
      15056530: 17740,
      15111831: 17741,
      15113628: 17742,
      15120545: 17743,
      15178171: 17744,
      15241119: 17745,
      15250349: 17746,
      15302804: 17747,
      15303613: 17748,
      15306125: 17749,
      15179941: 17750,
      15179962: 17751,
      15043242: 17752,
      15055526: 17753,
      15047839: 17754,
      15050164: 17755,
      15106194: 17756,
      15040658: 17757,
      15041946: 17758,
      15042220: 17759,
      15042445: 17760,
      15042688: 17761,
      15045776: 17762,
      15049108: 17763,
      15049112: 17764,
      15050135: 17765,
      15052437: 17766,
      15053750: 17767,
      15054475: 17768,
      15106748: 17769,
      15108757: 17770,
      15110317: 17771,
      15113649: 17772,
      15114627: 17773,
      15114940: 17774,
      15115167: 17775,
      15178647: 17776,
      15120280: 17777,
      15120815: 17778,
      15120027: 17779,
      15172015: 17780,
      15173512: 17781,
      15056275: 17782,
      15177624: 17783,
      15181239: 17784,
      15183241: 17785,
      15183252: 17786,
      15183250: 17787,
      15184790: 17788,
      15185329: 17789,
      15042736: 17790,
      15241635: 17953,
      15242665: 17954,
      15243172: 17955,
      15247502: 17956,
      15248516: 17957,
      15249798: 17958,
      15251599: 17959,
      15302787: 17960,
      15302799: 17961,
      15306905: 17962,
      15309238: 17963,
      15311021: 17964,
      15313072: 17965,
      15308696: 17966,
      15041421: 17967,
      15043477: 17968,
      15044748: 17969,
      15048834: 17970,
      15052942: 17971,
      15107751: 17972,
      15110814: 17973,
      15119518: 17974,
      15179443: 17975,
      15182757: 17976,
      15238068: 17977,
      15241348: 17978,
      15303059: 17979,
      15305349: 17980,
      15053728: 17981,
      15316103: 17982,
      15043775: 17983,
      15056535: 17984,
      15056563: 17985,
      15120028: 17986,
      15174073: 17987,
      15179171: 17988,
      15181503: 17989,
      15183780: 17990,
      15118226: 17991,
      15174572: 17992,
      15248045: 17993,
      15114371: 17994,
      15116705: 17995,
      15042488: 17996,
      15182465: 17997,
      15115444: 17998,
      15053194: 17999,
      15315894: 18e3,
      15240107: 18001,
      15052677: 18002,
      15304073: 18003,
      15171742: 18004,
      15047096: 18005,
      15053231: 18006,
      15106951: 18007,
      15111590: 18008,
      15118988: 18009,
      15249818: 18010,
      15303041: 18011,
      15310995: 18012,
      15045009: 18013,
      15113095: 18014,
      15304845: 18015,
      15050120: 18016,
      15303331: 18017,
      15042181: 18018,
      14989709: 18019,
      15042474: 18020,
      15242905: 18021,
      15248526: 18022,
      15171992: 18023,
      15109562: 18024,
      15306123: 18025,
      15115682: 18026,
      15312564: 18027,
      15186052: 18028,
      15177143: 18029,
      15043991: 18030,
      15115680: 18031,
      15252383: 18032,
      15309731: 18033,
      15118749: 18034,
      14989964: 18035,
      15052988: 18036,
      15056016: 18037,
      15253417: 18038,
      15043714: 18039,
      15250321: 18040,
      15237769: 18041,
      15243705: 18042,
      15055807: 18043,
      15112101: 18044,
      14989747: 18045,
      15041957: 18046,
      15050370: 18209,
      15052991: 18210,
      15310766: 18211,
      14990267: 18212,
      15050378: 18213,
      15056781: 18214,
      15248013: 18215,
      15122337: 18216,
      15181488: 18217,
      15181218: 18218,
      15052711: 18219,
      15241649: 18220,
      15174827: 18221,
      15173297: 18222,
      15055284: 18223,
      15056821: 18224,
      15109563: 18225,
      15110810: 18226,
      15173507: 18227,
      15184536: 18228,
      14989699: 18229,
      15055804: 18230,
      14989707: 18231,
      15048604: 18232,
      15047330: 18233,
      15106729: 18234,
      15122307: 18235,
      15185037: 18236,
      15238077: 18237,
      15238323: 18238,
      15238847: 18239,
      15253170: 18240,
      15246999: 18241,
      15243940: 18242,
      15054772: 18243,
      15108746: 18244,
      15110829: 18245,
      15246983: 18246,
      15113655: 18247,
      15119266: 18248,
      15119550: 18249,
      15175862: 18250,
      15179956: 18251,
      15051142: 18252,
      15187381: 18253,
      15239853: 18254,
      15312556: 18255,
      14991283: 18256,
      15055747: 18257,
      15109021: 18258,
      15109778: 18259,
      15111575: 18260,
      15113647: 18261,
      15178627: 18262,
      15174028: 18263,
      15238028: 18264,
      15237818: 18265,
      15252649: 18266,
      15304077: 18267,
      15040653: 18268,
      15048633: 18269,
      15051410: 18270,
      15114885: 18271,
      15115699: 18272,
      15173028: 18273,
      15174589: 18274,
      15250103: 18275,
      15049650: 18276,
      15250336: 18277,
      15309226: 18278,
      15302809: 18279,
      15244735: 18280,
      15181732: 18281,
      15179687: 18282,
      15241385: 18283,
      14990511: 18284,
      15042981: 18285,
      15043994: 18286,
      15109005: 18287,
      15114127: 18288,
      15119242: 18289,
      15178173: 18290,
      15183508: 18291,
      15184533: 18292,
      15239350: 18293,
      15242884: 18294,
      15253419: 18295,
      15113117: 18296,
      15121568: 18297,
      15173766: 18298,
      15186075: 18299,
      15240875: 18300,
      15312769: 18301,
      15317670: 18302,
      15042493: 18465,
      15183537: 18466,
      15180210: 18467,
      15183544: 18468,
      15237767: 18469,
      15183240: 18470,
      15117224: 18471,
      15055265: 18472,
      15237772: 18473,
      15177105: 18474,
      15177120: 18475,
      15041963: 18476,
      15305122: 18477,
      15121036: 18478,
      15178170: 18479,
      15304343: 18480,
      15313834: 18481,
      14990480: 18482,
      15187376: 18483,
      15108764: 18484,
      15183247: 18485,
      15308453: 18486,
      15315881: 18487,
      15047098: 18488,
      15049113: 18489,
      15244196: 18490,
      15309500: 18491,
      14990516: 18492,
      15042724: 18493,
      15043978: 18494,
      15044493: 18495,
      15044507: 18496,
      15054982: 18497,
      15110316: 18498,
      15111825: 18499,
      15113663: 18500,
      15118526: 18501,
      15118734: 18502,
      15174024: 18503,
      15174319: 18504,
      15175597: 18505,
      15177108: 18506,
      15186305: 18507,
      15239340: 18508,
      15243177: 18509,
      15250089: 18510,
      15183748: 18511,
      15304582: 18512,
      15173033: 18513,
      15310994: 18514,
      15311791: 18515,
      15109309: 18516,
      15112617: 18517,
      15177130: 18518,
      15178660: 18519,
      15180688: 18520,
      15242627: 18521,
      15244206: 18522,
      15043754: 18523,
      15043985: 18524,
      15044774: 18525,
      15050371: 18526,
      15055495: 18527,
      15056316: 18528,
      15106738: 18529,
      15108489: 18530,
      15108537: 18531,
      15108779: 18532,
      15111824: 18533,
      15118228: 18534,
      15119244: 18535,
      15177394: 18536,
      15178414: 18537,
      15180433: 18538,
      15181720: 18539,
      15185803: 18540,
      15187383: 18541,
      15237797: 18542,
      15245995: 18543,
      15248057: 18544,
      15250107: 18545,
      15303103: 18546,
      15310238: 18547,
      15311771: 18548,
      15116427: 18549,
      15184056: 18550,
      15041177: 18551,
      15052990: 18552,
      15056558: 18553,
      15113863: 18554,
      15118232: 18555,
      15175861: 18556,
      15178889: 18557,
      15187598: 18558,
      15318203: 18721,
      15114122: 18722,
      15181975: 18723,
      15043769: 18724,
      15177355: 18725,
      15313837: 18726,
      15056294: 18727,
      15238813: 18728,
      15241137: 18729,
      15237784: 18730,
      15056060: 18731,
      15056773: 18732,
      15177122: 18733,
      15183238: 18734,
      15302844: 18735,
      15114663: 18736,
      15050667: 18737,
      15051419: 18738,
      15185040: 18739,
      15178174: 18740,
      15248556: 18741,
      14991285: 18742,
      15056298: 18743,
      15116441: 18744,
      15118519: 18745,
      15121538: 18746,
      15176610: 18747,
      15181224: 18748,
      15245736: 18749,
      15247765: 18750,
      15249849: 18751,
      15055775: 18752,
      15110031: 18753,
      15177605: 18754,
      15181714: 18755,
      15240087: 18756,
      15305896: 18757,
      15305650: 18758,
      15241884: 18759,
      15244205: 18760,
      15315117: 18761,
      15045505: 18762,
      15056300: 18763,
      15111820: 18764,
      15119772: 18765,
      15171733: 18766,
      15250087: 18767,
      15250323: 18768,
      15311035: 18769,
      15111567: 18770,
      15176630: 18771,
      14989453: 18772,
      14990232: 18773,
      15048608: 18774,
      15049899: 18775,
      15051174: 18776,
      15052684: 18777,
      15042216: 18778,
      15054979: 18779,
      15055516: 18780,
      15106198: 18781,
      15108534: 18782,
      15111607: 18783,
      15111847: 18784,
      15112622: 18785,
      15119790: 18786,
      15173814: 18787,
      15183014: 18788,
      15238544: 18789,
      15238810: 18790,
      15239833: 18791,
      15248796: 18792,
      15250080: 18793,
      15250342: 18794,
      15250868: 18795,
      15308956: 18796,
      15309188: 18797,
      14991022: 18798,
      15110827: 18799,
      15117734: 18800,
      15239326: 18801,
      15241633: 18802,
      15242666: 18803,
      15303592: 18804,
      15052929: 18805,
      15115667: 18806,
      15311528: 18807,
      15241658: 18808,
      15242647: 18809,
      14990479: 18810,
      15042991: 18811,
      15056553: 18812,
      15055237: 18813,
      15113357: 18814,
      15181455: 18977,
      15238585: 18978,
      15246471: 18979,
      15246982: 18980,
      15120309: 18981,
      15056023: 18982,
      15108501: 18983,
      15119032: 18984,
      14990223: 18985,
      15174057: 18986,
      15314578: 18987,
      15042694: 18988,
      15044795: 18989,
      15047092: 18990,
      15049395: 18991,
      15107748: 18992,
      15108526: 18993,
      15172762: 18994,
      15050158: 18995,
      15184521: 18996,
      15184798: 18997,
      15185051: 18998,
      15309744: 18999,
      15111815: 19e3,
      15237534: 19001,
      14989465: 19002,
      14990773: 19003,
      15041973: 19004,
      15049088: 19005,
      15055267: 19006,
      15055283: 19007,
      15056010: 19008,
      15114116: 19009,
      14989478: 19010,
      15242429: 19011,
      15308425: 19012,
      15309211: 19013,
      15184307: 19014,
      15310977: 19015,
      15041467: 19016,
      15049601: 19017,
      15178134: 19018,
      15180455: 19019,
      15042725: 19020,
      15179429: 19021,
      15242385: 19022,
      15183494: 19023,
      15040911: 19024,
      15049865: 19025,
      15174023: 19026,
      15183751: 19027,
      15185832: 19028,
      15253178: 19029,
      15253396: 19030,
      15303053: 19031,
      14991039: 19032,
      15043465: 19033,
      15050921: 19034,
      15056001: 19035,
      15310509: 19036,
      14991261: 19037,
      15239319: 19038,
      15305642: 19039,
      15047811: 19040,
      15109525: 19041,
      15117737: 19042,
      15176875: 19043,
      15246236: 19044,
      15252628: 19045,
      15182210: 19046,
      15043487: 19047,
      15049363: 19048,
      15107477: 19049,
      15108234: 19050,
      15112878: 19051,
      15118221: 19052,
      15184063: 19053,
      15241129: 19054,
      15040675: 19055,
      14991288: 19056,
      15043717: 19057,
      15044998: 19058,
      15048881: 19059,
      15050121: 19060,
      15052445: 19061,
      15053744: 19062,
      15053743: 19063,
      15053993: 19064,
      15055510: 19065,
      15108785: 19066,
      15109543: 19067,
      15111358: 19068,
      15111865: 19069,
      15113355: 19070,
      15119253: 19233,
      15119265: 19234,
      15172537: 19235,
      15179954: 19236,
      15186091: 19237,
      15238046: 19238,
      15239859: 19239,
      15241356: 19240,
      15242156: 19241,
      15244418: 19242,
      15246482: 19243,
      15247530: 19244,
      15249802: 19245,
      15303334: 19246,
      15305618: 19247,
      15311805: 19248,
      15315891: 19249,
      15316396: 19250,
      14989711: 19251,
      14989985: 19252,
      15041165: 19253,
      15042966: 19254,
      15048074: 19255,
      15050408: 19256,
      15055037: 19257,
      15056792: 19258,
      15056793: 19259,
      15108287: 19260,
      15112884: 19261,
      15113371: 19262,
      15114128: 19263,
      15115154: 19264,
      15042194: 19265,
      15185057: 19266,
      15237802: 19267,
      15238824: 19268,
      15248512: 19269,
      15250060: 19270,
      15250111: 19271,
      15305150: 19272,
      15308978: 19273,
      15044768: 19274,
      15311020: 19275,
      15043735: 19276,
      15041429: 19277,
      15043996: 19278,
      15049384: 19279,
      15110834: 19280,
      15113396: 19281,
      15174055: 19282,
      15179174: 19283,
      15182214: 19284,
      15304614: 19285,
      15043459: 19286,
      15119009: 19287,
      15117958: 19288,
      15048832: 19289,
      15055244: 19290,
      15050132: 19291,
      15113388: 19292,
      15187899: 19293,
      15042465: 19294,
      15178630: 19295,
      15110569: 19296,
      15180712: 19297,
      15314324: 19298,
      15317691: 19299,
      15048587: 19300,
      15050425: 19301,
      15112359: 19302,
      15113882: 19303,
      15118222: 19304,
      15045545: 19305,
      15116185: 19306,
      15055253: 19307,
      15238812: 19308,
      15113877: 19309,
      15314602: 19310,
      15114174: 19311,
      15315346: 19312,
      15114653: 19313,
      14989990: 19314,
      14991267: 19315,
      15044488: 19316,
      15108793: 19317,
      15113387: 19318,
      15119019: 19319,
      15253380: 19320,
      14991021: 19321,
      15186349: 19322,
      15317695: 19323,
      14989447: 19324,
      15107490: 19325,
      15121024: 19326,
      15121579: 19489,
      15242387: 19490,
      15045043: 19491,
      15113386: 19492,
      15314309: 19493,
      15054771: 19494,
      15183509: 19495,
      15053484: 19496,
      15052678: 19497,
      15244444: 19498,
      15120778: 19499,
      15242129: 19500,
      15181972: 19501,
      15238280: 19502,
      15050393: 19503,
      15184525: 19504,
      15118481: 19505,
      15178912: 19506,
      15043481: 19507,
      15049890: 19508,
      15172769: 19509,
      15174047: 19510,
      15179675: 19511,
      15309991: 19512,
      15316385: 19513,
      15115403: 19514,
      15051199: 19515,
      15050904: 19516,
      15042213: 19517,
      15044749: 19518,
      15045053: 19519,
      15112334: 19520,
      15178655: 19521,
      15253431: 19522,
      15305368: 19523,
      15315892: 19524,
      15050666: 19525,
      15174045: 19526,
      15121285: 19527,
      15041933: 19528,
      15115145: 19529,
      15185599: 19530,
      15185836: 19531,
      15310242: 19532,
      15317690: 19533,
      15110584: 19534,
      15116449: 19535,
      15240322: 19536,
      15050372: 19537,
      15052191: 19538,
      15118235: 19539,
      15174811: 19540,
      15178674: 19541,
      15185586: 19542,
      15237271: 19543,
      15241881: 19544,
      15041714: 19545,
      15113384: 19546,
      15317913: 19547,
      15178670: 19548,
      15113634: 19549,
      15043519: 19550,
      15312005: 19551,
      15052964: 19552,
      15108283: 19553,
      15184318: 19554,
      15250096: 19555,
      15046031: 19556,
      15106742: 19557,
      15185035: 19558,
      15308416: 19559,
      15043713: 19560,
      14989727: 19561,
      15042230: 19562,
      15049884: 19563,
      15173818: 19564,
      15237302: 19565,
      15304590: 19566,
      15056037: 19567,
      15179682: 19568,
      15044228: 19569,
      15056313: 19570,
      15185028: 19571,
      15242924: 19572,
      15247539: 19573,
      15252109: 19574,
      15310230: 19575,
      15114163: 19576,
      15242926: 19577,
      15307155: 19578,
      15107209: 19579,
      15107208: 19580,
      15119033: 19581,
      15178130: 19582,
      15248301: 19745,
      15252664: 19746,
      15045807: 19747,
      14990737: 19748,
      15041706: 19749,
      15043463: 19750,
      15044491: 19751,
      15052453: 19752,
      15055293: 19753,
      15106720: 19754,
      15107714: 19755,
      15110038: 19756,
      15113353: 19757,
      15114138: 19758,
      15120807: 19759,
      15120012: 19760,
      15174838: 19761,
      15174839: 19762,
      15176881: 19763,
      15181200: 19764,
      15246229: 19765,
      15248024: 19766,
      15303050: 19767,
      15303313: 19768,
      15303605: 19769,
      15309700: 19770,
      15244941: 19771,
      15049877: 19772,
      14989960: 19773,
      14990745: 19774,
      14989454: 19775,
      15248009: 19776,
      15252671: 19777,
      15310992: 19778,
      15041197: 19779,
      15055292: 19780,
      15050390: 19781,
      15052473: 19782,
      15055544: 19783,
      15110042: 19784,
      15110074: 19785,
      15111041: 19786,
      15113116: 19787,
      15115658: 19788,
      15116184: 19789,
      15119499: 19790,
      15121078: 19791,
      15173268: 19792,
      15176872: 19793,
      15182511: 19794,
      15187594: 19795,
      15237248: 19796,
      15241609: 19797,
      15242121: 19798,
      15246977: 19799,
      15248545: 19800,
      15251594: 19801,
      15303077: 19802,
      15309245: 19803,
      15312010: 19804,
      15107518: 19805,
      15108753: 19806,
      15117490: 19807,
      15118979: 19808,
      15119796: 19809,
      15187852: 19810,
      15187900: 19811,
      15120256: 19812,
      15187589: 19813,
      15244986: 19814,
      15246264: 19815,
      15113637: 19816,
      15240881: 19817,
      15311036: 19818,
      15309751: 19819,
      15119515: 19820,
      15185313: 19821,
      15241405: 19822,
      15304106: 19823,
      14989745: 19824,
      15044021: 19825,
      15054224: 19826,
      15117444: 19827,
      15122347: 19828,
      15243149: 19829,
      15243437: 19830,
      15247015: 19831,
      15042729: 19832,
      15044751: 19833,
      15053221: 19834,
      15113614: 19835,
      15114920: 19836,
      15175814: 19837,
      15176323: 19838,
      15177634: 20001,
      15246223: 20002,
      15246241: 20003,
      15304588: 20004,
      15309730: 20005,
      15309240: 20006,
      15056523: 20007,
      15175303: 20008,
      15182731: 20009,
      15241614: 20010,
      15109792: 20011,
      15177125: 20012,
      15043209: 20013,
      15119745: 20014,
      15121052: 20015,
      15175817: 20016,
      15177113: 20017,
      15180203: 20018,
      15184530: 20019,
      15309446: 20020,
      15182748: 20021,
      15318669: 20022,
      14991030: 20023,
      15107502: 20024,
      15112069: 20025,
      15243676: 20026,
      14989958: 20027,
      14989998: 20028,
      15041434: 20029,
      14989473: 20030,
      15042444: 20031,
      15052718: 20032,
      15111833: 20033,
      15114881: 20034,
      15120060: 20035,
      15174815: 20036,
      15178114: 20037,
      15179437: 20038,
      15181980: 20039,
      15184807: 20040,
      15239599: 20041,
      15248274: 20042,
      15303100: 20043,
      15304591: 20044,
      15309237: 20045,
      15311e3: 20046,
      15043227: 20047,
      15185809: 20048,
      15040683: 20049,
      15044248: 20050,
      15113879: 20051,
      15120267: 20052,
      15173520: 20053,
      15175859: 20054,
      15239080: 20055,
      15252650: 20056,
      15309475: 20057,
      15315351: 20058,
      15317663: 20059,
      15176096: 20060,
      15049089: 20061,
      15120025: 20062,
      15185071: 20063,
      15311262: 20064,
      14990244: 20065,
      14990518: 20066,
      14990987: 20067,
      15042231: 20068,
      15043249: 20069,
      15054522: 20070,
      15106204: 20071,
      15175346: 20072,
      15180988: 20073,
      15240083: 20074,
      15304884: 20075,
      15309495: 20076,
      15309750: 20077,
      15309962: 20078,
      15317655: 20079,
      15318434: 20080,
      15112870: 20081,
      15117748: 20082,
      15042711: 20083,
      15043235: 20084,
      15172488: 20085,
      15246210: 20086,
      15055753: 20087,
      15106443: 20088,
      15107728: 20089,
      15121571: 20090,
      15173001: 20091,
      15184062: 20092,
      15185844: 20093,
      15237551: 20094,
      15242158: 20257,
      15302819: 20258,
      15305900: 20259,
      15044994: 20260,
      15314351: 20261,
      15117203: 20262,
      15172233: 20263,
      15250306: 20264,
      15251375: 20265,
      15310002: 20266,
      15043252: 20267,
      15051137: 20268,
      15055754: 20269,
      15056004: 20270,
      15113367: 20271,
      15115708: 20272,
      15115924: 20273,
      15119786: 20274,
      15121551: 20275,
      15174050: 20276,
      15174588: 20277,
      15183789: 20278,
      15237249: 20279,
      15237566: 20280,
      15244683: 20281,
      15303566: 20282,
      15041965: 20283,
      15317651: 20284,
      15181444: 20285,
      15237771: 20286,
      15305906: 20287,
      15248278: 20288,
      15040685: 20289,
      15045260: 20290,
      15247793: 20291,
      15117738: 20292,
      15250308: 20293,
      15238279: 20294,
      15106961: 20295,
      15113888: 20296,
      15316914: 20297,
      14989977: 20298,
      14989976: 20299,
      15315088: 20300,
      15247787: 20301,
      15243137: 20302,
      15242664: 20303,
      15115392: 20304,
      15120830: 20305,
      15180439: 20306,
      15238549: 20307,
      15056012: 20513,
      14989456: 20514,
      14989461: 20515,
      14989482: 20516,
      14989489: 20517,
      14989494: 20518,
      14989500: 20519,
      14989503: 20520,
      14989698: 20521,
      14989718: 20522,
      14989720: 20523,
      14989954: 20524,
      14989957: 20525,
      15249835: 20526,
      14989962: 20527,
      15239314: 20528,
      15056013: 20529,
      14989966: 20530,
      14989982: 20531,
      14989983: 20532,
      14989984: 20533,
      14989986: 20534,
      1499e4: 20535,
      14990003: 20536,
      14990006: 20537,
      14990222: 20538,
      14990221: 20539,
      14990212: 20540,
      14990214: 20541,
      14990210: 20542,
      14990231: 20543,
      14990238: 20544,
      14990253: 20545,
      14990239: 20546,
      14990263: 20547,
      14990473: 20548,
      14990746: 20549,
      14990512: 20550,
      14990747: 20551,
      14990749: 20552,
      14990743: 20553,
      14990727: 20554,
      14990774: 20555,
      14990984: 20556,
      14990991: 20557,
      14991e3: 20558,
      14990779: 20559,
      14990761: 20560,
      14990768: 20561,
      14990993: 20562,
      14990767: 20563,
      14990982: 20564,
      14990998: 20565,
      15041688: 20566,
      14991252: 20567,
      14991263: 20568,
      14991246: 20569,
      14991256: 20570,
      14991259: 20571,
      14991249: 20572,
      14991258: 20573,
      14991248: 20574,
      14991268: 20575,
      14991269: 20576,
      15040666: 20577,
      15040680: 20578,
      15040660: 20579,
      15040682: 20580,
      15040677: 20581,
      15040645: 20582,
      14990492: 20583,
      14991286: 20584,
      15040673: 20585,
      15040681: 20586,
      15040684: 20587,
      14991294: 20588,
      14991279: 20589,
      15040657: 20590,
      15040646: 20591,
      15040899: 20592,
      15040903: 20593,
      15113347: 20594,
      15040917: 20595,
      15040912: 20596,
      15040904: 20597,
      15040922: 20598,
      15040918: 20599,
      15040940: 20600,
      15040952: 20601,
      15041152: 20602,
      15041178: 20603,
      15041157: 20604,
      15041204: 20605,
      15041202: 20606,
      15041417: 20769,
      15041418: 20770,
      15041203: 20771,
      15041410: 20772,
      15041430: 20773,
      15041438: 20774,
      15041445: 20775,
      15041453: 20776,
      15041443: 20777,
      15041454: 20778,
      15041465: 20779,
      15041461: 20780,
      15041673: 20781,
      15041665: 20782,
      15041666: 20783,
      15041686: 20784,
      15041685: 20785,
      15041684: 20786,
      15041690: 20787,
      15041697: 20788,
      15041722: 20789,
      15041719: 20790,
      15041724: 20791,
      15041723: 20792,
      15041727: 20793,
      15041920: 20794,
      15041938: 20795,
      15041932: 20796,
      15041940: 20797,
      15041954: 20798,
      15182776: 20799,
      15041961: 20800,
      15041962: 20801,
      15041966: 20802,
      15042176: 20803,
      15042178: 20804,
      15047576: 20805,
      15042188: 20806,
      15042185: 20807,
      15042191: 20808,
      15042193: 20809,
      15042195: 20810,
      15042197: 20811,
      15042198: 20812,
      15042212: 20813,
      15042214: 20814,
      15042210: 20815,
      15042217: 20816,
      15042218: 20817,
      15042219: 20818,
      15042227: 20819,
      15042225: 20820,
      15042226: 20821,
      15042224: 20822,
      15042229: 20823,
      15042237: 20824,
      15042437: 20825,
      15042441: 20826,
      15042459: 20827,
      15042464: 20828,
      15243669: 20829,
      15042473: 20830,
      15042477: 20831,
      15042480: 20832,
      15042485: 20833,
      15042494: 20834,
      15042692: 20835,
      15042699: 20836,
      15042708: 20837,
      15042702: 20838,
      15042727: 20839,
      15042730: 20840,
      15042734: 20841,
      15042739: 20842,
      15042745: 20843,
      15042959: 20844,
      15042948: 20845,
      15042955: 20846,
      15042956: 20847,
      15042974: 20848,
      15042964: 20849,
      15042986: 20850,
      15042996: 20851,
      15042985: 20852,
      15042995: 20853,
      15043007: 20854,
      15043005: 20855,
      15043213: 20856,
      15043220: 20857,
      15043218: 20858,
      15042993: 20859,
      15043208: 20860,
      15043217: 20861,
      15253160: 20862,
      15253159: 21025,
      15043244: 21026,
      15043245: 21027,
      15043260: 21028,
      15043253: 21029,
      15043457: 21030,
      15043469: 21031,
      15043479: 21032,
      15043486: 21033,
      15043491: 21034,
      15043494: 21035,
      15311789: 21036,
      15043488: 21037,
      15043507: 21038,
      15043509: 21039,
      15043512: 21040,
      15043513: 21041,
      15043718: 21042,
      15043720: 21043,
      15176888: 21044,
      15043725: 21045,
      15043728: 21046,
      15043727: 21047,
      15043733: 21048,
      15043738: 21049,
      15043747: 21050,
      15043759: 21051,
      15043761: 21052,
      15043763: 21053,
      15043768: 21054,
      15043968: 21055,
      15043974: 21056,
      15043973: 21057,
      14989463: 21058,
      15043977: 21059,
      15043981: 21060,
      15042454: 21061,
      15043998: 21062,
      15044009: 21063,
      15044014: 21064,
      15049880: 21065,
      15044027: 21066,
      15044023: 21067,
      15044226: 21068,
      15044246: 21069,
      15044256: 21070,
      15044262: 21071,
      15044261: 21072,
      15044270: 21073,
      15044272: 21074,
      15044278: 21075,
      15044483: 21076,
      15184018: 21077,
      15309721: 21078,
      15044511: 21079,
      15113148: 21080,
      15173550: 21081,
      15044526: 21082,
      15044520: 21083,
      15044525: 21084,
      15044538: 21085,
      15044737: 21086,
      15044797: 21087,
      15044992: 21088,
      15044780: 21089,
      15044781: 21090,
      15044796: 21091,
      15044782: 21092,
      15044790: 21093,
      15044777: 21094,
      15044765: 21095,
      15045006: 21096,
      15045263: 21097,
      15045045: 21098,
      15045262: 21099,
      15045023: 21100,
      15045041: 21101,
      15045047: 21102,
      15045040: 21103,
      15045266: 21104,
      15045051: 21105,
      15045248: 21106,
      15045046: 21107,
      15045252: 21108,
      15045264: 21109,
      15045254: 21110,
      15045511: 21111,
      15045282: 21112,
      15045304: 21113,
      15045285: 21114,
      15045292: 21115,
      15045508: 21116,
      15045512: 21117,
      15045288: 21118,
      15045291: 21281,
      15045506: 21282,
      15045284: 21283,
      15045310: 21284,
      15045308: 21285,
      15045528: 21286,
      15045541: 21287,
      15045542: 21288,
      15045775: 21289,
      15045780: 21290,
      15045565: 21291,
      15045550: 21292,
      15045549: 21293,
      15045562: 21294,
      15045538: 21295,
      15045817: 21296,
      15046016: 21297,
      15046051: 21298,
      15046028: 21299,
      15045806: 21300,
      15046044: 21301,
      15046021: 21302,
      15046038: 21303,
      15046039: 21304,
      15045816: 21305,
      15045811: 21306,
      15046045: 21307,
      15046297: 21308,
      15046272: 21309,
      15045295: 21310,
      15046282: 21311,
      15046303: 21312,
      15046075: 21313,
      15046078: 21314,
      15046296: 21315,
      15046302: 21316,
      15046318: 21317,
      15046076: 21318,
      15046275: 21319,
      15046313: 21320,
      15046279: 21321,
      15046312: 21322,
      15046554: 21323,
      15046533: 21324,
      15046559: 21325,
      15046532: 21326,
      15046556: 21327,
      15046564: 21328,
      15046548: 21329,
      15046804: 21330,
      15046583: 21331,
      15046806: 21332,
      15046590: 21333,
      15046589: 21334,
      15046811: 21335,
      15046585: 21336,
      15047054: 21337,
      15047056: 21338,
      15173535: 21339,
      15046836: 21340,
      15046838: 21341,
      15046834: 21342,
      15046840: 21343,
      15047083: 21344,
      15047076: 21345,
      15046831: 21346,
      15047084: 21347,
      15047082: 21348,
      15047302: 21349,
      15047296: 21350,
      15047306: 21351,
      15047328: 21352,
      15047316: 21353,
      15047311: 21354,
      15047333: 21355,
      15047342: 21356,
      15047350: 21357,
      15047348: 21358,
      15047554: 21359,
      15047356: 21360,
      15047553: 21361,
      15047555: 21362,
      15047552: 21363,
      15047560: 21364,
      15047566: 21365,
      15047569: 21366,
      15047571: 21367,
      15047575: 21368,
      15047598: 21369,
      15047609: 21370,
      15047808: 21371,
      15047615: 21372,
      15047812: 21373,
      15047817: 21374,
      15047816: 21537,
      15047819: 21538,
      15047821: 21539,
      15047827: 21540,
      15047832: 21541,
      15047830: 21542,
      15046535: 21543,
      15047836: 21544,
      15047846: 21545,
      15047863: 21546,
      15047864: 21547,
      15048078: 21548,
      15047867: 21549,
      15048064: 21550,
      15048079: 21551,
      15048105: 21552,
      15048576: 21553,
      15048328: 21554,
      15048097: 21555,
      15048127: 21556,
      15048329: 21557,
      15048339: 21558,
      15048352: 21559,
      15048371: 21560,
      15048356: 21561,
      15048362: 21562,
      15048368: 21563,
      15048579: 21564,
      15048582: 21565,
      15048596: 21566,
      15048594: 21567,
      15048595: 21568,
      15048842: 21569,
      15048598: 21570,
      15048611: 21571,
      15048843: 21572,
      15048857: 21573,
      15048861: 21574,
      15049138: 21575,
      15048865: 21576,
      15049122: 21577,
      15049099: 21578,
      15049136: 21579,
      15118208: 21580,
      15049106: 21581,
      15048893: 21582,
      15049145: 21583,
      15049349: 21584,
      15049401: 21585,
      15049375: 21586,
      15049387: 21587,
      15049402: 21588,
      15049630: 21589,
      15049403: 21590,
      15049400: 21591,
      15049390: 21592,
      15049605: 21593,
      15049619: 21594,
      15049617: 21595,
      15049623: 21596,
      15049625: 21597,
      15049624: 21598,
      15049637: 21599,
      15049628: 21600,
      15049636: 21601,
      15049631: 21602,
      15049647: 21603,
      15049658: 21604,
      15049657: 21605,
      15049659: 21606,
      15049660: 21607,
      15049661: 21608,
      15049858: 21609,
      15049866: 21610,
      15049872: 21611,
      15049883: 21612,
      15114918: 21613,
      15049893: 21614,
      15049900: 21615,
      15049901: 21616,
      15049906: 21617,
      15049912: 21618,
      15049918: 21619,
      15182738: 21620,
      15050133: 21621,
      15050128: 21622,
      15050126: 21623,
      15050138: 21624,
      15050136: 21625,
      15050146: 21626,
      15050144: 21627,
      15050151: 21628,
      15050156: 21629,
      15050153: 21630,
      15050168: 21793,
      15050369: 21794,
      15050397: 21795,
      14990750: 21796,
      14991019: 21797,
      15050403: 21798,
      15050418: 21799,
      15050630: 21800,
      15050664: 21801,
      15050652: 21802,
      15050381: 21803,
      15050649: 21804,
      15050650: 21805,
      15050917: 21806,
      15050911: 21807,
      15050897: 21808,
      15050908: 21809,
      15050889: 21810,
      15050906: 21811,
      15051136: 21812,
      15051180: 21813,
      15051145: 21814,
      15050933: 21815,
      15050934: 21816,
      15051170: 21817,
      15051178: 21818,
      15051418: 21819,
      15051452: 21820,
      15051454: 21821,
      15051659: 21822,
      15051650: 21823,
      15051453: 21824,
      15051683: 21825,
      15051671: 21826,
      15051686: 21827,
      15051689: 21828,
      15051670: 21829,
      15051706: 21830,
      15051707: 21831,
      15051916: 21832,
      15051915: 21833,
      15051926: 21834,
      15051954: 21835,
      15051664: 21836,
      15051946: 21837,
      15051958: 21838,
      15051966: 21839,
      15052163: 21840,
      15052165: 21841,
      15052160: 21842,
      15052177: 21843,
      15052181: 21844,
      15052186: 21845,
      15052187: 21846,
      15052197: 21847,
      15052201: 21848,
      15052208: 21849,
      15052211: 21850,
      15052213: 21851,
      15052216: 21852,
      15111816: 21853,
      15052218: 21854,
      15052416: 21855,
      15052419: 21856,
      15052454: 21857,
      15052472: 21858,
      15052675: 21859,
      15052679: 21860,
      15052681: 21861,
      15052692: 21862,
      15052688: 21863,
      15052708: 21864,
      15052710: 21865,
      15052706: 21866,
      15052702: 21867,
      15052709: 21868,
      15052715: 21869,
      15052720: 21870,
      15052726: 21871,
      15052723: 21872,
      15052933: 21873,
      15052935: 21874,
      15052936: 21875,
      15052941: 21876,
      15052947: 21877,
      15052960: 21878,
      15052962: 21879,
      15052968: 21880,
      15052984: 21881,
      15052985: 21882,
      15053185: 21883,
      15053190: 21884,
      15053198: 21885,
      15053203: 21886,
      15053200: 22049,
      15053199: 22050,
      15052209: 22051,
      15053228: 22052,
      15053230: 22053,
      14989730: 22054,
      15053238: 22055,
      15053241: 22056,
      15053452: 22057,
      15053457: 22058,
      15053460: 22059,
      15050395: 22060,
      15053483: 22061,
      15053499: 22062,
      15053494: 22063,
      15053500: 22064,
      15053495: 22065,
      15053701: 22066,
      15053502: 22067,
      15053703: 22068,
      15053721: 22069,
      15053737: 22070,
      15053757: 22071,
      15053754: 22072,
      15053741: 22073,
      15054476: 22074,
      15053738: 22075,
      15053963: 22076,
      15053973: 22077,
      15053975: 22078,
      15054236: 22079,
      15053983: 22080,
      15053979: 22081,
      15053969: 22082,
      15053972: 22083,
      15053986: 22084,
      15053978: 22085,
      15053977: 22086,
      15053976: 22087,
      15054220: 22088,
      15054226: 22089,
      15054222: 22090,
      15054219: 22091,
      15054252: 22092,
      15054259: 22093,
      15054262: 22094,
      15054471: 22095,
      15054468: 22096,
      15054466: 22097,
      15054498: 22098,
      15054493: 22099,
      15054508: 22100,
      15054510: 22101,
      15054525: 22102,
      15054480: 22103,
      15054519: 22104,
      15054524: 22105,
      15054729: 22106,
      15054733: 22107,
      15054739: 22108,
      15054738: 22109,
      15054742: 22110,
      15054747: 22111,
      15054763: 22112,
      15054770: 22113,
      15054773: 22114,
      15054987: 22115,
      15055002: 22116,
      15055001: 22117,
      15054993: 22118,
      15055003: 22119,
      15055030: 22120,
      15055031: 22121,
      15055236: 22122,
      15055235: 22123,
      15055232: 22124,
      15055246: 22125,
      15055255: 22126,
      15055252: 22127,
      15055263: 22128,
      15055266: 22129,
      15055268: 22130,
      15055239: 22131,
      15055285: 22132,
      15055286: 22133,
      15055290: 22134,
      15317692: 22135,
      15055295: 22136,
      15055520: 22137,
      15055745: 22138,
      15055746: 22139,
      15055752: 22140,
      15055760: 22141,
      15055759: 22142,
      15055766: 22305,
      15055779: 22306,
      15055773: 22307,
      15055770: 22308,
      15055771: 22309,
      15055778: 22310,
      15055777: 22311,
      15055784: 22312,
      15055785: 22313,
      15055788: 22314,
      15055793: 22315,
      15055795: 22316,
      15055792: 22317,
      15055796: 22318,
      15055800: 22319,
      15055806: 22320,
      15056003: 22321,
      15056009: 22322,
      15056285: 22323,
      15056284: 22324,
      15056011: 22325,
      15056017: 22326,
      15056022: 22327,
      15056041: 22328,
      15056045: 22329,
      15056056: 22330,
      15056257: 22331,
      15056264: 22332,
      15056268: 22333,
      15056270: 22334,
      15056047: 22335,
      15056273: 22336,
      15056278: 22337,
      15056279: 22338,
      15056281: 22339,
      15056289: 22340,
      15056301: 22341,
      15056307: 22342,
      15056311: 22343,
      15056515: 22344,
      15056514: 22345,
      15056319: 22346,
      15056522: 22347,
      15056520: 22348,
      15056529: 22349,
      15056519: 22350,
      15056542: 22351,
      15056537: 22352,
      15056536: 22353,
      15056544: 22354,
      15056552: 22355,
      15056557: 22356,
      15056572: 22357,
      15056790: 22358,
      15056827: 22359,
      15056804: 22360,
      15056824: 22361,
      15056817: 22362,
      15056797: 22363,
      15106739: 22364,
      15056831: 22365,
      15106209: 22366,
      15106464: 22367,
      15106201: 22368,
      15106192: 22369,
      15106217: 22370,
      15106190: 22371,
      15106225: 22372,
      15106203: 22373,
      15106197: 22374,
      15106219: 22375,
      15106214: 22376,
      15106191: 22377,
      15106234: 22378,
      15106458: 22379,
      15106433: 22380,
      15106474: 22381,
      15106487: 22382,
      15106463: 22383,
      15106442: 22384,
      15106438: 22385,
      15106445: 22386,
      15106467: 22387,
      15106435: 22388,
      15106468: 22389,
      15106434: 22390,
      15106476: 22391,
      15106475: 22392,
      15106457: 22393,
      15106689: 22394,
      15106701: 22395,
      15106983: 22396,
      15106691: 22397,
      15106714: 22398,
      15106692: 22561,
      15106715: 22562,
      15106710: 22563,
      15106711: 22564,
      15106706: 22565,
      15106727: 22566,
      15106699: 22567,
      15106977: 22568,
      15106744: 22569,
      15106976: 22570,
      15106963: 22571,
      15106740: 22572,
      15056816: 22573,
      15106749: 22574,
      15106950: 22575,
      15106741: 22576,
      15106968: 22577,
      15107469: 22578,
      15107221: 22579,
      15107206: 22580,
      15106998: 22581,
      15106999: 22582,
      15107200: 22583,
      15106996: 22584,
      15107002: 22585,
      15107203: 22586,
      15107233: 22587,
      15107003: 22588,
      15106993: 22589,
      15107213: 22590,
      15107214: 22591,
      15107463: 22592,
      15107262: 22593,
      15107240: 22594,
      15107239: 22595,
      15107466: 22596,
      15107263: 22597,
      15107260: 22598,
      15107244: 22599,
      15107252: 22600,
      15107261: 22601,
      15107458: 22602,
      15107460: 22603,
      15107507: 22604,
      15107511: 22605,
      15107480: 22606,
      15107481: 22607,
      15107482: 22608,
      15107499: 22609,
      15107508: 22610,
      15107503: 22611,
      15107493: 22612,
      15107505: 22613,
      15107487: 22614,
      15107485: 22615,
      15107475: 22616,
      15107509: 22617,
      15107737: 22618,
      15107734: 22619,
      15107719: 22620,
      15107756: 22621,
      15107732: 22622,
      15107738: 22623,
      15107722: 22624,
      15107729: 22625,
      15107755: 22626,
      15107758: 22627,
      15107980: 22628,
      15107978: 22629,
      15107977: 22630,
      15108023: 22631,
      15107976: 22632,
      15107971: 22633,
      15107974: 22634,
      15107770: 22635,
      15107979: 22636,
      15187385: 22637,
      15107981: 22638,
      15108006: 22639,
      15108003: 22640,
      15108022: 22641,
      15108026: 22642,
      15108020: 22643,
      15108031: 22644,
      15108029: 22645,
      15108028: 22646,
      15108030: 22647,
      15108224: 22648,
      15108232: 22649,
      15108233: 22650,
      15108237: 22651,
      15108236: 22652,
      15108244: 22653,
      15108251: 22654,
      15108254: 22817,
      15108257: 22818,
      15108266: 22819,
      15108270: 22820,
      15108272: 22821,
      15108274: 22822,
      15108275: 22823,
      15108481: 22824,
      15108494: 22825,
      15108510: 22826,
      15108515: 22827,
      15108507: 22828,
      15108512: 22829,
      15108520: 22830,
      15108540: 22831,
      15108738: 22832,
      15108745: 22833,
      15108542: 22834,
      15108754: 22835,
      15108755: 22836,
      15108758: 22837,
      15109012: 22838,
      15108739: 22839,
      15108756: 22840,
      15109015: 22841,
      15109009: 22842,
      15108795: 22843,
      15109007: 22844,
      15109055: 22845,
      15108998: 22846,
      15111060: 22847,
      15109e3: 22848,
      15109020: 22849,
      15109004: 22850,
      15109002: 22851,
      15108994: 22852,
      15108999: 22853,
      15108763: 22854,
      15109001: 22855,
      15109260: 22856,
      15109038: 22857,
      15109041: 22858,
      15109287: 22859,
      15109250: 22860,
      15109256: 22861,
      15109039: 22862,
      15109045: 22863,
      15109520: 22864,
      15109310: 22865,
      15109517: 22866,
      15110300: 22867,
      15109519: 22868,
      15109782: 22869,
      15109774: 22870,
      15109760: 22871,
      15109803: 22872,
      15109558: 22873,
      15109795: 22874,
      15109775: 22875,
      15109769: 22876,
      15109791: 22877,
      15109813: 22878,
      15109547: 22879,
      15109545: 22880,
      15109822: 22881,
      15110057: 22882,
      15110016: 22883,
      15110022: 22884,
      15110051: 22885,
      15110025: 22886,
      15110034: 22887,
      15110070: 22888,
      15110020: 22889,
      15110294: 22890,
      15110324: 22891,
      15110278: 22892,
      15110291: 22893,
      15110310: 22894,
      15110326: 22895,
      15111325: 22896,
      15110295: 22897,
      15110312: 22898,
      15110287: 22899,
      15110567: 22900,
      15110575: 22901,
      15110582: 22902,
      15110542: 22903,
      15111338: 22904,
      15110805: 22905,
      15110803: 22906,
      15110821: 22907,
      15110825: 22908,
      15110792: 22909,
      15110844: 22910,
      15111066: 23073,
      15111058: 23074,
      15111045: 23075,
      15111047: 23076,
      15110843: 23077,
      15111064: 23078,
      15111042: 23079,
      15111089: 23080,
      15111079: 23081,
      15239305: 23082,
      15111072: 23083,
      15111073: 23084,
      15108780: 23085,
      15111075: 23086,
      15111087: 23087,
      15111340: 23088,
      15111094: 23089,
      15111092: 23090,
      15111090: 23091,
      15111098: 23092,
      15111296: 23093,
      15111101: 23094,
      15111320: 23095,
      15111324: 23096,
      15111301: 23097,
      15111332: 23098,
      15111331: 23099,
      15111339: 23100,
      15111348: 23101,
      15111349: 23102,
      15111351: 23103,
      15111350: 23104,
      15111352: 23105,
      15177099: 23106,
      15111560: 23107,
      15111574: 23108,
      15111573: 23109,
      15111565: 23110,
      15111576: 23111,
      15111582: 23112,
      15111581: 23113,
      15111602: 23114,
      15111608: 23115,
      15111810: 23116,
      15111811: 23117,
      15249034: 23118,
      15111835: 23119,
      15111839: 23120,
      15111851: 23121,
      15111863: 23122,
      15112067: 23123,
      15112070: 23124,
      15112065: 23125,
      15112068: 23126,
      15112076: 23127,
      15112082: 23128,
      15112091: 23129,
      15112089: 23130,
      15112096: 23131,
      15112097: 23132,
      15112113: 23133,
      15113650: 23134,
      15112330: 23135,
      15112323: 23136,
      15112123: 23137,
      15113651: 23138,
      15112373: 23139,
      15112374: 23140,
      15112372: 23141,
      15112348: 23142,
      15112591: 23143,
      15112580: 23144,
      15112585: 23145,
      15112577: 23146,
      15112606: 23147,
      15112605: 23148,
      15112612: 23149,
      15112615: 23150,
      15112616: 23151,
      15112607: 23152,
      15112610: 23153,
      15112624: 23154,
      15112835: 23155,
      15112840: 23156,
      15112846: 23157,
      15112841: 23158,
      15112836: 23159,
      15112856: 23160,
      15112861: 23161,
      15113089: 23162,
      15112889: 23163,
      15113097: 23164,
      15112894: 23165,
      15112892: 23166,
      15113092: 23329,
      15112888: 23330,
      15113110: 23331,
      15113114: 23332,
      15113120: 23333,
      15112383: 23334,
      15113126: 23335,
      15113129: 23336,
      15113136: 23337,
      15113141: 23338,
      15113143: 23339,
      15113359: 23340,
      15113366: 23341,
      15113374: 23342,
      15113382: 23343,
      15113383: 23344,
      15310008: 23345,
      15113390: 23346,
      15113407: 23347,
      15113398: 23348,
      15113601: 23349,
      15113400: 23350,
      15113399: 23351,
      15113606: 23352,
      15113630: 23353,
      15113632: 23354,
      15113625: 23355,
      15113635: 23356,
      15113636: 23357,
      15113865: 23358,
      15113648: 23359,
      15113897: 23360,
      15113660: 23361,
      15113642: 23362,
      15113868: 23363,
      15113867: 23364,
      15113894: 23365,
      15113889: 23366,
      15113861: 23367,
      15113911: 23368,
      15114159: 23369,
      15113908: 23370,
      15114156: 23371,
      15113907: 23372,
      15114153: 23373,
      15113912: 23374,
      15114148: 23375,
      15114142: 23376,
      15114141: 23377,
      15114146: 23378,
      15114158: 23379,
      15113913: 23380,
      15114126: 23381,
      15114118: 23382,
      15114151: 23383,
      15116956: 23384,
      15114398: 23385,
      15114630: 23386,
      15114409: 23387,
      15114624: 23388,
      15114637: 23389,
      15114418: 23390,
      15114638: 23391,
      15114931: 23392,
      15114411: 23393,
      15114649: 23394,
      15114659: 23395,
      15114679: 23396,
      15114687: 23397,
      15114911: 23398,
      15114895: 23399,
      15114925: 23400,
      15114900: 23401,
      15114909: 23402,
      15114907: 23403,
      15114883: 23404,
      15116974: 23405,
      15114937: 23406,
      15114676: 23407,
      15114933: 23408,
      15114912: 23409,
      15114938: 23410,
      15115407: 23411,
      15114893: 23412,
      15114686: 23413,
      15115393: 23414,
      15115146: 23415,
      15115400: 23416,
      15115160: 23417,
      15115426: 23418,
      15115430: 23419,
      15115169: 23420,
      15115404: 23421,
      15115149: 23422,
      15115156: 23585,
      15115175: 23586,
      15115157: 23587,
      15115446: 23588,
      15115410: 23589,
      15115396: 23590,
      15115159: 23591,
      15115171: 23592,
      15115429: 23593,
      15115193: 23594,
      15115168: 23595,
      15115183: 23596,
      15115432: 23597,
      15115434: 23598,
      15115418: 23599,
      15115427: 23600,
      15115425: 23601,
      15115142: 23602,
      15115705: 23603,
      15115703: 23604,
      15115676: 23605,
      15115704: 23606,
      15115691: 23607,
      15115668: 23608,
      15115710: 23609,
      15115694: 23610,
      15115449: 23611,
      15115700: 23612,
      15115453: 23613,
      15115673: 23614,
      15115440: 23615,
      15115681: 23616,
      15115678: 23617,
      15115677: 23618,
      15115905: 23619,
      15115690: 23620,
      15115954: 23621,
      15115950: 23622,
      15116176: 23623,
      15115967: 23624,
      15116161: 23625,
      15116179: 23626,
      15115966: 23627,
      15116174: 23628,
      15052712: 23629,
      15116170: 23630,
      15116189: 23631,
      15115963: 23632,
      15116163: 23633,
      15115943: 23634,
      15116462: 23635,
      15115921: 23636,
      15115936: 23637,
      15115932: 23638,
      15115925: 23639,
      15115956: 23640,
      15116190: 23641,
      15116200: 23642,
      15116418: 23643,
      15116443: 23644,
      15116223: 23645,
      15117450: 23646,
      15116217: 23647,
      15116210: 23648,
      15116199: 23649,
      15116421: 23650,
      15115953: 23651,
      15116446: 23652,
      15116205: 23653,
      15116436: 23654,
      15116203: 23655,
      15116426: 23656,
      15116434: 23657,
      15117185: 23658,
      15116451: 23659,
      15116435: 23660,
      15116676: 23661,
      15116428: 23662,
      15116722: 23663,
      15116470: 23664,
      15116728: 23665,
      15116679: 23666,
      15116706: 23667,
      15116697: 23668,
      15116710: 23669,
      15116680: 23670,
      15116472: 23671,
      15116450: 23672,
      15116944: 23673,
      15116941: 23674,
      15116960: 23675,
      15116932: 23676,
      15116962: 23677,
      15116963: 23678,
      15116951: 23841,
      15243415: 23842,
      15116987: 23843,
      15117187: 23844,
      15117186: 23845,
      15116984: 23846,
      15116979: 23847,
      15116972: 23848,
      15117214: 23849,
      15117201: 23850,
      15117215: 23851,
      15116970: 23852,
      15117210: 23853,
      15117226: 23854,
      15117243: 23855,
      15117445: 23856,
      15243414: 23857,
      15117242: 23858,
      15117458: 23859,
      15117462: 23860,
      15314097: 23861,
      15117471: 23862,
      15117496: 23863,
      15117495: 23864,
      15178652: 23865,
      15117497: 23866,
      15311790: 23867,
      15117703: 23868,
      15117699: 23869,
      15117705: 23870,
      15117712: 23871,
      15117721: 23872,
      15117716: 23873,
      15117723: 23874,
      15117727: 23875,
      15117729: 23876,
      15117752: 23877,
      15117753: 23878,
      15117759: 23879,
      15117952: 23880,
      15117956: 23881,
      15117955: 23882,
      15117965: 23883,
      15117976: 23884,
      15117973: 23885,
      15117982: 23886,
      15117988: 23887,
      15117994: 23888,
      15117995: 23889,
      15117999: 23890,
      15118002: 23891,
      15118001: 23892,
      15118003: 23893,
      15118007: 23894,
      15118012: 23895,
      15118214: 23896,
      15118219: 23897,
      15118227: 23898,
      15118239: 23899,
      15118252: 23900,
      15118251: 23901,
      15118259: 23902,
      15118255: 23903,
      15317694: 23904,
      15118472: 23905,
      15118483: 23906,
      15118484: 23907,
      15118491: 23908,
      15118500: 23909,
      15118499: 23910,
      15118750: 23911,
      15118741: 23912,
      15118754: 23913,
      15118762: 23914,
      15118978: 23915,
      15118989: 23916,
      15119002: 23917,
      15118977: 23918,
      15119003: 23919,
      15118782: 23920,
      15118760: 23921,
      15118771: 23922,
      15118994: 23923,
      15118992: 23924,
      15119236: 23925,
      15119281: 23926,
      15119251: 23927,
      15119037: 23928,
      15119255: 23929,
      15119237: 23930,
      15119261: 23931,
      15119022: 23932,
      15119025: 23933,
      15119038: 23934,
      15119034: 24097,
      15119259: 24098,
      15119279: 24099,
      15119257: 24100,
      15119274: 24101,
      15119519: 24102,
      15245709: 24103,
      15119542: 24104,
      15119531: 24105,
      15119549: 24106,
      15119544: 24107,
      15119513: 24108,
      15119541: 24109,
      15119539: 24110,
      15119506: 24111,
      15119500: 24112,
      15119779: 24113,
      15120019: 24114,
      15119780: 24115,
      15119770: 24116,
      15119801: 24117,
      15119769: 24118,
      15120014: 24119,
      15120021: 24120,
      15122340: 24121,
      15120005: 24122,
      15120313: 24123,
      15120533: 24124,
      15120522: 24125,
      15120053: 24126,
      15120263: 24127,
      15120294: 24128,
      15120056: 24129,
      15120262: 24130,
      15120300: 24131,
      15120286: 24132,
      15120268: 24133,
      15120296: 24134,
      15120274: 24135,
      15120261: 24136,
      15120314: 24137,
      15120281: 24138,
      15120292: 24139,
      15120277: 24140,
      15120298: 24141,
      15120302: 24142,
      15120557: 24143,
      15120814: 24144,
      15120558: 24145,
      15120537: 24146,
      15120818: 24147,
      15120799: 24148,
      15120574: 24149,
      15120547: 24150,
      15120811: 24151,
      15120555: 24152,
      15120822: 24153,
      15120781: 24154,
      15120543: 24155,
      15120771: 24156,
      15120570: 24157,
      15120782: 24158,
      15120548: 24159,
      15121343: 24160,
      15120541: 24161,
      15120568: 24162,
      15121026: 24163,
      15121066: 24164,
      15121048: 24165,
      15121289: 24166,
      15121079: 24167,
      15121299: 24168,
      15121085: 24169,
      15121071: 24170,
      15121284: 24171,
      15121074: 24172,
      15121300: 24173,
      15121301: 24174,
      15121039: 24175,
      15121061: 24176,
      15121282: 24177,
      15121055: 24178,
      15121793: 24179,
      15121553: 24180,
      15171980: 24181,
      15121324: 24182,
      15121336: 24183,
      15121342: 24184,
      15121599: 24185,
      15121330: 24186,
      15121585: 24187,
      15121327: 24188,
      15121586: 24189,
      15121292: 24190,
      15121598: 24353,
      15121555: 24354,
      15121335: 24355,
      15122054: 24356,
      15121850: 24357,
      15121848: 24358,
      15122049: 24359,
      15122048: 24360,
      15121839: 24361,
      15121819: 24362,
      15122355: 24363,
      15121837: 24364,
      15122050: 24365,
      15121852: 24366,
      15121816: 24367,
      15122062: 24368,
      15122065: 24369,
      15122306: 24370,
      15121830: 24371,
      15122099: 24372,
      15122083: 24373,
      15122081: 24374,
      15122084: 24375,
      15122105: 24376,
      15122310: 24377,
      15122090: 24378,
      15122335: 24379,
      15122325: 24380,
      15122348: 24381,
      15122324: 24382,
      15122328: 24383,
      15122353: 24384,
      15122350: 24385,
      15122331: 24386,
      15171721: 24387,
      15171723: 24388,
      15122362: 24389,
      15171729: 24390,
      15171713: 24391,
      15171727: 24392,
      15122366: 24393,
      15171739: 24394,
      15171738: 24395,
      15121844: 24396,
      15171741: 24397,
      15171736: 24398,
      15171743: 24399,
      15171760: 24400,
      15171774: 24401,
      15171762: 24402,
      15171985: 24403,
      15172003: 24404,
      15172249: 24405,
      15172242: 24406,
      15172271: 24407,
      15172529: 24408,
      15172268: 24409,
      15172280: 24410,
      15172275: 24411,
      15172270: 24412,
      15172511: 24413,
      15172491: 24414,
      15172509: 24415,
      15172505: 24416,
      15172745: 24417,
      15172541: 24418,
      15172764: 24419,
      15172761: 24420,
      15173029: 24421,
      15173013: 24422,
      15173256: 24423,
      15173030: 24424,
      15173026: 24425,
      15173004: 24426,
      15173014: 24427,
      15173036: 24428,
      15173263: 24429,
      15173563: 24430,
      15173252: 24431,
      15173269: 24432,
      15173288: 24433,
      15173292: 24434,
      15173527: 24435,
      15173305: 24436,
      15173310: 24437,
      15173522: 24438,
      15173513: 24439,
      15173524: 24440,
      15173518: 24441,
      15173536: 24442,
      15173548: 24443,
      15173543: 24444,
      15173557: 24445,
      15173564: 24446,
      15173561: 24609,
      15173567: 24610,
      15173773: 24611,
      15173776: 24612,
      15173787: 24613,
      15173800: 24614,
      15173805: 24615,
      15173804: 24616,
      15173808: 24617,
      15173810: 24618,
      15173819: 24619,
      15173820: 24620,
      15173823: 24621,
      15174016: 24622,
      15174022: 24623,
      15174027: 24624,
      15174040: 24625,
      15174068: 24626,
      15174078: 24627,
      15174274: 24628,
      15174273: 24629,
      15174279: 24630,
      15174290: 24631,
      15174294: 24632,
      15174306: 24633,
      15174311: 24634,
      15174329: 24635,
      15174322: 24636,
      15174531: 24637,
      15174534: 24638,
      15174532: 24639,
      15174542: 24640,
      15174546: 24641,
      15174562: 24642,
      15174560: 24643,
      15174561: 24644,
      15174585: 24645,
      15174583: 24646,
      15040655: 24647,
      15174807: 24648,
      15174794: 24649,
      15174812: 24650,
      15174806: 24651,
      15174813: 24652,
      15174836: 24653,
      15174831: 24654,
      15174825: 24655,
      15174821: 24656,
      15174846: 24657,
      15175054: 24658,
      15175055: 24659,
      15317912: 24660,
      15175063: 24661,
      15175082: 24662,
      15175080: 24663,
      15175088: 24664,
      15175096: 24665,
      15175093: 24666,
      15175099: 24667,
      15175098: 24668,
      15175560: 24669,
      15175347: 24670,
      15175566: 24671,
      15175355: 24672,
      15175552: 24673,
      15175589: 24674,
      15175598: 24675,
      15175582: 24676,
      15176354: 24677,
      15175813: 24678,
      15176111: 24679,
      15175845: 24680,
      15175608: 24681,
      15175858: 24682,
      15175866: 24683,
      15176085: 24684,
      15175871: 24685,
      15176095: 24686,
      15176089: 24687,
      15176065: 24688,
      15176092: 24689,
      15176105: 24690,
      15176112: 24691,
      15176099: 24692,
      15176106: 24693,
      15176118: 24694,
      15176126: 24695,
      15176331: 24696,
      15176350: 24697,
      15176359: 24698,
      15176586: 24699,
      15176591: 24700,
      15176596: 24701,
      15175601: 24702,
      15176608: 24865,
      15176611: 24866,
      15176615: 24867,
      15176617: 24868,
      15176622: 24869,
      15176626: 24870,
      15176624: 24871,
      15176625: 24872,
      15176632: 24873,
      15176631: 24874,
      15176836: 24875,
      15176835: 24876,
      15176837: 24877,
      15176844: 24878,
      15176846: 24879,
      15176845: 24880,
      15176853: 24881,
      15176851: 24882,
      15176862: 24883,
      15176870: 24884,
      15176876: 24885,
      15176892: 24886,
      15177092: 24887,
      15177101: 24888,
      15177098: 24889,
      15177097: 24890,
      15177115: 24891,
      15177094: 24892,
      15177114: 24893,
      15177129: 24894,
      15177124: 24895,
      15177127: 24896,
      15177131: 24897,
      15177133: 24898,
      15177144: 24899,
      15177142: 24900,
      15177350: 24901,
      15177351: 24902,
      15177140: 24903,
      15177354: 24904,
      15177353: 24905,
      15177346: 24906,
      15177364: 24907,
      15177370: 24908,
      15177373: 24909,
      15177381: 24910,
      15177379: 24911,
      15177602: 24912,
      15177395: 24913,
      15177603: 24914,
      15177397: 24915,
      15177405: 24916,
      15177400: 24917,
      15177404: 24918,
      15177393: 24919,
      15177613: 24920,
      15177610: 24921,
      15177618: 24922,
      15177625: 24923,
      15177635: 24924,
      15177630: 24925,
      15177662: 24926,
      15177663: 24927,
      15177660: 24928,
      15177857: 24929,
      15177648: 24930,
      15177658: 24931,
      15177650: 24932,
      15177651: 24933,
      15177867: 24934,
      15177869: 24935,
      15177865: 24936,
      15177887: 24937,
      15177895: 24938,
      15177888: 24939,
      15177889: 24940,
      15177890: 24941,
      15177892: 24942,
      15177908: 24943,
      15177904: 24944,
      15177915: 24945,
      15178119: 24946,
      15178120: 24947,
      15178118: 24948,
      15178140: 24949,
      15178136: 24950,
      15178145: 24951,
      15178146: 24952,
      15178152: 24953,
      15178153: 24954,
      15178154: 24955,
      15178151: 24956,
      15178156: 24957,
      15178160: 24958,
      15178162: 25121,
      15178166: 25122,
      15178168: 25123,
      15178172: 25124,
      15178368: 25125,
      15178371: 25126,
      15178376: 25127,
      15178379: 25128,
      15178382: 25129,
      15178390: 25130,
      15178387: 25131,
      15178393: 25132,
      15178394: 25133,
      15178416: 25134,
      15178420: 25135,
      15178424: 25136,
      15178425: 25137,
      15178426: 25138,
      15178626: 25139,
      15178637: 25140,
      15178646: 25141,
      15178642: 25142,
      15178654: 25143,
      15178657: 25144,
      15178661: 25145,
      15178663: 25146,
      15178666: 25147,
      15243439: 25148,
      15178683: 25149,
      15178888: 25150,
      15178887: 25151,
      15178884: 25152,
      15178921: 25153,
      15178916: 25154,
      15178910: 25155,
      15178917: 25156,
      15178918: 25157,
      15178907: 25158,
      15178935: 25159,
      15178936: 25160,
      15179143: 25161,
      15179162: 25162,
      15179176: 25163,
      15179179: 25164,
      15179163: 25165,
      15179173: 25166,
      15179199: 25167,
      15179198: 25168,
      15179193: 25169,
      15179406: 25170,
      15179403: 25171,
      15179409: 25172,
      15179424: 25173,
      15179422: 25174,
      15179440: 25175,
      15179446: 25176,
      15179449: 25177,
      15179455: 25178,
      15179452: 25179,
      15179453: 25180,
      15179451: 25181,
      15179655: 25182,
      15179661: 25183,
      15179671: 25184,
      15179674: 25185,
      15179676: 25186,
      15179683: 25187,
      15179694: 25188,
      15179708: 25189,
      15179916: 25190,
      15179922: 25191,
      15180966: 25192,
      15179936: 25193,
      15180970: 25194,
      15180165: 25195,
      15180430: 25196,
      15180212: 25197,
      15180422: 25198,
      15180220: 25199,
      15180442: 25200,
      15180428: 25201,
      15180451: 25202,
      15180469: 25203,
      15180458: 25204,
      15180463: 25205,
      15180689: 25206,
      15180678: 25207,
      15180683: 25208,
      15180692: 25209,
      15180478: 25210,
      15180476: 25211,
      15180677: 25212,
      15180682: 25213,
      15180716: 25214,
      15180711: 25377,
      15180698: 25378,
      15180733: 25379,
      15180724: 25380,
      15180935: 25381,
      15180946: 25382,
      15180945: 25383,
      15180953: 25384,
      15180972: 25385,
      15180971: 25386,
      15181184: 25387,
      15181216: 25388,
      15181207: 25389,
      15181215: 25390,
      15181210: 25391,
      15181205: 25392,
      15181203: 25393,
      15181242: 25394,
      15181247: 25395,
      15181450: 25396,
      15181469: 25397,
      15181479: 25398,
      15318411: 25399,
      15181482: 25400,
      15181486: 25401,
      15181491: 25402,
      15181497: 25403,
      15181498: 25404,
      15181705: 25405,
      15181717: 25406,
      15181735: 25407,
      15181740: 25408,
      15181729: 25409,
      15181731: 25410,
      15181960: 25411,
      15181965: 25412,
      15181976: 25413,
      15181977: 25414,
      15181984: 25415,
      15181983: 25416,
      15181440: 25417,
      15182001: 25418,
      15182011: 25419,
      15182014: 25420,
      15182007: 25421,
      15182211: 25422,
      15182231: 25423,
      15182217: 25424,
      15182241: 25425,
      15182242: 25426,
      15182249: 25427,
      15318685: 25428,
      15182256: 25429,
      15182265: 25430,
      15182269: 25431,
      15182472: 25432,
      15182487: 25433,
      15182485: 25434,
      15182488: 25435,
      15182486: 25436,
      15182505: 25437,
      15182728: 25438,
      15182512: 25439,
      15182518: 25440,
      15182725: 25441,
      15182724: 25442,
      15182527: 25443,
      15303299: 25444,
      15182727: 25445,
      15182730: 25446,
      15182733: 25447,
      15182735: 25448,
      15182741: 25449,
      15182739: 25450,
      15182745: 25451,
      15182746: 25452,
      15182749: 25453,
      15182753: 25454,
      15182754: 25455,
      15182758: 25456,
      15182765: 25457,
      15182768: 25458,
      15182978: 25459,
      15182991: 25460,
      15182986: 25461,
      15182982: 25462,
      15183027: 25463,
      15183e3: 25464,
      15183001: 25465,
      15183006: 25466,
      15183029: 25467,
      15183016: 25468,
      15183030: 25469,
      15183248: 25470,
      15183290: 25633,
      15182980: 25634,
      15183245: 25635,
      15182987: 25636,
      15183244: 25637,
      15183237: 25638,
      15183285: 25639,
      15183269: 25640,
      15183284: 25641,
      15183271: 25642,
      15183280: 25643,
      15183281: 25644,
      15183276: 25645,
      15183278: 25646,
      15183517: 25647,
      15183512: 25648,
      15183519: 25649,
      15183501: 25650,
      15183516: 25651,
      15183514: 25652,
      15183499: 25653,
      15183506: 25654,
      15183503: 25655,
      15183261: 25656,
      15183513: 25657,
      15183755: 25658,
      15183745: 25659,
      15183756: 25660,
      15183759: 25661,
      15183540: 25662,
      15183750: 25663,
      15183773: 25664,
      15183785: 25665,
      15184017: 25666,
      15184020: 25667,
      15183782: 25668,
      15183781: 25669,
      15184288: 25670,
      15184e3: 25671,
      15184007: 25672,
      15184019: 25673,
      15183795: 25674,
      15183799: 25675,
      15184023: 25676,
      15184013: 25677,
      15183798: 25678,
      15184035: 25679,
      15184039: 25680,
      15184042: 25681,
      15184031: 25682,
      15184055: 25683,
      15184043: 25684,
      15184061: 25685,
      15184268: 25686,
      15184259: 25687,
      15184276: 25688,
      15184271: 25689,
      15184256: 25690,
      15184272: 25691,
      15184280: 25692,
      15184287: 25693,
      15184292: 25694,
      15184278: 25695,
      15184293: 25696,
      15184300: 25697,
      15184309: 25698,
      15184515: 25699,
      15184528: 25700,
      15184548: 25701,
      15184557: 25702,
      15184546: 25703,
      15184555: 25704,
      15184545: 25705,
      15184552: 25706,
      15184563: 25707,
      15184562: 25708,
      15184561: 25709,
      15184558: 25710,
      15184569: 25711,
      15184573: 25712,
      15184768: 25713,
      15184773: 25714,
      15184770: 25715,
      15184792: 25716,
      15184786: 25717,
      15184796: 25718,
      15184802: 25719,
      15314107: 25720,
      15184815: 25721,
      15184818: 25722,
      15184820: 25723,
      15184822: 25724,
      15184826: 25725,
      15185030: 25726,
      15185026: 25889,
      15185052: 25890,
      15185045: 25891,
      15185034: 25892,
      15185285: 25893,
      15185291: 25894,
      15185070: 25895,
      15185074: 25896,
      15185087: 25897,
      15185077: 25898,
      15185286: 25899,
      15185331: 25900,
      15185302: 25901,
      15185294: 25902,
      15185330: 25903,
      15185320: 25904,
      15185326: 25905,
      15185295: 25906,
      15185315: 25907,
      15185555: 25908,
      15185545: 25909,
      15185307: 25910,
      15185551: 25911,
      15185341: 25912,
      15185563: 25913,
      15185594: 25914,
      15185582: 25915,
      15185571: 25916,
      15185589: 25917,
      15185799: 25918,
      15185597: 25919,
      15185579: 25920,
      15186109: 25921,
      15185570: 25922,
      15185583: 25923,
      15185820: 25924,
      15185592: 25925,
      15185567: 25926,
      15185584: 25927,
      15185816: 25928,
      15185821: 25929,
      15185828: 25930,
      15185822: 25931,
      15185851: 25932,
      15185842: 25933,
      15185825: 25934,
      15186053: 25935,
      15186058: 25936,
      15186083: 25937,
      15186081: 25938,
      15186066: 25939,
      15186097: 25940,
      15186079: 25941,
      15186057: 25942,
      15186059: 25943,
      15186082: 25944,
      15186310: 25945,
      15186342: 25946,
      15186107: 25947,
      15186101: 25948,
      15186105: 25949,
      15186307: 25950,
      15186103: 25951,
      15186098: 25952,
      15186106: 25953,
      15186343: 25954,
      15186333: 25955,
      15186326: 25956,
      15186334: 25957,
      15186329: 25958,
      15186330: 25959,
      15186361: 25960,
      15186346: 25961,
      15186345: 25962,
      15186364: 25963,
      15186363: 25964,
      15186563: 25965,
      15185813: 25966,
      15186365: 25967,
      15253166: 25968,
      15186367: 25969,
      15186568: 25970,
      15186569: 25971,
      15186572: 25972,
      15186578: 25973,
      15186576: 25974,
      15186579: 25975,
      15186580: 25976,
      15186582: 25977,
      15186574: 25978,
      15186587: 25979,
      15186588: 25980,
      15187128: 25981,
      15187130: 25982,
      15187333: 26145,
      15187340: 26146,
      15187341: 26147,
      15187342: 26148,
      15187344: 26149,
      15187345: 26150,
      15187349: 26151,
      15187348: 26152,
      15187352: 26153,
      15187359: 26154,
      15187360: 26155,
      15187368: 26156,
      15187369: 26157,
      15187367: 26158,
      15187384: 26159,
      15187586: 26160,
      15187590: 26161,
      15187587: 26162,
      15187592: 26163,
      15187591: 26164,
      15187596: 26165,
      15187604: 26166,
      15187614: 26167,
      15187613: 26168,
      15187610: 26169,
      15187619: 26170,
      15187631: 26171,
      15187634: 26172,
      15187641: 26173,
      15187630: 26174,
      15187638: 26175,
      15187640: 26176,
      15248817: 26177,
      15187845: 26178,
      15187846: 26179,
      15187850: 26180,
      15187861: 26181,
      15187860: 26182,
      15187873: 26183,
      15187878: 26184,
      15187881: 26185,
      15187891: 26186,
      15187897: 26187,
      15311772: 26188,
      15237254: 26189,
      15237252: 26190,
      15237259: 26191,
      15237266: 26192,
      15237272: 26193,
      15237273: 26194,
      15237276: 26195,
      15237281: 26196,
      15237288: 26197,
      15237311: 26198,
      15237307: 26199,
      15237514: 26200,
      15237510: 26201,
      15237522: 26202,
      15237528: 26203,
      15237530: 26204,
      15237535: 26205,
      15237538: 26206,
      15237544: 26207,
      15237555: 26208,
      15237554: 26209,
      15237552: 26210,
      15237558: 26211,
      15237561: 26212,
      15237565: 26213,
      15237567: 26214,
      15237764: 26215,
      15237766: 26216,
      15237765: 26217,
      15237787: 26218,
      15237779: 26219,
      15237786: 26220,
      15237805: 26221,
      15042192: 26222,
      15237804: 26223,
      15238043: 26224,
      15238053: 26225,
      15238041: 26226,
      15238045: 26227,
      15238020: 26228,
      15238042: 26229,
      15238038: 26230,
      15238281: 26231,
      15238063: 26232,
      15238065: 26233,
      15238299: 26234,
      15238313: 26235,
      15238307: 26236,
      15238319: 26237,
      15238539: 26238,
      15309451: 26401,
      15238534: 26402,
      15238334: 26403,
      15238547: 26404,
      15238545: 26405,
      15238076: 26406,
      15238577: 26407,
      15238574: 26408,
      15238565: 26409,
      15238566: 26410,
      15238580: 26411,
      15238787: 26412,
      15238792: 26413,
      15238794: 26414,
      15238784: 26415,
      15238786: 26416,
      15238816: 26417,
      15238805: 26418,
      15238820: 26419,
      15238819: 26420,
      15238559: 26421,
      15238803: 26422,
      15238825: 26423,
      15238832: 26424,
      15238837: 26425,
      15238846: 26426,
      15238840: 26427,
      15238845: 26428,
      15239040: 26429,
      15239042: 26430,
      15238842: 26431,
      15239049: 26432,
      15239053: 26433,
      15239057: 26434,
      15239065: 26435,
      15239064: 26436,
      15239048: 26437,
      15239066: 26438,
      15239071: 26439,
      15239072: 26440,
      15239079: 26441,
      15239098: 26442,
      15239099: 26443,
      15239102: 26444,
      15239297: 26445,
      15239298: 26446,
      15239301: 26447,
      15239303: 26448,
      15239306: 26449,
      15239309: 26450,
      15239312: 26451,
      15239318: 26452,
      15239337: 26453,
      15239339: 26454,
      15239352: 26455,
      15239347: 26456,
      15239552: 26457,
      15239577: 26458,
      15239576: 26459,
      15239581: 26460,
      15239578: 26461,
      15239583: 26462,
      15239588: 26463,
      15239586: 26464,
      15239592: 26465,
      15239594: 26466,
      15239595: 26467,
      15239342: 26468,
      15239601: 26469,
      15239607: 26470,
      15239608: 26471,
      15239614: 26472,
      15239821: 26473,
      15239826: 26474,
      15239851: 26475,
      15239839: 26476,
      15239867: 26477,
      15239852: 26478,
      15240097: 26479,
      15240099: 26480,
      15240095: 26481,
      15240082: 26482,
      15240116: 26483,
      15240115: 26484,
      15240122: 26485,
      15240851: 26486,
      15240323: 26487,
      15240123: 26488,
      15240121: 26489,
      15240094: 26490,
      15240326: 26491,
      15240092: 26492,
      15240329: 26493,
      15240089: 26494,
      15240373: 26657,
      15240372: 26658,
      15240342: 26659,
      15240370: 26660,
      15240369: 26661,
      15240576: 26662,
      15240377: 26663,
      15240592: 26664,
      15240581: 26665,
      15240367: 26666,
      15240363: 26667,
      15240343: 26668,
      15240344: 26669,
      15240837: 26670,
      15240858: 26671,
      15240874: 26672,
      15240863: 26673,
      15240866: 26674,
      15240854: 26675,
      15240355: 26676,
      15240846: 26677,
      15240839: 26678,
      15240842: 26679,
      15240636: 26680,
      15240885: 26681,
      15240627: 26682,
      15240629: 26683,
      15240864: 26684,
      15240841: 26685,
      15240872: 26686,
      15241140: 26687,
      15241363: 26688,
      15241131: 26689,
      15241102: 26690,
      15241149: 26691,
      15241347: 26692,
      15241112: 26693,
      15241355: 26694,
      15241089: 26695,
      15241143: 26696,
      15241351: 26697,
      15241120: 26698,
      15241138: 26699,
      15241357: 26700,
      15241378: 26701,
      15241376: 26702,
      15240893: 26703,
      15241400: 26704,
      15242374: 26705,
      15241147: 26706,
      15241645: 26707,
      15241386: 26708,
      15241404: 26709,
      15242650: 26710,
      15241860: 26711,
      15241655: 26712,
      15241643: 26713,
      15241901: 26714,
      15241646: 26715,
      15241858: 26716,
      15241641: 26717,
      15241606: 26718,
      15241388: 26719,
      15241647: 26720,
      15241657: 26721,
      15241397: 26722,
      15242122: 26723,
      15241634: 26724,
      15241913: 26725,
      15241919: 26726,
      15241887: 26727,
      15242137: 26728,
      15242125: 26729,
      15241915: 26730,
      15242138: 26731,
      15242128: 26732,
      15242113: 26733,
      15242118: 26734,
      15242134: 26735,
      15241889: 26736,
      15242401: 26737,
      15242175: 26738,
      15242164: 26739,
      15242391: 26740,
      15242392: 26741,
      15242412: 26742,
      15242399: 26743,
      15242389: 26744,
      15242388: 26745,
      15242172: 26746,
      15242624: 26747,
      15242659: 26748,
      15242648: 26749,
      15242632: 26750,
      15242625: 26913,
      15243394: 26914,
      15242635: 26915,
      15242645: 26916,
      15242880: 26917,
      15242916: 26918,
      15242888: 26919,
      15242897: 26920,
      15242890: 26921,
      15242920: 26922,
      15242669: 26923,
      15242900: 26924,
      15242907: 26925,
      15243178: 26926,
      15242887: 26927,
      15242908: 26928,
      15242679: 26929,
      15242686: 26930,
      15242896: 26931,
      15243145: 26932,
      15242938: 26933,
      15243151: 26934,
      15242937: 26935,
      15243152: 26936,
      15243157: 26937,
      15243165: 26938,
      15243173: 26939,
      15243164: 26940,
      15243193: 26941,
      15243402: 26942,
      15243411: 26943,
      15243403: 26944,
      15243198: 26945,
      15243194: 26946,
      15243398: 26947,
      15243426: 26948,
      15243418: 26949,
      15243440: 26950,
      15243455: 26951,
      15243661: 26952,
      14989717: 26953,
      15243668: 26954,
      15243679: 26955,
      15243687: 26956,
      15243697: 26957,
      15243923: 26958,
      15243939: 26959,
      15243945: 26960,
      15243946: 26961,
      15243915: 26962,
      15243916: 26963,
      15243958: 26964,
      15243951: 26965,
      15244164: 26966,
      15244166: 26967,
      15243952: 26968,
      15244169: 26969,
      15245475: 26970,
      15243947: 26971,
      15244180: 26972,
      15244190: 26973,
      15244201: 26974,
      15244204: 26975,
      15244191: 26976,
      15244187: 26977,
      15244207: 26978,
      15244434: 26979,
      15244422: 26980,
      15244424: 26981,
      15244416: 26982,
      15244419: 26983,
      15244219: 26984,
      15244433: 26985,
      15244425: 26986,
      15244429: 26987,
      15244217: 26988,
      15244426: 26989,
      15244468: 26990,
      15244479: 26991,
      15244471: 26992,
      15244475: 26993,
      15244453: 26994,
      15244457: 26995,
      15244442: 26996,
      15244704: 26997,
      15244703: 26998,
      15244728: 26999,
      15244684: 27e3,
      15244686: 27001,
      15244724: 27002,
      15244695: 27003,
      15244712: 27004,
      15244718: 27005,
      15244697: 27006,
      15244691: 27169,
      15244707: 27170,
      15244714: 27171,
      15245445: 27172,
      15244962: 27173,
      15244959: 27174,
      15244930: 27175,
      15244975: 27176,
      15245195: 27177,
      15244989: 27178,
      15245184: 27179,
      15245200: 27180,
      15309718: 27181,
      15244971: 27182,
      15245188: 27183,
      15244979: 27184,
      15245191: 27185,
      15245190: 27186,
      15244987: 27187,
      15245231: 27188,
      15245234: 27189,
      15245216: 27190,
      15245455: 27191,
      15245453: 27192,
      15245246: 27193,
      15245238: 27194,
      15245239: 27195,
      15245454: 27196,
      15245202: 27197,
      15245457: 27198,
      15245462: 27199,
      15245461: 27200,
      15245474: 27201,
      15245473: 27202,
      15245489: 27203,
      15245494: 27204,
      15245497: 27205,
      15245479: 27206,
      15245499: 27207,
      15245700: 27208,
      15245698: 27209,
      15245714: 27210,
      15245721: 27211,
      15245726: 27212,
      15245730: 27213,
      15245739: 27214,
      15245953: 27215,
      15245758: 27216,
      15245982: 27217,
      15245749: 27218,
      15245757: 27219,
      15246005: 27220,
      15245746: 27221,
      15245954: 27222,
      15245975: 27223,
      15245970: 27224,
      15245998: 27225,
      15245977: 27226,
      15245986: 27227,
      15245965: 27228,
      15245988: 27229,
      15246e3: 27230,
      15246015: 27231,
      15246001: 27232,
      15246211: 27233,
      15246212: 27234,
      15246228: 27235,
      15246232: 27236,
      15246233: 27237,
      15246237: 27238,
      15246265: 27239,
      15246466: 27240,
      15246268: 27241,
      15246260: 27242,
      15246248: 27243,
      15246258: 27244,
      15246468: 27245,
      15246476: 27246,
      15246474: 27247,
      15246483: 27248,
      15246723: 27249,
      15246494: 27250,
      15246501: 27251,
      15246506: 27252,
      15246507: 27253,
      15246721: 27254,
      15246724: 27255,
      15246523: 27256,
      15246518: 27257,
      15246520: 27258,
      15246732: 27259,
      15246493: 27260,
      15246752: 27261,
      15246750: 27262,
      15246758: 27425,
      15246756: 27426,
      15246765: 27427,
      15246762: 27428,
      15246767: 27429,
      15246772: 27430,
      15246775: 27431,
      15246782: 27432,
      15246979: 27433,
      15246984: 27434,
      15246986: 27435,
      15246995: 27436,
      15247e3: 27437,
      15247009: 27438,
      15247017: 27439,
      15247014: 27440,
      15247020: 27441,
      15247023: 27442,
      15247026: 27443,
      15247034: 27444,
      15247037: 27445,
      15247039: 27446,
      15247232: 27447,
      15247258: 27448,
      15247260: 27449,
      15247261: 27450,
      15247271: 27451,
      15247284: 27452,
      15247288: 27453,
      15247491: 27454,
      15247510: 27455,
      15247504: 27456,
      15247500: 27457,
      15247515: 27458,
      15247517: 27459,
      15247525: 27460,
      15247542: 27461,
      15247745: 27462,
      15247771: 27463,
      15247762: 27464,
      15247750: 27465,
      15247752: 27466,
      15247804: 27467,
      15247789: 27468,
      15247788: 27469,
      15247778: 27470,
      15248005: 27471,
      15248002: 27472,
      15248004: 27473,
      15248040: 27474,
      15248033: 27475,
      15248017: 27476,
      15248037: 27477,
      15248038: 27478,
      15248026: 27479,
      15248035: 27480,
      15248260: 27481,
      15248269: 27482,
      15248258: 27483,
      15248282: 27484,
      15248299: 27485,
      15248307: 27486,
      15248295: 27487,
      15248292: 27488,
      15248305: 27489,
      15248532: 27490,
      15248288: 27491,
      15248290: 27492,
      15248311: 27493,
      15248286: 27494,
      15248283: 27495,
      15248524: 27496,
      15248519: 27497,
      15248538: 27498,
      15248289: 27499,
      15248534: 27500,
      15248528: 27501,
      15248535: 27502,
      15248544: 27503,
      15248563: 27504,
      15310507: 27505,
      15248550: 27506,
      15248555: 27507,
      15248574: 27508,
      15248552: 27509,
      15248769: 27510,
      15248780: 27511,
      15248783: 27512,
      15248782: 27513,
      15248777: 27514,
      15248790: 27515,
      15248795: 27516,
      15248794: 27517,
      15248811: 27518,
      15248799: 27681,
      15248812: 27682,
      15248815: 27683,
      15248820: 27684,
      15248829: 27685,
      15249024: 27686,
      15249036: 27687,
      15249038: 27688,
      15249042: 27689,
      15249043: 27690,
      15249046: 27691,
      15249049: 27692,
      15249050: 27693,
      15249594: 27694,
      15249793: 27695,
      15249599: 27696,
      15249800: 27697,
      15249804: 27698,
      15249806: 27699,
      15249808: 27700,
      15249813: 27701,
      15249826: 27702,
      15249836: 27703,
      15249848: 27704,
      15249850: 27705,
      15250050: 27706,
      15250057: 27707,
      15250053: 27708,
      15250058: 27709,
      15250061: 27710,
      15250062: 27711,
      15250068: 27712,
      15249852: 27713,
      15250072: 27714,
      15108253: 27715,
      15250093: 27716,
      15250090: 27717,
      15250109: 27718,
      15250098: 27719,
      15250099: 27720,
      15250094: 27721,
      15250102: 27722,
      15250312: 27723,
      15250305: 27724,
      15250340: 27725,
      15250339: 27726,
      15250330: 27727,
      15250365: 27728,
      15250362: 27729,
      15250363: 27730,
      15250564: 27731,
      15250565: 27732,
      15250570: 27733,
      15250567: 27734,
      15250575: 27735,
      15250573: 27736,
      15250576: 27737,
      15318414: 27738,
      15250579: 27739,
      15250317: 27740,
      15250580: 27741,
      15250582: 27742,
      15250855: 27743,
      15250861: 27744,
      15250865: 27745,
      15250867: 27746,
      15251073: 27747,
      15251097: 27748,
      15251330: 27749,
      15251134: 27750,
      15251130: 27751,
      15251343: 27752,
      15251354: 27753,
      15251350: 27754,
      15251340: 27755,
      15251355: 27756,
      15251339: 27757,
      15251370: 27758,
      15251371: 27759,
      15251359: 27760,
      15251363: 27761,
      15251388: 27762,
      15251592: 27763,
      15251593: 27764,
      15251391: 27765,
      15251613: 27766,
      15251614: 27767,
      15251600: 27768,
      15251615: 27769,
      15251842: 27770,
      15251637: 27771,
      15251632: 27772,
      15251636: 27773,
      15251850: 27774,
      15251847: 27937,
      15251849: 27938,
      15251852: 27939,
      15251856: 27940,
      15251848: 27941,
      15251865: 27942,
      15251876: 27943,
      15251872: 27944,
      15251626: 27945,
      15251875: 27946,
      15251861: 27947,
      15251894: 27948,
      15251890: 27949,
      15251900: 27950,
      15252097: 27951,
      15252103: 27952,
      15252101: 27953,
      15252100: 27954,
      15252107: 27955,
      15252106: 27956,
      15252115: 27957,
      15252113: 27958,
      15252116: 27959,
      15252121: 27960,
      15252138: 27961,
      15252129: 27962,
      15252140: 27963,
      15252144: 27964,
      15252358: 27965,
      15252145: 27966,
      15252158: 27967,
      15252357: 27968,
      15252360: 27969,
      15252363: 27970,
      15252379: 27971,
      15252387: 27972,
      15252412: 27973,
      15252411: 27974,
      15252395: 27975,
      15252414: 27976,
      15252618: 27977,
      15252613: 27978,
      15252629: 27979,
      15252626: 27980,
      15252633: 27981,
      15252627: 27982,
      15252636: 27983,
      15252639: 27984,
      15252635: 27985,
      15252620: 27986,
      15252646: 27987,
      15252659: 27988,
      15252667: 27989,
      15252665: 27990,
      15252869: 27991,
      15252866: 27992,
      15252670: 27993,
      15252876: 27994,
      15252873: 27995,
      15252870: 27996,
      15252878: 27997,
      15252887: 27998,
      15252892: 27999,
      15252898: 28e3,
      15252899: 28001,
      15252900: 28002,
      15253148: 28003,
      15253151: 28004,
      15253155: 28005,
      15253165: 28006,
      15253167: 28007,
      15253175: 28008,
      15253402: 28009,
      15253413: 28010,
      15253410: 28011,
      15253418: 28012,
      15253423: 28013,
      15303303: 28014,
      15253428: 28015,
      15302789: 28016,
      15253433: 28017,
      15253434: 28018,
      15302801: 28019,
      15302805: 28020,
      15302817: 28021,
      15302797: 28022,
      15302814: 28023,
      15302806: 28024,
      15302795: 28025,
      15302823: 28026,
      15302838: 28027,
      15302837: 28028,
      15302841: 28029,
      15253432: 28030,
      15303055: 28193,
      15303056: 28194,
      15303057: 28195,
      15303058: 28196,
      15302798: 28197,
      15303049: 28198,
      15302846: 28199,
      15303062: 28200,
      15303064: 28201,
      15303070: 28202,
      15303080: 28203,
      15303087: 28204,
      15303094: 28205,
      15309480: 28206,
      15303090: 28207,
      15303298: 28208,
      15303101: 28209,
      15303297: 28210,
      15303296: 28211,
      15303306: 28212,
      15303305: 28213,
      15303311: 28214,
      15303336: 28215,
      15303343: 28216,
      15303345: 28217,
      15303349: 28218,
      15303586: 28219,
      15303588: 28220,
      15108488: 28221,
      15303579: 28222,
      15303810: 28223,
      15303826: 28224,
      15303833: 28225,
      15303858: 28226,
      15303856: 28227,
      15304074: 28228,
      15304086: 28229,
      15304088: 28230,
      15304099: 28231,
      15304101: 28232,
      15304105: 28233,
      15304115: 28234,
      15304114: 28235,
      15304331: 28236,
      15304329: 28237,
      15304322: 28238,
      15304354: 28239,
      15304363: 28240,
      15304367: 28241,
      15304362: 28242,
      15304373: 28243,
      15304372: 28244,
      15304378: 28245,
      15304576: 28246,
      15304577: 28247,
      15304585: 28248,
      15304587: 28249,
      15304592: 28250,
      15304598: 28251,
      15304607: 28252,
      15304609: 28253,
      15304603: 28254,
      15304636: 28255,
      15304629: 28256,
      15304630: 28257,
      15304862: 28258,
      15304639: 28259,
      15304852: 28260,
      15304876: 28261,
      15304853: 28262,
      15304849: 28263,
      15305118: 28264,
      15305111: 28265,
      15305093: 28266,
      15305097: 28267,
      15305124: 28268,
      15305096: 28269,
      15305365: 28270,
      15304895: 28271,
      15305099: 28272,
      15305104: 28273,
      15305372: 28274,
      15305366: 28275,
      15305363: 28276,
      15305371: 28277,
      15305114: 28278,
      15305615: 28279,
      15305401: 28280,
      15305399: 28281,
      15305641: 28282,
      15305871: 28283,
      15305658: 28284,
      15306116: 28285,
      15305902: 28286,
      15305881: 28449,
      15305890: 28450,
      15305882: 28451,
      15305891: 28452,
      15305914: 28453,
      15305909: 28454,
      15305915: 28455,
      15306140: 28456,
      15306144: 28457,
      15306172: 28458,
      15306158: 28459,
      15306134: 28460,
      15306416: 28461,
      15306412: 28462,
      15306413: 28463,
      15306388: 28464,
      15306425: 28465,
      15306646: 28466,
      15306647: 28467,
      15306664: 28468,
      15306661: 28469,
      15306648: 28470,
      15306627: 28471,
      15306653: 28472,
      15306640: 28473,
      15306632: 28474,
      15306660: 28475,
      15306906: 28476,
      15306900: 28477,
      15306899: 28478,
      15306883: 28479,
      15306887: 28480,
      15306896: 28481,
      15306934: 28482,
      15306923: 28483,
      15306933: 28484,
      15306913: 28485,
      15306938: 28486,
      15307137: 28487,
      15307154: 28488,
      15307140: 28489,
      15307163: 28490,
      15307168: 28491,
      15307170: 28492,
      15307166: 28493,
      15307178: 28494,
      15304873: 28495,
      15307184: 28496,
      15307189: 28497,
      15307191: 28498,
      15307197: 28499,
      15307162: 28500,
      15307196: 28501,
      15307198: 28502,
      15307393: 28503,
      15307199: 28504,
      15308418: 28505,
      15308423: 28506,
      15308426: 28507,
      15308436: 28508,
      15308438: 28509,
      15308440: 28510,
      15308441: 28511,
      15308448: 28512,
      15308456: 28513,
      15308455: 28514,
      15308461: 28515,
      15308476: 28516,
      15308475: 28517,
      15308473: 28518,
      15308478: 28519,
      15308682: 28520,
      15122358: 28521,
      15308675: 28522,
      15308685: 28523,
      15308684: 28524,
      15308693: 28525,
      15308692: 28526,
      15308694: 28527,
      15308700: 28528,
      15308705: 28529,
      15308709: 28530,
      15308706: 28531,
      15308961: 28532,
      15308968: 28533,
      15308974: 28534,
      15308975: 28535,
      15309186: 28536,
      15309196: 28537,
      15309199: 28538,
      15309195: 28539,
      15309239: 28540,
      15309212: 28541,
      15309214: 28542,
      15309213: 28705,
      15309215: 28706,
      15309222: 28707,
      15309234: 28708,
      15309228: 28709,
      15309453: 28710,
      15309464: 28711,
      15309461: 28712,
      15309463: 28713,
      15309482: 28714,
      15309479: 28715,
      15309489: 28716,
      15309490: 28717,
      15309488: 28718,
      15309492: 28719,
      15309494: 28720,
      15309496: 28721,
      15309497: 28722,
      15309710: 28723,
      15309707: 28724,
      15309705: 28725,
      15309709: 28726,
      15246733: 28727,
      15309724: 28728,
      15309965: 28729,
      15309717: 28730,
      15309753: 28731,
      15309956: 28732,
      15309958: 28733,
      15309960: 28734,
      15309971: 28735,
      15309966: 28736,
      15309969: 28737,
      15309967: 28738,
      15309974: 28739,
      15309977: 28740,
      15309988: 28741,
      15309994: 28742,
      1531e4: 28743,
      15310009: 28744,
      15310013: 28745,
      15310014: 28746,
      15310212: 28747,
      15310214: 28748,
      15310216: 28749,
      15310210: 28750,
      15310217: 28751,
      15310236: 28752,
      15310240: 28753,
      15310244: 28754,
      15310246: 28755,
      15310248: 28756,
      15043474: 28757,
      15310251: 28758,
      15310257: 28759,
      15310265: 28760,
      15310469: 28761,
      15310268: 28762,
      15310465: 28763,
      15310266: 28764,
      15310470: 28765,
      15310475: 28766,
      15310479: 28767,
      15310480: 28768,
      15310492: 28769,
      15310504: 28770,
      15310502: 28771,
      15310499: 28772,
      15310515: 28773,
      15310516: 28774,
      15310723: 28775,
      15310726: 28776,
      15310728: 28777,
      15310731: 28778,
      15310748: 28779,
      15310765: 28780,
      15318415: 28781,
      15310770: 28782,
      15182751: 28783,
      15310774: 28784,
      15310773: 28785,
      15310991: 28786,
      15310988: 28787,
      15311032: 28788,
      15311012: 28789,
      15311009: 28790,
      15311031: 28791,
      15311037: 28792,
      15311238: 28793,
      15311247: 28794,
      15311243: 28795,
      15311275: 28796,
      15311279: 28797,
      15311280: 28798,
      15311281: 28961,
      15311284: 28962,
      15311283: 28963,
      15311530: 28964,
      15311535: 28965,
      15311537: 28966,
      15311542: 28967,
      15311748: 28968,
      15311747: 28969,
      15311750: 28970,
      15311785: 28971,
      15311787: 28972,
      15312003: 28973,
      15312009: 28974,
      15312018: 28975,
      15312020: 28976,
      15312024: 28977,
      15312033: 28978,
      15312029: 28979,
      15312030: 28980,
      15312036: 28981,
      15312032: 28982,
      15312044: 28983,
      15312046: 28984,
      15312061: 28985,
      15312062: 28986,
      15312258: 28987,
      15312265: 28988,
      15312261: 28989,
      15312272: 28990,
      15312267: 28991,
      15312273: 28992,
      15312274: 28993,
      15312268: 28994,
      15312277: 28995,
      15312535: 28996,
      15312536: 28997,
      15312549: 28998,
      15312557: 28999,
      15312558: 29e3,
      15312572: 29001,
      15312799: 29002,
      15312795: 29003,
      15312797: 29004,
      15312792: 29005,
      15312785: 29006,
      15312813: 29007,
      15312814: 29008,
      15312817: 29009,
      15312818: 29010,
      15312827: 29011,
      15312824: 29012,
      15313025: 29013,
      15313039: 29014,
      15313029: 29015,
      15312802: 29016,
      15313049: 29017,
      15313067: 29018,
      15313079: 29019,
      15313285: 29020,
      15313282: 29021,
      15313280: 29022,
      15313283: 29023,
      15313086: 29024,
      15313301: 29025,
      15313293: 29026,
      15313307: 29027,
      15313303: 29028,
      15313311: 29029,
      15313314: 29030,
      15313317: 29031,
      15313316: 29032,
      15313321: 29033,
      15313323: 29034,
      15313322: 29035,
      15313581: 29036,
      15313584: 29037,
      15313596: 29038,
      15313792: 29039,
      15313807: 29040,
      15313809: 29041,
      15313811: 29042,
      15313812: 29043,
      15313822: 29044,
      15313823: 29045,
      15313826: 29046,
      15313827: 29047,
      15313830: 29048,
      15313839: 29049,
      15313835: 29050,
      15313838: 29051,
      15313844: 29052,
      15313841: 29053,
      15313847: 29054,
      15313851: 29217,
      15314054: 29218,
      15314072: 29219,
      15314074: 29220,
      15314079: 29221,
      15314082: 29222,
      15314083: 29223,
      15314085: 29224,
      15314087: 29225,
      15314088: 29226,
      15314089: 29227,
      15314090: 29228,
      15314094: 29229,
      15314095: 29230,
      15314098: 29231,
      15314308: 29232,
      15314307: 29233,
      15314319: 29234,
      15314317: 29235,
      15314318: 29236,
      15314321: 29237,
      15314328: 29238,
      15314356: 29239,
      15314579: 29240,
      15314563: 29241,
      15314577: 29242,
      15314582: 29243,
      15314583: 29244,
      15314591: 29245,
      15314592: 29246,
      15314600: 29247,
      15314612: 29248,
      15314816: 29249,
      15314826: 29250,
      15314617: 29251,
      15314822: 29252,
      15314831: 29253,
      15314833: 29254,
      15314834: 29255,
      15314851: 29256,
      15314850: 29257,
      15314852: 29258,
      15314836: 29259,
      15314849: 29260,
      15315130: 29261,
      15314866: 29262,
      15314865: 29263,
      15314864: 29264,
      15315093: 29265,
      15315092: 29266,
      15315081: 29267,
      15315091: 29268,
      15315084: 29269,
      15315078: 29270,
      15315080: 29271,
      15315090: 29272,
      15315082: 29273,
      15315076: 29274,
      15315118: 29275,
      15315099: 29276,
      15315109: 29277,
      15315108: 29278,
      15315105: 29279,
      15315120: 29280,
      15315335: 29281,
      15315122: 29282,
      15315334: 29283,
      15315134: 29284,
      15315354: 29285,
      15315360: 29286,
      15315367: 29287,
      15315382: 29288,
      15315384: 29289,
      15315879: 29290,
      15315884: 29291,
      15315888: 29292,
      15316105: 29293,
      15316104: 29294,
      15315883: 29295,
      15316099: 29296,
      15316102: 29297,
      15316138: 29298,
      15316134: 29299,
      15316655: 29300,
      15316131: 29301,
      15316127: 29302,
      15316356: 29303,
      15316117: 29304,
      15316114: 29305,
      15316353: 29306,
      15316159: 29307,
      15316158: 29308,
      15316358: 29309,
      15316360: 29310,
      15316381: 29473,
      15316382: 29474,
      15316388: 29475,
      15316369: 29476,
      15316368: 29477,
      15316377: 29478,
      15316402: 29479,
      15316617: 29480,
      15316615: 29481,
      15316651: 29482,
      15316399: 29483,
      15316410: 29484,
      15316634: 29485,
      15316644: 29486,
      15316649: 29487,
      15316658: 29488,
      15316868: 29489,
      15316865: 29490,
      15316667: 29491,
      15316664: 29492,
      15316666: 29493,
      15316870: 29494,
      15316879: 29495,
      15316866: 29496,
      15316889: 29497,
      15316883: 29498,
      15316920: 29499,
      15316902: 29500,
      15316909: 29501,
      15316911: 29502,
      15316925: 29503,
      15317146: 29504,
      15317147: 29505,
      15317150: 29506,
      15317429: 29507,
      15317433: 29508,
      15317437: 29509,
      15317633: 29510,
      15317640: 29511,
      15317643: 29512,
      15317644: 29513,
      15317650: 29514,
      15317653: 29515,
      15317649: 29516,
      15317661: 29517,
      15317669: 29518,
      15317673: 29519,
      15317688: 29520,
      15317674: 29521,
      15317677: 29522,
      15310241: 29523,
      15317900: 29524,
      15317902: 29525,
      15317903: 29526,
      15317904: 29527,
      15317908: 29528,
      15317916: 29529,
      15317918: 29530,
      15317917: 29531,
      15317920: 29532,
      15317925: 29533,
      15317928: 29534,
      15317935: 29535,
      15317940: 29536,
      15317942: 29537,
      15317943: 29538,
      15317945: 29539,
      15317947: 29540,
      15317948: 29541,
      15317949: 29542,
      15318151: 29543,
      15318152: 29544,
      15178423: 29545,
      15318165: 29546,
      15318177: 29547,
      15318188: 29548,
      15318206: 29549,
      15318410: 29550,
      15318418: 29551,
      15318420: 29552,
      15318435: 29553,
      15318431: 29554,
      15318432: 29555,
      15318433: 29556,
      15318438: 29557,
      15318439: 29558,
      15318444: 29559,
      15318442: 29560,
      15318455: 29561,
      15318450: 29562,
      15318454: 29563,
      15318677: 29564,
      15318684: 29565,
      15318688: 29566,
      15048879: 29729,
      15116167: 29730,
      15303065: 29731,
      15176100: 29732,
      15042460: 29733,
      15173273: 29734,
      15186570: 31009,
      15246492: 31010,
      15306120: 31011,
      15305352: 31012,
      15242140: 31013,
      14991241: 31014,
      15172283: 31015,
      15112369: 31016,
      15115144: 31017,
      15305657: 31018,
      15113147: 31019,
      15056261: 31020,
      14989480: 31021,
      14990241: 31022,
      14990268: 31023,
      14990464: 31024,
      14990467: 31025,
      14990521: 31026,
      14990742: 31027,
      14990994: 31028,
      14990986: 31029,
      14991002: 31030,
      14990996: 31031,
      14991245: 31032,
      15040896: 31033,
      15040674: 31034,
      14991295: 31035,
      15040670: 31036,
      15040902: 31037,
      15040944: 31038,
      15040898: 31039,
      15041172: 31040,
      15041460: 31041,
      15041432: 31042,
      15041930: 31043,
      15041956: 31044,
      15042205: 31045,
      15042238: 31046,
      15042476: 31047,
      15042709: 31048,
      15043228: 31049,
      15043238: 31050,
      15043456: 31051,
      15043483: 31052,
      15043712: 31053,
      15043719: 31054,
      15043748: 31055,
      15044018: 31056,
      15044243: 31057,
      15044274: 31058,
      15044509: 31059,
      15706254: 31060,
      15045276: 31061,
      15045258: 31062,
      15045289: 31063,
      15045567: 31064,
      15046278: 31065,
      15048089: 31066,
      15048101: 31067,
      15048364: 31068,
      15048584: 31069,
      15048583: 31070,
      15706255: 31071,
      15706256: 31072,
      15049374: 31073,
      15049394: 31074,
      15049867: 31075,
      15050131: 31076,
      15050139: 31077,
      15050141: 31078,
      15050147: 31079,
      15050404: 31080,
      15050426: 31081,
      15052182: 31082,
      15052672: 31083,
      15176879: 31084,
      15052696: 31085,
      15052716: 31086,
      15052958: 31087,
      15053478: 31088,
      15053498: 31089,
      15053749: 31090,
      15053991: 31091,
      15054227: 31092,
      15706257: 31093,
      15054210: 31094,
      15054253: 31095,
      15054520: 31096,
      15054521: 31097,
      15054736: 31098,
      15056033: 31099,
      15056052: 31100,
      15056295: 31101,
      15056567: 31102,
      15056798: 31265,
      15106461: 31266,
      15106693: 31267,
      15106698: 31268,
      15106974: 31269,
      15106965: 31270,
      15107232: 31271,
      15106994: 31272,
      15107217: 31273,
      15107255: 31274,
      15107248: 31275,
      15107736: 31276,
      15108243: 31277,
      15108774: 31278,
      15110069: 31279,
      15110560: 31280,
      15110813: 31281,
      15111054: 31282,
      15111566: 31283,
      15112320: 31284,
      15112341: 31285,
      15112379: 31286,
      15112329: 31287,
      15112366: 31288,
      15112350: 31289,
      15112356: 31290,
      15112613: 31291,
      15112599: 31292,
      15112601: 31293,
      15706258: 31294,
      15112627: 31295,
      15112857: 31296,
      15112864: 31297,
      15112882: 31298,
      15112895: 31299,
      15113146: 31300,
      15113358: 31301,
      15705257: 31302,
      15113638: 31303,
      15113915: 31304,
      15114642: 31305,
      15114112: 31306,
      15114369: 31307,
      15114628: 31308,
      15115151: 31309,
      15706259: 31310,
      15115688: 31311,
      15706260: 31312,
      15115928: 31313,
      15116194: 31314,
      15116464: 31315,
      15116715: 31316,
      15116678: 31317,
      15116723: 31318,
      15116734: 31319,
      15117218: 31320,
      15117220: 31321,
      15118230: 31322,
      15118527: 31323,
      15118748: 31324,
      15118982: 31325,
      15118767: 31326,
      15119258: 31327,
      15119492: 31328,
      15120007: 31329,
      15119791: 31330,
      15120022: 31331,
      15120044: 31332,
      15120271: 31333,
      15120312: 31334,
      15120306: 31335,
      15120316: 31336,
      15120569: 31337,
      15120796: 31338,
      15120551: 31339,
      15120572: 31340,
      15121087: 31341,
      15122056: 31342,
      15122101: 31343,
      15122357: 31344,
      15171717: 31345,
      15171719: 31346,
      15171752: 31347,
      15172229: 31348,
      15172267: 31349,
      15172751: 31350,
      15172740: 31351,
      15173020: 31352,
      15172998: 31353,
      15172999: 31354,
      15706261: 31355,
      15173505: 31356,
      15173566: 31357,
      15174321: 31358,
      15174334: 31521,
      15174820: 31522,
      15706262: 31523,
      15175095: 31524,
      15175357: 31525,
      15175561: 31526,
      15175574: 31527,
      15175587: 31528,
      15175570: 31529,
      15175815: 31530,
      15175605: 31531,
      15175846: 31532,
      15175850: 31533,
      15175849: 31534,
      15175854: 31535,
      15176098: 31536,
      15176329: 31537,
      15176351: 31538,
      15176833: 31539,
      15177135: 31540,
      15178370: 31541,
      15178396: 31542,
      15178398: 31543,
      15178395: 31544,
      15178406: 31545,
      15706263: 31546,
      15179142: 31547,
      15043247: 31548,
      15179937: 31549,
      15180174: 31550,
      15180196: 31551,
      15180218: 31552,
      15180976: 31553,
      15706264: 31554,
      15706265: 31555,
      15706266: 31556,
      15181460: 31557,
      15706267: 31558,
      15181467: 31559,
      15182737: 31560,
      15182759: 31561,
      15706268: 31562,
      15182763: 31563,
      15183518: 31564,
      15706269: 31565,
      15185288: 31566,
      15185308: 31567,
      15185591: 31568,
      15185568: 31569,
      15185814: 31570,
      15186322: 31571,
      15187335: 31572,
      15187617: 31573,
      15706270: 31574,
      15240321: 31575,
      15240610: 31576,
      15240639: 31577,
      15241095: 31578,
      15241142: 31579,
      15241608: 31580,
      15241908: 31581,
      15242643: 31582,
      15242649: 31583,
      15242667: 31584,
      15706271: 31585,
      15242928: 31586,
      15706272: 31587,
      15706273: 31588,
      15245447: 31589,
      15246261: 31590,
      15247506: 31591,
      15247543: 31592,
      15247801: 31593,
      15248039: 31594,
      15248062: 31595,
      15248287: 31596,
      15706274: 31597,
      15248310: 31598,
      15248787: 31599,
      15248831: 31600,
      15250352: 31601,
      15250356: 31602,
      15250578: 31603,
      15250870: 31604,
      15706275: 31605,
      15252367: 31606,
      15706276: 31607,
      15706277: 31608,
      15303079: 31609,
      15303582: 31610,
      15706278: 31611,
      15303829: 31612,
      15303847: 31613,
      15304602: 31614,
      15304599: 31777,
      15304606: 31778,
      15304621: 31779,
      15304622: 31780,
      15304612: 31781,
      15304613: 31782,
      15304838: 31783,
      15304848: 31784,
      15304842: 31785,
      15304890: 31786,
      15305088: 31787,
      15304892: 31788,
      15305102: 31789,
      15305113: 31790,
      15305105: 31791,
      15304889: 31792,
      15305127: 31793,
      15305383: 31794,
      15305143: 31795,
      15305144: 31796,
      15305639: 31797,
      15305623: 31798,
      15305625: 31799,
      15305616: 31800,
      15706279: 31801,
      15305621: 31802,
      15305632: 31803,
      15305619: 31804,
      15305893: 31805,
      15305889: 31806,
      15305659: 31807,
      15706280: 31808,
      15305886: 31809,
      15305663: 31810,
      15305885: 31811,
      15305858: 31812,
      15306160: 31813,
      15306135: 31814,
      15306404: 31815,
      15306630: 31816,
      15306654: 31817,
      15306680: 31818,
      15306929: 31819,
      15307141: 31820,
      15307144: 31821,
      15308434: 31822,
      15706012: 31823,
      15706281: 31824,
      15309469: 31825,
      15309487: 31826,
      15310003: 31827,
      15310011: 31828,
      15310211: 31829,
      15310221: 31830,
      15310223: 31831,
      15310225: 31832,
      15310229: 31833,
      15311255: 31834,
      15311269: 31835,
      15706282: 31836,
      15706283: 31837,
      15312039: 31838,
      15706284: 31839,
      15312542: 31840,
      15313294: 31841,
      15313817: 31842,
      15313820: 31843,
      15314357: 31844,
      15314354: 31845,
      15314575: 31846,
      15314609: 31847,
      15314619: 31848,
      15315072: 31849,
      15316400: 31850,
      15316395: 31851,
      15706285: 31852,
      15317145: 31853,
      15317905: 31854,
      14845360: 31857,
      14845361: 31858,
      14845362: 31859,
      14845363: 31860,
      14845364: 31861,
      14845365: 31862,
      14845366: 31863,
      14845367: 31864,
      14845368: 31865,
      14845369: 31866,
      15712164: 31868,
      15711367: 31869,
      15711362: 31870,
      //FIXME: mojibake
      14846117: 8514,
      15712162: 8780,
      14846098: 74077
    };
  }
});

// ../../../node_modules/encoding-japanese/src/utf8-to-jisx0212-table.js
var require_utf8_to_jisx0212_table = __commonJS({
  "../../../node_modules/encoding-japanese/src/utf8-to-jisx0212-table.js"(exports, module2) {
    "use strict";
    module2.exports = {
      52120: 8751,
      52103: 8752,
      49848: 8753,
      52121: 8754,
      52125: 8755,
      49839: 8756,
      52123: 8757,
      52122: 8758,
      126: 8759,
      52868: 8760,
      52869: 8761,
      49825: 8770,
      49830: 8771,
      49855: 8772,
      49850: 8811,
      49834: 8812,
      49833: 8813,
      49838: 8814,
      14845090: 8815,
      49828: 8816,
      14845078: 8817,
      52870: 9825,
      52872: 9826,
      52873: 9827,
      52874: 9828,
      52906: 9829,
      52876: 9831,
      52878: 9833,
      52907: 9834,
      52879: 9836,
      52908: 9841,
      52909: 9842,
      52910: 9843,
      52911: 9844,
      53130: 9845,
      52880: 9846,
      53132: 9847,
      53122: 9848,
      53133: 9849,
      53131: 9850,
      52912: 9851,
      53134: 9852,
      53378: 10050,
      53379: 10051,
      53380: 10052,
      53381: 10053,
      53382: 10054,
      53383: 10055,
      53384: 10056,
      53385: 10057,
      53386: 10058,
      53387: 10059,
      53388: 10060,
      53390: 10061,
      53391: 10062,
      53650: 10098,
      53651: 10099,
      53652: 10100,
      53653: 10101,
      53654: 10102,
      53655: 10103,
      53656: 10104,
      53657: 10105,
      53658: 10106,
      53659: 10107,
      53660: 10108,
      53662: 10109,
      53663: 10110,
      50054: 10529,
      50320: 10530,
      50342: 10532,
      50354: 10534,
      50561: 10536,
      50367: 10537,
      50570: 10539,
      50072: 10540,
      50578: 10541,
      50598: 10543,
      50078: 10544,
      50086: 10561,
      50321: 10562,
      50096: 10563,
      50343: 10564,
      50353: 10565,
      50355: 10566,
      50360: 10567,
      50562: 10568,
      50560: 10569,
      50569: 10570,
      50571: 10571,
      50104: 10572,
      50579: 10573,
      50079: 10574,
      50599: 10575,
      50110: 10576,
      50049: 10785,
      50048: 10786,
      50052: 10787,
      50050: 10788,
      50306: 10789,
      51085: 10790,
      50304: 10791,
      50308: 10792,
      50053: 10793,
      50051: 10794,
      50310: 10795,
      50312: 10796,
      50316: 10797,
      50055: 10798,
      50314: 10799,
      50318: 10800,
      50057: 10801,
      50056: 10802,
      50059: 10803,
      50058: 10804,
      50330: 10805,
      50326: 10806,
      50322: 10807,
      50328: 10808,
      50332: 10810,
      50334: 10811,
      50338: 10812,
      50336: 10813,
      50340: 10814,
      50061: 10815,
      50060: 10816,
      50063: 10817,
      50062: 10818,
      51087: 10819,
      50352: 10820,
      50346: 10821,
      50350: 10822,
      50344: 10823,
      50356: 10824,
      50358: 10825,
      50361: 10826,
      50365: 10827,
      50363: 10828,
      50563: 10829,
      50567: 10830,
      50565: 10831,
      50065: 10832,
      50067: 10833,
      50066: 10834,
      50070: 10835,
      50068: 10836,
      51089: 10837,
      50576: 10838,
      50572: 10839,
      50069: 10840,
      50580: 10841,
      50584: 10842,
      50582: 10843,
      50586: 10844,
      50588: 10845,
      50592: 10846,
      50590: 10847,
      50596: 10848,
      50594: 10849,
      50074: 10850,
      50073: 10851,
      50076: 10852,
      50075: 10853,
      50604: 10854,
      51091: 10855,
      50608: 10856,
      50602: 10857,
      50610: 10858,
      50606: 10859,
      50600: 10860,
      51095: 10861,
      51099: 10862,
      51097: 10863,
      51093: 10864,
      50612: 10865,
      50077: 10866,
      50616: 10867,
      50614: 10868,
      50617: 10869,
      50621: 10870,
      50619: 10871,
      50081: 11041,
      50080: 11042,
      50084: 11043,
      50082: 11044,
      50307: 11045,
      51086: 11046,
      50305: 11047,
      50309: 11048,
      50085: 11049,
      50083: 11050,
      50311: 11051,
      50313: 11052,
      50317: 11053,
      50087: 11054,
      50315: 11055,
      50319: 11056,
      50089: 11057,
      50088: 11058,
      50091: 11059,
      50090: 11060,
      50331: 11061,
      50327: 11062,
      50323: 11063,
      50329: 11064,
      51125: 11065,
      50333: 11066,
      50335: 11067,
      50337: 11069,
      50341: 11070,
      50093: 11071,
      50092: 11072,
      50095: 11073,
      50094: 11074,
      51088: 11075,
      50347: 11077,
      50351: 11078,
      50345: 11079,
      50357: 11080,
      50359: 11081,
      50362: 11082,
      50366: 11083,
      50364: 11084,
      50564: 11085,
      50568: 11086,
      50566: 11087,
      50097: 11088,
      50099: 11089,
      50098: 11090,
      50102: 11091,
      50100: 11092,
      51090: 11093,
      50577: 11094,
      50573: 11095,
      50101: 11096,
      50581: 11097,
      50585: 11098,
      50583: 11099,
      50587: 11100,
      50589: 11101,
      50593: 11102,
      50591: 11103,
      50597: 11104,
      50595: 11105,
      50106: 11106,
      50105: 11107,
      50108: 11108,
      50107: 11109,
      50605: 11110,
      51092: 11111,
      50609: 11112,
      50603: 11113,
      50611: 11114,
      50607: 11115,
      50601: 11116,
      51096: 11117,
      51100: 11118,
      51098: 11119,
      51094: 11120,
      50613: 11121,
      50109: 11122,
      50111: 11123,
      50615: 11124,
      50618: 11125,
      50622: 11126,
      50620: 11127,
      14989442: 12321,
      14989444: 12322,
      14989445: 12323,
      14989452: 12324,
      14989458: 12325,
      14989471: 12326,
      14989475: 12327,
      14989476: 12328,
      14989480: 12329,
      14989483: 12330,
      14989486: 12331,
      14989487: 12332,
      14989488: 12333,
      14989493: 12334,
      14989696: 12335,
      14989697: 12336,
      14989700: 12337,
      14989703: 12338,
      14989713: 12339,
      14989722: 12340,
      14989724: 12341,
      14989731: 12342,
      14989736: 12343,
      14989737: 12344,
      14989748: 12345,
      14989749: 12346,
      14989753: 12347,
      14989759: 12348,
      14989965: 12349,
      14989974: 12350,
      14989975: 12351,
      14989981: 12352,
      14989999: 12353,
      14990009: 12354,
      14990211: 12355,
      14990224: 12356,
      14990234: 12357,
      14990235: 12358,
      14990240: 12359,
      14990241: 12360,
      14990242: 12361,
      14990248: 12362,
      14990255: 12363,
      14990257: 12364,
      14990259: 12365,
      14990261: 12366,
      14990269: 12367,
      14990270: 12368,
      14990271: 12369,
      14990464: 12370,
      14990466: 12371,
      14990467: 12372,
      14990472: 12373,
      14990475: 12374,
      14990476: 12375,
      14990482: 12376,
      14990485: 12377,
      14990486: 12378,
      14990487: 12379,
      14990489: 12380,
      14990510: 12381,
      14990513: 12382,
      14990752: 12383,
      14990515: 12384,
      14990517: 12385,
      14990519: 12386,
      14990521: 12387,
      14990523: 12388,
      14990526: 12389,
      14990720: 12390,
      14990722: 12391,
      14990728: 12392,
      14990729: 12393,
      14990731: 12394,
      14990732: 12395,
      14990738: 12396,
      14990740: 12397,
      14990742: 12398,
      14990744: 12399,
      14990751: 12400,
      14990755: 12401,
      14990762: 12402,
      14990764: 12403,
      14990766: 12404,
      14990769: 12405,
      14990775: 12406,
      14990776: 12407,
      14990777: 12408,
      14990778: 12409,
      14990781: 12410,
      14990782: 12411,
      14990977: 12412,
      14990978: 12413,
      14990980: 12414,
      14990981: 12577,
      14990985: 12578,
      14990986: 12579,
      14990988: 12580,
      14990990: 12581,
      14990992: 12582,
      14990994: 12583,
      14990995: 12584,
      14990996: 12585,
      14990999: 12586,
      14991001: 12587,
      14991002: 12588,
      14991006: 12589,
      14991007: 12590,
      14991026: 12591,
      14991031: 12592,
      14991033: 12593,
      14991035: 12594,
      14991036: 12595,
      14991037: 12596,
      14991038: 12597,
      14991232: 12598,
      14991233: 12599,
      14991237: 12600,
      14991238: 12601,
      14991240: 12602,
      14991241: 12603,
      14991243: 12604,
      14991244: 12605,
      14991245: 12606,
      14991247: 12607,
      14991250: 12608,
      14991260: 12609,
      14991264: 12610,
      14991266: 12611,
      14991280: 12612,
      14991282: 12613,
      14991292: 12614,
      14991293: 12615,
      14991295: 12616,
      15040640: 12617,
      15040641: 12618,
      15040644: 12619,
      15040647: 12620,
      15040650: 12621,
      15040652: 12622,
      15040654: 12623,
      15040656: 12624,
      15040659: 12625,
      15040663: 12626,
      15040664: 12627,
      15040667: 12628,
      15040668: 12629,
      15040669: 12630,
      15040670: 12631,
      15040674: 12632,
      15040679: 12633,
      15040686: 12634,
      15040688: 12635,
      15040690: 12636,
      15040691: 12637,
      15040693: 12638,
      15040896: 12639,
      15040897: 12640,
      15040898: 12641,
      15040901: 12642,
      15040902: 12643,
      15040906: 12644,
      15040908: 12645,
      15040910: 12646,
      15040913: 12647,
      15040914: 12648,
      15040915: 12649,
      15040919: 12650,
      15040921: 12651,
      15040927: 12652,
      15040928: 12653,
      15040930: 12654,
      15040931: 12655,
      15040934: 12656,
      15040935: 12657,
      15040938: 12658,
      15040941: 12659,
      15040944: 12660,
      15040945: 12661,
      15040699: 12662,
      15041153: 12663,
      15041155: 12664,
      15041156: 12665,
      15041158: 12666,
      15041162: 12667,
      15041166: 12668,
      15041167: 12669,
      15041168: 12670,
      15041170: 12833,
      15041171: 12834,
      15041172: 12835,
      15041174: 12836,
      15041179: 12837,
      15041180: 12838,
      15041182: 12839,
      15041183: 12840,
      15041184: 12841,
      15041185: 12842,
      15041186: 12843,
      15041194: 12844,
      15041199: 12845,
      15041200: 12846,
      15041209: 12847,
      15041210: 12848,
      15041213: 12849,
      15041408: 12850,
      15041411: 12851,
      15041412: 12852,
      15041415: 12853,
      15041420: 12854,
      15041422: 12855,
      15041424: 12856,
      15041427: 12857,
      15041428: 12858,
      15041432: 12859,
      15041436: 12860,
      15041437: 12861,
      15041439: 12862,
      15041442: 12863,
      15041444: 12864,
      15041446: 12865,
      15041448: 12866,
      15041449: 12867,
      15041455: 12868,
      15041457: 12869,
      15041462: 12870,
      15041466: 12871,
      15041470: 12872,
      15041667: 12873,
      15041670: 12874,
      15041671: 12875,
      15041672: 12876,
      15041675: 12877,
      15041676: 12878,
      15041677: 12879,
      15041678: 12880,
      15041458: 12881,
      15041680: 12882,
      15041687: 12883,
      15041689: 12884,
      15041691: 12885,
      15041692: 12886,
      15041693: 12887,
      15041694: 12888,
      15041699: 12889,
      15041703: 12890,
      15041704: 12891,
      15041708: 12892,
      15041709: 12893,
      15041711: 12894,
      15041713: 12895,
      15041715: 12896,
      15041716: 12897,
      15041717: 12898,
      15041720: 12899,
      15041721: 12900,
      15041922: 12901,
      15041930: 12902,
      15041935: 12903,
      15041939: 12904,
      15041941: 12905,
      15041943: 12906,
      15041944: 12907,
      15041951: 12908,
      15041956: 12909,
      15041958: 12910,
      15041982: 12911,
      15042179: 12912,
      15042180: 12913,
      15042187: 12914,
      15042190: 12915,
      15042200: 12916,
      15042205: 12917,
      15042209: 12918,
      15042211: 12919,
      15042221: 12920,
      15042232: 12921,
      15042234: 12922,
      15042236: 12923,
      15042238: 12924,
      15042239: 12925,
      15042434: 12926,
      15042440: 13089,
      15042447: 13090,
      15042449: 13091,
      15042450: 13092,
      15042451: 13093,
      15042453: 13094,
      15042456: 13095,
      15042462: 13096,
      15042466: 13097,
      15042469: 13098,
      15042478: 13099,
      15042482: 13100,
      15042483: 13101,
      15042484: 13102,
      15042487: 13103,
      15042689: 13104,
      15042690: 13105,
      15042693: 13106,
      15042706: 13107,
      15042707: 13108,
      15042709: 13109,
      15042710: 13110,
      15042712: 13111,
      15042722: 13112,
      15042728: 13113,
      15042737: 13114,
      15042738: 13115,
      15042741: 13116,
      15042748: 13117,
      15042949: 13118,
      15042953: 13119,
      15042965: 13120,
      15042967: 13121,
      15042968: 13122,
      15042970: 13123,
      15042972: 13124,
      15042975: 13125,
      15042976: 13126,
      15042977: 13127,
      15042982: 13128,
      15042990: 13129,
      15042999: 13130,
      15043e3: 13131,
      15043001: 13132,
      15043200: 13133,
      15043202: 13134,
      15043205: 13135,
      15043210: 13136,
      15043212: 13137,
      15043219: 13138,
      15043221: 13139,
      15043222: 13140,
      15043223: 13141,
      15043224: 13142,
      15043226: 13143,
      15043228: 13144,
      15043236: 13145,
      15043237: 13146,
      15043238: 13147,
      15043239: 13148,
      15043247: 13149,
      15043248: 13150,
      15043254: 13151,
      15043255: 13152,
      15043256: 13153,
      15043258: 13154,
      15043259: 13155,
      15043261: 13156,
      15043456: 13157,
      15043460: 13158,
      15043462: 13159,
      15043464: 13160,
      15043468: 13161,
      15043471: 13162,
      15043473: 13163,
      15043476: 13164,
      15043478: 13165,
      15043483: 13166,
      15043484: 13167,
      15043489: 13168,
      15043493: 13169,
      15043496: 13170,
      15043497: 13171,
      15043498: 13172,
      15043500: 13173,
      15043504: 13174,
      15043505: 13175,
      15043508: 13176,
      15043510: 13177,
      15043511: 13178,
      15043712: 13179,
      15043715: 13180,
      15043722: 13181,
      15043723: 13182,
      15043724: 13345,
      15043729: 13346,
      15043731: 13347,
      15043736: 13348,
      15043739: 13349,
      15043740: 13350,
      15043742: 13351,
      15043743: 13352,
      15043749: 13353,
      15043751: 13354,
      15043752: 13355,
      15043753: 13356,
      15043755: 13357,
      15043756: 13358,
      15043757: 13359,
      15043760: 13360,
      15043762: 13361,
      15043765: 13362,
      15043772: 13363,
      15043773: 13364,
      15043774: 13365,
      15043970: 13366,
      15043980: 13367,
      15043979: 13368,
      15043993: 13369,
      15043995: 13370,
      15044001: 13371,
      15044003: 13372,
      15044005: 13373,
      15044012: 13374,
      15044013: 13375,
      15044018: 13376,
      15044025: 13377,
      15044030: 13378,
      15044227: 13379,
      15044231: 13380,
      15044232: 13381,
      15044238: 13382,
      15044243: 13383,
      15044244: 13384,
      15044249: 13385,
      15044253: 13386,
      15044257: 13387,
      15044260: 13388,
      15044266: 13389,
      15044267: 13390,
      15044271: 13391,
      15044274: 13392,
      15044276: 13393,
      15044277: 13394,
      15044279: 13395,
      15044280: 13396,
      15044282: 13397,
      15044285: 13398,
      15044480: 13399,
      15044485: 13400,
      15044495: 13401,
      15044498: 13402,
      15044499: 13403,
      15044501: 13404,
      15044506: 13405,
      15044509: 13406,
      15044510: 13407,
      15044512: 13408,
      15044518: 13409,
      15044519: 13410,
      15044533: 13411,
      15044738: 13412,
      15044755: 13413,
      15044762: 13414,
      15044769: 13415,
      15044775: 13416,
      15044776: 13417,
      15044778: 13418,
      15044783: 13419,
      15044785: 13420,
      15044788: 13421,
      15044789: 13422,
      15044995: 13423,
      15044996: 13424,
      15044999: 13425,
      15045005: 13426,
      15045007: 13427,
      15045022: 13428,
      15045026: 13429,
      15045028: 13430,
      15045030: 13431,
      15045031: 13432,
      15045033: 13433,
      15045035: 13434,
      15045037: 13435,
      15045038: 13436,
      15045044: 13437,
      15045055: 13438,
      15045249: 13601,
      15045251: 13602,
      15045253: 13603,
      15045256: 13604,
      15045257: 13605,
      15045261: 13606,
      15045265: 13607,
      15045269: 13608,
      15045270: 13609,
      15045276: 13610,
      15045279: 13611,
      15045281: 13612,
      15045286: 13613,
      15045287: 13614,
      15045289: 13615,
      15045290: 13616,
      15045293: 13617,
      15045294: 13618,
      15045297: 13619,
      15045303: 13620,
      15045305: 13621,
      15045306: 13622,
      15045307: 13623,
      15045311: 13624,
      15045510: 13625,
      15045514: 13626,
      15045517: 13627,
      15045518: 13628,
      15045536: 13629,
      15045546: 13630,
      15045548: 13631,
      15045551: 13632,
      15045558: 13633,
      15045564: 13634,
      15045566: 13635,
      15045567: 13636,
      15045760: 13637,
      15045761: 13638,
      15045765: 13639,
      15045768: 13640,
      15045769: 13641,
      15045772: 13642,
      15045773: 13643,
      15045774: 13644,
      15045781: 13645,
      15045802: 13646,
      15045803: 13647,
      15045810: 13648,
      15045813: 13649,
      15045814: 13650,
      15045819: 13651,
      15045820: 13652,
      15045821: 13653,
      15046017: 13654,
      15046023: 13655,
      15046025: 13656,
      15046026: 13657,
      15046029: 13658,
      15046032: 13659,
      15046033: 13660,
      15046040: 13661,
      15046042: 13662,
      15046043: 13663,
      15046046: 13664,
      15046048: 13665,
      15046049: 13666,
      15046052: 13667,
      15046054: 13668,
      15046079: 13669,
      15046273: 13670,
      15046274: 13671,
      15046278: 13672,
      15046280: 13673,
      15046286: 13674,
      15046287: 13675,
      15046289: 13676,
      15046290: 13677,
      15046291: 13678,
      15046292: 13679,
      15046295: 13680,
      15046307: 13681,
      15046308: 13682,
      15046317: 13683,
      15046322: 13684,
      15046335: 13685,
      15046529: 13686,
      15046531: 13687,
      15046534: 13688,
      15046537: 13689,
      15046539: 13690,
      15046540: 13691,
      15046542: 13692,
      15046545: 13693,
      15046546: 13694,
      15046547: 13857,
      15046551: 13858,
      15046552: 13859,
      15046555: 13860,
      15046558: 13861,
      15046562: 13862,
      15046569: 13863,
      15046582: 13864,
      15046591: 13865,
      15046789: 13866,
      15046792: 13867,
      15046794: 13868,
      15046797: 13869,
      15046798: 13870,
      15046799: 13871,
      15046800: 13872,
      15046801: 13873,
      15046802: 13874,
      15046809: 13875,
      15046828: 13876,
      15046832: 13877,
      15046835: 13878,
      15046837: 13879,
      15046839: 13880,
      15046841: 13881,
      15046843: 13882,
      15046844: 13883,
      15046845: 13884,
      15046847: 13885,
      15047040: 13886,
      15047041: 13887,
      15047043: 13888,
      15047044: 13889,
      15047046: 13890,
      15047049: 13891,
      15047051: 13892,
      15047053: 13893,
      15047055: 13894,
      15047060: 13895,
      15047070: 13896,
      15047072: 13897,
      15047073: 13898,
      15047074: 13899,
      15047075: 13900,
      15047078: 13901,
      15047081: 13902,
      15047085: 13903,
      15047087: 13904,
      15047089: 13905,
      15047090: 13906,
      15047093: 13907,
      15047300: 13908,
      15047301: 13909,
      15047304: 13910,
      15047307: 13911,
      15047308: 13912,
      15047317: 13913,
      15047321: 13914,
      15047322: 13915,
      15047325: 13916,
      15047326: 13917,
      15047327: 13918,
      15047334: 13919,
      15047335: 13920,
      15047336: 13921,
      15047337: 13922,
      15047339: 13923,
      15047340: 13924,
      15047341: 13925,
      15047345: 13926,
      15047347: 13927,
      15047351: 13928,
      15047358: 13929,
      15047557: 13930,
      15047561: 13931,
      15047562: 13932,
      15047563: 13933,
      15047567: 13934,
      15047568: 13935,
      15047564: 13936,
      15047565: 13937,
      15047577: 13938,
      15047580: 13939,
      15047581: 13940,
      15047583: 13941,
      15047585: 13942,
      15047588: 13943,
      15047589: 13944,
      15047590: 13945,
      15047591: 13946,
      15047592: 13947,
      15047601: 13948,
      15047595: 13949,
      15047597: 13950,
      15047606: 14113,
      15047607: 14114,
      15047809: 14115,
      15047810: 14116,
      15047815: 14117,
      15047818: 14118,
      15047820: 14119,
      15047825: 14120,
      15047829: 14121,
      15047834: 14122,
      15047835: 14123,
      15047837: 14124,
      15047840: 14125,
      15047842: 14126,
      15047843: 14127,
      15047844: 14128,
      15047845: 14129,
      15047849: 14130,
      15047850: 14131,
      15047852: 14132,
      15047854: 14133,
      15047855: 14134,
      15047859: 14135,
      15047860: 14136,
      15047869: 14137,
      15047870: 14138,
      15047871: 14139,
      15048069: 14140,
      15048070: 14141,
      15048076: 14142,
      15048077: 14143,
      15048082: 14144,
      15048098: 14145,
      15048101: 14146,
      15048103: 14147,
      15048104: 14148,
      15048107: 14149,
      15048109: 14150,
      15048110: 14151,
      15048111: 14152,
      15048112: 14153,
      15048113: 14154,
      15048115: 14155,
      15048116: 14156,
      15048117: 14157,
      15048119: 14158,
      15048121: 14159,
      15048122: 14160,
      15048123: 14161,
      15048124: 14162,
      15048126: 14163,
      15048321: 14164,
      15048323: 14165,
      15048332: 14166,
      15048340: 14167,
      15048343: 14168,
      15048345: 14169,
      15048346: 14170,
      15048348: 14171,
      15048349: 14172,
      15048350: 14173,
      15048351: 14174,
      15048353: 14175,
      15048341: 14176,
      15048359: 14177,
      15048360: 14178,
      15048361: 14179,
      15048364: 14180,
      15048376: 14181,
      15048381: 14182,
      15048583: 14183,
      15048584: 14184,
      15048588: 14185,
      15048591: 14186,
      15048597: 14187,
      15048605: 14188,
      15048606: 14189,
      15048612: 14190,
      15048614: 14191,
      15048615: 14192,
      15048617: 14193,
      15048621: 14194,
      15048624: 14195,
      15048629: 14196,
      15048630: 14197,
      15048632: 14198,
      15048637: 14199,
      15048638: 14200,
      15048639: 14201,
      15048835: 14202,
      15048836: 14203,
      15048840: 14204,
      15048841: 14205,
      15048609: 14206,
      15048844: 14369,
      15048845: 14370,
      15048859: 14371,
      15048862: 14372,
      15048863: 14373,
      15048864: 14374,
      15048870: 14375,
      15048871: 14376,
      15048877: 14377,
      15048882: 14378,
      15048889: 14379,
      15048895: 14380,
      15049097: 14381,
      15049100: 14382,
      15049101: 14383,
      15049103: 14384,
      15049104: 14385,
      15049109: 14386,
      15049119: 14387,
      15049121: 14388,
      15049124: 14389,
      15049127: 14390,
      15049128: 14391,
      15049144: 14392,
      15049148: 14393,
      15049151: 14394,
      15049344: 14395,
      15049345: 14396,
      15049351: 14397,
      15049352: 14398,
      15049353: 14399,
      15049354: 14400,
      15049356: 14401,
      15049357: 14402,
      15049359: 14403,
      15049360: 14404,
      15049364: 14405,
      15049366: 14406,
      15049373: 14407,
      15049376: 14408,
      15049377: 14409,
      15049378: 14410,
      15049382: 14411,
      15049385: 14412,
      15049393: 14413,
      15049394: 14414,
      15049604: 14415,
      15049404: 14416,
      15049602: 14417,
      15049608: 14418,
      15049613: 14419,
      15049614: 14420,
      15049616: 14421,
      15049618: 14422,
      15049620: 14423,
      15049622: 14424,
      15049626: 14425,
      15049629: 14426,
      15049633: 14427,
      15049634: 14428,
      15049641: 14429,
      15049651: 14430,
      15049861: 14431,
      15049862: 14432,
      15049867: 14433,
      15049868: 14434,
      15049874: 14435,
      15049875: 14436,
      15049876: 14437,
      15243649: 14438,
      15049885: 14439,
      15049889: 14440,
      15049891: 14441,
      15049892: 14442,
      15049896: 14443,
      15049903: 14444,
      15049904: 14445,
      15049907: 14446,
      15049909: 14447,
      15049910: 14448,
      15049919: 14449,
      15050115: 14450,
      15050118: 14451,
      15050130: 14452,
      15050131: 14453,
      15050137: 14454,
      15050139: 14455,
      15050141: 14456,
      15050142: 14457,
      15050143: 14458,
      15050145: 14459,
      15050147: 14460,
      15050155: 14461,
      15050157: 14462,
      15050159: 14625,
      15050162: 14626,
      15050165: 14627,
      15050166: 14628,
      15050169: 14629,
      15050171: 14630,
      15050172: 14631,
      15050379: 14632,
      15050380: 14633,
      15050382: 14634,
      15050386: 14635,
      15050389: 14636,
      15050391: 14637,
      15050399: 14638,
      15050404: 14639,
      15050407: 14640,
      15050413: 14641,
      15050414: 14642,
      15050415: 14643,
      15050416: 14644,
      15050419: 14645,
      15050423: 14646,
      15050426: 14647,
      15050428: 14648,
      15050625: 14649,
      15050627: 14650,
      15050628: 14651,
      15050632: 14652,
      15050634: 14653,
      15050637: 14654,
      15050642: 14655,
      15050653: 14656,
      15050654: 14657,
      15050655: 14658,
      15050659: 14659,
      15050660: 14660,
      15050663: 14661,
      15050670: 14662,
      15050671: 14663,
      15050673: 14664,
      15050674: 14665,
      15050676: 14666,
      15050679: 14667,
      15050880: 14668,
      15050884: 14669,
      15050892: 14670,
      15050893: 14671,
      15050894: 14672,
      15050898: 14673,
      15050899: 14674,
      15050910: 14675,
      15050915: 14676,
      15050916: 14677,
      15050919: 14678,
      15050920: 14679,
      15050922: 14680,
      15050925: 14681,
      15050928: 14682,
      15051140: 14683,
      15051141: 14684,
      15051143: 14685,
      15051144: 14686,
      15051148: 14687,
      15051152: 14688,
      15051157: 14689,
      15051166: 14690,
      15051171: 14691,
      15051173: 14692,
      15051175: 14693,
      15051181: 14694,
      15051191: 14695,
      15051194: 14696,
      15051195: 14697,
      15051198: 14698,
      15051403: 14699,
      15051408: 14700,
      15051411: 14701,
      15051414: 14702,
      15051417: 14703,
      15051420: 14704,
      15051422: 14705,
      15051423: 14706,
      15051424: 14707,
      15051426: 14708,
      15051431: 14709,
      15051436: 14710,
      15051441: 14711,
      15051442: 14712,
      15051443: 14713,
      15051445: 14714,
      15051448: 14715,
      15051450: 14716,
      15051451: 14717,
      15051455: 14718,
      15051652: 14881,
      15051654: 14882,
      15051656: 14883,
      15051663: 14884,
      15051674: 14885,
      15051676: 14886,
      15051680: 14887,
      15051685: 14888,
      15051690: 14889,
      15051694: 14890,
      15051701: 14891,
      15051702: 14892,
      15051709: 14893,
      15051904: 14894,
      15051905: 14895,
      15051912: 14896,
      15051927: 14897,
      15051956: 14898,
      15051929: 14899,
      15051931: 14900,
      15051933: 14901,
      15051937: 14902,
      15051941: 14903,
      15051949: 14904,
      15051960: 14905,
      15052161: 14906,
      15052171: 14907,
      15052172: 14908,
      15052178: 14909,
      15052182: 14910,
      15052190: 14911,
      15052200: 14912,
      15052206: 14913,
      15052207: 14914,
      15052220: 14915,
      15052221: 14916,
      15052222: 14917,
      15052223: 14918,
      15052417: 14919,
      15052420: 14920,
      15052422: 14921,
      15052426: 14922,
      15052430: 14923,
      15052432: 14924,
      15052433: 14925,
      15052435: 14926,
      15052436: 14927,
      15052438: 14928,
      15052456: 14929,
      15052457: 14930,
      15052460: 14931,
      15052461: 14932,
      15052463: 14933,
      15052465: 14934,
      15052466: 14935,
      15052471: 14936,
      15052474: 14937,
      15052476: 14938,
      15052672: 14939,
      15052673: 14940,
      15052685: 14941,
      15052687: 14942,
      15052694: 14943,
      15052695: 14944,
      15052696: 14945,
      15052697: 14946,
      15052698: 14947,
      15052704: 14948,
      15052719: 14949,
      15052721: 14950,
      15052724: 14951,
      15052733: 14952,
      15052940: 14953,
      15052951: 14954,
      15052958: 14955,
      15052959: 14956,
      15052963: 14957,
      15052966: 14958,
      15052969: 14959,
      15052971: 14960,
      15052972: 14961,
      15052974: 14962,
      15052976: 14963,
      15052978: 14964,
      15052981: 14965,
      15052982: 14966,
      15053209: 14967,
      15053210: 14968,
      15053212: 14969,
      15053218: 14970,
      15053219: 14971,
      15053223: 14972,
      15053224: 14973,
      15053225: 14974,
      15053229: 15137,
      15053232: 15138,
      15053236: 15139,
      15053237: 15140,
      15053242: 15141,
      15053243: 15142,
      15053244: 15143,
      15053245: 15144,
      15053447: 15145,
      15053448: 15146,
      15053450: 15147,
      15053455: 15148,
      15053458: 15149,
      15053469: 15150,
      15053471: 15151,
      15053472: 15152,
      15053474: 15153,
      15053475: 15154,
      15053478: 15155,
      15053482: 15156,
      15053490: 15157,
      15053492: 15158,
      15053493: 15159,
      15053498: 15160,
      15053705: 15161,
      15053707: 15162,
      15053714: 15163,
      15053725: 15164,
      15053719: 15165,
      15053742: 15166,
      15053745: 15167,
      15053746: 15168,
      15053748: 15169,
      15053953: 15170,
      15053958: 15171,
      15053965: 15172,
      15053970: 15173,
      15053995: 15174,
      15053987: 15175,
      15053988: 15176,
      15053990: 15177,
      15053991: 15178,
      15054001: 15179,
      15054004: 15180,
      15054009: 15181,
      15054013: 15182,
      15054015: 15183,
      15054210: 15184,
      15054211: 15185,
      15054214: 15186,
      15054216: 15187,
      15054229: 15188,
      15054225: 15189,
      15054233: 15190,
      15054218: 15191,
      15054239: 15192,
      15054240: 15193,
      15054241: 15194,
      15054242: 15195,
      15054244: 15196,
      15054250: 15197,
      15054253: 15198,
      15054256: 15199,
      15054265: 15200,
      15054266: 15201,
      15054270: 15202,
      15054271: 15203,
      15054465: 15204,
      15054467: 15205,
      15054472: 15206,
      15054474: 15207,
      15054482: 15208,
      15054483: 15209,
      15054484: 15210,
      15054485: 15211,
      15054489: 15212,
      15054491: 15213,
      15054495: 15214,
      15054496: 15215,
      15054503: 15216,
      15054507: 15217,
      15054512: 15218,
      15054516: 15219,
      15054520: 15220,
      15054521: 15221,
      15054723: 15222,
      15054727: 15223,
      15054731: 15224,
      15054736: 15225,
      15054734: 15226,
      15054744: 15227,
      15054745: 15228,
      15054752: 15229,
      15054756: 15230,
      15054761: 15393,
      15054776: 15394,
      15054777: 15395,
      15054976: 15396,
      15054983: 15397,
      15054989: 15398,
      15054994: 15399,
      15054996: 15400,
      15054997: 15401,
      15055e3: 15402,
      15055007: 15403,
      15055008: 15404,
      15055022: 15405,
      15055016: 15406,
      15055026: 15407,
      15055029: 15408,
      15055038: 15409,
      15055243: 15410,
      15055248: 15411,
      15055241: 15412,
      15055249: 15413,
      15055254: 15414,
      15055256: 15415,
      15055259: 15416,
      15055260: 15417,
      15055262: 15418,
      15055272: 15419,
      15055274: 15420,
      15055275: 15421,
      15055276: 15422,
      15055277: 15423,
      15055278: 15424,
      15055280: 15425,
      15055488: 15426,
      15055499: 15427,
      15055502: 15428,
      15055522: 15429,
      15055524: 15430,
      15055525: 15431,
      15055528: 15432,
      15055530: 15433,
      15055532: 15434,
      15055537: 15435,
      15055539: 15436,
      15055549: 15437,
      15055550: 15438,
      15055551: 15439,
      15055750: 15440,
      15055756: 15441,
      15055755: 15442,
      15055758: 15443,
      15055761: 15444,
      15055762: 15445,
      15055764: 15446,
      15055765: 15447,
      15055772: 15448,
      15055774: 15449,
      15055781: 15450,
      15055787: 15451,
      15056002: 15452,
      15056006: 15453,
      15056007: 15454,
      15056008: 15455,
      15056014: 15456,
      15056025: 15457,
      15056028: 15458,
      15056029: 15459,
      15056033: 15460,
      15056034: 15461,
      15056035: 15462,
      15056036: 15463,
      15056040: 15464,
      15056043: 15465,
      15056044: 15466,
      15056046: 15467,
      15056048: 15468,
      15056052: 15469,
      15056054: 15470,
      15056059: 15471,
      15056061: 15472,
      15056063: 15473,
      15056256: 15474,
      15056260: 15475,
      15056261: 15476,
      15056263: 15477,
      15056269: 15478,
      15056272: 15479,
      15056276: 15480,
      15056280: 15481,
      15056283: 15482,
      15056288: 15483,
      15056291: 15484,
      15056292: 15485,
      15056295: 15486,
      15056303: 15649,
      15056306: 15650,
      15056308: 15651,
      15056309: 15652,
      15056312: 15653,
      15056314: 15654,
      15056317: 15655,
      15056318: 15656,
      15056521: 15657,
      15056525: 15658,
      15056527: 15659,
      15056534: 15660,
      15056540: 15661,
      15056541: 15662,
      15056546: 15663,
      15056551: 15664,
      15056555: 15665,
      15056548: 15666,
      15056556: 15667,
      15056559: 15668,
      15056560: 15669,
      15056561: 15670,
      15056568: 15671,
      15056772: 15672,
      15056775: 15673,
      15056776: 15674,
      15056777: 15675,
      15056779: 15676,
      15056784: 15677,
      15056785: 15678,
      15056786: 15679,
      15056787: 15680,
      15056788: 15681,
      15056798: 15682,
      15056801: 15683,
      15056802: 15684,
      15056808: 15685,
      15056809: 15686,
      15056810: 15687,
      15056812: 15688,
      15056813: 15689,
      15056814: 15690,
      15056815: 15691,
      15056818: 15692,
      15056819: 15693,
      15056822: 15694,
      15056826: 15695,
      15056828: 15696,
      15106183: 15697,
      15106186: 15698,
      15106189: 15699,
      15106195: 15700,
      15106196: 15701,
      15106199: 15702,
      15106200: 15703,
      15106202: 15704,
      15106207: 15705,
      15106212: 15706,
      15106221: 15707,
      15106227: 15708,
      15106229: 15709,
      15106432: 15710,
      15106439: 15711,
      15106440: 15712,
      15106441: 15713,
      15106444: 15714,
      15106449: 15715,
      15106452: 15716,
      15106454: 15717,
      15106455: 15718,
      15106461: 15719,
      15106465: 15720,
      15106471: 15721,
      15106481: 15722,
      15106494: 15723,
      15106495: 15724,
      15106690: 15725,
      15106694: 15726,
      15106696: 15727,
      15106698: 15728,
      15106702: 15729,
      15106705: 15730,
      15106707: 15731,
      15106709: 15732,
      15106712: 15733,
      15106717: 15734,
      15106718: 15735,
      15106722: 15736,
      15106724: 15737,
      15106725: 15738,
      15106728: 15739,
      15106736: 15740,
      15106737: 15741,
      15106743: 15742,
      15106747: 15905,
      15106750: 15906,
      15106946: 15907,
      15106948: 15908,
      15106952: 15909,
      15106953: 15910,
      15106954: 15911,
      15106955: 15912,
      15106958: 15913,
      15106959: 15914,
      15106964: 15915,
      15106965: 15916,
      15106969: 15917,
      15106971: 15918,
      15106973: 15919,
      15106974: 15920,
      15106978: 15921,
      15106981: 15922,
      15106994: 15923,
      15106997: 15924,
      15107e3: 15925,
      15107004: 15926,
      15107005: 15927,
      15107202: 15928,
      15107207: 15929,
      15107210: 15930,
      15107212: 15931,
      15107216: 15932,
      15107217: 15933,
      15107218: 15934,
      15107219: 15935,
      15107220: 15936,
      15107222: 15937,
      15107223: 15938,
      15107225: 15939,
      15107228: 15940,
      15107230: 15941,
      15107234: 15942,
      15107242: 15943,
      15107243: 15944,
      15107248: 15945,
      15107249: 15946,
      15107253: 15947,
      15107254: 15948,
      15107255: 15949,
      15107257: 15950,
      15107457: 15951,
      15107461: 15952,
      15107462: 15953,
      15107465: 15954,
      15107486: 15955,
      15107488: 15956,
      15107500: 15957,
      15107506: 15958,
      15107512: 15959,
      15107515: 15960,
      15107516: 15961,
      15107519: 15962,
      15107712: 15963,
      15107713: 15964,
      15107715: 15965,
      15107716: 15966,
      15107723: 15967,
      15107725: 15968,
      15107730: 15969,
      15107731: 15970,
      15107735: 15971,
      15107736: 15972,
      15107740: 15973,
      15107741: 15974,
      15107743: 15975,
      15107744: 15976,
      15107749: 15977,
      15107752: 15978,
      15107754: 15979,
      15107757: 15980,
      15107768: 15981,
      15107769: 15982,
      15107772: 15983,
      15107968: 15984,
      15107969: 15985,
      15107970: 15986,
      15107982: 15987,
      15107983: 15988,
      15107989: 15989,
      15107996: 15990,
      15107997: 15991,
      15107998: 15992,
      15107999: 15993,
      15108001: 15994,
      15108002: 15995,
      15108007: 15996,
      15108009: 15997,
      15108005: 15998,
      15108012: 16161,
      15108013: 16162,
      15108015: 16163,
      15108225: 16164,
      15108227: 16165,
      15108228: 16166,
      15108231: 16167,
      15108243: 16168,
      15108245: 16169,
      15108252: 16170,
      15108256: 16171,
      15108258: 16172,
      15108259: 16173,
      15108263: 16174,
      15108265: 16175,
      15108267: 16176,
      15108281: 16177,
      15108285: 16178,
      15108482: 16179,
      15108483: 16180,
      15108484: 16181,
      15108486: 16182,
      15108492: 16183,
      15108496: 16184,
      15108497: 16185,
      15108498: 16186,
      15108500: 16187,
      15108502: 16188,
      15108506: 16189,
      15108508: 16190,
      15108516: 16191,
      15108525: 16192,
      15108527: 16193,
      15108531: 16194,
      15108538: 16195,
      15108541: 16196,
      15108749: 16197,
      15108750: 16198,
      15108751: 16199,
      15108752: 16200,
      15108774: 16201,
      15108776: 16202,
      15108787: 16203,
      15108790: 16204,
      15108791: 16205,
      15108794: 16206,
      15108798: 16207,
      15108799: 16208,
      15108996: 16209,
      15109006: 16210,
      15109013: 16211,
      15109014: 16212,
      15109018: 16213,
      15109034: 16214,
      15109042: 16215,
      15109044: 16216,
      15109052: 16217,
      15109053: 16218,
      15109251: 16219,
      15109252: 16220,
      15109258: 16221,
      15109259: 16222,
      15109261: 16223,
      15109264: 16224,
      15109267: 16225,
      15109270: 16226,
      15109272: 16227,
      15109289: 16228,
      15109290: 16229,
      15109293: 16230,
      15109301: 16231,
      15109302: 16232,
      15109305: 16233,
      15109308: 16234,
      15109505: 16235,
      15109506: 16236,
      15109507: 16237,
      15109508: 16238,
      15109510: 16239,
      15109514: 16240,
      15109515: 16241,
      15109518: 16242,
      15109522: 16243,
      15109523: 16244,
      15109524: 16245,
      15109528: 16246,
      15109531: 16247,
      15109541: 16248,
      15109542: 16249,
      15109548: 16250,
      15109549: 16251,
      15109553: 16252,
      15109556: 16253,
      15109557: 16254,
      15109560: 16417,
      15109564: 16418,
      15109565: 16419,
      15109567: 16420,
      15109762: 16421,
      15109764: 16422,
      15109767: 16423,
      15109770: 16424,
      15109776: 16425,
      15109780: 16426,
      15109781: 16427,
      15109785: 16428,
      15109786: 16429,
      15109790: 16430,
      15109796: 16431,
      15109798: 16432,
      15109805: 16433,
      15109806: 16434,
      15109807: 16435,
      15109821: 16436,
      15110017: 16437,
      15110021: 16438,
      15110024: 16439,
      15110030: 16440,
      15110033: 16441,
      15110035: 16442,
      15110036: 16443,
      15110037: 16444,
      15110044: 16445,
      15110048: 16446,
      15110053: 16447,
      15110058: 16448,
      15110060: 16449,
      15110066: 16450,
      15110067: 16451,
      15110069: 16452,
      15110072: 16453,
      15110073: 16454,
      15110281: 16455,
      15110282: 16456,
      15110288: 16457,
      15110290: 16458,
      15110292: 16459,
      15110296: 16460,
      15110302: 16461,
      15110304: 16462,
      15110306: 16463,
      15110308: 16464,
      15110309: 16465,
      15110313: 16466,
      15110314: 16467,
      15110319: 16468,
      15110320: 16469,
      15110325: 16470,
      15110333: 16471,
      15110335: 16472,
      15110539: 16473,
      15110543: 16474,
      15110545: 16475,
      15110546: 16476,
      15110547: 16477,
      15110548: 16478,
      15110554: 16479,
      15110555: 16480,
      15110556: 16481,
      15110557: 16482,
      15110559: 16483,
      15110560: 16484,
      15110561: 16485,
      15110563: 16486,
      15110573: 16487,
      15110579: 16488,
      15110580: 16489,
      15110587: 16490,
      15110589: 16491,
      15110789: 16492,
      15110791: 16493,
      15110799: 16494,
      15110800: 16495,
      15110801: 16496,
      15110808: 16497,
      15110809: 16498,
      15110811: 16499,
      15110813: 16500,
      15110815: 16501,
      15110817: 16502,
      15110819: 16503,
      15110822: 16504,
      15110824: 16505,
      15110828: 16506,
      15110835: 16507,
      15110845: 16508,
      15110846: 16509,
      15110847: 16510,
      15111044: 16673,
      15111049: 16674,
      15111050: 16675,
      15111051: 16676,
      15111052: 16677,
      15111054: 16678,
      15111056: 16679,
      15111057: 16680,
      15111061: 16681,
      15111063: 16682,
      15111076: 16683,
      15111077: 16684,
      15111081: 16685,
      15111082: 16686,
      15111085: 16687,
      15111088: 16688,
      15111093: 16689,
      15111095: 16690,
      15111099: 16691,
      15111103: 16692,
      15111297: 16693,
      15111300: 16694,
      15111304: 16695,
      15111305: 16696,
      15111306: 16697,
      15111311: 16698,
      15111315: 16699,
      15111316: 16700,
      15111318: 16701,
      15111321: 16702,
      15111323: 16703,
      15111326: 16704,
      15111327: 16705,
      15111330: 16706,
      15111334: 16707,
      15111337: 16708,
      15111342: 16709,
      15111345: 16710,
      15111354: 16711,
      15111356: 16712,
      15111357: 16713,
      15111555: 16714,
      15111559: 16715,
      15111561: 16716,
      15111568: 16717,
      15111570: 16718,
      15111572: 16719,
      15111583: 16720,
      15111584: 16721,
      15111591: 16722,
      15111595: 16723,
      15111610: 16724,
      15111613: 16725,
      15111809: 16726,
      15111813: 16727,
      15111818: 16728,
      15111826: 16729,
      15111829: 16730,
      15111832: 16731,
      15111837: 16732,
      15111840: 16733,
      15111843: 16734,
      15111846: 16735,
      15111854: 16736,
      15111858: 16737,
      15111859: 16738,
      15111860: 16739,
      15111871: 16740,
      15112066: 16741,
      15112072: 16742,
      15112073: 16743,
      15112078: 16744,
      15112080: 16745,
      15112084: 16746,
      15112086: 16747,
      15112088: 16748,
      15112095: 16749,
      15112112: 16750,
      15112114: 16751,
      15112116: 16752,
      15112117: 16753,
      15112121: 16754,
      15112126: 16755,
      15112127: 16756,
      15112320: 16757,
      15112324: 16758,
      15112328: 16759,
      15112329: 16760,
      15112333: 16761,
      15112337: 16762,
      15112338: 16763,
      15112341: 16764,
      15112342: 16765,
      15112349: 16766,
      15112350: 16929,
      15112353: 16930,
      15112354: 16931,
      15112355: 16932,
      15112356: 16933,
      15112358: 16934,
      15112361: 16935,
      15112362: 16936,
      15112363: 16937,
      15112364: 16938,
      15112366: 16939,
      15112368: 16940,
      15112369: 16941,
      15112371: 16942,
      15112377: 16943,
      15112375: 16944,
      15112576: 16945,
      15112581: 16946,
      15112582: 16947,
      15112586: 16948,
      15112588: 16949,
      15112593: 16950,
      15112590: 16951,
      15112599: 16952,
      15112600: 16953,
      15112601: 16954,
      15112603: 16955,
      15112604: 16956,
      15112608: 16957,
      15112609: 16958,
      15113147: 16959,
      15112618: 16960,
      15112619: 16961,
      15112620: 16962,
      15112638: 16963,
      15112627: 16964,
      15112629: 16965,
      15112639: 16966,
      15112631: 16967,
      15112632: 16968,
      15112633: 16969,
      15112635: 16970,
      15112832: 16971,
      15112636: 16972,
      15112843: 16973,
      15112844: 16974,
      15112845: 16975,
      15112848: 16976,
      15112850: 16977,
      15112857: 16978,
      15112858: 16979,
      15112859: 16980,
      15112860: 16981,
      15112863: 16982,
      15112864: 16983,
      15112868: 16984,
      15112877: 16985,
      15112881: 16986,
      15112882: 16987,
      15112885: 16988,
      15112891: 16989,
      15112895: 16990,
      15113088: 16991,
      15113090: 16992,
      15113091: 16993,
      15113096: 16994,
      15113100: 16995,
      15113102: 16996,
      15113103: 16997,
      15113108: 16998,
      15113115: 16999,
      15113119: 17e3,
      15113128: 17001,
      15113131: 17002,
      15113132: 17003,
      15113134: 17004,
      15113146: 17005,
      15113349: 17006,
      15113351: 17007,
      15113358: 17008,
      15113363: 17009,
      15113369: 17010,
      15113372: 17011,
      15113376: 17012,
      15113378: 17013,
      15113395: 17014,
      15113406: 17015,
      15113605: 17016,
      15113607: 17017,
      15113608: 17018,
      15113612: 17019,
      15113620: 17020,
      15113621: 17021,
      15113629: 17022,
      15113638: 17185,
      15113644: 17186,
      15113646: 17187,
      15113652: 17188,
      15113654: 17189,
      15113659: 17190,
      15113857: 17191,
      15113860: 17192,
      15113870: 17193,
      15113871: 17194,
      15113873: 17195,
      15113875: 17196,
      15113878: 17197,
      15113880: 17198,
      15113881: 17199,
      15113883: 17200,
      15113904: 17201,
      15113905: 17202,
      15113906: 17203,
      15113909: 17204,
      15113915: 17205,
      15113916: 17206,
      15113917: 17207,
      15114169: 17208,
      15114112: 17209,
      15114114: 17210,
      15114115: 17211,
      15114117: 17212,
      15114120: 17213,
      15114121: 17214,
      15114130: 17215,
      15114135: 17216,
      15114137: 17217,
      15114140: 17218,
      15114145: 17219,
      15114150: 17220,
      15114160: 17221,
      15114162: 17222,
      15114166: 17223,
      15114167: 17224,
      15114642: 17225,
      15114388: 17226,
      15114393: 17227,
      15114397: 17228,
      15114399: 17229,
      15114408: 17230,
      15114407: 17231,
      15114412: 17232,
      15114413: 17233,
      15114415: 17234,
      15114416: 17235,
      15114417: 17236,
      15114419: 17237,
      15114427: 17238,
      15114431: 17239,
      15114628: 17240,
      15114629: 17241,
      15114634: 17242,
      15114636: 17243,
      15114645: 17244,
      15114647: 17245,
      15114648: 17246,
      15114651: 17247,
      15114667: 17248,
      15114670: 17249,
      15114671: 17250,
      15114672: 17251,
      15114673: 17252,
      15114674: 17253,
      15114677: 17254,
      15114681: 17255,
      15114682: 17256,
      15114683: 17257,
      15114684: 17258,
      15114882: 17259,
      15114884: 17260,
      15114886: 17261,
      15114888: 17262,
      15114902: 17263,
      15114904: 17264,
      15114906: 17265,
      15114908: 17266,
      15114913: 17267,
      15114915: 17268,
      15114917: 17269,
      15114921: 17270,
      15114922: 17271,
      15114926: 17272,
      15114930: 17273,
      15114939: 17274,
      15115141: 17275,
      15115144: 17276,
      15115148: 17277,
      15115151: 17278,
      15115152: 17441,
      15115153: 17442,
      15115155: 17443,
      15115158: 17444,
      15115161: 17445,
      15115164: 17446,
      15115165: 17447,
      15115173: 17448,
      15115176: 17449,
      15115178: 17450,
      15115179: 17451,
      15115180: 17452,
      15115181: 17453,
      15115184: 17454,
      15115185: 17455,
      15115189: 17456,
      15115190: 17457,
      15115195: 17458,
      15115196: 17459,
      15115197: 17460,
      15115398: 17461,
      15115401: 17462,
      15115402: 17463,
      15115408: 17464,
      15115409: 17465,
      15115411: 17466,
      15115414: 17467,
      15115415: 17468,
      15115441: 17469,
      15115443: 17470,
      15115445: 17471,
      15115448: 17472,
      15115451: 17473,
      15115650: 17474,
      15115653: 17475,
      15115657: 17476,
      15115662: 17477,
      15115671: 17478,
      15115675: 17479,
      15115683: 17480,
      15115684: 17481,
      15115685: 17482,
      15115686: 17483,
      15115688: 17484,
      15115689: 17485,
      15115692: 17486,
      15115696: 17487,
      15115697: 17488,
      15115698: 17489,
      15115706: 17490,
      15115707: 17491,
      15115711: 17492,
      15115904: 17493,
      15115917: 17494,
      15115922: 17495,
      15115926: 17496,
      15115928: 17497,
      15115937: 17498,
      15115941: 17499,
      15115942: 17500,
      15115944: 17501,
      15115947: 17502,
      15115949: 17503,
      15115951: 17504,
      15115959: 17505,
      15115960: 17506,
      15115962: 17507,
      15115964: 17508,
      15116165: 17509,
      15116168: 17510,
      15116177: 17511,
      15116182: 17512,
      15116183: 17513,
      15116194: 17514,
      15116197: 17515,
      15116206: 17516,
      15116207: 17517,
      15116209: 17518,
      15116211: 17519,
      15116213: 17520,
      15116222: 17521,
      15116416: 17522,
      15116417: 17523,
      15116419: 17524,
      15116431: 17525,
      15116433: 17526,
      15116437: 17527,
      15116442: 17528,
      15116445: 17529,
      15116448: 17530,
      15116452: 17531,
      15116456: 17532,
      15116464: 17533,
      15116466: 17534,
      15116468: 17697,
      15116471: 17698,
      15116475: 17699,
      15116478: 17700,
      15116479: 17701,
      15116677: 17702,
      15116678: 17703,
      15116681: 17704,
      15116682: 17705,
      15116686: 17706,
      15116688: 17707,
      15116689: 17708,
      15116690: 17709,
      15116693: 17710,
      15116694: 17711,
      15116699: 17712,
      15116708: 17713,
      15116711: 17714,
      15116714: 17715,
      15116721: 17716,
      15116723: 17717,
      15116734: 17718,
      15116929: 17719,
      15116931: 17720,
      15116934: 17721,
      15116935: 17722,
      15116937: 17723,
      15116939: 17724,
      15116945: 17725,
      15116955: 17726,
      15116957: 17727,
      15116958: 17728,
      15116959: 17729,
      15116965: 17730,
      15116971: 17731,
      15116975: 17732,
      15116976: 17733,
      15116977: 17734,
      15116980: 17735,
      15116989: 17736,
      15116990: 17737,
      15116991: 17738,
      15117190: 17739,
      15117193: 17740,
      15117192: 17741,
      15117196: 17742,
      15117200: 17743,
      15117204: 17744,
      15117205: 17745,
      15117206: 17746,
      15117212: 17747,
      15117213: 17748,
      15117220: 17749,
      15117223: 17750,
      15117228: 17751,
      15117232: 17752,
      15117233: 17753,
      15117234: 17754,
      15117244: 17755,
      15117245: 17756,
      15117442: 17757,
      15117443: 17758,
      15117446: 17759,
      15117447: 17760,
      15117449: 17761,
      15117455: 17762,
      15117456: 17763,
      15117457: 17764,
      15117463: 17765,
      15117467: 17766,
      15117470: 17767,
      15117476: 17768,
      15117480: 17769,
      15117483: 17770,
      15117484: 17771,
      15117487: 17772,
      15117493: 17773,
      15117494: 17774,
      15117499: 17775,
      15117503: 17776,
      15117702: 17777,
      15117706: 17778,
      15117709: 17779,
      15117714: 17780,
      15117718: 17781,
      15117720: 17782,
      15117725: 17783,
      15117728: 17784,
      15117735: 17785,
      15117739: 17786,
      15117742: 17787,
      15117744: 17788,
      15117749: 17789,
      15117757: 17790,
      15117758: 17953,
      15117954: 17954,
      15117957: 17955,
      15117975: 17956,
      15117979: 17957,
      15117983: 17958,
      15117984: 17959,
      15117986: 17960,
      15117987: 17961,
      15117992: 17962,
      15117993: 17963,
      15117996: 17964,
      15117997: 17965,
      15117998: 17966,
      15118e3: 17967,
      15118008: 17968,
      15118009: 17969,
      15118013: 17970,
      15118014: 17971,
      15118211: 17972,
      15118212: 17973,
      15118217: 17974,
      15118220: 17975,
      15118230: 17976,
      15118234: 17977,
      15118241: 17978,
      15118243: 17979,
      15118246: 17980,
      15118247: 17981,
      15118254: 17982,
      15118257: 17983,
      15118263: 17984,
      15118265: 17985,
      15118271: 17986,
      15118466: 17987,
      15118468: 17988,
      15118469: 17989,
      15118473: 17990,
      15118477: 17991,
      15118478: 17992,
      15118480: 17993,
      15118482: 17994,
      15118489: 17995,
      15118495: 17996,
      15118502: 17997,
      15118503: 17998,
      15118504: 17999,
      15118508: 18e3,
      15118510: 18001,
      15118515: 18002,
      15118517: 18003,
      15118518: 18004,
      15118522: 18005,
      15118523: 18006,
      15118527: 18007,
      15118730: 18008,
      15118731: 18009,
      15118733: 18010,
      15118735: 18011,
      15118738: 18012,
      15118740: 18013,
      15118745: 18014,
      15118747: 18015,
      15118748: 18016,
      15118763: 18017,
      15118765: 18018,
      15118767: 18019,
      15118772: 18020,
      15118774: 18021,
      15118776: 18022,
      15118777: 18023,
      15118779: 18024,
      15118981: 18025,
      15118982: 18026,
      15118983: 18027,
      15118985: 18028,
      15118996: 18029,
      15118997: 18030,
      15118999: 18031,
      15119e3: 18032,
      15119004: 18033,
      15119007: 18034,
      15119024: 18035,
      15119026: 18036,
      15119028: 18037,
      15119234: 18038,
      15119238: 18039,
      15119245: 18040,
      15119247: 18041,
      15119248: 18042,
      15119249: 18043,
      15119250: 18044,
      15119252: 18045,
      15119254: 18046,
      15119258: 18209,
      15119260: 18210,
      15119264: 18211,
      15119271: 18212,
      15119273: 18213,
      15119275: 18214,
      15119276: 18215,
      15119278: 18216,
      15119282: 18217,
      15119284: 18218,
      15119492: 18219,
      15119495: 18220,
      15119498: 18221,
      15119502: 18222,
      15119503: 18223,
      15119505: 18224,
      15119507: 18225,
      15119514: 18226,
      15119526: 18227,
      15119527: 18228,
      15119528: 18229,
      15118759: 18230,
      15119534: 18231,
      15119535: 18232,
      15119537: 18233,
      15119545: 18234,
      15119548: 18235,
      15119551: 18236,
      15119767: 18237,
      15119774: 18238,
      15119775: 18239,
      15119777: 18240,
      15119781: 18241,
      15119783: 18242,
      15119791: 18243,
      15119792: 18244,
      15119804: 18245,
      15120002: 18246,
      15120007: 18247,
      15120017: 18248,
      15120018: 18249,
      15120020: 18250,
      15120022: 18251,
      15120023: 18252,
      15120024: 18253,
      15120042: 18254,
      15120044: 18255,
      15120052: 18256,
      15120055: 18257,
      15120057: 18258,
      15120061: 18259,
      15120063: 18260,
      15120260: 18261,
      15120264: 18262,
      15120266: 18263,
      15120270: 18264,
      15120271: 18265,
      15120278: 18266,
      15120283: 18267,
      15120285: 18268,
      15120287: 18269,
      15120288: 18270,
      15120290: 18271,
      15120293: 18272,
      15120297: 18273,
      15120303: 18274,
      15120304: 18275,
      15120308: 18276,
      15120310: 18277,
      15120316: 18278,
      15120512: 18279,
      15120516: 18280,
      15120542: 18281,
      15120546: 18282,
      15120551: 18283,
      15120562: 18284,
      15120566: 18285,
      15120569: 18286,
      15120571: 18287,
      15120572: 18288,
      15120772: 18289,
      15120773: 18290,
      15120776: 18291,
      15120777: 18292,
      15120779: 18293,
      15120783: 18294,
      15120785: 18295,
      15120786: 18296,
      15120787: 18297,
      15120788: 18298,
      15120791: 18299,
      15120796: 18300,
      15120797: 18301,
      15120798: 18302,
      15120802: 18465,
      15120803: 18466,
      15120808: 18467,
      15120819: 18468,
      15120827: 18469,
      15120829: 18470,
      15121037: 18471,
      15121043: 18472,
      15121049: 18473,
      15121056: 18474,
      15121063: 18475,
      15121069: 18476,
      15121070: 18477,
      15121073: 18478,
      15121075: 18479,
      15121083: 18480,
      15121087: 18481,
      15121280: 18482,
      15121281: 18483,
      15121283: 18484,
      15121287: 18485,
      15121288: 18486,
      15121290: 18487,
      15121293: 18488,
      15121294: 18489,
      15121295: 18490,
      15121323: 18491,
      15121325: 18492,
      15121326: 18493,
      15121337: 18494,
      15121339: 18495,
      15121341: 18496,
      15121540: 18497,
      15121544: 18498,
      15121546: 18499,
      15121548: 18500,
      15121549: 18501,
      15121558: 18502,
      15121560: 18503,
      15121562: 18504,
      15121563: 18505,
      15121574: 18506,
      15121577: 18507,
      15121578: 18508,
      15121583: 18509,
      15121584: 18510,
      15121587: 18511,
      15121590: 18512,
      15121595: 18513,
      15121596: 18514,
      15121581: 18515,
      15121807: 18516,
      15121809: 18517,
      15121810: 18518,
      15121811: 18519,
      15121815: 18520,
      15121817: 18521,
      15121818: 18522,
      15121821: 18523,
      15121822: 18524,
      15121825: 18525,
      15121826: 18526,
      15121832: 18527,
      15121836: 18528,
      15121853: 18529,
      15121854: 18530,
      15122051: 18531,
      15122055: 18532,
      15122056: 18533,
      15122059: 18534,
      15122060: 18535,
      15122061: 18536,
      15122064: 18537,
      15122066: 18538,
      15122067: 18539,
      15122068: 18540,
      15122070: 18541,
      15122074: 18542,
      15122079: 18543,
      15122080: 18544,
      15122085: 18545,
      15122086: 18546,
      15122087: 18547,
      15122088: 18548,
      15122094: 18549,
      15122095: 18550,
      15122096: 18551,
      15122101: 18552,
      15122102: 18553,
      15122108: 18554,
      15122309: 18555,
      15122311: 18556,
      15122312: 18557,
      15122314: 18558,
      15122330: 18721,
      15122334: 18722,
      15122344: 18723,
      15122345: 18724,
      15122352: 18725,
      15122357: 18726,
      15122361: 18727,
      15122364: 18728,
      15122365: 18729,
      15171712: 18730,
      15171717: 18731,
      15171718: 18732,
      15171719: 18733,
      15171725: 18734,
      15171735: 18735,
      15171744: 18736,
      15171747: 18737,
      15171759: 18738,
      15171764: 18739,
      15171767: 18740,
      15171769: 18741,
      15171772: 18742,
      15171971: 18743,
      15171972: 18744,
      15171976: 18745,
      15171977: 18746,
      15171978: 18747,
      15171979: 18748,
      15171988: 18749,
      15171989: 18750,
      15171997: 18751,
      15171998: 18752,
      15171982: 18753,
      15172004: 18754,
      15172005: 18755,
      15172012: 18756,
      15172014: 18757,
      15172021: 18758,
      15172022: 18759,
      15172030: 18760,
      15172225: 18761,
      15172229: 18762,
      15172230: 18763,
      15172244: 18764,
      15172245: 18765,
      15172246: 18766,
      15172247: 18767,
      15172248: 18768,
      15172251: 18769,
      15172260: 18770,
      15172267: 18771,
      15172272: 18772,
      15172273: 18773,
      15172276: 18774,
      15172279: 18775,
      15172490: 18776,
      15172497: 18777,
      15172499: 18778,
      15172500: 18779,
      15172501: 18780,
      15172502: 18781,
      15172504: 18782,
      15172508: 18783,
      15172516: 18784,
      15172538: 18785,
      15172739: 18786,
      15172740: 18787,
      15172741: 18788,
      15172742: 18789,
      15172743: 18790,
      15172747: 18791,
      15172748: 18792,
      15172751: 18793,
      15172766: 18794,
      15172768: 18795,
      15172779: 18796,
      15172781: 18797,
      15172783: 18798,
      15172784: 18799,
      15172785: 18800,
      15172792: 18801,
      15172993: 18802,
      15172997: 18803,
      15172998: 18804,
      15172999: 18805,
      15173002: 18806,
      15173003: 18807,
      15173008: 18808,
      15173010: 18809,
      15173015: 18810,
      15173018: 18811,
      15173020: 18812,
      15173022: 18813,
      15173024: 18814,
      15173032: 18977,
      15173049: 18978,
      15173248: 18979,
      15173253: 18980,
      15173255: 18981,
      15173260: 18982,
      15173266: 18983,
      15173274: 18984,
      15173275: 18985,
      15173280: 18986,
      15173282: 18987,
      15173295: 18988,
      15173296: 18989,
      15173298: 18990,
      15173299: 18991,
      15173306: 18992,
      15173311: 18993,
      15173504: 18994,
      15173505: 18995,
      15173508: 18996,
      15173515: 18997,
      15173516: 18998,
      15173523: 18999,
      15173526: 19e3,
      15173529: 19001,
      15173530: 19002,
      15173532: 19003,
      15173560: 19004,
      15173566: 19005,
      15173760: 19006,
      15173767: 19007,
      15173768: 19008,
      15173769: 19009,
      15173779: 19010,
      15173783: 19011,
      15173786: 19012,
      15173789: 19013,
      15173791: 19014,
      15173796: 19015,
      15173803: 19016,
      15173807: 19017,
      15173812: 19018,
      15173816: 19019,
      15173817: 19020,
      15174017: 19021,
      15174018: 19022,
      15174019: 19023,
      15174021: 19024,
      15174030: 19025,
      15174031: 19026,
      15174032: 19027,
      15174035: 19028,
      15174037: 19029,
      15174038: 19030,
      15174042: 19031,
      15174044: 19032,
      15174046: 19033,
      15174048: 19034,
      15174051: 19035,
      15174056: 19036,
      15174059: 19037,
      15174062: 19038,
      15174063: 19039,
      15174065: 19040,
      15174071: 19041,
      15174072: 19042,
      15174075: 19043,
      15174076: 19044,
      15174079: 19045,
      15174276: 19046,
      15174281: 19047,
      15174285: 19048,
      15174286: 19049,
      15174291: 19050,
      15174299: 19051,
      15174312: 19052,
      15174317: 19053,
      15174318: 19054,
      15174321: 19055,
      15174324: 19056,
      15174334: 19057,
      15174529: 19058,
      15174535: 19059,
      15174537: 19060,
      15174540: 19061,
      15174549: 19062,
      15174550: 19063,
      15174552: 19064,
      15174559: 19065,
      15174565: 19066,
      15174579: 19067,
      15174580: 19068,
      15174586: 19069,
      15174587: 19070,
      15174590: 19233,
      15174786: 19234,
      15174788: 19235,
      15174789: 19236,
      15174791: 19237,
      15174795: 19238,
      15174797: 19239,
      15174802: 19240,
      15174803: 19241,
      15174808: 19242,
      15174809: 19243,
      15174814: 19244,
      15174818: 19245,
      15174820: 19246,
      15174823: 19247,
      15174824: 19248,
      15174828: 19249,
      15174833: 19250,
      15174834: 19251,
      15174837: 19252,
      15174842: 19253,
      15174843: 19254,
      15174845: 19255,
      15175043: 19256,
      15175053: 19257,
      15175056: 19258,
      15175058: 19259,
      15175062: 19260,
      15175064: 19261,
      15175069: 19262,
      15175070: 19263,
      15175071: 19264,
      15175072: 19265,
      15175078: 19266,
      15175079: 19267,
      15175081: 19268,
      15175083: 19269,
      15175084: 19270,
      15175086: 19271,
      15175087: 19272,
      15175089: 19273,
      15175095: 19274,
      15175097: 19275,
      15175100: 19276,
      15175296: 19277,
      15175297: 19278,
      15175299: 19279,
      15175301: 19280,
      15175302: 19281,
      15175310: 19282,
      15175312: 19283,
      15175315: 19284,
      15175317: 19285,
      15175319: 19286,
      15175320: 19287,
      15175324: 19288,
      15175326: 19289,
      15175327: 19290,
      15175328: 19291,
      15175330: 19292,
      15175333: 19293,
      15175334: 19294,
      15175338: 19295,
      15175339: 19296,
      15175341: 19297,
      15175349: 19298,
      15175351: 19299,
      15175353: 19300,
      15175356: 19301,
      15175357: 19302,
      15175359: 19303,
      15175557: 19304,
      15175558: 19305,
      15175561: 19306,
      15175563: 19307,
      15175564: 19308,
      15175567: 19309,
      15175570: 19310,
      15175571: 19311,
      15175574: 19312,
      15175577: 19313,
      15175581: 19314,
      15175585: 19315,
      15175587: 19316,
      15175590: 19317,
      15175591: 19318,
      15175593: 19319,
      15175604: 19320,
      15175605: 19321,
      15175607: 19322,
      15175609: 19323,
      15175610: 19324,
      15175611: 19325,
      15175613: 19326,
      15175615: 19489,
      15175808: 19490,
      15175809: 19491,
      15175812: 19492,
      15175815: 19493,
      15175818: 19494,
      15175825: 19495,
      15175834: 19496,
      15175835: 19497,
      15175844: 19498,
      15175846: 19499,
      15175848: 19500,
      15175849: 19501,
      15175850: 19502,
      15175851: 19503,
      15175852: 19504,
      15175853: 19505,
      15175854: 19506,
      15175855: 19507,
      15175856: 19508,
      15175857: 19509,
      15175865: 19510,
      15176064: 19511,
      15176067: 19512,
      15176068: 19513,
      15176070: 19514,
      15176071: 19515,
      15176075: 19516,
      15176077: 19517,
      15176081: 19518,
      15176082: 19519,
      15176087: 19520,
      15176093: 19521,
      15176098: 19522,
      15176102: 19523,
      15176103: 19524,
      15176104: 19525,
      15176107: 19526,
      15176109: 19527,
      15176110: 19528,
      15176113: 19529,
      15176114: 19530,
      15176320: 19531,
      15176321: 19532,
      15176325: 19533,
      15176326: 19534,
      15176327: 19535,
      15176329: 19536,
      15176335: 19537,
      15176336: 19538,
      15176337: 19539,
      15176338: 19540,
      15176344: 19541,
      15176345: 19542,
      15176346: 19543,
      15176348: 19544,
      15176351: 19545,
      15176352: 19546,
      15176353: 19547,
      15176355: 19548,
      15176358: 19549,
      15176360: 19550,
      15176361: 19551,
      15176362: 19552,
      15176363: 19553,
      15176366: 19554,
      15176367: 19555,
      15176369: 19556,
      15176370: 19557,
      15176373: 19558,
      15176377: 19559,
      15176379: 19560,
      15176383: 19561,
      15176584: 19562,
      15176585: 19563,
      15176588: 19564,
      15176592: 19565,
      15176595: 19566,
      15176600: 19567,
      15176602: 19568,
      15176603: 19569,
      15176606: 19570,
      15176607: 19571,
      15176612: 19572,
      15176616: 19573,
      15176618: 19574,
      15176619: 19575,
      15176623: 19576,
      15176628: 19577,
      15176634: 19578,
      15176635: 19579,
      15176636: 19580,
      15176639: 19581,
      15176838: 19582,
      15176850: 19745,
      15176854: 19746,
      15176855: 19747,
      15176864: 19748,
      15176865: 19749,
      15176868: 19750,
      15176871: 19751,
      15176873: 19752,
      15176874: 19753,
      15176879: 19754,
      15176886: 19755,
      15176889: 19756,
      15176893: 19757,
      15176894: 19758,
      15176895: 19759,
      15177088: 19760,
      15177091: 19761,
      15177095: 19762,
      15177096: 19763,
      15177102: 19764,
      15177104: 19765,
      15177106: 19766,
      15177111: 19767,
      15177118: 19768,
      15177119: 19769,
      15177121: 19770,
      15177135: 19771,
      15177137: 19772,
      15177145: 19773,
      15177146: 19774,
      15177147: 19775,
      15177148: 19776,
      15177149: 19777,
      15177150: 19778,
      15177345: 19779,
      15177349: 19780,
      15177360: 19781,
      15177362: 19782,
      15177363: 19783,
      15177365: 19784,
      15177369: 19785,
      15177372: 19786,
      15177378: 19787,
      15177380: 19788,
      15177396: 19789,
      15177402: 19790,
      15177407: 19791,
      15177600: 19792,
      15177601: 19793,
      15177604: 19794,
      15177606: 19795,
      15177612: 19796,
      15177614: 19797,
      15177615: 19798,
      15177623: 19799,
      15177628: 19800,
      15177631: 19801,
      15177632: 19802,
      15177633: 19803,
      15177636: 19804,
      15177639: 19805,
      15177644: 19806,
      15177646: 19807,
      15177647: 19808,
      15177649: 19809,
      15177657: 19810,
      15177856: 19811,
      15177858: 19812,
      15177859: 19813,
      15177860: 19814,
      15177863: 19815,
      15177864: 19816,
      15177866: 19817,
      15177868: 19818,
      15177871: 19819,
      15177874: 19820,
      15177875: 19821,
      15177877: 19822,
      15177878: 19823,
      15177881: 19824,
      15177883: 19825,
      15177884: 19826,
      15177885: 19827,
      15177886: 19828,
      15177891: 19829,
      15177893: 19830,
      15177894: 19831,
      15177897: 19832,
      15177901: 19833,
      15177906: 19834,
      15177907: 19835,
      15177909: 19836,
      15177912: 19837,
      15177913: 19838,
      15177914: 20001,
      15177916: 20002,
      15178122: 20003,
      15178112: 20004,
      15178113: 20005,
      15178115: 20006,
      15178116: 20007,
      15178117: 20008,
      15178121: 20009,
      15178123: 20010,
      15178133: 20011,
      15178137: 20012,
      15178143: 20013,
      15178148: 20014,
      15178149: 20015,
      15178157: 20016,
      15178158: 20017,
      15178159: 20018,
      15178161: 20019,
      15178164: 20020,
      15178369: 20021,
      15178373: 20022,
      15178380: 20023,
      15178381: 20024,
      15178389: 20025,
      15178395: 20026,
      15178396: 20027,
      15178397: 20028,
      15178399: 20029,
      15178400: 20030,
      15178402: 20031,
      15178403: 20032,
      15178404: 20033,
      15178405: 20034,
      15178406: 20035,
      15178407: 20036,
      15178408: 20037,
      15178410: 20038,
      15178413: 20039,
      15178429: 20040,
      15178625: 20041,
      15178629: 20042,
      15178633: 20043,
      15178635: 20044,
      15178636: 20045,
      15178638: 20046,
      15178644: 20047,
      15178649: 20048,
      15178656: 20049,
      15178662: 20050,
      15178664: 20051,
      15178668: 20052,
      15178672: 20053,
      15178673: 20054,
      15178678: 20055,
      15178681: 20056,
      15178684: 20057,
      15178880: 20058,
      15178886: 20059,
      15178890: 20060,
      15178894: 20061,
      15178898: 20062,
      15178900: 20063,
      15178901: 20064,
      15178903: 20065,
      15178905: 20066,
      15178906: 20067,
      15178908: 20068,
      15178914: 20069,
      15178920: 20070,
      15178925: 20071,
      15178926: 20072,
      15178927: 20073,
      15178932: 20074,
      15178933: 20075,
      15178934: 20076,
      15178937: 20077,
      15178941: 20078,
      15178942: 20079,
      15179138: 20080,
      15179141: 20081,
      15179142: 20082,
      15179146: 20083,
      15179149: 20084,
      15179150: 20085,
      15179151: 20086,
      15179154: 20087,
      15179158: 20088,
      15179159: 20089,
      15179164: 20090,
      15179166: 20091,
      15179167: 20092,
      15179168: 20093,
      15179170: 20094,
      15179172: 20257,
      15179175: 20258,
      15179178: 20259,
      15179180: 20260,
      15179184: 20261,
      15179186: 20262,
      15179187: 20263,
      15179188: 20264,
      15179194: 20265,
      15179197: 20266,
      15179392: 20267,
      15179396: 20268,
      15179404: 20269,
      15179405: 20270,
      15179412: 20271,
      15179413: 20272,
      15179414: 20273,
      15179418: 20274,
      15179423: 20275,
      15179426: 20276,
      15179431: 20277,
      15179434: 20278,
      15179438: 20279,
      15179439: 20280,
      15179441: 20281,
      15179445: 20282,
      15179454: 20283,
      15179651: 20284,
      15179657: 20285,
      15179665: 20286,
      15179666: 20287,
      15179669: 20288,
      15179673: 20289,
      15179678: 20290,
      15179679: 20291,
      15179680: 20292,
      15179684: 20293,
      15179686: 20294,
      15179690: 20295,
      15179692: 20296,
      15179696: 20297,
      15179697: 20298,
      15179700: 20299,
      15179704: 20300,
      15179707: 20301,
      15179909: 20302,
      15179910: 20303,
      15179913: 20304,
      15179917: 20305,
      15179918: 20306,
      15179921: 20307,
      15179933: 20308,
      15179937: 20309,
      15179938: 20310,
      15179939: 20311,
      15179949: 20312,
      15179950: 20313,
      15179952: 20314,
      15179957: 20315,
      15179959: 20316,
      15180163: 20317,
      15180164: 20318,
      15180167: 20319,
      15180168: 20320,
      15180172: 20321,
      15180174: 20322,
      15180178: 20323,
      15180188: 20324,
      15180190: 20325,
      15180192: 20326,
      15180193: 20327,
      15180195: 20328,
      15180196: 20329,
      15180200: 20330,
      15180202: 20331,
      15180206: 20332,
      15180218: 20333,
      15180222: 20334,
      15180426: 20335,
      15180431: 20336,
      15180436: 20337,
      15180440: 20338,
      15180449: 20339,
      15180445: 20340,
      15180446: 20341,
      15180447: 20342,
      15180452: 20343,
      15180456: 20344,
      15180460: 20345,
      15180461: 20346,
      15180464: 20347,
      15180465: 20348,
      15180466: 20349,
      15180467: 20350,
      15180475: 20513,
      15180477: 20514,
      15180479: 20515,
      15180679: 20516,
      15180680: 20517,
      15180681: 20518,
      15180684: 20519,
      15180686: 20520,
      15180690: 20521,
      15180691: 20522,
      15180693: 20523,
      15180694: 20524,
      15180708: 20525,
      15180699: 20526,
      15180703: 20527,
      15180704: 20528,
      15180705: 20529,
      15180710: 20530,
      15180714: 20531,
      15180722: 20532,
      15180723: 20533,
      15180928: 20534,
      15180726: 20535,
      15180727: 20536,
      15180730: 20537,
      15180731: 20538,
      15180735: 20539,
      15180934: 20540,
      15180940: 20541,
      15180944: 20542,
      15180954: 20543,
      15180956: 20544,
      15180958: 20545,
      15180959: 20546,
      15180960: 20547,
      15180965: 20548,
      15180967: 20549,
      15180969: 20550,
      15180973: 20551,
      15180977: 20552,
      15180980: 20553,
      15180981: 20554,
      15180987: 20555,
      15180989: 20556,
      15180991: 20557,
      15181188: 20558,
      15181189: 20559,
      15181190: 20560,
      15181194: 20561,
      15181195: 20562,
      15181199: 20563,
      15181201: 20564,
      15181204: 20565,
      15181208: 20566,
      15181211: 20567,
      15181212: 20568,
      15181223: 20569,
      15181225: 20570,
      15181227: 20571,
      15181234: 20572,
      15181241: 20573,
      15181243: 20574,
      15181244: 20575,
      15181246: 20576,
      15181451: 20577,
      15181452: 20578,
      15181457: 20579,
      15181459: 20580,
      15181460: 20581,
      15181461: 20582,
      15181462: 20583,
      15181464: 20584,
      15181467: 20585,
      15181468: 20586,
      15181473: 20587,
      15181480: 20588,
      15181481: 20589,
      15181483: 20590,
      15181487: 20591,
      15181489: 20592,
      15181492: 20593,
      15181496: 20594,
      15181499: 20595,
      15181698: 20596,
      15181700: 20597,
      15181703: 20598,
      15181704: 20599,
      15181706: 20600,
      15181711: 20601,
      15181716: 20602,
      15181718: 20603,
      15181722: 20604,
      15181725: 20605,
      15181726: 20606,
      15181728: 20769,
      15181730: 20770,
      15181733: 20771,
      15181738: 20772,
      15181739: 20773,
      15181741: 20774,
      15181745: 20775,
      15181752: 20776,
      15181756: 20777,
      15181954: 20778,
      15181955: 20779,
      15181959: 20780,
      15181961: 20781,
      15181962: 20782,
      15181964: 20783,
      15181969: 20784,
      15181973: 20785,
      15181979: 20786,
      15181982: 20787,
      15181985: 20788,
      15181991: 20789,
      15181995: 20790,
      15181997: 20791,
      15181999: 20792,
      15182e3: 20793,
      15182004: 20794,
      15182005: 20795,
      15182008: 20796,
      15182009: 20797,
      15182010: 20798,
      15182212: 20799,
      15182213: 20800,
      15182215: 20801,
      15182216: 20802,
      15182220: 20803,
      15182229: 20804,
      15182230: 20805,
      15182233: 20806,
      15182236: 20807,
      15182237: 20808,
      15182239: 20809,
      15182240: 20810,
      15182245: 20811,
      15182247: 20812,
      15182250: 20813,
      15182253: 20814,
      15182261: 20815,
      15182264: 20816,
      15182270: 20817,
      15182464: 20818,
      15182466: 20819,
      15182469: 20820,
      15182470: 20821,
      15182474: 20822,
      15182475: 20823,
      15182480: 20824,
      15182481: 20825,
      15182484: 20826,
      15182494: 20827,
      15182496: 20828,
      15182499: 20829,
      15182508: 20830,
      15182515: 20831,
      15182517: 20832,
      15182521: 20833,
      15182523: 20834,
      15182524: 20835,
      15182726: 20836,
      15182729: 20837,
      15182732: 20838,
      15182734: 20839,
      15182737: 20840,
      15182747: 20841,
      15182760: 20842,
      15182761: 20843,
      15182763: 20844,
      15182764: 20845,
      15182769: 20846,
      15182772: 20847,
      15182779: 20848,
      15182781: 20849,
      15182782: 20850,
      15182983: 20851,
      15182996: 20852,
      15183007: 20853,
      15183011: 20854,
      15183015: 20855,
      15183017: 20856,
      15183018: 20857,
      15183019: 20858,
      15183021: 20859,
      15183022: 20860,
      15183023: 20861,
      15183024: 20862,
      15183025: 21025,
      15183028: 21026,
      15183037: 21027,
      15183039: 21028,
      15183232: 21029,
      15183233: 21030,
      15183239: 21031,
      15183246: 21032,
      15183253: 21033,
      15183264: 21034,
      15183268: 21035,
      15183270: 21036,
      15183273: 21037,
      15183274: 21038,
      15183277: 21039,
      15183279: 21040,
      15183282: 21041,
      15183283: 21042,
      15183287: 21043,
      15183492: 21044,
      15183497: 21045,
      15183502: 21046,
      15183504: 21047,
      15183505: 21048,
      15183510: 21049,
      15183515: 21050,
      15183518: 21051,
      15183520: 21052,
      15183525: 21053,
      15183532: 21054,
      15183535: 21055,
      15183536: 21056,
      15183538: 21057,
      15183541: 21058,
      15183542: 21059,
      15183546: 21060,
      15183547: 21061,
      15183548: 21062,
      15183549: 21063,
      15183746: 21064,
      15183749: 21065,
      15183752: 21066,
      15183754: 21067,
      15183764: 21068,
      15183766: 21069,
      15183767: 21070,
      15183769: 21071,
      15183770: 21072,
      15183771: 21073,
      15183784: 21074,
      15183786: 21075,
      15183794: 21076,
      15183796: 21077,
      15183797: 21078,
      15183800: 21079,
      15183801: 21080,
      15183802: 21081,
      15183804: 21082,
      15183806: 21083,
      15184001: 21084,
      15184002: 21085,
      15184003: 21086,
      15184004: 21087,
      15184006: 21088,
      15184009: 21089,
      15184011: 21090,
      15184012: 21091,
      15184014: 21092,
      15184015: 21093,
      15184025: 21094,
      15184027: 21095,
      15184032: 21096,
      15184037: 21097,
      15184038: 21098,
      15184040: 21099,
      15184044: 21100,
      15184049: 21101,
      15184051: 21102,
      15184052: 21103,
      15184054: 21104,
      15184057: 21105,
      15184058: 21106,
      15184262: 21107,
      15184266: 21108,
      15184277: 21109,
      15184273: 21110,
      15184274: 21111,
      15184275: 21112,
      15184281: 21113,
      15184282: 21114,
      15184283: 21115,
      15184284: 21116,
      15184285: 21117,
      15184286: 21118,
      15184289: 21281,
      15184291: 21282,
      15184295: 21283,
      15184297: 21284,
      15184301: 21285,
      15184302: 21286,
      15184304: 21287,
      15184306: 21288,
      15184313: 21289,
      15184316: 21290,
      15184317: 21291,
      15184518: 21292,
      15184519: 21293,
      15184527: 21294,
      15184532: 21295,
      15184542: 21296,
      15184544: 21297,
      15184550: 21298,
      15184560: 21299,
      15184566: 21300,
      15184567: 21301,
      15184570: 21302,
      15184571: 21303,
      15184572: 21304,
      15184575: 21305,
      15184772: 21306,
      15184775: 21307,
      15184776: 21308,
      15184777: 21309,
      15184781: 21310,
      15184783: 21311,
      15184787: 21312,
      15184788: 21313,
      15184789: 21314,
      15184791: 21315,
      15184793: 21316,
      15184794: 21317,
      15184797: 21318,
      15184806: 21319,
      15184809: 21320,
      15184811: 21321,
      15184821: 21322,
      15185027: 21323,
      15185031: 21324,
      15185032: 21325,
      15185033: 21326,
      15185039: 21327,
      15185041: 21328,
      15185042: 21329,
      15185043: 21330,
      15185046: 21331,
      15185053: 21332,
      15185054: 21333,
      15185059: 21334,
      15185062: 21335,
      15185066: 21336,
      15185069: 21337,
      15185073: 21338,
      15185084: 21339,
      15185085: 21340,
      15185086: 21341,
      15185280: 21342,
      15185281: 21343,
      15185287: 21344,
      15185288: 21345,
      15185293: 21346,
      15185297: 21347,
      15185299: 21348,
      15185303: 21349,
      15185305: 21350,
      15185306: 21351,
      15185308: 21352,
      15185309: 21353,
      15185317: 21354,
      15185319: 21355,
      15185322: 21356,
      15185328: 21357,
      15185336: 21358,
      15185338: 21359,
      15185339: 21360,
      15185343: 21361,
      15185537: 21362,
      15185538: 21363,
      15185539: 21364,
      15185541: 21365,
      15185542: 21366,
      15185544: 21367,
      15185547: 21368,
      15185548: 21369,
      15185549: 21370,
      15185553: 21371,
      15185558: 21372,
      15185559: 21373,
      15185565: 21374,
      15185566: 21537,
      15185574: 21538,
      15185575: 21539,
      15185578: 21540,
      15185587: 21541,
      15185590: 21542,
      15185591: 21543,
      15185593: 21544,
      15185794: 21545,
      15185795: 21546,
      15185796: 21547,
      15185797: 21548,
      15185798: 21549,
      15185804: 21550,
      15185805: 21551,
      15185806: 21552,
      15185815: 21553,
      15185817: 21554,
      15186048: 21555,
      15185826: 21556,
      15185829: 21557,
      15185830: 21558,
      15185834: 21559,
      15185835: 21560,
      15185837: 21561,
      15185841: 21562,
      15185845: 21563,
      15185846: 21564,
      15185849: 21565,
      15185850: 21566,
      15186056: 21567,
      15186064: 21568,
      15186065: 21569,
      15186069: 21570,
      15186071: 21571,
      15186076: 21572,
      15186077: 21573,
      15186080: 21574,
      15186087: 21575,
      15186088: 21576,
      15186092: 21577,
      15186093: 21578,
      15186095: 21579,
      15186099: 21580,
      15186102: 21581,
      15186111: 21582,
      15186308: 21583,
      15186309: 21584,
      15186311: 21585,
      15186318: 21586,
      15186320: 21587,
      15186322: 21588,
      15186328: 21589,
      15186335: 21590,
      15186337: 21591,
      15186338: 21592,
      15186341: 21593,
      15186347: 21594,
      15186350: 21595,
      15186351: 21596,
      15186355: 21597,
      15186360: 21598,
      15186366: 21599,
      15186561: 21600,
      15186566: 21601,
      15186567: 21602,
      15186570: 21603,
      15186573: 21604,
      15186577: 21605,
      15186581: 21606,
      15186584: 21607,
      15186586: 21608,
      15186589: 21609,
      15186590: 21610,
      15187132: 21611,
      15187131: 21612,
      15187133: 21613,
      15187134: 21614,
      15187135: 21615,
      15187331: 21616,
      15187332: 21617,
      15187335: 21618,
      15187343: 21619,
      15187346: 21620,
      15187347: 21621,
      15187355: 21622,
      15187356: 21623,
      15187357: 21624,
      15187361: 21625,
      15187363: 21626,
      15187364: 21627,
      15187365: 21628,
      15187366: 21629,
      15187373: 21630,
      15187377: 21793,
      15187389: 21794,
      15187390: 21795,
      15187391: 21796,
      15187584: 21797,
      15187595: 21798,
      15187597: 21799,
      15187599: 21800,
      15187600: 21801,
      15187601: 21802,
      15187606: 21803,
      15187607: 21804,
      15187612: 21805,
      15187617: 21806,
      15187618: 21807,
      15187622: 21808,
      15187626: 21809,
      15187629: 21810,
      15187636: 21811,
      15187644: 21812,
      15187647: 21813,
      15187840: 21814,
      15187843: 21815,
      15187848: 21816,
      15187854: 21817,
      15187855: 21818,
      15187867: 21819,
      15187871: 21820,
      15187875: 21821,
      15187877: 21822,
      15187880: 21823,
      15187884: 21824,
      15187886: 21825,
      15187887: 21826,
      15187890: 21827,
      15187898: 21828,
      15187901: 21829,
      15187902: 21830,
      15187903: 21831,
      15237255: 21832,
      15237256: 21833,
      15237258: 21834,
      15237261: 21835,
      15237262: 21836,
      15237263: 21837,
      15237265: 21838,
      15237267: 21839,
      15237268: 21840,
      15237270: 21841,
      15237277: 21842,
      15237278: 21843,
      15237279: 21844,
      15237280: 21845,
      15237284: 21846,
      15237286: 21847,
      15237292: 21848,
      15237294: 21849,
      15237296: 21850,
      15237300: 21851,
      15237301: 21852,
      15237303: 21853,
      15237305: 21854,
      15237306: 21855,
      15237308: 21856,
      15237310: 21857,
      15237504: 21858,
      15237508: 21859,
      15237536: 21860,
      15237540: 21861,
      15237542: 21862,
      15237549: 21863,
      15237553: 21864,
      15237557: 21865,
      15237761: 21866,
      15237768: 21867,
      15237774: 21868,
      15237788: 21869,
      15237790: 21870,
      15237798: 21871,
      15237799: 21872,
      15237803: 21873,
      15237816: 21874,
      15237817: 21875,
      15238024: 21876,
      15238029: 21877,
      15238031: 21878,
      15238034: 21879,
      15238036: 21880,
      15238037: 21881,
      15238039: 21882,
      15238040: 21883,
      15238048: 21884,
      15238061: 21885,
      15238062: 21886,
      15238064: 22049,
      15238066: 22050,
      15238067: 22051,
      15238070: 22052,
      15238073: 22053,
      15238074: 22054,
      15238078: 22055,
      15238275: 22056,
      15238283: 22057,
      15238294: 22058,
      15238295: 22059,
      15238296: 22060,
      15238300: 22061,
      15238302: 22062,
      15238304: 22063,
      15238308: 22064,
      15238311: 22065,
      15238316: 22066,
      15238320: 22067,
      15238325: 22068,
      15238330: 22069,
      15238332: 22070,
      15238533: 22071,
      15238535: 22072,
      15238538: 22073,
      15238540: 22074,
      15238546: 22075,
      15238551: 22076,
      15238560: 22077,
      15238561: 22078,
      15238567: 22079,
      15238568: 22080,
      15238569: 22081,
      15238573: 22082,
      15238575: 22083,
      15238583: 22084,
      15238785: 22085,
      15238800: 22086,
      15238788: 22087,
      15238789: 22088,
      15238790: 22089,
      15238795: 22090,
      15238798: 22091,
      15238806: 22092,
      15238808: 22093,
      15238811: 22094,
      15238814: 22095,
      15238818: 22096,
      15238830: 22097,
      15238834: 22098,
      15238836: 22099,
      15238843: 22100,
      15239051: 22101,
      15239043: 22102,
      15239045: 22103,
      15239050: 22104,
      15239054: 22105,
      15239055: 22106,
      15239061: 22107,
      15239063: 22108,
      15239067: 22109,
      15239069: 22110,
      15239070: 22111,
      15239073: 22112,
      15239076: 22113,
      15239083: 22114,
      15239084: 22115,
      15239088: 22116,
      15239089: 22117,
      15239090: 22118,
      15239093: 22119,
      15239094: 22120,
      15239096: 22121,
      15239097: 22122,
      15239101: 22123,
      15239103: 22124,
      15239296: 22125,
      15239299: 22126,
      15239311: 22127,
      15239315: 22128,
      15239316: 22129,
      15239321: 22130,
      15239322: 22131,
      15239325: 22132,
      15239329: 22133,
      15239330: 22134,
      15239336: 22135,
      15239346: 22136,
      15239348: 22137,
      15239354: 22138,
      15239555: 22139,
      15239556: 22140,
      15239557: 22141,
      15239558: 22142,
      15239563: 22305,
      15239566: 22306,
      15239567: 22307,
      15239569: 22308,
      15239574: 22309,
      15239580: 22310,
      15239584: 22311,
      15239587: 22312,
      15239591: 22313,
      15239597: 22314,
      15239604: 22315,
      15239611: 22316,
      15239613: 22317,
      15239615: 22318,
      15239808: 22319,
      15239809: 22320,
      15239811: 22321,
      15239812: 22322,
      15239815: 22323,
      15239817: 22324,
      15239818: 22325,
      15239822: 22326,
      15239825: 22327,
      15239828: 22328,
      15239830: 22329,
      15239832: 22330,
      15239834: 22331,
      15239835: 22332,
      15239840: 22333,
      15239841: 22334,
      15239843: 22335,
      15239844: 22336,
      15239847: 22337,
      15239848: 22338,
      15239849: 22339,
      15239850: 22340,
      15239854: 22341,
      15239856: 22342,
      15239858: 22343,
      15239860: 22344,
      15239863: 22345,
      15239866: 22346,
      15239868: 22347,
      15239870: 22348,
      15239871: 22349,
      15240070: 22350,
      15240080: 22351,
      15240085: 22352,
      15240090: 22353,
      15240096: 22354,
      15240098: 22355,
      15240100: 22356,
      15240104: 22357,
      15240106: 22358,
      15240109: 22359,
      15240111: 22360,
      15240118: 22361,
      15240119: 22362,
      15240125: 22363,
      15240126: 22364,
      15240320: 22365,
      15240321: 22366,
      15240327: 22367,
      15240328: 22368,
      15240330: 22369,
      15240331: 22370,
      15240596: 22371,
      15240347: 22372,
      15240349: 22373,
      15240350: 22374,
      15240351: 22375,
      15240353: 22376,
      15240354: 22377,
      15240364: 22378,
      15240365: 22379,
      15240366: 22380,
      15240368: 22381,
      15240371: 22382,
      15240375: 22383,
      15240378: 22384,
      15240380: 22385,
      15240381: 22386,
      15240578: 22387,
      15240579: 22388,
      15240580: 22389,
      15240583: 22390,
      15240589: 22391,
      15240590: 22392,
      15240593: 22393,
      15240597: 22394,
      15240598: 22395,
      15240599: 22396,
      15240624: 22397,
      15240632: 22398,
      15240637: 22561,
      15240639: 22562,
      15240832: 22563,
      15240834: 22564,
      15240836: 22565,
      15240838: 22566,
      15240845: 22567,
      15240850: 22568,
      15240852: 22569,
      15240853: 22570,
      15240856: 22571,
      15240857: 22572,
      15240859: 22573,
      15240860: 22574,
      15240861: 22575,
      15240870: 22576,
      15240871: 22577,
      15240873: 22578,
      15240876: 22579,
      15240894: 22580,
      15240895: 22581,
      15241088: 22582,
      15241095: 22583,
      15241097: 22584,
      15241103: 22585,
      15241104: 22586,
      15241105: 22587,
      15241108: 22588,
      15241117: 22589,
      15240595: 22590,
      15241128: 22591,
      15241130: 22592,
      15241142: 22593,
      15241144: 22594,
      15241145: 22595,
      15241148: 22596,
      15241345: 22597,
      15241350: 22598,
      15241354: 22599,
      15241359: 22600,
      15241361: 22601,
      15241365: 22602,
      15241369: 22603,
      15240877: 22604,
      15241391: 22605,
      15241401: 22606,
      15241605: 22607,
      15241607: 22608,
      15241608: 22609,
      15241610: 22610,
      15241613: 22611,
      15241615: 22612,
      15241617: 22613,
      15241618: 22614,
      15241622: 22615,
      15241624: 22616,
      15241625: 22617,
      15241626: 22618,
      15241628: 22619,
      15241632: 22620,
      15241636: 22621,
      15241637: 22622,
      15241639: 22623,
      15241642: 22624,
      15241648: 22625,
      15241651: 22626,
      15241652: 22627,
      15241654: 22628,
      15241656: 22629,
      15241660: 22630,
      15241661: 22631,
      15241857: 22632,
      15241861: 22633,
      15241874: 22634,
      15241875: 22635,
      15241877: 22636,
      15241886: 22637,
      15241894: 22638,
      15241896: 22639,
      15241897: 22640,
      15241898: 22641,
      15241903: 22642,
      15241905: 22643,
      15241908: 22644,
      15241914: 22645,
      15241917: 22646,
      15241918: 22647,
      15242112: 22648,
      15242114: 22649,
      15242119: 22650,
      15242120: 22651,
      15242124: 22652,
      15242127: 22653,
      15242131: 22654,
      15242140: 22817,
      15242151: 22818,
      15242154: 22819,
      15242159: 22820,
      15242160: 22821,
      15242161: 22822,
      15242162: 22823,
      15242167: 22824,
      15242418: 22825,
      15242170: 22826,
      15242171: 22827,
      15242173: 22828,
      15242370: 22829,
      15242371: 22830,
      15242375: 22831,
      15242380: 22832,
      15242382: 22833,
      15242384: 22834,
      15242396: 22835,
      15242398: 22836,
      15242402: 22837,
      15242403: 22838,
      15242404: 22839,
      15242405: 22840,
      15242407: 22841,
      15242410: 22842,
      15242411: 22843,
      15242415: 22844,
      15242419: 22845,
      15242420: 22846,
      15242422: 22847,
      15242431: 22848,
      15242630: 22849,
      15242639: 22850,
      15242640: 22851,
      15242641: 22852,
      15242642: 22853,
      15242643: 22854,
      15242646: 22855,
      15242649: 22856,
      15242652: 22857,
      15242653: 22858,
      15242654: 22859,
      15242655: 22860,
      15242656: 22861,
      15242657: 22862,
      15242658: 22863,
      15242660: 22864,
      15242667: 22865,
      15242671: 22866,
      15242681: 22867,
      15242682: 22868,
      15242683: 22869,
      15242685: 22870,
      15242687: 22871,
      15242881: 22872,
      15242885: 22873,
      15242886: 22874,
      15242889: 22875,
      15242891: 22876,
      15242892: 22877,
      15242895: 22878,
      15242899: 22879,
      15242904: 22880,
      15242909: 22881,
      15242911: 22882,
      15242912: 22883,
      15242914: 22884,
      15242917: 22885,
      15242919: 22886,
      15242932: 22887,
      15242934: 22888,
      15242935: 22889,
      15242936: 22890,
      15242940: 22891,
      15242941: 22892,
      15242942: 22893,
      15242943: 22894,
      15243138: 22895,
      15243143: 22896,
      15243146: 22897,
      15243147: 22898,
      15243150: 22899,
      15242925: 22900,
      15243160: 22901,
      15243162: 22902,
      15243167: 22903,
      15243168: 22904,
      15243174: 22905,
      15243176: 22906,
      15243181: 22907,
      15243187: 22908,
      15243190: 22909,
      15243196: 22910,
      15243199: 23073,
      15243392: 23074,
      15243396: 23075,
      15243397: 23076,
      15243405: 23077,
      15243406: 23078,
      15243408: 23079,
      15243409: 23080,
      15243410: 23081,
      15243416: 23082,
      15243417: 23083,
      15243419: 23084,
      15243422: 23085,
      15243425: 23086,
      15243431: 23087,
      15243433: 23088,
      15243446: 23089,
      15243448: 23090,
      15243450: 23091,
      15243452: 23092,
      15243453: 23093,
      15243648: 23094,
      15243650: 23095,
      15243654: 23096,
      15243666: 23097,
      15243667: 23098,
      15243670: 23099,
      15243671: 23100,
      15243672: 23101,
      15243673: 23102,
      15243677: 23103,
      15243680: 23104,
      15243681: 23105,
      15243682: 23106,
      15243683: 23107,
      15243684: 23108,
      15243689: 23109,
      15243692: 23110,
      15243695: 23111,
      15243701: 23112,
      15243702: 23113,
      15243703: 23114,
      15243706: 23115,
      15243917: 23116,
      15243921: 23117,
      15243926: 23118,
      15243928: 23119,
      15243930: 23120,
      15243932: 23121,
      15243937: 23122,
      15243942: 23123,
      15243943: 23124,
      15243944: 23125,
      15243949: 23126,
      15243953: 23127,
      15243955: 23128,
      15243956: 23129,
      15243957: 23130,
      15243959: 23131,
      15243960: 23132,
      15243961: 23133,
      15243967: 23134,
      15244160: 23135,
      15244161: 23136,
      15244163: 23137,
      15244165: 23138,
      15244177: 23139,
      15244178: 23140,
      15244181: 23141,
      15244183: 23142,
      15244186: 23143,
      15244188: 23144,
      15244192: 23145,
      15244195: 23146,
      15244197: 23147,
      15244199: 23148,
      15243912: 23149,
      15244218: 23150,
      15244220: 23151,
      15244221: 23152,
      15244420: 23153,
      15244421: 23154,
      15244423: 23155,
      15244427: 23156,
      15244430: 23157,
      15244431: 23158,
      15244432: 23159,
      15244435: 23160,
      15244436: 23161,
      15244441: 23162,
      15244446: 23163,
      15244447: 23164,
      15244449: 23165,
      15244451: 23166,
      15244456: 23329,
      15244462: 23330,
      15244463: 23331,
      15244465: 23332,
      15244466: 23333,
      15244473: 23334,
      15244474: 23335,
      15244476: 23336,
      15244477: 23337,
      15244478: 23338,
      15244672: 23339,
      15244675: 23340,
      15244677: 23341,
      15244685: 23342,
      15244696: 23343,
      15244701: 23344,
      15244705: 23345,
      15244708: 23346,
      15244709: 23347,
      15244719: 23348,
      15244721: 23349,
      15244722: 23350,
      15244731: 23351,
      15244931: 23352,
      15244932: 23353,
      15244933: 23354,
      15244934: 23355,
      15244935: 23356,
      15244936: 23357,
      15244937: 23358,
      15244939: 23359,
      15244940: 23360,
      15244944: 23361,
      15244947: 23362,
      15244949: 23363,
      15244951: 23364,
      15244952: 23365,
      15244953: 23366,
      15244958: 23367,
      15244960: 23368,
      15244963: 23369,
      15244967: 23370,
      15244972: 23371,
      15244973: 23372,
      15244974: 23373,
      15244977: 23374,
      15244981: 23375,
      15244990: 23376,
      15244991: 23377,
      15245185: 23378,
      15245192: 23379,
      15245193: 23380,
      15245194: 23381,
      15245198: 23382,
      15245205: 23383,
      15245206: 23384,
      15245209: 23385,
      15245210: 23386,
      15245212: 23387,
      15245215: 23388,
      15245218: 23389,
      15245219: 23390,
      15245220: 23391,
      15245226: 23392,
      15245227: 23393,
      15245229: 23394,
      15245233: 23395,
      15245235: 23396,
      15245240: 23397,
      15245242: 23398,
      15245247: 23399,
      15245441: 23400,
      15245443: 23401,
      15245446: 23402,
      15245449: 23403,
      15245450: 23404,
      15245451: 23405,
      15245456: 23406,
      15245465: 23407,
      15245458: 23408,
      15245459: 23409,
      15245460: 23410,
      15245464: 23411,
      15245466: 23412,
      15245467: 23413,
      15245468: 23414,
      15245470: 23415,
      15245471: 23416,
      15245480: 23417,
      15245485: 23418,
      15245486: 23419,
      15245488: 23420,
      15245490: 23421,
      15245493: 23422,
      15245498: 23585,
      15245500: 23586,
      15245697: 23587,
      15245699: 23588,
      15245701: 23589,
      15245704: 23590,
      15245705: 23591,
      15245706: 23592,
      15245707: 23593,
      15245710: 23594,
      15245713: 23595,
      15245717: 23596,
      15245718: 23597,
      15245720: 23598,
      15245722: 23599,
      15245724: 23600,
      15245727: 23601,
      15245728: 23602,
      15245732: 23603,
      15245737: 23604,
      15245745: 23605,
      15245753: 23606,
      15245755: 23607,
      15245952: 23608,
      15245976: 23609,
      15245978: 23610,
      15245979: 23611,
      15245980: 23612,
      15245983: 23613,
      15245984: 23614,
      15245992: 23615,
      15245994: 23616,
      15246010: 23617,
      15246013: 23618,
      15246014: 23619,
      15246208: 23620,
      15246218: 23621,
      15246219: 23622,
      15246220: 23623,
      15246221: 23624,
      15246222: 23625,
      15246225: 23626,
      15246226: 23627,
      15246227: 23628,
      15246235: 23629,
      15246238: 23630,
      15246247: 23631,
      15246255: 23632,
      15246256: 23633,
      15246257: 23634,
      15246261: 23635,
      15246263: 23636,
      15246465: 23637,
      15246470: 23638,
      15246477: 23639,
      15246478: 23640,
      15246479: 23641,
      15246485: 23642,
      15246486: 23643,
      15246488: 23644,
      15246489: 23645,
      15246490: 23646,
      15246492: 23647,
      15246496: 23648,
      15246502: 23649,
      15246503: 23650,
      15246504: 23651,
      15246512: 23652,
      15246513: 23653,
      15246514: 23654,
      15246517: 23655,
      15246521: 23656,
      15246522: 23657,
      15246526: 23658,
      15246720: 23659,
      15246722: 23660,
      15246725: 23661,
      15246726: 23662,
      15246729: 23663,
      15246735: 23664,
      15246738: 23665,
      15246743: 23666,
      15246746: 23667,
      15246747: 23668,
      15246748: 23669,
      15246753: 23670,
      15246754: 23671,
      15246755: 23672,
      15246763: 23673,
      15246766: 23674,
      15246768: 23675,
      15246771: 23676,
      15246773: 23677,
      15246778: 23678,
      15246779: 23841,
      15246780: 23842,
      15246781: 23843,
      15246985: 23844,
      15246989: 23845,
      15246992: 23846,
      15246996: 23847,
      15246997: 23848,
      15247003: 23849,
      15247004: 23850,
      15247007: 23851,
      15247008: 23852,
      15247013: 23853,
      15247024: 23854,
      15247028: 23855,
      15247029: 23856,
      15247030: 23857,
      15247031: 23858,
      15247036: 23859,
      15247252: 23860,
      15247253: 23861,
      15247254: 23862,
      15247255: 23863,
      15247256: 23864,
      15247269: 23865,
      15247273: 23866,
      15247275: 23867,
      15247277: 23868,
      15247281: 23869,
      15247283: 23870,
      15247286: 23871,
      15247289: 23872,
      15247293: 23873,
      15247295: 23874,
      15247492: 23875,
      15247493: 23876,
      15247495: 23877,
      15247503: 23878,
      15247505: 23879,
      15247506: 23880,
      15247508: 23881,
      15247509: 23882,
      15247518: 23883,
      15247520: 23884,
      15247522: 23885,
      15247524: 23886,
      15247526: 23887,
      15247531: 23888,
      15247532: 23889,
      15247535: 23890,
      15247541: 23891,
      15247543: 23892,
      15247549: 23893,
      15247550: 23894,
      15247744: 23895,
      15247747: 23896,
      15247749: 23897,
      15247751: 23898,
      15247753: 23899,
      15247757: 23900,
      15247758: 23901,
      15247763: 23902,
      15247766: 23903,
      15247767: 23904,
      15247768: 23905,
      15247772: 23906,
      15247773: 23907,
      15247777: 23908,
      15247781: 23909,
      15247783: 23910,
      15247797: 23911,
      15247798: 23912,
      15247799: 23913,
      15247801: 23914,
      15247802: 23915,
      15247803: 23916,
      15247806: 23917,
      15247807: 23918,
      15248e3: 23919,
      15248003: 23920,
      15248006: 23921,
      15248011: 23922,
      15248015: 23923,
      15248016: 23924,
      15248018: 23925,
      15248022: 23926,
      15248023: 23927,
      15248025: 23928,
      15248031: 23929,
      15248039: 23930,
      15248041: 23931,
      15248046: 23932,
      15248047: 23933,
      15248051: 23934,
      15248054: 24097,
      15248055: 24098,
      15248059: 24099,
      15248062: 24100,
      15248259: 24101,
      15248262: 24102,
      15248264: 24103,
      15248265: 24104,
      15248266: 24105,
      15248273: 24106,
      15248275: 24107,
      15248276: 24108,
      15248277: 24109,
      15248279: 24110,
      15248285: 24111,
      15248287: 24112,
      15248300: 24113,
      15248304: 24114,
      15248308: 24115,
      15248309: 24116,
      15248310: 24117,
      15248316: 24118,
      15248319: 24119,
      15248517: 24120,
      15248518: 24121,
      15248523: 24122,
      15248529: 24123,
      15248540: 24124,
      15248542: 24125,
      15248543: 24126,
      15248522: 24127,
      15248557: 24128,
      15248560: 24129,
      15248567: 24130,
      15248572: 24131,
      15248770: 24132,
      15248771: 24133,
      15248772: 24134,
      15248773: 24135,
      15248774: 24136,
      15248776: 24137,
      15248786: 24138,
      15248787: 24139,
      15248788: 24140,
      15248793: 24141,
      15248781: 24142,
      15248798: 24143,
      15248803: 24144,
      15248813: 24145,
      15248822: 24146,
      15248824: 24147,
      15248825: 24148,
      15248828: 24149,
      15248830: 24150,
      15249025: 24151,
      15249028: 24152,
      15249029: 24153,
      15249035: 24154,
      15249037: 24155,
      15249039: 24156,
      15249044: 24157,
      15249045: 24158,
      15249052: 24159,
      15249054: 24160,
      15249055: 24161,
      15249592: 24162,
      15249593: 24163,
      15249597: 24164,
      15249598: 24165,
      15249797: 24166,
      15249799: 24167,
      15249801: 24168,
      15249803: 24169,
      15249807: 24170,
      15249809: 24171,
      15249811: 24172,
      15249812: 24173,
      15249815: 24174,
      15249816: 24175,
      15249819: 24176,
      15249821: 24177,
      15249817: 24178,
      15249827: 24179,
      15249828: 24180,
      15249830: 24181,
      15249832: 24182,
      15249833: 24183,
      15249837: 24184,
      15249843: 24185,
      15249845: 24186,
      15249846: 24187,
      15249851: 24188,
      15249854: 24189,
      15250054: 24190,
      15250055: 24353,
      15250059: 24354,
      15250064: 24355,
      15250066: 24356,
      15250067: 24357,
      15250073: 24358,
      15250075: 24359,
      15250076: 24360,
      15250084: 24361,
      15250105: 24362,
      15250106: 24363,
      15250309: 24364,
      15250310: 24365,
      15250313: 24366,
      15250315: 24367,
      15250319: 24368,
      15250326: 24369,
      15250325: 24370,
      15250329: 24371,
      15250333: 24372,
      15250337: 24373,
      15250344: 24374,
      15250348: 24375,
      15250351: 24376,
      15250352: 24377,
      15250354: 24378,
      15250357: 24379,
      15250359: 24380,
      15250360: 24381,
      15250366: 24382,
      15250367: 24383,
      15250561: 24384,
      15250563: 24385,
      15250569: 24386,
      15250578: 24387,
      15250583: 24388,
      15250587: 24389,
      15250853: 24390,
      15250857: 24391,
      15250860: 24392,
      15250862: 24393,
      15250879: 24394,
      15251074: 24395,
      15251076: 24396,
      15251080: 24397,
      15251085: 24398,
      15251088: 24399,
      15251089: 24400,
      15251093: 24401,
      15251102: 24402,
      15251103: 24403,
      15251104: 24404,
      15251110: 24405,
      15251115: 24406,
      15251116: 24407,
      15251119: 24408,
      15251122: 24409,
      15251125: 24410,
      15251127: 24411,
      15251129: 24412,
      15251131: 24413,
      15251328: 24414,
      15251333: 24415,
      15251334: 24416,
      15251335: 24417,
      15251336: 24418,
      15251338: 24419,
      15251342: 24420,
      15251345: 24421,
      15251348: 24422,
      15251349: 24423,
      15251351: 24424,
      15251353: 24425,
      15251364: 24426,
      15251365: 24427,
      15251367: 24428,
      15251372: 24429,
      15251376: 24430,
      15251132: 24431,
      15251377: 24432,
      15251378: 24433,
      15251380: 24434,
      15251389: 24435,
      15251585: 24436,
      15251588: 24437,
      15251589: 24438,
      15251590: 24439,
      15251595: 24440,
      15251601: 24441,
      15251604: 24442,
      15251606: 24443,
      15251616: 24444,
      15251617: 24445,
      15251618: 24446,
      15251619: 24609,
      15251622: 24610,
      15251623: 24611,
      15251633: 24612,
      15251635: 24613,
      15251638: 24614,
      15251639: 24615,
      15251640: 24616,
      15251641: 24617,
      15251645: 24618,
      15251840: 24619,
      15251841: 24620,
      15251851: 24621,
      15251853: 24622,
      15251854: 24623,
      15251855: 24624,
      15251860: 24625,
      15251867: 24626,
      15251868: 24627,
      15251869: 24628,
      15251870: 24629,
      15251873: 24630,
      15251874: 24631,
      15251881: 24632,
      15251884: 24633,
      15251885: 24634,
      15251887: 24635,
      15251888: 24636,
      15251889: 24637,
      15251897: 24638,
      15251898: 24639,
      15251899: 24640,
      15252098: 24641,
      15252099: 24642,
      15252105: 24643,
      15252112: 24644,
      15252114: 24645,
      15252117: 24646,
      15252122: 24647,
      15252123: 24648,
      15252125: 24649,
      15252126: 24650,
      15252130: 24651,
      15252135: 24652,
      15252137: 24653,
      15252141: 24654,
      15252142: 24655,
      15252147: 24656,
      15252149: 24657,
      15252154: 24658,
      15252155: 24659,
      15252352: 24660,
      15252353: 24661,
      15252355: 24662,
      15252356: 24663,
      15252359: 24664,
      15252367: 24665,
      15252369: 24666,
      15252372: 24667,
      15252380: 24668,
      15252392: 24669,
      15252398: 24670,
      15252400: 24671,
      15252401: 24672,
      15252407: 24673,
      15252409: 24674,
      15252410: 24675,
      15252397: 24676,
      15252608: 24677,
      15252610: 24678,
      15252615: 24679,
      15252616: 24680,
      15252623: 24681,
      15252624: 24682,
      15252630: 24683,
      15252631: 24684,
      15252632: 24685,
      15252638: 24686,
      15252640: 24687,
      15252641: 24688,
      15252643: 24689,
      15252645: 24690,
      15252647: 24691,
      15252648: 24692,
      15252652: 24693,
      15252653: 24694,
      15252654: 24695,
      15252660: 24696,
      15252661: 24697,
      15252662: 24698,
      15252663: 24699,
      15252666: 24700,
      15252864: 24701,
      15252865: 24702,
      15252867: 24865,
      15252871: 24866,
      15252879: 24867,
      15252881: 24868,
      15252882: 24869,
      15252883: 24870,
      15252884: 24871,
      15252885: 24872,
      15252888: 24873,
      15252893: 24874,
      15252894: 24875,
      15252901: 24876,
      15253149: 24877,
      15253152: 24878,
      15253153: 24879,
      15253156: 24880,
      15253157: 24881,
      15253158: 24882,
      15253173: 24883,
      15253174: 24884,
      15253176: 24885,
      15253182: 24886,
      15253376: 24887,
      15253377: 24888,
      15253382: 24889,
      15253386: 24890,
      15253387: 24891,
      15253389: 24892,
      15253392: 24893,
      15253394: 24894,
      15253395: 24895,
      15253397: 24896,
      15253408: 24897,
      15253411: 24898,
      15253412: 24899,
      15253416: 24900,
      15253422: 24901,
      15253425: 24902,
      15253429: 24903,
      15253430: 24904,
      15253435: 24905,
      15253438: 24906,
      15302786: 24907,
      15302788: 24908,
      15302792: 24909,
      15302796: 24910,
      15302808: 24911,
      15302811: 24912,
      15302824: 24913,
      15302825: 24914,
      15302831: 24915,
      15302826: 24916,
      15302828: 24917,
      15302829: 24918,
      15302835: 24919,
      15302836: 24920,
      15302839: 24921,
      15302847: 24922,
      15303043: 24923,
      15303044: 24924,
      15303052: 24925,
      15303067: 24926,
      15303069: 24927,
      15303074: 24928,
      15303078: 24929,
      15303079: 24930,
      15303084: 24931,
      15303088: 24932,
      15303092: 24933,
      15303097: 24934,
      15303301: 24935,
      15303304: 24936,
      15303307: 24937,
      15303308: 24938,
      15303310: 24939,
      15303312: 24940,
      15303317: 24941,
      15303319: 24942,
      15303320: 24943,
      15303321: 24944,
      15303323: 24945,
      15303328: 24946,
      15303329: 24947,
      15303330: 24948,
      15303333: 24949,
      15303344: 24950,
      15303346: 24951,
      15303347: 24952,
      15303348: 24953,
      15303350: 24954,
      15303357: 24955,
      15303564: 24956,
      15303358: 24957,
      15303555: 24958,
      15303556: 25121,
      15303557: 25122,
      15303559: 25123,
      15303560: 25124,
      15303573: 25125,
      15303575: 25126,
      15303576: 25127,
      15303577: 25128,
      15303580: 25129,
      15303581: 25130,
      15303583: 25131,
      15303589: 25132,
      15303570: 25133,
      15303606: 25134,
      15303595: 25135,
      15303599: 25136,
      15303600: 25137,
      15303604: 25138,
      15303614: 25139,
      15303615: 25140,
      15303808: 25141,
      15303812: 25142,
      15303813: 25143,
      15303814: 25144,
      15303816: 25145,
      15303821: 25146,
      15303824: 25147,
      15303828: 25148,
      15303830: 25149,
      15303831: 25150,
      15303832: 25151,
      15303834: 25152,
      15303836: 25153,
      15303838: 25154,
      15303840: 25155,
      15303845: 25156,
      15303842: 25157,
      15303843: 25158,
      15303847: 25159,
      15303849: 25160,
      15303854: 25161,
      15303855: 25162,
      15303857: 25163,
      15303860: 25164,
      15303862: 25165,
      15303863: 25166,
      15303865: 25167,
      15303866: 25168,
      15303868: 25169,
      15303869: 25170,
      15304067: 25171,
      15304071: 25172,
      15304072: 25173,
      15304079: 25174,
      15304083: 25175,
      15304087: 25176,
      15304089: 25177,
      15304090: 25178,
      15304091: 25179,
      15304097: 25180,
      15304100: 25181,
      15304103: 25182,
      15304109: 25183,
      15304116: 25184,
      15304121: 25185,
      15304122: 25186,
      15304123: 25187,
      15304321: 25188,
      15304323: 25189,
      15304325: 25190,
      15304326: 25191,
      15304330: 25192,
      15304334: 25193,
      15304337: 25194,
      15304339: 25195,
      15304340: 25196,
      15304341: 25197,
      15304344: 25198,
      15304350: 25199,
      15304353: 25200,
      15304358: 25201,
      15304360: 25202,
      15304364: 25203,
      15304365: 25204,
      15304366: 25205,
      15304368: 25206,
      15304369: 25207,
      15304370: 25208,
      15304371: 25209,
      15304374: 25210,
      15304379: 25211,
      15304380: 25212,
      15304381: 25213,
      15304383: 25214,
      15304578: 25377,
      15304579: 25378,
      15304581: 25379,
      15304595: 25380,
      15304596: 25381,
      15304599: 25382,
      15304601: 25383,
      15304602: 25384,
      15304606: 25385,
      15304612: 25386,
      15304613: 25387,
      15304617: 25388,
      15304618: 25389,
      15304620: 25390,
      15304621: 25391,
      15304622: 25392,
      15304623: 25393,
      15304624: 25394,
      15304625: 25395,
      15304631: 25396,
      15304633: 25397,
      15304635: 25398,
      15304637: 25399,
      15304832: 25400,
      15304833: 25401,
      15304836: 25402,
      15304837: 25403,
      15304838: 25404,
      15304839: 25405,
      15304841: 25406,
      15304842: 25407,
      15304844: 25408,
      15304848: 25409,
      15304850: 25410,
      15304851: 25411,
      15304854: 25412,
      15304856: 25413,
      15304860: 25414,
      15304861: 25415,
      15304867: 25416,
      15304868: 25417,
      15304869: 25418,
      15304870: 25419,
      15304872: 25420,
      15304878: 25421,
      15304879: 25422,
      15304880: 25423,
      15304883: 25424,
      15304885: 25425,
      15304886: 25426,
      15304888: 25427,
      15304889: 25428,
      15304890: 25429,
      15304892: 25430,
      15304894: 25431,
      15305088: 25432,
      15305090: 25433,
      15305091: 25434,
      15305094: 25435,
      15305095: 25436,
      15305098: 25437,
      15305101: 25438,
      15305102: 25439,
      15305103: 25440,
      15305105: 25441,
      15305112: 25442,
      15305113: 25443,
      15305116: 25444,
      15305117: 25445,
      15305120: 25446,
      15305121: 25447,
      15305125: 25448,
      15305127: 25449,
      15305128: 25450,
      15305129: 25451,
      15305134: 25452,
      15305135: 25453,
      15305136: 25454,
      15305141: 25455,
      15305142: 25456,
      15305143: 25457,
      15305144: 25458,
      15305145: 25459,
      15305147: 25460,
      15305148: 25461,
      15305149: 25462,
      15305151: 25463,
      15305352: 25464,
      15305353: 25465,
      15305354: 25466,
      15305357: 25467,
      15305358: 25468,
      15305362: 25469,
      15305367: 25470,
      15305369: 25633,
      15305375: 25634,
      15305376: 25635,
      15305380: 25636,
      15305381: 25637,
      15305383: 25638,
      15305384: 25639,
      15305387: 25640,
      15305391: 25641,
      15305394: 25642,
      15305398: 25643,
      15305400: 25644,
      15305402: 25645,
      15305403: 25646,
      15305404: 25647,
      15305405: 25648,
      15305407: 25649,
      15305600: 25650,
      15305601: 25651,
      15305602: 25652,
      15305603: 25653,
      15305605: 25654,
      15305606: 25655,
      15305607: 25656,
      15305608: 25657,
      15305611: 25658,
      15305612: 25659,
      15305613: 25660,
      15305614: 25661,
      15305616: 25662,
      15305619: 25663,
      15305621: 25664,
      15305623: 25665,
      15305624: 25666,
      15305625: 25667,
      15305628: 25668,
      15305629: 25669,
      15305631: 25670,
      15305632: 25671,
      15305633: 25672,
      15305635: 25673,
      15305637: 25674,
      15305639: 25675,
      15305640: 25676,
      15305644: 25677,
      15305646: 25678,
      15305648: 25679,
      15305657: 25680,
      15305659: 25681,
      15305663: 25682,
      15305856: 25683,
      15305858: 25684,
      15305864: 25685,
      15305869: 25686,
      15305873: 25687,
      15305876: 25688,
      15305877: 25689,
      15305884: 25690,
      15305885: 25691,
      15305886: 25692,
      15305887: 25693,
      15305889: 25694,
      15305892: 25695,
      15305893: 25696,
      15305895: 25697,
      15305897: 25698,
      15305898: 25699,
      15305907: 25700,
      15305908: 25701,
      15305910: 25702,
      15305911: 25703,
      15306119: 25704,
      15306120: 25705,
      15306121: 25706,
      15306128: 25707,
      15306129: 25708,
      15306130: 25709,
      15306133: 25710,
      15306135: 25711,
      15306136: 25712,
      15306138: 25713,
      15306142: 25714,
      15306148: 25715,
      15306149: 25716,
      15306151: 25717,
      15306153: 25718,
      15306154: 25719,
      15306157: 25720,
      15306159: 25721,
      15306160: 25722,
      15306161: 25723,
      15306163: 25724,
      15306164: 25725,
      15306166: 25726,
      15306170: 25889,
      15306173: 25890,
      15306175: 25891,
      15306368: 25892,
      15306369: 25893,
      15306370: 25894,
      15306376: 25895,
      15306378: 25896,
      15306379: 25897,
      15306381: 25898,
      15306383: 25899,
      15306386: 25900,
      15306389: 25901,
      15306392: 25902,
      15306395: 25903,
      15306398: 25904,
      15306401: 25905,
      15306403: 25906,
      15306404: 25907,
      15306406: 25908,
      15306408: 25909,
      15306411: 25910,
      15306420: 25911,
      15306421: 25912,
      15306422: 25913,
      15306426: 25914,
      15306409: 25915,
      15306625: 25916,
      15306628: 25917,
      15306629: 25918,
      15306630: 25919,
      15306631: 25920,
      15306633: 25921,
      15306634: 25922,
      15306635: 25923,
      15306636: 25924,
      15306637: 25925,
      15306643: 25926,
      15306649: 25927,
      15306652: 25928,
      15306654: 25929,
      15306655: 25930,
      15306658: 25931,
      15306662: 25932,
      15306663: 25933,
      15306681: 25934,
      15306679: 25935,
      15306680: 25936,
      15306682: 25937,
      15306683: 25938,
      15306685: 25939,
      15306881: 25940,
      15306882: 25941,
      15306884: 25942,
      15306888: 25943,
      15306889: 25944,
      15306893: 25945,
      15306894: 25946,
      15306895: 25947,
      15306901: 25948,
      15306902: 25949,
      15306903: 25950,
      15306911: 25951,
      15306926: 25952,
      15306927: 25953,
      15306929: 25954,
      15306930: 25955,
      15306931: 25956,
      15306932: 25957,
      15306939: 25958,
      15306943: 25959,
      15306941: 25960,
      15307139: 25961,
      15307141: 25962,
      15307144: 25963,
      15307146: 25964,
      15307148: 25965,
      15307157: 25966,
      15307161: 25967,
      15307164: 25968,
      15307167: 25969,
      15307169: 25970,
      15307171: 25971,
      15307176: 25972,
      15307179: 25973,
      15307181: 25974,
      15307182: 25975,
      15307183: 25976,
      15307185: 25977,
      15307186: 25978,
      15307396: 25979,
      15307395: 25980,
      15308216: 25981,
      15308217: 25982,
      15308222: 26145,
      15308420: 26146,
      15308424: 26147,
      15308428: 26148,
      15308429: 26149,
      15308430: 26150,
      15308445: 26151,
      15308446: 26152,
      15308447: 26153,
      15308449: 26154,
      15308454: 26155,
      15308457: 26156,
      15308459: 26157,
      15308460: 26158,
      15308468: 26159,
      15308470: 26160,
      15308474: 26161,
      15308477: 26162,
      15308479: 26163,
      15308678: 26164,
      15308680: 26165,
      15308681: 26166,
      15308683: 26167,
      15308688: 26168,
      15308689: 26169,
      15308690: 26170,
      15308691: 26171,
      15308697: 26172,
      15308698: 26173,
      15308701: 26174,
      15308702: 26175,
      15308703: 26176,
      15308704: 26177,
      15308708: 26178,
      15308710: 26179,
      15308957: 26180,
      15308958: 26181,
      15308962: 26182,
      15308964: 26183,
      15308965: 26184,
      15308966: 26185,
      15308972: 26186,
      15308977: 26187,
      15308979: 26188,
      15308983: 26189,
      15308984: 26190,
      15308985: 26191,
      15308986: 26192,
      15308988: 26193,
      15308989: 26194,
      15309185: 26195,
      15309202: 26196,
      15309204: 26197,
      15309206: 26198,
      15309207: 26199,
      15309208: 26200,
      15309217: 26201,
      15309230: 26202,
      15309236: 26203,
      15309243: 26204,
      15309244: 26205,
      15309246: 26206,
      15309247: 26207,
      15309441: 26208,
      15309442: 26209,
      15309443: 26210,
      15309444: 26211,
      15309449: 26212,
      15309457: 26213,
      15309462: 26214,
      15309466: 26215,
      15309469: 26216,
      15309471: 26217,
      15309476: 26218,
      15309477: 26219,
      15309478: 26220,
      15309481: 26221,
      15309486: 26222,
      15309487: 26223,
      15309491: 26224,
      15309498: 26225,
      15309706: 26226,
      15309714: 26227,
      15054514: 26228,
      15309720: 26229,
      15309722: 26230,
      15309725: 26231,
      15309726: 26232,
      15309727: 26233,
      15309737: 26234,
      15309743: 26235,
      15309745: 26236,
      15309754: 26237,
      15309954: 26238,
      15309955: 26401,
      15309957: 26402,
      15309961: 26403,
      15309978: 26404,
      15309979: 26405,
      15309981: 26406,
      15309985: 26407,
      15309986: 26408,
      15309987: 26409,
      15309992: 26410,
      15310001: 26411,
      15310003: 26412,
      15310209: 26413,
      15310211: 26414,
      15310218: 26415,
      15310222: 26416,
      15310223: 26417,
      15310229: 26418,
      15310231: 26419,
      15310232: 26420,
      15310234: 26421,
      15310235: 26422,
      15310243: 26423,
      15310247: 26424,
      15310250: 26425,
      15310254: 26426,
      15310259: 26427,
      15310262: 26428,
      15310263: 26429,
      15310264: 26430,
      15310267: 26431,
      15310269: 26432,
      15310271: 26433,
      15310464: 26434,
      15310473: 26435,
      15310485: 26436,
      15310486: 26437,
      15310487: 26438,
      15310489: 26439,
      15310490: 26440,
      15310494: 26441,
      15310495: 26442,
      15310498: 26443,
      15310508: 26444,
      15310510: 26445,
      15310513: 26446,
      15310514: 26447,
      15310517: 26448,
      15310518: 26449,
      15310520: 26450,
      15310521: 26451,
      15310522: 26452,
      15310524: 26453,
      15310526: 26454,
      15310527: 26455,
      15310721: 26456,
      15310724: 26457,
      15310725: 26458,
      15310727: 26459,
      15310729: 26460,
      15310730: 26461,
      15310732: 26462,
      15310733: 26463,
      15310734: 26464,
      15310736: 26465,
      15310737: 26466,
      15310740: 26467,
      15310743: 26468,
      15310744: 26469,
      15310745: 26470,
      15310749: 26471,
      15310750: 26472,
      15310752: 26473,
      15310747: 26474,
      15310753: 26475,
      15310756: 26476,
      15310767: 26477,
      15310769: 26478,
      15310772: 26479,
      15310775: 26480,
      15310776: 26481,
      15310778: 26482,
      15310983: 26483,
      15310986: 26484,
      15311001: 26485,
      15310989: 26486,
      15310990: 26487,
      15310996: 26488,
      15310998: 26489,
      15311004: 26490,
      15311006: 26491,
      15311008: 26492,
      15311011: 26493,
      15311014: 26494,
      15311019: 26657,
      15311022: 26658,
      15311023: 26659,
      15311024: 26660,
      15311026: 26661,
      15311027: 26662,
      15311029: 26663,
      15311013: 26664,
      15311038: 26665,
      15311236: 26666,
      15311239: 26667,
      15311242: 26668,
      15311249: 26669,
      15311250: 26670,
      15311251: 26671,
      15311254: 26672,
      15311255: 26673,
      15311257: 26674,
      15311258: 26675,
      15311266: 26676,
      15311267: 26677,
      15311269: 26678,
      15311270: 26679,
      15311274: 26680,
      15311276: 26681,
      15311531: 26682,
      15311533: 26683,
      15311534: 26684,
      15311536: 26685,
      15311540: 26686,
      15311543: 26687,
      15311544: 26688,
      15311546: 26689,
      15311547: 26690,
      15311551: 26691,
      15311746: 26692,
      15311749: 26693,
      15311752: 26694,
      15311756: 26695,
      15311777: 26696,
      15311779: 26697,
      15311781: 26698,
      15311782: 26699,
      15311783: 26700,
      15311786: 26701,
      15311795: 26702,
      15311798: 26703,
      15312002: 26704,
      15312007: 26705,
      15312008: 26706,
      15312017: 26707,
      15312021: 26708,
      15312022: 26709,
      15312023: 26710,
      15312026: 26711,
      15312027: 26712,
      15312028: 26713,
      15312031: 26714,
      15312034: 26715,
      15312038: 26716,
      15312039: 26717,
      15312043: 26718,
      15312049: 26719,
      15312050: 26720,
      15312051: 26721,
      15312052: 26722,
      15312053: 26723,
      15312057: 26724,
      15312058: 26725,
      15312059: 26726,
      15312060: 26727,
      15312256: 26728,
      15312257: 26729,
      15312262: 26730,
      15312263: 26731,
      15312264: 26732,
      15312269: 26733,
      15312270: 26734,
      15312276: 26735,
      15312280: 26736,
      15312281: 26737,
      15312283: 26738,
      15312284: 26739,
      15312286: 26740,
      15312287: 26741,
      15312288: 26742,
      15312539: 26743,
      15312541: 26744,
      15312543: 26745,
      15312550: 26746,
      15312560: 26747,
      15312561: 26748,
      15312562: 26749,
      15312565: 26750,
      15312569: 26913,
      15312570: 26914,
      15312573: 26915,
      15312575: 26916,
      15312771: 26917,
      15312777: 26918,
      15312787: 26919,
      15312788: 26920,
      15312793: 26921,
      15312794: 26922,
      15312796: 26923,
      15312798: 26924,
      15312807: 26925,
      15312810: 26926,
      15312811: 26927,
      15312812: 26928,
      15312816: 26929,
      15312820: 26930,
      15312821: 26931,
      15312825: 26932,
      15312829: 26933,
      15312830: 26934,
      15313026: 26935,
      15313027: 26936,
      15313028: 26937,
      15313035: 26938,
      15313036: 26939,
      15313040: 26940,
      15313041: 26941,
      15313046: 26942,
      15313054: 26943,
      15313056: 26944,
      15313058: 26945,
      15313059: 26946,
      15313060: 26947,
      15313063: 26948,
      15313069: 26949,
      15313070: 26950,
      15313075: 26951,
      15313077: 26952,
      15313078: 26953,
      15313080: 26954,
      15313287: 26955,
      15313281: 26956,
      15313284: 26957,
      15313290: 26958,
      15313291: 26959,
      15313292: 26960,
      15313294: 26961,
      15313297: 26962,
      15313300: 26963,
      15313302: 26964,
      15313309: 26965,
      15313578: 26966,
      15313580: 26967,
      15313582: 26968,
      15313583: 26969,
      15313586: 26970,
      15313588: 26971,
      15313589: 26972,
      15313590: 26973,
      15313593: 26974,
      15313595: 26975,
      15313598: 26976,
      15313599: 26977,
      15313793: 26978,
      15313795: 26979,
      15313798: 26980,
      15313800: 26981,
      15313806: 26982,
      15313808: 26983,
      15313810: 26984,
      15313813: 26985,
      15313814: 26986,
      15313815: 26987,
      15313819: 26988,
      15313820: 26989,
      15313824: 26990,
      15313828: 26991,
      15313829: 26992,
      15313831: 26993,
      15313833: 26994,
      15313836: 26995,
      15313842: 26996,
      15313843: 26997,
      15313845: 26998,
      15313849: 26999,
      15313850: 27e3,
      15313853: 27001,
      15313855: 27002,
      15314048: 27003,
      15314049: 27004,
      15314050: 27005,
      15314051: 27006,
      15314052: 27169,
      15314053: 27170,
      15314056: 27171,
      15314057: 27172,
      15314059: 27173,
      15314060: 27174,
      15314061: 27175,
      15314062: 27176,
      15314064: 27177,
      15314066: 27178,
      15314070: 27179,
      15314073: 27180,
      15314075: 27181,
      15314076: 27182,
      15314080: 27183,
      15314086: 27184,
      15314091: 27185,
      15314093: 27186,
      15314099: 27187,
      15314100: 27188,
      15314101: 27189,
      15314103: 27190,
      15314105: 27191,
      15314106: 27192,
      15314109: 27193,
      15314312: 27194,
      15314315: 27195,
      15314316: 27196,
      15314325: 27197,
      15314326: 27198,
      15314327: 27199,
      15314331: 27200,
      15314334: 27201,
      15314337: 27202,
      15314339: 27203,
      15314341: 27204,
      15314342: 27205,
      15314344: 27206,
      15314346: 27207,
      15314347: 27208,
      15314348: 27209,
      15314349: 27210,
      15314350: 27211,
      15314355: 27212,
      15314357: 27213,
      15314359: 27214,
      15314360: 27215,
      15314361: 27216,
      15314367: 27217,
      15314560: 27218,
      15314564: 27219,
      15314565: 27220,
      15314566: 27221,
      15314567: 27222,
      15314569: 27223,
      15314570: 27224,
      15314571: 27225,
      15314573: 27226,
      15314575: 27227,
      15314576: 27228,
      15314580: 27229,
      15314586: 27230,
      15314589: 27231,
      15314590: 27232,
      15314598: 27233,
      15314599: 27234,
      15314601: 27235,
      15314604: 27236,
      15314608: 27237,
      15314609: 27238,
      15314610: 27239,
      15314615: 27240,
      15314616: 27241,
      15314619: 27242,
      15314620: 27243,
      15314622: 27244,
      15314623: 27245,
      15314817: 27246,
      15314823: 27247,
      15314824: 27248,
      15314830: 27249,
      15314832: 27250,
      15314839: 27251,
      15314840: 27252,
      15314845: 27253,
      15314847: 27254,
      15314853: 27255,
      15314855: 27256,
      15314858: 27257,
      15314859: 27258,
      15314863: 27259,
      15314867: 27260,
      15314871: 27261,
      15314872: 27262,
      15314873: 27425,
      15314874: 27426,
      15314877: 27427,
      15314879: 27428,
      15315072: 27429,
      15315074: 27430,
      15315083: 27431,
      15315087: 27432,
      15315089: 27433,
      15315094: 27434,
      15315096: 27435,
      15315097: 27436,
      15315098: 27437,
      15315100: 27438,
      15315102: 27439,
      15315106: 27440,
      15315107: 27441,
      15315110: 27442,
      15315111: 27443,
      15315112: 27444,
      15315113: 27445,
      15315114: 27446,
      15315121: 27447,
      15315125: 27448,
      15315126: 27449,
      15315127: 27450,
      15315133: 27451,
      15315329: 27452,
      15315331: 27453,
      15315332: 27454,
      15315333: 27455,
      15315337: 27456,
      15315338: 27457,
      15315342: 27458,
      15315343: 27459,
      15315344: 27460,
      15315347: 27461,
      15315348: 27462,
      15315350: 27463,
      15315352: 27464,
      15315355: 27465,
      15315357: 27466,
      15315358: 27467,
      15315359: 27468,
      15315363: 27469,
      15315369: 27470,
      15315370: 27471,
      15315356: 27472,
      15315371: 27473,
      15315368: 27474,
      15315374: 27475,
      15315376: 27476,
      15315378: 27477,
      15315381: 27478,
      15315383: 27479,
      15315387: 27480,
      15315878: 27481,
      15315890: 27482,
      15315895: 27483,
      15315897: 27484,
      15316107: 27485,
      15316098: 27486,
      15316113: 27487,
      15316119: 27488,
      15316120: 27489,
      15316124: 27490,
      15316125: 27491,
      15316126: 27492,
      15316143: 27493,
      15316144: 27494,
      15316146: 27495,
      15316147: 27496,
      15316148: 27497,
      15316154: 27498,
      15316156: 27499,
      15316357: 27500,
      15316157: 27501,
      15316354: 27502,
      15316355: 27503,
      15316359: 27504,
      15316362: 27505,
      15316371: 27506,
      15316372: 27507,
      15316383: 27508,
      15316387: 27509,
      15316386: 27510,
      15316389: 27511,
      15316393: 27512,
      15316394: 27513,
      15316395: 27514,
      15316400: 27515,
      15316406: 27516,
      15316407: 27517,
      15316411: 27518,
      15316412: 27681,
      15316414: 27682,
      15316611: 27683,
      15316612: 27684,
      15316614: 27685,
      15316618: 27686,
      15316621: 27687,
      15316622: 27688,
      15316626: 27689,
      15316627: 27690,
      15316629: 27691,
      15316630: 27692,
      15316631: 27693,
      15316632: 27694,
      15316641: 27695,
      15316650: 27696,
      15316652: 27697,
      15316654: 27698,
      15316657: 27699,
      15316661: 27700,
      15316665: 27701,
      15316668: 27702,
      15316671: 27703,
      15316867: 27704,
      15316871: 27705,
      15316873: 27706,
      15316874: 27707,
      15316884: 27708,
      15316885: 27709,
      15316886: 27710,
      15316887: 27711,
      15316890: 27712,
      15316894: 27713,
      15316895: 27714,
      15316896: 27715,
      15316901: 27716,
      15316903: 27717,
      15316905: 27718,
      15316907: 27719,
      15316910: 27720,
      15316912: 27721,
      15316915: 27722,
      15316916: 27723,
      15316926: 27724,
      15317130: 27725,
      15317122: 27726,
      15317127: 27727,
      15317134: 27728,
      15317136: 27729,
      15317137: 27730,
      15317138: 27731,
      15317141: 27732,
      15317142: 27733,
      15317145: 27734,
      15317148: 27735,
      15317149: 27736,
      15317434: 27737,
      15317435: 27738,
      15317436: 27739,
      15317632: 27740,
      15317634: 27741,
      15317635: 27742,
      15317636: 27743,
      15317637: 27744,
      15317639: 27745,
      15317646: 27746,
      15317647: 27747,
      15317654: 27748,
      15317656: 27749,
      15317659: 27750,
      15317662: 27751,
      15317668: 27752,
      15317672: 27753,
      15317676: 27754,
      15317678: 27755,
      15317679: 27756,
      15317680: 27757,
      15317683: 27758,
      15317684: 27759,
      15317685: 27760,
      15317894: 27761,
      15317896: 27762,
      15317899: 27763,
      15317909: 27764,
      15317919: 27765,
      15317924: 27766,
      15317927: 27767,
      15317932: 27768,
      15317933: 27769,
      15317934: 27770,
      15317936: 27771,
      15317937: 27772,
      15317938: 27773,
      15317941: 27774,
      15317944: 27937,
      15317951: 27938,
      15318146: 27939,
      15318147: 27940,
      15318153: 27941,
      15318159: 27942,
      15318160: 27943,
      15318161: 27944,
      15318162: 27945,
      15318164: 27946,
      15318166: 27947,
      15318167: 27948,
      15318169: 27949,
      15318170: 27950,
      15318171: 27951,
      15318175: 27952,
      15318178: 27953,
      15318182: 27954,
      15318186: 27955,
      15318187: 27956,
      15318191: 27957,
      15318193: 27958,
      15318194: 27959,
      15318196: 27960,
      15318199: 27961,
      15318201: 27962,
      15318202: 27963,
      15318204: 27964,
      15318205: 27965,
      15318207: 27966,
      15318401: 27967,
      15318403: 27968,
      15318404: 27969,
      15318405: 27970,
      15318406: 27971,
      15318407: 27972,
      15318419: 27973,
      15318421: 27974,
      15318422: 27975,
      15318423: 27976,
      15318424: 27977,
      15318426: 27978,
      15318429: 27979,
      15318430: 27980,
      15318440: 27981,
      15318441: 27982,
      15318445: 27983,
      15318446: 27984,
      15318447: 27985,
      15318448: 27986,
      15318449: 27987,
      15318451: 27988,
      15318453: 27989,
      15318458: 27990,
      15318461: 27991,
      15318671: 27992,
      15318672: 27993,
      15318673: 27994,
      15318674: 27995,
      15318676: 27996,
      15318678: 27997,
      15318679: 27998,
      15318686: 27999,
      15318689: 28e3,
      15318690: 28001,
      15318691: 28002,
      15318693: 28003,
      //FIXME: mojibake
      14909596: 8513
    };
  }
});

// ../../../node_modules/encoding-japanese/src/jis-to-utf8-table.js
var require_jis_to_utf8_table = __commonJS({
  "../../../node_modules/encoding-japanese/src/jis-to-utf8-table.js"(exports, module2) {
    "use strict";
    var JIS_TO_UTF8_TABLE = null;
    module2.exports = JIS_TO_UTF8_TABLE;
  }
});

// ../../../node_modules/encoding-japanese/src/jisx0212-to-utf8-table.js
var require_jisx0212_to_utf8_table = __commonJS({
  "../../../node_modules/encoding-japanese/src/jisx0212-to-utf8-table.js"(exports, module2) {
    "use strict";
    var JISX0212_TO_UTF8_TABLE = null;
    module2.exports = JISX0212_TO_UTF8_TABLE;
  }
});

// ../../../node_modules/encoding-japanese/src/encoding-table.js
var require_encoding_table = __commonJS({
  "../../../node_modules/encoding-japanese/src/encoding-table.js"(exports) {
    "use strict";
    exports.UTF8_TO_JIS_TABLE = require_utf8_to_jis_table();
    exports.UTF8_TO_JISX0212_TABLE = require_utf8_to_jisx0212_table();
    exports.JIS_TO_UTF8_TABLE = require_jis_to_utf8_table();
    exports.JISX0212_TO_UTF8_TABLE = require_jisx0212_to_utf8_table();
  }
});

// ../../../node_modules/encoding-japanese/src/config.js
var require_config = __commonJS({
  "../../../node_modules/encoding-japanese/src/config.js"(exports) {
    "use strict";
    var util = require_util();
    var EncodingTable = require_encoding_table();
    exports.FALLBACK_CHARACTER = 63;
    var HAS_TYPED = exports.HAS_TYPED = typeof Uint8Array !== "undefined" && typeof Uint16Array !== "undefined";
    var CAN_CHARCODE_APPLY = false;
    var CAN_CHARCODE_APPLY_TYPED = false;
    try {
      if (String.fromCharCode.apply(null, [97]) === "a") {
        CAN_CHARCODE_APPLY = true;
      }
    } catch (e) {
    }
    if (HAS_TYPED) {
      try {
        if (String.fromCharCode.apply(null, new Uint8Array([97])) === "a") {
          CAN_CHARCODE_APPLY_TYPED = true;
        }
      } catch (e) {
      }
    }
    exports.CAN_CHARCODE_APPLY = CAN_CHARCODE_APPLY;
    exports.CAN_CHARCODE_APPLY_TYPED = CAN_CHARCODE_APPLY_TYPED;
    exports.APPLY_BUFFER_SIZE = 65533;
    exports.APPLY_BUFFER_SIZE_OK = null;
    var EncodingNames = exports.EncodingNames = {
      UTF32: {
        order: 0
      },
      UTF32BE: {
        alias: ["UCS4"]
      },
      UTF32LE: null,
      UTF16: {
        order: 1
      },
      UTF16BE: {
        alias: ["UCS2"]
      },
      UTF16LE: null,
      BINARY: {
        order: 2
      },
      ASCII: {
        order: 3,
        alias: ["ISO646", "CP367"]
      },
      JIS: {
        order: 4,
        alias: ["ISO2022JP"]
      },
      UTF8: {
        order: 5
      },
      EUCJP: {
        order: 6
      },
      SJIS: {
        order: 7,
        alias: ["CP932", "MSKANJI", "WINDOWS31J"]
      },
      UNICODE: {
        order: 8
      }
    };
    var EncodingAliases = {};
    exports.EncodingAliases = EncodingAliases;
    exports.EncodingOrders = function() {
      var aliases = EncodingAliases;
      var names = util.objectKeys(EncodingNames);
      var orders = [];
      var name, encoding, j, l;
      for (var i = 0, len = names.length; i < len; i++) {
        name = names[i];
        aliases[name] = name;
        encoding = EncodingNames[name];
        if (encoding != null) {
          if (encoding.order != null) {
            orders[orders.length] = name;
          }
          if (encoding.alias) {
            for (j = 0, l = encoding.alias.length; j < l; j++) {
              aliases[encoding.alias[j]] = name;
            }
          }
        }
      }
      orders.sort(function(a, b) {
        return EncodingNames[a].order - EncodingNames[b].order;
      });
      return orders;
    }();
    function init_JIS_TO_UTF8_TABLE() {
      if (EncodingTable.JIS_TO_UTF8_TABLE === null) {
        EncodingTable.JIS_TO_UTF8_TABLE = {};
        var keys = util.objectKeys(EncodingTable.UTF8_TO_JIS_TABLE);
        var i = 0;
        var len = keys.length;
        var key, value;
        for (; i < len; i++) {
          key = keys[i];
          value = EncodingTable.UTF8_TO_JIS_TABLE[key];
          if (value > 95) {
            EncodingTable.JIS_TO_UTF8_TABLE[value] = key | 0;
          }
        }
        EncodingTable.JISX0212_TO_UTF8_TABLE = {};
        keys = util.objectKeys(EncodingTable.UTF8_TO_JISX0212_TABLE);
        len = keys.length;
        for (i = 0; i < len; i++) {
          key = keys[i];
          value = EncodingTable.UTF8_TO_JISX0212_TABLE[key];
          EncodingTable.JISX0212_TO_UTF8_TABLE[value] = key | 0;
        }
      }
    }
    exports.init_JIS_TO_UTF8_TABLE = init_JIS_TO_UTF8_TABLE;
  }
});

// ../../../node_modules/encoding-japanese/src/encoding-detect.js
var require_encoding_detect = __commonJS({
  "../../../node_modules/encoding-japanese/src/encoding-detect.js"(exports) {
    "use strict";
    function isBINARY(data) {
      var i = 0;
      var len = data && data.length;
      var c;
      for (; i < len; i++) {
        c = data[i];
        if (c > 255) {
          return false;
        }
        if (c >= 0 && c <= 7 || c === 255) {
          return true;
        }
      }
      return false;
    }
    exports.isBINARY = isBINARY;
    function isASCII(data) {
      var i = 0;
      var len = data && data.length;
      var b;
      for (; i < len; i++) {
        b = data[i];
        if (b > 255 || b >= 128 && b <= 255 || b === 27) {
          return false;
        }
      }
      return true;
    }
    exports.isASCII = isASCII;
    function isJIS(data) {
      var i = 0;
      var len = data && data.length;
      var b, esc1, esc2;
      for (; i < len; i++) {
        b = data[i];
        if (b > 255 || b >= 128 && b <= 255) {
          return false;
        }
        if (b === 27) {
          if (i + 2 >= len) {
            return false;
          }
          esc1 = data[i + 1];
          esc2 = data[i + 2];
          if (esc1 === 36) {
            if (esc2 === 40 || // JIS X 0208-1990/2000/2004
            esc2 === 64 || // JIS X 0208-1978
            esc2 === 66) {
              return true;
            }
          } else if (esc1 === 38 && // JIS X 0208-1990
          esc2 === 64) {
            return true;
          } else if (esc1 === 40) {
            if (esc2 === 66 || // ASCII
            esc2 === 73 || // JIS X 0201 Halfwidth Katakana
            esc2 === 74) {
              return true;
            }
          }
        }
      }
      return false;
    }
    exports.isJIS = isJIS;
    function isEUCJP(data) {
      var i = 0;
      var len = data && data.length;
      var b;
      for (; i < len; i++) {
        b = data[i];
        if (b < 128) {
          continue;
        }
        if (b > 255 || b < 142) {
          return false;
        }
        if (b === 142) {
          if (i + 1 >= len) {
            return false;
          }
          b = data[++i];
          if (b < 161 || 223 < b) {
            return false;
          }
        } else if (b === 143) {
          if (i + 2 >= len) {
            return false;
          }
          b = data[++i];
          if (b < 162 || 237 < b) {
            return false;
          }
          b = data[++i];
          if (b < 161 || 254 < b) {
            return false;
          }
        } else if (161 <= b && b <= 254) {
          if (i + 1 >= len) {
            return false;
          }
          b = data[++i];
          if (b < 161 || 254 < b) {
            return false;
          }
        } else {
          return false;
        }
      }
      return true;
    }
    exports.isEUCJP = isEUCJP;
    function isSJIS(data) {
      var i = 0;
      var len = data && data.length;
      var b;
      while (i < len && data[i] > 128) {
        if (data[i++] > 255) {
          return false;
        }
      }
      for (; i < len; i++) {
        b = data[i];
        if (b <= 128 || 161 <= b && b <= 223) {
          continue;
        }
        if (b === 160 || b > 239 || i + 1 >= len) {
          return false;
        }
        b = data[++i];
        if (b < 64 || b === 127 || b > 252) {
          return false;
        }
      }
      return true;
    }
    exports.isSJIS = isSJIS;
    function isUTF8(data) {
      var i = 0;
      var len = data && data.length;
      var b;
      for (; i < len; i++) {
        b = data[i];
        if (b > 255) {
          return false;
        }
        if (b === 9 || b === 10 || b === 13 || b >= 32 && b <= 126) {
          continue;
        }
        if (b >= 194 && b <= 223) {
          if (i + 1 >= len || data[i + 1] < 128 || data[i + 1] > 191) {
            return false;
          }
          i++;
        } else if (b === 224) {
          if (i + 2 >= len || data[i + 1] < 160 || data[i + 1] > 191 || data[i + 2] < 128 || data[i + 2] > 191) {
            return false;
          }
          i += 2;
        } else if (b >= 225 && b <= 236 || b === 238 || b === 239) {
          if (i + 2 >= len || data[i + 1] < 128 || data[i + 1] > 191 || data[i + 2] < 128 || data[i + 2] > 191) {
            return false;
          }
          i += 2;
        } else if (b === 237) {
          if (i + 2 >= len || data[i + 1] < 128 || data[i + 1] > 159 || data[i + 2] < 128 || data[i + 2] > 191) {
            return false;
          }
          i += 2;
        } else if (b === 240) {
          if (i + 3 >= len || data[i + 1] < 144 || data[i + 1] > 191 || data[i + 2] < 128 || data[i + 2] > 191 || data[i + 3] < 128 || data[i + 3] > 191) {
            return false;
          }
          i += 3;
        } else if (b >= 241 && b <= 243) {
          if (i + 3 >= len || data[i + 1] < 128 || data[i + 1] > 191 || data[i + 2] < 128 || data[i + 2] > 191 || data[i + 3] < 128 || data[i + 3] > 191) {
            return false;
          }
          i += 3;
        } else if (b === 244) {
          if (i + 3 >= len || data[i + 1] < 128 || data[i + 1] > 143 || data[i + 2] < 128 || data[i + 2] > 191 || data[i + 3] < 128 || data[i + 3] > 191) {
            return false;
          }
          i += 3;
        } else {
          return false;
        }
      }
      return true;
    }
    exports.isUTF8 = isUTF8;
    function isUTF16(data) {
      var i = 0;
      var len = data && data.length;
      var pos = null;
      var b1, b2, next, prev;
      if (len < 2) {
        if (data[0] > 255) {
          return false;
        }
      } else {
        b1 = data[0];
        b2 = data[1];
        if (b1 === 255 && // BOM (little-endian)
        b2 === 254) {
          return true;
        }
        if (b1 === 254 && // BOM (big-endian)
        b2 === 255) {
          return true;
        }
        for (; i < len; i++) {
          if (data[i] === 0) {
            pos = i;
            break;
          } else if (data[i] > 255) {
            return false;
          }
        }
        if (pos === null) {
          return false;
        }
        next = data[pos + 1];
        if (next !== void 0 && next > 0 && next < 128) {
          return true;
        }
        prev = data[pos - 1];
        if (prev !== void 0 && prev > 0 && prev < 128) {
          return true;
        }
      }
      return false;
    }
    exports.isUTF16 = isUTF16;
    function isUTF16BE(data) {
      var i = 0;
      var len = data && data.length;
      var pos = null;
      var b1, b2;
      if (len < 2) {
        if (data[0] > 255) {
          return false;
        }
      } else {
        b1 = data[0];
        b2 = data[1];
        if (b1 === 254 && // BOM
        b2 === 255) {
          return true;
        }
        for (; i < len; i++) {
          if (data[i] === 0) {
            pos = i;
            break;
          } else if (data[i] > 255) {
            return false;
          }
        }
        if (pos === null) {
          return false;
        }
        if (pos % 2 === 0) {
          return true;
        }
      }
      return false;
    }
    exports.isUTF16BE = isUTF16BE;
    function isUTF16LE(data) {
      var i = 0;
      var len = data && data.length;
      var pos = null;
      var b1, b2;
      if (len < 2) {
        if (data[0] > 255) {
          return false;
        }
      } else {
        b1 = data[0];
        b2 = data[1];
        if (b1 === 255 && // BOM
        b2 === 254) {
          return true;
        }
        for (; i < len; i++) {
          if (data[i] === 0) {
            pos = i;
            break;
          } else if (data[i] > 255) {
            return false;
          }
        }
        if (pos === null) {
          return false;
        }
        if (pos % 2 !== 0) {
          return true;
        }
      }
      return false;
    }
    exports.isUTF16LE = isUTF16LE;
    function isUTF32(data) {
      var i = 0;
      var len = data && data.length;
      var pos = null;
      var b1, b2, b3, b4;
      var next, prev;
      if (len < 4) {
        for (; i < len; i++) {
          if (data[i] > 255) {
            return false;
          }
        }
      } else {
        b1 = data[0];
        b2 = data[1];
        b3 = data[2];
        b4 = data[3];
        if (b1 === 0 && b2 === 0 && // BOM (big-endian)
        b3 === 254 && b4 === 255) {
          return true;
        }
        if (b1 === 255 && b2 === 254 && // BOM (little-endian)
        b3 === 0 && b4 === 0) {
          return true;
        }
        for (; i < len; i++) {
          if (data[i] === 0 && data[i + 1] === 0 && data[i + 2] === 0) {
            pos = i;
            break;
          } else if (data[i] > 255) {
            return false;
          }
        }
        if (pos === null) {
          return false;
        }
        next = data[pos + 3];
        if (next !== void 0 && next > 0 && next <= 127) {
          return data[pos + 2] === 0 && data[pos + 1] === 0;
        }
        prev = data[pos - 1];
        if (prev !== void 0 && prev > 0 && prev <= 127) {
          return data[pos + 1] === 0 && data[pos + 2] === 0;
        }
      }
      return false;
    }
    exports.isUTF32 = isUTF32;
    function isUNICODE(data) {
      var i = 0;
      var len = data && data.length;
      var c;
      for (; i < len; i++) {
        c = data[i];
        if (c < 0 || c > 1114111) {
          return false;
        }
      }
      return true;
    }
    exports.isUNICODE = isUNICODE;
  }
});

// ../../../node_modules/encoding-japanese/src/encoding-convert.js
var require_encoding_convert = __commonJS({
  "../../../node_modules/encoding-japanese/src/encoding-convert.js"(exports) {
    "use strict";
    var config = require_config();
    var util = require_util();
    var EncodingDetect = require_encoding_detect();
    var EncodingTable = require_encoding_table();
    function JISToSJIS(data) {
      var results = [];
      var index = 0;
      var i = 0;
      var len = data && data.length;
      var b1, b2;
      for (; i < len; i++) {
        while (data[i] === 27) {
          if (data[i + 1] === 36 && data[i + 2] === 66 || data[i + 1] === 36 && data[i + 2] === 64) {
            index = 1;
          } else if (data[i + 1] === 40 && data[i + 2] === 73) {
            index = 2;
          } else if (data[i + 1] === 36 && data[i + 2] === 40 && data[i + 3] === 68) {
            index = 3;
            i++;
          } else {
            index = 0;
          }
          i += 3;
          if (data[i] === void 0) {
            return results;
          }
        }
        if (index === 1) {
          b1 = data[i];
          b2 = data[++i];
          if (b1 & 1) {
            b1 >>= 1;
            if (b1 < 47) {
              b1 += 113;
            } else {
              b1 -= 79;
            }
            if (b2 > 95) {
              b2 += 32;
            } else {
              b2 += 31;
            }
          } else {
            b1 >>= 1;
            if (b1 <= 47) {
              b1 += 112;
            } else {
              b1 -= 80;
            }
            b2 += 126;
          }
          results[results.length] = b1 & 255;
          results[results.length] = b2 & 255;
        } else if (index === 2) {
          results[results.length] = data[i] + 128 & 255;
        } else if (index === 3) {
          results[results.length] = config.FALLBACK_CHARACTER;
        } else {
          results[results.length] = data[i] & 255;
        }
      }
      return results;
    }
    exports.JISToSJIS = JISToSJIS;
    function JISToEUCJP(data) {
      var results = [];
      var index = 0;
      var len = data && data.length;
      var i = 0;
      for (; i < len; i++) {
        while (data[i] === 27) {
          if (data[i + 1] === 36 && data[i + 2] === 66 || data[i + 1] === 36 && data[i + 2] === 64) {
            index = 1;
          } else if (data[i + 1] === 40 && data[i + 2] === 73) {
            index = 2;
          } else if (data[i + 1] === 36 && data[i + 2] === 40 && data[i + 3] === 68) {
            index = 3;
            i++;
          } else {
            index = 0;
          }
          i += 3;
          if (data[i] === void 0) {
            return results;
          }
        }
        if (index === 1) {
          results[results.length] = data[i] + 128 & 255;
          results[results.length] = data[++i] + 128 & 255;
        } else if (index === 2) {
          results[results.length] = 142;
          results[results.length] = data[i] + 128 & 255;
        } else if (index === 3) {
          results[results.length] = 143;
          results[results.length] = data[i] + 128 & 255;
          results[results.length] = data[++i] + 128 & 255;
        } else {
          results[results.length] = data[i] & 255;
        }
      }
      return results;
    }
    exports.JISToEUCJP = JISToEUCJP;
    function SJISToJIS(data) {
      var results = [];
      var index = 0;
      var len = data && data.length;
      var i = 0;
      var b1, b2;
      var esc = [
        27,
        40,
        66,
        27,
        36,
        66,
        27,
        40,
        73
      ];
      for (; i < len; i++) {
        b1 = data[i];
        if (b1 >= 161 && b1 <= 223) {
          if (index !== 2) {
            index = 2;
            results[results.length] = esc[6];
            results[results.length] = esc[7];
            results[results.length] = esc[8];
          }
          results[results.length] = b1 - 128 & 255;
        } else if (b1 >= 128) {
          if (index !== 1) {
            index = 1;
            results[results.length] = esc[3];
            results[results.length] = esc[4];
            results[results.length] = esc[5];
          }
          b1 <<= 1;
          b2 = data[++i];
          if (b2 < 159) {
            if (b1 < 319) {
              b1 -= 225;
            } else {
              b1 -= 97;
            }
            if (b2 > 126) {
              b2 -= 32;
            } else {
              b2 -= 31;
            }
          } else {
            if (b1 < 319) {
              b1 -= 224;
            } else {
              b1 -= 96;
            }
            b2 -= 126;
          }
          results[results.length] = b1 & 255;
          results[results.length] = b2 & 255;
        } else {
          if (index !== 0) {
            index = 0;
            results[results.length] = esc[0];
            results[results.length] = esc[1];
            results[results.length] = esc[2];
          }
          results[results.length] = b1 & 255;
        }
      }
      if (index !== 0) {
        results[results.length] = esc[0];
        results[results.length] = esc[1];
        results[results.length] = esc[2];
      }
      return results;
    }
    exports.SJISToJIS = SJISToJIS;
    function SJISToEUCJP(data) {
      var results = [];
      var len = data && data.length;
      var i = 0;
      var b1, b2;
      for (; i < len; i++) {
        b1 = data[i];
        if (b1 >= 161 && b1 <= 223) {
          results[results.length] = 142;
          results[results.length] = b1;
        } else if (b1 >= 129) {
          b2 = data[++i];
          b1 <<= 1;
          if (b2 < 159) {
            if (b1 < 319) {
              b1 -= 97;
            } else {
              b1 -= 225;
            }
            if (b2 > 126) {
              b2 += 96;
            } else {
              b2 += 97;
            }
          } else {
            if (b1 < 319) {
              b1 -= 96;
            } else {
              b1 -= 224;
            }
            b2 += 2;
          }
          results[results.length] = b1 & 255;
          results[results.length] = b2 & 255;
        } else {
          results[results.length] = b1 & 255;
        }
      }
      return results;
    }
    exports.SJISToEUCJP = SJISToEUCJP;
    function EUCJPToJIS(data) {
      var results = [];
      var index = 0;
      var len = data && data.length;
      var i = 0;
      var b;
      var esc = [
        27,
        40,
        66,
        27,
        36,
        66,
        27,
        40,
        73,
        27,
        36,
        40,
        68
      ];
      for (; i < len; i++) {
        b = data[i];
        if (b === 142) {
          if (index !== 2) {
            index = 2;
            results[results.length] = esc[6];
            results[results.length] = esc[7];
            results[results.length] = esc[8];
          }
          results[results.length] = data[++i] - 128 & 255;
        } else if (b === 143) {
          if (index !== 3) {
            index = 3;
            results[results.length] = esc[9];
            results[results.length] = esc[10];
            results[results.length] = esc[11];
            results[results.length] = esc[12];
          }
          results[results.length] = data[++i] - 128 & 255;
          results[results.length] = data[++i] - 128 & 255;
        } else if (b > 142) {
          if (index !== 1) {
            index = 1;
            results[results.length] = esc[3];
            results[results.length] = esc[4];
            results[results.length] = esc[5];
          }
          results[results.length] = b - 128 & 255;
          results[results.length] = data[++i] - 128 & 255;
        } else {
          if (index !== 0) {
            index = 0;
            results[results.length] = esc[0];
            results[results.length] = esc[1];
            results[results.length] = esc[2];
          }
          results[results.length] = b & 255;
        }
      }
      if (index !== 0) {
        results[results.length] = esc[0];
        results[results.length] = esc[1];
        results[results.length] = esc[2];
      }
      return results;
    }
    exports.EUCJPToJIS = EUCJPToJIS;
    function EUCJPToSJIS(data) {
      var results = [];
      var len = data && data.length;
      var i = 0;
      var b1, b2;
      for (; i < len; i++) {
        b1 = data[i];
        if (b1 === 143) {
          results[results.length] = config.FALLBACK_CHARACTER;
          i += 2;
        } else if (b1 > 142) {
          b2 = data[++i];
          if (b1 & 1) {
            b1 >>= 1;
            if (b1 < 111) {
              b1 += 49;
            } else {
              b1 += 113;
            }
            if (b2 > 223) {
              b2 -= 96;
            } else {
              b2 -= 97;
            }
          } else {
            b1 >>= 1;
            if (b1 <= 111) {
              b1 += 48;
            } else {
              b1 += 112;
            }
            b2 -= 2;
          }
          results[results.length] = b1 & 255;
          results[results.length] = b2 & 255;
        } else if (b1 === 142) {
          results[results.length] = data[++i] & 255;
        } else {
          results[results.length] = b1 & 255;
        }
      }
      return results;
    }
    exports.EUCJPToSJIS = EUCJPToSJIS;
    function SJISToUTF8(data) {
      config.init_JIS_TO_UTF8_TABLE();
      var results = [];
      var i = 0;
      var len = data && data.length;
      var b, b1, b2, u2, u3, jis, utf8;
      for (; i < len; i++) {
        b = data[i];
        if (b >= 161 && b <= 223) {
          b2 = b - 64;
          u2 = 188 | b2 >> 6 & 3;
          u3 = 128 | b2 & 63;
          results[results.length] = 239;
          results[results.length] = u2 & 255;
          results[results.length] = u3 & 255;
        } else if (b >= 128) {
          b1 = b << 1;
          b2 = data[++i];
          if (b2 < 159) {
            if (b1 < 319) {
              b1 -= 225;
            } else {
              b1 -= 97;
            }
            if (b2 > 126) {
              b2 -= 32;
            } else {
              b2 -= 31;
            }
          } else {
            if (b1 < 319) {
              b1 -= 224;
            } else {
              b1 -= 96;
            }
            b2 -= 126;
          }
          b1 &= 255;
          jis = (b1 << 8) + b2;
          utf8 = EncodingTable.JIS_TO_UTF8_TABLE[jis];
          if (utf8 === void 0) {
            results[results.length] = config.FALLBACK_CHARACTER;
          } else {
            if (utf8 < 65535) {
              results[results.length] = utf8 >> 8 & 255;
              results[results.length] = utf8 & 255;
            } else {
              results[results.length] = utf8 >> 16 & 255;
              results[results.length] = utf8 >> 8 & 255;
              results[results.length] = utf8 & 255;
            }
          }
        } else {
          results[results.length] = data[i] & 255;
        }
      }
      return results;
    }
    exports.SJISToUTF8 = SJISToUTF8;
    function EUCJPToUTF8(data) {
      config.init_JIS_TO_UTF8_TABLE();
      var results = [];
      var i = 0;
      var len = data && data.length;
      var b, b2, u2, u3, j2, j3, jis, utf8;
      for (; i < len; i++) {
        b = data[i];
        if (b === 142) {
          b2 = data[++i] - 64;
          u2 = 188 | b2 >> 6 & 3;
          u3 = 128 | b2 & 63;
          results[results.length] = 239;
          results[results.length] = u2 & 255;
          results[results.length] = u3 & 255;
        } else if (b === 143) {
          j2 = data[++i] - 128;
          j3 = data[++i] - 128;
          jis = (j2 << 8) + j3;
          utf8 = EncodingTable.JISX0212_TO_UTF8_TABLE[jis];
          if (utf8 === void 0) {
            results[results.length] = config.FALLBACK_CHARACTER;
          } else {
            if (utf8 < 65535) {
              results[results.length] = utf8 >> 8 & 255;
              results[results.length] = utf8 & 255;
            } else {
              results[results.length] = utf8 >> 16 & 255;
              results[results.length] = utf8 >> 8 & 255;
              results[results.length] = utf8 & 255;
            }
          }
        } else if (b >= 128) {
          jis = (b - 128 << 8) + (data[++i] - 128);
          utf8 = EncodingTable.JIS_TO_UTF8_TABLE[jis];
          if (utf8 === void 0) {
            results[results.length] = config.FALLBACK_CHARACTER;
          } else {
            if (utf8 < 65535) {
              results[results.length] = utf8 >> 8 & 255;
              results[results.length] = utf8 & 255;
            } else {
              results[results.length] = utf8 >> 16 & 255;
              results[results.length] = utf8 >> 8 & 255;
              results[results.length] = utf8 & 255;
            }
          }
        } else {
          results[results.length] = data[i] & 255;
        }
      }
      return results;
    }
    exports.EUCJPToUTF8 = EUCJPToUTF8;
    function JISToUTF8(data) {
      config.init_JIS_TO_UTF8_TABLE();
      var results = [];
      var index = 0;
      var i = 0;
      var len = data && data.length;
      var b2, u2, u3, jis, utf8;
      for (; i < len; i++) {
        while (data[i] === 27) {
          if (data[i + 1] === 36 && data[i + 2] === 66 || data[i + 1] === 36 && data[i + 2] === 64) {
            index = 1;
          } else if (data[i + 1] === 40 && data[i + 2] === 73) {
            index = 2;
          } else if (data[i + 1] === 36 && data[i + 2] === 40 && data[i + 3] === 68) {
            index = 3;
            i++;
          } else {
            index = 0;
          }
          i += 3;
          if (data[i] === void 0) {
            return results;
          }
        }
        if (index === 1) {
          jis = (data[i] << 8) + data[++i];
          utf8 = EncodingTable.JIS_TO_UTF8_TABLE[jis];
          if (utf8 === void 0) {
            results[results.length] = config.FALLBACK_CHARACTER;
          } else {
            if (utf8 < 65535) {
              results[results.length] = utf8 >> 8 & 255;
              results[results.length] = utf8 & 255;
            } else {
              results[results.length] = utf8 >> 16 & 255;
              results[results.length] = utf8 >> 8 & 255;
              results[results.length] = utf8 & 255;
            }
          }
        } else if (index === 2) {
          b2 = data[i] + 64;
          u2 = 188 | b2 >> 6 & 3;
          u3 = 128 | b2 & 63;
          results[results.length] = 239;
          results[results.length] = u2 & 255;
          results[results.length] = u3 & 255;
        } else if (index === 3) {
          jis = (data[i] << 8) + data[++i];
          utf8 = EncodingTable.JISX0212_TO_UTF8_TABLE[jis];
          if (utf8 === void 0) {
            results[results.length] = config.FALLBACK_CHARACTER;
          } else {
            if (utf8 < 65535) {
              results[results.length] = utf8 >> 8 & 255;
              results[results.length] = utf8 & 255;
            } else {
              results[results.length] = utf8 >> 16 & 255;
              results[results.length] = utf8 >> 8 & 255;
              results[results.length] = utf8 & 255;
            }
          }
        } else {
          results[results.length] = data[i] & 255;
        }
      }
      return results;
    }
    exports.JISToUTF8 = JISToUTF8;
    function UTF8ToSJIS(data, options) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var b, b1, b2, bytes, utf8, jis;
      var fallbackOption = options && options.fallback;
      for (; i < len; i++) {
        b = data[i];
        if (b >= 128) {
          if (b <= 223) {
            bytes = [b, data[i + 1]];
            utf8 = (b << 8) + data[++i];
          } else if (b <= 239) {
            bytes = [b, data[i + 1], data[i + 2]];
            utf8 = (b << 16) + (data[++i] << 8) + (data[++i] & 255);
          } else {
            bytes = [b, data[i + 1], data[i + 2], data[i + 3]];
            utf8 = (b << 24) + (data[++i] << 16) + (data[++i] << 8) + (data[++i] & 255);
          }
          jis = EncodingTable.UTF8_TO_JIS_TABLE[utf8];
          if (jis == null) {
            if (fallbackOption) {
              handleFallback(results, bytes, fallbackOption);
            } else {
              results[results.length] = config.FALLBACK_CHARACTER;
            }
          } else {
            if (jis < 255) {
              results[results.length] = jis + 128;
            } else {
              if (jis > 65536) {
                jis -= 65536;
              }
              b1 = jis >> 8;
              b2 = jis & 255;
              if (b1 & 1) {
                b1 >>= 1;
                if (b1 < 47) {
                  b1 += 113;
                } else {
                  b1 -= 79;
                }
                if (b2 > 95) {
                  b2 += 32;
                } else {
                  b2 += 31;
                }
              } else {
                b1 >>= 1;
                if (b1 <= 47) {
                  b1 += 112;
                } else {
                  b1 -= 80;
                }
                b2 += 126;
              }
              results[results.length] = b1 & 255;
              results[results.length] = b2 & 255;
            }
          }
        } else {
          results[results.length] = data[i] & 255;
        }
      }
      return results;
    }
    exports.UTF8ToSJIS = UTF8ToSJIS;
    function UTF8ToEUCJP(data, options) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var b, bytes, utf8, jis;
      var fallbackOption = options && options.fallback;
      for (; i < len; i++) {
        b = data[i];
        if (b >= 128) {
          if (b <= 223) {
            bytes = [b, data[i + 1]];
            utf8 = (b << 8) + data[++i];
          } else if (b <= 239) {
            bytes = [b, data[i + 1], data[i + 2]];
            utf8 = (b << 16) + (data[++i] << 8) + (data[++i] & 255);
          } else {
            bytes = [b, data[i + 1], data[i + 2], data[i + 3]];
            utf8 = (b << 24) + (data[++i] << 16) + (data[++i] << 8) + (data[++i] & 255);
          }
          jis = EncodingTable.UTF8_TO_JIS_TABLE[utf8];
          if (jis == null) {
            jis = EncodingTable.UTF8_TO_JISX0212_TABLE[utf8];
            if (jis == null) {
              if (fallbackOption) {
                handleFallback(results, bytes, fallbackOption);
              } else {
                results[results.length] = config.FALLBACK_CHARACTER;
              }
            } else {
              results[results.length] = 143;
              results[results.length] = (jis >> 8) - 128 & 255;
              results[results.length] = (jis & 255) - 128 & 255;
            }
          } else {
            if (jis > 65536) {
              jis -= 65536;
            }
            if (jis < 255) {
              results[results.length] = 142;
              results[results.length] = jis - 128 & 255;
            } else {
              results[results.length] = (jis >> 8) - 128 & 255;
              results[results.length] = (jis & 255) - 128 & 255;
            }
          }
        } else {
          results[results.length] = data[i] & 255;
        }
      }
      return results;
    }
    exports.UTF8ToEUCJP = UTF8ToEUCJP;
    function UTF8ToJIS(data, options) {
      var results = [];
      var index = 0;
      var len = data && data.length;
      var i = 0;
      var b, bytes, utf8, jis;
      var fallbackOption = options && options.fallback;
      var esc = [
        27,
        40,
        66,
        27,
        36,
        66,
        27,
        40,
        73,
        27,
        36,
        40,
        68
      ];
      for (; i < len; i++) {
        b = data[i];
        if (b < 128) {
          if (index !== 0) {
            index = 0;
            results[results.length] = esc[0];
            results[results.length] = esc[1];
            results[results.length] = esc[2];
          }
          results[results.length] = b & 255;
        } else {
          if (b <= 223) {
            bytes = [b, data[i + 1]];
            utf8 = (b << 8) + data[++i];
          } else if (b <= 239) {
            bytes = [b, data[i + 1], data[i + 2]];
            utf8 = (b << 16) + (data[++i] << 8) + (data[++i] & 255);
          } else {
            bytes = [b, data[i + 1], data[i + 2], data[i + 3]];
            utf8 = (b << 24) + (data[++i] << 16) + (data[++i] << 8) + (data[++i] & 255);
          }
          jis = EncodingTable.UTF8_TO_JIS_TABLE[utf8];
          if (jis == null) {
            jis = EncodingTable.UTF8_TO_JISX0212_TABLE[utf8];
            if (jis == null) {
              if (index !== 0) {
                index = 0;
                results[results.length] = esc[0];
                results[results.length] = esc[1];
                results[results.length] = esc[2];
              }
              if (fallbackOption) {
                handleFallback(results, bytes, fallbackOption);
              } else {
                results[results.length] = config.FALLBACK_CHARACTER;
              }
            } else {
              if (index !== 3) {
                index = 3;
                results[results.length] = esc[9];
                results[results.length] = esc[10];
                results[results.length] = esc[11];
                results[results.length] = esc[12];
              }
              results[results.length] = jis >> 8 & 255;
              results[results.length] = jis & 255;
            }
          } else {
            if (jis > 65536) {
              jis -= 65536;
            }
            if (jis < 255) {
              if (index !== 2) {
                index = 2;
                results[results.length] = esc[6];
                results[results.length] = esc[7];
                results[results.length] = esc[8];
              }
              results[results.length] = jis & 255;
            } else {
              if (index !== 1) {
                index = 1;
                results[results.length] = esc[3];
                results[results.length] = esc[4];
                results[results.length] = esc[5];
              }
              results[results.length] = jis >> 8 & 255;
              results[results.length] = jis & 255;
            }
          }
        }
      }
      if (index !== 0) {
        results[results.length] = esc[0];
        results[results.length] = esc[1];
        results[results.length] = esc[2];
      }
      return results;
    }
    exports.UTF8ToJIS = UTF8ToJIS;
    function UNICODEToUTF8(data) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var c, second;
      for (; i < len; i++) {
        c = data[i];
        if (c >= 55296 && c <= 56319 && i + 1 < len) {
          second = data[i + 1];
          if (second >= 56320 && second <= 57343) {
            c = (c - 55296) * 1024 + second - 56320 + 65536;
            i++;
          }
        }
        if (c < 128) {
          results[results.length] = c;
        } else if (c < 2048) {
          results[results.length] = 192 | c >> 6 & 31;
          results[results.length] = 128 | c & 63;
        } else if (c < 65536) {
          results[results.length] = 224 | c >> 12 & 15;
          results[results.length] = 128 | c >> 6 & 63;
          results[results.length] = 128 | c & 63;
        } else if (c < 2097152) {
          results[results.length] = 240 | c >> 18 & 15;
          results[results.length] = 128 | c >> 12 & 63;
          results[results.length] = 128 | c >> 6 & 63;
          results[results.length] = 128 | c & 63;
        }
      }
      return results;
    }
    exports.UNICODEToUTF8 = UNICODEToUTF8;
    function UTF8ToUNICODE(data, options) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var n, c, c2, c3, c4, code;
      var ignoreSurrogatePair = options && options.ignoreSurrogatePair;
      while (i < len) {
        c = data[i++];
        n = c >> 4;
        if (n >= 0 && n <= 7) {
          code = c;
        } else if (n === 12 || n === 13) {
          c2 = data[i++];
          code = (c & 31) << 6 | c2 & 63;
        } else if (n === 14) {
          c2 = data[i++];
          c3 = data[i++];
          code = (c & 15) << 12 | (c2 & 63) << 6 | c3 & 63;
        } else if (n === 15) {
          c2 = data[i++];
          c3 = data[i++];
          c4 = data[i++];
          code = (c & 7) << 18 | (c2 & 63) << 12 | (c3 & 63) << 6 | c4 & 63;
        }
        if (code <= 65535 || ignoreSurrogatePair) {
          results[results.length] = code;
        } else {
          code -= 65536;
          results[results.length] = (code >> 10) + 55296;
          results[results.length] = code % 1024 + 56320;
        }
      }
      return results;
    }
    exports.UTF8ToUNICODE = UTF8ToUNICODE;
    function UNICODEToUTF16(data, options) {
      var results;
      if (options && options.bom) {
        var optBom = options.bom;
        if (!util.isString(optBom)) {
          optBom = "BE";
        }
        var bom, utf16;
        if (optBom.charAt(0).toUpperCase() === "B") {
          bom = [254, 255];
          utf16 = UNICODEToUTF16BE(data);
        } else {
          bom = [255, 254];
          utf16 = UNICODEToUTF16LE(data);
        }
        results = [];
        results[0] = bom[0];
        results[1] = bom[1];
        for (var i = 0, len = utf16.length; i < len; i++) {
          results[results.length] = utf16[i];
        }
      } else {
        results = UNICODEToUTF16BE(data);
      }
      return results;
    }
    exports.UNICODEToUTF16 = UNICODEToUTF16;
    function UNICODEToUTF16BE(data) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var c;
      while (i < len) {
        c = data[i++];
        if (c <= 255) {
          results[results.length] = 0;
          results[results.length] = c;
        } else if (c <= 65535) {
          results[results.length] = c >> 8 & 255;
          results[results.length] = c & 255;
        }
      }
      return results;
    }
    exports.UNICODEToUTF16BE = UNICODEToUTF16BE;
    function UNICODEToUTF16LE(data) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var c;
      while (i < len) {
        c = data[i++];
        if (c <= 255) {
          results[results.length] = c;
          results[results.length] = 0;
        } else if (c <= 65535) {
          results[results.length] = c & 255;
          results[results.length] = c >> 8 & 255;
        }
      }
      return results;
    }
    exports.UNICODEToUTF16LE = UNICODEToUTF16LE;
    function UTF16BEToUNICODE(data) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var c1, c2;
      if (len >= 2 && (data[0] === 254 && data[1] === 255 || data[0] === 255 && data[1] === 254)) {
        i = 2;
      }
      while (i < len) {
        c1 = data[i++];
        c2 = data[i++];
        if (c1 === 0) {
          results[results.length] = c2;
        } else {
          results[results.length] = (c1 & 255) << 8 | c2 & 255;
        }
      }
      return results;
    }
    exports.UTF16BEToUNICODE = UTF16BEToUNICODE;
    function UTF16LEToUNICODE(data) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var c1, c2;
      if (len >= 2 && (data[0] === 254 && data[1] === 255 || data[0] === 255 && data[1] === 254)) {
        i = 2;
      }
      while (i < len) {
        c1 = data[i++];
        c2 = data[i++];
        if (c2 === 0) {
          results[results.length] = c1;
        } else {
          results[results.length] = (c2 & 255) << 8 | c1 & 255;
        }
      }
      return results;
    }
    exports.UTF16LEToUNICODE = UTF16LEToUNICODE;
    function UTF16ToUNICODE(data) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var isLE = false;
      var first = true;
      var c1, c2;
      while (i < len) {
        c1 = data[i++];
        c2 = data[i++];
        if (first && i === 2) {
          first = false;
          if (c1 === 254 && c2 === 255) {
            isLE = false;
          } else if (c1 === 255 && c2 === 254) {
            isLE = true;
          } else {
            isLE = EncodingDetect.isUTF16LE(data);
            i = 0;
          }
          continue;
        }
        if (isLE) {
          if (c2 === 0) {
            results[results.length] = c1;
          } else {
            results[results.length] = (c2 & 255) << 8 | c1 & 255;
          }
        } else {
          if (c1 === 0) {
            results[results.length] = c2;
          } else {
            results[results.length] = (c1 & 255) << 8 | c2 & 255;
          }
        }
      }
      return results;
    }
    exports.UTF16ToUNICODE = UTF16ToUNICODE;
    function UTF16ToUTF16BE(data) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var isLE = false;
      var first = true;
      var c1, c2;
      while (i < len) {
        c1 = data[i++];
        c2 = data[i++];
        if (first && i === 2) {
          first = false;
          if (c1 === 254 && c2 === 255) {
            isLE = false;
          } else if (c1 === 255 && c2 === 254) {
            isLE = true;
          } else {
            isLE = EncodingDetect.isUTF16LE(data);
            i = 0;
          }
          continue;
        }
        if (isLE) {
          results[results.length] = c2;
          results[results.length] = c1;
        } else {
          results[results.length] = c1;
          results[results.length] = c2;
        }
      }
      return results;
    }
    exports.UTF16ToUTF16BE = UTF16ToUTF16BE;
    function UTF16BEToUTF16(data, options) {
      var isLE = false;
      var bom;
      if (options && options.bom) {
        var optBom = options.bom;
        if (!util.isString(optBom)) {
          optBom = "BE";
        }
        if (optBom.charAt(0).toUpperCase() === "B") {
          bom = [254, 255];
        } else {
          bom = [255, 254];
          isLE = true;
        }
      }
      var results = [];
      var len = data && data.length;
      var i = 0;
      if (len >= 2 && (data[0] === 254 && data[1] === 255 || data[0] === 255 && data[1] === 254)) {
        i = 2;
      }
      if (bom) {
        results[0] = bom[0];
        results[1] = bom[1];
      }
      var c1, c2;
      while (i < len) {
        c1 = data[i++];
        c2 = data[i++];
        if (isLE) {
          results[results.length] = c2;
          results[results.length] = c1;
        } else {
          results[results.length] = c1;
          results[results.length] = c2;
        }
      }
      return results;
    }
    exports.UTF16BEToUTF16 = UTF16BEToUTF16;
    function UTF16ToUTF16LE(data) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var isLE = false;
      var first = true;
      var c1, c2;
      while (i < len) {
        c1 = data[i++];
        c2 = data[i++];
        if (first && i === 2) {
          first = false;
          if (c1 === 254 && c2 === 255) {
            isLE = false;
          } else if (c1 === 255 && c2 === 254) {
            isLE = true;
          } else {
            isLE = EncodingDetect.isUTF16LE(data);
            i = 0;
          }
          continue;
        }
        if (isLE) {
          results[results.length] = c1;
          results[results.length] = c2;
        } else {
          results[results.length] = c2;
          results[results.length] = c1;
        }
      }
      return results;
    }
    exports.UTF16ToUTF16LE = UTF16ToUTF16LE;
    function UTF16LEToUTF16(data, options) {
      var isLE = false;
      var bom;
      if (options && options.bom) {
        var optBom = options.bom;
        if (!util.isString(optBom)) {
          optBom = "BE";
        }
        if (optBom.charAt(0).toUpperCase() === "B") {
          bom = [254, 255];
        } else {
          bom = [255, 254];
          isLE = true;
        }
      }
      var results = [];
      var len = data && data.length;
      var i = 0;
      if (len >= 2 && (data[0] === 254 && data[1] === 255 || data[0] === 255 && data[1] === 254)) {
        i = 2;
      }
      if (bom) {
        results[0] = bom[0];
        results[1] = bom[1];
      }
      var c1, c2;
      while (i < len) {
        c1 = data[i++];
        c2 = data[i++];
        if (isLE) {
          results[results.length] = c1;
          results[results.length] = c2;
        } else {
          results[results.length] = c2;
          results[results.length] = c1;
        }
      }
      return results;
    }
    exports.UTF16LEToUTF16 = UTF16LEToUTF16;
    function UTF16BEToUTF16LE(data) {
      var results = [];
      var i = 0;
      var len = data && data.length;
      var c1, c2;
      if (len >= 2 && (data[0] === 254 && data[1] === 255 || data[0] === 255 && data[1] === 254)) {
        i = 2;
      }
      while (i < len) {
        c1 = data[i++];
        c2 = data[i++];
        results[results.length] = c2;
        results[results.length] = c1;
      }
      return results;
    }
    exports.UTF16BEToUTF16LE = UTF16BEToUTF16LE;
    function UTF16LEToUTF16BE(data) {
      return UTF16BEToUTF16LE(data);
    }
    exports.UTF16LEToUTF16BE = UTF16LEToUTF16BE;
    function UNICODEToJIS(data, options) {
      return UTF8ToJIS(UNICODEToUTF8(data), options);
    }
    exports.UNICODEToJIS = UNICODEToJIS;
    function JISToUNICODE(data) {
      return UTF8ToUNICODE(JISToUTF8(data));
    }
    exports.JISToUNICODE = JISToUNICODE;
    function UNICODEToEUCJP(data, options) {
      return UTF8ToEUCJP(UNICODEToUTF8(data), options);
    }
    exports.UNICODEToEUCJP = UNICODEToEUCJP;
    function EUCJPToUNICODE(data) {
      return UTF8ToUNICODE(EUCJPToUTF8(data));
    }
    exports.EUCJPToUNICODE = EUCJPToUNICODE;
    function UNICODEToSJIS(data, options) {
      return UTF8ToSJIS(UNICODEToUTF8(data), options);
    }
    exports.UNICODEToSJIS = UNICODEToSJIS;
    function SJISToUNICODE(data) {
      return UTF8ToUNICODE(SJISToUTF8(data));
    }
    exports.SJISToUNICODE = SJISToUNICODE;
    function UTF8ToUTF16(data, options) {
      return UNICODEToUTF16(UTF8ToUNICODE(data), options);
    }
    exports.UTF8ToUTF16 = UTF8ToUTF16;
    function UTF16ToUTF8(data) {
      return UNICODEToUTF8(UTF16ToUNICODE(data));
    }
    exports.UTF16ToUTF8 = UTF16ToUTF8;
    function UTF8ToUTF16BE(data) {
      return UNICODEToUTF16BE(UTF8ToUNICODE(data));
    }
    exports.UTF8ToUTF16BE = UTF8ToUTF16BE;
    function UTF16BEToUTF8(data) {
      return UNICODEToUTF8(UTF16BEToUNICODE(data));
    }
    exports.UTF16BEToUTF8 = UTF16BEToUTF8;
    function UTF8ToUTF16LE(data) {
      return UNICODEToUTF16LE(UTF8ToUNICODE(data));
    }
    exports.UTF8ToUTF16LE = UTF8ToUTF16LE;
    function UTF16LEToUTF8(data) {
      return UNICODEToUTF8(UTF16LEToUNICODE(data));
    }
    exports.UTF16LEToUTF8 = UTF16LEToUTF8;
    function JISToUTF16(data, options) {
      return UTF8ToUTF16(JISToUTF8(data), options);
    }
    exports.JISToUTF16 = JISToUTF16;
    function UTF16ToJIS(data, options) {
      return UTF8ToJIS(UTF16ToUTF8(data), options);
    }
    exports.UTF16ToJIS = UTF16ToJIS;
    function JISToUTF16BE(data) {
      return UTF8ToUTF16BE(JISToUTF8(data));
    }
    exports.JISToUTF16BE = JISToUTF16BE;
    function UTF16BEToJIS(data, options) {
      return UTF8ToJIS(UTF16BEToUTF8(data), options);
    }
    exports.UTF16BEToJIS = UTF16BEToJIS;
    function JISToUTF16LE(data) {
      return UTF8ToUTF16LE(JISToUTF8(data));
    }
    exports.JISToUTF16LE = JISToUTF16LE;
    function UTF16LEToJIS(data, options) {
      return UTF8ToJIS(UTF16LEToUTF8(data), options);
    }
    exports.UTF16LEToJIS = UTF16LEToJIS;
    function EUCJPToUTF16(data, options) {
      return UTF8ToUTF16(EUCJPToUTF8(data), options);
    }
    exports.EUCJPToUTF16 = EUCJPToUTF16;
    function UTF16ToEUCJP(data, options) {
      return UTF8ToEUCJP(UTF16ToUTF8(data), options);
    }
    exports.UTF16ToEUCJP = UTF16ToEUCJP;
    function EUCJPToUTF16BE(data) {
      return UTF8ToUTF16BE(EUCJPToUTF8(data));
    }
    exports.EUCJPToUTF16BE = EUCJPToUTF16BE;
    function UTF16BEToEUCJP(data, options) {
      return UTF8ToEUCJP(UTF16BEToUTF8(data), options);
    }
    exports.UTF16BEToEUCJP = UTF16BEToEUCJP;
    function EUCJPToUTF16LE(data) {
      return UTF8ToUTF16LE(EUCJPToUTF8(data));
    }
    exports.EUCJPToUTF16LE = EUCJPToUTF16LE;
    function UTF16LEToEUCJP(data, options) {
      return UTF8ToEUCJP(UTF16LEToUTF8(data), options);
    }
    exports.UTF16LEToEUCJP = UTF16LEToEUCJP;
    function SJISToUTF16(data, options) {
      return UTF8ToUTF16(SJISToUTF8(data), options);
    }
    exports.SJISToUTF16 = SJISToUTF16;
    function UTF16ToSJIS(data, options) {
      return UTF8ToSJIS(UTF16ToUTF8(data), options);
    }
    exports.UTF16ToSJIS = UTF16ToSJIS;
    function SJISToUTF16BE(data) {
      return UTF8ToUTF16BE(SJISToUTF8(data));
    }
    exports.SJISToUTF16BE = SJISToUTF16BE;
    function UTF16BEToSJIS(data, options) {
      return UTF8ToSJIS(UTF16BEToUTF8(data), options);
    }
    exports.UTF16BEToSJIS = UTF16BEToSJIS;
    function SJISToUTF16LE(data) {
      return UTF8ToUTF16LE(SJISToUTF8(data));
    }
    exports.SJISToUTF16LE = SJISToUTF16LE;
    function UTF16LEToSJIS(data, options) {
      return UTF8ToSJIS(UTF16LEToUTF8(data), options);
    }
    exports.UTF16LEToSJIS = UTF16LEToSJIS;
    function handleFallback(results, bytes, fallbackOption) {
      switch (fallbackOption) {
        case "html-entity":
        case "html-entity-hex":
          var unicode = UTF8ToUNICODE(bytes, { ignoreSurrogatePair: true })[0];
          if (unicode) {
            results[results.length] = 38;
            results[results.length] = 35;
            var radix = fallbackOption.slice(-3) === "hex" ? 16 : 10;
            if (radix === 16) {
              results[results.length] = 120;
            }
            var entity = unicode.toString(radix);
            for (var i = 0, len = entity.length; i < len; i++) {
              results[results.length] = entity.charCodeAt(i);
            }
            results[results.length] = 59;
          }
      }
    }
  }
});

// ../../../node_modules/encoding-japanese/src/kana-case-table.js
var require_kana_case_table = __commonJS({
  "../../../node_modules/encoding-japanese/src/kana-case-table.js"(exports) {
    "use strict";
    exports.HANKANA_TABLE = {
      12289: 65380,
      12290: 65377,
      12300: 65378,
      12301: 65379,
      12443: 65438,
      12444: 65439,
      12449: 65383,
      12450: 65393,
      12451: 65384,
      12452: 65394,
      12453: 65385,
      12454: 65395,
      12455: 65386,
      12456: 65396,
      12457: 65387,
      12458: 65397,
      12459: 65398,
      12461: 65399,
      12463: 65400,
      12465: 65401,
      12467: 65402,
      12469: 65403,
      12471: 65404,
      12473: 65405,
      12475: 65406,
      12477: 65407,
      12479: 65408,
      12481: 65409,
      12483: 65391,
      12484: 65410,
      12486: 65411,
      12488: 65412,
      12490: 65413,
      12491: 65414,
      12492: 65415,
      12493: 65416,
      12494: 65417,
      12495: 65418,
      12498: 65419,
      12501: 65420,
      12504: 65421,
      12507: 65422,
      12510: 65423,
      12511: 65424,
      12512: 65425,
      12513: 65426,
      12514: 65427,
      12515: 65388,
      12516: 65428,
      12517: 65389,
      12518: 65429,
      12519: 65390,
      12520: 65430,
      12521: 65431,
      12522: 65432,
      12523: 65433,
      12524: 65434,
      12525: 65435,
      12527: 65436,
      12530: 65382,
      12531: 65437,
      12539: 65381,
      12540: 65392
    };
    exports.HANKANA_SONANTS = {
      12532: 65395,
      12535: 65436,
      12538: 65382
    };
    exports.HANKANA_MARKS = [65438, 65439];
    exports.ZENKANA_TABLE = [
      12290,
      12300,
      12301,
      12289,
      12539,
      12530,
      12449,
      12451,
      12453,
      12455,
      12457,
      12515,
      12517,
      12519,
      12483,
      12540,
      12450,
      12452,
      12454,
      12456,
      12458,
      12459,
      12461,
      12463,
      12465,
      12467,
      12469,
      12471,
      12473,
      12475,
      12477,
      12479,
      12481,
      12484,
      12486,
      12488,
      12490,
      12491,
      12492,
      12493,
      12494,
      12495,
      12498,
      12501,
      12504,
      12507,
      12510,
      12511,
      12512,
      12513,
      12514,
      12516,
      12518,
      12520,
      12521,
      12522,
      12523,
      12524,
      12525,
      12527,
      12531,
      12443,
      12444
    ];
  }
});

// ../../../node_modules/encoding-japanese/package.json
var require_package = __commonJS({
  "../../../node_modules/encoding-japanese/package.json"(exports, module2) {
    module2.exports = {
      name: "encoding-japanese",
      version: "2.0.0",
      description: "Convert or detect character encoding in JavaScript",
      main: "src/index.js",
      files: [
        "encoding.js",
        "encoding.min.js",
        "encoding.min.js.map",
        "src/*"
      ],
      scripts: {
        build: "npm run compile && npm run minify",
        compile: "browserify src/index.js -o encoding.js -s Encoding -p [ bannerify --file src/banner.js ] --no-bundle-external --bare",
        minify: `uglifyjs encoding.js -o encoding.min.js --source-map "url='encoding.min.js.map'" --comments -c -m -b ascii_only=true,beautify=false`,
        test: "./node_modules/.bin/eslint . && npm run build && mocha tests/test",
        watch: "watchify src/index.js -o encoding.js -s Encoding -p [ bannerify --file src/banner.js ] --no-bundle-external --bare --poll=300 -v"
      },
      engines: {
        node: ">=8.10.0"
      },
      repository: {
        type: "git",
        url: "https://github.com/polygonplanet/encoding.js.git"
      },
      author: "polygonplanet <polygon.planet.aqua@gmail.com>",
      license: "MIT",
      bugs: {
        url: "https://github.com/polygonplanet/encoding.js/issues"
      },
      homepage: "https://github.com/polygonplanet/encoding.js",
      keywords: [
        "base64",
        "charset",
        "convert",
        "detect",
        "encoding",
        "euc-jp",
        "eucjp",
        "iconv",
        "iso-2022-jp",
        "japanese",
        "jis",
        "shift_jis",
        "sjis",
        "unicode",
        "urldecode",
        "urlencode",
        "utf-16",
        "utf-32",
        "utf-8"
      ],
      dependencies: {},
      devDependencies: {
        bannerify: "^1.0.1",
        browserify: "^17.0.0",
        eslint: "^8.12.0",
        mocha: "^9.2.2",
        "package-json-versionify": "^1.0.4",
        "power-assert": "^1.6.1",
        "uglify-js": "^3.15.3",
        uglifyify: "^5.0.2",
        watchify: "^4.0.0"
      },
      browserify: {
        transform: [
          "package-json-versionify"
        ]
      }
    };
  }
});

// ../../../node_modules/encoding-japanese/src/index.js
var require_src = __commonJS({
  "../../../node_modules/encoding-japanese/src/index.js"(exports, module2) {
    "use strict";
    var config = require_config();
    var util = require_util();
    var EncodingDetect = require_encoding_detect();
    var EncodingConvert = require_encoding_convert();
    var KanaCaseTable = require_kana_case_table();
    var version = require_package().version;
    var hasOwnProperty = Object.prototype.hasOwnProperty;
    var Encoding = {
      version,
      /**
       * Encoding orders
       */
      orders: config.EncodingOrders,
      /**
       * Detects character encoding
       *
       * If encodings is "AUTO", or the encoding-list as an array, or
       *   comma separated list string it will be detected automatically
       *
       * @param {Array.<number>|TypedArray|string} data The data being detected
       * @param {(Object|string|Array.<string>)=} [encodings] The encoding-list of
       *   character encoding
       * @return {string|boolean} The detected character encoding, or false
       */
      detect: function(data, encodings) {
        if (data == null || data.length === 0) {
          return false;
        }
        if (util.isObject(encodings) && !util.isArray(encodings)) {
          encodings = encodings.encoding;
        }
        if (util.isString(data)) {
          data = util.stringToBuffer(data);
        }
        if (encodings == null) {
          encodings = Encoding.orders;
        } else {
          if (util.isString(encodings)) {
            encodings = encodings.toUpperCase();
            if (encodings === "AUTO") {
              encodings = Encoding.orders;
            } else if (~encodings.indexOf(",")) {
              encodings = encodings.split(/\s*,\s*/);
            } else {
              encodings = [encodings];
            }
          }
        }
        var len = encodings.length;
        var e, encoding, method;
        for (var i = 0; i < len; i++) {
          e = encodings[i];
          encoding = util.canonicalizeEncodingName(e);
          if (!encoding) {
            continue;
          }
          method = "is" + encoding;
          if (!hasOwnProperty.call(EncodingDetect, method)) {
            throw new Error("Undefined encoding: " + e);
          }
          if (EncodingDetect[method](data)) {
            return encoding;
          }
        }
        return false;
      },
      /**
       * Convert character encoding
       *
       * If `from` is "AUTO", or the encoding-list as an array, or
       *   comma separated list string it will be detected automatically
       *
       * @param {Array.<number>|TypedArray|string} data The data being converted
       * @param {(string|Object)} to The name of encoding to
       * @param {(string|Array.<string>)=} [from] The encoding-list of
       *   character encoding
       * @return {Array|TypedArray|string} The converted data
       */
      convert: function(data, to, from) {
        var result, type, options;
        if (!util.isObject(to)) {
          options = {};
        } else {
          options = to;
          from = options.from;
          to = options.to;
          if (options.type) {
            type = options.type;
          }
        }
        if (util.isString(data)) {
          type = type || "string";
          data = util.stringToBuffer(data);
        } else if (data == null || data.length === 0) {
          data = [];
        }
        var encodingFrom;
        if (from != null && util.isString(from) && from.toUpperCase() !== "AUTO" && !~from.indexOf(",")) {
          encodingFrom = util.canonicalizeEncodingName(from);
        } else {
          encodingFrom = Encoding.detect(data);
        }
        var encodingTo = util.canonicalizeEncodingName(to);
        var method = encodingFrom + "To" + encodingTo;
        if (hasOwnProperty.call(EncodingConvert, method)) {
          result = EncodingConvert[method](data, options);
        } else {
          result = data;
        }
        switch (("" + type).toLowerCase()) {
          case "string":
            return util.codeToString_fast(result);
          case "arraybuffer":
            return util.codeToBuffer(result);
          default:
            return util.bufferToCode(result);
        }
      },
      /**
       * Encode a character code array to URL string like encodeURIComponent
       *
       * @param {Array.<number>|TypedArray} data The data being encoded
       * @return {string} The percent encoded string
       */
      urlEncode: function(data) {
        if (util.isString(data)) {
          data = util.stringToBuffer(data);
        }
        var alpha = util.stringToCode("0123456789ABCDEF");
        var results = [];
        var i = 0;
        var len = data && data.length;
        var b;
        for (; i < len; i++) {
          b = data[i];
          if (b > 255) {
            return encodeURIComponent(util.codeToString_fast(data));
          }
          if (b >= 97 && b <= 122 || b >= 65 && b <= 90 || b >= 48 && b <= 57 || b === 33 || b >= 39 && b <= 42 || b === 45 || b === 46 || b === 95 || b === 126) {
            results[results.length] = b;
          } else {
            results[results.length] = 37;
            if (b < 16) {
              results[results.length] = 48;
              results[results.length] = alpha[b];
            } else {
              results[results.length] = alpha[b >> 4 & 15];
              results[results.length] = alpha[b & 15];
            }
          }
        }
        return util.codeToString_fast(results);
      },
      /**
       * Decode a percent encoded string to
       *  character code array like decodeURIComponent
       *
       * @param {string} string The data being decoded
       * @return {Array.<number>} The decoded array
       */
      urlDecode: function(string) {
        var results = [];
        var i = 0;
        var len = string && string.length;
        var c;
        while (i < len) {
          c = string.charCodeAt(i++);
          if (c === 37) {
            results[results.length] = parseInt(
              string.charAt(i++) + string.charAt(i++),
              16
            );
          } else {
            results[results.length] = c;
          }
        }
        return results;
      },
      /**
       * Encode a character code array to Base64 encoded string
       *
       * @param {Array.<number>|TypedArray} data The data being encoded
       * @return {string} The Base64 encoded string
       */
      base64Encode: function(data) {
        if (util.isString(data)) {
          data = util.stringToBuffer(data);
        }
        return util.base64encode(data);
      },
      /**
       * Decode a Base64 encoded string to character code array
       *
       * @param {string} string The data being decoded
       * @return {Array.<number>} The decoded array
       */
      base64Decode: function(string) {
        return util.base64decode(string);
      },
      /**
       * Joins a character code array to string
       *
       * @param {Array.<number>|TypedArray} data The data being joined
       * @return {String} The joined string
       */
      codeToString: util.codeToString_fast,
      /**
       * Splits string to an array of character codes
       *
       * @param {string} string The input string
       * @return {Array.<number>} The character code array
       */
      stringToCode: util.stringToCode,
      /**
       * 全角英数記号文字を半角英数記号文字に変換
       *
       * Convert the ascii symbols and alphanumeric characters to
       *   the zenkaku symbols and alphanumeric characters
       *
       * @example
       *   console.log(Encoding.toHankakuCase('Ｈｅｌｌｏ Ｗｏｒｌｄ！ １２３４５'));
       *   // 'Hello World! 12345'
       *
       * @param {Array.<number>|TypedArray|string} data The input unicode data
       * @return {Array.<number>|string} The conveted data
       */
      toHankakuCase: function(data) {
        var asString = false;
        if (util.isString(data)) {
          asString = true;
          data = util.stringToBuffer(data);
        }
        var results = [];
        var len = data && data.length;
        var i = 0;
        var c;
        while (i < len) {
          c = data[i++];
          if (c >= 65281 && c <= 65374) {
            c -= 65248;
          }
          results[results.length] = c;
        }
        return asString ? util.codeToString_fast(results) : results;
      },
      /**
       * 半角英数記号文字を全角英数記号文字に変換
       *
       * Convert to the zenkaku symbols and alphanumeric characters
       *  from the ascii symbols and alphanumeric characters
       *
       * @example
       *   console.log(Encoding.toZenkakuCase('Hello World! 12345'));
       *   // 'Ｈｅｌｌｏ Ｗｏｒｌｄ！ １２３４５'
       *
       * @param {Array.<number>|TypedArray|string} data The input unicode data
       * @return {Array.<number>|string} The conveted data
       */
      toZenkakuCase: function(data) {
        var asString = false;
        if (util.isString(data)) {
          asString = true;
          data = util.stringToBuffer(data);
        }
        var results = [];
        var len = data && data.length;
        var i = 0;
        var c;
        while (i < len) {
          c = data[i++];
          if (c >= 33 && c <= 126) {
            c += 65248;
          }
          results[results.length] = c;
        }
        return asString ? util.codeToString_fast(results) : results;
      },
      /**
       * 全角カタカナを全角ひらがなに変換
       *
       * Convert to the zenkaku hiragana from the zenkaku katakana
       *
       * @example
       *   console.log(Encoding.toHiraganaCase('ボポヴァアィイゥウェエォオ'));
       *   // 'ぼぽう゛ぁあぃいぅうぇえぉお'
       *
       * @param {Array.<number>|TypedArray|string} data The input unicode data
       * @return {Array.<number>|string} The conveted data
       */
      toHiraganaCase: function(data) {
        var asString = false;
        if (util.isString(data)) {
          asString = true;
          data = util.stringToBuffer(data);
        }
        var results = [];
        var len = data && data.length;
        var i = 0;
        var c;
        while (i < len) {
          c = data[i++];
          if (c >= 12449 && c <= 12534) {
            c -= 96;
          } else if (c === 12535) {
            results[results.length] = 12431;
            c = 12443;
          } else if (c === 12538) {
            results[results.length] = 12434;
            c = 12443;
          }
          results[results.length] = c;
        }
        return asString ? util.codeToString_fast(results) : results;
      },
      /**
       * 全角ひらがなを全角カタカナに変換
       *
       * Convert to the zenkaku katakana from the zenkaku hiragana
       *
       * @example
       *   console.log(Encoding.toKatakanaCase('ぼぽう゛ぁあぃいぅうぇえぉお'));
       *   // 'ボポヴァアィイゥウェエォオ'
       *
       * @param {Array.<number>|TypedArray|string} data The input unicode data
       * @return {Array.<number>|string} The conveted data
       */
      toKatakanaCase: function(data) {
        var asString = false;
        if (util.isString(data)) {
          asString = true;
          data = util.stringToBuffer(data);
        }
        var results = [];
        var len = data && data.length;
        var i = 0;
        var c;
        while (i < len) {
          c = data[i++];
          if (c >= 12353 && c <= 12438) {
            if ((c === 12431 || // 「わ」 + 「゛」 => 「ワ゛」
            c === 12434) && // 「を」 + 「゛」 => 「ヲ゛」
            i < len && data[i] === 12443) {
              c = c === 12431 ? 12535 : 12538;
              i++;
            } else {
              c += 96;
            }
          }
          results[results.length] = c;
        }
        return asString ? util.codeToString_fast(results) : results;
      },
      /**
       * 全角カタカナを半角ｶﾀｶﾅに変換
       *
       * Convert to the hankaku katakana from the zenkaku katakana
       *
       * @example
       *   console.log(Encoding.toHankanaCase('ボポヴァアィイゥウェエォオ'));
       *   // 'ﾎﾞﾎﾟｳﾞｧｱｨｲｩｳｪｴｫｵ'
       *
       * @param {Array.<number>|TypedArray|string} data The input unicode data
       * @return {Array.<number>|string} The conveted data
       */
      toHankanaCase: function(data) {
        var asString = false;
        if (util.isString(data)) {
          asString = true;
          data = util.stringToBuffer(data);
        }
        var results = [];
        var len = data && data.length;
        var i = 0;
        var c, d, t;
        while (i < len) {
          c = data[i++];
          if (c >= 12289 && c <= 12540) {
            t = KanaCaseTable.HANKANA_TABLE[c];
            if (t !== void 0) {
              results[results.length] = t;
              continue;
            }
          }
          if (c === 12532 || c === 12535 || c === 12538) {
            results[results.length] = KanaCaseTable.HANKANA_SONANTS[c];
            results[results.length] = 65438;
          } else if (c >= 12459 && c <= 12489) {
            results[results.length] = KanaCaseTable.HANKANA_TABLE[c - 1];
            results[results.length] = 65438;
          } else if (c >= 12495 && c <= 12509) {
            d = c % 3;
            results[results.length] = KanaCaseTable.HANKANA_TABLE[c - d];
            results[results.length] = KanaCaseTable.HANKANA_MARKS[d - 1];
          } else {
            results[results.length] = c;
          }
        }
        return asString ? util.codeToString_fast(results) : results;
      },
      /**
       * 半角ｶﾀｶﾅを全角カタカナに変換 (濁音含む)
       *
       * Convert to the zenkaku katakana from the hankaku katakana
       *
       * @example
       *   console.log(Encoding.toZenkanaCase('ﾎﾞﾎﾟｳﾞｧｱｨｲｩｳｪｴｫｵ'));
       *   // 'ボポヴァアィイゥウェエォオ'
       *
       * @param {Array.<number>|TypedArray|string} data The input unicode data
       * @return {Array.<number>|string} The conveted data
       */
      toZenkanaCase: function(data) {
        var asString = false;
        if (util.isString(data)) {
          asString = true;
          data = util.stringToBuffer(data);
        }
        var results = [];
        var len = data && data.length;
        var i = 0;
        var c, code, next;
        for (i = 0; i < len; i++) {
          c = data[i];
          if (c > 65376 && c < 65440) {
            code = KanaCaseTable.ZENKANA_TABLE[c - 65377];
            if (i + 1 < len) {
              next = data[i + 1];
              if (next === 65438 && c === 65395) {
                code = 12532;
                i++;
              } else if (next === 65438 && c === 65436) {
                code = 12535;
                i++;
              } else if (next === 65438 && c === 65382) {
                code = 12538;
                i++;
              } else if (next === 65438 && (c > 65397 && c < 65413 || c > 65417 && c < 65423)) {
                code++;
                i++;
              } else if (next === 65439 && (c > 65417 && c < 65423)) {
                code += 2;
                i++;
              }
            }
            c = code;
          }
          results[results.length] = c;
        }
        return asString ? util.codeToString_fast(results) : results;
      },
      /**
       * 全角スペースを半角スペースに変換
       *
       * Convert the em space(U+3000) to the single space(U+0020)
       *
       * @param {Array.<number>|TypedArray|string} data The input unicode data
       * @return {Array.<number>|string} The conveted data
       */
      toHankakuSpace: function(data) {
        if (util.isString(data)) {
          return data.replace(/\u3000/g, " ");
        }
        var results = [];
        var len = data && data.length;
        var i = 0;
        var c;
        while (i < len) {
          c = data[i++];
          if (c === 12288) {
            c = 32;
          }
          results[results.length] = c;
        }
        return results;
      },
      /**
       * 半角スペースを全角スペースに変換
       *
       * Convert the single space(U+0020) to the em space(U+3000)
       *
       * @param {Array.<number>|TypedArray|string} data The input unicode data
       * @return {Array.<number>|string} The conveted data
       */
      toZenkakuSpace: function(data) {
        if (util.isString(data)) {
          return data.replace(/\u0020/g, "\u3000");
        }
        var results = [];
        var len = data && data.length;
        var i = 0;
        var c;
        while (i < len) {
          c = data[i++];
          if (c === 32) {
            c = 12288;
          }
          results[results.length] = c;
        }
        return results;
      }
    };
    module2.exports = Encoding;
  }
});

// ../../../node_modules/mailsplit/node_modules/libmime/lib/charsets.js
var require_charsets = __commonJS({
  "../../../node_modules/mailsplit/node_modules/libmime/lib/charsets.js"(exports, module2) {
    "use strict";
    module2.exports = {
      "866": "IBM866",
      "unicode-1-1-utf-8": "UTF-8",
      "utf-8": "UTF-8",
      utf8: "UTF-8",
      cp866: "IBM866",
      csibm866: "IBM866",
      ibm866: "IBM866",
      csisolatin2: "ISO-8859-2",
      "iso-8859-2": "ISO-8859-2",
      "iso-ir-101": "ISO-8859-2",
      "iso8859-2": "ISO-8859-2",
      iso88592: "ISO-8859-2",
      "iso_8859-2": "ISO-8859-2",
      "iso_8859-2:1987": "ISO-8859-2",
      l2: "ISO-8859-2",
      latin2: "ISO-8859-2",
      csisolatin3: "ISO-8859-3",
      "iso-8859-3": "ISO-8859-3",
      "iso-ir-109": "ISO-8859-3",
      "iso8859-3": "ISO-8859-3",
      iso88593: "ISO-8859-3",
      "iso_8859-3": "ISO-8859-3",
      "iso_8859-3:1988": "ISO-8859-3",
      l3: "ISO-8859-3",
      latin3: "ISO-8859-3",
      csisolatin4: "ISO-8859-4",
      "iso-8859-4": "ISO-8859-4",
      "iso-ir-110": "ISO-8859-4",
      "iso8859-4": "ISO-8859-4",
      iso88594: "ISO-8859-4",
      "iso_8859-4": "ISO-8859-4",
      "iso_8859-4:1988": "ISO-8859-4",
      l4: "ISO-8859-4",
      latin4: "ISO-8859-4",
      csisolatincyrillic: "ISO-8859-5",
      cyrillic: "ISO-8859-5",
      "iso-8859-5": "ISO-8859-5",
      "iso-ir-144": "ISO-8859-5",
      "iso8859-5": "ISO-8859-5",
      iso88595: "ISO-8859-5",
      "iso_8859-5": "ISO-8859-5",
      "iso_8859-5:1988": "ISO-8859-5",
      arabic: "ISO-8859-6",
      "asmo-708": "ISO-8859-6",
      csiso88596e: "ISO-8859-6",
      csiso88596i: "ISO-8859-6",
      csisolatinarabic: "ISO-8859-6",
      "ecma-114": "ISO-8859-6",
      "iso-8859-6": "ISO-8859-6",
      "iso-8859-6-e": "ISO-8859-6",
      "iso-8859-6-i": "ISO-8859-6",
      "iso-ir-127": "ISO-8859-6",
      "iso8859-6": "ISO-8859-6",
      iso88596: "ISO-8859-6",
      "iso_8859-6": "ISO-8859-6",
      "iso_8859-6:1987": "ISO-8859-6",
      csisolatingreek: "ISO-8859-7",
      "ecma-118": "ISO-8859-7",
      elot_928: "ISO-8859-7",
      greek: "ISO-8859-7",
      greek8: "ISO-8859-7",
      "iso-8859-7": "ISO-8859-7",
      "iso-ir-126": "ISO-8859-7",
      "iso8859-7": "ISO-8859-7",
      iso88597: "ISO-8859-7",
      "iso_8859-7": "ISO-8859-7",
      "iso_8859-7:1987": "ISO-8859-7",
      sun_eu_greek: "ISO-8859-7",
      csiso88598e: "ISO-8859-8",
      csisolatinhebrew: "ISO-8859-8",
      hebrew: "ISO-8859-8",
      "iso-8859-8": "ISO-8859-8",
      "iso-8859-8-e": "ISO-8859-8",
      "iso-8859-8-i": "ISO-8859-8",
      "iso-ir-138": "ISO-8859-8",
      "iso8859-8": "ISO-8859-8",
      iso88598: "ISO-8859-8",
      "iso_8859-8": "ISO-8859-8",
      "iso_8859-8:1988": "ISO-8859-8",
      visual: "ISO-8859-8",
      csisolatin6: "ISO-8859-10",
      "iso-8859-10": "ISO-8859-10",
      "iso-ir-157": "ISO-8859-10",
      "iso8859-10": "ISO-8859-10",
      iso885910: "ISO-8859-10",
      l6: "ISO-8859-10",
      latin6: "ISO-8859-10",
      "iso-8859-13": "ISO-8859-13",
      "iso8859-13": "ISO-8859-13",
      iso885913: "ISO-8859-13",
      "iso-8859-14": "ISO-8859-14",
      "iso8859-14": "ISO-8859-14",
      iso885914: "ISO-8859-14",
      csisolatin9: "ISO-8859-15",
      "iso-8859-15": "ISO-8859-15",
      "iso8859-15": "ISO-8859-15",
      iso885915: "ISO-8859-15",
      "iso_8859-15": "ISO-8859-15",
      l9: "ISO-8859-15",
      "iso-8859-16": "ISO-8859-16",
      cskoi8r: "KOI8-R",
      koi: "KOI8-R",
      koi8: "KOI8-R",
      "koi8-r": "KOI8-R",
      koi8_r: "KOI8-R",
      "koi8-ru": "KOI8-U",
      "koi8-u": "KOI8-U",
      csmacintosh: "macintosh",
      mac: "macintosh",
      macintosh: "macintosh",
      "x-mac-roman": "macintosh",
      "dos-874": "windows-874",
      "iso-8859-11": "windows-874",
      "iso8859-11": "windows-874",
      iso885911: "windows-874",
      "tis-620": "windows-874",
      "windows-874": "windows-874",
      cp1250: "windows-1250",
      "windows-1250": "windows-1250",
      "x-cp1250": "windows-1250",
      cp1251: "windows-1251",
      "windows-1251": "windows-1251",
      "x-cp1251": "windows-1251",
      "ansi_x3.4-1968": "windows-1252",
      ascii: "windows-1252",
      cp1252: "windows-1252",
      cp819: "windows-1252",
      csisolatin1: "windows-1252",
      ibm819: "windows-1252",
      "iso-8859-1": "windows-1252",
      "iso-ir-100": "windows-1252",
      "iso8859-1": "windows-1252",
      iso88591: "windows-1252",
      "iso_8859-1": "windows-1252",
      "iso_8859-1:1987": "windows-1252",
      l1: "windows-1252",
      latin1: "windows-1252",
      "us-ascii": "windows-1252",
      "windows-1252": "windows-1252",
      "x-cp1252": "windows-1252",
      cp1253: "windows-1253",
      "windows-1253": "windows-1253",
      "x-cp1253": "windows-1253",
      cp1254: "windows-1254",
      csisolatin5: "windows-1254",
      "iso-8859-9": "windows-1254",
      "iso-ir-148": "windows-1254",
      "iso8859-9": "windows-1254",
      iso88599: "windows-1254",
      "iso_8859-9": "windows-1254",
      "iso_8859-9:1989": "windows-1254",
      l5: "windows-1254",
      latin5: "windows-1254",
      "windows-1254": "windows-1254",
      "x-cp1254": "windows-1254",
      cp1255: "windows-1255",
      "windows-1255": "windows-1255",
      "x-cp1255": "windows-1255",
      cp1256: "windows-1256",
      "windows-1256": "windows-1256",
      "x-cp1256": "windows-1256",
      cp1257: "windows-1257",
      "windows-1257": "windows-1257",
      "x-cp1257": "windows-1257",
      cp1258: "windows-1258",
      "windows-1258": "windows-1258",
      "x-cp1258": "windows-1258",
      chinese: "GBK",
      csgb2312: "GBK",
      csiso58gb231280: "GBK",
      gb2312: "GBK",
      gb_2312: "GBK",
      "gb_2312-80": "GBK",
      gbk: "GBK",
      "iso-ir-58": "GBK",
      "x-gbk": "GBK",
      gb18030: "gb18030",
      big5: "Big5",
      "big5-hkscs": "Big5",
      "cn-big5": "Big5",
      csbig5: "Big5",
      "x-x-big5": "Big5",
      cseucpkdfmtjapanese: "EUC-JP",
      "euc-jp": "EUC-JP",
      "x-euc-jp": "EUC-JP",
      csshiftjis: "Shift_JIS",
      ms932: "Shift_JIS",
      ms_kanji: "Shift_JIS",
      "shift-jis": "Shift_JIS",
      shift_jis: "Shift_JIS",
      sjis: "Shift_JIS",
      "windows-31j": "Shift_JIS",
      "x-sjis": "Shift_JIS",
      cseuckr: "EUC-KR",
      csksc56011987: "EUC-KR",
      "euc-kr": "EUC-KR",
      "iso-ir-149": "EUC-KR",
      korean: "EUC-KR",
      "ks_c_5601-1987": "EUC-KR",
      "ks_c_5601-1989": "EUC-KR",
      ksc5601: "EUC-KR",
      ksc_5601: "EUC-KR",
      "windows-949": "EUC-KR",
      "utf-16be": "UTF-16BE",
      "utf-16": "UTF-16LE",
      "utf-16le": "UTF-16LE"
    };
  }
});

// ../../../node_modules/mailsplit/node_modules/libmime/lib/charset.js
var require_charset = __commonJS({
  "../../../node_modules/mailsplit/node_modules/libmime/lib/charset.js"(exports, module2) {
    "use strict";
    var iconv = require_lib();
    var encodingJapanese = require_src();
    var charsets = require_charsets();
    var charset = module2.exports = {
      /**
       * Encodes an unicode string into an Buffer object as UTF-8
       *
       * We force UTF-8 here, no strange encodings allowed.
       *
       * @param {String} str String to be encoded
       * @return {Buffer} UTF-8 encoded typed array
       */
      encode(str) {
        return Buffer.from(str, "utf-8");
      },
      /**
       * Decodes a string from Buffer to an unicode string using specified encoding
       * NB! Throws if unknown charset is used
       *
       * @param {Buffer} buf Binary data to be decoded
       * @param {String} [fromCharset='UTF-8'] Binary data is decoded into string using this charset
       * @return {String} Decded string
       */
      decode(buf, fromCharset) {
        fromCharset = charset.normalizeCharset(fromCharset || "UTF-8");
        if (/^(us-)?ascii|utf-8|7bit$/i.test(fromCharset)) {
          return buf.toString("utf-8");
        }
        try {
          if (/^jis|^iso-?2022-?jp|^EUCJP/i.test(fromCharset)) {
            if (typeof buf === "string") {
              buf = Buffer.from(buf);
            }
            try {
              let output = encodingJapanese.convert(buf, {
                to: "UNICODE",
                from: fromCharset,
                type: "string"
              });
              if (typeof output === "string") {
                output = Buffer.from(output);
              }
              return output;
            } catch (err) {
            }
          }
          return iconv.decode(buf, fromCharset);
        } catch (err) {
          return buf.toString();
        }
      },
      /**
       * Convert a string from specific encoding to UTF-8 Buffer
       *
       * @param {String|Buffer} str String to be encoded
       * @param {String} [fromCharset='UTF-8'] Source encoding for the string
       * @return {Buffer} UTF-8 encoded typed array
       */
      convert(data, fromCharset) {
        fromCharset = charset.normalizeCharset(fromCharset || "UTF-8");
        let bufString;
        if (typeof data !== "string") {
          if (/^(us-)?ascii|utf-8|7bit$/i.test(fromCharset)) {
            return data;
          }
          bufString = charset.decode(data, fromCharset);
          return charset.encode(bufString);
        }
        return charset.encode(data);
      },
      /**
       * Converts well known invalid character set names to proper names.
       * eg. win-1257 will be converted to WINDOWS-1257
       *
       * @param {String} charset Charset name to convert
       * @return {String} Canoninicalized charset name
       */
      normalizeCharset(charset2) {
        charset2 = charset2.toLowerCase().trim();
        if (charsets.hasOwnProperty(charset2) && charsets[charset2]) {
          return charsets[charset2];
        }
        charset2 = charset2.replace(/^utf[-_]?(\d+)/, "utf-$1").replace(/^(?:us[-_]?)ascii/, "windows-1252").replace(/^win(?:dows)?[-_]?(\d+)/, "windows-$1").replace(/^(?:latin|iso[-_]?8859)?[-_]?(\d+)/, "iso-8859-$1").replace(/^l[-_]?(\d+)/, "iso-8859-$1");
        if (charsets.hasOwnProperty(charset2) && charsets[charset2]) {
          return charsets[charset2];
        }
        return charset2.toUpperCase();
      }
    };
  }
});

// ../../../node_modules/libbase64/lib/libbase64.js
var require_libbase64 = __commonJS({
  "../../../node_modules/libbase64/lib/libbase64.js"(exports, module2) {
    "use strict";
    var stream = require("stream");
    var Transform = stream.Transform;
    function encode(buffer) {
      if (typeof buffer === "string") {
        buffer = Buffer.from(buffer, "utf-8");
      }
      return buffer.toString("base64");
    }
    function decode(str) {
      str = str || "";
      return Buffer.from(str, "base64");
    }
    function wrap(str, lineLength) {
      str = (str || "").toString();
      lineLength = lineLength || 76;
      if (str.length <= lineLength) {
        return str;
      }
      let result = [];
      let pos = 0;
      let chunkLength = lineLength * 1024;
      while (pos < str.length) {
        let wrappedLines = str.substr(pos, chunkLength).replace(new RegExp(".{" + lineLength + "}", "g"), "$&\r\n").trim();
        result.push(wrappedLines);
        pos += chunkLength;
      }
      return result.join("\r\n").trim();
    }
    var Encoder = class extends Transform {
      constructor(options) {
        super();
        this.options = options || {};
        if (this.options.lineLength !== false) {
          this.options.lineLength = Number(this.options.lineLength) || 76;
        }
        this.skipStartBytes = Number(this.options.skipStartBytes) || 0;
        this.limitOutbutBytes = Number(this.options.limitOutbutBytes) || 0;
        this._curLine = this.options.startPadding || "";
        this._remainingBytes = false;
        this.inputBytes = 0;
        this.outputBytes = 0;
      }
      _writeChunk(chunk) {
        if (this.skipStartBytes) {
          if (chunk.length <= this.skipStartBytes) {
            this.skipStartBytes -= chunk.length;
            return;
          }
          chunk = chunk.slice(this.skipStartBytes);
          this.skipStartBytes = 0;
        }
        if (this.limitOutbutBytes) {
          if (this.outputBytes + chunk.length <= this.limitOutbutBytes) {
          } else if (this.outputBytes >= this.limitOutbutBytes) {
            return;
          } else {
            chunk = chunk.slice(0, this.limitOutbutBytes - this.outputBytes);
          }
        }
        this.outputBytes += chunk.length;
        this.push(chunk);
      }
      _getWrapped(str, isFinal) {
        str = wrap(str, this.options.lineLength);
        if (!isFinal && str.length === this.options.lineLength) {
          str += "\r\n";
        }
        return str;
      }
      _transform(chunk, encoding, done) {
        if (encoding !== "buffer") {
          chunk = Buffer.from(chunk, encoding);
        }
        if (!chunk || !chunk.length) {
          return setImmediate(done);
        }
        this.inputBytes += chunk.length;
        if (this._remainingBytes && this._remainingBytes.length) {
          chunk = Buffer.concat([this._remainingBytes, chunk], this._remainingBytes.length + chunk.length);
          this._remainingBytes = false;
        }
        if (chunk.length % 3) {
          this._remainingBytes = chunk.slice(chunk.length - chunk.length % 3);
          chunk = chunk.slice(0, chunk.length - chunk.length % 3);
        } else {
          this._remainingBytes = false;
        }
        let b64 = this._curLine + encode(chunk);
        if (this.options.lineLength) {
          b64 = this._getWrapped(b64);
          let lastLF = b64.lastIndexOf("\n");
          if (lastLF < 0) {
            this._curLine = b64;
            b64 = "";
          } else if (lastLF === b64.length - 1) {
            this._curLine = "";
          } else {
            this._curLine = b64.substr(lastLF + 1);
            b64 = b64.substr(0, lastLF + 1);
          }
        }
        if (b64) {
          this._writeChunk(Buffer.from(b64, "ascii"), false);
        }
        setImmediate(done);
      }
      _flush(done) {
        if (this._remainingBytes && this._remainingBytes.length) {
          this._curLine += encode(this._remainingBytes);
        }
        if (this._curLine) {
          this._curLine = this._getWrapped(this._curLine, true);
          this._writeChunk(Buffer.from(this._curLine, "ascii"), true);
          this._curLine = "";
        }
        done();
      }
    };
    var Decoder = class extends Transform {
      constructor(options) {
        super();
        this.options = options || {};
        this._curLine = "";
        this.inputBytes = 0;
        this.outputBytes = 0;
      }
      _transform(chunk, encoding, done) {
        if (!chunk || !chunk.length) {
          return setImmediate(done);
        }
        this.inputBytes += chunk.length;
        let b64 = this._curLine + chunk.toString("ascii");
        this._curLine = "";
        if (/[^a-zA-Z0-9+/=]/.test(b64)) {
          b64 = b64.replace(/[^a-zA-Z0-9+/=]/g, "");
        }
        if (b64.length < 4) {
          this._curLine = b64;
          b64 = "";
        } else if (b64.length % 4) {
          this._curLine = b64.substr(-b64.length % 4);
          b64 = b64.substr(0, b64.length - this._curLine.length);
        }
        if (b64) {
          let buf = decode(b64);
          this.outputBytes += buf.length;
          this.push(buf);
        }
        setImmediate(done);
      }
      _flush(done) {
        if (this._curLine) {
          let buf = decode(this._curLine);
          this.outputBytes += buf.length;
          this.push(buf);
          this._curLine = "";
        }
        setImmediate(done);
      }
    };
    module2.exports = {
      encode,
      decode,
      wrap,
      Encoder,
      Decoder
    };
  }
});

// ../../../node_modules/libqp/lib/libqp.js
var require_libqp = __commonJS({
  "../../../node_modules/libqp/lib/libqp.js"(exports, module2) {
    "use strict";
    var stream = require("stream");
    var Transform = stream.Transform;
    function encode(buffer) {
      if (typeof buffer === "string") {
        buffer = Buffer.from(buffer, "utf-8");
      }
      let ranges = [
        // https://tools.ietf.org/html/rfc2045#section-6.7
        [9],
        // <TAB>
        [10],
        // <LF>
        [13],
        // <CR>
        [32, 60],
        // <SP>!"#$%&'()*+,-./0123456789:;
        [62, 126]
        // >?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}
      ];
      let result = "";
      let ord;
      for (let i = 0, len = buffer.length; i < len; i++) {
        ord = buffer[i];
        if (checkRanges(ord, ranges) && !((ord === 32 || ord === 9) && (i === len - 1 || buffer[i + 1] === 10 || buffer[i + 1] === 13))) {
          result += String.fromCharCode(ord);
          continue;
        }
        result += "=" + (ord < 16 ? "0" : "") + ord.toString(16).toUpperCase();
      }
      return result;
    }
    function decode(str) {
      str = (str || "").toString().replace(/[\t ]+$/gm, "").replace(/\=(?:\r?\n|$)/g, "");
      let encodedBytesCount = (str.match(/\=[\da-fA-F]{2}/g) || []).length, bufferLength = str.length - encodedBytesCount * 2, chr, hex, buffer = Buffer.alloc(bufferLength), bufferPos = 0;
      for (let i = 0, len = str.length; i < len; i++) {
        chr = str.charAt(i);
        if (chr === "=" && (hex = str.substr(i + 1, 2)) && /[\da-fA-F]{2}/.test(hex)) {
          buffer[bufferPos++] = parseInt(hex, 16);
          i += 2;
          continue;
        }
        buffer[bufferPos++] = chr.charCodeAt(0);
      }
      return buffer;
    }
    function wrap(str, lineLength) {
      str = (str || "").toString();
      lineLength = lineLength || 76;
      if (str.length <= lineLength) {
        return str;
      }
      let pos = 0, len = str.length, match, code, line, lineMargin = Math.floor(lineLength / 3), result = "";
      while (pos < len) {
        line = str.substr(pos, lineLength);
        if (match = line.match(/\r\n/)) {
          line = line.substr(0, match.index + match[0].length);
          result += line;
          pos += line.length;
          continue;
        }
        if (line.substr(-1) === "\n") {
          result += line;
          pos += line.length;
          continue;
        } else if (match = line.substr(-lineMargin).match(/\n.*?$/)) {
          line = line.substr(0, line.length - (match[0].length - 1));
          result += line;
          pos += line.length;
          continue;
        } else if (line.length > lineLength - lineMargin && (match = line.substr(-lineMargin).match(/[ \t\.,!\?][^ \t\.,!\?]*$/))) {
          line = line.substr(0, line.length - (match[0].length - 1));
        } else if (line.match(/\=[\da-f]{0,2}$/i)) {
          if (match = line.match(/\=[\da-f]{0,1}$/i)) {
            line = line.substr(0, line.length - match[0].length);
          }
          while (line.length > 3 && line.length < len - pos && !line.match(/^(?:=[\da-f]{2}){1,4}$/i) && (match = line.match(/\=[\da-f]{2}$/gi))) {
            code = parseInt(match[0].substr(1, 2), 16);
            if (code < 128) {
              break;
            }
            line = line.substr(0, line.length - 3);
            if (code >= 192) {
              break;
            }
          }
        }
        if (pos + line.length < len && line.substr(-1) !== "\n") {
          if (line.length === lineLength && line.match(/\=[\da-f]{2}$/i)) {
            line = line.substr(0, line.length - 3);
          } else if (line.length === lineLength) {
            line = line.substr(0, line.length - 1);
          }
          pos += line.length;
          line += "=\r\n";
        } else {
          pos += line.length;
        }
        result += line;
      }
      return result;
    }
    function checkRanges(nr, ranges) {
      for (let i = ranges.length - 1; i >= 0; i--) {
        if (!ranges[i].length) {
          continue;
        }
        if (ranges[i].length === 1 && nr === ranges[i][0]) {
          return true;
        }
        if (ranges[i].length === 2 && nr >= ranges[i][0] && nr <= ranges[i][1]) {
          return true;
        }
      }
      return false;
    }
    var Encoder = class extends Transform {
      constructor(options) {
        super();
        this.options = options || {};
        if (this.options.lineLength !== false) {
          this.options.lineLength = this.options.lineLength || 76;
        }
        this._curLine = "";
        this.inputBytes = 0;
        this.outputBytes = 0;
        Transform.call(this, this.options);
      }
      _transform(chunk, encoding, done) {
        let qp;
        if (encoding !== "buffer") {
          chunk = Buffer.from(chunk, encoding);
        }
        if (!chunk || !chunk.length) {
          return done();
        }
        this.inputBytes += chunk.length;
        if (this.options.lineLength) {
          qp = this._curLine + encode(chunk);
          qp = wrap(qp, this.options.lineLength);
          qp = qp.replace(/(^|\n)([^\n]*)$/, (match, lineBreak, lastLine) => {
            this._curLine = lastLine;
            return lineBreak;
          });
          if (qp) {
            this.outputBytes += qp.length;
            this.push(qp);
          }
        } else {
          qp = encode(chunk);
          this.outputBytes += qp.length;
          this.push(qp, "ascii");
        }
        done();
      }
      _flush(done) {
        if (this._curLine) {
          this.outputBytes += this._curLine.length;
          this.push(this._curLine, "ascii");
        }
        done();
      }
    };
    var Decoder = class extends Transform {
      constructor(options) {
        options = options || {};
        super(options);
        this.options = options;
        this._curLine = "";
        this.inputBytes = 0;
        this.outputBytes = 0;
      }
      _transform(chunk, encoding, done) {
        let qp, buf;
        chunk = chunk.toString("ascii");
        if (!chunk || !chunk.length) {
          return done();
        }
        this.inputBytes += chunk.length;
        qp = this._curLine + chunk;
        this._curLine = "";
        qp = qp.replace(/\=[^\n]?$/, (lastLine) => {
          this._curLine = lastLine;
          return "";
        });
        if (qp) {
          buf = decode(qp);
          this.outputBytes += buf.length;
          this.push(buf);
        }
        done();
      }
      _flush(done) {
        let buf;
        if (this._curLine) {
          buf = decode(this._curLine);
          this.outputBytes += buf.length;
          this.push(buf);
        }
        done();
      }
    };
    module2.exports = {
      encode,
      decode,
      wrap,
      Encoder,
      Decoder
    };
  }
});

// ../../../node_modules/mailsplit/node_modules/libmime/lib/mimetypes.js
var require_mimetypes = __commonJS({
  "../../../node_modules/mailsplit/node_modules/libmime/lib/mimetypes.js"(exports, module2) {
    "use strict";
    module2.exports = {
      list: {
        "application/acad": "dwg",
        "application/applixware": "aw",
        "application/arj": "arj",
        "application/atom+xml": "xml",
        "application/atomcat+xml": "atomcat",
        "application/atomsvc+xml": "atomsvc",
        "application/base64": ["mm", "mme"],
        "application/binhex": "hqx",
        "application/binhex4": "hqx",
        "application/book": ["book", "boo"],
        "application/ccxml+xml,": "ccxml",
        "application/cdf": "cdf",
        "application/cdmi-capability": "cdmia",
        "application/cdmi-container": "cdmic",
        "application/cdmi-domain": "cdmid",
        "application/cdmi-object": "cdmio",
        "application/cdmi-queue": "cdmiq",
        "application/clariscad": "ccad",
        "application/commonground": "dp",
        "application/cu-seeme": "cu",
        "application/davmount+xml": "davmount",
        "application/drafting": "drw",
        "application/dsptype": "tsp",
        "application/dssc+der": "dssc",
        "application/dssc+xml": "xdssc",
        "application/dxf": "dxf",
        "application/ecmascript": ["js", "es"],
        "application/emma+xml": "emma",
        "application/envoy": "evy",
        "application/epub+zip": "epub",
        "application/excel": ["xls", "xl", "xla", "xlb", "xlc", "xld", "xlk", "xll", "xlm", "xlt", "xlv", "xlw"],
        "application/exi": "exi",
        "application/font-tdpfr": "pfr",
        "application/fractals": "fif",
        "application/freeloader": "frl",
        "application/futuresplash": "spl",
        "application/gnutar": "tgz",
        "application/groupwise": "vew",
        "application/hlp": "hlp",
        "application/hta": "hta",
        "application/hyperstudio": "stk",
        "application/i-deas": "unv",
        "application/iges": ["iges", "igs"],
        "application/inf": "inf",
        "application/internet-property-stream": "acx",
        "application/ipfix": "ipfix",
        "application/java": "class",
        "application/java-archive": "jar",
        "application/java-byte-code": "class",
        "application/java-serialized-object": "ser",
        "application/java-vm": "class",
        "application/javascript": "js",
        "application/json": "json",
        "application/lha": "lha",
        "application/lzx": "lzx",
        "application/mac-binary": "bin",
        "application/mac-binhex": "hqx",
        "application/mac-binhex40": "hqx",
        "application/mac-compactpro": "cpt",
        "application/macbinary": "bin",
        "application/mads+xml": "mads",
        "application/marc": "mrc",
        "application/marcxml+xml": "mrcx",
        "application/mathematica": "ma",
        "application/mathml+xml": "mathml",
        "application/mbedlet": "mbd",
        "application/mbox": "mbox",
        "application/mcad": "mcd",
        "application/mediaservercontrol+xml": "mscml",
        "application/metalink4+xml": "meta4",
        "application/mets+xml": "mets",
        "application/mime": "aps",
        "application/mods+xml": "mods",
        "application/mp21": "m21",
        "application/mp4": "mp4",
        "application/mspowerpoint": ["ppt", "pot", "pps", "ppz"],
        "application/msword": ["doc", "dot", "w6w", "wiz", "word"],
        "application/mswrite": "wri",
        "application/mxf": "mxf",
        "application/netmc": "mcp",
        "application/octet-stream": ["*"],
        "application/oda": "oda",
        "application/oebps-package+xml": "opf",
        "application/ogg": "ogx",
        "application/olescript": "axs",
        "application/onenote": "onetoc",
        "application/patch-ops-error+xml": "xer",
        "application/pdf": "pdf",
        "application/pgp-encrypted": "asc",
        "application/pgp-signature": "pgp",
        "application/pics-rules": "prf",
        "application/pkcs-12": "p12",
        "application/pkcs-crl": "crl",
        "application/pkcs10": "p10",
        "application/pkcs7-mime": ["p7c", "p7m"],
        "application/pkcs7-signature": "p7s",
        "application/pkcs8": "p8",
        "application/pkix-attr-cert": "ac",
        "application/pkix-cert": ["cer", "crt"],
        "application/pkix-crl": "crl",
        "application/pkix-pkipath": "pkipath",
        "application/pkixcmp": "pki",
        "application/plain": "text",
        "application/pls+xml": "pls",
        "application/postscript": ["ps", "ai", "eps"],
        "application/powerpoint": "ppt",
        "application/pro_eng": ["part", "prt"],
        "application/prs.cww": "cww",
        "application/pskc+xml": "pskcxml",
        "application/rdf+xml": "rdf",
        "application/reginfo+xml": "rif",
        "application/relax-ng-compact-syntax": "rnc",
        "application/resource-lists+xml": "rl",
        "application/resource-lists-diff+xml": "rld",
        "application/ringing-tones": "rng",
        "application/rls-services+xml": "rs",
        "application/rsd+xml": "rsd",
        "application/rss+xml": "xml",
        "application/rtf": ["rtf", "rtx"],
        "application/sbml+xml": "sbml",
        "application/scvp-cv-request": "scq",
        "application/scvp-cv-response": "scs",
        "application/scvp-vp-request": "spq",
        "application/scvp-vp-response": "spp",
        "application/sdp": "sdp",
        "application/sea": "sea",
        "application/set": "set",
        "application/set-payment-initiation": "setpay",
        "application/set-registration-initiation": "setreg",
        "application/shf+xml": "shf",
        "application/sla": "stl",
        "application/smil": ["smi", "smil"],
        "application/smil+xml": "smi",
        "application/solids": "sol",
        "application/sounder": "sdr",
        "application/sparql-query": "rq",
        "application/sparql-results+xml": "srx",
        "application/srgs": "gram",
        "application/srgs+xml": "grxml",
        "application/sru+xml": "sru",
        "application/ssml+xml": "ssml",
        "application/step": ["step", "stp"],
        "application/streamingmedia": "ssm",
        "application/tei+xml": "tei",
        "application/thraud+xml": "tfi",
        "application/timestamped-data": "tsd",
        "application/toolbook": "tbk",
        "application/vda": "vda",
        "application/vnd.3gpp.pic-bw-large": "plb",
        "application/vnd.3gpp.pic-bw-small": "psb",
        "application/vnd.3gpp.pic-bw-var": "pvb",
        "application/vnd.3gpp2.tcap": "tcap",
        "application/vnd.3m.post-it-notes": "pwn",
        "application/vnd.accpac.simply.aso": "aso",
        "application/vnd.accpac.simply.imp": "imp",
        "application/vnd.acucobol": "acu",
        "application/vnd.acucorp": "atc",
        "application/vnd.adobe.air-application-installer-package+zip": "air",
        "application/vnd.adobe.fxp": "fxp",
        "application/vnd.adobe.xdp+xml": "xdp",
        "application/vnd.adobe.xfdf": "xfdf",
        "application/vnd.ahead.space": "ahead",
        "application/vnd.airzip.filesecure.azf": "azf",
        "application/vnd.airzip.filesecure.azs": "azs",
        "application/vnd.amazon.ebook": "azw",
        "application/vnd.americandynamics.acc": "acc",
        "application/vnd.amiga.ami": "ami",
        "application/vnd.android.package-archive": "apk",
        "application/vnd.anser-web-certificate-issue-initiation": "cii",
        "application/vnd.anser-web-funds-transfer-initiation": "fti",
        "application/vnd.antix.game-component": "atx",
        "application/vnd.apple.installer+xml": "mpkg",
        "application/vnd.apple.mpegurl": "m3u8",
        "application/vnd.aristanetworks.swi": "swi",
        "application/vnd.audiograph": "aep",
        "application/vnd.blueice.multipass": "mpm",
        "application/vnd.bmi": "bmi",
        "application/vnd.businessobjects": "rep",
        "application/vnd.chemdraw+xml": "cdxml",
        "application/vnd.chipnuts.karaoke-mmd": "mmd",
        "application/vnd.cinderella": "cdy",
        "application/vnd.claymore": "cla",
        "application/vnd.cloanto.rp9": "rp9",
        "application/vnd.clonk.c4group": "c4g",
        "application/vnd.cluetrust.cartomobile-config": "c11amc",
        "application/vnd.cluetrust.cartomobile-config-pkg": "c11amz",
        "application/vnd.commonspace": "csp",
        "application/vnd.contact.cmsg": "cdbcmsg",
        "application/vnd.cosmocaller": "cmc",
        "application/vnd.crick.clicker": "clkx",
        "application/vnd.crick.clicker.keyboard": "clkk",
        "application/vnd.crick.clicker.palette": "clkp",
        "application/vnd.crick.clicker.template": "clkt",
        "application/vnd.crick.clicker.wordbank": "clkw",
        "application/vnd.criticaltools.wbs+xml": "wbs",
        "application/vnd.ctc-posml": "pml",
        "application/vnd.cups-ppd": "ppd",
        "application/vnd.curl.car": "car",
        "application/vnd.curl.pcurl": "pcurl",
        "application/vnd.data-vision.rdz": "rdz",
        "application/vnd.denovo.fcselayout-link": "fe_launch",
        "application/vnd.dna": "dna",
        "application/vnd.dolby.mlp": "mlp",
        "application/vnd.dpgraph": "dpg",
        "application/vnd.dreamfactory": "dfac",
        "application/vnd.dvb.ait": "ait",
        "application/vnd.dvb.service": "svc",
        "application/vnd.dynageo": "geo",
        "application/vnd.ecowin.chart": "mag",
        "application/vnd.enliven": "nml",
        "application/vnd.epson.esf": "esf",
        "application/vnd.epson.msf": "msf",
        "application/vnd.epson.quickanime": "qam",
        "application/vnd.epson.salt": "slt",
        "application/vnd.epson.ssf": "ssf",
        "application/vnd.eszigno3+xml": "es3",
        "application/vnd.ezpix-album": "ez2",
        "application/vnd.ezpix-package": "ez3",
        "application/vnd.fdf": "fdf",
        "application/vnd.fdsn.seed": "seed",
        "application/vnd.flographit": "gph",
        "application/vnd.fluxtime.clip": "ftc",
        "application/vnd.framemaker": "fm",
        "application/vnd.frogans.fnc": "fnc",
        "application/vnd.frogans.ltf": "ltf",
        "application/vnd.fsc.weblaunch": "fsc",
        "application/vnd.fujitsu.oasys": "oas",
        "application/vnd.fujitsu.oasys2": "oa2",
        "application/vnd.fujitsu.oasys3": "oa3",
        "application/vnd.fujitsu.oasysgp": "fg5",
        "application/vnd.fujitsu.oasysprs": "bh2",
        "application/vnd.fujixerox.ddd": "ddd",
        "application/vnd.fujixerox.docuworks": "xdw",
        "application/vnd.fujixerox.docuworks.binder": "xbd",
        "application/vnd.fuzzysheet": "fzs",
        "application/vnd.genomatix.tuxedo": "txd",
        "application/vnd.geogebra.file": "ggb",
        "application/vnd.geogebra.tool": "ggt",
        "application/vnd.geometry-explorer": "gex",
        "application/vnd.geonext": "gxt",
        "application/vnd.geoplan": "g2w",
        "application/vnd.geospace": "g3w",
        "application/vnd.gmx": "gmx",
        "application/vnd.google-earth.kml+xml": "kml",
        "application/vnd.google-earth.kmz": "kmz",
        "application/vnd.grafeq": "gqf",
        "application/vnd.groove-account": "gac",
        "application/vnd.groove-help": "ghf",
        "application/vnd.groove-identity-message": "gim",
        "application/vnd.groove-injector": "grv",
        "application/vnd.groove-tool-message": "gtm",
        "application/vnd.groove-tool-template": "tpl",
        "application/vnd.groove-vcard": "vcg",
        "application/vnd.hal+xml": "hal",
        "application/vnd.handheld-entertainment+xml": "zmm",
        "application/vnd.hbci": "hbci",
        "application/vnd.hhe.lesson-player": "les",
        "application/vnd.hp-hpgl": ["hgl", "hpg", "hpgl"],
        "application/vnd.hp-hpid": "hpid",
        "application/vnd.hp-hps": "hps",
        "application/vnd.hp-jlyt": "jlt",
        "application/vnd.hp-pcl": "pcl",
        "application/vnd.hp-pclxl": "pclxl",
        "application/vnd.hydrostatix.sof-data": "sfd-hdstx",
        "application/vnd.hzn-3d-crossword": "x3d",
        "application/vnd.ibm.minipay": "mpy",
        "application/vnd.ibm.modcap": "afp",
        "application/vnd.ibm.rights-management": "irm",
        "application/vnd.ibm.secure-container": "sc",
        "application/vnd.iccprofile": "icc",
        "application/vnd.igloader": "igl",
        "application/vnd.immervision-ivp": "ivp",
        "application/vnd.immervision-ivu": "ivu",
        "application/vnd.insors.igm": "igm",
        "application/vnd.intercon.formnet": "xpw",
        "application/vnd.intergeo": "i2g",
        "application/vnd.intu.qbo": "qbo",
        "application/vnd.intu.qfx": "qfx",
        "application/vnd.ipunplugged.rcprofile": "rcprofile",
        "application/vnd.irepository.package+xml": "irp",
        "application/vnd.is-xpr": "xpr",
        "application/vnd.isac.fcs": "fcs",
        "application/vnd.jam": "jam",
        "application/vnd.jcp.javame.midlet-rms": "rms",
        "application/vnd.jisp": "jisp",
        "application/vnd.joost.joda-archive": "joda",
        "application/vnd.kahootz": "ktz",
        "application/vnd.kde.karbon": "karbon",
        "application/vnd.kde.kchart": "chrt",
        "application/vnd.kde.kformula": "kfo",
        "application/vnd.kde.kivio": "flw",
        "application/vnd.kde.kontour": "kon",
        "application/vnd.kde.kpresenter": "kpr",
        "application/vnd.kde.kspread": "ksp",
        "application/vnd.kde.kword": "kwd",
        "application/vnd.kenameaapp": "htke",
        "application/vnd.kidspiration": "kia",
        "application/vnd.kinar": "kne",
        "application/vnd.koan": "skp",
        "application/vnd.kodak-descriptor": "sse",
        "application/vnd.las.las+xml": "lasxml",
        "application/vnd.llamagraphics.life-balance.desktop": "lbd",
        "application/vnd.llamagraphics.life-balance.exchange+xml": "lbe",
        "application/vnd.lotus-1-2-3": "123",
        "application/vnd.lotus-approach": "apr",
        "application/vnd.lotus-freelance": "pre",
        "application/vnd.lotus-notes": "nsf",
        "application/vnd.lotus-organizer": "org",
        "application/vnd.lotus-screencam": "scm",
        "application/vnd.lotus-wordpro": "lwp",
        "application/vnd.macports.portpkg": "portpkg",
        "application/vnd.mcd": "mcd",
        "application/vnd.medcalcdata": "mc1",
        "application/vnd.mediastation.cdkey": "cdkey",
        "application/vnd.mfer": "mwf",
        "application/vnd.mfmp": "mfm",
        "application/vnd.micrografx.flo": "flo",
        "application/vnd.micrografx.igx": "igx",
        "application/vnd.mif": "mif",
        "application/vnd.mobius.daf": "daf",
        "application/vnd.mobius.dis": "dis",
        "application/vnd.mobius.mbk": "mbk",
        "application/vnd.mobius.mqy": "mqy",
        "application/vnd.mobius.msl": "msl",
        "application/vnd.mobius.plc": "plc",
        "application/vnd.mobius.txf": "txf",
        "application/vnd.mophun.application": "mpn",
        "application/vnd.mophun.certificate": "mpc",
        "application/vnd.mozilla.xul+xml": "xul",
        "application/vnd.ms-artgalry": "cil",
        "application/vnd.ms-cab-compressed": "cab",
        "application/vnd.ms-excel": ["xls", "xla", "xlc", "xlm", "xlt", "xlw", "xlb", "xll"],
        "application/vnd.ms-excel.addin.macroenabled.12": "xlam",
        "application/vnd.ms-excel.sheet.binary.macroenabled.12": "xlsb",
        "application/vnd.ms-excel.sheet.macroenabled.12": "xlsm",
        "application/vnd.ms-excel.template.macroenabled.12": "xltm",
        "application/vnd.ms-fontobject": "eot",
        "application/vnd.ms-htmlhelp": "chm",
        "application/vnd.ms-ims": "ims",
        "application/vnd.ms-lrm": "lrm",
        "application/vnd.ms-officetheme": "thmx",
        "application/vnd.ms-outlook": "msg",
        "application/vnd.ms-pki.certstore": "sst",
        "application/vnd.ms-pki.pko": "pko",
        "application/vnd.ms-pki.seccat": "cat",
        "application/vnd.ms-pki.stl": "stl",
        "application/vnd.ms-pkicertstore": "sst",
        "application/vnd.ms-pkiseccat": "cat",
        "application/vnd.ms-pkistl": "stl",
        "application/vnd.ms-powerpoint": ["ppt", "pot", "pps", "ppa", "pwz"],
        "application/vnd.ms-powerpoint.addin.macroenabled.12": "ppam",
        "application/vnd.ms-powerpoint.presentation.macroenabled.12": "pptm",
        "application/vnd.ms-powerpoint.slide.macroenabled.12": "sldm",
        "application/vnd.ms-powerpoint.slideshow.macroenabled.12": "ppsm",
        "application/vnd.ms-powerpoint.template.macroenabled.12": "potm",
        "application/vnd.ms-project": "mpp",
        "application/vnd.ms-word.document.macroenabled.12": "docm",
        "application/vnd.ms-word.template.macroenabled.12": "dotm",
        "application/vnd.ms-works": ["wks", "wcm", "wdb", "wps"],
        "application/vnd.ms-wpl": "wpl",
        "application/vnd.ms-xpsdocument": "xps",
        "application/vnd.mseq": "mseq",
        "application/vnd.musician": "mus",
        "application/vnd.muvee.style": "msty",
        "application/vnd.neurolanguage.nlu": "nlu",
        "application/vnd.noblenet-directory": "nnd",
        "application/vnd.noblenet-sealer": "nns",
        "application/vnd.noblenet-web": "nnw",
        "application/vnd.nokia.configuration-message": "ncm",
        "application/vnd.nokia.n-gage.data": "ngdat",
        "application/vnd.nokia.n-gage.symbian.install": "n-gage",
        "application/vnd.nokia.radio-preset": "rpst",
        "application/vnd.nokia.radio-presets": "rpss",
        "application/vnd.nokia.ringing-tone": "rng",
        "application/vnd.novadigm.edm": "edm",
        "application/vnd.novadigm.edx": "edx",
        "application/vnd.novadigm.ext": "ext",
        "application/vnd.oasis.opendocument.chart": "odc",
        "application/vnd.oasis.opendocument.chart-template": "otc",
        "application/vnd.oasis.opendocument.database": "odb",
        "application/vnd.oasis.opendocument.formula": "odf",
        "application/vnd.oasis.opendocument.formula-template": "odft",
        "application/vnd.oasis.opendocument.graphics": "odg",
        "application/vnd.oasis.opendocument.graphics-template": "otg",
        "application/vnd.oasis.opendocument.image": "odi",
        "application/vnd.oasis.opendocument.image-template": "oti",
        "application/vnd.oasis.opendocument.presentation": "odp",
        "application/vnd.oasis.opendocument.presentation-template": "otp",
        "application/vnd.oasis.opendocument.spreadsheet": "ods",
        "application/vnd.oasis.opendocument.spreadsheet-template": "ots",
        "application/vnd.oasis.opendocument.text": "odt",
        "application/vnd.oasis.opendocument.text-master": "odm",
        "application/vnd.oasis.opendocument.text-template": "ott",
        "application/vnd.oasis.opendocument.text-web": "oth",
        "application/vnd.olpc-sugar": "xo",
        "application/vnd.oma.dd2+xml": "dd2",
        "application/vnd.openofficeorg.extension": "oxt",
        "application/vnd.openxmlformats-officedocument.presentationml.presentation": "pptx",
        "application/vnd.openxmlformats-officedocument.presentationml.slide": "sldx",
        "application/vnd.openxmlformats-officedocument.presentationml.slideshow": "ppsx",
        "application/vnd.openxmlformats-officedocument.presentationml.template": "potx",
        "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": "xlsx",
        "application/vnd.openxmlformats-officedocument.spreadsheetml.template": "xltx",
        "application/vnd.openxmlformats-officedocument.wordprocessingml.document": "docx",
        "application/vnd.openxmlformats-officedocument.wordprocessingml.template": "dotx",
        "application/vnd.osgeo.mapguide.package": "mgp",
        "application/vnd.osgi.dp": "dp",
        "application/vnd.palm": "pdb",
        "application/vnd.pawaafile": "paw",
        "application/vnd.pg.format": "str",
        "application/vnd.pg.osasli": "ei6",
        "application/vnd.picsel": "efif",
        "application/vnd.pmi.widget": "wg",
        "application/vnd.pocketlearn": "plf",
        "application/vnd.powerbuilder6": "pbd",
        "application/vnd.previewsystems.box": "box",
        "application/vnd.proteus.magazine": "mgz",
        "application/vnd.publishare-delta-tree": "qps",
        "application/vnd.pvi.ptid1": "ptid",
        "application/vnd.quark.quarkxpress": "qxd",
        "application/vnd.realvnc.bed": "bed",
        "application/vnd.recordare.musicxml": "mxl",
        "application/vnd.recordare.musicxml+xml": "musicxml",
        "application/vnd.rig.cryptonote": "cryptonote",
        "application/vnd.rim.cod": "cod",
        "application/vnd.rn-realmedia": "rm",
        "application/vnd.rn-realplayer": "rnx",
        "application/vnd.route66.link66+xml": "link66",
        "application/vnd.sailingtracker.track": "st",
        "application/vnd.seemail": "see",
        "application/vnd.sema": "sema",
        "application/vnd.semd": "semd",
        "application/vnd.semf": "semf",
        "application/vnd.shana.informed.formdata": "ifm",
        "application/vnd.shana.informed.formtemplate": "itp",
        "application/vnd.shana.informed.interchange": "iif",
        "application/vnd.shana.informed.package": "ipk",
        "application/vnd.simtech-mindmapper": "twd",
        "application/vnd.smaf": "mmf",
        "application/vnd.smart.teacher": "teacher",
        "application/vnd.solent.sdkm+xml": "sdkm",
        "application/vnd.spotfire.dxp": "dxp",
        "application/vnd.spotfire.sfs": "sfs",
        "application/vnd.stardivision.calc": "sdc",
        "application/vnd.stardivision.draw": "sda",
        "application/vnd.stardivision.impress": "sdd",
        "application/vnd.stardivision.math": "smf",
        "application/vnd.stardivision.writer": "sdw",
        "application/vnd.stardivision.writer-global": "sgl",
        "application/vnd.stepmania.stepchart": "sm",
        "application/vnd.sun.xml.calc": "sxc",
        "application/vnd.sun.xml.calc.template": "stc",
        "application/vnd.sun.xml.draw": "sxd",
        "application/vnd.sun.xml.draw.template": "std",
        "application/vnd.sun.xml.impress": "sxi",
        "application/vnd.sun.xml.impress.template": "sti",
        "application/vnd.sun.xml.math": "sxm",
        "application/vnd.sun.xml.writer": "sxw",
        "application/vnd.sun.xml.writer.global": "sxg",
        "application/vnd.sun.xml.writer.template": "stw",
        "application/vnd.sus-calendar": "sus",
        "application/vnd.svd": "svd",
        "application/vnd.symbian.install": "sis",
        "application/vnd.syncml+xml": "xsm",
        "application/vnd.syncml.dm+wbxml": "bdm",
        "application/vnd.syncml.dm+xml": "xdm",
        "application/vnd.tao.intent-module-archive": "tao",
        "application/vnd.tmobile-livetv": "tmo",
        "application/vnd.trid.tpt": "tpt",
        "application/vnd.triscape.mxs": "mxs",
        "application/vnd.trueapp": "tra",
        "application/vnd.ufdl": "ufd",
        "application/vnd.uiq.theme": "utz",
        "application/vnd.umajin": "umj",
        "application/vnd.unity": "unityweb",
        "application/vnd.uoml+xml": "uoml",
        "application/vnd.vcx": "vcx",
        "application/vnd.visio": "vsd",
        "application/vnd.visionary": "vis",
        "application/vnd.vsf": "vsf",
        "application/vnd.wap.wbxml": "wbxml",
        "application/vnd.wap.wmlc": "wmlc",
        "application/vnd.wap.wmlscriptc": "wmlsc",
        "application/vnd.webturbo": "wtb",
        "application/vnd.wolfram.player": "nbp",
        "application/vnd.wordperfect": "wpd",
        "application/vnd.wqd": "wqd",
        "application/vnd.wt.stf": "stf",
        "application/vnd.xara": ["web", "xar"],
        "application/vnd.xfdl": "xfdl",
        "application/vnd.yamaha.hv-dic": "hvd",
        "application/vnd.yamaha.hv-script": "hvs",
        "application/vnd.yamaha.hv-voice": "hvp",
        "application/vnd.yamaha.openscoreformat": "osf",
        "application/vnd.yamaha.openscoreformat.osfpvg+xml": "osfpvg",
        "application/vnd.yamaha.smaf-audio": "saf",
        "application/vnd.yamaha.smaf-phrase": "spf",
        "application/vnd.yellowriver-custom-menu": "cmp",
        "application/vnd.zul": "zir",
        "application/vnd.zzazz.deck+xml": "zaz",
        "application/vocaltec-media-desc": "vmd",
        "application/vocaltec-media-file": "vmf",
        "application/voicexml+xml": "vxml",
        "application/widget": "wgt",
        "application/winhlp": "hlp",
        "application/wordperfect": ["wp", "wp5", "wp6", "wpd"],
        "application/wordperfect6.0": ["w60", "wp5"],
        "application/wordperfect6.1": "w61",
        "application/wsdl+xml": "wsdl",
        "application/wspolicy+xml": "wspolicy",
        "application/x-123": "wk1",
        "application/x-7z-compressed": "7z",
        "application/x-abiword": "abw",
        "application/x-ace-compressed": "ace",
        "application/x-aim": "aim",
        "application/x-authorware-bin": "aab",
        "application/x-authorware-map": "aam",
        "application/x-authorware-seg": "aas",
        "application/x-bcpio": "bcpio",
        "application/x-binary": "bin",
        "application/x-binhex40": "hqx",
        "application/x-bittorrent": "torrent",
        "application/x-bsh": ["bsh", "sh", "shar"],
        "application/x-bytecode.elisp": "elc",
        "applicaiton/x-bytecode.python": "pyc",
        "application/x-bzip": "bz",
        "application/x-bzip2": ["boz", "bz2"],
        "application/x-cdf": "cdf",
        "application/x-cdlink": "vcd",
        "application/x-chat": ["cha", "chat"],
        "application/x-chess-pgn": "pgn",
        "application/x-cmu-raster": "ras",
        "application/x-cocoa": "cco",
        "application/x-compactpro": "cpt",
        "application/x-compress": "z",
        "application/x-compressed": ["tgz", "gz", "z", "zip"],
        "application/x-conference": "nsc",
        "application/x-cpio": "cpio",
        "application/x-cpt": "cpt",
        "application/x-csh": "csh",
        "application/x-debian-package": "deb",
        "application/x-deepv": "deepv",
        "application/x-director": ["dir", "dcr", "dxr"],
        "application/x-doom": "wad",
        "application/x-dtbncx+xml": "ncx",
        "application/x-dtbook+xml": "dtb",
        "application/x-dtbresource+xml": "res",
        "application/x-dvi": "dvi",
        "application/x-elc": "elc",
        "application/x-envoy": ["env", "evy"],
        "application/x-esrehber": "es",
        "application/x-excel": ["xls", "xla", "xlb", "xlc", "xld", "xlk", "xll", "xlm", "xlt", "xlv", "xlw"],
        "application/x-font-bdf": "bdf",
        "application/x-font-ghostscript": "gsf",
        "application/x-font-linux-psf": "psf",
        "application/x-font-otf": "otf",
        "application/x-font-pcf": "pcf",
        "application/x-font-snf": "snf",
        "application/x-font-ttf": "ttf",
        "application/x-font-type1": "pfa",
        "application/x-font-woff": "woff",
        "application/x-frame": "mif",
        "application/x-freelance": "pre",
        "application/x-futuresplash": "spl",
        "application/x-gnumeric": "gnumeric",
        "application/x-gsp": "gsp",
        "application/x-gss": "gss",
        "application/x-gtar": "gtar",
        "application/x-gzip": ["gz", "gzip"],
        "application/x-hdf": "hdf",
        "application/x-helpfile": ["help", "hlp"],
        "application/x-httpd-imap": "imap",
        "application/x-ima": "ima",
        "application/x-internet-signup": ["ins", "isp"],
        "application/x-internett-signup": "ins",
        "application/x-inventor": "iv",
        "application/x-ip2": "ip",
        "application/x-iphone": "iii",
        "application/x-java-class": "class",
        "application/x-java-commerce": "jcm",
        "application/x-java-jnlp-file": "jnlp",
        "application/x-javascript": "js",
        "application/x-koan": ["skd", "skm", "skp", "skt"],
        "application/x-ksh": "ksh",
        "application/x-latex": ["latex", "ltx"],
        "application/x-lha": "lha",
        "application/x-lisp": "lsp",
        "application/x-livescreen": "ivy",
        "application/x-lotus": "wq1",
        "application/x-lotusscreencam": "scm",
        "application/x-lzh": "lzh",
        "application/x-lzx": "lzx",
        "application/x-mac-binhex40": "hqx",
        "application/x-macbinary": "bin",
        "application/x-magic-cap-package-1.0": "mc$",
        "application/x-mathcad": "mcd",
        "application/x-meme": "mm",
        "application/x-midi": ["mid", "midi"],
        "application/x-mif": "mif",
        "application/x-mix-transfer": "nix",
        "application/x-mobipocket-ebook": "prc",
        "application/x-mplayer2": "asx",
        "application/x-ms-application": "application",
        "application/x-ms-wmd": "wmd",
        "application/x-ms-wmz": "wmz",
        "application/x-ms-xbap": "xbap",
        "application/x-msaccess": "mdb",
        "application/x-msbinder": "obd",
        "application/x-mscardfile": "crd",
        "application/x-msclip": "clp",
        "application/x-msdownload": ["exe", "dll"],
        "application/x-msexcel": ["xls", "xla", "xlw"],
        "application/x-msmediaview": ["mvb", "m13", "m14"],
        "application/x-msmetafile": "wmf",
        "application/x-msmoney": "mny",
        "application/x-mspowerpoint": "ppt",
        "application/x-mspublisher": "pub",
        "application/x-msschedule": "scd",
        "application/x-msterminal": "trm",
        "application/x-mswrite": "wri",
        "application/x-navi-animation": "ani",
        "application/x-navidoc": "nvd",
        "application/x-navimap": "map",
        "application/x-navistyle": "stl",
        "application/x-netcdf": ["cdf", "nc"],
        "application/x-newton-compatible-pkg": "pkg",
        "application/x-nokia-9000-communicator-add-on-software": "aos",
        "application/x-omc": "omc",
        "application/x-omcdatamaker": "omcd",
        "application/x-omcregerator": "omcr",
        "application/x-pagemaker": ["pm4", "pm5"],
        "application/x-pcl": "pcl",
        "application/x-perfmon": ["pma", "pmc", "pml", "pmr", "pmw"],
        "application/x-pixclscript": "plx",
        "application/x-pkcs10": "p10",
        "application/x-pkcs12": ["p12", "pfx"],
        "application/x-pkcs7-certificates": ["p7b", "spc"],
        "application/x-pkcs7-certreqresp": "p7r",
        "application/x-pkcs7-mime": ["p7m", "p7c"],
        "application/x-pkcs7-signature": ["p7s", "p7a"],
        "application/x-pointplus": "css",
        "application/x-portable-anymap": "pnm",
        "application/x-project": ["mpc", "mpt", "mpv", "mpx"],
        "application/x-qpro": "wb1",
        "application/x-rar-compressed": "rar",
        "application/x-rtf": "rtf",
        "application/x-sdp": "sdp",
        "application/x-sea": "sea",
        "application/x-seelogo": "sl",
        "application/x-sh": "sh",
        "application/x-shar": ["shar", "sh"],
        "application/x-shockwave-flash": "swf",
        "application/x-silverlight-app": "xap",
        "application/x-sit": "sit",
        "application/x-sprite": ["spr", "sprite"],
        "application/x-stuffit": "sit",
        "application/x-stuffitx": "sitx",
        "application/x-sv4cpio": "sv4cpio",
        "application/x-sv4crc": "sv4crc",
        "application/x-tar": "tar",
        "application/x-tbook": ["sbk", "tbk"],
        "application/x-tcl": "tcl",
        "application/x-tex": "tex",
        "application/x-tex-tfm": "tfm",
        "application/x-texinfo": ["texi", "texinfo"],
        "application/x-troff": ["roff", "t", "tr"],
        "application/x-troff-man": "man",
        "application/x-troff-me": "me",
        "application/x-troff-ms": "ms",
        "application/x-troff-msvideo": "avi",
        "application/x-ustar": "ustar",
        "application/x-visio": ["vsd", "vst", "vsw"],
        "application/x-vnd.audioexplosion.mzz": "mzz",
        "application/x-vnd.ls-xpix": "xpix",
        "application/x-vrml": "vrml",
        "application/x-wais-source": ["src", "wsrc"],
        "application/x-winhelp": "hlp",
        "application/x-wintalk": "wtk",
        "application/x-world": ["wrl", "svr"],
        "application/x-wpwin": "wpd",
        "application/x-wri": "wri",
        "application/x-x509-ca-cert": ["cer", "crt", "der"],
        "application/x-x509-user-cert": "crt",
        "application/x-xfig": "fig",
        "application/x-xpinstall": "xpi",
        "application/x-zip-compressed": "zip",
        "application/xcap-diff+xml": "xdf",
        "application/xenc+xml": "xenc",
        "application/xhtml+xml": "xhtml",
        "application/xml": "xml",
        "application/xml-dtd": "dtd",
        "application/xop+xml": "xop",
        "application/xslt+xml": "xslt",
        "application/xspf+xml": "xspf",
        "application/xv+xml": "mxml",
        "application/yang": "yang",
        "application/yin+xml": "yin",
        "application/ynd.ms-pkipko": "pko",
        "application/zip": "zip",
        "audio/adpcm": "adp",
        "audio/aiff": ["aiff", "aif", "aifc"],
        "audio/basic": ["snd", "au"],
        "audio/it": "it",
        "audio/make": ["funk", "my", "pfunk"],
        "audio/make.my.funk": "pfunk",
        "audio/mid": ["mid", "rmi"],
        "audio/midi": ["midi", "kar", "mid"],
        "audio/mod": "mod",
        "audio/mp4": "mp4a",
        "audio/mpeg": ["mpga", "mp3", "m2a", "mp2", "mpa", "mpg"],
        "audio/mpeg3": "mp3",
        "audio/nspaudio": ["la", "lma"],
        "audio/ogg": "oga",
        "audio/s3m": "s3m",
        "audio/tsp-audio": "tsi",
        "audio/tsplayer": "tsp",
        "audio/vnd.dece.audio": "uva",
        "audio/vnd.digital-winds": "eol",
        "audio/vnd.dra": "dra",
        "audio/vnd.dts": "dts",
        "audio/vnd.dts.hd": "dtshd",
        "audio/vnd.lucent.voice": "lvp",
        "audio/vnd.ms-playready.media.pya": "pya",
        "audio/vnd.nuera.ecelp4800": "ecelp4800",
        "audio/vnd.nuera.ecelp7470": "ecelp7470",
        "audio/vnd.nuera.ecelp9600": "ecelp9600",
        "audio/vnd.qcelp": "qcp",
        "audio/vnd.rip": "rip",
        "audio/voc": "voc",
        "audio/voxware": "vox",
        "audio/wav": "wav",
        "audio/webm": "weba",
        "audio/x-aac": "aac",
        "audio/x-adpcm": "snd",
        "audio/x-aiff": ["aiff", "aif", "aifc"],
        "audio/x-au": "au",
        "audio/x-gsm": ["gsd", "gsm"],
        "audio/x-jam": "jam",
        "audio/x-liveaudio": "lam",
        "audio/x-mid": ["mid", "midi"],
        "audio/x-midi": ["midi", "mid"],
        "audio/x-mod": "mod",
        "audio/x-mpeg": "mp2",
        "audio/x-mpeg-3": "mp3",
        "audio/x-mpegurl": "m3u",
        "audio/x-mpequrl": "m3u",
        "audio/x-ms-wax": "wax",
        "audio/x-ms-wma": "wma",
        "audio/x-nspaudio": ["la", "lma"],
        "audio/x-pn-realaudio": ["ra", "ram", "rm", "rmm", "rmp"],
        "audio/x-pn-realaudio-plugin": ["ra", "rmp", "rpm"],
        "audio/x-psid": "sid",
        "audio/x-realaudio": "ra",
        "audio/x-twinvq": "vqf",
        "audio/x-twinvq-plugin": ["vqe", "vql"],
        "audio/x-vnd.audioexplosion.mjuicemediafile": "mjf",
        "audio/x-voc": "voc",
        "audio/x-wav": "wav",
        "audio/xm": "xm",
        "chemical/x-cdx": "cdx",
        "chemical/x-cif": "cif",
        "chemical/x-cmdf": "cmdf",
        "chemical/x-cml": "cml",
        "chemical/x-csml": "csml",
        "chemical/x-pdb": ["pdb", "xyz"],
        "chemical/x-xyz": "xyz",
        "drawing/x-dwf": "dwf",
        "i-world/i-vrml": "ivr",
        "image/bmp": ["bmp", "bm"],
        "image/cgm": "cgm",
        "image/cis-cod": "cod",
        "image/cmu-raster": ["ras", "rast"],
        "image/fif": "fif",
        "image/florian": ["flo", "turbot"],
        "image/g3fax": "g3",
        "image/gif": "gif",
        "image/ief": ["ief", "iefs"],
        "image/jpeg": ["jpeg", "jpe", "jpg", "jfif", "jfif-tbnl"],
        "image/jutvision": "jut",
        "image/ktx": "ktx",
        "image/naplps": ["nap", "naplps"],
        "image/pict": ["pic", "pict"],
        "image/pipeg": "jfif",
        "image/pjpeg": ["jfif", "jpe", "jpeg", "jpg"],
        "image/png": ["png", "x-png"],
        "image/prs.btif": "btif",
        "image/svg+xml": "svg",
        "image/tiff": ["tif", "tiff"],
        "image/vasa": "mcf",
        "image/vnd.adobe.photoshop": "psd",
        "image/vnd.dece.graphic": "uvi",
        "image/vnd.djvu": "djvu",
        "image/vnd.dvb.subtitle": "sub",
        "image/vnd.dwg": ["dwg", "dxf", "svf"],
        "image/vnd.dxf": "dxf",
        "image/vnd.fastbidsheet": "fbs",
        "image/vnd.fpx": "fpx",
        "image/vnd.fst": "fst",
        "image/vnd.fujixerox.edmics-mmr": "mmr",
        "image/vnd.fujixerox.edmics-rlc": "rlc",
        "image/vnd.ms-modi": "mdi",
        "image/vnd.net-fpx": ["fpx", "npx"],
        "image/vnd.rn-realflash": "rf",
        "image/vnd.rn-realpix": "rp",
        "image/vnd.wap.wbmp": "wbmp",
        "image/vnd.xiff": "xif",
        "image/webp": "webp",
        "image/x-cmu-raster": "ras",
        "image/x-cmx": "cmx",
        "image/x-dwg": ["dwg", "dxf", "svf"],
        "image/x-freehand": "fh",
        "image/x-icon": "ico",
        "image/x-jg": "art",
        "image/x-jps": "jps",
        "image/x-niff": ["niff", "nif"],
        "image/x-pcx": "pcx",
        "image/x-pict": ["pct", "pic"],
        "image/x-portable-anymap": "pnm",
        "image/x-portable-bitmap": "pbm",
        "image/x-portable-graymap": "pgm",
        "image/x-portable-greymap": "pgm",
        "image/x-portable-pixmap": "ppm",
        "image/x-quicktime": ["qif", "qti", "qtif"],
        "image/x-rgb": "rgb",
        "image/x-tiff": ["tif", "tiff"],
        "image/x-windows-bmp": "bmp",
        "image/x-xbitmap": "xbm",
        "image/x-xbm": "xbm",
        "image/x-xpixmap": ["xpm", "pm"],
        "image/x-xwd": "xwd",
        "image/x-xwindowdump": "xwd",
        "image/xbm": "xbm",
        "image/xpm": "xpm",
        "message/rfc822": ["eml", "mht", "mhtml", "nws", "mime"],
        "model/iges": ["iges", "igs"],
        "model/mesh": "msh",
        "model/vnd.collada+xml": "dae",
        "model/vnd.dwf": "dwf",
        "model/vnd.gdl": "gdl",
        "model/vnd.gtw": "gtw",
        "model/vnd.mts": "mts",
        "model/vnd.vtu": "vtu",
        "model/vrml": ["vrml", "wrl", "wrz"],
        "model/x-pov": "pov",
        "multipart/x-gzip": "gzip",
        "multipart/x-ustar": "ustar",
        "multipart/x-zip": "zip",
        "music/crescendo": ["mid", "midi"],
        "music/x-karaoke": "kar",
        "paleovu/x-pv": "pvu",
        "text/asp": "asp",
        "text/calendar": "ics",
        "text/css": "css",
        "text/csv": "csv",
        "text/ecmascript": "js",
        "text/h323": "323",
        "text/html": ["html", "htm", "stm", "acgi", "htmls", "htx", "shtml"],
        "text/iuls": "uls",
        "text/javascript": "js",
        "text/mcf": "mcf",
        "text/n3": "n3",
        "text/pascal": "pas",
        "text/plain": [
          "txt",
          "bas",
          "c",
          "h",
          "c++",
          "cc",
          "com",
          "conf",
          "cxx",
          "def",
          "f",
          "f90",
          "for",
          "g",
          "hh",
          "idc",
          "jav",
          "java",
          "list",
          "log",
          "lst",
          "m",
          "mar",
          "pl",
          "sdml",
          "text"
        ],
        "text/plain-bas": "par",
        "text/prs.lines.tag": "dsc",
        "text/richtext": ["rtx", "rt", "rtf"],
        "text/scriplet": "wsc",
        "text/scriptlet": "sct",
        "text/sgml": ["sgm", "sgml"],
        "text/tab-separated-values": "tsv",
        "text/troff": "t",
        "text/turtle": "ttl",
        "text/uri-list": ["uni", "unis", "uri", "uris"],
        "text/vnd.abc": "abc",
        "text/vnd.curl": "curl",
        "text/vnd.curl.dcurl": "dcurl",
        "text/vnd.curl.mcurl": "mcurl",
        "text/vnd.curl.scurl": "scurl",
        "text/vnd.fly": "fly",
        "text/vnd.fmi.flexstor": "flx",
        "text/vnd.graphviz": "gv",
        "text/vnd.in3d.3dml": "3dml",
        "text/vnd.in3d.spot": "spot",
        "text/vnd.rn-realtext": "rt",
        "text/vnd.sun.j2me.app-descriptor": "jad",
        "text/vnd.wap.wml": "wml",
        "text/vnd.wap.wmlscript": "wmls",
        "text/webviewhtml": "htt",
        "text/x-asm": ["asm", "s"],
        "text/x-audiosoft-intra": "aip",
        "text/x-c": ["c", "cc", "cpp"],
        "text/x-component": "htc",
        "text/x-fortran": ["for", "f", "f77", "f90"],
        "text/x-h": ["h", "hh"],
        "text/x-java-source": ["java", "jav"],
        "text/x-java-source,java": "java",
        "text/x-la-asf": "lsx",
        "text/x-m": "m",
        "text/x-pascal": "p",
        "text/x-script": "hlb",
        "text/x-script.csh": "csh",
        "text/x-script.elisp": "el",
        "text/x-script.guile": "scm",
        "text/x-script.ksh": "ksh",
        "text/x-script.lisp": "lsp",
        "text/x-script.perl": "pl",
        "text/x-script.perl-module": "pm",
        "text/x-script.phyton": "py",
        "text/x-script.rexx": "rexx",
        "text/x-script.scheme": "scm",
        "text/x-script.sh": "sh",
        "text/x-script.tcl": "tcl",
        "text/x-script.tcsh": "tcsh",
        "text/x-script.zsh": "zsh",
        "text/x-server-parsed-html": ["shtml", "ssi"],
        "text/x-setext": "etx",
        "text/x-sgml": ["sgm", "sgml"],
        "text/x-speech": ["spc", "talk"],
        "text/x-uil": "uil",
        "text/x-uuencode": ["uu", "uue"],
        "text/x-vcalendar": "vcs",
        "text/x-vcard": "vcf",
        "text/xml": "xml",
        "video/3gpp": "3gp",
        "video/3gpp2": "3g2",
        "video/animaflex": "afl",
        "video/avi": "avi",
        "video/avs-video": "avs",
        "video/dl": "dl",
        "video/fli": "fli",
        "video/gl": "gl",
        "video/h261": "h261",
        "video/h263": "h263",
        "video/h264": "h264",
        "video/jpeg": "jpgv",
        "video/jpm": "jpm",
        "video/mj2": "mj2",
        "video/mp4": "mp4",
        "video/mpeg": ["mpeg", "mp2", "mpa", "mpe", "mpg", "mpv2", "m1v", "m2v", "mp3"],
        "video/msvideo": "avi",
        "video/ogg": "ogv",
        "video/quicktime": ["mov", "qt", "moov"],
        "video/vdo": "vdo",
        "video/vivo": ["viv", "vivo"],
        "video/vnd.dece.hd": "uvh",
        "video/vnd.dece.mobile": "uvm",
        "video/vnd.dece.pd": "uvp",
        "video/vnd.dece.sd": "uvs",
        "video/vnd.dece.video": "uvv",
        "video/vnd.fvt": "fvt",
        "video/vnd.mpegurl": "mxu",
        "video/vnd.ms-playready.media.pyv": "pyv",
        "video/vnd.rn-realvideo": "rv",
        "video/vnd.uvvu.mp4": "uvu",
        "video/vnd.vivo": ["viv", "vivo"],
        "video/vosaic": "vos",
        "video/webm": "webm",
        "video/x-amt-demorun": "xdr",
        "video/x-amt-showrun": "xsr",
        "video/x-atomic3d-feature": "fmf",
        "video/x-dl": "dl",
        "video/x-dv": ["dif", "dv"],
        "video/x-f4v": "f4v",
        "video/x-fli": "fli",
        "video/x-flv": "flv",
        "video/x-gl": "gl",
        "video/x-isvideo": "isu",
        "video/x-la-asf": ["lsf", "lsx"],
        "video/x-m4v": "m4v",
        "video/x-motion-jpeg": "mjpg",
        "video/x-mpeg": ["mp3", "mp2"],
        "video/x-mpeq2a": "mp2",
        "video/x-ms-asf": ["asf", "asr", "asx"],
        "video/x-ms-asf-plugin": "asx",
        "video/x-ms-wm": "wm",
        "video/x-ms-wmv": "wmv",
        "video/x-ms-wmx": "wmx",
        "video/x-ms-wvx": "wvx",
        "video/x-msvideo": "avi",
        "video/x-qtc": "qtc",
        "video/x-scm": "scm",
        "video/x-sgi-movie": ["movie", "mv"],
        "windows/metafile": "wmf",
        "www/mime": "mime",
        "x-conference/x-cooltalk": "ice",
        "x-music/x-midi": ["mid", "midi"],
        "x-world/x-3dmf": ["3dm", "3dmf", "qd3", "qd3d"],
        "x-world/x-svr": "svr",
        "x-world/x-vrml": ["flr", "vrml", "wrl", "wrz", "xaf", "xof"],
        "x-world/x-vrt": "vrt",
        "xgl/drawing": "xgz",
        "xgl/movie": "xmz"
      },
      extensions: {
        "*": "application/octet-stream",
        "123": "application/vnd.lotus-1-2-3",
        "323": "text/h323",
        "3dm": "x-world/x-3dmf",
        "3dmf": "x-world/x-3dmf",
        "3dml": "text/vnd.in3d.3dml",
        "3g2": "video/3gpp2",
        "3gp": "video/3gpp",
        "7z": "application/x-7z-compressed",
        a: "application/octet-stream",
        aab: "application/x-authorware-bin",
        aac: "audio/x-aac",
        aam: "application/x-authorware-map",
        aas: "application/x-authorware-seg",
        abc: "text/vnd.abc",
        abw: "application/x-abiword",
        ac: "application/pkix-attr-cert",
        acc: "application/vnd.americandynamics.acc",
        ace: "application/x-ace-compressed",
        acgi: "text/html",
        acu: "application/vnd.acucobol",
        acx: "application/internet-property-stream",
        adp: "audio/adpcm",
        aep: "application/vnd.audiograph",
        afl: "video/animaflex",
        afp: "application/vnd.ibm.modcap",
        ahead: "application/vnd.ahead.space",
        ai: "application/postscript",
        aif: ["audio/aiff", "audio/x-aiff"],
        aifc: ["audio/aiff", "audio/x-aiff"],
        aiff: ["audio/aiff", "audio/x-aiff"],
        aim: "application/x-aim",
        aip: "text/x-audiosoft-intra",
        air: "application/vnd.adobe.air-application-installer-package+zip",
        ait: "application/vnd.dvb.ait",
        ami: "application/vnd.amiga.ami",
        ani: "application/x-navi-animation",
        aos: "application/x-nokia-9000-communicator-add-on-software",
        apk: "application/vnd.android.package-archive",
        application: "application/x-ms-application",
        apr: "application/vnd.lotus-approach",
        aps: "application/mime",
        arc: "application/octet-stream",
        arj: ["application/arj", "application/octet-stream"],
        art: "image/x-jg",
        asf: "video/x-ms-asf",
        asm: "text/x-asm",
        aso: "application/vnd.accpac.simply.aso",
        asp: "text/asp",
        asr: "video/x-ms-asf",
        asx: ["video/x-ms-asf", "application/x-mplayer2", "video/x-ms-asf-plugin"],
        atc: "application/vnd.acucorp",
        atomcat: "application/atomcat+xml",
        atomsvc: "application/atomsvc+xml",
        atx: "application/vnd.antix.game-component",
        au: ["audio/basic", "audio/x-au"],
        avi: ["video/avi", "video/msvideo", "application/x-troff-msvideo", "video/x-msvideo"],
        avs: "video/avs-video",
        aw: "application/applixware",
        axs: "application/olescript",
        azf: "application/vnd.airzip.filesecure.azf",
        azs: "application/vnd.airzip.filesecure.azs",
        azw: "application/vnd.amazon.ebook",
        bas: "text/plain",
        bcpio: "application/x-bcpio",
        bdf: "application/x-font-bdf",
        bdm: "application/vnd.syncml.dm+wbxml",
        bed: "application/vnd.realvnc.bed",
        bh2: "application/vnd.fujitsu.oasysprs",
        bin: ["application/octet-stream", "application/mac-binary", "application/macbinary", "application/x-macbinary", "application/x-binary"],
        bm: "image/bmp",
        bmi: "application/vnd.bmi",
        bmp: ["image/bmp", "image/x-windows-bmp"],
        boo: "application/book",
        book: "application/book",
        box: "application/vnd.previewsystems.box",
        boz: "application/x-bzip2",
        bsh: "application/x-bsh",
        btif: "image/prs.btif",
        bz: "application/x-bzip",
        bz2: "application/x-bzip2",
        c: ["text/plain", "text/x-c"],
        "c++": "text/plain",
        c11amc: "application/vnd.cluetrust.cartomobile-config",
        c11amz: "application/vnd.cluetrust.cartomobile-config-pkg",
        c4g: "application/vnd.clonk.c4group",
        cab: "application/vnd.ms-cab-compressed",
        car: "application/vnd.curl.car",
        cat: ["application/vnd.ms-pkiseccat", "application/vnd.ms-pki.seccat"],
        cc: ["text/plain", "text/x-c"],
        ccad: "application/clariscad",
        cco: "application/x-cocoa",
        ccxml: "application/ccxml+xml,",
        cdbcmsg: "application/vnd.contact.cmsg",
        cdf: ["application/cdf", "application/x-cdf", "application/x-netcdf"],
        cdkey: "application/vnd.mediastation.cdkey",
        cdmia: "application/cdmi-capability",
        cdmic: "application/cdmi-container",
        cdmid: "application/cdmi-domain",
        cdmio: "application/cdmi-object",
        cdmiq: "application/cdmi-queue",
        cdx: "chemical/x-cdx",
        cdxml: "application/vnd.chemdraw+xml",
        cdy: "application/vnd.cinderella",
        cer: ["application/pkix-cert", "application/x-x509-ca-cert"],
        cgm: "image/cgm",
        cha: "application/x-chat",
        chat: "application/x-chat",
        chm: "application/vnd.ms-htmlhelp",
        chrt: "application/vnd.kde.kchart",
        cif: "chemical/x-cif",
        cii: "application/vnd.anser-web-certificate-issue-initiation",
        cil: "application/vnd.ms-artgalry",
        cla: "application/vnd.claymore",
        class: ["application/octet-stream", "application/java", "application/java-byte-code", "application/java-vm", "application/x-java-class"],
        clkk: "application/vnd.crick.clicker.keyboard",
        clkp: "application/vnd.crick.clicker.palette",
        clkt: "application/vnd.crick.clicker.template",
        clkw: "application/vnd.crick.clicker.wordbank",
        clkx: "application/vnd.crick.clicker",
        clp: "application/x-msclip",
        cmc: "application/vnd.cosmocaller",
        cmdf: "chemical/x-cmdf",
        cml: "chemical/x-cml",
        cmp: "application/vnd.yellowriver-custom-menu",
        cmx: "image/x-cmx",
        cod: ["image/cis-cod", "application/vnd.rim.cod"],
        com: ["application/octet-stream", "text/plain"],
        conf: "text/plain",
        cpio: "application/x-cpio",
        cpp: "text/x-c",
        cpt: ["application/mac-compactpro", "application/x-compactpro", "application/x-cpt"],
        crd: "application/x-mscardfile",
        crl: ["application/pkix-crl", "application/pkcs-crl"],
        crt: ["application/pkix-cert", "application/x-x509-user-cert", "application/x-x509-ca-cert"],
        cryptonote: "application/vnd.rig.cryptonote",
        csh: ["text/x-script.csh", "application/x-csh"],
        csml: "chemical/x-csml",
        csp: "application/vnd.commonspace",
        css: ["text/css", "application/x-pointplus"],
        csv: "text/csv",
        cu: "application/cu-seeme",
        curl: "text/vnd.curl",
        cww: "application/prs.cww",
        cxx: "text/plain",
        dae: "model/vnd.collada+xml",
        daf: "application/vnd.mobius.daf",
        davmount: "application/davmount+xml",
        dcr: "application/x-director",
        dcurl: "text/vnd.curl.dcurl",
        dd2: "application/vnd.oma.dd2+xml",
        ddd: "application/vnd.fujixerox.ddd",
        deb: "application/x-debian-package",
        deepv: "application/x-deepv",
        def: "text/plain",
        der: "application/x-x509-ca-cert",
        dfac: "application/vnd.dreamfactory",
        dif: "video/x-dv",
        dir: "application/x-director",
        dis: "application/vnd.mobius.dis",
        djvu: "image/vnd.djvu",
        dl: ["video/dl", "video/x-dl"],
        dll: "application/x-msdownload",
        dms: "application/octet-stream",
        dna: "application/vnd.dna",
        doc: "application/msword",
        docm: "application/vnd.ms-word.document.macroenabled.12",
        docx: "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
        dot: "application/msword",
        dotm: "application/vnd.ms-word.template.macroenabled.12",
        dotx: "application/vnd.openxmlformats-officedocument.wordprocessingml.template",
        dp: ["application/commonground", "application/vnd.osgi.dp"],
        dpg: "application/vnd.dpgraph",
        dra: "audio/vnd.dra",
        drw: "application/drafting",
        dsc: "text/prs.lines.tag",
        dssc: "application/dssc+der",
        dtb: "application/x-dtbook+xml",
        dtd: "application/xml-dtd",
        dts: "audio/vnd.dts",
        dtshd: "audio/vnd.dts.hd",
        dump: "application/octet-stream",
        dv: "video/x-dv",
        dvi: "application/x-dvi",
        dwf: ["model/vnd.dwf", "drawing/x-dwf"],
        dwg: ["application/acad", "image/vnd.dwg", "image/x-dwg"],
        dxf: ["application/dxf", "image/vnd.dwg", "image/vnd.dxf", "image/x-dwg"],
        dxp: "application/vnd.spotfire.dxp",
        dxr: "application/x-director",
        ecelp4800: "audio/vnd.nuera.ecelp4800",
        ecelp7470: "audio/vnd.nuera.ecelp7470",
        ecelp9600: "audio/vnd.nuera.ecelp9600",
        edm: "application/vnd.novadigm.edm",
        edx: "application/vnd.novadigm.edx",
        efif: "application/vnd.picsel",
        ei6: "application/vnd.pg.osasli",
        el: "text/x-script.elisp",
        elc: ["application/x-elc", "application/x-bytecode.elisp"],
        eml: "message/rfc822",
        emma: "application/emma+xml",
        env: "application/x-envoy",
        eol: "audio/vnd.digital-winds",
        eot: "application/vnd.ms-fontobject",
        eps: "application/postscript",
        epub: "application/epub+zip",
        es: ["application/ecmascript", "application/x-esrehber"],
        es3: "application/vnd.eszigno3+xml",
        esf: "application/vnd.epson.esf",
        etx: "text/x-setext",
        evy: ["application/envoy", "application/x-envoy"],
        exe: ["application/octet-stream", "application/x-msdownload"],
        exi: "application/exi",
        ext: "application/vnd.novadigm.ext",
        ez2: "application/vnd.ezpix-album",
        ez3: "application/vnd.ezpix-package",
        f: ["text/plain", "text/x-fortran"],
        f4v: "video/x-f4v",
        f77: "text/x-fortran",
        f90: ["text/plain", "text/x-fortran"],
        fbs: "image/vnd.fastbidsheet",
        fcs: "application/vnd.isac.fcs",
        fdf: "application/vnd.fdf",
        fe_launch: "application/vnd.denovo.fcselayout-link",
        fg5: "application/vnd.fujitsu.oasysgp",
        fh: "image/x-freehand",
        fif: ["application/fractals", "image/fif"],
        fig: "application/x-xfig",
        fli: ["video/fli", "video/x-fli"],
        flo: ["image/florian", "application/vnd.micrografx.flo"],
        flr: "x-world/x-vrml",
        flv: "video/x-flv",
        flw: "application/vnd.kde.kivio",
        flx: "text/vnd.fmi.flexstor",
        fly: "text/vnd.fly",
        fm: "application/vnd.framemaker",
        fmf: "video/x-atomic3d-feature",
        fnc: "application/vnd.frogans.fnc",
        for: ["text/plain", "text/x-fortran"],
        fpx: ["image/vnd.fpx", "image/vnd.net-fpx"],
        frl: "application/freeloader",
        fsc: "application/vnd.fsc.weblaunch",
        fst: "image/vnd.fst",
        ftc: "application/vnd.fluxtime.clip",
        fti: "application/vnd.anser-web-funds-transfer-initiation",
        funk: "audio/make",
        fvt: "video/vnd.fvt",
        fxp: "application/vnd.adobe.fxp",
        fzs: "application/vnd.fuzzysheet",
        g: "text/plain",
        g2w: "application/vnd.geoplan",
        g3: "image/g3fax",
        g3w: "application/vnd.geospace",
        gac: "application/vnd.groove-account",
        gdl: "model/vnd.gdl",
        geo: "application/vnd.dynageo",
        gex: "application/vnd.geometry-explorer",
        ggb: "application/vnd.geogebra.file",
        ggt: "application/vnd.geogebra.tool",
        ghf: "application/vnd.groove-help",
        gif: "image/gif",
        gim: "application/vnd.groove-identity-message",
        gl: ["video/gl", "video/x-gl"],
        gmx: "application/vnd.gmx",
        gnumeric: "application/x-gnumeric",
        gph: "application/vnd.flographit",
        gqf: "application/vnd.grafeq",
        gram: "application/srgs",
        grv: "application/vnd.groove-injector",
        grxml: "application/srgs+xml",
        gsd: "audio/x-gsm",
        gsf: "application/x-font-ghostscript",
        gsm: "audio/x-gsm",
        gsp: "application/x-gsp",
        gss: "application/x-gss",
        gtar: "application/x-gtar",
        gtm: "application/vnd.groove-tool-message",
        gtw: "model/vnd.gtw",
        gv: "text/vnd.graphviz",
        gxt: "application/vnd.geonext",
        gz: ["application/x-gzip", "application/x-compressed"],
        gzip: ["multipart/x-gzip", "application/x-gzip"],
        h: ["text/plain", "text/x-h"],
        h261: "video/h261",
        h263: "video/h263",
        h264: "video/h264",
        hal: "application/vnd.hal+xml",
        hbci: "application/vnd.hbci",
        hdf: "application/x-hdf",
        help: "application/x-helpfile",
        hgl: "application/vnd.hp-hpgl",
        hh: ["text/plain", "text/x-h"],
        hlb: "text/x-script",
        hlp: ["application/winhlp", "application/hlp", "application/x-helpfile", "application/x-winhelp"],
        hpg: "application/vnd.hp-hpgl",
        hpgl: "application/vnd.hp-hpgl",
        hpid: "application/vnd.hp-hpid",
        hps: "application/vnd.hp-hps",
        hqx: [
          "application/mac-binhex40",
          "application/binhex",
          "application/binhex4",
          "application/mac-binhex",
          "application/x-binhex40",
          "application/x-mac-binhex40"
        ],
        hta: "application/hta",
        htc: "text/x-component",
        htke: "application/vnd.kenameaapp",
        htm: "text/html",
        html: "text/html",
        htmls: "text/html",
        htt: "text/webviewhtml",
        htx: "text/html",
        hvd: "application/vnd.yamaha.hv-dic",
        hvp: "application/vnd.yamaha.hv-voice",
        hvs: "application/vnd.yamaha.hv-script",
        i2g: "application/vnd.intergeo",
        icc: "application/vnd.iccprofile",
        ice: "x-conference/x-cooltalk",
        ico: "image/x-icon",
        ics: "text/calendar",
        idc: "text/plain",
        ief: "image/ief",
        iefs: "image/ief",
        ifm: "application/vnd.shana.informed.formdata",
        iges: ["application/iges", "model/iges"],
        igl: "application/vnd.igloader",
        igm: "application/vnd.insors.igm",
        igs: ["application/iges", "model/iges"],
        igx: "application/vnd.micrografx.igx",
        iif: "application/vnd.shana.informed.interchange",
        iii: "application/x-iphone",
        ima: "application/x-ima",
        imap: "application/x-httpd-imap",
        imp: "application/vnd.accpac.simply.imp",
        ims: "application/vnd.ms-ims",
        inf: "application/inf",
        ins: ["application/x-internet-signup", "application/x-internett-signup"],
        ip: "application/x-ip2",
        ipfix: "application/ipfix",
        ipk: "application/vnd.shana.informed.package",
        irm: "application/vnd.ibm.rights-management",
        irp: "application/vnd.irepository.package+xml",
        isp: "application/x-internet-signup",
        isu: "video/x-isvideo",
        it: "audio/it",
        itp: "application/vnd.shana.informed.formtemplate",
        iv: "application/x-inventor",
        ivp: "application/vnd.immervision-ivp",
        ivr: "i-world/i-vrml",
        ivu: "application/vnd.immervision-ivu",
        ivy: "application/x-livescreen",
        jad: "text/vnd.sun.j2me.app-descriptor",
        jam: ["application/vnd.jam", "audio/x-jam"],
        jar: "application/java-archive",
        jav: ["text/plain", "text/x-java-source"],
        java: ["text/plain", "text/x-java-source,java", "text/x-java-source"],
        jcm: "application/x-java-commerce",
        jfif: ["image/pipeg", "image/jpeg", "image/pjpeg"],
        "jfif-tbnl": "image/jpeg",
        jisp: "application/vnd.jisp",
        jlt: "application/vnd.hp-jlyt",
        jnlp: "application/x-java-jnlp-file",
        joda: "application/vnd.joost.joda-archive",
        jpe: ["image/jpeg", "image/pjpeg"],
        jpeg: ["image/jpeg", "image/pjpeg"],
        jpg: ["image/jpeg", "image/pjpeg"],
        jpgv: "video/jpeg",
        jpm: "video/jpm",
        jps: "image/x-jps",
        js: ["application/javascript", "application/ecmascript", "text/javascript", "text/ecmascript", "application/x-javascript"],
        json: "application/json",
        jut: "image/jutvision",
        kar: ["audio/midi", "music/x-karaoke"],
        karbon: "application/vnd.kde.karbon",
        kfo: "application/vnd.kde.kformula",
        kia: "application/vnd.kidspiration",
        kml: "application/vnd.google-earth.kml+xml",
        kmz: "application/vnd.google-earth.kmz",
        kne: "application/vnd.kinar",
        kon: "application/vnd.kde.kontour",
        kpr: "application/vnd.kde.kpresenter",
        ksh: ["application/x-ksh", "text/x-script.ksh"],
        ksp: "application/vnd.kde.kspread",
        ktx: "image/ktx",
        ktz: "application/vnd.kahootz",
        kwd: "application/vnd.kde.kword",
        la: ["audio/nspaudio", "audio/x-nspaudio"],
        lam: "audio/x-liveaudio",
        lasxml: "application/vnd.las.las+xml",
        latex: "application/x-latex",
        lbd: "application/vnd.llamagraphics.life-balance.desktop",
        lbe: "application/vnd.llamagraphics.life-balance.exchange+xml",
        les: "application/vnd.hhe.lesson-player",
        lha: ["application/octet-stream", "application/lha", "application/x-lha"],
        lhx: "application/octet-stream",
        link66: "application/vnd.route66.link66+xml",
        list: "text/plain",
        lma: ["audio/nspaudio", "audio/x-nspaudio"],
        log: "text/plain",
        lrm: "application/vnd.ms-lrm",
        lsf: "video/x-la-asf",
        lsp: ["application/x-lisp", "text/x-script.lisp"],
        lst: "text/plain",
        lsx: ["video/x-la-asf", "text/x-la-asf"],
        ltf: "application/vnd.frogans.ltf",
        ltx: "application/x-latex",
        lvp: "audio/vnd.lucent.voice",
        lwp: "application/vnd.lotus-wordpro",
        lzh: ["application/octet-stream", "application/x-lzh"],
        lzx: ["application/lzx", "application/octet-stream", "application/x-lzx"],
        m: ["text/plain", "text/x-m"],
        m13: "application/x-msmediaview",
        m14: "application/x-msmediaview",
        m1v: "video/mpeg",
        m21: "application/mp21",
        m2a: "audio/mpeg",
        m2v: "video/mpeg",
        m3u: ["audio/x-mpegurl", "audio/x-mpequrl"],
        m3u8: "application/vnd.apple.mpegurl",
        m4v: "video/x-m4v",
        ma: "application/mathematica",
        mads: "application/mads+xml",
        mag: "application/vnd.ecowin.chart",
        man: "application/x-troff-man",
        map: "application/x-navimap",
        mar: "text/plain",
        mathml: "application/mathml+xml",
        mbd: "application/mbedlet",
        mbk: "application/vnd.mobius.mbk",
        mbox: "application/mbox",
        mc$: "application/x-magic-cap-package-1.0",
        mc1: "application/vnd.medcalcdata",
        mcd: ["application/mcad", "application/vnd.mcd", "application/x-mathcad"],
        mcf: ["image/vasa", "text/mcf"],
        mcp: "application/netmc",
        mcurl: "text/vnd.curl.mcurl",
        mdb: "application/x-msaccess",
        mdi: "image/vnd.ms-modi",
        me: "application/x-troff-me",
        meta4: "application/metalink4+xml",
        mets: "application/mets+xml",
        mfm: "application/vnd.mfmp",
        mgp: "application/vnd.osgeo.mapguide.package",
        mgz: "application/vnd.proteus.magazine",
        mht: "message/rfc822",
        mhtml: "message/rfc822",
        mid: ["audio/mid", "audio/midi", "music/crescendo", "x-music/x-midi", "audio/x-midi", "application/x-midi", "audio/x-mid"],
        midi: ["audio/midi", "music/crescendo", "x-music/x-midi", "audio/x-midi", "application/x-midi", "audio/x-mid"],
        mif: ["application/vnd.mif", "application/x-mif", "application/x-frame"],
        mime: ["message/rfc822", "www/mime"],
        mj2: "video/mj2",
        mjf: "audio/x-vnd.audioexplosion.mjuicemediafile",
        mjpg: "video/x-motion-jpeg",
        mlp: "application/vnd.dolby.mlp",
        mm: ["application/base64", "application/x-meme"],
        mmd: "application/vnd.chipnuts.karaoke-mmd",
        mme: "application/base64",
        mmf: "application/vnd.smaf",
        mmr: "image/vnd.fujixerox.edmics-mmr",
        mny: "application/x-msmoney",
        mod: ["audio/mod", "audio/x-mod"],
        mods: "application/mods+xml",
        moov: "video/quicktime",
        mov: "video/quicktime",
        movie: "video/x-sgi-movie",
        mp2: ["video/mpeg", "audio/mpeg", "video/x-mpeg", "audio/x-mpeg", "video/x-mpeq2a"],
        mp3: ["audio/mpeg", "audio/mpeg3", "video/mpeg", "audio/x-mpeg-3", "video/x-mpeg"],
        mp4: ["video/mp4", "application/mp4"],
        mp4a: "audio/mp4",
        mpa: ["video/mpeg", "audio/mpeg"],
        mpc: ["application/vnd.mophun.certificate", "application/x-project"],
        mpe: "video/mpeg",
        mpeg: "video/mpeg",
        mpg: ["video/mpeg", "audio/mpeg"],
        mpga: "audio/mpeg",
        mpkg: "application/vnd.apple.installer+xml",
        mpm: "application/vnd.blueice.multipass",
        mpn: "application/vnd.mophun.application",
        mpp: "application/vnd.ms-project",
        mpt: "application/x-project",
        mpv: "application/x-project",
        mpv2: "video/mpeg",
        mpx: "application/x-project",
        mpy: "application/vnd.ibm.minipay",
        mqy: "application/vnd.mobius.mqy",
        mrc: "application/marc",
        mrcx: "application/marcxml+xml",
        ms: "application/x-troff-ms",
        mscml: "application/mediaservercontrol+xml",
        mseq: "application/vnd.mseq",
        msf: "application/vnd.epson.msf",
        msg: "application/vnd.ms-outlook",
        msh: "model/mesh",
        msl: "application/vnd.mobius.msl",
        msty: "application/vnd.muvee.style",
        mts: "model/vnd.mts",
        mus: "application/vnd.musician",
        musicxml: "application/vnd.recordare.musicxml+xml",
        mv: "video/x-sgi-movie",
        mvb: "application/x-msmediaview",
        mwf: "application/vnd.mfer",
        mxf: "application/mxf",
        mxl: "application/vnd.recordare.musicxml",
        mxml: "application/xv+xml",
        mxs: "application/vnd.triscape.mxs",
        mxu: "video/vnd.mpegurl",
        my: "audio/make",
        mzz: "application/x-vnd.audioexplosion.mzz",
        "n-gage": "application/vnd.nokia.n-gage.symbian.install",
        n3: "text/n3",
        nap: "image/naplps",
        naplps: "image/naplps",
        nbp: "application/vnd.wolfram.player",
        nc: "application/x-netcdf",
        ncm: "application/vnd.nokia.configuration-message",
        ncx: "application/x-dtbncx+xml",
        ngdat: "application/vnd.nokia.n-gage.data",
        nif: "image/x-niff",
        niff: "image/x-niff",
        nix: "application/x-mix-transfer",
        nlu: "application/vnd.neurolanguage.nlu",
        nml: "application/vnd.enliven",
        nnd: "application/vnd.noblenet-directory",
        nns: "application/vnd.noblenet-sealer",
        nnw: "application/vnd.noblenet-web",
        npx: "image/vnd.net-fpx",
        nsc: "application/x-conference",
        nsf: "application/vnd.lotus-notes",
        nvd: "application/x-navidoc",
        nws: "message/rfc822",
        o: "application/octet-stream",
        oa2: "application/vnd.fujitsu.oasys2",
        oa3: "application/vnd.fujitsu.oasys3",
        oas: "application/vnd.fujitsu.oasys",
        obd: "application/x-msbinder",
        oda: "application/oda",
        odb: "application/vnd.oasis.opendocument.database",
        odc: "application/vnd.oasis.opendocument.chart",
        odf: "application/vnd.oasis.opendocument.formula",
        odft: "application/vnd.oasis.opendocument.formula-template",
        odg: "application/vnd.oasis.opendocument.graphics",
        odi: "application/vnd.oasis.opendocument.image",
        odm: "application/vnd.oasis.opendocument.text-master",
        odp: "application/vnd.oasis.opendocument.presentation",
        ods: "application/vnd.oasis.opendocument.spreadsheet",
        odt: "application/vnd.oasis.opendocument.text",
        oga: "audio/ogg",
        ogv: "video/ogg",
        ogx: "application/ogg",
        omc: "application/x-omc",
        omcd: "application/x-omcdatamaker",
        omcr: "application/x-omcregerator",
        onetoc: "application/onenote",
        opf: "application/oebps-package+xml",
        org: "application/vnd.lotus-organizer",
        osf: "application/vnd.yamaha.openscoreformat",
        osfpvg: "application/vnd.yamaha.openscoreformat.osfpvg+xml",
        otc: "application/vnd.oasis.opendocument.chart-template",
        otf: "application/x-font-otf",
        otg: "application/vnd.oasis.opendocument.graphics-template",
        oth: "application/vnd.oasis.opendocument.text-web",
        oti: "application/vnd.oasis.opendocument.image-template",
        otp: "application/vnd.oasis.opendocument.presentation-template",
        ots: "application/vnd.oasis.opendocument.spreadsheet-template",
        ott: "application/vnd.oasis.opendocument.text-template",
        oxt: "application/vnd.openofficeorg.extension",
        p: "text/x-pascal",
        p10: ["application/pkcs10", "application/x-pkcs10"],
        p12: ["application/pkcs-12", "application/x-pkcs12"],
        p7a: "application/x-pkcs7-signature",
        p7b: "application/x-pkcs7-certificates",
        p7c: ["application/pkcs7-mime", "application/x-pkcs7-mime"],
        p7m: ["application/pkcs7-mime", "application/x-pkcs7-mime"],
        p7r: "application/x-pkcs7-certreqresp",
        p7s: ["application/pkcs7-signature", "application/x-pkcs7-signature"],
        p8: "application/pkcs8",
        par: "text/plain-bas",
        part: "application/pro_eng",
        pas: "text/pascal",
        paw: "application/vnd.pawaafile",
        pbd: "application/vnd.powerbuilder6",
        pbm: "image/x-portable-bitmap",
        pcf: "application/x-font-pcf",
        pcl: ["application/vnd.hp-pcl", "application/x-pcl"],
        pclxl: "application/vnd.hp-pclxl",
        pct: "image/x-pict",
        pcurl: "application/vnd.curl.pcurl",
        pcx: "image/x-pcx",
        pdb: ["application/vnd.palm", "chemical/x-pdb"],
        pdf: "application/pdf",
        pfa: "application/x-font-type1",
        pfr: "application/font-tdpfr",
        pfunk: ["audio/make", "audio/make.my.funk"],
        pfx: "application/x-pkcs12",
        pgm: ["image/x-portable-graymap", "image/x-portable-greymap"],
        pgn: "application/x-chess-pgn",
        pgp: "application/pgp-signature",
        pic: ["image/pict", "image/x-pict"],
        pict: "image/pict",
        pkg: "application/x-newton-compatible-pkg",
        pki: "application/pkixcmp",
        pkipath: "application/pkix-pkipath",
        pko: ["application/ynd.ms-pkipko", "application/vnd.ms-pki.pko"],
        pl: ["text/plain", "text/x-script.perl"],
        plb: "application/vnd.3gpp.pic-bw-large",
        plc: "application/vnd.mobius.plc",
        plf: "application/vnd.pocketlearn",
        pls: "application/pls+xml",
        plx: "application/x-pixclscript",
        pm: ["text/x-script.perl-module", "image/x-xpixmap"],
        pm4: "application/x-pagemaker",
        pm5: "application/x-pagemaker",
        pma: "application/x-perfmon",
        pmc: "application/x-perfmon",
        pml: ["application/vnd.ctc-posml", "application/x-perfmon"],
        pmr: "application/x-perfmon",
        pmw: "application/x-perfmon",
        png: "image/png",
        pnm: ["application/x-portable-anymap", "image/x-portable-anymap"],
        portpkg: "application/vnd.macports.portpkg",
        pot: ["application/vnd.ms-powerpoint", "application/mspowerpoint"],
        potm: "application/vnd.ms-powerpoint.template.macroenabled.12",
        potx: "application/vnd.openxmlformats-officedocument.presentationml.template",
        pov: "model/x-pov",
        ppa: "application/vnd.ms-powerpoint",
        ppam: "application/vnd.ms-powerpoint.addin.macroenabled.12",
        ppd: "application/vnd.cups-ppd",
        ppm: "image/x-portable-pixmap",
        pps: ["application/vnd.ms-powerpoint", "application/mspowerpoint"],
        ppsm: "application/vnd.ms-powerpoint.slideshow.macroenabled.12",
        ppsx: "application/vnd.openxmlformats-officedocument.presentationml.slideshow",
        ppt: ["application/vnd.ms-powerpoint", "application/mspowerpoint", "application/powerpoint", "application/x-mspowerpoint"],
        pptm: "application/vnd.ms-powerpoint.presentation.macroenabled.12",
        pptx: "application/vnd.openxmlformats-officedocument.presentationml.presentation",
        ppz: "application/mspowerpoint",
        prc: "application/x-mobipocket-ebook",
        pre: ["application/vnd.lotus-freelance", "application/x-freelance"],
        prf: "application/pics-rules",
        prt: "application/pro_eng",
        ps: "application/postscript",
        psb: "application/vnd.3gpp.pic-bw-small",
        psd: ["application/octet-stream", "image/vnd.adobe.photoshop"],
        psf: "application/x-font-linux-psf",
        pskcxml: "application/pskc+xml",
        ptid: "application/vnd.pvi.ptid1",
        pub: "application/x-mspublisher",
        pvb: "application/vnd.3gpp.pic-bw-var",
        pvu: "paleovu/x-pv",
        pwn: "application/vnd.3m.post-it-notes",
        pwz: "application/vnd.ms-powerpoint",
        py: "text/x-script.phyton",
        pya: "audio/vnd.ms-playready.media.pya",
        pyc: "applicaiton/x-bytecode.python",
        pyv: "video/vnd.ms-playready.media.pyv",
        qam: "application/vnd.epson.quickanime",
        qbo: "application/vnd.intu.qbo",
        qcp: "audio/vnd.qcelp",
        qd3: "x-world/x-3dmf",
        qd3d: "x-world/x-3dmf",
        qfx: "application/vnd.intu.qfx",
        qif: "image/x-quicktime",
        qps: "application/vnd.publishare-delta-tree",
        qt: "video/quicktime",
        qtc: "video/x-qtc",
        qti: "image/x-quicktime",
        qtif: "image/x-quicktime",
        qxd: "application/vnd.quark.quarkxpress",
        ra: ["audio/x-realaudio", "audio/x-pn-realaudio", "audio/x-pn-realaudio-plugin"],
        ram: "audio/x-pn-realaudio",
        rar: "application/x-rar-compressed",
        ras: ["image/cmu-raster", "application/x-cmu-raster", "image/x-cmu-raster"],
        rast: "image/cmu-raster",
        rcprofile: "application/vnd.ipunplugged.rcprofile",
        rdf: "application/rdf+xml",
        rdz: "application/vnd.data-vision.rdz",
        rep: "application/vnd.businessobjects",
        res: "application/x-dtbresource+xml",
        rexx: "text/x-script.rexx",
        rf: "image/vnd.rn-realflash",
        rgb: "image/x-rgb",
        rif: "application/reginfo+xml",
        rip: "audio/vnd.rip",
        rl: "application/resource-lists+xml",
        rlc: "image/vnd.fujixerox.edmics-rlc",
        rld: "application/resource-lists-diff+xml",
        rm: ["application/vnd.rn-realmedia", "audio/x-pn-realaudio"],
        rmi: "audio/mid",
        rmm: "audio/x-pn-realaudio",
        rmp: ["audio/x-pn-realaudio-plugin", "audio/x-pn-realaudio"],
        rms: "application/vnd.jcp.javame.midlet-rms",
        rnc: "application/relax-ng-compact-syntax",
        rng: ["application/ringing-tones", "application/vnd.nokia.ringing-tone"],
        rnx: "application/vnd.rn-realplayer",
        roff: "application/x-troff",
        rp: "image/vnd.rn-realpix",
        rp9: "application/vnd.cloanto.rp9",
        rpm: "audio/x-pn-realaudio-plugin",
        rpss: "application/vnd.nokia.radio-presets",
        rpst: "application/vnd.nokia.radio-preset",
        rq: "application/sparql-query",
        rs: "application/rls-services+xml",
        rsd: "application/rsd+xml",
        rt: ["text/richtext", "text/vnd.rn-realtext"],
        rtf: ["application/rtf", "text/richtext", "application/x-rtf"],
        rtx: ["text/richtext", "application/rtf"],
        rv: "video/vnd.rn-realvideo",
        s: "text/x-asm",
        s3m: "audio/s3m",
        saf: "application/vnd.yamaha.smaf-audio",
        saveme: "application/octet-stream",
        sbk: "application/x-tbook",
        sbml: "application/sbml+xml",
        sc: "application/vnd.ibm.secure-container",
        scd: "application/x-msschedule",
        scm: ["application/vnd.lotus-screencam", "video/x-scm", "text/x-script.guile", "application/x-lotusscreencam", "text/x-script.scheme"],
        scq: "application/scvp-cv-request",
        scs: "application/scvp-cv-response",
        sct: "text/scriptlet",
        scurl: "text/vnd.curl.scurl",
        sda: "application/vnd.stardivision.draw",
        sdc: "application/vnd.stardivision.calc",
        sdd: "application/vnd.stardivision.impress",
        sdkm: "application/vnd.solent.sdkm+xml",
        sdml: "text/plain",
        sdp: ["application/sdp", "application/x-sdp"],
        sdr: "application/sounder",
        sdw: "application/vnd.stardivision.writer",
        sea: ["application/sea", "application/x-sea"],
        see: "application/vnd.seemail",
        seed: "application/vnd.fdsn.seed",
        sema: "application/vnd.sema",
        semd: "application/vnd.semd",
        semf: "application/vnd.semf",
        ser: "application/java-serialized-object",
        set: "application/set",
        setpay: "application/set-payment-initiation",
        setreg: "application/set-registration-initiation",
        "sfd-hdstx": "application/vnd.hydrostatix.sof-data",
        sfs: "application/vnd.spotfire.sfs",
        sgl: "application/vnd.stardivision.writer-global",
        sgm: ["text/sgml", "text/x-sgml"],
        sgml: ["text/sgml", "text/x-sgml"],
        sh: ["application/x-shar", "application/x-bsh", "application/x-sh", "text/x-script.sh"],
        shar: ["application/x-bsh", "application/x-shar"],
        shf: "application/shf+xml",
        shtml: ["text/html", "text/x-server-parsed-html"],
        sid: "audio/x-psid",
        sis: "application/vnd.symbian.install",
        sit: ["application/x-stuffit", "application/x-sit"],
        sitx: "application/x-stuffitx",
        skd: "application/x-koan",
        skm: "application/x-koan",
        skp: ["application/vnd.koan", "application/x-koan"],
        skt: "application/x-koan",
        sl: "application/x-seelogo",
        sldm: "application/vnd.ms-powerpoint.slide.macroenabled.12",
        sldx: "application/vnd.openxmlformats-officedocument.presentationml.slide",
        slt: "application/vnd.epson.salt",
        sm: "application/vnd.stepmania.stepchart",
        smf: "application/vnd.stardivision.math",
        smi: ["application/smil", "application/smil+xml"],
        smil: "application/smil",
        snd: ["audio/basic", "audio/x-adpcm"],
        snf: "application/x-font-snf",
        sol: "application/solids",
        spc: ["text/x-speech", "application/x-pkcs7-certificates"],
        spf: "application/vnd.yamaha.smaf-phrase",
        spl: ["application/futuresplash", "application/x-futuresplash"],
        spot: "text/vnd.in3d.spot",
        spp: "application/scvp-vp-response",
        spq: "application/scvp-vp-request",
        spr: "application/x-sprite",
        sprite: "application/x-sprite",
        src: "application/x-wais-source",
        sru: "application/sru+xml",
        srx: "application/sparql-results+xml",
        sse: "application/vnd.kodak-descriptor",
        ssf: "application/vnd.epson.ssf",
        ssi: "text/x-server-parsed-html",
        ssm: "application/streamingmedia",
        ssml: "application/ssml+xml",
        sst: ["application/vnd.ms-pkicertstore", "application/vnd.ms-pki.certstore"],
        st: "application/vnd.sailingtracker.track",
        stc: "application/vnd.sun.xml.calc.template",
        std: "application/vnd.sun.xml.draw.template",
        step: "application/step",
        stf: "application/vnd.wt.stf",
        sti: "application/vnd.sun.xml.impress.template",
        stk: "application/hyperstudio",
        stl: ["application/vnd.ms-pkistl", "application/sla", "application/vnd.ms-pki.stl", "application/x-navistyle"],
        stm: "text/html",
        stp: "application/step",
        str: "application/vnd.pg.format",
        stw: "application/vnd.sun.xml.writer.template",
        sub: "image/vnd.dvb.subtitle",
        sus: "application/vnd.sus-calendar",
        sv4cpio: "application/x-sv4cpio",
        sv4crc: "application/x-sv4crc",
        svc: "application/vnd.dvb.service",
        svd: "application/vnd.svd",
        svf: ["image/vnd.dwg", "image/x-dwg"],
        svg: "image/svg+xml",
        svr: ["x-world/x-svr", "application/x-world"],
        swf: "application/x-shockwave-flash",
        swi: "application/vnd.aristanetworks.swi",
        sxc: "application/vnd.sun.xml.calc",
        sxd: "application/vnd.sun.xml.draw",
        sxg: "application/vnd.sun.xml.writer.global",
        sxi: "application/vnd.sun.xml.impress",
        sxm: "application/vnd.sun.xml.math",
        sxw: "application/vnd.sun.xml.writer",
        t: ["text/troff", "application/x-troff"],
        talk: "text/x-speech",
        tao: "application/vnd.tao.intent-module-archive",
        tar: "application/x-tar",
        tbk: ["application/toolbook", "application/x-tbook"],
        tcap: "application/vnd.3gpp2.tcap",
        tcl: ["text/x-script.tcl", "application/x-tcl"],
        tcsh: "text/x-script.tcsh",
        teacher: "application/vnd.smart.teacher",
        tei: "application/tei+xml",
        tex: "application/x-tex",
        texi: "application/x-texinfo",
        texinfo: "application/x-texinfo",
        text: ["application/plain", "text/plain"],
        tfi: "application/thraud+xml",
        tfm: "application/x-tex-tfm",
        tgz: ["application/gnutar", "application/x-compressed"],
        thmx: "application/vnd.ms-officetheme",
        tif: ["image/tiff", "image/x-tiff"],
        tiff: ["image/tiff", "image/x-tiff"],
        tmo: "application/vnd.tmobile-livetv",
        torrent: "application/x-bittorrent",
        tpl: "application/vnd.groove-tool-template",
        tpt: "application/vnd.trid.tpt",
        tr: "application/x-troff",
        tra: "application/vnd.trueapp",
        trm: "application/x-msterminal",
        tsd: "application/timestamped-data",
        tsi: "audio/tsp-audio",
        tsp: ["application/dsptype", "audio/tsplayer"],
        tsv: "text/tab-separated-values",
        ttf: "application/x-font-ttf",
        ttl: "text/turtle",
        turbot: "image/florian",
        twd: "application/vnd.simtech-mindmapper",
        txd: "application/vnd.genomatix.tuxedo",
        txf: "application/vnd.mobius.txf",
        txt: "text/plain",
        ufd: "application/vnd.ufdl",
        uil: "text/x-uil",
        uls: "text/iuls",
        umj: "application/vnd.umajin",
        uni: "text/uri-list",
        unis: "text/uri-list",
        unityweb: "application/vnd.unity",
        unv: "application/i-deas",
        uoml: "application/vnd.uoml+xml",
        uri: "text/uri-list",
        uris: "text/uri-list",
        ustar: ["application/x-ustar", "multipart/x-ustar"],
        utz: "application/vnd.uiq.theme",
        uu: ["application/octet-stream", "text/x-uuencode"],
        uue: "text/x-uuencode",
        uva: "audio/vnd.dece.audio",
        uvh: "video/vnd.dece.hd",
        uvi: "image/vnd.dece.graphic",
        uvm: "video/vnd.dece.mobile",
        uvp: "video/vnd.dece.pd",
        uvs: "video/vnd.dece.sd",
        uvu: "video/vnd.uvvu.mp4",
        uvv: "video/vnd.dece.video",
        vcd: "application/x-cdlink",
        vcf: "text/x-vcard",
        vcg: "application/vnd.groove-vcard",
        vcs: "text/x-vcalendar",
        vcx: "application/vnd.vcx",
        vda: "application/vda",
        vdo: "video/vdo",
        vew: "application/groupwise",
        vis: "application/vnd.visionary",
        viv: ["video/vivo", "video/vnd.vivo"],
        vivo: ["video/vivo", "video/vnd.vivo"],
        vmd: "application/vocaltec-media-desc",
        vmf: "application/vocaltec-media-file",
        voc: ["audio/voc", "audio/x-voc"],
        vos: "video/vosaic",
        vox: "audio/voxware",
        vqe: "audio/x-twinvq-plugin",
        vqf: "audio/x-twinvq",
        vql: "audio/x-twinvq-plugin",
        vrml: ["model/vrml", "x-world/x-vrml", "application/x-vrml"],
        vrt: "x-world/x-vrt",
        vsd: ["application/vnd.visio", "application/x-visio"],
        vsf: "application/vnd.vsf",
        vst: "application/x-visio",
        vsw: "application/x-visio",
        vtu: "model/vnd.vtu",
        vxml: "application/voicexml+xml",
        w60: "application/wordperfect6.0",
        w61: "application/wordperfect6.1",
        w6w: "application/msword",
        wad: "application/x-doom",
        wav: ["audio/wav", "audio/x-wav"],
        wax: "audio/x-ms-wax",
        wb1: "application/x-qpro",
        wbmp: "image/vnd.wap.wbmp",
        wbs: "application/vnd.criticaltools.wbs+xml",
        wbxml: "application/vnd.wap.wbxml",
        wcm: "application/vnd.ms-works",
        wdb: "application/vnd.ms-works",
        web: "application/vnd.xara",
        weba: "audio/webm",
        webm: "video/webm",
        webp: "image/webp",
        wg: "application/vnd.pmi.widget",
        wgt: "application/widget",
        wiz: "application/msword",
        wk1: "application/x-123",
        wks: "application/vnd.ms-works",
        wm: "video/x-ms-wm",
        wma: "audio/x-ms-wma",
        wmd: "application/x-ms-wmd",
        wmf: ["windows/metafile", "application/x-msmetafile"],
        wml: "text/vnd.wap.wml",
        wmlc: "application/vnd.wap.wmlc",
        wmls: "text/vnd.wap.wmlscript",
        wmlsc: "application/vnd.wap.wmlscriptc",
        wmv: "video/x-ms-wmv",
        wmx: "video/x-ms-wmx",
        wmz: "application/x-ms-wmz",
        woff: "application/x-font-woff",
        word: "application/msword",
        wp: "application/wordperfect",
        wp5: ["application/wordperfect", "application/wordperfect6.0"],
        wp6: "application/wordperfect",
        wpd: ["application/wordperfect", "application/vnd.wordperfect", "application/x-wpwin"],
        wpl: "application/vnd.ms-wpl",
        wps: "application/vnd.ms-works",
        wq1: "application/x-lotus",
        wqd: "application/vnd.wqd",
        wri: ["application/mswrite", "application/x-wri", "application/x-mswrite"],
        wrl: ["model/vrml", "x-world/x-vrml", "application/x-world"],
        wrz: ["model/vrml", "x-world/x-vrml"],
        wsc: "text/scriplet",
        wsdl: "application/wsdl+xml",
        wspolicy: "application/wspolicy+xml",
        wsrc: "application/x-wais-source",
        wtb: "application/vnd.webturbo",
        wtk: "application/x-wintalk",
        wvx: "video/x-ms-wvx",
        "x-png": "image/png",
        x3d: "application/vnd.hzn-3d-crossword",
        xaf: "x-world/x-vrml",
        xap: "application/x-silverlight-app",
        xar: "application/vnd.xara",
        xbap: "application/x-ms-xbap",
        xbd: "application/vnd.fujixerox.docuworks.binder",
        xbm: ["image/xbm", "image/x-xbm", "image/x-xbitmap"],
        xdf: "application/xcap-diff+xml",
        xdm: "application/vnd.syncml.dm+xml",
        xdp: "application/vnd.adobe.xdp+xml",
        xdr: "video/x-amt-demorun",
        xdssc: "application/dssc+xml",
        xdw: "application/vnd.fujixerox.docuworks",
        xenc: "application/xenc+xml",
        xer: "application/patch-ops-error+xml",
        xfdf: "application/vnd.adobe.xfdf",
        xfdl: "application/vnd.xfdl",
        xgz: "xgl/drawing",
        xhtml: "application/xhtml+xml",
        xif: "image/vnd.xiff",
        xl: "application/excel",
        xla: ["application/vnd.ms-excel", "application/excel", "application/x-msexcel", "application/x-excel"],
        xlam: "application/vnd.ms-excel.addin.macroenabled.12",
        xlb: ["application/excel", "application/vnd.ms-excel", "application/x-excel"],
        xlc: ["application/vnd.ms-excel", "application/excel", "application/x-excel"],
        xld: ["application/excel", "application/x-excel"],
        xlk: ["application/excel", "application/x-excel"],
        xll: ["application/excel", "application/vnd.ms-excel", "application/x-excel"],
        xlm: ["application/vnd.ms-excel", "application/excel", "application/x-excel"],
        xls: ["application/vnd.ms-excel", "application/excel", "application/x-msexcel", "application/x-excel"],
        xlsb: "application/vnd.ms-excel.sheet.binary.macroenabled.12",
        xlsm: "application/vnd.ms-excel.sheet.macroenabled.12",
        xlsx: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
        xlt: ["application/vnd.ms-excel", "application/excel", "application/x-excel"],
        xltm: "application/vnd.ms-excel.template.macroenabled.12",
        xltx: "application/vnd.openxmlformats-officedocument.spreadsheetml.template",
        xlv: ["application/excel", "application/x-excel"],
        xlw: ["application/vnd.ms-excel", "application/excel", "application/x-msexcel", "application/x-excel"],
        xm: "audio/xm",
        xml: ["application/xml", "text/xml", "application/atom+xml", "application/rss+xml"],
        xmz: "xgl/movie",
        xo: "application/vnd.olpc-sugar",
        xof: "x-world/x-vrml",
        xop: "application/xop+xml",
        xpi: "application/x-xpinstall",
        xpix: "application/x-vnd.ls-xpix",
        xpm: ["image/xpm", "image/x-xpixmap"],
        xpr: "application/vnd.is-xpr",
        xps: "application/vnd.ms-xpsdocument",
        xpw: "application/vnd.intercon.formnet",
        xslt: "application/xslt+xml",
        xsm: "application/vnd.syncml+xml",
        xspf: "application/xspf+xml",
        xsr: "video/x-amt-showrun",
        xul: "application/vnd.mozilla.xul+xml",
        xwd: ["image/x-xwd", "image/x-xwindowdump"],
        xyz: ["chemical/x-xyz", "chemical/x-pdb"],
        yang: "application/yang",
        yin: "application/yin+xml",
        z: ["application/x-compressed", "application/x-compress"],
        zaz: "application/vnd.zzazz.deck+xml",
        zip: ["application/zip", "multipart/x-zip", "application/x-zip-compressed", "application/x-compressed"],
        zir: "application/vnd.zul",
        zmm: "application/vnd.handheld-entertainment+xml",
        zoo: "application/octet-stream",
        zsh: "text/x-script.zsh"
      }
    };
  }
});

// ../../../node_modules/mailsplit/node_modules/libmime/lib/libmime.js
var require_libmime = __commonJS({
  "../../../node_modules/mailsplit/node_modules/libmime/lib/libmime.js"(exports, module2) {
    "use strict";
    var libcharset = require_charset();
    var libbase64 = require_libbase64();
    var libqp = require_libqp();
    var mimetypes = require_mimetypes();
    var STAGE_KEY = 4097;
    var STAGE_VALUE = 4098;
    var Libmime = class {
      constructor(config) {
        this.config = config || {};
      }
      /**
       * Checks if a value is plaintext string (uses only printable 7bit chars)
       *
       * @param {String} value String to be tested
       * @returns {Boolean} true if it is a plaintext string
       */
      isPlainText(value) {
        if (typeof value !== "string" || /[\x00-\x08\x0b\x0c\x0e-\x1f\u0080-\uFFFF]/.test(value)) {
          return false;
        } else {
          return true;
        }
      }
      /**
       * Checks if a multi line string containes lines longer than the selected value.
       *
       * Useful when detecting if a mail message needs any processing at all –
       * if only plaintext characters are used and lines are short, then there is
       * no need to encode the values in any way. If the value is plaintext but has
       * longer lines then allowed, then use format=flowed
       *
       * @param {Number} lineLength Max line length to check for
       * @returns {Boolean} Returns true if there is at least one line longer than lineLength chars
       */
      hasLongerLines(str, lineLength) {
        return new RegExp("^.{" + (lineLength + 1) + ",}", "m").test(str);
      }
      /**
       * Decodes a string from a format=flowed soft wrapping.
       *
       * @param {String} str Plaintext string with format=flowed to decode
       * @param {Boolean} [delSp] If true, delete leading spaces (delsp=yes)
       * @return {String} Mime decoded string
       */
      decodeFlowed(str, delSp) {
        str = (str || "").toString();
        return str.split(/\r?\n/).reduce((previousValue, currentValue) => {
          if (/ $/.test(previousValue) && !/(^|\n)-- $/.test(previousValue)) {
            if (delSp) {
              return previousValue.slice(0, -1) + currentValue;
            } else {
              return previousValue + currentValue;
            }
          } else {
            return previousValue + "\n" + currentValue;
          }
        }).replace(/^ /gm, "");
      }
      /**
       * Adds soft line breaks to content marked with format=flowed to
       * ensure that no line in the message is never longer than lineLength
       *
       * @param {String} str Plaintext string that requires wrapping
       * @param {Number} [lineLength=76] Maximum length of a line
       * @return {String} String with forced line breaks
       */
      encodeFlowed(str, lineLength) {
        lineLength = lineLength || 76;
        let flowed = [];
        str.split(/\r?\n/).forEach((line) => {
          flowed.push(
            this.foldLines(
              line.replace(/^( |From|>)/gim, " $1"),
              lineLength,
              true
            )
          );
        });
        return flowed.join("\r\n");
      }
      /**
       * Encodes a string or an Buffer to an UTF-8 MIME Word (rfc2047)
       *
       * @param {String|Buffer} data String to be encoded
       * @param {String} mimeWordEncoding='Q' Encoding for the mime word, either Q or B
       * @param {Number} [maxLength=0] If set, split mime words into several chunks if needed
       * @return {String} Single or several mime words joined together
       */
      encodeWord(data, mimeWordEncoding, maxLength) {
        mimeWordEncoding = (mimeWordEncoding || "Q").toString().toUpperCase().trim().charAt(0);
        maxLength = maxLength || 0;
        let encodedStr;
        let toCharset = "UTF-8";
        if (maxLength && maxLength > 7 + toCharset.length) {
          maxLength -= 7 + toCharset.length;
        }
        if (mimeWordEncoding === "Q") {
          encodedStr = libqp.encode(data).replace(/[^a-z0-9!*+\-/=]/gi, (chr) => {
            let ord = chr.charCodeAt(0).toString(16).toUpperCase();
            if (chr === " ") {
              return "_";
            } else {
              return "=" + (ord.length === 1 ? "0" + ord : ord);
            }
          });
        } else if (mimeWordEncoding === "B") {
          encodedStr = typeof data === "string" ? data : libbase64.encode(data);
          maxLength = maxLength ? Math.max(3, (maxLength - maxLength % 4) / 4 * 3) : 0;
        }
        if (maxLength && (mimeWordEncoding !== "B" ? encodedStr : libbase64.encode(data)).length > maxLength) {
          if (mimeWordEncoding === "Q") {
            encodedStr = this.splitMimeEncodedString(encodedStr, maxLength).join("?= =?" + toCharset + "?" + mimeWordEncoding + "?");
          } else {
            let parts = [];
            let lpart = "";
            for (let i = 0, len = encodedStr.length; i < len; i++) {
              let chr = encodedStr.charAt(i);
              if (Buffer.byteLength(lpart + chr) <= maxLength || i === 0) {
                lpart += chr;
              } else {
                parts.push(libbase64.encode(lpart));
                lpart = chr;
              }
            }
            if (lpart) {
              parts.push(libbase64.encode(lpart));
            }
            if (parts.length > 1) {
              encodedStr = parts.join("?= =?" + toCharset + "?" + mimeWordEncoding + "?");
            } else {
              encodedStr = parts.join("");
            }
          }
        } else if (mimeWordEncoding === "B") {
          encodedStr = libbase64.encode(data);
        }
        return "=?" + toCharset + "?" + mimeWordEncoding + "?" + encodedStr + (encodedStr.substr(-2) === "?=" ? "" : "?=");
      }
      /**
       * Decode a complete mime word encoded string
       *
       * @param {String} str Mime word encoded string
       * @return {String} Decoded unicode string
       */
      decodeWord(charset, encoding, str) {
        let splitPos = charset.indexOf("*");
        if (splitPos >= 0) {
          charset = charset.substr(0, splitPos);
        }
        charset = libcharset.normalizeCharset(charset);
        encoding = encoding.toUpperCase();
        if (encoding === "Q") {
          str = str.replace(/=\s+([0-9a-fA-F])/g, "=$1").replace(/[_\s]/g, " ");
          let buf = Buffer.from(str);
          let bytes = [];
          for (let i = 0, len = buf.length; i < len; i++) {
            let c = buf[i];
            if (i <= len - 2 && c === 61) {
              let c1 = this.getHex(buf[i + 1]);
              let c2 = this.getHex(buf[i + 2]);
              if (c1 && c2) {
                let c3 = parseInt(c1 + c2, 16);
                bytes.push(c3);
                i += 2;
                continue;
              }
            }
            bytes.push(c);
          }
          str = Buffer.from(bytes);
        } else if (encoding === "B") {
          str = Buffer.concat(
            str.split("=").filter((s) => s !== "").map((str2) => Buffer.from(str2, "base64"))
          );
        } else {
          str = Buffer.from(str);
        }
        return libcharset.decode(str, charset);
      }
      /**
       * Finds word sequences with non ascii text and converts these to mime words
       *
       * @param {String|Buffer} data String to be encoded
       * @param {String} mimeWordEncoding='Q' Encoding for the mime word, either Q or B
       * @param {Number} [maxLength=0] If set, split mime words into several chunks if needed
       * @param {String} [fromCharset='UTF-8'] Source sharacter set
       * @return {String} String with possible mime words
       */
      encodeWords(data, mimeWordEncoding, maxLength, fromCharset) {
        if (!fromCharset && typeof maxLength === "string" && !maxLength.match(/^[0-9]+$/)) {
          fromCharset = maxLength;
          maxLength = void 0;
        }
        maxLength = maxLength || 0;
        let decodedValue = libcharset.decode(libcharset.convert(data || "", fromCharset));
        let encodedValue;
        let firstMatch = decodedValue.match(/(?:^|\s)([^\s]*[\u0080-\uFFFF])/);
        if (!firstMatch) {
          return decodedValue;
        }
        let lastMatch = decodedValue.match(/([\u0080-\uFFFF][^\s]*)[^\u0080-\uFFFF]*$/);
        if (!lastMatch) {
          return decodedValue;
        }
        let startIndex = firstMatch.index + (firstMatch[0].match(/[^\s]/) || {
          index: 0
        }).index;
        let endIndex = lastMatch.index + (lastMatch[1] || "").length;
        encodedValue = (startIndex ? decodedValue.substr(0, startIndex) : "") + this.encodeWord(decodedValue.substring(startIndex, endIndex), mimeWordEncoding || "Q", maxLength) + (endIndex < decodedValue.length ? decodedValue.substr(endIndex) : "");
        return encodedValue;
      }
      /**
       * Decode a string that might include one or several mime words
       *
       * @param {String} str String including some mime words that will be encoded
       * @return {String} Decoded unicode string
       */
      decodeWords(str) {
        return (str || "").toString().replace(/(=\?([^?]+)\?[Bb]\?[^?]*\?=)\s*(?==\?([^?]+)\?[Bb]\?[^?]*\?=)/g, (match, left, chLeft, chRight) => {
          if (libcharset.normalizeCharset(chLeft || "") === libcharset.normalizeCharset(chRight || "")) {
            return left + "__\0JOIN\0__";
          }
          return match;
        }).replace(/(=\?([^?]+)\?[Qq]\?[^?]*\?=)\s*(?==\?([^?]+)\?[Qq]\?[^?]*\?=)/g, (match, left, chLeft, chRight) => {
          if (libcharset.normalizeCharset(chLeft || "") === libcharset.normalizeCharset(chRight || "")) {
            return left + "__\0JOIN\0__";
          }
          return match;
        }).replace(/(\?=)?__\x00JOIN\x00__(=\?([^?]+)\?[QqBb]\?)?/g, "").replace(/(=\?[^?]+\?[QqBb]\?[^?]*\?=)\s+(?==\?[^?]+\?[QqBb]\?[^?]*\?=)/g, "$1").replace(/=\?([\w_\-*]+)\?([QqBb])\?([^?]*)\?=/g, (m, charset, encoding, text) => this.decodeWord(charset, encoding, text));
      }
      getHex(c) {
        if (c >= 48 && c <= 57 || c >= 97 && c <= 102 || c >= 65 && c <= 70) {
          return String.fromCharCode(c);
        }
        return false;
      }
      /**
       * Splits a string by :
       * The result is not mime word decoded, you need to do your own decoding based
       * on the rules for the specific header key
       *
       * @param {String} headerLine Single header line, might include linebreaks as well if folded
       * @return {Object} And object of {key, value}
       */
      decodeHeader(headerLine) {
        let line = (headerLine || "").toString().replace(/(?:\r?\n|\r)[ \t]*/g, " ").trim(), match = line.match(/^\s*([^:]+):(.*)$/), key = (match && match[1] || "").trim().toLowerCase(), value = (match && match[2] || "").trim();
        return {
          key,
          value
        };
      }
      /**
       * Parses a block of header lines. Does not decode mime words as every
       * header might have its own rules (eg. formatted email addresses and such)
       *
       * @param {String} headers Headers string
       * @return {Object} An object of headers, where header keys are object keys. NB! Several values with the same key make up an Array
       */
      decodeHeaders(headers) {
        let lines = headers.split(/\r?\n|\r/), headersObj = {}, header, i, len;
        for (i = lines.length - 1; i >= 0; i--) {
          if (i && lines[i].match(/^\s/)) {
            lines[i - 1] += "\r\n" + lines[i];
            lines.splice(i, 1);
          }
        }
        for (i = 0, len = lines.length; i < len; i++) {
          header = this.decodeHeader(lines[i]);
          if (!headersObj[header.key]) {
            headersObj[header.key] = [header.value];
          } else {
            headersObj[header.key].push(header.value);
          }
        }
        return headersObj;
      }
      /**
       * Joins parsed header value together as 'value; param1=value1; param2=value2'
       * PS: We are following RFC 822 for the list of special characters that we need to keep in quotes.
       *      Refer: https://www.w3.org/Protocols/rfc1341/4_Content-Type.html
       * @param {Object} structured Parsed header value
       * @return {String} joined header value
       */
      buildHeaderValue(structured) {
        let paramsArray = [];
        Object.keys(structured.params || {}).forEach((param) => {
          let value = structured.params[param];
          if (!this.isPlainText(value) || value.length >= 75) {
            this.buildHeaderParam(param, value, 50).forEach((encodedParam) => {
              if (!/[\s"\\;:/=(),<>@[\]?]|^[-']|'$/.test(encodedParam.value) || encodedParam.key.substr(-1) === "*") {
                paramsArray.push(encodedParam.key + "=" + encodedParam.value);
              } else {
                paramsArray.push(encodedParam.key + "=" + JSON.stringify(encodedParam.value));
              }
            });
          } else if (/[\s'"\\;:/=(),<>@[\]?]|^-/.test(value)) {
            paramsArray.push(param + "=" + JSON.stringify(value));
          } else {
            paramsArray.push(param + "=" + value);
          }
        });
        return structured.value + (paramsArray.length ? "; " + paramsArray.join("; ") : "");
      }
      /**
       * Parses a header value with key=value arguments into a structured
       * object.
       *
       *   parseHeaderValue('content-type: text/plain; CHARSET='UTF-8'') ->
       *   {
       *     'value': 'text/plain',
       *     'params': {
       *       'charset': 'UTF-8'
       *     }
       *   }
       *
       * @param {String} str Header value
       * @return {Object} Header value as a parsed structure
       */
      parseHeaderValue(str) {
        let response = {
          value: false,
          params: {}
        };
        let key = false;
        let value = "";
        let stage = STAGE_VALUE;
        let quote = false;
        let escaped = false;
        let chr;
        for (let i = 0, len = str.length; i < len; i++) {
          chr = str.charAt(i);
          switch (stage) {
            case STAGE_KEY:
              if (chr === "=") {
                key = value.trim().toLowerCase();
                stage = STAGE_VALUE;
                value = "";
                break;
              }
              value += chr;
              break;
            case STAGE_VALUE:
              if (escaped) {
                value += chr;
              } else if (chr === "\\") {
                escaped = true;
                continue;
              } else if (quote && chr === quote) {
                quote = false;
              } else if (!quote && chr === '"') {
                quote = chr;
              } else if (!quote && chr === ";") {
                if (key === false) {
                  response.value = value.trim();
                } else {
                  response.params[key] = value.trim();
                }
                stage = STAGE_KEY;
                value = "";
              } else {
                value += chr;
              }
              escaped = false;
              break;
          }
        }
        value = value.trim();
        if (stage === STAGE_VALUE) {
          if (key === false) {
            response.value = value;
          } else {
            response.params[key] = value;
          }
        } else if (value) {
          response.params[value.toLowerCase()] = "";
        }
        Object.keys(response.params).forEach((key2) => {
          let actualKey;
          let nr;
          let value2;
          let match = key2.match(/\*((\d+)\*?)?$/);
          if (!match) {
            return;
          }
          actualKey = key2.substr(0, match.index).toLowerCase();
          nr = Number(match[2]) || 0;
          if (!response.params[actualKey] || typeof response.params[actualKey] !== "object") {
            response.params[actualKey] = {
              charset: false,
              values: []
            };
          }
          value2 = response.params[key2];
          if (nr === 0 && match[0].charAt(match[0].length - 1) === "*" && (match = value2.match(/^([^']*)'[^']*'(.*)$/))) {
            response.params[actualKey].charset = match[1] || "utf-8";
            value2 = match[2];
          }
          response.params[actualKey].values.push({ nr, value: value2 });
          delete response.params[key2];
        });
        Object.keys(response.params).forEach((key2) => {
          let value2;
          if (response.params[key2] && Array.isArray(response.params[key2].values)) {
            value2 = response.params[key2].values.sort((a, b) => a.nr - b.nr).map((val) => val && val.value || "").join("");
            if (response.params[key2].charset) {
              response.params[key2] = this.decodeWords(
                "=?" + response.params[key2].charset + "?Q?" + value2.replace(/[=?_\s]/g, (s) => {
                  let c = s.charCodeAt(0).toString(16);
                  if (s === " ") {
                    return "_";
                  } else {
                    return "%" + (c.length < 2 ? "0" : "") + c;
                  }
                }).replace(/%/g, "=") + "?="
              );
            } else {
              response.params[key2] = this.decodeWords(value2);
            }
          }
        });
        return response;
      }
      /**
       * Encodes a string or an Buffer to an UTF-8 Parameter Value Continuation encoding (rfc2231)
       * Useful for splitting long parameter values.
       *
       * For example
       *      title="unicode string"
       * becomes
       *     title*0*=utf-8''unicode
       *     title*1*=%20string
       *
       * @param {String|Buffer} data String to be encoded
       * @param {Number} [maxLength=50] Max length for generated chunks
       * @param {String} [fromCharset='UTF-8'] Source sharacter set
       * @return {Array} A list of encoded keys and headers
       */
      buildHeaderParam(key, data, maxLength, fromCharset) {
        let list = [];
        let encodedStr = typeof data === "string" ? data : this.decode(data, fromCharset);
        let encodedStrArr;
        let chr, ord;
        let line;
        let startPos = 0;
        let isEncoded = false;
        let i, len;
        maxLength = maxLength || 50;
        if (this.isPlainText(data)) {
          if (encodedStr.length <= maxLength) {
            return [
              {
                key,
                value: encodedStr
              }
            ];
          }
          encodedStr = encodedStr.replace(new RegExp(".{" + maxLength + "}", "g"), (str) => {
            list.push({
              line: str
            });
            return "";
          });
          if (encodedStr) {
            list.push({
              line: encodedStr
            });
          }
        } else {
          if (/[\uD800-\uDBFF]/.test(encodedStr)) {
            encodedStrArr = [];
            for (i = 0, len = encodedStr.length; i < len; i++) {
              chr = encodedStr.charAt(i);
              ord = chr.charCodeAt(0);
              if (ord >= 55296 && ord <= 56319 && i < len - 1) {
                chr += encodedStr.charAt(i + 1);
                encodedStrArr.push(chr);
                i++;
              } else {
                encodedStrArr.push(chr);
              }
            }
            encodedStr = encodedStrArr;
          }
          line = "utf-8''";
          isEncoded = true;
          startPos = 0;
          for (i = 0, len = encodedStr.length; i < len; i++) {
            chr = encodedStr[i];
            if (isEncoded) {
              chr = this.safeEncodeURIComponent(chr);
            } else {
              chr = chr === " " ? chr : this.safeEncodeURIComponent(chr);
              if (chr !== encodedStr[i]) {
                if ((this.safeEncodeURIComponent(line) + chr).length >= maxLength) {
                  list.push({
                    line,
                    encoded: isEncoded
                  });
                  line = "";
                  startPos = i - 1;
                } else {
                  isEncoded = true;
                  i = startPos;
                  line = "";
                  continue;
                }
              }
            }
            if ((line + chr).length >= maxLength) {
              list.push({
                line,
                encoded: isEncoded
              });
              line = chr = encodedStr[i] === " " ? " " : this.safeEncodeURIComponent(encodedStr[i]);
              if (chr === encodedStr[i]) {
                isEncoded = false;
                startPos = i - 1;
              } else {
                isEncoded = true;
              }
            } else {
              line += chr;
            }
          }
          if (line) {
            list.push({
              line,
              encoded: isEncoded
            });
          }
        }
        return list.map((item, i2) => ({
          // encoded lines: {name}*{part}*
          // unencoded lines: {name}*{part}
          // if any line needs to be encoded then the first line (part==0) is always encoded
          key: key + "*" + i2 + (item.encoded ? "*" : ""),
          value: item.line
        }));
      }
      /**
       * Returns file extension for a content type string. If no suitable extensions
       * are found, 'bin' is used as the default extension
       *
       * @param {String} mimeType Content type to be checked for
       * @return {String} File extension
       */
      detectExtension(mimeType) {
        mimeType = (mimeType || "").toString().toLowerCase().replace(/\s/g, "");
        if (!(mimeType in mimetypes.list)) {
          return "bin";
        }
        if (typeof mimetypes.list[mimeType] === "string") {
          return mimetypes.list[mimeType];
        }
        let mimeParts = mimeType.split("/");
        for (let i = 0, len = mimetypes.list[mimeType].length; i < len; i++) {
          if (mimeParts[1] === mimetypes.list[mimeType][i]) {
            return mimetypes.list[mimeType][i];
          }
        }
        return mimetypes.list[mimeType][0] !== "*" ? mimetypes.list[mimeType][0] : "bin";
      }
      /**
       * Returns content type for a file extension. If no suitable content types
       * are found, 'application/octet-stream' is used as the default content type
       *
       * @param {String} extension Extension to be checked for
       * @return {String} File extension
       */
      detectMimeType(extension) {
        extension = (extension || "").toString().toLowerCase().replace(/\s/g, "").replace(/^\./g, "").split(".").pop();
        if (!(extension in mimetypes.extensions)) {
          return "application/octet-stream";
        }
        if (typeof mimetypes.extensions[extension] === "string") {
          return mimetypes.extensions[extension];
        }
        let mimeParts;
        for (let i = 0, len = mimetypes.extensions[extension].length; i < len; i++) {
          mimeParts = mimetypes.extensions[extension][i].split("/");
          if (mimeParts[1] === extension) {
            return mimetypes.extensions[extension][i];
          }
        }
        return mimetypes.extensions[extension][0];
      }
      /**
       * Folds long lines, useful for folding header lines (afterSpace=false) and
       * flowed text (afterSpace=true)
       *
       * @param {String} str String to be folded
       * @param {Number} [lineLength=76] Maximum length of a line
       * @param {Boolean} afterSpace If true, leave a space in th end of a line
       * @return {String} String with folded lines
       */
      foldLines(str, lineLength, afterSpace) {
        str = (str || "").toString();
        lineLength = lineLength || 76;
        let pos = 0, len = str.length, result = "", line, match;
        while (pos < len) {
          line = str.substr(pos, lineLength);
          if (line.length < lineLength) {
            result += line;
            break;
          }
          if (match = line.match(/^[^\n\r]*(\r?\n|\r)/)) {
            line = match[0];
            result += line;
            pos += line.length;
            continue;
          } else if ((match = line.match(/(\s+)[^\s]*$/)) && match[0].length - (afterSpace ? (match[1] || "").length : 0) < line.length) {
            line = line.substr(0, line.length - (match[0].length - (afterSpace ? (match[1] || "").length : 0)));
          } else if (match = str.substr(pos + line.length).match(/^[^\s]+(\s*)/)) {
            line = line + match[0].substr(0, match[0].length - (!afterSpace ? (match[1] || "").length : 0));
          }
          result += line;
          pos += line.length;
          if (pos < len) {
            result += "\r\n";
          }
        }
        return result;
      }
      /**
       * Splits a mime encoded string. Needed for dividing mime words into smaller chunks
       *
       * @param {String} str Mime encoded string to be split up
       * @param {Number} maxlen Maximum length of characters for one part (minimum 12)
       * @return {Array} Split string
       */
      splitMimeEncodedString(str, maxlen) {
        let curLine, match, chr, done, lines = [];
        maxlen = Math.max(maxlen || 0, 12);
        while (str.length) {
          curLine = str.substr(0, maxlen);
          if (match = curLine.match(/[=][0-9A-F]?$/i)) {
            curLine = curLine.substr(0, match.index);
          }
          done = false;
          while (!done) {
            done = true;
            if (match = str.substr(curLine.length).match(/^[=]([0-9A-F]{2})/i)) {
              chr = parseInt(match[1], 16);
              if (chr < 194 && chr > 127) {
                curLine = curLine.substr(0, curLine.length - 3);
                done = false;
              }
            }
          }
          if (curLine.length) {
            lines.push(curLine);
          }
          str = str.substr(curLine.length);
        }
        return lines;
      }
      encodeURICharComponent(chr) {
        let res = "";
        let ord = chr.charCodeAt(0).toString(16).toUpperCase();
        if (ord.length % 2) {
          ord = "0" + ord;
        }
        if (ord.length > 2) {
          for (let i = 0, len = ord.length / 2; i < len; i++) {
            res += "%" + ord.substr(i, 2);
          }
        } else {
          res += "%" + ord;
        }
        return res;
      }
      safeEncodeURIComponent(str) {
        str = (str || "").toString();
        try {
          str = encodeURIComponent(str);
        } catch (E) {
          return str.replace(/[^\x00-\x1F *'()<>@,;:\\"[\]?=\u007F-\uFFFF]+/g, "");
        }
        return str.replace(/[\x00-\x1F *'()<>@,;:\\"[\]?=\u007F-\uFFFF]/g, (chr) => this.encodeURICharComponent(chr));
      }
    };
    module2.exports = new Libmime();
    module2.exports.Libmime = Libmime;
  }
});

// ../../../node_modules/mailsplit/lib/headers.js
var require_headers = __commonJS({
  "../../../node_modules/mailsplit/lib/headers.js"(exports, module2) {
    "use strict";
    var libmime = require_libmime();
    var Headers = class {
      constructor(headers, config) {
        config = config || {};
        if (Array.isArray(headers)) {
          this.changed = true;
          this.headers = false;
          this.parsed = true;
          this.lines = headers;
        } else {
          this.changed = false;
          this.headers = headers;
          this.parsed = false;
          this.lines = false;
        }
        this.mbox = false;
        this.http = false;
        this.libmime = new libmime.Libmime({ Iconv: config.Iconv });
      }
      hasHeader(key) {
        if (!this.parsed) {
          this._parseHeaders();
        }
        key = this._normalizeHeader(key);
        return typeof this.lines.find((line) => line.key === key) === "object";
      }
      get(key) {
        if (!this.parsed) {
          this._parseHeaders();
        }
        key = this._normalizeHeader(key);
        let lines = this.lines.filter((line) => line.key === key).map((line) => line.line);
        return lines;
      }
      getDecoded(key) {
        return this.get(key).map((line) => this.libmime.decodeHeader(line)).filter((line) => line && line.value);
      }
      getFirst(key) {
        if (!this.parsed) {
          this._parseHeaders();
        }
        key = this._normalizeHeader(key);
        let header = this.lines.find((line) => line.key === key);
        if (!header) {
          return "";
        }
        return ((this.libmime.decodeHeader(header.line) || {}).value || "").toString().trim();
      }
      getList() {
        if (!this.parsed) {
          this._parseHeaders();
        }
        return this.lines;
      }
      add(key, value, index) {
        if (typeof value === "undefined") {
          return;
        }
        if (typeof value === "number") {
          value = value.toString();
        }
        if (typeof value === "string") {
          value = Buffer.from(value);
        }
        value = value.toString("binary");
        this.addFormatted(key, this.libmime.foldLines(key + ": " + value.replace(/\r?\n/g, ""), 76, false), index);
      }
      addFormatted(key, line, index) {
        if (!this.parsed) {
          this._parseHeaders();
        }
        index = index || 0;
        this.changed = true;
        if (!line) {
          return;
        }
        if (typeof line !== "string") {
          line = line.toString("binary");
        }
        let header = {
          key: this._normalizeHeader(key),
          line
        };
        if (index < 1) {
          this.lines.unshift(header);
        } else if (index >= this.lines.length) {
          this.lines.push(header);
        } else {
          this.lines.splice(index, 0, header);
        }
      }
      remove(key) {
        if (!this.parsed) {
          this._parseHeaders();
        }
        key = this._normalizeHeader(key);
        for (let i = this.lines.length - 1; i >= 0; i--) {
          if (this.lines[i].key === key) {
            this.changed = true;
            this.lines.splice(i, 1);
          }
        }
      }
      update(key, value, relativeIndex) {
        if (!this.parsed) {
          this._parseHeaders();
        }
        let keyName = key;
        let index = 0;
        key = this._normalizeHeader(key);
        let relativeIndexCount = 0;
        let relativeMatchFound = false;
        for (let i = this.lines.length - 1; i >= 0; i--) {
          if (this.lines[i].key === key) {
            if (relativeIndex && relativeIndex !== relativeIndexCount) {
              relativeIndexCount++;
              continue;
            }
            index = i;
            this.changed = true;
            this.lines.splice(i, 1);
            if (relativeIndex) {
              relativeMatchFound = true;
              break;
            }
          }
        }
        if (relativeIndex && !relativeMatchFound)
          return;
        this.add(keyName, value, index);
      }
      build(lineEnd) {
        if (!this.changed && !lineEnd) {
          return typeof this.headers === "string" ? Buffer.from(this.headers, "binary") : this.headers;
        }
        if (!this.parsed) {
          this._parseHeaders();
        }
        lineEnd = lineEnd || "\r\n";
        let headers = this.lines.map((line) => line.line.replace(/\r?\n/g, lineEnd)).join(lineEnd) + `${lineEnd}${lineEnd}`;
        if (this.mbox) {
          headers = this.mbox + lineEnd + headers;
        }
        if (this.http) {
          headers = this.http + lineEnd + headers;
        }
        return Buffer.from(headers, "binary");
      }
      _normalizeHeader(key) {
        return (key || "").toLowerCase().trim();
      }
      _parseHeaders() {
        if (!this.headers) {
          this.lines = [];
          this.parsed = true;
          return;
        }
        let lines = this.headers.toString("binary").replace(/[\r\n]+$/, "").split(/\r?\n/);
        for (let i = lines.length - 1; i >= 0; i--) {
          let chr = lines[i].charAt(0);
          if (i && (chr === " " || chr === "	")) {
            lines[i - 1] += "\r\n" + lines[i];
            lines.splice(i, 1);
          } else {
            let line = lines[i];
            if (!i && /^From /i.test(line)) {
              this.mbox = line;
              lines.splice(i, 1);
              continue;
            } else if (!i && /^POST /i.test(line)) {
              this.http = line;
              lines.splice(i, 1);
              continue;
            }
            let key = this._normalizeHeader(line.substr(0, line.indexOf(":")));
            lines[i] = {
              key,
              line
            };
          }
        }
        this.lines = lines;
        this.parsed = true;
      }
    };
    module2.exports = Headers;
  }
});

// ../../../node_modules/mailsplit/lib/mime-node.js
var require_mime_node = __commonJS({
  "../../../node_modules/mailsplit/lib/mime-node.js"(exports, module2) {
    "use strict";
    var Headers = require_headers();
    var libmime = require_libmime();
    var libqp = require_libqp();
    var libbase64 = require_libbase64();
    var PassThrough = require("stream").PassThrough;
    var pathlib = require("path");
    var MimeNode = class {
      constructor(parentNode, config) {
        this.type = "node";
        this.root = !parentNode;
        this.parentNode = parentNode;
        this._parentBoundary = this.parentNode && this.parentNode._boundary;
        this._headersLines = [];
        this._headerlen = 0;
        this._parsedContentType = false;
        this._boundary = false;
        this.multipart = false;
        this.encoding = false;
        this.headers = false;
        this.contentType = false;
        this.flowed = false;
        this.delSp = false;
        this.config = config || {};
        this.libmime = new libmime.Libmime({ Iconv: this.config.Iconv });
        this.parentPartNumber = parentNode && this.partNr || [];
        this.partNr = false;
        this.childPartNumbers = 0;
      }
      getPartNr(provided) {
        if (provided) {
          return [].concat(this.partNr || []).filter((nr) => !isNaN(nr)).concat(provided);
        }
        let childPartNr = ++this.childPartNumbers;
        return [].concat(this.partNr || []).filter((nr) => !isNaN(nr)).concat(childPartNr);
      }
      addHeaderChunk(line) {
        if (!line) {
          return;
        }
        this._headersLines.push(line);
        this._headerlen += line.length;
      }
      parseHeaders() {
        if (this.headers) {
          return;
        }
        this.headers = new Headers(Buffer.concat(this._headersLines, this._headerlen), this.config);
        this._parsedContentDisposition = this.libmime.parseHeaderValue(this.headers.getFirst("Content-Disposition"));
        let contentHeader;
        if (this.headers.get("Content-Type").length) {
          contentHeader = this.headers.getFirst("Content-Type");
        } else {
          if (this._parsedContentDisposition.params.filename) {
            let extension = pathlib.parse(this._parsedContentDisposition.params.filename).ext.replace(/^\./, "");
            if (extension) {
              contentHeader = libmime.detectMimeType(extension);
            }
          }
          if (!contentHeader) {
            if (/^attachment$/i.test(this._parsedContentDisposition.value)) {
              contentHeader = "application/octet-stream";
            } else {
              contentHeader = "text/plain";
            }
          }
        }
        this._parsedContentType = this.libmime.parseHeaderValue(contentHeader);
        this.encoding = this.headers.getFirst("Content-Transfer-Encoding").replace(/\(.*\)/g, "").toLowerCase().trim();
        this.contentType = (this._parsedContentType.value || "").toLowerCase().trim() || false;
        this.charset = this._parsedContentType.params.charset || false;
        this.disposition = (this._parsedContentDisposition.value || "").toLowerCase().trim() || false;
        if (this.disposition) {
          try {
            this.disposition = this.libmime.decodeWords(this.disposition);
          } catch (E) {
          }
        }
        this.filename = this._parsedContentDisposition.params.filename || this._parsedContentType.params.name || false;
        if (this._parsedContentType.params.format && this._parsedContentType.params.format.toLowerCase().trim() === "flowed") {
          this.flowed = true;
          if (this._parsedContentType.params.delsp && this._parsedContentType.params.delsp.toLowerCase().trim() === "yes") {
            this.delSp = true;
          }
        }
        if (this.filename) {
          try {
            this.filename = this.libmime.decodeWords(this.filename);
          } catch (E) {
          }
        }
        this.multipart = this.contentType && this.contentType.substr(0, this.contentType.indexOf("/")) === "multipart" && this.contentType.substr(this.contentType.indexOf("/") + 1) || false;
        this._boundary = this._parsedContentType.params.boundary && Buffer.from(this._parsedContentType.params.boundary) || false;
        this.rfc822 = this.contentType === "message/rfc822";
        if (!this.parentNode || this.parentNode.rfc822) {
          this.partNr = this.parentNode ? this.parentNode.getPartNr("TEXT") : ["TEXT"];
        } else {
          this.partNr = this.parentNode ? this.parentNode.getPartNr() : [];
        }
      }
      getHeaders() {
        if (!this.headers) {
          this.parseHeaders();
        }
        return this.headers.build();
      }
      setContentType(contentType) {
        if (!this.headers) {
          this.parseHeaders();
        }
        contentType = (contentType || "").toLowerCase().trim();
        if (contentType) {
          this._parsedContentType.value = contentType;
        }
        if (!this.flowed && this._parsedContentType.params.format) {
          delete this._parsedContentType.params.format;
        }
        if (!this.delSp && this._parsedContentType.params.delsp) {
          delete this._parsedContentType.params.delsp;
        }
        this.headers.update("Content-Type", this.libmime.buildHeaderValue(this._parsedContentType));
      }
      setCharset(charset) {
        if (!this.headers) {
          this.parseHeaders();
        }
        charset = (charset || "").toLowerCase().trim();
        if (charset === "ascii") {
          charset = "";
        }
        if (!charset) {
          if (!this._parsedContentType.value) {
            return;
          }
          delete this._parsedContentType.params.charset;
        } else {
          this._parsedContentType.params.charset = charset;
        }
        if (!this._parsedContentType.value) {
          this._parsedContentType.value = "text/plain";
        }
        this.headers.update("Content-Type", this.libmime.buildHeaderValue(this._parsedContentType));
      }
      setFilename(filename) {
        if (!this.headers) {
          this.parseHeaders();
        }
        this.filename = (filename || "").toLowerCase().trim();
        if (this._parsedContentType.params.name) {
          delete this._parsedContentType.params.name;
          this.headers.update("Content-Type", this.libmime.buildHeaderValue(this._parsedContentType));
        }
        if (!this.filename) {
          if (!this._parsedContentDisposition.value) {
            return;
          }
          delete this._parsedContentDisposition.params.filename;
        } else {
          this._parsedContentDisposition.params.filename = this.filename;
        }
        if (!this._parsedContentDisposition.value) {
          this._parsedContentDisposition.value = "attachment";
        }
        this.headers.update("Content-Disposition", this.libmime.buildHeaderValue(this._parsedContentDisposition));
      }
      getDecoder() {
        if (!this.headers) {
          this.parseHeaders();
        }
        switch (this.encoding) {
          case "base64":
            return new libbase64.Decoder();
          case "quoted-printable":
            return new libqp.Decoder();
          default:
            return new PassThrough();
        }
      }
      getEncoder(encoding) {
        if (!this.headers) {
          this.parseHeaders();
        }
        encoding = (encoding || "").toString().toLowerCase().trim();
        if (encoding && encoding !== this.encoding) {
          this.headers.update("Content-Transfer-Encoding", encoding);
        } else {
          encoding = this.encoding;
        }
        switch (encoding) {
          case "base64":
            return new libbase64.Encoder();
          case "quoted-printable":
            return new libqp.Encoder();
          default:
            return new PassThrough();
        }
      }
    };
    module2.exports = MimeNode;
  }
});

// ../../../node_modules/mailsplit/lib/message-splitter.js
var require_message_splitter = __commonJS({
  "../../../node_modules/mailsplit/lib/message-splitter.js"(exports, module2) {
    "use strict";
    var Transform = require("stream").Transform;
    var MimeNode = require_mime_node();
    var MAX_HEAD_SIZE = 1 * 1024 * 1024;
    var MAX_CHILD_NODES = 1e3;
    var HEAD = 1;
    var BODY = 2;
    var MessageSplitter = class extends Transform {
      constructor(config) {
        let options = {
          readableObjectMode: true,
          writableObjectMode: false
        };
        super(options);
        this.config = config || {};
        this.maxHeadSize = this.config.maxHeadSize || MAX_HEAD_SIZE;
        this.maxChildNodes = this.config.maxChildNodes || MAX_CHILD_NODES;
        this.tree = [];
        this.nodeCounter = 0;
        this.newNode();
        this.tree.push(this.node);
        this.line = false;
        this.hasFailed = false;
      }
      _transform(chunk, encoding, callback) {
        let pos = 0;
        let i = 0;
        let group = {
          type: "none"
        };
        let groupstart = this.line ? -this.line.length : 0;
        let groupend = 0;
        let checkTrailingLinebreak = (data) => {
          if (data.type === "body" && data.node.parentNode && data.value && data.value.length) {
            if (data.value[data.value.length - 1] === 10) {
              groupstart--;
              groupend--;
              pos--;
              if (data.value.length > 1 && data.value[data.value.length - 2] === 13) {
                groupstart--;
                groupend--;
                pos--;
                if (groupstart < 0 && !this.line) {
                  this.line = Buffer.allocUnsafe(1);
                  this.line[0] = 13;
                }
                data.value = data.value.slice(0, data.value.length - 2);
              } else {
                data.value = data.value.slice(0, data.value.length - 1);
              }
            } else if (data.value[data.value.length - 1] === 13) {
              groupstart--;
              groupend--;
              pos--;
              data.value = data.value.slice(0, data.value.length - 1);
            }
          }
        };
        let iterateData = () => {
          for (let len = chunk.length; i < len; i++) {
            if (chunk[i] === 10) {
              let start = Math.max(pos, 0);
              pos = ++i;
              return this.processLine(chunk.slice(start, i), false, (err, data, flush) => {
                if (err) {
                  this.hasFailed = true;
                  return setImmediate(() => callback(err));
                }
                if (!data) {
                  return setImmediate(iterateData);
                }
                if (flush) {
                  if (group && group.type !== "none") {
                    if (group.type === "body" && groupend >= groupstart && group.node.parentNode) {
                      if (chunk[groupend - 1] === 10) {
                        groupend--;
                        if (groupend >= groupstart && chunk[groupend - 1] === 13) {
                          groupend--;
                        }
                      }
                    }
                    if (groupstart !== groupend) {
                      group.value = chunk.slice(groupstart, groupend);
                      if (groupend < i) {
                        data.value = chunk.slice(groupend, i);
                      }
                    }
                    this.push(group);
                    group = {
                      type: "none"
                    };
                    groupstart = groupend = i;
                  }
                  this.push(data);
                  groupend = i;
                  return setImmediate(iterateData);
                }
                if (data.type === group.type) {
                  groupend = i;
                } else {
                  if (group.type === "body" && groupend >= groupstart && group.node.parentNode) {
                    if (chunk[groupend - 1] === 10) {
                      groupend--;
                      if (groupend >= groupstart && chunk[groupend - 1] === 13) {
                        groupend--;
                      }
                    }
                  }
                  if (group.type !== "none" && group.type !== "node") {
                    if (groupstart !== groupend) {
                      group.value = chunk.slice(groupstart, groupend);
                      if (group.value && group.value.length) {
                        this.push(group);
                        group = {
                          type: "none"
                        };
                      }
                    }
                  }
                  if (data.type === "node") {
                    this.push(data);
                    groupstart = i;
                    groupend = i;
                  } else if (groupstart < 0) {
                    groupstart = i;
                    groupend = i;
                    checkTrailingLinebreak(data);
                    if (data.value && data.value.length) {
                      this.push(data);
                    }
                  } else {
                    group = data;
                    groupstart = groupend;
                    groupend = i;
                  }
                }
                return setImmediate(iterateData);
              });
            }
          }
          if (pos >= groupstart + 1 && group.type === "body" && group.node.parentNode) {
            if (chunk[pos - 1] === 10) {
              pos--;
              if (pos >= groupstart && chunk[pos - 1] === 13) {
                pos--;
              }
            }
          }
          if (group.type !== "none" && group.type !== "node" && pos > groupstart) {
            group.value = chunk.slice(groupstart, pos);
            if (group.value && group.value.length) {
              this.push(group);
              group = {
                type: "none"
              };
            }
          }
          if (pos < chunk.length) {
            if (this.line) {
              this.line = Buffer.concat([this.line, chunk.slice(pos)]);
            } else {
              this.line = chunk.slice(pos);
            }
          }
          callback();
        };
        setImmediate(iterateData);
      }
      _flush(callback) {
        if (this.hasFailed) {
          return callback();
        }
        this.processLine(false, true, (err, data) => {
          if (err) {
            return setImmediate(() => callback(err));
          }
          if (data && (data.type === "node" || data.value && data.value.length)) {
            this.push(data);
          }
          callback();
        });
      }
      compareBoundary(line, startpos, boundary) {
        if (line.length < boundary.length + 3 + startpos || line.length > boundary.length + 6 + startpos) {
          return false;
        }
        for (let i = 0; i < boundary.length; i++) {
          if (line[i + 2 + startpos] !== boundary[i]) {
            return false;
          }
        }
        let pos = 0;
        for (let i = boundary.length + 2 + startpos; i < line.length; i++) {
          let c = line[i];
          if (pos === 0 && (c === 13 || c === 10)) {
            return 1;
          }
          if (pos === 0 && c !== 45) {
            return false;
          }
          if (pos === 1 && c !== 45) {
            return false;
          }
          if (pos === 2 && c !== 13 && c !== 10) {
            return false;
          }
          if (pos === 3 && c !== 10) {
            return false;
          }
          pos++;
        }
        return 2;
      }
      checkBoundary(line) {
        let startpos = 0;
        if (line.length >= 1 && (line[0] === 13 || line[0] === 10)) {
          startpos++;
          if (line.length >= 2 && (line[0] === 13 || line[1] === 10)) {
            startpos++;
          }
        }
        if (line.length < 4 || line[startpos] !== 45 || line[startpos + 1] !== 45) {
          return false;
        }
        let boundary;
        if (this.node._boundary && (boundary = this.compareBoundary(line, startpos, this.node._boundary))) {
          return boundary;
        }
        if (this.node._parentBoundary && (boundary = this.compareBoundary(line, startpos, this.node._parentBoundary))) {
          return boundary + 2;
        }
        return false;
      }
      processLine(line, final, next) {
        let flush = false;
        if (this.line && line) {
          line = Buffer.concat([this.line, line]);
          this.line = false;
        } else if (this.line && !line) {
          line = this.line;
          this.line = false;
        }
        if (!line) {
          line = Buffer.alloc(0);
        }
        if (this.nodeCounter > this.maxChildNodes) {
          let err = new Error("Max allowed child nodes exceeded");
          err.code = "EMAXLEN";
          return next(err);
        }
        let boundary = this.checkBoundary(line);
        if (boundary) {
          switch (boundary) {
            case 1:
              this.newNode(this.node);
              flush = true;
              break;
            case 2:
              break;
            case 3: {
              let parentNode = this.node.parentNode;
              if (parentNode && parentNode.contentType === "message/rfc822") {
                parentNode = parentNode.parentNode;
              }
              this.newNode(parentNode);
              flush = true;
              break;
            }
            case 4:
              if (this.node && this.node._headerlen && !this.node.headers) {
                this.node.parseHeaders();
                this.push(this.node);
              }
              if (this.tree.length) {
                this.node = this.tree.pop();
              }
              this.state = BODY;
              break;
          }
          return next(
            null,
            {
              node: this.node,
              type: "data",
              value: line
            },
            flush
          );
        }
        switch (this.state) {
          case HEAD: {
            this.node.addHeaderChunk(line);
            if (this.node._headerlen > this.maxHeadSize) {
              let err = new Error("Max header size for a MIME node exceeded");
              err.code = "EMAXLEN";
              return next(err);
            }
            if (final || line.length === 1 && line[0] === 10 || line.length === 2 && line[0] === 13 && line[1] === 10) {
              let currentNode = this.node;
              currentNode.parseHeaders();
              if (currentNode.contentType === "message/rfc822" && !this.config.ignoreEmbedded && (!currentNode.encoding || ["7bit", "8bit", "binary"].includes(currentNode.encoding)) && (this.config.defaultInlineEmbedded ? currentNode.disposition !== "attachment" : currentNode.disposition === "inline")) {
                currentNode.messageNode = true;
                this.newNode(currentNode);
                if (currentNode.parentNode) {
                  this.node._parentBoundary = currentNode.parentNode._boundary;
                }
              } else {
                if (currentNode.contentType === "message/rfc822") {
                  currentNode.messageNode = false;
                }
                this.state = BODY;
                if (currentNode.multipart && currentNode._boundary) {
                  this.tree.push(currentNode);
                }
              }
              return next(null, currentNode, flush);
            }
            return next();
          }
          case BODY: {
            return next(
              null,
              {
                node: this.node,
                type: this.node.multipart ? "data" : "body",
                value: line
              },
              flush
            );
          }
        }
        next(null, false);
      }
      newNode(parent) {
        this.node = new MimeNode(parent || false, this.config);
        this.state = HEAD;
        this.nodeCounter++;
      }
    };
    module2.exports = MessageSplitter;
  }
});

// ../../../node_modules/mailsplit/lib/message-joiner.js
var require_message_joiner = __commonJS({
  "../../../node_modules/mailsplit/lib/message-joiner.js"(exports, module2) {
    "use strict";
    var Transform = require("stream").Transform;
    var MessageJoiner = class extends Transform {
      constructor() {
        let options = {
          readableObjectMode: false,
          writableObjectMode: true
        };
        super(options);
      }
      _transform(obj, encoding, callback) {
        if (Buffer.isBuffer(obj)) {
          this.push(obj);
        } else if (obj.type === "node") {
          this.push(obj.getHeaders());
        } else if (obj.value) {
          this.push(obj.value);
        }
        return callback();
      }
      _flush(callback) {
        return callback();
      }
    };
    module2.exports = MessageJoiner;
  }
});

// ../../../node_modules/mailsplit/lib/flowed-decoder.js
var require_flowed_decoder = __commonJS({
  "../../../node_modules/mailsplit/lib/flowed-decoder.js"(exports, module2) {
    "use strict";
    var Transform = require("stream").Transform;
    var libmime = require_libmime();
    var FlowedDecoder = class extends Transform {
      constructor(config) {
        super();
        this.config = config || {};
        this.chunks = [];
        this.chunklen = 0;
        this.libmime = new libmime.Libmime({ Iconv: config.Iconv });
      }
      _transform(chunk, encoding, callback) {
        if (!chunk || !chunk.length) {
          return callback();
        }
        if (!encoding !== "buffer") {
          chunk = Buffer.from(chunk, encoding);
        }
        this.chunks.push(chunk);
        this.chunklen += chunk.length;
        callback();
      }
      _flush(callback) {
        if (this.chunklen) {
          let currentBody = Buffer.concat(this.chunks, this.chunklen);
          if (this.config.encoding === "base64") {
            currentBody = Buffer.from(currentBody.toString("binary"), "base64");
          }
          let content = this.libmime.decodeFlowed(currentBody.toString("binary"), this.config.delSp);
          this.push(Buffer.from(content, "binary"));
        }
        return callback();
      }
    };
    module2.exports = FlowedDecoder;
  }
});

// ../../../node_modules/mailsplit/lib/node-rewriter.js
var require_node_rewriter = __commonJS({
  "../../../node_modules/mailsplit/lib/node-rewriter.js"(exports, module2) {
    "use strict";
    var Transform = require("stream").Transform;
    var FlowedDecoder = require_flowed_decoder();
    var NodeRewriter = class extends Transform {
      constructor(filterFunc, rewriteAction) {
        let options = {
          readableObjectMode: true,
          writableObjectMode: true
        };
        super(options);
        this.filterFunc = filterFunc;
        this.rewriteAction = rewriteAction;
        this.decoder = false;
        this.encoder = false;
        this.continue = false;
      }
      _transform(data, encoding, callback) {
        this.processIncoming(data, callback);
      }
      _flush(callback) {
        if (this.decoder) {
          return this.processIncoming(
            {
              type: "none"
            },
            callback
          );
        }
        return callback();
      }
      processIncoming(data, callback) {
        if (this.decoder && data.type === "body") {
          if (!this.decoder.write(data.value)) {
            return this.decoder.once("drain", callback);
          } else {
            return callback();
          }
        } else if (this.decoder && data.type !== "body") {
          this.continue = () => {
            this.continue = false;
            this.decoder = false;
            this.encoder = false;
            this.processIncoming(data, callback);
          };
          return this.decoder.end();
        } else if (data.type === "node" && this.filterFunc(data)) {
          this.emit("node", this.createDecodePair(data));
        } else if (this.readable && data.type !== "none") {
          this.push(data);
        }
        callback();
      }
      createDecodePair(node) {
        this.decoder = node.getDecoder();
        if (["base64", "quoted-printable"].includes(node.encoding)) {
          this.encoder = node.getEncoder();
        } else {
          this.encoder = node.getEncoder("quoted-printable");
        }
        let lastByte = false;
        let decoder = this.decoder;
        let encoder = this.encoder;
        let firstChunk = true;
        decoder.$reading = false;
        let readFromEncoder = () => {
          decoder.$reading = true;
          let data = encoder.read();
          if (data === null) {
            decoder.$reading = false;
            return;
          }
          if (firstChunk) {
            firstChunk = false;
            if (this.readable) {
              this.push(node);
              if (node.type === "body") {
                lastByte = node.value && node.value.length && node.value[node.value.length - 1];
              }
            }
          }
          let writeMore = true;
          if (this.readable) {
            writeMore = this.push({
              node,
              type: "body",
              value: data
            });
            lastByte = data && data.length && data[data.length - 1];
          }
          if (writeMore) {
            return setImmediate(readFromEncoder);
          } else {
            encoder.pause();
            setTimeout(() => {
              encoder.resume();
              setImmediate(readFromEncoder);
            }, 100);
          }
        };
        encoder.on("readable", () => {
          if (!decoder.$reading) {
            return readFromEncoder();
          }
        });
        encoder.on("end", () => {
          if (firstChunk) {
            firstChunk = false;
            if (this.readable) {
              this.push(node);
              if (node.type === "body") {
                lastByte = node.value && node.value.length && node.value[node.value.length - 1];
              }
            }
          }
          if (lastByte !== 10) {
            this.push({
              node,
              type: "body",
              value: Buffer.from([10])
            });
          }
          if (this.continue) {
            return this.continue();
          }
        });
        if (/^text\//.test(node.contentType) && node.flowed) {
          let flowDecoder = decoder;
          decoder = new FlowedDecoder({
            delSp: node.delSp,
            encoding: node.encoding
          });
          flowDecoder.on("error", (err) => {
            decoder.emit("error", err);
          });
          flowDecoder.pipe(decoder);
          node.flowed = false;
          node.delSp = false;
          node.setContentType();
        }
        return {
          node,
          decoder,
          encoder
        };
      }
    };
    module2.exports = NodeRewriter;
  }
});

// ../../../node_modules/mailsplit/lib/node-streamer.js
var require_node_streamer = __commonJS({
  "../../../node_modules/mailsplit/lib/node-streamer.js"(exports, module2) {
    "use strict";
    var Transform = require("stream").Transform;
    var FlowedDecoder = require_flowed_decoder();
    var NodeStreamer = class extends Transform {
      constructor(filterFunc, streamAction) {
        let options = {
          readableObjectMode: true,
          writableObjectMode: true
        };
        super(options);
        this.filterFunc = filterFunc;
        this.streamAction = streamAction;
        this.decoder = false;
        this.canContinue = false;
        this.continue = false;
      }
      _transform(data, encoding, callback) {
        this.processIncoming(data, callback);
      }
      _flush(callback) {
        if (this.decoder) {
          return this.processIncoming(
            {
              type: "none"
            },
            callback
          );
        }
        return callback();
      }
      processIncoming(data, callback) {
        if (this.decoder && data.type === "body") {
          this.push(data);
          if (!this.decoder.write(data.value)) {
            return this.decoder.once("drain", callback);
          } else {
            return callback();
          }
        } else if (this.decoder && data.type !== "body") {
          let doContinue = () => {
            this.continue = false;
            this.decoder = false;
            this.canContinue = false;
            this.processIncoming(data, callback);
          };
          if (this.canContinue) {
            setImmediate(doContinue);
          } else {
            this.continue = () => doContinue();
          }
          return this.decoder.end();
        } else if (data.type === "node" && this.filterFunc(data)) {
          this.push(data);
          this.emit("node", this.createDecoder(data));
        } else if (this.readable && data.type !== "none") {
          this.push(data);
        }
        callback();
      }
      createDecoder(node) {
        this.decoder = node.getDecoder();
        let decoder = this.decoder;
        decoder.$reading = false;
        if (/^text\//.test(node.contentType) && node.flowed) {
          let flowDecoder = decoder;
          decoder = new FlowedDecoder({
            delSp: node.delSp
          });
          flowDecoder.on("error", (err) => {
            decoder.emit("error", err);
          });
          flowDecoder.pipe(decoder);
        }
        return {
          node,
          decoder,
          done: () => {
            if (typeof this.continue === "function") {
              this.continue();
            } else {
              this.canContinue = true;
            }
          }
        };
      }
    };
    module2.exports = NodeStreamer;
  }
});

// ../../../node_modules/mailsplit/index.js
var require_mailsplit = __commonJS({
  "../../../node_modules/mailsplit/index.js"(exports, module2) {
    "use strict";
    var MessageSplitter = require_message_splitter();
    var MessageJoiner = require_message_joiner();
    var NodeRewriter = require_node_rewriter();
    var NodeStreamer = require_node_streamer();
    var Headers = require_headers();
    module2.exports = {
      Splitter: MessageSplitter,
      Joiner: MessageJoiner,
      Rewriter: NodeRewriter,
      Streamer: NodeStreamer,
      Headers
    };
  }
});

// ../../../node_modules/libmime/lib/charsets.js
var require_charsets2 = __commonJS({
  "../../../node_modules/libmime/lib/charsets.js"(exports, module2) {
    "use strict";
    module2.exports = {
      "866": "IBM866",
      "unicode-1-1-utf-8": "UTF-8",
      "utf-8": "UTF-8",
      utf8: "UTF-8",
      cp866: "IBM866",
      csibm866: "IBM866",
      ibm866: "IBM866",
      csisolatin2: "ISO-8859-2",
      "iso-8859-2": "ISO-8859-2",
      "iso-ir-101": "ISO-8859-2",
      "iso8859-2": "ISO-8859-2",
      iso88592: "ISO-8859-2",
      "iso_8859-2": "ISO-8859-2",
      "iso_8859-2:1987": "ISO-8859-2",
      l2: "ISO-8859-2",
      latin2: "ISO-8859-2",
      csisolatin3: "ISO-8859-3",
      "iso-8859-3": "ISO-8859-3",
      "iso-ir-109": "ISO-8859-3",
      "iso8859-3": "ISO-8859-3",
      iso88593: "ISO-8859-3",
      "iso_8859-3": "ISO-8859-3",
      "iso_8859-3:1988": "ISO-8859-3",
      l3: "ISO-8859-3",
      latin3: "ISO-8859-3",
      csisolatin4: "ISO-8859-4",
      "iso-8859-4": "ISO-8859-4",
      "iso-ir-110": "ISO-8859-4",
      "iso8859-4": "ISO-8859-4",
      iso88594: "ISO-8859-4",
      "iso_8859-4": "ISO-8859-4",
      "iso_8859-4:1988": "ISO-8859-4",
      l4: "ISO-8859-4",
      latin4: "ISO-8859-4",
      csisolatincyrillic: "ISO-8859-5",
      cyrillic: "ISO-8859-5",
      "iso-8859-5": "ISO-8859-5",
      "iso-ir-144": "ISO-8859-5",
      "iso8859-5": "ISO-8859-5",
      iso88595: "ISO-8859-5",
      "iso_8859-5": "ISO-8859-5",
      "iso_8859-5:1988": "ISO-8859-5",
      arabic: "ISO-8859-6",
      "asmo-708": "ISO-8859-6",
      csiso88596e: "ISO-8859-6",
      csiso88596i: "ISO-8859-6",
      csisolatinarabic: "ISO-8859-6",
      "ecma-114": "ISO-8859-6",
      "iso-8859-6": "ISO-8859-6",
      "iso-8859-6-e": "ISO-8859-6",
      "iso-8859-6-i": "ISO-8859-6",
      "iso-ir-127": "ISO-8859-6",
      "iso8859-6": "ISO-8859-6",
      iso88596: "ISO-8859-6",
      "iso_8859-6": "ISO-8859-6",
      "iso_8859-6:1987": "ISO-8859-6",
      csisolatingreek: "ISO-8859-7",
      "ecma-118": "ISO-8859-7",
      elot_928: "ISO-8859-7",
      greek: "ISO-8859-7",
      greek8: "ISO-8859-7",
      "iso-8859-7": "ISO-8859-7",
      "iso-ir-126": "ISO-8859-7",
      "iso8859-7": "ISO-8859-7",
      iso88597: "ISO-8859-7",
      "iso_8859-7": "ISO-8859-7",
      "iso_8859-7:1987": "ISO-8859-7",
      sun_eu_greek: "ISO-8859-7",
      csiso88598e: "ISO-8859-8",
      csisolatinhebrew: "ISO-8859-8",
      hebrew: "ISO-8859-8",
      "iso-8859-8": "ISO-8859-8",
      "iso-8859-8-e": "ISO-8859-8",
      "iso-8859-8-i": "ISO-8859-8",
      "iso-ir-138": "ISO-8859-8",
      "iso8859-8": "ISO-8859-8",
      iso88598: "ISO-8859-8",
      "iso_8859-8": "ISO-8859-8",
      "iso_8859-8:1988": "ISO-8859-8",
      visual: "ISO-8859-8",
      csisolatin6: "ISO-8859-10",
      "iso-8859-10": "ISO-8859-10",
      "iso-ir-157": "ISO-8859-10",
      "iso8859-10": "ISO-8859-10",
      iso885910: "ISO-8859-10",
      l6: "ISO-8859-10",
      latin6: "ISO-8859-10",
      "iso-8859-13": "ISO-8859-13",
      "iso8859-13": "ISO-8859-13",
      iso885913: "ISO-8859-13",
      "iso-8859-14": "ISO-8859-14",
      "iso8859-14": "ISO-8859-14",
      iso885914: "ISO-8859-14",
      csisolatin9: "ISO-8859-15",
      "iso-8859-15": "ISO-8859-15",
      "iso8859-15": "ISO-8859-15",
      iso885915: "ISO-8859-15",
      "iso_8859-15": "ISO-8859-15",
      l9: "ISO-8859-15",
      "iso-8859-16": "ISO-8859-16",
      cskoi8r: "KOI8-R",
      koi: "KOI8-R",
      koi8: "KOI8-R",
      "koi8-r": "KOI8-R",
      koi8_r: "KOI8-R",
      "koi8-ru": "KOI8-U",
      "koi8-u": "KOI8-U",
      csmacintosh: "macintosh",
      mac: "macintosh",
      macintosh: "macintosh",
      "x-mac-roman": "macintosh",
      "dos-874": "windows-874",
      "iso-8859-11": "windows-874",
      "iso8859-11": "windows-874",
      iso885911: "windows-874",
      "tis-620": "windows-874",
      "windows-874": "windows-874",
      cp1250: "windows-1250",
      "windows-1250": "windows-1250",
      "x-cp1250": "windows-1250",
      cp1251: "windows-1251",
      "windows-1251": "windows-1251",
      "x-cp1251": "windows-1251",
      "ansi_x3.4-1968": "windows-1252",
      ascii: "windows-1252",
      cp1252: "windows-1252",
      cp819: "windows-1252",
      csisolatin1: "windows-1252",
      ibm819: "windows-1252",
      "iso-8859-1": "windows-1252",
      "iso-ir-100": "windows-1252",
      "iso8859-1": "windows-1252",
      iso88591: "windows-1252",
      "iso_8859-1": "windows-1252",
      "iso_8859-1:1987": "windows-1252",
      l1: "windows-1252",
      latin1: "windows-1252",
      "us-ascii": "windows-1252",
      "windows-1252": "windows-1252",
      "x-cp1252": "windows-1252",
      cp1253: "windows-1253",
      "windows-1253": "windows-1253",
      "x-cp1253": "windows-1253",
      cp1254: "windows-1254",
      csisolatin5: "windows-1254",
      "iso-8859-9": "windows-1254",
      "iso-ir-148": "windows-1254",
      "iso8859-9": "windows-1254",
      iso88599: "windows-1254",
      "iso_8859-9": "windows-1254",
      "iso_8859-9:1989": "windows-1254",
      l5: "windows-1254",
      latin5: "windows-1254",
      "windows-1254": "windows-1254",
      "x-cp1254": "windows-1254",
      cp1255: "windows-1255",
      "windows-1255": "windows-1255",
      "x-cp1255": "windows-1255",
      cp1256: "windows-1256",
      "windows-1256": "windows-1256",
      "x-cp1256": "windows-1256",
      cp1257: "windows-1257",
      "windows-1257": "windows-1257",
      "x-cp1257": "windows-1257",
      cp1258: "windows-1258",
      "windows-1258": "windows-1258",
      "x-cp1258": "windows-1258",
      chinese: "GBK",
      csgb2312: "GBK",
      csiso58gb231280: "GBK",
      gb2312: "GBK",
      gb_2312: "GBK",
      "gb_2312-80": "GBK",
      gbk: "GBK",
      "iso-ir-58": "GBK",
      "x-gbk": "GBK",
      gb18030: "gb18030",
      big5: "Big5",
      "big5-hkscs": "Big5",
      "cn-big5": "Big5",
      csbig5: "Big5",
      "x-x-big5": "Big5",
      cseucpkdfmtjapanese: "EUC-JP",
      "euc-jp": "EUC-JP",
      "x-euc-jp": "EUC-JP",
      csshiftjis: "Shift_JIS",
      ms932: "Shift_JIS",
      ms_kanji: "Shift_JIS",
      "shift-jis": "Shift_JIS",
      shift_jis: "Shift_JIS",
      sjis: "Shift_JIS",
      "windows-31j": "Shift_JIS",
      "x-sjis": "Shift_JIS",
      cseuckr: "EUC-KR",
      csksc56011987: "EUC-KR",
      "euc-kr": "EUC-KR",
      "iso-ir-149": "EUC-KR",
      korean: "EUC-KR",
      "ks_c_5601-1987": "EUC-KR",
      "ks_c_5601-1989": "EUC-KR",
      ksc5601: "EUC-KR",
      ksc_5601: "EUC-KR",
      "windows-949": "EUC-KR",
      "utf-16be": "UTF-16BE",
      "utf-16": "UTF-16LE",
      "utf-16le": "UTF-16LE"
    };
  }
});

// ../../../node_modules/libmime/lib/charset.js
var require_charset2 = __commonJS({
  "../../../node_modules/libmime/lib/charset.js"(exports, module2) {
    "use strict";
    var iconv = require_lib();
    var encodingJapanese = require_src();
    var charsets = require_charsets2();
    var charset = module2.exports = {
      /**
       * Encodes an unicode string into an Buffer object as UTF-8
       *
       * We force UTF-8 here, no strange encodings allowed.
       *
       * @param {String} str String to be encoded
       * @return {Buffer} UTF-8 encoded typed array
       */
      encode(str) {
        return Buffer.from(str, "utf-8");
      },
      /**
       * Decodes a string from Buffer to an unicode string using specified encoding
       * NB! Throws if unknown charset is used
       *
       * @param {Buffer} buf Binary data to be decoded
       * @param {String} [fromCharset='UTF-8'] Binary data is decoded into string using this charset
       * @return {String} Decded string
       */
      decode(buf, fromCharset) {
        fromCharset = charset.normalizeCharset(fromCharset || "UTF-8");
        if (/^(us-)?ascii|utf-8|7bit$/i.test(fromCharset)) {
          return buf.toString("utf-8");
        }
        try {
          if (/^jis|^iso-?2022-?jp|^EUCJP/i.test(fromCharset)) {
            if (typeof buf === "string") {
              buf = Buffer.from(buf);
            }
            try {
              let output = encodingJapanese.convert(buf, {
                to: "UNICODE",
                from: fromCharset,
                type: "string"
              });
              if (typeof output === "string") {
                output = Buffer.from(output);
              }
              return output;
            } catch (err) {
            }
          }
          return iconv.decode(buf, fromCharset);
        } catch (err) {
          return buf.toString();
        }
      },
      /**
       * Convert a string from specific encoding to UTF-8 Buffer
       *
       * @param {String|Buffer} str String to be encoded
       * @param {String} [fromCharset='UTF-8'] Source encoding for the string
       * @return {Buffer} UTF-8 encoded typed array
       */
      convert(data, fromCharset) {
        fromCharset = charset.normalizeCharset(fromCharset || "UTF-8");
        let bufString;
        if (typeof data !== "string") {
          if (/^(us-)?ascii|utf-8|7bit$/i.test(fromCharset)) {
            return data;
          }
          bufString = charset.decode(data, fromCharset);
          return charset.encode(bufString);
        }
        return charset.encode(data);
      },
      /**
       * Converts well known invalid character set names to proper names.
       * eg. win-1257 will be converted to WINDOWS-1257
       *
       * @param {String} charset Charset name to convert
       * @return {String} Canoninicalized charset name
       */
      normalizeCharset(charset2) {
        charset2 = charset2.toLowerCase().trim();
        if (charsets.hasOwnProperty(charset2) && charsets[charset2]) {
          return charsets[charset2];
        }
        charset2 = charset2.replace(/^utf[-_]?(\d+)/, "utf-$1").replace(/^(?:us[-_]?)ascii/, "windows-1252").replace(/^win(?:dows)?[-_]?(\d+)/, "windows-$1").replace(/^(?:latin|iso[-_]?8859)?[-_]?(\d+)/, "iso-8859-$1").replace(/^l[-_]?(\d+)/, "iso-8859-$1");
        if (charsets.hasOwnProperty(charset2) && charsets[charset2]) {
          return charsets[charset2];
        }
        return charset2.toUpperCase();
      }
    };
  }
});

// ../../../node_modules/libmime/lib/mimetypes.js
var require_mimetypes2 = __commonJS({
  "../../../node_modules/libmime/lib/mimetypes.js"(exports, module2) {
    "use strict";
    module2.exports = {
      list: {
        "application/acad": "dwg",
        "application/applixware": "aw",
        "application/arj": "arj",
        "application/atom+xml": "xml",
        "application/atomcat+xml": "atomcat",
        "application/atomsvc+xml": "atomsvc",
        "application/base64": ["mm", "mme"],
        "application/binhex": "hqx",
        "application/binhex4": "hqx",
        "application/book": ["book", "boo"],
        "application/ccxml+xml,": "ccxml",
        "application/cdf": "cdf",
        "application/cdmi-capability": "cdmia",
        "application/cdmi-container": "cdmic",
        "application/cdmi-domain": "cdmid",
        "application/cdmi-object": "cdmio",
        "application/cdmi-queue": "cdmiq",
        "application/clariscad": "ccad",
        "application/commonground": "dp",
        "application/cu-seeme": "cu",
        "application/davmount+xml": "davmount",
        "application/drafting": "drw",
        "application/dsptype": "tsp",
        "application/dssc+der": "dssc",
        "application/dssc+xml": "xdssc",
        "application/dxf": "dxf",
        "application/ecmascript": ["js", "es"],
        "application/emma+xml": "emma",
        "application/envoy": "evy",
        "application/epub+zip": "epub",
        "application/excel": ["xls", "xl", "xla", "xlb", "xlc", "xld", "xlk", "xll", "xlm", "xlt", "xlv", "xlw"],
        "application/exi": "exi",
        "application/font-tdpfr": "pfr",
        "application/fractals": "fif",
        "application/freeloader": "frl",
        "application/futuresplash": "spl",
        "application/gnutar": "tgz",
        "application/groupwise": "vew",
        "application/hlp": "hlp",
        "application/hta": "hta",
        "application/hyperstudio": "stk",
        "application/i-deas": "unv",
        "application/iges": ["iges", "igs"],
        "application/inf": "inf",
        "application/internet-property-stream": "acx",
        "application/ipfix": "ipfix",
        "application/java": "class",
        "application/java-archive": "jar",
        "application/java-byte-code": "class",
        "application/java-serialized-object": "ser",
        "application/java-vm": "class",
        "application/javascript": "js",
        "application/json": "json",
        "application/lha": "lha",
        "application/lzx": "lzx",
        "application/mac-binary": "bin",
        "application/mac-binhex": "hqx",
        "application/mac-binhex40": "hqx",
        "application/mac-compactpro": "cpt",
        "application/macbinary": "bin",
        "application/mads+xml": "mads",
        "application/marc": "mrc",
        "application/marcxml+xml": "mrcx",
        "application/mathematica": "ma",
        "application/mathml+xml": "mathml",
        "application/mbedlet": "mbd",
        "application/mbox": "mbox",
        "application/mcad": "mcd",
        "application/mediaservercontrol+xml": "mscml",
        "application/metalink4+xml": "meta4",
        "application/mets+xml": "mets",
        "application/mime": "aps",
        "application/mods+xml": "mods",
        "application/mp21": "m21",
        "application/mp4": "mp4",
        "application/mspowerpoint": ["ppt", "pot", "pps", "ppz"],
        "application/msword": ["doc", "dot", "w6w", "wiz", "word"],
        "application/mswrite": "wri",
        "application/mxf": "mxf",
        "application/netmc": "mcp",
        "application/octet-stream": ["*"],
        "application/oda": "oda",
        "application/oebps-package+xml": "opf",
        "application/ogg": "ogx",
        "application/olescript": "axs",
        "application/onenote": "onetoc",
        "application/patch-ops-error+xml": "xer",
        "application/pdf": "pdf",
        "application/pgp-encrypted": "asc",
        "application/pgp-signature": "pgp",
        "application/pics-rules": "prf",
        "application/pkcs-12": "p12",
        "application/pkcs-crl": "crl",
        "application/pkcs10": "p10",
        "application/pkcs7-mime": ["p7c", "p7m"],
        "application/pkcs7-signature": "p7s",
        "application/pkcs8": "p8",
        "application/pkix-attr-cert": "ac",
        "application/pkix-cert": ["cer", "crt"],
        "application/pkix-crl": "crl",
        "application/pkix-pkipath": "pkipath",
        "application/pkixcmp": "pki",
        "application/plain": "text",
        "application/pls+xml": "pls",
        "application/postscript": ["ps", "ai", "eps"],
        "application/powerpoint": "ppt",
        "application/pro_eng": ["part", "prt"],
        "application/prs.cww": "cww",
        "application/pskc+xml": "pskcxml",
        "application/rdf+xml": "rdf",
        "application/reginfo+xml": "rif",
        "application/relax-ng-compact-syntax": "rnc",
        "application/resource-lists+xml": "rl",
        "application/resource-lists-diff+xml": "rld",
        "application/ringing-tones": "rng",
        "application/rls-services+xml": "rs",
        "application/rsd+xml": "rsd",
        "application/rss+xml": "xml",
        "application/rtf": ["rtf", "rtx"],
        "application/sbml+xml": "sbml",
        "application/scvp-cv-request": "scq",
        "application/scvp-cv-response": "scs",
        "application/scvp-vp-request": "spq",
        "application/scvp-vp-response": "spp",
        "application/sdp": "sdp",
        "application/sea": "sea",
        "application/set": "set",
        "application/set-payment-initiation": "setpay",
        "application/set-registration-initiation": "setreg",
        "application/shf+xml": "shf",
        "application/sla": "stl",
        "application/smil": ["smi", "smil"],
        "application/smil+xml": "smi",
        "application/solids": "sol",
        "application/sounder": "sdr",
        "application/sparql-query": "rq",
        "application/sparql-results+xml": "srx",
        "application/srgs": "gram",
        "application/srgs+xml": "grxml",
        "application/sru+xml": "sru",
        "application/ssml+xml": "ssml",
        "application/step": ["step", "stp"],
        "application/streamingmedia": "ssm",
        "application/tei+xml": "tei",
        "application/thraud+xml": "tfi",
        "application/timestamped-data": "tsd",
        "application/toolbook": "tbk",
        "application/vda": "vda",
        "application/vnd.3gpp.pic-bw-large": "plb",
        "application/vnd.3gpp.pic-bw-small": "psb",
        "application/vnd.3gpp.pic-bw-var": "pvb",
        "application/vnd.3gpp2.tcap": "tcap",
        "application/vnd.3m.post-it-notes": "pwn",
        "application/vnd.accpac.simply.aso": "aso",
        "application/vnd.accpac.simply.imp": "imp",
        "application/vnd.acucobol": "acu",
        "application/vnd.acucorp": "atc",
        "application/vnd.adobe.air-application-installer-package+zip": "air",
        "application/vnd.adobe.fxp": "fxp",
        "application/vnd.adobe.xdp+xml": "xdp",
        "application/vnd.adobe.xfdf": "xfdf",
        "application/vnd.ahead.space": "ahead",
        "application/vnd.airzip.filesecure.azf": "azf",
        "application/vnd.airzip.filesecure.azs": "azs",
        "application/vnd.amazon.ebook": "azw",
        "application/vnd.americandynamics.acc": "acc",
        "application/vnd.amiga.ami": "ami",
        "application/vnd.android.package-archive": "apk",
        "application/vnd.anser-web-certificate-issue-initiation": "cii",
        "application/vnd.anser-web-funds-transfer-initiation": "fti",
        "application/vnd.antix.game-component": "atx",
        "application/vnd.apple.installer+xml": "mpkg",
        "application/vnd.apple.mpegurl": "m3u8",
        "application/vnd.aristanetworks.swi": "swi",
        "application/vnd.audiograph": "aep",
        "application/vnd.blueice.multipass": "mpm",
        "application/vnd.bmi": "bmi",
        "application/vnd.businessobjects": "rep",
        "application/vnd.chemdraw+xml": "cdxml",
        "application/vnd.chipnuts.karaoke-mmd": "mmd",
        "application/vnd.cinderella": "cdy",
        "application/vnd.claymore": "cla",
        "application/vnd.cloanto.rp9": "rp9",
        "application/vnd.clonk.c4group": "c4g",
        "application/vnd.cluetrust.cartomobile-config": "c11amc",
        "application/vnd.cluetrust.cartomobile-config-pkg": "c11amz",
        "application/vnd.commonspace": "csp",
        "application/vnd.contact.cmsg": "cdbcmsg",
        "application/vnd.cosmocaller": "cmc",
        "application/vnd.crick.clicker": "clkx",
        "application/vnd.crick.clicker.keyboard": "clkk",
        "application/vnd.crick.clicker.palette": "clkp",
        "application/vnd.crick.clicker.template": "clkt",
        "application/vnd.crick.clicker.wordbank": "clkw",
        "application/vnd.criticaltools.wbs+xml": "wbs",
        "application/vnd.ctc-posml": "pml",
        "application/vnd.cups-ppd": "ppd",
        "application/vnd.curl.car": "car",
        "application/vnd.curl.pcurl": "pcurl",
        "application/vnd.data-vision.rdz": "rdz",
        "application/vnd.denovo.fcselayout-link": "fe_launch",
        "application/vnd.dna": "dna",
        "application/vnd.dolby.mlp": "mlp",
        "application/vnd.dpgraph": "dpg",
        "application/vnd.dreamfactory": "dfac",
        "application/vnd.dvb.ait": "ait",
        "application/vnd.dvb.service": "svc",
        "application/vnd.dynageo": "geo",
        "application/vnd.ecowin.chart": "mag",
        "application/vnd.enliven": "nml",
        "application/vnd.epson.esf": "esf",
        "application/vnd.epson.msf": "msf",
        "application/vnd.epson.quickanime": "qam",
        "application/vnd.epson.salt": "slt",
        "application/vnd.epson.ssf": "ssf",
        "application/vnd.eszigno3+xml": "es3",
        "application/vnd.ezpix-album": "ez2",
        "application/vnd.ezpix-package": "ez3",
        "application/vnd.fdf": "fdf",
        "application/vnd.fdsn.seed": "seed",
        "application/vnd.flographit": "gph",
        "application/vnd.fluxtime.clip": "ftc",
        "application/vnd.framemaker": "fm",
        "application/vnd.frogans.fnc": "fnc",
        "application/vnd.frogans.ltf": "ltf",
        "application/vnd.fsc.weblaunch": "fsc",
        "application/vnd.fujitsu.oasys": "oas",
        "application/vnd.fujitsu.oasys2": "oa2",
        "application/vnd.fujitsu.oasys3": "oa3",
        "application/vnd.fujitsu.oasysgp": "fg5",
        "application/vnd.fujitsu.oasysprs": "bh2",
        "application/vnd.fujixerox.ddd": "ddd",
        "application/vnd.fujixerox.docuworks": "xdw",
        "application/vnd.fujixerox.docuworks.binder": "xbd",
        "application/vnd.fuzzysheet": "fzs",
        "application/vnd.genomatix.tuxedo": "txd",
        "application/vnd.geogebra.file": "ggb",
        "application/vnd.geogebra.tool": "ggt",
        "application/vnd.geometry-explorer": "gex",
        "application/vnd.geonext": "gxt",
        "application/vnd.geoplan": "g2w",
        "application/vnd.geospace": "g3w",
        "application/vnd.gmx": "gmx",
        "application/vnd.google-earth.kml+xml": "kml",
        "application/vnd.google-earth.kmz": "kmz",
        "application/vnd.grafeq": "gqf",
        "application/vnd.groove-account": "gac",
        "application/vnd.groove-help": "ghf",
        "application/vnd.groove-identity-message": "gim",
        "application/vnd.groove-injector": "grv",
        "application/vnd.groove-tool-message": "gtm",
        "application/vnd.groove-tool-template": "tpl",
        "application/vnd.groove-vcard": "vcg",
        "application/vnd.hal+xml": "hal",
        "application/vnd.handheld-entertainment+xml": "zmm",
        "application/vnd.hbci": "hbci",
        "application/vnd.hhe.lesson-player": "les",
        "application/vnd.hp-hpgl": ["hgl", "hpg", "hpgl"],
        "application/vnd.hp-hpid": "hpid",
        "application/vnd.hp-hps": "hps",
        "application/vnd.hp-jlyt": "jlt",
        "application/vnd.hp-pcl": "pcl",
        "application/vnd.hp-pclxl": "pclxl",
        "application/vnd.hydrostatix.sof-data": "sfd-hdstx",
        "application/vnd.hzn-3d-crossword": "x3d",
        "application/vnd.ibm.minipay": "mpy",
        "application/vnd.ibm.modcap": "afp",
        "application/vnd.ibm.rights-management": "irm",
        "application/vnd.ibm.secure-container": "sc",
        "application/vnd.iccprofile": "icc",
        "application/vnd.igloader": "igl",
        "application/vnd.immervision-ivp": "ivp",
        "application/vnd.immervision-ivu": "ivu",
        "application/vnd.insors.igm": "igm",
        "application/vnd.intercon.formnet": "xpw",
        "application/vnd.intergeo": "i2g",
        "application/vnd.intu.qbo": "qbo",
        "application/vnd.intu.qfx": "qfx",
        "application/vnd.ipunplugged.rcprofile": "rcprofile",
        "application/vnd.irepository.package+xml": "irp",
        "application/vnd.is-xpr": "xpr",
        "application/vnd.isac.fcs": "fcs",
        "application/vnd.jam": "jam",
        "application/vnd.jcp.javame.midlet-rms": "rms",
        "application/vnd.jisp": "jisp",
        "application/vnd.joost.joda-archive": "joda",
        "application/vnd.kahootz": "ktz",
        "application/vnd.kde.karbon": "karbon",
        "application/vnd.kde.kchart": "chrt",
        "application/vnd.kde.kformula": "kfo",
        "application/vnd.kde.kivio": "flw",
        "application/vnd.kde.kontour": "kon",
        "application/vnd.kde.kpresenter": "kpr",
        "application/vnd.kde.kspread": "ksp",
        "application/vnd.kde.kword": "kwd",
        "application/vnd.kenameaapp": "htke",
        "application/vnd.kidspiration": "kia",
        "application/vnd.kinar": "kne",
        "application/vnd.koan": "skp",
        "application/vnd.kodak-descriptor": "sse",
        "application/vnd.las.las+xml": "lasxml",
        "application/vnd.llamagraphics.life-balance.desktop": "lbd",
        "application/vnd.llamagraphics.life-balance.exchange+xml": "lbe",
        "application/vnd.lotus-1-2-3": "123",
        "application/vnd.lotus-approach": "apr",
        "application/vnd.lotus-freelance": "pre",
        "application/vnd.lotus-notes": "nsf",
        "application/vnd.lotus-organizer": "org",
        "application/vnd.lotus-screencam": "scm",
        "application/vnd.lotus-wordpro": "lwp",
        "application/vnd.macports.portpkg": "portpkg",
        "application/vnd.mcd": "mcd",
        "application/vnd.medcalcdata": "mc1",
        "application/vnd.mediastation.cdkey": "cdkey",
        "application/vnd.mfer": "mwf",
        "application/vnd.mfmp": "mfm",
        "application/vnd.micrografx.flo": "flo",
        "application/vnd.micrografx.igx": "igx",
        "application/vnd.mif": "mif",
        "application/vnd.mobius.daf": "daf",
        "application/vnd.mobius.dis": "dis",
        "application/vnd.mobius.mbk": "mbk",
        "application/vnd.mobius.mqy": "mqy",
        "application/vnd.mobius.msl": "msl",
        "application/vnd.mobius.plc": "plc",
        "application/vnd.mobius.txf": "txf",
        "application/vnd.mophun.application": "mpn",
        "application/vnd.mophun.certificate": "mpc",
        "application/vnd.mozilla.xul+xml": "xul",
        "application/vnd.ms-artgalry": "cil",
        "application/vnd.ms-cab-compressed": "cab",
        "application/vnd.ms-excel": ["xls", "xla", "xlc", "xlm", "xlt", "xlw", "xlb", "xll"],
        "application/vnd.ms-excel.addin.macroenabled.12": "xlam",
        "application/vnd.ms-excel.sheet.binary.macroenabled.12": "xlsb",
        "application/vnd.ms-excel.sheet.macroenabled.12": "xlsm",
        "application/vnd.ms-excel.template.macroenabled.12": "xltm",
        "application/vnd.ms-fontobject": "eot",
        "application/vnd.ms-htmlhelp": "chm",
        "application/vnd.ms-ims": "ims",
        "application/vnd.ms-lrm": "lrm",
        "application/vnd.ms-officetheme": "thmx",
        "application/vnd.ms-outlook": "msg",
        "application/vnd.ms-pki.certstore": "sst",
        "application/vnd.ms-pki.pko": "pko",
        "application/vnd.ms-pki.seccat": "cat",
        "application/vnd.ms-pki.stl": "stl",
        "application/vnd.ms-pkicertstore": "sst",
        "application/vnd.ms-pkiseccat": "cat",
        "application/vnd.ms-pkistl": "stl",
        "application/vnd.ms-powerpoint": ["ppt", "pot", "pps", "ppa", "pwz"],
        "application/vnd.ms-powerpoint.addin.macroenabled.12": "ppam",
        "application/vnd.ms-powerpoint.presentation.macroenabled.12": "pptm",
        "application/vnd.ms-powerpoint.slide.macroenabled.12": "sldm",
        "application/vnd.ms-powerpoint.slideshow.macroenabled.12": "ppsm",
        "application/vnd.ms-powerpoint.template.macroenabled.12": "potm",
        "application/vnd.ms-project": "mpp",
        "application/vnd.ms-word.document.macroenabled.12": "docm",
        "application/vnd.ms-word.template.macroenabled.12": "dotm",
        "application/vnd.ms-works": ["wks", "wcm", "wdb", "wps"],
        "application/vnd.ms-wpl": "wpl",
        "application/vnd.ms-xpsdocument": "xps",
        "application/vnd.mseq": "mseq",
        "application/vnd.musician": "mus",
        "application/vnd.muvee.style": "msty",
        "application/vnd.neurolanguage.nlu": "nlu",
        "application/vnd.noblenet-directory": "nnd",
        "application/vnd.noblenet-sealer": "nns",
        "application/vnd.noblenet-web": "nnw",
        "application/vnd.nokia.configuration-message": "ncm",
        "application/vnd.nokia.n-gage.data": "ngdat",
        "application/vnd.nokia.n-gage.symbian.install": "n-gage",
        "application/vnd.nokia.radio-preset": "rpst",
        "application/vnd.nokia.radio-presets": "rpss",
        "application/vnd.nokia.ringing-tone": "rng",
        "application/vnd.novadigm.edm": "edm",
        "application/vnd.novadigm.edx": "edx",
        "application/vnd.novadigm.ext": "ext",
        "application/vnd.oasis.opendocument.chart": "odc",
        "application/vnd.oasis.opendocument.chart-template": "otc",
        "application/vnd.oasis.opendocument.database": "odb",
        "application/vnd.oasis.opendocument.formula": "odf",
        "application/vnd.oasis.opendocument.formula-template": "odft",
        "application/vnd.oasis.opendocument.graphics": "odg",
        "application/vnd.oasis.opendocument.graphics-template": "otg",
        "application/vnd.oasis.opendocument.image": "odi",
        "application/vnd.oasis.opendocument.image-template": "oti",
        "application/vnd.oasis.opendocument.presentation": "odp",
        "application/vnd.oasis.opendocument.presentation-template": "otp",
        "application/vnd.oasis.opendocument.spreadsheet": "ods",
        "application/vnd.oasis.opendocument.spreadsheet-template": "ots",
        "application/vnd.oasis.opendocument.text": "odt",
        "application/vnd.oasis.opendocument.text-master": "odm",
        "application/vnd.oasis.opendocument.text-template": "ott",
        "application/vnd.oasis.opendocument.text-web": "oth",
        "application/vnd.olpc-sugar": "xo",
        "application/vnd.oma.dd2+xml": "dd2",
        "application/vnd.openofficeorg.extension": "oxt",
        "application/vnd.openxmlformats-officedocument.presentationml.presentation": "pptx",
        "application/vnd.openxmlformats-officedocument.presentationml.slide": "sldx",
        "application/vnd.openxmlformats-officedocument.presentationml.slideshow": "ppsx",
        "application/vnd.openxmlformats-officedocument.presentationml.template": "potx",
        "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": "xlsx",
        "application/vnd.openxmlformats-officedocument.spreadsheetml.template": "xltx",
        "application/vnd.openxmlformats-officedocument.wordprocessingml.document": "docx",
        "application/vnd.openxmlformats-officedocument.wordprocessingml.template": "dotx",
        "application/vnd.osgeo.mapguide.package": "mgp",
        "application/vnd.osgi.dp": "dp",
        "application/vnd.palm": "pdb",
        "application/vnd.pawaafile": "paw",
        "application/vnd.pg.format": "str",
        "application/vnd.pg.osasli": "ei6",
        "application/vnd.picsel": "efif",
        "application/vnd.pmi.widget": "wg",
        "application/vnd.pocketlearn": "plf",
        "application/vnd.powerbuilder6": "pbd",
        "application/vnd.previewsystems.box": "box",
        "application/vnd.proteus.magazine": "mgz",
        "application/vnd.publishare-delta-tree": "qps",
        "application/vnd.pvi.ptid1": "ptid",
        "application/vnd.quark.quarkxpress": "qxd",
        "application/vnd.realvnc.bed": "bed",
        "application/vnd.recordare.musicxml": "mxl",
        "application/vnd.recordare.musicxml+xml": "musicxml",
        "application/vnd.rig.cryptonote": "cryptonote",
        "application/vnd.rim.cod": "cod",
        "application/vnd.rn-realmedia": "rm",
        "application/vnd.rn-realplayer": "rnx",
        "application/vnd.route66.link66+xml": "link66",
        "application/vnd.sailingtracker.track": "st",
        "application/vnd.seemail": "see",
        "application/vnd.sema": "sema",
        "application/vnd.semd": "semd",
        "application/vnd.semf": "semf",
        "application/vnd.shana.informed.formdata": "ifm",
        "application/vnd.shana.informed.formtemplate": "itp",
        "application/vnd.shana.informed.interchange": "iif",
        "application/vnd.shana.informed.package": "ipk",
        "application/vnd.simtech-mindmapper": "twd",
        "application/vnd.smaf": "mmf",
        "application/vnd.smart.teacher": "teacher",
        "application/vnd.solent.sdkm+xml": "sdkm",
        "application/vnd.spotfire.dxp": "dxp",
        "application/vnd.spotfire.sfs": "sfs",
        "application/vnd.stardivision.calc": "sdc",
        "application/vnd.stardivision.draw": "sda",
        "application/vnd.stardivision.impress": "sdd",
        "application/vnd.stardivision.math": "smf",
        "application/vnd.stardivision.writer": "sdw",
        "application/vnd.stardivision.writer-global": "sgl",
        "application/vnd.stepmania.stepchart": "sm",
        "application/vnd.sun.xml.calc": "sxc",
        "application/vnd.sun.xml.calc.template": "stc",
        "application/vnd.sun.xml.draw": "sxd",
        "application/vnd.sun.xml.draw.template": "std",
        "application/vnd.sun.xml.impress": "sxi",
        "application/vnd.sun.xml.impress.template": "sti",
        "application/vnd.sun.xml.math": "sxm",
        "application/vnd.sun.xml.writer": "sxw",
        "application/vnd.sun.xml.writer.global": "sxg",
        "application/vnd.sun.xml.writer.template": "stw",
        "application/vnd.sus-calendar": "sus",
        "application/vnd.svd": "svd",
        "application/vnd.symbian.install": "sis",
        "application/vnd.syncml+xml": "xsm",
        "application/vnd.syncml.dm+wbxml": "bdm",
        "application/vnd.syncml.dm+xml": "xdm",
        "application/vnd.tao.intent-module-archive": "tao",
        "application/vnd.tmobile-livetv": "tmo",
        "application/vnd.trid.tpt": "tpt",
        "application/vnd.triscape.mxs": "mxs",
        "application/vnd.trueapp": "tra",
        "application/vnd.ufdl": "ufd",
        "application/vnd.uiq.theme": "utz",
        "application/vnd.umajin": "umj",
        "application/vnd.unity": "unityweb",
        "application/vnd.uoml+xml": "uoml",
        "application/vnd.vcx": "vcx",
        "application/vnd.visio": "vsd",
        "application/vnd.visionary": "vis",
        "application/vnd.vsf": "vsf",
        "application/vnd.wap.wbxml": "wbxml",
        "application/vnd.wap.wmlc": "wmlc",
        "application/vnd.wap.wmlscriptc": "wmlsc",
        "application/vnd.webturbo": "wtb",
        "application/vnd.wolfram.player": "nbp",
        "application/vnd.wordperfect": "wpd",
        "application/vnd.wqd": "wqd",
        "application/vnd.wt.stf": "stf",
        "application/vnd.xara": ["web", "xar"],
        "application/vnd.xfdl": "xfdl",
        "application/vnd.yamaha.hv-dic": "hvd",
        "application/vnd.yamaha.hv-script": "hvs",
        "application/vnd.yamaha.hv-voice": "hvp",
        "application/vnd.yamaha.openscoreformat": "osf",
        "application/vnd.yamaha.openscoreformat.osfpvg+xml": "osfpvg",
        "application/vnd.yamaha.smaf-audio": "saf",
        "application/vnd.yamaha.smaf-phrase": "spf",
        "application/vnd.yellowriver-custom-menu": "cmp",
        "application/vnd.zul": "zir",
        "application/vnd.zzazz.deck+xml": "zaz",
        "application/vocaltec-media-desc": "vmd",
        "application/vocaltec-media-file": "vmf",
        "application/voicexml+xml": "vxml",
        "application/widget": "wgt",
        "application/winhlp": "hlp",
        "application/wordperfect": ["wp", "wp5", "wp6", "wpd"],
        "application/wordperfect6.0": ["w60", "wp5"],
        "application/wordperfect6.1": "w61",
        "application/wsdl+xml": "wsdl",
        "application/wspolicy+xml": "wspolicy",
        "application/x-123": "wk1",
        "application/x-7z-compressed": "7z",
        "application/x-abiword": "abw",
        "application/x-ace-compressed": "ace",
        "application/x-aim": "aim",
        "application/x-authorware-bin": "aab",
        "application/x-authorware-map": "aam",
        "application/x-authorware-seg": "aas",
        "application/x-bcpio": "bcpio",
        "application/x-binary": "bin",
        "application/x-binhex40": "hqx",
        "application/x-bittorrent": "torrent",
        "application/x-bsh": ["bsh", "sh", "shar"],
        "application/x-bytecode.elisp": "elc",
        "applicaiton/x-bytecode.python": "pyc",
        "application/x-bzip": "bz",
        "application/x-bzip2": ["boz", "bz2"],
        "application/x-cdf": "cdf",
        "application/x-cdlink": "vcd",
        "application/x-chat": ["cha", "chat"],
        "application/x-chess-pgn": "pgn",
        "application/x-cmu-raster": "ras",
        "application/x-cocoa": "cco",
        "application/x-compactpro": "cpt",
        "application/x-compress": "z",
        "application/x-compressed": ["tgz", "gz", "z", "zip"],
        "application/x-conference": "nsc",
        "application/x-cpio": "cpio",
        "application/x-cpt": "cpt",
        "application/x-csh": "csh",
        "application/x-debian-package": "deb",
        "application/x-deepv": "deepv",
        "application/x-director": ["dir", "dcr", "dxr"],
        "application/x-doom": "wad",
        "application/x-dtbncx+xml": "ncx",
        "application/x-dtbook+xml": "dtb",
        "application/x-dtbresource+xml": "res",
        "application/x-dvi": "dvi",
        "application/x-elc": "elc",
        "application/x-envoy": ["env", "evy"],
        "application/x-esrehber": "es",
        "application/x-excel": ["xls", "xla", "xlb", "xlc", "xld", "xlk", "xll", "xlm", "xlt", "xlv", "xlw"],
        "application/x-font-bdf": "bdf",
        "application/x-font-ghostscript": "gsf",
        "application/x-font-linux-psf": "psf",
        "application/x-font-otf": "otf",
        "application/x-font-pcf": "pcf",
        "application/x-font-snf": "snf",
        "application/x-font-ttf": "ttf",
        "application/x-font-type1": "pfa",
        "application/x-font-woff": "woff",
        "application/x-frame": "mif",
        "application/x-freelance": "pre",
        "application/x-futuresplash": "spl",
        "application/x-gnumeric": "gnumeric",
        "application/x-gsp": "gsp",
        "application/x-gss": "gss",
        "application/x-gtar": "gtar",
        "application/x-gzip": ["gz", "gzip"],
        "application/x-hdf": "hdf",
        "application/x-helpfile": ["help", "hlp"],
        "application/x-httpd-imap": "imap",
        "application/x-ima": "ima",
        "application/x-internet-signup": ["ins", "isp"],
        "application/x-internett-signup": "ins",
        "application/x-inventor": "iv",
        "application/x-ip2": "ip",
        "application/x-iphone": "iii",
        "application/x-java-class": "class",
        "application/x-java-commerce": "jcm",
        "application/x-java-jnlp-file": "jnlp",
        "application/x-javascript": "js",
        "application/x-koan": ["skd", "skm", "skp", "skt"],
        "application/x-ksh": "ksh",
        "application/x-latex": ["latex", "ltx"],
        "application/x-lha": "lha",
        "application/x-lisp": "lsp",
        "application/x-livescreen": "ivy",
        "application/x-lotus": "wq1",
        "application/x-lotusscreencam": "scm",
        "application/x-lzh": "lzh",
        "application/x-lzx": "lzx",
        "application/x-mac-binhex40": "hqx",
        "application/x-macbinary": "bin",
        "application/x-magic-cap-package-1.0": "mc$",
        "application/x-mathcad": "mcd",
        "application/x-meme": "mm",
        "application/x-midi": ["mid", "midi"],
        "application/x-mif": "mif",
        "application/x-mix-transfer": "nix",
        "application/x-mobipocket-ebook": "prc",
        "application/x-mplayer2": "asx",
        "application/x-ms-application": "application",
        "application/x-ms-wmd": "wmd",
        "application/x-ms-wmz": "wmz",
        "application/x-ms-xbap": "xbap",
        "application/x-msaccess": "mdb",
        "application/x-msbinder": "obd",
        "application/x-mscardfile": "crd",
        "application/x-msclip": "clp",
        "application/x-msdownload": ["exe", "dll"],
        "application/x-msexcel": ["xls", "xla", "xlw"],
        "application/x-msmediaview": ["mvb", "m13", "m14"],
        "application/x-msmetafile": "wmf",
        "application/x-msmoney": "mny",
        "application/x-mspowerpoint": "ppt",
        "application/x-mspublisher": "pub",
        "application/x-msschedule": "scd",
        "application/x-msterminal": "trm",
        "application/x-mswrite": "wri",
        "application/x-navi-animation": "ani",
        "application/x-navidoc": "nvd",
        "application/x-navimap": "map",
        "application/x-navistyle": "stl",
        "application/x-netcdf": ["cdf", "nc"],
        "application/x-newton-compatible-pkg": "pkg",
        "application/x-nokia-9000-communicator-add-on-software": "aos",
        "application/x-omc": "omc",
        "application/x-omcdatamaker": "omcd",
        "application/x-omcregerator": "omcr",
        "application/x-pagemaker": ["pm4", "pm5"],
        "application/x-pcl": "pcl",
        "application/x-perfmon": ["pma", "pmc", "pml", "pmr", "pmw"],
        "application/x-pixclscript": "plx",
        "application/x-pkcs10": "p10",
        "application/x-pkcs12": ["p12", "pfx"],
        "application/x-pkcs7-certificates": ["p7b", "spc"],
        "application/x-pkcs7-certreqresp": "p7r",
        "application/x-pkcs7-mime": ["p7m", "p7c"],
        "application/x-pkcs7-signature": ["p7s", "p7a"],
        "application/x-pointplus": "css",
        "application/x-portable-anymap": "pnm",
        "application/x-project": ["mpc", "mpt", "mpv", "mpx"],
        "application/x-qpro": "wb1",
        "application/x-rar-compressed": "rar",
        "application/x-rtf": "rtf",
        "application/x-sdp": "sdp",
        "application/x-sea": "sea",
        "application/x-seelogo": "sl",
        "application/x-sh": "sh",
        "application/x-shar": ["shar", "sh"],
        "application/x-shockwave-flash": "swf",
        "application/x-silverlight-app": "xap",
        "application/x-sit": "sit",
        "application/x-sprite": ["spr", "sprite"],
        "application/x-stuffit": "sit",
        "application/x-stuffitx": "sitx",
        "application/x-sv4cpio": "sv4cpio",
        "application/x-sv4crc": "sv4crc",
        "application/x-tar": "tar",
        "application/x-tbook": ["sbk", "tbk"],
        "application/x-tcl": "tcl",
        "application/x-tex": "tex",
        "application/x-tex-tfm": "tfm",
        "application/x-texinfo": ["texi", "texinfo"],
        "application/x-troff": ["roff", "t", "tr"],
        "application/x-troff-man": "man",
        "application/x-troff-me": "me",
        "application/x-troff-ms": "ms",
        "application/x-troff-msvideo": "avi",
        "application/x-ustar": "ustar",
        "application/x-visio": ["vsd", "vst", "vsw"],
        "application/x-vnd.audioexplosion.mzz": "mzz",
        "application/x-vnd.ls-xpix": "xpix",
        "application/x-vrml": "vrml",
        "application/x-wais-source": ["src", "wsrc"],
        "application/x-winhelp": "hlp",
        "application/x-wintalk": "wtk",
        "application/x-world": ["wrl", "svr"],
        "application/x-wpwin": "wpd",
        "application/x-wri": "wri",
        "application/x-x509-ca-cert": ["cer", "crt", "der"],
        "application/x-x509-user-cert": "crt",
        "application/x-xfig": "fig",
        "application/x-xpinstall": "xpi",
        "application/x-zip-compressed": "zip",
        "application/xcap-diff+xml": "xdf",
        "application/xenc+xml": "xenc",
        "application/xhtml+xml": "xhtml",
        "application/xml": "xml",
        "application/xml-dtd": "dtd",
        "application/xop+xml": "xop",
        "application/xslt+xml": "xslt",
        "application/xspf+xml": "xspf",
        "application/xv+xml": "mxml",
        "application/yang": "yang",
        "application/yin+xml": "yin",
        "application/ynd.ms-pkipko": "pko",
        "application/zip": "zip",
        "audio/adpcm": "adp",
        "audio/aiff": ["aiff", "aif", "aifc"],
        "audio/basic": ["snd", "au"],
        "audio/it": "it",
        "audio/make": ["funk", "my", "pfunk"],
        "audio/make.my.funk": "pfunk",
        "audio/mid": ["mid", "rmi"],
        "audio/midi": ["midi", "kar", "mid"],
        "audio/mod": "mod",
        "audio/mp4": "mp4a",
        "audio/mpeg": ["mpga", "mp3", "m2a", "mp2", "mpa", "mpg"],
        "audio/mpeg3": "mp3",
        "audio/nspaudio": ["la", "lma"],
        "audio/ogg": "oga",
        "audio/s3m": "s3m",
        "audio/tsp-audio": "tsi",
        "audio/tsplayer": "tsp",
        "audio/vnd.dece.audio": "uva",
        "audio/vnd.digital-winds": "eol",
        "audio/vnd.dra": "dra",
        "audio/vnd.dts": "dts",
        "audio/vnd.dts.hd": "dtshd",
        "audio/vnd.lucent.voice": "lvp",
        "audio/vnd.ms-playready.media.pya": "pya",
        "audio/vnd.nuera.ecelp4800": "ecelp4800",
        "audio/vnd.nuera.ecelp7470": "ecelp7470",
        "audio/vnd.nuera.ecelp9600": "ecelp9600",
        "audio/vnd.qcelp": "qcp",
        "audio/vnd.rip": "rip",
        "audio/voc": "voc",
        "audio/voxware": "vox",
        "audio/wav": "wav",
        "audio/webm": "weba",
        "audio/x-aac": "aac",
        "audio/x-adpcm": "snd",
        "audio/x-aiff": ["aiff", "aif", "aifc"],
        "audio/x-au": "au",
        "audio/x-gsm": ["gsd", "gsm"],
        "audio/x-jam": "jam",
        "audio/x-liveaudio": "lam",
        "audio/x-mid": ["mid", "midi"],
        "audio/x-midi": ["midi", "mid"],
        "audio/x-mod": "mod",
        "audio/x-mpeg": "mp2",
        "audio/x-mpeg-3": "mp3",
        "audio/x-mpegurl": "m3u",
        "audio/x-mpequrl": "m3u",
        "audio/x-ms-wax": "wax",
        "audio/x-ms-wma": "wma",
        "audio/x-nspaudio": ["la", "lma"],
        "audio/x-pn-realaudio": ["ra", "ram", "rm", "rmm", "rmp"],
        "audio/x-pn-realaudio-plugin": ["ra", "rmp", "rpm"],
        "audio/x-psid": "sid",
        "audio/x-realaudio": "ra",
        "audio/x-twinvq": "vqf",
        "audio/x-twinvq-plugin": ["vqe", "vql"],
        "audio/x-vnd.audioexplosion.mjuicemediafile": "mjf",
        "audio/x-voc": "voc",
        "audio/x-wav": "wav",
        "audio/xm": "xm",
        "chemical/x-cdx": "cdx",
        "chemical/x-cif": "cif",
        "chemical/x-cmdf": "cmdf",
        "chemical/x-cml": "cml",
        "chemical/x-csml": "csml",
        "chemical/x-pdb": ["pdb", "xyz"],
        "chemical/x-xyz": "xyz",
        "drawing/x-dwf": "dwf",
        "i-world/i-vrml": "ivr",
        "image/bmp": ["bmp", "bm"],
        "image/cgm": "cgm",
        "image/cis-cod": "cod",
        "image/cmu-raster": ["ras", "rast"],
        "image/fif": "fif",
        "image/florian": ["flo", "turbot"],
        "image/g3fax": "g3",
        "image/gif": "gif",
        "image/ief": ["ief", "iefs"],
        "image/jpeg": ["jpeg", "jpe", "jpg", "jfif", "jfif-tbnl"],
        "image/jutvision": "jut",
        "image/ktx": "ktx",
        "image/naplps": ["nap", "naplps"],
        "image/pict": ["pic", "pict"],
        "image/pipeg": "jfif",
        "image/pjpeg": ["jfif", "jpe", "jpeg", "jpg"],
        "image/png": ["png", "x-png"],
        "image/prs.btif": "btif",
        "image/svg+xml": "svg",
        "image/tiff": ["tif", "tiff"],
        "image/vasa": "mcf",
        "image/vnd.adobe.photoshop": "psd",
        "image/vnd.dece.graphic": "uvi",
        "image/vnd.djvu": "djvu",
        "image/vnd.dvb.subtitle": "sub",
        "image/vnd.dwg": ["dwg", "dxf", "svf"],
        "image/vnd.dxf": "dxf",
        "image/vnd.fastbidsheet": "fbs",
        "image/vnd.fpx": "fpx",
        "image/vnd.fst": "fst",
        "image/vnd.fujixerox.edmics-mmr": "mmr",
        "image/vnd.fujixerox.edmics-rlc": "rlc",
        "image/vnd.ms-modi": "mdi",
        "image/vnd.net-fpx": ["fpx", "npx"],
        "image/vnd.rn-realflash": "rf",
        "image/vnd.rn-realpix": "rp",
        "image/vnd.wap.wbmp": "wbmp",
        "image/vnd.xiff": "xif",
        "image/webp": "webp",
        "image/x-cmu-raster": "ras",
        "image/x-cmx": "cmx",
        "image/x-dwg": ["dwg", "dxf", "svf"],
        "image/x-freehand": "fh",
        "image/x-icon": "ico",
        "image/x-jg": "art",
        "image/x-jps": "jps",
        "image/x-niff": ["niff", "nif"],
        "image/x-pcx": "pcx",
        "image/x-pict": ["pct", "pic"],
        "image/x-portable-anymap": "pnm",
        "image/x-portable-bitmap": "pbm",
        "image/x-portable-graymap": "pgm",
        "image/x-portable-greymap": "pgm",
        "image/x-portable-pixmap": "ppm",
        "image/x-quicktime": ["qif", "qti", "qtif"],
        "image/x-rgb": "rgb",
        "image/x-tiff": ["tif", "tiff"],
        "image/x-windows-bmp": "bmp",
        "image/x-xbitmap": "xbm",
        "image/x-xbm": "xbm",
        "image/x-xpixmap": ["xpm", "pm"],
        "image/x-xwd": "xwd",
        "image/x-xwindowdump": "xwd",
        "image/xbm": "xbm",
        "image/xpm": "xpm",
        "message/rfc822": ["eml", "mht", "mhtml", "nws", "mime"],
        "model/iges": ["iges", "igs"],
        "model/mesh": "msh",
        "model/vnd.collada+xml": "dae",
        "model/vnd.dwf": "dwf",
        "model/vnd.gdl": "gdl",
        "model/vnd.gtw": "gtw",
        "model/vnd.mts": "mts",
        "model/vnd.vtu": "vtu",
        "model/vrml": ["vrml", "wrl", "wrz"],
        "model/x-pov": "pov",
        "multipart/x-gzip": "gzip",
        "multipart/x-ustar": "ustar",
        "multipart/x-zip": "zip",
        "music/crescendo": ["mid", "midi"],
        "music/x-karaoke": "kar",
        "paleovu/x-pv": "pvu",
        "text/asp": "asp",
        "text/calendar": "ics",
        "text/css": "css",
        "text/csv": "csv",
        "text/ecmascript": "js",
        "text/h323": "323",
        "text/html": ["html", "htm", "stm", "acgi", "htmls", "htx", "shtml"],
        "text/iuls": "uls",
        "text/javascript": "js",
        "text/mcf": "mcf",
        "text/n3": "n3",
        "text/pascal": "pas",
        "text/plain": [
          "txt",
          "bas",
          "c",
          "h",
          "c++",
          "cc",
          "com",
          "conf",
          "cxx",
          "def",
          "f",
          "f90",
          "for",
          "g",
          "hh",
          "idc",
          "jav",
          "java",
          "list",
          "log",
          "lst",
          "m",
          "mar",
          "pl",
          "sdml",
          "text"
        ],
        "text/plain-bas": "par",
        "text/prs.lines.tag": "dsc",
        "text/richtext": ["rtx", "rt", "rtf"],
        "text/scriplet": "wsc",
        "text/scriptlet": "sct",
        "text/sgml": ["sgm", "sgml"],
        "text/tab-separated-values": "tsv",
        "text/troff": "t",
        "text/turtle": "ttl",
        "text/uri-list": ["uni", "unis", "uri", "uris"],
        "text/vnd.abc": "abc",
        "text/vnd.curl": "curl",
        "text/vnd.curl.dcurl": "dcurl",
        "text/vnd.curl.mcurl": "mcurl",
        "text/vnd.curl.scurl": "scurl",
        "text/vnd.fly": "fly",
        "text/vnd.fmi.flexstor": "flx",
        "text/vnd.graphviz": "gv",
        "text/vnd.in3d.3dml": "3dml",
        "text/vnd.in3d.spot": "spot",
        "text/vnd.rn-realtext": "rt",
        "text/vnd.sun.j2me.app-descriptor": "jad",
        "text/vnd.wap.wml": "wml",
        "text/vnd.wap.wmlscript": "wmls",
        "text/webviewhtml": "htt",
        "text/x-asm": ["asm", "s"],
        "text/x-audiosoft-intra": "aip",
        "text/x-c": ["c", "cc", "cpp"],
        "text/x-component": "htc",
        "text/x-fortran": ["for", "f", "f77", "f90"],
        "text/x-h": ["h", "hh"],
        "text/x-java-source": ["java", "jav"],
        "text/x-java-source,java": "java",
        "text/x-la-asf": "lsx",
        "text/x-m": "m",
        "text/x-pascal": "p",
        "text/x-script": "hlb",
        "text/x-script.csh": "csh",
        "text/x-script.elisp": "el",
        "text/x-script.guile": "scm",
        "text/x-script.ksh": "ksh",
        "text/x-script.lisp": "lsp",
        "text/x-script.perl": "pl",
        "text/x-script.perl-module": "pm",
        "text/x-script.phyton": "py",
        "text/x-script.rexx": "rexx",
        "text/x-script.scheme": "scm",
        "text/x-script.sh": "sh",
        "text/x-script.tcl": "tcl",
        "text/x-script.tcsh": "tcsh",
        "text/x-script.zsh": "zsh",
        "text/x-server-parsed-html": ["shtml", "ssi"],
        "text/x-setext": "etx",
        "text/x-sgml": ["sgm", "sgml"],
        "text/x-speech": ["spc", "talk"],
        "text/x-uil": "uil",
        "text/x-uuencode": ["uu", "uue"],
        "text/x-vcalendar": "vcs",
        "text/x-vcard": "vcf",
        "text/xml": "xml",
        "video/3gpp": "3gp",
        "video/3gpp2": "3g2",
        "video/animaflex": "afl",
        "video/avi": "avi",
        "video/avs-video": "avs",
        "video/dl": "dl",
        "video/fli": "fli",
        "video/gl": "gl",
        "video/h261": "h261",
        "video/h263": "h263",
        "video/h264": "h264",
        "video/jpeg": "jpgv",
        "video/jpm": "jpm",
        "video/mj2": "mj2",
        "video/mp4": "mp4",
        "video/mpeg": ["mpeg", "mp2", "mpa", "mpe", "mpg", "mpv2", "m1v", "m2v", "mp3"],
        "video/msvideo": "avi",
        "video/ogg": "ogv",
        "video/quicktime": ["mov", "qt", "moov"],
        "video/vdo": "vdo",
        "video/vivo": ["viv", "vivo"],
        "video/vnd.dece.hd": "uvh",
        "video/vnd.dece.mobile": "uvm",
        "video/vnd.dece.pd": "uvp",
        "video/vnd.dece.sd": "uvs",
        "video/vnd.dece.video": "uvv",
        "video/vnd.fvt": "fvt",
        "video/vnd.mpegurl": "mxu",
        "video/vnd.ms-playready.media.pyv": "pyv",
        "video/vnd.rn-realvideo": "rv",
        "video/vnd.uvvu.mp4": "uvu",
        "video/vnd.vivo": ["viv", "vivo"],
        "video/vosaic": "vos",
        "video/webm": "webm",
        "video/x-amt-demorun": "xdr",
        "video/x-amt-showrun": "xsr",
        "video/x-atomic3d-feature": "fmf",
        "video/x-dl": "dl",
        "video/x-dv": ["dif", "dv"],
        "video/x-f4v": "f4v",
        "video/x-fli": "fli",
        "video/x-flv": "flv",
        "video/x-gl": "gl",
        "video/x-isvideo": "isu",
        "video/x-la-asf": ["lsf", "lsx"],
        "video/x-m4v": "m4v",
        "video/x-motion-jpeg": "mjpg",
        "video/x-mpeg": ["mp3", "mp2"],
        "video/x-mpeq2a": "mp2",
        "video/x-ms-asf": ["asf", "asr", "asx"],
        "video/x-ms-asf-plugin": "asx",
        "video/x-ms-wm": "wm",
        "video/x-ms-wmv": "wmv",
        "video/x-ms-wmx": "wmx",
        "video/x-ms-wvx": "wvx",
        "video/x-msvideo": "avi",
        "video/x-qtc": "qtc",
        "video/x-scm": "scm",
        "video/x-sgi-movie": ["movie", "mv"],
        "windows/metafile": "wmf",
        "www/mime": "mime",
        "x-conference/x-cooltalk": "ice",
        "x-music/x-midi": ["mid", "midi"],
        "x-world/x-3dmf": ["3dm", "3dmf", "qd3", "qd3d"],
        "x-world/x-svr": "svr",
        "x-world/x-vrml": ["flr", "vrml", "wrl", "wrz", "xaf", "xof"],
        "x-world/x-vrt": "vrt",
        "xgl/drawing": "xgz",
        "xgl/movie": "xmz"
      },
      extensions: {
        "*": "application/octet-stream",
        "123": "application/vnd.lotus-1-2-3",
        "323": "text/h323",
        "3dm": "x-world/x-3dmf",
        "3dmf": "x-world/x-3dmf",
        "3dml": "text/vnd.in3d.3dml",
        "3g2": "video/3gpp2",
        "3gp": "video/3gpp",
        "7z": "application/x-7z-compressed",
        a: "application/octet-stream",
        aab: "application/x-authorware-bin",
        aac: "audio/x-aac",
        aam: "application/x-authorware-map",
        aas: "application/x-authorware-seg",
        abc: "text/vnd.abc",
        abw: "application/x-abiword",
        ac: "application/pkix-attr-cert",
        acc: "application/vnd.americandynamics.acc",
        ace: "application/x-ace-compressed",
        acgi: "text/html",
        acu: "application/vnd.acucobol",
        acx: "application/internet-property-stream",
        adp: "audio/adpcm",
        aep: "application/vnd.audiograph",
        afl: "video/animaflex",
        afp: "application/vnd.ibm.modcap",
        ahead: "application/vnd.ahead.space",
        ai: "application/postscript",
        aif: ["audio/aiff", "audio/x-aiff"],
        aifc: ["audio/aiff", "audio/x-aiff"],
        aiff: ["audio/aiff", "audio/x-aiff"],
        aim: "application/x-aim",
        aip: "text/x-audiosoft-intra",
        air: "application/vnd.adobe.air-application-installer-package+zip",
        ait: "application/vnd.dvb.ait",
        ami: "application/vnd.amiga.ami",
        ani: "application/x-navi-animation",
        aos: "application/x-nokia-9000-communicator-add-on-software",
        apk: "application/vnd.android.package-archive",
        application: "application/x-ms-application",
        apr: "application/vnd.lotus-approach",
        aps: "application/mime",
        arc: "application/octet-stream",
        arj: ["application/arj", "application/octet-stream"],
        art: "image/x-jg",
        asf: "video/x-ms-asf",
        asm: "text/x-asm",
        aso: "application/vnd.accpac.simply.aso",
        asp: "text/asp",
        asr: "video/x-ms-asf",
        asx: ["video/x-ms-asf", "application/x-mplayer2", "video/x-ms-asf-plugin"],
        atc: "application/vnd.acucorp",
        atomcat: "application/atomcat+xml",
        atomsvc: "application/atomsvc+xml",
        atx: "application/vnd.antix.game-component",
        au: ["audio/basic", "audio/x-au"],
        avi: ["video/avi", "video/msvideo", "application/x-troff-msvideo", "video/x-msvideo"],
        avs: "video/avs-video",
        aw: "application/applixware",
        axs: "application/olescript",
        azf: "application/vnd.airzip.filesecure.azf",
        azs: "application/vnd.airzip.filesecure.azs",
        azw: "application/vnd.amazon.ebook",
        bas: "text/plain",
        bcpio: "application/x-bcpio",
        bdf: "application/x-font-bdf",
        bdm: "application/vnd.syncml.dm+wbxml",
        bed: "application/vnd.realvnc.bed",
        bh2: "application/vnd.fujitsu.oasysprs",
        bin: ["application/octet-stream", "application/mac-binary", "application/macbinary", "application/x-macbinary", "application/x-binary"],
        bm: "image/bmp",
        bmi: "application/vnd.bmi",
        bmp: ["image/bmp", "image/x-windows-bmp"],
        boo: "application/book",
        book: "application/book",
        box: "application/vnd.previewsystems.box",
        boz: "application/x-bzip2",
        bsh: "application/x-bsh",
        btif: "image/prs.btif",
        bz: "application/x-bzip",
        bz2: "application/x-bzip2",
        c: ["text/plain", "text/x-c"],
        "c++": "text/plain",
        c11amc: "application/vnd.cluetrust.cartomobile-config",
        c11amz: "application/vnd.cluetrust.cartomobile-config-pkg",
        c4g: "application/vnd.clonk.c4group",
        cab: "application/vnd.ms-cab-compressed",
        car: "application/vnd.curl.car",
        cat: ["application/vnd.ms-pkiseccat", "application/vnd.ms-pki.seccat"],
        cc: ["text/plain", "text/x-c"],
        ccad: "application/clariscad",
        cco: "application/x-cocoa",
        ccxml: "application/ccxml+xml,",
        cdbcmsg: "application/vnd.contact.cmsg",
        cdf: ["application/cdf", "application/x-cdf", "application/x-netcdf"],
        cdkey: "application/vnd.mediastation.cdkey",
        cdmia: "application/cdmi-capability",
        cdmic: "application/cdmi-container",
        cdmid: "application/cdmi-domain",
        cdmio: "application/cdmi-object",
        cdmiq: "application/cdmi-queue",
        cdx: "chemical/x-cdx",
        cdxml: "application/vnd.chemdraw+xml",
        cdy: "application/vnd.cinderella",
        cer: ["application/pkix-cert", "application/x-x509-ca-cert"],
        cgm: "image/cgm",
        cha: "application/x-chat",
        chat: "application/x-chat",
        chm: "application/vnd.ms-htmlhelp",
        chrt: "application/vnd.kde.kchart",
        cif: "chemical/x-cif",
        cii: "application/vnd.anser-web-certificate-issue-initiation",
        cil: "application/vnd.ms-artgalry",
        cla: "application/vnd.claymore",
        class: ["application/octet-stream", "application/java", "application/java-byte-code", "application/java-vm", "application/x-java-class"],
        clkk: "application/vnd.crick.clicker.keyboard",
        clkp: "application/vnd.crick.clicker.palette",
        clkt: "application/vnd.crick.clicker.template",
        clkw: "application/vnd.crick.clicker.wordbank",
        clkx: "application/vnd.crick.clicker",
        clp: "application/x-msclip",
        cmc: "application/vnd.cosmocaller",
        cmdf: "chemical/x-cmdf",
        cml: "chemical/x-cml",
        cmp: "application/vnd.yellowriver-custom-menu",
        cmx: "image/x-cmx",
        cod: ["image/cis-cod", "application/vnd.rim.cod"],
        com: ["application/octet-stream", "text/plain"],
        conf: "text/plain",
        cpio: "application/x-cpio",
        cpp: "text/x-c",
        cpt: ["application/mac-compactpro", "application/x-compactpro", "application/x-cpt"],
        crd: "application/x-mscardfile",
        crl: ["application/pkix-crl", "application/pkcs-crl"],
        crt: ["application/pkix-cert", "application/x-x509-user-cert", "application/x-x509-ca-cert"],
        cryptonote: "application/vnd.rig.cryptonote",
        csh: ["text/x-script.csh", "application/x-csh"],
        csml: "chemical/x-csml",
        csp: "application/vnd.commonspace",
        css: ["text/css", "application/x-pointplus"],
        csv: "text/csv",
        cu: "application/cu-seeme",
        curl: "text/vnd.curl",
        cww: "application/prs.cww",
        cxx: "text/plain",
        dae: "model/vnd.collada+xml",
        daf: "application/vnd.mobius.daf",
        davmount: "application/davmount+xml",
        dcr: "application/x-director",
        dcurl: "text/vnd.curl.dcurl",
        dd2: "application/vnd.oma.dd2+xml",
        ddd: "application/vnd.fujixerox.ddd",
        deb: "application/x-debian-package",
        deepv: "application/x-deepv",
        def: "text/plain",
        der: "application/x-x509-ca-cert",
        dfac: "application/vnd.dreamfactory",
        dif: "video/x-dv",
        dir: "application/x-director",
        dis: "application/vnd.mobius.dis",
        djvu: "image/vnd.djvu",
        dl: ["video/dl", "video/x-dl"],
        dll: "application/x-msdownload",
        dms: "application/octet-stream",
        dna: "application/vnd.dna",
        doc: "application/msword",
        docm: "application/vnd.ms-word.document.macroenabled.12",
        docx: "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
        dot: "application/msword",
        dotm: "application/vnd.ms-word.template.macroenabled.12",
        dotx: "application/vnd.openxmlformats-officedocument.wordprocessingml.template",
        dp: ["application/commonground", "application/vnd.osgi.dp"],
        dpg: "application/vnd.dpgraph",
        dra: "audio/vnd.dra",
        drw: "application/drafting",
        dsc: "text/prs.lines.tag",
        dssc: "application/dssc+der",
        dtb: "application/x-dtbook+xml",
        dtd: "application/xml-dtd",
        dts: "audio/vnd.dts",
        dtshd: "audio/vnd.dts.hd",
        dump: "application/octet-stream",
        dv: "video/x-dv",
        dvi: "application/x-dvi",
        dwf: ["model/vnd.dwf", "drawing/x-dwf"],
        dwg: ["application/acad", "image/vnd.dwg", "image/x-dwg"],
        dxf: ["application/dxf", "image/vnd.dwg", "image/vnd.dxf", "image/x-dwg"],
        dxp: "application/vnd.spotfire.dxp",
        dxr: "application/x-director",
        ecelp4800: "audio/vnd.nuera.ecelp4800",
        ecelp7470: "audio/vnd.nuera.ecelp7470",
        ecelp9600: "audio/vnd.nuera.ecelp9600",
        edm: "application/vnd.novadigm.edm",
        edx: "application/vnd.novadigm.edx",
        efif: "application/vnd.picsel",
        ei6: "application/vnd.pg.osasli",
        el: "text/x-script.elisp",
        elc: ["application/x-elc", "application/x-bytecode.elisp"],
        eml: "message/rfc822",
        emma: "application/emma+xml",
        env: "application/x-envoy",
        eol: "audio/vnd.digital-winds",
        eot: "application/vnd.ms-fontobject",
        eps: "application/postscript",
        epub: "application/epub+zip",
        es: ["application/ecmascript", "application/x-esrehber"],
        es3: "application/vnd.eszigno3+xml",
        esf: "application/vnd.epson.esf",
        etx: "text/x-setext",
        evy: ["application/envoy", "application/x-envoy"],
        exe: ["application/octet-stream", "application/x-msdownload"],
        exi: "application/exi",
        ext: "application/vnd.novadigm.ext",
        ez2: "application/vnd.ezpix-album",
        ez3: "application/vnd.ezpix-package",
        f: ["text/plain", "text/x-fortran"],
        f4v: "video/x-f4v",
        f77: "text/x-fortran",
        f90: ["text/plain", "text/x-fortran"],
        fbs: "image/vnd.fastbidsheet",
        fcs: "application/vnd.isac.fcs",
        fdf: "application/vnd.fdf",
        fe_launch: "application/vnd.denovo.fcselayout-link",
        fg5: "application/vnd.fujitsu.oasysgp",
        fh: "image/x-freehand",
        fif: ["application/fractals", "image/fif"],
        fig: "application/x-xfig",
        fli: ["video/fli", "video/x-fli"],
        flo: ["image/florian", "application/vnd.micrografx.flo"],
        flr: "x-world/x-vrml",
        flv: "video/x-flv",
        flw: "application/vnd.kde.kivio",
        flx: "text/vnd.fmi.flexstor",
        fly: "text/vnd.fly",
        fm: "application/vnd.framemaker",
        fmf: "video/x-atomic3d-feature",
        fnc: "application/vnd.frogans.fnc",
        for: ["text/plain", "text/x-fortran"],
        fpx: ["image/vnd.fpx", "image/vnd.net-fpx"],
        frl: "application/freeloader",
        fsc: "application/vnd.fsc.weblaunch",
        fst: "image/vnd.fst",
        ftc: "application/vnd.fluxtime.clip",
        fti: "application/vnd.anser-web-funds-transfer-initiation",
        funk: "audio/make",
        fvt: "video/vnd.fvt",
        fxp: "application/vnd.adobe.fxp",
        fzs: "application/vnd.fuzzysheet",
        g: "text/plain",
        g2w: "application/vnd.geoplan",
        g3: "image/g3fax",
        g3w: "application/vnd.geospace",
        gac: "application/vnd.groove-account",
        gdl: "model/vnd.gdl",
        geo: "application/vnd.dynageo",
        gex: "application/vnd.geometry-explorer",
        ggb: "application/vnd.geogebra.file",
        ggt: "application/vnd.geogebra.tool",
        ghf: "application/vnd.groove-help",
        gif: "image/gif",
        gim: "application/vnd.groove-identity-message",
        gl: ["video/gl", "video/x-gl"],
        gmx: "application/vnd.gmx",
        gnumeric: "application/x-gnumeric",
        gph: "application/vnd.flographit",
        gqf: "application/vnd.grafeq",
        gram: "application/srgs",
        grv: "application/vnd.groove-injector",
        grxml: "application/srgs+xml",
        gsd: "audio/x-gsm",
        gsf: "application/x-font-ghostscript",
        gsm: "audio/x-gsm",
        gsp: "application/x-gsp",
        gss: "application/x-gss",
        gtar: "application/x-gtar",
        gtm: "application/vnd.groove-tool-message",
        gtw: "model/vnd.gtw",
        gv: "text/vnd.graphviz",
        gxt: "application/vnd.geonext",
        gz: ["application/x-gzip", "application/x-compressed"],
        gzip: ["multipart/x-gzip", "application/x-gzip"],
        h: ["text/plain", "text/x-h"],
        h261: "video/h261",
        h263: "video/h263",
        h264: "video/h264",
        hal: "application/vnd.hal+xml",
        hbci: "application/vnd.hbci",
        hdf: "application/x-hdf",
        help: "application/x-helpfile",
        hgl: "application/vnd.hp-hpgl",
        hh: ["text/plain", "text/x-h"],
        hlb: "text/x-script",
        hlp: ["application/winhlp", "application/hlp", "application/x-helpfile", "application/x-winhelp"],
        hpg: "application/vnd.hp-hpgl",
        hpgl: "application/vnd.hp-hpgl",
        hpid: "application/vnd.hp-hpid",
        hps: "application/vnd.hp-hps",
        hqx: [
          "application/mac-binhex40",
          "application/binhex",
          "application/binhex4",
          "application/mac-binhex",
          "application/x-binhex40",
          "application/x-mac-binhex40"
        ],
        hta: "application/hta",
        htc: "text/x-component",
        htke: "application/vnd.kenameaapp",
        htm: "text/html",
        html: "text/html",
        htmls: "text/html",
        htt: "text/webviewhtml",
        htx: "text/html",
        hvd: "application/vnd.yamaha.hv-dic",
        hvp: "application/vnd.yamaha.hv-voice",
        hvs: "application/vnd.yamaha.hv-script",
        i2g: "application/vnd.intergeo",
        icc: "application/vnd.iccprofile",
        ice: "x-conference/x-cooltalk",
        ico: "image/x-icon",
        ics: "text/calendar",
        idc: "text/plain",
        ief: "image/ief",
        iefs: "image/ief",
        ifm: "application/vnd.shana.informed.formdata",
        iges: ["application/iges", "model/iges"],
        igl: "application/vnd.igloader",
        igm: "application/vnd.insors.igm",
        igs: ["application/iges", "model/iges"],
        igx: "application/vnd.micrografx.igx",
        iif: "application/vnd.shana.informed.interchange",
        iii: "application/x-iphone",
        ima: "application/x-ima",
        imap: "application/x-httpd-imap",
        imp: "application/vnd.accpac.simply.imp",
        ims: "application/vnd.ms-ims",
        inf: "application/inf",
        ins: ["application/x-internet-signup", "application/x-internett-signup"],
        ip: "application/x-ip2",
        ipfix: "application/ipfix",
        ipk: "application/vnd.shana.informed.package",
        irm: "application/vnd.ibm.rights-management",
        irp: "application/vnd.irepository.package+xml",
        isp: "application/x-internet-signup",
        isu: "video/x-isvideo",
        it: "audio/it",
        itp: "application/vnd.shana.informed.formtemplate",
        iv: "application/x-inventor",
        ivp: "application/vnd.immervision-ivp",
        ivr: "i-world/i-vrml",
        ivu: "application/vnd.immervision-ivu",
        ivy: "application/x-livescreen",
        jad: "text/vnd.sun.j2me.app-descriptor",
        jam: ["application/vnd.jam", "audio/x-jam"],
        jar: "application/java-archive",
        jav: ["text/plain", "text/x-java-source"],
        java: ["text/plain", "text/x-java-source,java", "text/x-java-source"],
        jcm: "application/x-java-commerce",
        jfif: ["image/pipeg", "image/jpeg", "image/pjpeg"],
        "jfif-tbnl": "image/jpeg",
        jisp: "application/vnd.jisp",
        jlt: "application/vnd.hp-jlyt",
        jnlp: "application/x-java-jnlp-file",
        joda: "application/vnd.joost.joda-archive",
        jpe: ["image/jpeg", "image/pjpeg"],
        jpeg: ["image/jpeg", "image/pjpeg"],
        jpg: ["image/jpeg", "image/pjpeg"],
        jpgv: "video/jpeg",
        jpm: "video/jpm",
        jps: "image/x-jps",
        js: ["application/javascript", "application/ecmascript", "text/javascript", "text/ecmascript", "application/x-javascript"],
        json: "application/json",
        jut: "image/jutvision",
        kar: ["audio/midi", "music/x-karaoke"],
        karbon: "application/vnd.kde.karbon",
        kfo: "application/vnd.kde.kformula",
        kia: "application/vnd.kidspiration",
        kml: "application/vnd.google-earth.kml+xml",
        kmz: "application/vnd.google-earth.kmz",
        kne: "application/vnd.kinar",
        kon: "application/vnd.kde.kontour",
        kpr: "application/vnd.kde.kpresenter",
        ksh: ["application/x-ksh", "text/x-script.ksh"],
        ksp: "application/vnd.kde.kspread",
        ktx: "image/ktx",
        ktz: "application/vnd.kahootz",
        kwd: "application/vnd.kde.kword",
        la: ["audio/nspaudio", "audio/x-nspaudio"],
        lam: "audio/x-liveaudio",
        lasxml: "application/vnd.las.las+xml",
        latex: "application/x-latex",
        lbd: "application/vnd.llamagraphics.life-balance.desktop",
        lbe: "application/vnd.llamagraphics.life-balance.exchange+xml",
        les: "application/vnd.hhe.lesson-player",
        lha: ["application/octet-stream", "application/lha", "application/x-lha"],
        lhx: "application/octet-stream",
        link66: "application/vnd.route66.link66+xml",
        list: "text/plain",
        lma: ["audio/nspaudio", "audio/x-nspaudio"],
        log: "text/plain",
        lrm: "application/vnd.ms-lrm",
        lsf: "video/x-la-asf",
        lsp: ["application/x-lisp", "text/x-script.lisp"],
        lst: "text/plain",
        lsx: ["video/x-la-asf", "text/x-la-asf"],
        ltf: "application/vnd.frogans.ltf",
        ltx: "application/x-latex",
        lvp: "audio/vnd.lucent.voice",
        lwp: "application/vnd.lotus-wordpro",
        lzh: ["application/octet-stream", "application/x-lzh"],
        lzx: ["application/lzx", "application/octet-stream", "application/x-lzx"],
        m: ["text/plain", "text/x-m"],
        m13: "application/x-msmediaview",
        m14: "application/x-msmediaview",
        m1v: "video/mpeg",
        m21: "application/mp21",
        m2a: "audio/mpeg",
        m2v: "video/mpeg",
        m3u: ["audio/x-mpegurl", "audio/x-mpequrl"],
        m3u8: "application/vnd.apple.mpegurl",
        m4v: "video/x-m4v",
        ma: "application/mathematica",
        mads: "application/mads+xml",
        mag: "application/vnd.ecowin.chart",
        man: "application/x-troff-man",
        map: "application/x-navimap",
        mar: "text/plain",
        mathml: "application/mathml+xml",
        mbd: "application/mbedlet",
        mbk: "application/vnd.mobius.mbk",
        mbox: "application/mbox",
        mc$: "application/x-magic-cap-package-1.0",
        mc1: "application/vnd.medcalcdata",
        mcd: ["application/mcad", "application/vnd.mcd", "application/x-mathcad"],
        mcf: ["image/vasa", "text/mcf"],
        mcp: "application/netmc",
        mcurl: "text/vnd.curl.mcurl",
        mdb: "application/x-msaccess",
        mdi: "image/vnd.ms-modi",
        me: "application/x-troff-me",
        meta4: "application/metalink4+xml",
        mets: "application/mets+xml",
        mfm: "application/vnd.mfmp",
        mgp: "application/vnd.osgeo.mapguide.package",
        mgz: "application/vnd.proteus.magazine",
        mht: "message/rfc822",
        mhtml: "message/rfc822",
        mid: ["audio/mid", "audio/midi", "music/crescendo", "x-music/x-midi", "audio/x-midi", "application/x-midi", "audio/x-mid"],
        midi: ["audio/midi", "music/crescendo", "x-music/x-midi", "audio/x-midi", "application/x-midi", "audio/x-mid"],
        mif: ["application/vnd.mif", "application/x-mif", "application/x-frame"],
        mime: ["message/rfc822", "www/mime"],
        mj2: "video/mj2",
        mjf: "audio/x-vnd.audioexplosion.mjuicemediafile",
        mjpg: "video/x-motion-jpeg",
        mlp: "application/vnd.dolby.mlp",
        mm: ["application/base64", "application/x-meme"],
        mmd: "application/vnd.chipnuts.karaoke-mmd",
        mme: "application/base64",
        mmf: "application/vnd.smaf",
        mmr: "image/vnd.fujixerox.edmics-mmr",
        mny: "application/x-msmoney",
        mod: ["audio/mod", "audio/x-mod"],
        mods: "application/mods+xml",
        moov: "video/quicktime",
        mov: "video/quicktime",
        movie: "video/x-sgi-movie",
        mp2: ["video/mpeg", "audio/mpeg", "video/x-mpeg", "audio/x-mpeg", "video/x-mpeq2a"],
        mp3: ["audio/mpeg", "audio/mpeg3", "video/mpeg", "audio/x-mpeg-3", "video/x-mpeg"],
        mp4: ["video/mp4", "application/mp4"],
        mp4a: "audio/mp4",
        mpa: ["video/mpeg", "audio/mpeg"],
        mpc: ["application/vnd.mophun.certificate", "application/x-project"],
        mpe: "video/mpeg",
        mpeg: "video/mpeg",
        mpg: ["video/mpeg", "audio/mpeg"],
        mpga: "audio/mpeg",
        mpkg: "application/vnd.apple.installer+xml",
        mpm: "application/vnd.blueice.multipass",
        mpn: "application/vnd.mophun.application",
        mpp: "application/vnd.ms-project",
        mpt: "application/x-project",
        mpv: "application/x-project",
        mpv2: "video/mpeg",
        mpx: "application/x-project",
        mpy: "application/vnd.ibm.minipay",
        mqy: "application/vnd.mobius.mqy",
        mrc: "application/marc",
        mrcx: "application/marcxml+xml",
        ms: "application/x-troff-ms",
        mscml: "application/mediaservercontrol+xml",
        mseq: "application/vnd.mseq",
        msf: "application/vnd.epson.msf",
        msg: "application/vnd.ms-outlook",
        msh: "model/mesh",
        msl: "application/vnd.mobius.msl",
        msty: "application/vnd.muvee.style",
        mts: "model/vnd.mts",
        mus: "application/vnd.musician",
        musicxml: "application/vnd.recordare.musicxml+xml",
        mv: "video/x-sgi-movie",
        mvb: "application/x-msmediaview",
        mwf: "application/vnd.mfer",
        mxf: "application/mxf",
        mxl: "application/vnd.recordare.musicxml",
        mxml: "application/xv+xml",
        mxs: "application/vnd.triscape.mxs",
        mxu: "video/vnd.mpegurl",
        my: "audio/make",
        mzz: "application/x-vnd.audioexplosion.mzz",
        "n-gage": "application/vnd.nokia.n-gage.symbian.install",
        n3: "text/n3",
        nap: "image/naplps",
        naplps: "image/naplps",
        nbp: "application/vnd.wolfram.player",
        nc: "application/x-netcdf",
        ncm: "application/vnd.nokia.configuration-message",
        ncx: "application/x-dtbncx+xml",
        ngdat: "application/vnd.nokia.n-gage.data",
        nif: "image/x-niff",
        niff: "image/x-niff",
        nix: "application/x-mix-transfer",
        nlu: "application/vnd.neurolanguage.nlu",
        nml: "application/vnd.enliven",
        nnd: "application/vnd.noblenet-directory",
        nns: "application/vnd.noblenet-sealer",
        nnw: "application/vnd.noblenet-web",
        npx: "image/vnd.net-fpx",
        nsc: "application/x-conference",
        nsf: "application/vnd.lotus-notes",
        nvd: "application/x-navidoc",
        nws: "message/rfc822",
        o: "application/octet-stream",
        oa2: "application/vnd.fujitsu.oasys2",
        oa3: "application/vnd.fujitsu.oasys3",
        oas: "application/vnd.fujitsu.oasys",
        obd: "application/x-msbinder",
        oda: "application/oda",
        odb: "application/vnd.oasis.opendocument.database",
        odc: "application/vnd.oasis.opendocument.chart",
        odf: "application/vnd.oasis.opendocument.formula",
        odft: "application/vnd.oasis.opendocument.formula-template",
        odg: "application/vnd.oasis.opendocument.graphics",
        odi: "application/vnd.oasis.opendocument.image",
        odm: "application/vnd.oasis.opendocument.text-master",
        odp: "application/vnd.oasis.opendocument.presentation",
        ods: "application/vnd.oasis.opendocument.spreadsheet",
        odt: "application/vnd.oasis.opendocument.text",
        oga: "audio/ogg",
        ogv: "video/ogg",
        ogx: "application/ogg",
        omc: "application/x-omc",
        omcd: "application/x-omcdatamaker",
        omcr: "application/x-omcregerator",
        onetoc: "application/onenote",
        opf: "application/oebps-package+xml",
        org: "application/vnd.lotus-organizer",
        osf: "application/vnd.yamaha.openscoreformat",
        osfpvg: "application/vnd.yamaha.openscoreformat.osfpvg+xml",
        otc: "application/vnd.oasis.opendocument.chart-template",
        otf: "application/x-font-otf",
        otg: "application/vnd.oasis.opendocument.graphics-template",
        oth: "application/vnd.oasis.opendocument.text-web",
        oti: "application/vnd.oasis.opendocument.image-template",
        otp: "application/vnd.oasis.opendocument.presentation-template",
        ots: "application/vnd.oasis.opendocument.spreadsheet-template",
        ott: "application/vnd.oasis.opendocument.text-template",
        oxt: "application/vnd.openofficeorg.extension",
        p: "text/x-pascal",
        p10: ["application/pkcs10", "application/x-pkcs10"],
        p12: ["application/pkcs-12", "application/x-pkcs12"],
        p7a: "application/x-pkcs7-signature",
        p7b: "application/x-pkcs7-certificates",
        p7c: ["application/pkcs7-mime", "application/x-pkcs7-mime"],
        p7m: ["application/pkcs7-mime", "application/x-pkcs7-mime"],
        p7r: "application/x-pkcs7-certreqresp",
        p7s: ["application/pkcs7-signature", "application/x-pkcs7-signature"],
        p8: "application/pkcs8",
        par: "text/plain-bas",
        part: "application/pro_eng",
        pas: "text/pascal",
        paw: "application/vnd.pawaafile",
        pbd: "application/vnd.powerbuilder6",
        pbm: "image/x-portable-bitmap",
        pcf: "application/x-font-pcf",
        pcl: ["application/vnd.hp-pcl", "application/x-pcl"],
        pclxl: "application/vnd.hp-pclxl",
        pct: "image/x-pict",
        pcurl: "application/vnd.curl.pcurl",
        pcx: "image/x-pcx",
        pdb: ["application/vnd.palm", "chemical/x-pdb"],
        pdf: "application/pdf",
        pfa: "application/x-font-type1",
        pfr: "application/font-tdpfr",
        pfunk: ["audio/make", "audio/make.my.funk"],
        pfx: "application/x-pkcs12",
        pgm: ["image/x-portable-graymap", "image/x-portable-greymap"],
        pgn: "application/x-chess-pgn",
        pgp: "application/pgp-signature",
        pic: ["image/pict", "image/x-pict"],
        pict: "image/pict",
        pkg: "application/x-newton-compatible-pkg",
        pki: "application/pkixcmp",
        pkipath: "application/pkix-pkipath",
        pko: ["application/ynd.ms-pkipko", "application/vnd.ms-pki.pko"],
        pl: ["text/plain", "text/x-script.perl"],
        plb: "application/vnd.3gpp.pic-bw-large",
        plc: "application/vnd.mobius.plc",
        plf: "application/vnd.pocketlearn",
        pls: "application/pls+xml",
        plx: "application/x-pixclscript",
        pm: ["text/x-script.perl-module", "image/x-xpixmap"],
        pm4: "application/x-pagemaker",
        pm5: "application/x-pagemaker",
        pma: "application/x-perfmon",
        pmc: "application/x-perfmon",
        pml: ["application/vnd.ctc-posml", "application/x-perfmon"],
        pmr: "application/x-perfmon",
        pmw: "application/x-perfmon",
        png: "image/png",
        pnm: ["application/x-portable-anymap", "image/x-portable-anymap"],
        portpkg: "application/vnd.macports.portpkg",
        pot: ["application/vnd.ms-powerpoint", "application/mspowerpoint"],
        potm: "application/vnd.ms-powerpoint.template.macroenabled.12",
        potx: "application/vnd.openxmlformats-officedocument.presentationml.template",
        pov: "model/x-pov",
        ppa: "application/vnd.ms-powerpoint",
        ppam: "application/vnd.ms-powerpoint.addin.macroenabled.12",
        ppd: "application/vnd.cups-ppd",
        ppm: "image/x-portable-pixmap",
        pps: ["application/vnd.ms-powerpoint", "application/mspowerpoint"],
        ppsm: "application/vnd.ms-powerpoint.slideshow.macroenabled.12",
        ppsx: "application/vnd.openxmlformats-officedocument.presentationml.slideshow",
        ppt: ["application/vnd.ms-powerpoint", "application/mspowerpoint", "application/powerpoint", "application/x-mspowerpoint"],
        pptm: "application/vnd.ms-powerpoint.presentation.macroenabled.12",
        pptx: "application/vnd.openxmlformats-officedocument.presentationml.presentation",
        ppz: "application/mspowerpoint",
        prc: "application/x-mobipocket-ebook",
        pre: ["application/vnd.lotus-freelance", "application/x-freelance"],
        prf: "application/pics-rules",
        prt: "application/pro_eng",
        ps: "application/postscript",
        psb: "application/vnd.3gpp.pic-bw-small",
        psd: ["application/octet-stream", "image/vnd.adobe.photoshop"],
        psf: "application/x-font-linux-psf",
        pskcxml: "application/pskc+xml",
        ptid: "application/vnd.pvi.ptid1",
        pub: "application/x-mspublisher",
        pvb: "application/vnd.3gpp.pic-bw-var",
        pvu: "paleovu/x-pv",
        pwn: "application/vnd.3m.post-it-notes",
        pwz: "application/vnd.ms-powerpoint",
        py: "text/x-script.phyton",
        pya: "audio/vnd.ms-playready.media.pya",
        pyc: "applicaiton/x-bytecode.python",
        pyv: "video/vnd.ms-playready.media.pyv",
        qam: "application/vnd.epson.quickanime",
        qbo: "application/vnd.intu.qbo",
        qcp: "audio/vnd.qcelp",
        qd3: "x-world/x-3dmf",
        qd3d: "x-world/x-3dmf",
        qfx: "application/vnd.intu.qfx",
        qif: "image/x-quicktime",
        qps: "application/vnd.publishare-delta-tree",
        qt: "video/quicktime",
        qtc: "video/x-qtc",
        qti: "image/x-quicktime",
        qtif: "image/x-quicktime",
        qxd: "application/vnd.quark.quarkxpress",
        ra: ["audio/x-realaudio", "audio/x-pn-realaudio", "audio/x-pn-realaudio-plugin"],
        ram: "audio/x-pn-realaudio",
        rar: "application/x-rar-compressed",
        ras: ["image/cmu-raster", "application/x-cmu-raster", "image/x-cmu-raster"],
        rast: "image/cmu-raster",
        rcprofile: "application/vnd.ipunplugged.rcprofile",
        rdf: "application/rdf+xml",
        rdz: "application/vnd.data-vision.rdz",
        rep: "application/vnd.businessobjects",
        res: "application/x-dtbresource+xml",
        rexx: "text/x-script.rexx",
        rf: "image/vnd.rn-realflash",
        rgb: "image/x-rgb",
        rif: "application/reginfo+xml",
        rip: "audio/vnd.rip",
        rl: "application/resource-lists+xml",
        rlc: "image/vnd.fujixerox.edmics-rlc",
        rld: "application/resource-lists-diff+xml",
        rm: ["application/vnd.rn-realmedia", "audio/x-pn-realaudio"],
        rmi: "audio/mid",
        rmm: "audio/x-pn-realaudio",
        rmp: ["audio/x-pn-realaudio-plugin", "audio/x-pn-realaudio"],
        rms: "application/vnd.jcp.javame.midlet-rms",
        rnc: "application/relax-ng-compact-syntax",
        rng: ["application/ringing-tones", "application/vnd.nokia.ringing-tone"],
        rnx: "application/vnd.rn-realplayer",
        roff: "application/x-troff",
        rp: "image/vnd.rn-realpix",
        rp9: "application/vnd.cloanto.rp9",
        rpm: "audio/x-pn-realaudio-plugin",
        rpss: "application/vnd.nokia.radio-presets",
        rpst: "application/vnd.nokia.radio-preset",
        rq: "application/sparql-query",
        rs: "application/rls-services+xml",
        rsd: "application/rsd+xml",
        rt: ["text/richtext", "text/vnd.rn-realtext"],
        rtf: ["application/rtf", "text/richtext", "application/x-rtf"],
        rtx: ["text/richtext", "application/rtf"],
        rv: "video/vnd.rn-realvideo",
        s: "text/x-asm",
        s3m: "audio/s3m",
        saf: "application/vnd.yamaha.smaf-audio",
        saveme: "application/octet-stream",
        sbk: "application/x-tbook",
        sbml: "application/sbml+xml",
        sc: "application/vnd.ibm.secure-container",
        scd: "application/x-msschedule",
        scm: ["application/vnd.lotus-screencam", "video/x-scm", "text/x-script.guile", "application/x-lotusscreencam", "text/x-script.scheme"],
        scq: "application/scvp-cv-request",
        scs: "application/scvp-cv-response",
        sct: "text/scriptlet",
        scurl: "text/vnd.curl.scurl",
        sda: "application/vnd.stardivision.draw",
        sdc: "application/vnd.stardivision.calc",
        sdd: "application/vnd.stardivision.impress",
        sdkm: "application/vnd.solent.sdkm+xml",
        sdml: "text/plain",
        sdp: ["application/sdp", "application/x-sdp"],
        sdr: "application/sounder",
        sdw: "application/vnd.stardivision.writer",
        sea: ["application/sea", "application/x-sea"],
        see: "application/vnd.seemail",
        seed: "application/vnd.fdsn.seed",
        sema: "application/vnd.sema",
        semd: "application/vnd.semd",
        semf: "application/vnd.semf",
        ser: "application/java-serialized-object",
        set: "application/set",
        setpay: "application/set-payment-initiation",
        setreg: "application/set-registration-initiation",
        "sfd-hdstx": "application/vnd.hydrostatix.sof-data",
        sfs: "application/vnd.spotfire.sfs",
        sgl: "application/vnd.stardivision.writer-global",
        sgm: ["text/sgml", "text/x-sgml"],
        sgml: ["text/sgml", "text/x-sgml"],
        sh: ["application/x-shar", "application/x-bsh", "application/x-sh", "text/x-script.sh"],
        shar: ["application/x-bsh", "application/x-shar"],
        shf: "application/shf+xml",
        shtml: ["text/html", "text/x-server-parsed-html"],
        sid: "audio/x-psid",
        sis: "application/vnd.symbian.install",
        sit: ["application/x-stuffit", "application/x-sit"],
        sitx: "application/x-stuffitx",
        skd: "application/x-koan",
        skm: "application/x-koan",
        skp: ["application/vnd.koan", "application/x-koan"],
        skt: "application/x-koan",
        sl: "application/x-seelogo",
        sldm: "application/vnd.ms-powerpoint.slide.macroenabled.12",
        sldx: "application/vnd.openxmlformats-officedocument.presentationml.slide",
        slt: "application/vnd.epson.salt",
        sm: "application/vnd.stepmania.stepchart",
        smf: "application/vnd.stardivision.math",
        smi: ["application/smil", "application/smil+xml"],
        smil: "application/smil",
        snd: ["audio/basic", "audio/x-adpcm"],
        snf: "application/x-font-snf",
        sol: "application/solids",
        spc: ["text/x-speech", "application/x-pkcs7-certificates"],
        spf: "application/vnd.yamaha.smaf-phrase",
        spl: ["application/futuresplash", "application/x-futuresplash"],
        spot: "text/vnd.in3d.spot",
        spp: "application/scvp-vp-response",
        spq: "application/scvp-vp-request",
        spr: "application/x-sprite",
        sprite: "application/x-sprite",
        src: "application/x-wais-source",
        sru: "application/sru+xml",
        srx: "application/sparql-results+xml",
        sse: "application/vnd.kodak-descriptor",
        ssf: "application/vnd.epson.ssf",
        ssi: "text/x-server-parsed-html",
        ssm: "application/streamingmedia",
        ssml: "application/ssml+xml",
        sst: ["application/vnd.ms-pkicertstore", "application/vnd.ms-pki.certstore"],
        st: "application/vnd.sailingtracker.track",
        stc: "application/vnd.sun.xml.calc.template",
        std: "application/vnd.sun.xml.draw.template",
        step: "application/step",
        stf: "application/vnd.wt.stf",
        sti: "application/vnd.sun.xml.impress.template",
        stk: "application/hyperstudio",
        stl: ["application/vnd.ms-pkistl", "application/sla", "application/vnd.ms-pki.stl", "application/x-navistyle"],
        stm: "text/html",
        stp: "application/step",
        str: "application/vnd.pg.format",
        stw: "application/vnd.sun.xml.writer.template",
        sub: "image/vnd.dvb.subtitle",
        sus: "application/vnd.sus-calendar",
        sv4cpio: "application/x-sv4cpio",
        sv4crc: "application/x-sv4crc",
        svc: "application/vnd.dvb.service",
        svd: "application/vnd.svd",
        svf: ["image/vnd.dwg", "image/x-dwg"],
        svg: "image/svg+xml",
        svr: ["x-world/x-svr", "application/x-world"],
        swf: "application/x-shockwave-flash",
        swi: "application/vnd.aristanetworks.swi",
        sxc: "application/vnd.sun.xml.calc",
        sxd: "application/vnd.sun.xml.draw",
        sxg: "application/vnd.sun.xml.writer.global",
        sxi: "application/vnd.sun.xml.impress",
        sxm: "application/vnd.sun.xml.math",
        sxw: "application/vnd.sun.xml.writer",
        t: ["text/troff", "application/x-troff"],
        talk: "text/x-speech",
        tao: "application/vnd.tao.intent-module-archive",
        tar: "application/x-tar",
        tbk: ["application/toolbook", "application/x-tbook"],
        tcap: "application/vnd.3gpp2.tcap",
        tcl: ["text/x-script.tcl", "application/x-tcl"],
        tcsh: "text/x-script.tcsh",
        teacher: "application/vnd.smart.teacher",
        tei: "application/tei+xml",
        tex: "application/x-tex",
        texi: "application/x-texinfo",
        texinfo: "application/x-texinfo",
        text: ["application/plain", "text/plain"],
        tfi: "application/thraud+xml",
        tfm: "application/x-tex-tfm",
        tgz: ["application/gnutar", "application/x-compressed"],
        thmx: "application/vnd.ms-officetheme",
        tif: ["image/tiff", "image/x-tiff"],
        tiff: ["image/tiff", "image/x-tiff"],
        tmo: "application/vnd.tmobile-livetv",
        torrent: "application/x-bittorrent",
        tpl: "application/vnd.groove-tool-template",
        tpt: "application/vnd.trid.tpt",
        tr: "application/x-troff",
        tra: "application/vnd.trueapp",
        trm: "application/x-msterminal",
        tsd: "application/timestamped-data",
        tsi: "audio/tsp-audio",
        tsp: ["application/dsptype", "audio/tsplayer"],
        tsv: "text/tab-separated-values",
        ttf: "application/x-font-ttf",
        ttl: "text/turtle",
        turbot: "image/florian",
        twd: "application/vnd.simtech-mindmapper",
        txd: "application/vnd.genomatix.tuxedo",
        txf: "application/vnd.mobius.txf",
        txt: "text/plain",
        ufd: "application/vnd.ufdl",
        uil: "text/x-uil",
        uls: "text/iuls",
        umj: "application/vnd.umajin",
        uni: "text/uri-list",
        unis: "text/uri-list",
        unityweb: "application/vnd.unity",
        unv: "application/i-deas",
        uoml: "application/vnd.uoml+xml",
        uri: "text/uri-list",
        uris: "text/uri-list",
        ustar: ["application/x-ustar", "multipart/x-ustar"],
        utz: "application/vnd.uiq.theme",
        uu: ["application/octet-stream", "text/x-uuencode"],
        uue: "text/x-uuencode",
        uva: "audio/vnd.dece.audio",
        uvh: "video/vnd.dece.hd",
        uvi: "image/vnd.dece.graphic",
        uvm: "video/vnd.dece.mobile",
        uvp: "video/vnd.dece.pd",
        uvs: "video/vnd.dece.sd",
        uvu: "video/vnd.uvvu.mp4",
        uvv: "video/vnd.dece.video",
        vcd: "application/x-cdlink",
        vcf: "text/x-vcard",
        vcg: "application/vnd.groove-vcard",
        vcs: "text/x-vcalendar",
        vcx: "application/vnd.vcx",
        vda: "application/vda",
        vdo: "video/vdo",
        vew: "application/groupwise",
        vis: "application/vnd.visionary",
        viv: ["video/vivo", "video/vnd.vivo"],
        vivo: ["video/vivo", "video/vnd.vivo"],
        vmd: "application/vocaltec-media-desc",
        vmf: "application/vocaltec-media-file",
        voc: ["audio/voc", "audio/x-voc"],
        vos: "video/vosaic",
        vox: "audio/voxware",
        vqe: "audio/x-twinvq-plugin",
        vqf: "audio/x-twinvq",
        vql: "audio/x-twinvq-plugin",
        vrml: ["model/vrml", "x-world/x-vrml", "application/x-vrml"],
        vrt: "x-world/x-vrt",
        vsd: ["application/vnd.visio", "application/x-visio"],
        vsf: "application/vnd.vsf",
        vst: "application/x-visio",
        vsw: "application/x-visio",
        vtu: "model/vnd.vtu",
        vxml: "application/voicexml+xml",
        w60: "application/wordperfect6.0",
        w61: "application/wordperfect6.1",
        w6w: "application/msword",
        wad: "application/x-doom",
        wav: ["audio/wav", "audio/x-wav"],
        wax: "audio/x-ms-wax",
        wb1: "application/x-qpro",
        wbmp: "image/vnd.wap.wbmp",
        wbs: "application/vnd.criticaltools.wbs+xml",
        wbxml: "application/vnd.wap.wbxml",
        wcm: "application/vnd.ms-works",
        wdb: "application/vnd.ms-works",
        web: "application/vnd.xara",
        weba: "audio/webm",
        webm: "video/webm",
        webp: "image/webp",
        wg: "application/vnd.pmi.widget",
        wgt: "application/widget",
        wiz: "application/msword",
        wk1: "application/x-123",
        wks: "application/vnd.ms-works",
        wm: "video/x-ms-wm",
        wma: "audio/x-ms-wma",
        wmd: "application/x-ms-wmd",
        wmf: ["windows/metafile", "application/x-msmetafile"],
        wml: "text/vnd.wap.wml",
        wmlc: "application/vnd.wap.wmlc",
        wmls: "text/vnd.wap.wmlscript",
        wmlsc: "application/vnd.wap.wmlscriptc",
        wmv: "video/x-ms-wmv",
        wmx: "video/x-ms-wmx",
        wmz: "application/x-ms-wmz",
        woff: "application/x-font-woff",
        word: "application/msword",
        wp: "application/wordperfect",
        wp5: ["application/wordperfect", "application/wordperfect6.0"],
        wp6: "application/wordperfect",
        wpd: ["application/wordperfect", "application/vnd.wordperfect", "application/x-wpwin"],
        wpl: "application/vnd.ms-wpl",
        wps: "application/vnd.ms-works",
        wq1: "application/x-lotus",
        wqd: "application/vnd.wqd",
        wri: ["application/mswrite", "application/x-wri", "application/x-mswrite"],
        wrl: ["model/vrml", "x-world/x-vrml", "application/x-world"],
        wrz: ["model/vrml", "x-world/x-vrml"],
        wsc: "text/scriplet",
        wsdl: "application/wsdl+xml",
        wspolicy: "application/wspolicy+xml",
        wsrc: "application/x-wais-source",
        wtb: "application/vnd.webturbo",
        wtk: "application/x-wintalk",
        wvx: "video/x-ms-wvx",
        "x-png": "image/png",
        x3d: "application/vnd.hzn-3d-crossword",
        xaf: "x-world/x-vrml",
        xap: "application/x-silverlight-app",
        xar: "application/vnd.xara",
        xbap: "application/x-ms-xbap",
        xbd: "application/vnd.fujixerox.docuworks.binder",
        xbm: ["image/xbm", "image/x-xbm", "image/x-xbitmap"],
        xdf: "application/xcap-diff+xml",
        xdm: "application/vnd.syncml.dm+xml",
        xdp: "application/vnd.adobe.xdp+xml",
        xdr: "video/x-amt-demorun",
        xdssc: "application/dssc+xml",
        xdw: "application/vnd.fujixerox.docuworks",
        xenc: "application/xenc+xml",
        xer: "application/patch-ops-error+xml",
        xfdf: "application/vnd.adobe.xfdf",
        xfdl: "application/vnd.xfdl",
        xgz: "xgl/drawing",
        xhtml: "application/xhtml+xml",
        xif: "image/vnd.xiff",
        xl: "application/excel",
        xla: ["application/vnd.ms-excel", "application/excel", "application/x-msexcel", "application/x-excel"],
        xlam: "application/vnd.ms-excel.addin.macroenabled.12",
        xlb: ["application/excel", "application/vnd.ms-excel", "application/x-excel"],
        xlc: ["application/vnd.ms-excel", "application/excel", "application/x-excel"],
        xld: ["application/excel", "application/x-excel"],
        xlk: ["application/excel", "application/x-excel"],
        xll: ["application/excel", "application/vnd.ms-excel", "application/x-excel"],
        xlm: ["application/vnd.ms-excel", "application/excel", "application/x-excel"],
        xls: ["application/vnd.ms-excel", "application/excel", "application/x-msexcel", "application/x-excel"],
        xlsb: "application/vnd.ms-excel.sheet.binary.macroenabled.12",
        xlsm: "application/vnd.ms-excel.sheet.macroenabled.12",
        xlsx: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
        xlt: ["application/vnd.ms-excel", "application/excel", "application/x-excel"],
        xltm: "application/vnd.ms-excel.template.macroenabled.12",
        xltx: "application/vnd.openxmlformats-officedocument.spreadsheetml.template",
        xlv: ["application/excel", "application/x-excel"],
        xlw: ["application/vnd.ms-excel", "application/excel", "application/x-msexcel", "application/x-excel"],
        xm: "audio/xm",
        xml: ["application/xml", "text/xml", "application/atom+xml", "application/rss+xml"],
        xmz: "xgl/movie",
        xo: "application/vnd.olpc-sugar",
        xof: "x-world/x-vrml",
        xop: "application/xop+xml",
        xpi: "application/x-xpinstall",
        xpix: "application/x-vnd.ls-xpix",
        xpm: ["image/xpm", "image/x-xpixmap"],
        xpr: "application/vnd.is-xpr",
        xps: "application/vnd.ms-xpsdocument",
        xpw: "application/vnd.intercon.formnet",
        xslt: "application/xslt+xml",
        xsm: "application/vnd.syncml+xml",
        xspf: "application/xspf+xml",
        xsr: "video/x-amt-showrun",
        xul: "application/vnd.mozilla.xul+xml",
        xwd: ["image/x-xwd", "image/x-xwindowdump"],
        xyz: ["chemical/x-xyz", "chemical/x-pdb"],
        yang: "application/yang",
        yin: "application/yin+xml",
        z: ["application/x-compressed", "application/x-compress"],
        zaz: "application/vnd.zzazz.deck+xml",
        zip: ["application/zip", "multipart/x-zip", "application/x-zip-compressed", "application/x-compressed"],
        zir: "application/vnd.zul",
        zmm: "application/vnd.handheld-entertainment+xml",
        zoo: "application/octet-stream",
        zsh: "text/x-script.zsh"
      }
    };
  }
});

// ../../../node_modules/libmime/lib/libmime.js
var require_libmime2 = __commonJS({
  "../../../node_modules/libmime/lib/libmime.js"(exports, module2) {
    "use strict";
    var libcharset = require_charset2();
    var libbase64 = require_libbase64();
    var libqp = require_libqp();
    var mimetypes = require_mimetypes2();
    var STAGE_KEY = 4097;
    var STAGE_VALUE = 4098;
    var Libmime = class {
      constructor(config) {
        this.config = config || {};
      }
      /**
       * Checks if a value is plaintext string (uses only printable 7bit chars)
       *
       * @param {String} value String to be tested
       * @returns {Boolean} true if it is a plaintext string
       */
      isPlainText(value) {
        if (typeof value !== "string" || /[\x00-\x08\x0b\x0c\x0e-\x1f\u0080-\uFFFF]/.test(value)) {
          return false;
        } else {
          return true;
        }
      }
      /**
       * Checks if a multi line string containes lines longer than the selected value.
       *
       * Useful when detecting if a mail message needs any processing at all –
       * if only plaintext characters are used and lines are short, then there is
       * no need to encode the values in any way. If the value is plaintext but has
       * longer lines then allowed, then use format=flowed
       *
       * @param {Number} lineLength Max line length to check for
       * @returns {Boolean} Returns true if there is at least one line longer than lineLength chars
       */
      hasLongerLines(str, lineLength) {
        return new RegExp("^.{" + (lineLength + 1) + ",}", "m").test(str);
      }
      /**
       * Decodes a string from a format=flowed soft wrapping.
       *
       * @param {String} str Plaintext string with format=flowed to decode
       * @param {Boolean} [delSp] If true, delete leading spaces (delsp=yes)
       * @return {String} Mime decoded string
       */
      decodeFlowed(str, delSp) {
        str = (str || "").toString();
        return str.split(/\r?\n/).reduce((previousValue, currentValue) => {
          if (/ $/.test(previousValue) && !/(^|\n)-- $/.test(previousValue)) {
            if (delSp) {
              return previousValue.slice(0, -1) + currentValue;
            } else {
              return previousValue + currentValue;
            }
          } else {
            return previousValue + "\n" + currentValue;
          }
        }).replace(/^ /gm, "");
      }
      /**
       * Adds soft line breaks to content marked with format=flowed to
       * ensure that no line in the message is never longer than lineLength
       *
       * @param {String} str Plaintext string that requires wrapping
       * @param {Number} [lineLength=76] Maximum length of a line
       * @return {String} String with forced line breaks
       */
      encodeFlowed(str, lineLength) {
        lineLength = lineLength || 76;
        let flowed = [];
        str.split(/\r?\n/).forEach((line) => {
          flowed.push(
            this.foldLines(
              line.replace(/^( |From|>)/gim, " $1"),
              lineLength,
              true
            )
          );
        });
        return flowed.join("\r\n");
      }
      /**
       * Encodes a string or an Buffer to an UTF-8 MIME Word (rfc2047)
       *
       * @param {String|Buffer} data String to be encoded
       * @param {String} mimeWordEncoding='Q' Encoding for the mime word, either Q or B
       * @param {Number} [maxLength=0] If set, split mime words into several chunks if needed
       * @return {String} Single or several mime words joined together
       */
      encodeWord(data, mimeWordEncoding, maxLength) {
        mimeWordEncoding = (mimeWordEncoding || "Q").toString().toUpperCase().trim().charAt(0);
        maxLength = maxLength || 0;
        let encodedStr;
        let toCharset = "UTF-8";
        if (maxLength && maxLength > 7 + toCharset.length) {
          maxLength -= 7 + toCharset.length;
        }
        if (mimeWordEncoding === "Q") {
          encodedStr = libqp.encode(data).replace(/[^a-z0-9!*+\-/=]/gi, (chr) => {
            let ord = chr.charCodeAt(0).toString(16).toUpperCase();
            if (chr === " ") {
              return "_";
            } else {
              return "=" + (ord.length === 1 ? "0" + ord : ord);
            }
          });
        } else if (mimeWordEncoding === "B") {
          encodedStr = typeof data === "string" ? data : libbase64.encode(data);
          maxLength = maxLength ? Math.max(3, (maxLength - maxLength % 4) / 4 * 3) : 0;
        }
        if (maxLength && (mimeWordEncoding !== "B" ? encodedStr : libbase64.encode(data)).length > maxLength) {
          if (mimeWordEncoding === "Q") {
            encodedStr = this.splitMimeEncodedString(encodedStr, maxLength).join("?= =?" + toCharset + "?" + mimeWordEncoding + "?");
          } else {
            let parts = [];
            let lpart = "";
            for (let i = 0, len = encodedStr.length; i < len; i++) {
              let chr = encodedStr.charAt(i);
              if (/[\ud83c\ud83d\ud83e]/.test(chr) && i < len - 1) {
                chr += encodedStr.charAt(++i);
              }
              if (Buffer.byteLength(lpart + chr) <= maxLength || i === 0) {
                lpart += chr;
              } else {
                parts.push(libbase64.encode(lpart));
                lpart = chr;
              }
            }
            if (lpart) {
              parts.push(libbase64.encode(lpart));
            }
            if (parts.length > 1) {
              encodedStr = parts.join("?= =?" + toCharset + "?" + mimeWordEncoding + "?");
            } else {
              encodedStr = parts.join("");
            }
          }
        } else if (mimeWordEncoding === "B") {
          encodedStr = libbase64.encode(data);
        }
        return "=?" + toCharset + "?" + mimeWordEncoding + "?" + encodedStr + (encodedStr.substr(-2) === "?=" ? "" : "?=");
      }
      /**
       * Decode a complete mime word encoded string
       *
       * @param {String} str Mime word encoded string
       * @return {String} Decoded unicode string
       */
      decodeWord(charset, encoding, str) {
        let splitPos = charset.indexOf("*");
        if (splitPos >= 0) {
          charset = charset.substr(0, splitPos);
        }
        charset = libcharset.normalizeCharset(charset);
        encoding = encoding.toUpperCase();
        if (encoding === "Q") {
          str = str.replace(/=\s+([0-9a-fA-F])/g, "=$1").replace(/[_\s]/g, " ");
          let buf = Buffer.from(str);
          let bytes = [];
          for (let i = 0, len = buf.length; i < len; i++) {
            let c = buf[i];
            if (i <= len - 2 && c === 61) {
              let c1 = this.getHex(buf[i + 1]);
              let c2 = this.getHex(buf[i + 2]);
              if (c1 && c2) {
                let c3 = parseInt(c1 + c2, 16);
                bytes.push(c3);
                i += 2;
                continue;
              }
            }
            bytes.push(c);
          }
          str = Buffer.from(bytes);
        } else if (encoding === "B") {
          str = Buffer.concat(
            str.split("=").filter((s) => s !== "").map((str2) => Buffer.from(str2, "base64"))
          );
        } else {
          str = Buffer.from(str);
        }
        return libcharset.decode(str, charset);
      }
      /**
       * Finds word sequences with non ascii text and converts these to mime words
       *
       * @param {String|Buffer} data String to be encoded
       * @param {String} mimeWordEncoding='Q' Encoding for the mime word, either Q or B
       * @param {Number} [maxLength=0] If set, split mime words into several chunks if needed
       * @param {String} [fromCharset='UTF-8'] Source sharacter set
       * @return {String} String with possible mime words
       */
      encodeWords(data, mimeWordEncoding, maxLength, fromCharset) {
        if (!fromCharset && typeof maxLength === "string" && !maxLength.match(/^[0-9]+$/)) {
          fromCharset = maxLength;
          maxLength = void 0;
        }
        maxLength = maxLength || 0;
        let decodedValue = libcharset.decode(libcharset.convert(data || "", fromCharset));
        let encodedValue;
        let firstMatch = decodedValue.match(/(?:^|\s)([^\s]*[\u0080-\uFFFF])/);
        if (!firstMatch) {
          return decodedValue;
        }
        let lastMatch = decodedValue.match(/([\u0080-\uFFFF][^\s]*)[^\u0080-\uFFFF]*$/);
        if (!lastMatch) {
          return decodedValue;
        }
        let startIndex = firstMatch.index + (firstMatch[0].match(/[^\s]/) || {
          index: 0
        }).index;
        let endIndex = lastMatch.index + (lastMatch[1] || "").length;
        encodedValue = (startIndex ? decodedValue.substr(0, startIndex) : "") + this.encodeWord(decodedValue.substring(startIndex, endIndex), mimeWordEncoding || "Q", maxLength) + (endIndex < decodedValue.length ? decodedValue.substr(endIndex) : "");
        return encodedValue;
      }
      /**
       * Decode a string that might include one or several mime words
       *
       * @param {String} str String including some mime words that will be encoded
       * @return {String} Decoded unicode string
       */
      decodeWords(str) {
        return (str || "").toString().replace(/(=\?([^?]+)\?[Bb]\?[^?]*\?=)\s*(?==\?([^?]+)\?[Bb]\?[^?]*\?=)/g, (match, left, chLeft, chRight) => {
          if (libcharset.normalizeCharset(chLeft || "") === libcharset.normalizeCharset(chRight || "")) {
            return left + "__\0JOIN\0__";
          }
          return match;
        }).replace(/(=\?([^?]+)\?[Qq]\?[^?]*\?=)\s*(?==\?([^?]+)\?[Qq]\?[^?]*\?=)/g, (match, left, chLeft, chRight) => {
          if (libcharset.normalizeCharset(chLeft || "") === libcharset.normalizeCharset(chRight || "")) {
            return left + "__\0JOIN\0__";
          }
          return match;
        }).replace(/(\?=)?__\x00JOIN\x00__(=\?([^?]+)\?[QqBb]\?)?/g, "").replace(/(=\?[^?]+\?[QqBb]\?[^?]*\?=)\s+(?==\?[^?]+\?[QqBb]\?[^?]*\?=)/g, "$1").replace(/=\?([\w_\-*]+)\?([QqBb])\?([^?]*)\?=/g, (m, charset, encoding, text) => this.decodeWord(charset, encoding, text));
      }
      getHex(c) {
        if (c >= 48 && c <= 57 || c >= 97 && c <= 102 || c >= 65 && c <= 70) {
          return String.fromCharCode(c);
        }
        return false;
      }
      /**
       * Splits a string by :
       * The result is not mime word decoded, you need to do your own decoding based
       * on the rules for the specific header key
       *
       * @param {String} headerLine Single header line, might include linebreaks as well if folded
       * @return {Object} And object of {key, value}
       */
      decodeHeader(headerLine) {
        let line = (headerLine || "").toString().replace(/(?:\r?\n|\r)[ \t]*/g, " ").trim(), match = line.match(/^\s*([^:]+):(.*)$/), key = (match && match[1] || "").trim().toLowerCase(), value = (match && match[2] || "").trim();
        return {
          key,
          value
        };
      }
      /**
       * Parses a block of header lines. Does not decode mime words as every
       * header might have its own rules (eg. formatted email addresses and such)
       *
       * @param {String} headers Headers string
       * @return {Object} An object of headers, where header keys are object keys. NB! Several values with the same key make up an Array
       */
      decodeHeaders(headers) {
        let lines = headers.split(/\r?\n|\r/), headersObj = {}, header, i, len;
        for (i = lines.length - 1; i >= 0; i--) {
          if (i && lines[i].match(/^\s/)) {
            lines[i - 1] += "\r\n" + lines[i];
            lines.splice(i, 1);
          }
        }
        for (i = 0, len = lines.length; i < len; i++) {
          header = this.decodeHeader(lines[i]);
          if (!headersObj[header.key]) {
            headersObj[header.key] = [header.value];
          } else {
            headersObj[header.key].push(header.value);
          }
        }
        return headersObj;
      }
      /**
       * Joins parsed header value together as 'value; param1=value1; param2=value2'
       * PS: We are following RFC 822 for the list of special characters that we need to keep in quotes.
       *      Refer: https://www.w3.org/Protocols/rfc1341/4_Content-Type.html
       * @param {Object} structured Parsed header value
       * @return {String} joined header value
       */
      buildHeaderValue(structured) {
        let paramsArray = [];
        Object.keys(structured.params || {}).forEach((param) => {
          let value = structured.params[param];
          if (!this.isPlainText(value) || value.length >= 75) {
            this.buildHeaderParam(param, value, 50).forEach((encodedParam) => {
              if (!/[\s"\\;:/=(),<>@[\]?]|^[-']|'$/.test(encodedParam.value) || encodedParam.key.substr(-1) === "*") {
                paramsArray.push(encodedParam.key + "=" + encodedParam.value);
              } else {
                paramsArray.push(encodedParam.key + "=" + JSON.stringify(encodedParam.value));
              }
            });
          } else if (/[\s'"\\;:/=(),<>@[\]?]|^-/.test(value)) {
            paramsArray.push(param + "=" + JSON.stringify(value));
          } else {
            paramsArray.push(param + "=" + value);
          }
        });
        return structured.value + (paramsArray.length ? "; " + paramsArray.join("; ") : "");
      }
      /**
       * Parses a header value with key=value arguments into a structured
       * object.
       *
       *   parseHeaderValue('content-type: text/plain; CHARSET='UTF-8'') ->
       *   {
       *     'value': 'text/plain',
       *     'params': {
       *       'charset': 'UTF-8'
       *     }
       *   }
       *
       * @param {String} str Header value
       * @return {Object} Header value as a parsed structure
       */
      parseHeaderValue(str) {
        let response = {
          value: false,
          params: {}
        };
        let key = false;
        let value = "";
        let stage = STAGE_VALUE;
        let quote = false;
        let escaped = false;
        let chr;
        for (let i = 0, len = str.length; i < len; i++) {
          chr = str.charAt(i);
          switch (stage) {
            case STAGE_KEY:
              if (chr === "=") {
                key = value.trim().toLowerCase();
                stage = STAGE_VALUE;
                value = "";
                break;
              }
              value += chr;
              break;
            case STAGE_VALUE:
              if (escaped) {
                value += chr;
              } else if (chr === "\\") {
                escaped = true;
                continue;
              } else if (quote && chr === quote) {
                quote = false;
              } else if (!quote && chr === '"') {
                quote = chr;
              } else if (!quote && chr === ";") {
                if (key === false) {
                  response.value = value.trim();
                } else {
                  response.params[key] = value.trim();
                }
                stage = STAGE_KEY;
                value = "";
              } else {
                value += chr;
              }
              escaped = false;
              break;
          }
        }
        value = value.trim();
        if (stage === STAGE_VALUE) {
          if (key === false) {
            response.value = value;
          } else {
            response.params[key] = value;
          }
        } else if (value) {
          response.params[value.toLowerCase()] = "";
        }
        Object.keys(response.params).forEach((key2) => {
          let actualKey;
          let nr;
          let value2;
          let match = key2.match(/\*((\d+)\*?)?$/);
          if (!match) {
            return;
          }
          actualKey = key2.substr(0, match.index).toLowerCase();
          nr = Number(match[2]) || 0;
          if (!response.params[actualKey] || typeof response.params[actualKey] !== "object") {
            response.params[actualKey] = {
              charset: false,
              values: []
            };
          }
          value2 = response.params[key2];
          if (nr === 0 && match[0].charAt(match[0].length - 1) === "*" && (match = value2.match(/^([^']*)'[^']*'(.*)$/))) {
            response.params[actualKey].charset = match[1] || "utf-8";
            value2 = match[2];
          }
          response.params[actualKey].values.push({ nr, value: value2 });
          delete response.params[key2];
        });
        Object.keys(response.params).forEach((key2) => {
          let value2;
          if (response.params[key2] && Array.isArray(response.params[key2].values)) {
            value2 = response.params[key2].values.sort((a, b) => a.nr - b.nr).map((val) => val && val.value || "").join("");
            if (response.params[key2].charset) {
              response.params[key2] = this.decodeWords(
                "=?" + response.params[key2].charset + "?Q?" + value2.replace(/[=?_\s]/g, (s) => {
                  let c = s.charCodeAt(0).toString(16);
                  if (s === " ") {
                    return "_";
                  } else {
                    return "%" + (c.length < 2 ? "0" : "") + c;
                  }
                }).replace(/%/g, "=") + "?="
              );
            } else {
              response.params[key2] = this.decodeWords(value2);
            }
          }
        });
        return response;
      }
      /**
       * Encodes a string or an Buffer to an UTF-8 Parameter Value Continuation encoding (rfc2231)
       * Useful for splitting long parameter values.
       *
       * For example
       *      title="unicode string"
       * becomes
       *     title*0*=utf-8''unicode
       *     title*1*=%20string
       *
       * @param {String|Buffer} data String to be encoded
       * @param {Number} [maxLength=50] Max length for generated chunks
       * @param {String} [fromCharset='UTF-8'] Source sharacter set
       * @return {Array} A list of encoded keys and headers
       */
      buildHeaderParam(key, data, maxLength, fromCharset) {
        let list = [];
        let encodedStr = typeof data === "string" ? data : this.decode(data, fromCharset);
        let encodedStrArr;
        let chr, ord;
        let line;
        let startPos = 0;
        let isEncoded = false;
        let i, len;
        maxLength = maxLength || 50;
        if (this.isPlainText(data)) {
          if (encodedStr.length <= maxLength) {
            return [
              {
                key,
                value: encodedStr
              }
            ];
          }
          encodedStr = encodedStr.replace(new RegExp(".{" + maxLength + "}", "g"), (str) => {
            list.push({
              line: str
            });
            return "";
          });
          if (encodedStr) {
            list.push({
              line: encodedStr
            });
          }
        } else {
          if (/[\uD800-\uDBFF]/.test(encodedStr)) {
            encodedStrArr = [];
            for (i = 0, len = encodedStr.length; i < len; i++) {
              chr = encodedStr.charAt(i);
              ord = chr.charCodeAt(0);
              if (ord >= 55296 && ord <= 56319 && i < len - 1) {
                chr += encodedStr.charAt(i + 1);
                encodedStrArr.push(chr);
                i++;
              } else {
                encodedStrArr.push(chr);
              }
            }
            encodedStr = encodedStrArr;
          }
          line = "utf-8''";
          isEncoded = true;
          startPos = 0;
          for (i = 0, len = encodedStr.length; i < len; i++) {
            chr = encodedStr[i];
            if (isEncoded) {
              chr = this.safeEncodeURIComponent(chr);
            } else {
              chr = chr === " " ? chr : this.safeEncodeURIComponent(chr);
              if (chr !== encodedStr[i]) {
                if ((this.safeEncodeURIComponent(line) + chr).length >= maxLength) {
                  list.push({
                    line,
                    encoded: isEncoded
                  });
                  line = "";
                  startPos = i - 1;
                } else {
                  isEncoded = true;
                  i = startPos;
                  line = "";
                  continue;
                }
              }
            }
            if ((line + chr).length >= maxLength) {
              list.push({
                line,
                encoded: isEncoded
              });
              line = chr = encodedStr[i] === " " ? " " : this.safeEncodeURIComponent(encodedStr[i]);
              if (chr === encodedStr[i]) {
                isEncoded = false;
                startPos = i - 1;
              } else {
                isEncoded = true;
              }
            } else {
              line += chr;
            }
          }
          if (line) {
            list.push({
              line,
              encoded: isEncoded
            });
          }
        }
        return list.map((item, i2) => ({
          // encoded lines: {name}*{part}*
          // unencoded lines: {name}*{part}
          // if any line needs to be encoded then the first line (part==0) is always encoded
          key: key + "*" + i2 + (item.encoded ? "*" : ""),
          value: item.line
        }));
      }
      /**
       * Returns file extension for a content type string. If no suitable extensions
       * are found, 'bin' is used as the default extension
       *
       * @param {String} mimeType Content type to be checked for
       * @return {String} File extension
       */
      detectExtension(mimeType) {
        mimeType = (mimeType || "").toString().toLowerCase().replace(/\s/g, "");
        if (!(mimeType in mimetypes.list)) {
          return "bin";
        }
        if (typeof mimetypes.list[mimeType] === "string") {
          return mimetypes.list[mimeType];
        }
        let mimeParts = mimeType.split("/");
        for (let i = 0, len = mimetypes.list[mimeType].length; i < len; i++) {
          if (mimeParts[1] === mimetypes.list[mimeType][i]) {
            return mimetypes.list[mimeType][i];
          }
        }
        return mimetypes.list[mimeType][0] !== "*" ? mimetypes.list[mimeType][0] : "bin";
      }
      /**
       * Returns content type for a file extension. If no suitable content types
       * are found, 'application/octet-stream' is used as the default content type
       *
       * @param {String} extension Extension to be checked for
       * @return {String} File extension
       */
      detectMimeType(extension) {
        extension = (extension || "").toString().toLowerCase().replace(/\s/g, "").replace(/^\./g, "").split(".").pop();
        if (!(extension in mimetypes.extensions)) {
          return "application/octet-stream";
        }
        if (typeof mimetypes.extensions[extension] === "string") {
          return mimetypes.extensions[extension];
        }
        let mimeParts;
        for (let i = 0, len = mimetypes.extensions[extension].length; i < len; i++) {
          mimeParts = mimetypes.extensions[extension][i].split("/");
          if (mimeParts[1] === extension) {
            return mimetypes.extensions[extension][i];
          }
        }
        return mimetypes.extensions[extension][0];
      }
      /**
       * Folds long lines, useful for folding header lines (afterSpace=false) and
       * flowed text (afterSpace=true)
       *
       * @param {String} str String to be folded
       * @param {Number} [lineLength=76] Maximum length of a line
       * @param {Boolean} afterSpace If true, leave a space in th end of a line
       * @return {String} String with folded lines
       */
      foldLines(str, lineLength, afterSpace) {
        str = (str || "").toString();
        lineLength = lineLength || 76;
        let pos = 0, len = str.length, result = "", line, match;
        while (pos < len) {
          line = str.substr(pos, lineLength);
          if (line.length < lineLength) {
            result += line;
            break;
          }
          if (match = line.match(/^[^\n\r]*(\r?\n|\r)/)) {
            line = match[0];
            result += line;
            pos += line.length;
            continue;
          } else if ((match = line.match(/(\s+)[^\s]*$/)) && match[0].length - (afterSpace ? (match[1] || "").length : 0) < line.length) {
            line = line.substr(0, line.length - (match[0].length - (afterSpace ? (match[1] || "").length : 0)));
          } else if (match = str.substr(pos + line.length).match(/^[^\s]+(\s*)/)) {
            line = line + match[0].substr(0, match[0].length - (!afterSpace ? (match[1] || "").length : 0));
          }
          result += line;
          pos += line.length;
          if (pos < len) {
            result += "\r\n";
          }
        }
        return result;
      }
      /**
       * Splits a mime encoded string. Needed for dividing mime words into smaller chunks
       *
       * @param {String} str Mime encoded string to be split up
       * @param {Number} maxlen Maximum length of characters for one part (minimum 12)
       * @return {Array} Split string
       */
      splitMimeEncodedString(str, maxlen) {
        let curLine, match, chr, done, lines = [];
        maxlen = Math.max(maxlen || 0, 12);
        while (str.length) {
          curLine = str.substr(0, maxlen);
          if (match = curLine.match(/[=][0-9A-F]?$/i)) {
            curLine = curLine.substr(0, match.index);
          }
          done = false;
          while (!done) {
            done = true;
            if (match = str.substr(curLine.length).match(/^[=]([0-9A-F]{2})/i)) {
              chr = parseInt(match[1], 16);
              if (chr < 194 && chr > 127) {
                curLine = curLine.substr(0, curLine.length - 3);
                done = false;
              }
            }
          }
          if (curLine.length) {
            lines.push(curLine);
          }
          str = str.substr(curLine.length);
        }
        return lines;
      }
      encodeURICharComponent(chr) {
        let res = "";
        let ord = chr.charCodeAt(0).toString(16).toUpperCase();
        if (ord.length % 2) {
          ord = "0" + ord;
        }
        if (ord.length > 2) {
          for (let i = 0, len = ord.length / 2; i < len; i++) {
            res += "%" + ord.substr(i, 2);
          }
        } else {
          res += "%" + ord;
        }
        return res;
      }
      safeEncodeURIComponent(str) {
        str = (str || "").toString();
        try {
          str = encodeURIComponent(str);
        } catch (E) {
          return str.replace(/[^\x00-\x1F *'()<>@,;:\\"[\]?=\u007F-\uFFFF]+/g, "");
        }
        return str.replace(/[\x00-\x1F *'()<>@,;:\\"[\]?=\u007F-\uFFFF]/g, (chr) => this.encodeURICharComponent(chr));
      }
    };
    module2.exports = new Libmime();
    module2.exports.Libmime = Libmime;
  }
});

// ../../../node_modules/nodemailer/lib/addressparser/index.js
var require_addressparser = __commonJS({
  "../../../node_modules/nodemailer/lib/addressparser/index.js"(exports, module2) {
    "use strict";
    function _handleAddress(tokens) {
      let token;
      let isGroup = false;
      let state = "text";
      let address;
      let addresses = [];
      let data = {
        address: [],
        comment: [],
        group: [],
        text: []
      };
      let i;
      let len;
      for (i = 0, len = tokens.length; i < len; i++) {
        token = tokens[i];
        if (token.type === "operator") {
          switch (token.value) {
            case "<":
              state = "address";
              break;
            case "(":
              state = "comment";
              break;
            case ":":
              state = "group";
              isGroup = true;
              break;
            default:
              state = "text";
          }
        } else if (token.value) {
          if (state === "address") {
            token.value = token.value.replace(/^[^<]*<\s*/, "");
          }
          data[state].push(token.value);
        }
      }
      if (!data.text.length && data.comment.length) {
        data.text = data.comment;
        data.comment = [];
      }
      if (isGroup) {
        data.text = data.text.join(" ");
        addresses.push({
          name: data.text || address && address.name,
          group: data.group.length ? addressparser(data.group.join(",")) : []
        });
      } else {
        if (!data.address.length && data.text.length) {
          for (i = data.text.length - 1; i >= 0; i--) {
            if (data.text[i].match(/^[^@\s]+@[^@\s]+$/)) {
              data.address = data.text.splice(i, 1);
              break;
            }
          }
          let _regexHandler = function(address2) {
            if (!data.address.length) {
              data.address = [address2.trim()];
              return " ";
            } else {
              return address2;
            }
          };
          if (!data.address.length) {
            for (i = data.text.length - 1; i >= 0; i--) {
              data.text[i] = data.text[i].replace(/\s*\b[^@\s]+@[^\s]+\b\s*/, _regexHandler).trim();
              if (data.address.length) {
                break;
              }
            }
          }
        }
        if (!data.text.length && data.comment.length) {
          data.text = data.comment;
          data.comment = [];
        }
        if (data.address.length > 1) {
          data.text = data.text.concat(data.address.splice(1));
        }
        data.text = data.text.join(" ");
        data.address = data.address.join(" ");
        if (!data.address && isGroup) {
          return [];
        } else {
          address = {
            address: data.address || data.text || "",
            name: data.text || data.address || ""
          };
          if (address.address === address.name) {
            if ((address.address || "").match(/@/)) {
              address.name = "";
            } else {
              address.address = "";
            }
          }
          addresses.push(address);
        }
      }
      return addresses;
    }
    var Tokenizer = class {
      constructor(str) {
        this.str = (str || "").toString();
        this.operatorCurrent = "";
        this.operatorExpecting = "";
        this.node = null;
        this.escaped = false;
        this.list = [];
        this.operators = {
          '"': '"',
          "(": ")",
          "<": ">",
          ",": "",
          ":": ";",
          // Semicolons are not a legal delimiter per the RFC2822 grammar other
          // than for terminating a group, but they are also not valid for any
          // other use in this context.  Given that some mail clients have
          // historically allowed the semicolon as a delimiter equivalent to the
          // comma in their UI, it makes sense to treat them the same as a comma
          // when used outside of a group.
          ";": ""
        };
      }
      /**
       * Tokenizes the original input string
       *
       * @return {Array} An array of operator|text tokens
       */
      tokenize() {
        let chr, list = [];
        for (let i = 0, len = this.str.length; i < len; i++) {
          chr = this.str.charAt(i);
          this.checkChar(chr);
        }
        this.list.forEach((node) => {
          node.value = (node.value || "").toString().trim();
          if (node.value) {
            list.push(node);
          }
        });
        return list;
      }
      /**
       * Checks if a character is an operator or text and acts accordingly
       *
       * @param {String} chr Character from the address field
       */
      checkChar(chr) {
        if (this.escaped) {
        } else if (chr === this.operatorExpecting) {
          this.node = {
            type: "operator",
            value: chr
          };
          this.list.push(this.node);
          this.node = null;
          this.operatorExpecting = "";
          this.escaped = false;
          return;
        } else if (!this.operatorExpecting && chr in this.operators) {
          this.node = {
            type: "operator",
            value: chr
          };
          this.list.push(this.node);
          this.node = null;
          this.operatorExpecting = this.operators[chr];
          this.escaped = false;
          return;
        } else if (['"', "'"].includes(this.operatorExpecting) && chr === "\\") {
          this.escaped = true;
          return;
        }
        if (!this.node) {
          this.node = {
            type: "text",
            value: ""
          };
          this.list.push(this.node);
        }
        if (chr === "\n") {
          chr = " ";
        }
        if (chr.charCodeAt(0) >= 33 || [" ", "	"].includes(chr)) {
          this.node.value += chr;
        }
        this.escaped = false;
      }
    };
    function addressparser(str, options) {
      options = options || {};
      let tokenizer = new Tokenizer(str);
      let tokens = tokenizer.tokenize();
      let addresses = [];
      let address = [];
      let parsedAddresses = [];
      tokens.forEach((token) => {
        if (token.type === "operator" && (token.value === "," || token.value === ";")) {
          if (address.length) {
            addresses.push(address);
          }
          address = [];
        } else {
          address.push(token);
        }
      });
      if (address.length) {
        addresses.push(address);
      }
      addresses.forEach((address2) => {
        address2 = _handleAddress(address2);
        if (address2.length) {
          parsedAddresses = parsedAddresses.concat(address2);
        }
      });
      if (options.flatten) {
        let addresses2 = [];
        let walkAddressList = (list) => {
          list.forEach((address2) => {
            if (address2.group) {
              return walkAddressList(address2.group);
            } else {
              addresses2.push(address2);
            }
          });
        };
        walkAddressList(parsedAddresses);
        return addresses2;
      }
      return parsedAddresses;
    }
    module2.exports = addressparser;
  }
});

// ../../../node_modules/mailparser/lib/stream-hash.js
var require_stream_hash = __commonJS({
  "../../../node_modules/mailparser/lib/stream-hash.js"(exports, module2) {
    "use strict";
    var crypto = require("crypto");
    var Transform = require("stream").Transform;
    var StreamHash = class extends Transform {
      constructor(attachment, algo) {
        super();
        this.attachment = attachment;
        this.algo = (algo || "md5").toLowerCase();
        this.hash = crypto.createHash(algo);
        this.byteCount = 0;
      }
      _transform(chunk, encoding, done) {
        this.hash.update(chunk);
        this.byteCount += chunk.length;
        done(null, chunk);
      }
      _flush(done) {
        this.attachment.checksum = this.hash.digest("hex");
        this.attachment.size = this.byteCount;
        done();
      }
    };
    module2.exports = StreamHash;
  }
});

// ../../../node_modules/domelementtype/lib/index.js
var require_lib2 = __commonJS({
  "../../../node_modules/domelementtype/lib/index.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Doctype = exports.CDATA = exports.Tag = exports.Style = exports.Script = exports.Comment = exports.Directive = exports.Text = exports.Root = exports.isTag = exports.ElementType = void 0;
    var ElementType;
    (function(ElementType2) {
      ElementType2["Root"] = "root";
      ElementType2["Text"] = "text";
      ElementType2["Directive"] = "directive";
      ElementType2["Comment"] = "comment";
      ElementType2["Script"] = "script";
      ElementType2["Style"] = "style";
      ElementType2["Tag"] = "tag";
      ElementType2["CDATA"] = "cdata";
      ElementType2["Doctype"] = "doctype";
    })(ElementType = exports.ElementType || (exports.ElementType = {}));
    function isTag(elem) {
      return elem.type === ElementType.Tag || elem.type === ElementType.Script || elem.type === ElementType.Style;
    }
    exports.isTag = isTag;
    exports.Root = ElementType.Root;
    exports.Text = ElementType.Text;
    exports.Directive = ElementType.Directive;
    exports.Comment = ElementType.Comment;
    exports.Script = ElementType.Script;
    exports.Style = ElementType.Style;
    exports.Tag = ElementType.Tag;
    exports.CDATA = ElementType.CDATA;
    exports.Doctype = ElementType.Doctype;
  }
});

// ../../../node_modules/domhandler/lib/node.js
var require_node = __commonJS({
  "../../../node_modules/domhandler/lib/node.js"(exports) {
    "use strict";
    var __extends = exports && exports.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
          d2.__proto__ = b2;
        } || function(d2, b2) {
          for (var p in b2)
            if (Object.prototype.hasOwnProperty.call(b2, p))
              d2[p] = b2[p];
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        if (typeof b !== "function" && b !== null)
          throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __assign = exports && exports.__assign || function() {
      __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
          s = arguments[i];
          for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p))
              t[p] = s[p];
        }
        return t;
      };
      return __assign.apply(this, arguments);
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.cloneNode = exports.hasChildren = exports.isDocument = exports.isDirective = exports.isComment = exports.isText = exports.isCDATA = exports.isTag = exports.Element = exports.Document = exports.CDATA = exports.NodeWithChildren = exports.ProcessingInstruction = exports.Comment = exports.Text = exports.DataNode = exports.Node = void 0;
    var domelementtype_1 = require_lib2();
    var Node = (
      /** @class */
      function() {
        function Node2() {
          this.parent = null;
          this.prev = null;
          this.next = null;
          this.startIndex = null;
          this.endIndex = null;
        }
        Object.defineProperty(Node2.prototype, "parentNode", {
          // Read-write aliases for properties
          /**
           * Same as {@link parent}.
           * [DOM spec](https://dom.spec.whatwg.org)-compatible alias.
           */
          get: function() {
            return this.parent;
          },
          set: function(parent) {
            this.parent = parent;
          },
          enumerable: false,
          configurable: true
        });
        Object.defineProperty(Node2.prototype, "previousSibling", {
          /**
           * Same as {@link prev}.
           * [DOM spec](https://dom.spec.whatwg.org)-compatible alias.
           */
          get: function() {
            return this.prev;
          },
          set: function(prev) {
            this.prev = prev;
          },
          enumerable: false,
          configurable: true
        });
        Object.defineProperty(Node2.prototype, "nextSibling", {
          /**
           * Same as {@link next}.
           * [DOM spec](https://dom.spec.whatwg.org)-compatible alias.
           */
          get: function() {
            return this.next;
          },
          set: function(next) {
            this.next = next;
          },
          enumerable: false,
          configurable: true
        });
        Node2.prototype.cloneNode = function(recursive) {
          if (recursive === void 0) {
            recursive = false;
          }
          return cloneNode(this, recursive);
        };
        return Node2;
      }()
    );
    exports.Node = Node;
    var DataNode = (
      /** @class */
      function(_super) {
        __extends(DataNode2, _super);
        function DataNode2(data) {
          var _this = _super.call(this) || this;
          _this.data = data;
          return _this;
        }
        Object.defineProperty(DataNode2.prototype, "nodeValue", {
          /**
           * Same as {@link data}.
           * [DOM spec](https://dom.spec.whatwg.org)-compatible alias.
           */
          get: function() {
            return this.data;
          },
          set: function(data) {
            this.data = data;
          },
          enumerable: false,
          configurable: true
        });
        return DataNode2;
      }(Node)
    );
    exports.DataNode = DataNode;
    var Text = (
      /** @class */
      function(_super) {
        __extends(Text2, _super);
        function Text2() {
          var _this = _super !== null && _super.apply(this, arguments) || this;
          _this.type = domelementtype_1.ElementType.Text;
          return _this;
        }
        Object.defineProperty(Text2.prototype, "nodeType", {
          get: function() {
            return 3;
          },
          enumerable: false,
          configurable: true
        });
        return Text2;
      }(DataNode)
    );
    exports.Text = Text;
    var Comment = (
      /** @class */
      function(_super) {
        __extends(Comment2, _super);
        function Comment2() {
          var _this = _super !== null && _super.apply(this, arguments) || this;
          _this.type = domelementtype_1.ElementType.Comment;
          return _this;
        }
        Object.defineProperty(Comment2.prototype, "nodeType", {
          get: function() {
            return 8;
          },
          enumerable: false,
          configurable: true
        });
        return Comment2;
      }(DataNode)
    );
    exports.Comment = Comment;
    var ProcessingInstruction = (
      /** @class */
      function(_super) {
        __extends(ProcessingInstruction2, _super);
        function ProcessingInstruction2(name, data) {
          var _this = _super.call(this, data) || this;
          _this.name = name;
          _this.type = domelementtype_1.ElementType.Directive;
          return _this;
        }
        Object.defineProperty(ProcessingInstruction2.prototype, "nodeType", {
          get: function() {
            return 1;
          },
          enumerable: false,
          configurable: true
        });
        return ProcessingInstruction2;
      }(DataNode)
    );
    exports.ProcessingInstruction = ProcessingInstruction;
    var NodeWithChildren = (
      /** @class */
      function(_super) {
        __extends(NodeWithChildren2, _super);
        function NodeWithChildren2(children) {
          var _this = _super.call(this) || this;
          _this.children = children;
          return _this;
        }
        Object.defineProperty(NodeWithChildren2.prototype, "firstChild", {
          // Aliases
          /** First child of the node. */
          get: function() {
            var _a;
            return (_a = this.children[0]) !== null && _a !== void 0 ? _a : null;
          },
          enumerable: false,
          configurable: true
        });
        Object.defineProperty(NodeWithChildren2.prototype, "lastChild", {
          /** Last child of the node. */
          get: function() {
            return this.children.length > 0 ? this.children[this.children.length - 1] : null;
          },
          enumerable: false,
          configurable: true
        });
        Object.defineProperty(NodeWithChildren2.prototype, "childNodes", {
          /**
           * Same as {@link children}.
           * [DOM spec](https://dom.spec.whatwg.org)-compatible alias.
           */
          get: function() {
            return this.children;
          },
          set: function(children) {
            this.children = children;
          },
          enumerable: false,
          configurable: true
        });
        return NodeWithChildren2;
      }(Node)
    );
    exports.NodeWithChildren = NodeWithChildren;
    var CDATA = (
      /** @class */
      function(_super) {
        __extends(CDATA2, _super);
        function CDATA2() {
          var _this = _super !== null && _super.apply(this, arguments) || this;
          _this.type = domelementtype_1.ElementType.CDATA;
          return _this;
        }
        Object.defineProperty(CDATA2.prototype, "nodeType", {
          get: function() {
            return 4;
          },
          enumerable: false,
          configurable: true
        });
        return CDATA2;
      }(NodeWithChildren)
    );
    exports.CDATA = CDATA;
    var Document = (
      /** @class */
      function(_super) {
        __extends(Document2, _super);
        function Document2() {
          var _this = _super !== null && _super.apply(this, arguments) || this;
          _this.type = domelementtype_1.ElementType.Root;
          return _this;
        }
        Object.defineProperty(Document2.prototype, "nodeType", {
          get: function() {
            return 9;
          },
          enumerable: false,
          configurable: true
        });
        return Document2;
      }(NodeWithChildren)
    );
    exports.Document = Document;
    var Element = (
      /** @class */
      function(_super) {
        __extends(Element2, _super);
        function Element2(name, attribs, children, type) {
          if (children === void 0) {
            children = [];
          }
          if (type === void 0) {
            type = name === "script" ? domelementtype_1.ElementType.Script : name === "style" ? domelementtype_1.ElementType.Style : domelementtype_1.ElementType.Tag;
          }
          var _this = _super.call(this, children) || this;
          _this.name = name;
          _this.attribs = attribs;
          _this.type = type;
          return _this;
        }
        Object.defineProperty(Element2.prototype, "nodeType", {
          get: function() {
            return 1;
          },
          enumerable: false,
          configurable: true
        });
        Object.defineProperty(Element2.prototype, "tagName", {
          // DOM Level 1 aliases
          /**
           * Same as {@link name}.
           * [DOM spec](https://dom.spec.whatwg.org)-compatible alias.
           */
          get: function() {
            return this.name;
          },
          set: function(name) {
            this.name = name;
          },
          enumerable: false,
          configurable: true
        });
        Object.defineProperty(Element2.prototype, "attributes", {
          get: function() {
            var _this = this;
            return Object.keys(this.attribs).map(function(name) {
              var _a, _b;
              return {
                name,
                value: _this.attribs[name],
                namespace: (_a = _this["x-attribsNamespace"]) === null || _a === void 0 ? void 0 : _a[name],
                prefix: (_b = _this["x-attribsPrefix"]) === null || _b === void 0 ? void 0 : _b[name]
              };
            });
          },
          enumerable: false,
          configurable: true
        });
        return Element2;
      }(NodeWithChildren)
    );
    exports.Element = Element;
    function isTag(node) {
      return (0, domelementtype_1.isTag)(node);
    }
    exports.isTag = isTag;
    function isCDATA(node) {
      return node.type === domelementtype_1.ElementType.CDATA;
    }
    exports.isCDATA = isCDATA;
    function isText(node) {
      return node.type === domelementtype_1.ElementType.Text;
    }
    exports.isText = isText;
    function isComment(node) {
      return node.type === domelementtype_1.ElementType.Comment;
    }
    exports.isComment = isComment;
    function isDirective(node) {
      return node.type === domelementtype_1.ElementType.Directive;
    }
    exports.isDirective = isDirective;
    function isDocument(node) {
      return node.type === domelementtype_1.ElementType.Root;
    }
    exports.isDocument = isDocument;
    function hasChildren(node) {
      return Object.prototype.hasOwnProperty.call(node, "children");
    }
    exports.hasChildren = hasChildren;
    function cloneNode(node, recursive) {
      if (recursive === void 0) {
        recursive = false;
      }
      var result;
      if (isText(node)) {
        result = new Text(node.data);
      } else if (isComment(node)) {
        result = new Comment(node.data);
      } else if (isTag(node)) {
        var children = recursive ? cloneChildren(node.children) : [];
        var clone_1 = new Element(node.name, __assign({}, node.attribs), children);
        children.forEach(function(child) {
          return child.parent = clone_1;
        });
        if (node.namespace != null) {
          clone_1.namespace = node.namespace;
        }
        if (node["x-attribsNamespace"]) {
          clone_1["x-attribsNamespace"] = __assign({}, node["x-attribsNamespace"]);
        }
        if (node["x-attribsPrefix"]) {
          clone_1["x-attribsPrefix"] = __assign({}, node["x-attribsPrefix"]);
        }
        result = clone_1;
      } else if (isCDATA(node)) {
        var children = recursive ? cloneChildren(node.children) : [];
        var clone_2 = new CDATA(children);
        children.forEach(function(child) {
          return child.parent = clone_2;
        });
        result = clone_2;
      } else if (isDocument(node)) {
        var children = recursive ? cloneChildren(node.children) : [];
        var clone_3 = new Document(children);
        children.forEach(function(child) {
          return child.parent = clone_3;
        });
        if (node["x-mode"]) {
          clone_3["x-mode"] = node["x-mode"];
        }
        result = clone_3;
      } else if (isDirective(node)) {
        var instruction = new ProcessingInstruction(node.name, node.data);
        if (node["x-name"] != null) {
          instruction["x-name"] = node["x-name"];
          instruction["x-publicId"] = node["x-publicId"];
          instruction["x-systemId"] = node["x-systemId"];
        }
        result = instruction;
      } else {
        throw new Error("Not implemented yet: ".concat(node.type));
      }
      result.startIndex = node.startIndex;
      result.endIndex = node.endIndex;
      if (node.sourceCodeLocation != null) {
        result.sourceCodeLocation = node.sourceCodeLocation;
      }
      return result;
    }
    exports.cloneNode = cloneNode;
    function cloneChildren(childs) {
      var children = childs.map(function(child) {
        return cloneNode(child, true);
      });
      for (var i = 1; i < children.length; i++) {
        children[i].prev = children[i - 1];
        children[i - 1].next = children[i];
      }
      return children;
    }
  }
});

// ../../../node_modules/domhandler/lib/index.js
var require_lib3 = __commonJS({
  "../../../node_modules/domhandler/lib/index.js"(exports) {
    "use strict";
    var __createBinding = exports && exports.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports && exports.__exportStar || function(m, exports2) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports2, p))
          __createBinding(exports2, m, p);
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.DomHandler = void 0;
    var domelementtype_1 = require_lib2();
    var node_js_1 = require_node();
    __exportStar(require_node(), exports);
    var defaultOpts = {
      withStartIndices: false,
      withEndIndices: false,
      xmlMode: false
    };
    var DomHandler = (
      /** @class */
      function() {
        function DomHandler2(callback, options, elementCB) {
          this.dom = [];
          this.root = new node_js_1.Document(this.dom);
          this.done = false;
          this.tagStack = [this.root];
          this.lastNode = null;
          this.parser = null;
          if (typeof options === "function") {
            elementCB = options;
            options = defaultOpts;
          }
          if (typeof callback === "object") {
            options = callback;
            callback = void 0;
          }
          this.callback = callback !== null && callback !== void 0 ? callback : null;
          this.options = options !== null && options !== void 0 ? options : defaultOpts;
          this.elementCB = elementCB !== null && elementCB !== void 0 ? elementCB : null;
        }
        DomHandler2.prototype.onparserinit = function(parser) {
          this.parser = parser;
        };
        DomHandler2.prototype.onreset = function() {
          this.dom = [];
          this.root = new node_js_1.Document(this.dom);
          this.done = false;
          this.tagStack = [this.root];
          this.lastNode = null;
          this.parser = null;
        };
        DomHandler2.prototype.onend = function() {
          if (this.done)
            return;
          this.done = true;
          this.parser = null;
          this.handleCallback(null);
        };
        DomHandler2.prototype.onerror = function(error) {
          this.handleCallback(error);
        };
        DomHandler2.prototype.onclosetag = function() {
          this.lastNode = null;
          var elem = this.tagStack.pop();
          if (this.options.withEndIndices) {
            elem.endIndex = this.parser.endIndex;
          }
          if (this.elementCB)
            this.elementCB(elem);
        };
        DomHandler2.prototype.onopentag = function(name, attribs) {
          var type = this.options.xmlMode ? domelementtype_1.ElementType.Tag : void 0;
          var element = new node_js_1.Element(name, attribs, void 0, type);
          this.addNode(element);
          this.tagStack.push(element);
        };
        DomHandler2.prototype.ontext = function(data) {
          var lastNode = this.lastNode;
          if (lastNode && lastNode.type === domelementtype_1.ElementType.Text) {
            lastNode.data += data;
            if (this.options.withEndIndices) {
              lastNode.endIndex = this.parser.endIndex;
            }
          } else {
            var node = new node_js_1.Text(data);
            this.addNode(node);
            this.lastNode = node;
          }
        };
        DomHandler2.prototype.oncomment = function(data) {
          if (this.lastNode && this.lastNode.type === domelementtype_1.ElementType.Comment) {
            this.lastNode.data += data;
            return;
          }
          var node = new node_js_1.Comment(data);
          this.addNode(node);
          this.lastNode = node;
        };
        DomHandler2.prototype.oncommentend = function() {
          this.lastNode = null;
        };
        DomHandler2.prototype.oncdatastart = function() {
          var text = new node_js_1.Text("");
          var node = new node_js_1.CDATA([text]);
          this.addNode(node);
          text.parent = node;
          this.lastNode = text;
        };
        DomHandler2.prototype.oncdataend = function() {
          this.lastNode = null;
        };
        DomHandler2.prototype.onprocessinginstruction = function(name, data) {
          var node = new node_js_1.ProcessingInstruction(name, data);
          this.addNode(node);
        };
        DomHandler2.prototype.handleCallback = function(error) {
          if (typeof this.callback === "function") {
            this.callback(error, this.dom);
          } else if (error) {
            throw error;
          }
        };
        DomHandler2.prototype.addNode = function(node) {
          var parent = this.tagStack[this.tagStack.length - 1];
          var previousSibling = parent.children[parent.children.length - 1];
          if (this.options.withStartIndices) {
            node.startIndex = this.parser.startIndex;
          }
          if (this.options.withEndIndices) {
            node.endIndex = this.parser.endIndex;
          }
          parent.children.push(node);
          if (previousSibling) {
            node.prev = previousSibling;
            previousSibling.next = node;
          }
          node.parent = parent;
          this.lastNode = null;
        };
        return DomHandler2;
      }()
    );
    exports.DomHandler = DomHandler;
    exports.default = DomHandler;
  }
});

// ../../../node_modules/leac/lib/leac.cjs
var require_leac = __commonJS({
  "../../../node_modules/leac/lib/leac.cjs"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var e = /\n/g;
    function t(t2) {
      const o2 = [...t2.matchAll(e)].map((e2) => e2.index || 0);
      o2.unshift(-1);
      const s2 = n(o2, 0, o2.length);
      return (e2) => r(s2, e2);
    }
    function n(e2, t2, r2) {
      if (r2 - t2 == 1)
        return { offset: e2[t2], index: t2 + 1 };
      const o2 = Math.ceil((t2 + r2) / 2), s2 = n(e2, t2, o2), l2 = n(e2, o2, r2);
      return { offset: s2.offset, low: s2, high: l2 };
    }
    function r(e2, t2) {
      return function(e3) {
        return Object.prototype.hasOwnProperty.call(e3, "index");
      }(e2) ? { line: e2.index, column: t2 - e2.offset } : r(e2.high.offset < t2 ? e2.high : e2.low, t2);
    }
    function o(e2, t2) {
      return { ...e2, regex: s(e2, t2) };
    }
    function s(e2, t2) {
      if (0 === e2.name.length)
        throw new Error(`Rule #${t2} has empty name, which is not allowed.`);
      if (function(e3) {
        return Object.prototype.hasOwnProperty.call(e3, "regex");
      }(e2))
        return function(e3) {
          if (e3.global)
            throw new Error(`Regular expression /${e3.source}/${e3.flags} contains the global flag, which is not allowed.`);
          return e3.sticky ? e3 : new RegExp(e3.source, e3.flags + "y");
        }(e2.regex);
      if (function(e3) {
        return Object.prototype.hasOwnProperty.call(e3, "str");
      }(e2)) {
        if (0 === e2.str.length)
          throw new Error(`Rule #${t2} ("${e2.name}") has empty "str" property, which is not allowed.`);
        return new RegExp(l(e2.str), "y");
      }
      return new RegExp(l(e2.name), "y");
    }
    function l(e2) {
      return e2.replace(/[-[\]{}()*+!<=:?./\\^$|#\s,]/g, "\\$&");
    }
    exports.createLexer = function(e2, n2 = "", r2 = {}) {
      const s2 = "string" != typeof n2 ? n2 : r2, l2 = "string" == typeof n2 ? n2 : "", c = e2.map(o), i = !!s2.lineNumbers;
      return function(e3, n3 = 0) {
        const r3 = i ? t(e3) : () => ({ line: 0, column: 0 });
        let o2 = n3;
        const s3 = [];
        e:
          for (; o2 < e3.length; ) {
            let t2 = false;
            for (const n4 of c) {
              n4.regex.lastIndex = o2;
              const c2 = n4.regex.exec(e3);
              if (c2 && c2[0].length > 0) {
                if (!n4.discard) {
                  const e4 = r3(o2), t3 = "string" == typeof n4.replace ? c2[0].replace(new RegExp(n4.regex.source, n4.regex.flags), n4.replace) : c2[0];
                  s3.push({ state: l2, name: n4.name, text: t3, offset: o2, len: c2[0].length, line: e4.line, column: e4.column });
                }
                if (o2 = n4.regex.lastIndex, t2 = true, n4.push) {
                  const t3 = n4.push(e3, o2);
                  s3.push(...t3.tokens), o2 = t3.offset;
                }
                if (n4.pop)
                  break e;
                break;
              }
            }
            if (!t2)
              break;
          }
        return { tokens: s3, offset: o2, complete: e3.length <= o2 };
      };
    };
  }
});

// ../../../node_modules/peberminta/lib/util.cjs
var require_util2 = __commonJS({
  "../../../node_modules/peberminta/lib/util.cjs"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function clamp(left, x, right) {
      return Math.max(left, Math.min(x, right));
    }
    function escapeWhitespace(str) {
      return str.replace(/(\t)|(\r)|(\n)/g, (m, t, r) => t ? "\\t" : r ? "\\r" : "\\n");
    }
    exports.clamp = clamp;
    exports.escapeWhitespace = escapeWhitespace;
  }
});

// ../../../node_modules/peberminta/lib/core.cjs
var require_core = __commonJS({
  "../../../node_modules/peberminta/lib/core.cjs"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var util = require_util2();
    function emit(value) {
      return (data, i) => ({
        matched: true,
        position: i,
        value
      });
    }
    function make(f) {
      return (data, i) => ({
        matched: true,
        position: i,
        value: f(data, i)
      });
    }
    function action(f) {
      return (data, i) => {
        f(data, i);
        return {
          matched: true,
          position: i,
          value: null
        };
      };
    }
    function fail(data, i) {
      return { matched: false };
    }
    function error(message) {
      return (data, i) => {
        throw new Error(message instanceof Function ? message(data, i) : message);
      };
    }
    function token(onToken, onEnd) {
      return (data, i) => {
        let position = i;
        let value = void 0;
        if (i < data.tokens.length) {
          value = onToken(data.tokens[i], data, i);
          if (value !== void 0) {
            position++;
          }
        } else {
          onEnd?.(data, i);
        }
        return value === void 0 ? { matched: false } : {
          matched: true,
          position,
          value
        };
      };
    }
    function any(data, i) {
      return i < data.tokens.length ? {
        matched: true,
        position: i + 1,
        value: data.tokens[i]
      } : { matched: false };
    }
    function satisfy(test) {
      return (data, i) => i < data.tokens.length && test(data.tokens[i], data, i) ? {
        matched: true,
        position: i + 1,
        value: data.tokens[i]
      } : { matched: false };
    }
    function mapInner(r, f) {
      return r.matched ? {
        matched: true,
        position: r.position,
        value: f(r.value, r.position)
      } : r;
    }
    function mapOuter(r, f) {
      return r.matched ? f(r) : r;
    }
    function map(p, mapper) {
      return (data, i) => mapInner(p(data, i), (v, j) => mapper(v, data, i, j));
    }
    function map1(p, mapper) {
      return (data, i) => mapOuter(p(data, i), (m) => mapper(m, data, i));
    }
    function peek(p, f) {
      return (data, i) => {
        const r = p(data, i);
        f(r, data, i);
        return r;
      };
    }
    function option(p, def) {
      return (data, i) => {
        const r = p(data, i);
        return r.matched ? r : {
          matched: true,
          position: i,
          value: def
        };
      };
    }
    function not(p) {
      return (data, i) => {
        const r = p(data, i);
        return r.matched ? { matched: false } : {
          matched: true,
          position: i,
          value: true
        };
      };
    }
    function choice(...ps) {
      return (data, i) => {
        for (const p of ps) {
          const result = p(data, i);
          if (result.matched) {
            return result;
          }
        }
        return { matched: false };
      };
    }
    function otherwise(pa, pb) {
      return (data, i) => {
        const r1 = pa(data, i);
        return r1.matched ? r1 : pb(data, i);
      };
    }
    function longest(...ps) {
      return (data, i) => {
        let match2 = void 0;
        for (const p of ps) {
          const result = p(data, i);
          if (result.matched && (!match2 || match2.position < result.position)) {
            match2 = result;
          }
        }
        return match2 || { matched: false };
      };
    }
    function takeWhile(p, test) {
      return (data, i) => {
        const values = [];
        let success = true;
        do {
          const r = p(data, i);
          if (r.matched && test(r.value, values.length + 1, data, i, r.position)) {
            values.push(r.value);
            i = r.position;
          } else {
            success = false;
          }
        } while (success);
        return {
          matched: true,
          position: i,
          value: values
        };
      };
    }
    function takeUntil(p, test) {
      return takeWhile(p, (value, n, data, i, j) => !test(value, n, data, i, j));
    }
    function takeWhileP(pValue, pTest) {
      return takeWhile(pValue, (value, n, data, i) => pTest(data, i).matched);
    }
    function takeUntilP(pValue, pTest) {
      return takeWhile(pValue, (value, n, data, i) => !pTest(data, i).matched);
    }
    function many(p) {
      return takeWhile(p, () => true);
    }
    function many1(p) {
      return ab(p, many(p), (head, tail) => [head, ...tail]);
    }
    function ab(pa, pb, join) {
      return (data, i) => mapOuter(pa(data, i), (ma) => mapInner(pb(data, ma.position), (vb, j) => join(ma.value, vb, data, i, j)));
    }
    function left(pa, pb) {
      return ab(pa, pb, (va) => va);
    }
    function right(pa, pb) {
      return ab(pa, pb, (va, vb) => vb);
    }
    function abc(pa, pb, pc, join) {
      return (data, i) => mapOuter(pa(data, i), (ma) => mapOuter(pb(data, ma.position), (mb) => mapInner(pc(data, mb.position), (vc, j) => join(ma.value, mb.value, vc, data, i, j))));
    }
    function middle(pa, pb, pc) {
      return abc(pa, pb, pc, (ra, rb) => rb);
    }
    function all(...ps) {
      return (data, i) => {
        const result = [];
        let position = i;
        for (const p of ps) {
          const r1 = p(data, position);
          if (r1.matched) {
            result.push(r1.value);
            position = r1.position;
          } else {
            return { matched: false };
          }
        }
        return {
          matched: true,
          position,
          value: result
        };
      };
    }
    function skip(...ps) {
      return map(all(...ps), () => null);
    }
    function flatten(...ps) {
      return flatten1(all(...ps));
    }
    function flatten1(p) {
      return map(p, (vs) => vs.flatMap((v) => v));
    }
    function sepBy1(pValue, pSep) {
      return ab(pValue, many(right(pSep, pValue)), (head, tail) => [head, ...tail]);
    }
    function sepBy(pValue, pSep) {
      return otherwise(sepBy1(pValue, pSep), emit([]));
    }
    function chainReduce(acc, f) {
      return (data, i) => {
        let loop = true;
        let acc1 = acc;
        let pos = i;
        do {
          const r = f(acc1, data, pos)(data, pos);
          if (r.matched) {
            acc1 = r.value;
            pos = r.position;
          } else {
            loop = false;
          }
        } while (loop);
        return {
          matched: true,
          position: pos,
          value: acc1
        };
      };
    }
    function reduceLeft(acc, p, reducer) {
      return chainReduce(acc, (acc2) => map(p, (v, data, i, j) => reducer(acc2, v, data, i, j)));
    }
    function reduceRight(p, acc, reducer) {
      return map(many(p), (vs, data, i, j) => vs.reduceRight((acc2, v) => reducer(v, acc2, data, i, j), acc));
    }
    function leftAssoc1(pLeft, pOper) {
      return chain(pLeft, (v0) => reduceLeft(v0, pOper, (acc, f) => f(acc)));
    }
    function rightAssoc1(pOper, pRight) {
      return ab(reduceRight(pOper, (y) => y, (f, acc) => (y) => f(acc(y))), pRight, (f, v) => f(v));
    }
    function leftAssoc2(pLeft, pOper, pRight) {
      return chain(pLeft, (v0) => reduceLeft(v0, ab(pOper, pRight, (f, y) => [f, y]), (acc, [f, y]) => f(acc, y)));
    }
    function rightAssoc2(pLeft, pOper, pRight) {
      return ab(reduceRight(ab(pLeft, pOper, (x, f) => [x, f]), (y) => y, ([x, f], acc) => (y) => f(x, acc(y))), pRight, (f, v) => f(v));
    }
    function condition(cond, pTrue, pFalse) {
      return (data, i) => cond(data, i) ? pTrue(data, i) : pFalse(data, i);
    }
    function decide(p) {
      return (data, i) => mapOuter(p(data, i), (m1) => m1.value(data, m1.position));
    }
    function chain(p, f) {
      return (data, i) => mapOuter(p(data, i), (m1) => f(m1.value, data, i, m1.position)(data, m1.position));
    }
    function ahead(p) {
      return (data, i) => mapOuter(p(data, i), (m1) => ({
        matched: true,
        position: i,
        value: m1.value
      }));
    }
    function recursive(f) {
      return function(data, i) {
        return f()(data, i);
      };
    }
    function start(data, i) {
      return i !== 0 ? { matched: false } : {
        matched: true,
        position: i,
        value: true
      };
    }
    function end(data, i) {
      return i < data.tokens.length ? { matched: false } : {
        matched: true,
        position: i,
        value: true
      };
    }
    function remainingTokensNumber(data, i) {
      return data.tokens.length - i;
    }
    function parserPosition(data, i, formatToken, contextTokens = 3) {
      const len = data.tokens.length;
      const lowIndex = util.clamp(0, i - contextTokens, len - contextTokens);
      const highIndex = util.clamp(contextTokens, i + 1 + contextTokens, len);
      const tokensSlice = data.tokens.slice(lowIndex, highIndex);
      const lines = [];
      const indexWidth = String(highIndex - 1).length + 1;
      if (i < 0) {
        lines.push(`${String(i).padStart(indexWidth)} >>`);
      }
      if (0 < lowIndex) {
        lines.push("...".padStart(indexWidth + 6));
      }
      for (let j = 0; j < tokensSlice.length; j++) {
        const index = lowIndex + j;
        lines.push(`${String(index).padStart(indexWidth)} ${index === i ? ">" : " "} ${util.escapeWhitespace(formatToken(tokensSlice[j]))}`);
      }
      if (highIndex < len) {
        lines.push("...".padStart(indexWidth + 6));
      }
      if (len <= i) {
        lines.push(`${String(i).padStart(indexWidth)} >>`);
      }
      return lines.join("\n");
    }
    function parse(parser, tokens, options, formatToken = JSON.stringify) {
      const data = { tokens, options };
      const result = parser(data, 0);
      if (!result.matched) {
        throw new Error("No match");
      }
      if (result.position < data.tokens.length) {
        throw new Error(`Partial match. Parsing stopped at:
${parserPosition(data, result.position, formatToken)}`);
      }
      return result.value;
    }
    function tryParse(parser, tokens, options) {
      const result = parser({ tokens, options }, 0);
      return result.matched ? result.value : void 0;
    }
    function match(matcher, tokens, options) {
      const result = matcher({ tokens, options }, 0);
      return result.value;
    }
    exports.ab = ab;
    exports.abc = abc;
    exports.action = action;
    exports.ahead = ahead;
    exports.all = all;
    exports.and = all;
    exports.any = any;
    exports.chain = chain;
    exports.chainReduce = chainReduce;
    exports.choice = choice;
    exports.condition = condition;
    exports.decide = decide;
    exports.discard = skip;
    exports.eitherOr = otherwise;
    exports.emit = emit;
    exports.end = end;
    exports.eof = end;
    exports.error = error;
    exports.fail = fail;
    exports.flatten = flatten;
    exports.flatten1 = flatten1;
    exports.left = left;
    exports.leftAssoc1 = leftAssoc1;
    exports.leftAssoc2 = leftAssoc2;
    exports.longest = longest;
    exports.lookAhead = ahead;
    exports.make = make;
    exports.many = many;
    exports.many1 = many1;
    exports.map = map;
    exports.map1 = map1;
    exports.match = match;
    exports.middle = middle;
    exports.not = not;
    exports.of = emit;
    exports.option = option;
    exports.or = choice;
    exports.otherwise = otherwise;
    exports.parse = parse;
    exports.parserPosition = parserPosition;
    exports.peek = peek;
    exports.recursive = recursive;
    exports.reduceLeft = reduceLeft;
    exports.reduceRight = reduceRight;
    exports.remainingTokensNumber = remainingTokensNumber;
    exports.right = right;
    exports.rightAssoc1 = rightAssoc1;
    exports.rightAssoc2 = rightAssoc2;
    exports.satisfy = satisfy;
    exports.sepBy = sepBy;
    exports.sepBy1 = sepBy1;
    exports.skip = skip;
    exports.some = many1;
    exports.start = start;
    exports.takeUntil = takeUntil;
    exports.takeUntilP = takeUntilP;
    exports.takeWhile = takeWhile;
    exports.takeWhileP = takeWhileP;
    exports.token = token;
    exports.tryParse = tryParse;
  }
});

// ../../../node_modules/parseley/lib/parseley.cjs
var require_parseley = __commonJS({
  "../../../node_modules/parseley/lib/parseley.cjs"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var leac = require_leac();
    var p = require_core();
    function _interopNamespace(e) {
      if (e && e.__esModule)
        return e;
      var n = /* @__PURE__ */ Object.create(null);
      if (e) {
        Object.keys(e).forEach(function(k) {
          if (k !== "default") {
            var d = Object.getOwnPropertyDescriptor(e, k);
            Object.defineProperty(n, k, d.get ? d : {
              enumerable: true,
              get: function() {
                return e[k];
              }
            });
          }
        });
      }
      n["default"] = e;
      return Object.freeze(n);
    }
    var p__namespace = /* @__PURE__ */ _interopNamespace(p);
    var ast = /* @__PURE__ */ Object.freeze({
      __proto__: null
    });
    var ws = `(?:[ \\t\\r\\n\\f]*)`;
    var nl = `(?:\\n|\\r\\n|\\r|\\f)`;
    var nonascii = `[^\\x00-\\x7F]`;
    var unicode = `(?:\\\\[0-9a-f]{1,6}(?:\\r\\n|[ \\n\\r\\t\\f])?)`;
    var escape = `(?:\\\\[^\\n\\r\\f0-9a-f])`;
    var nmstart = `(?:[_a-z]|${nonascii}|${unicode}|${escape})`;
    var nmchar = `(?:[_a-z0-9-]|${nonascii}|${unicode}|${escape})`;
    var name = `(?:${nmchar}+)`;
    var ident = `(?:[-]?${nmstart}${nmchar}*)`;
    var string1 = `'([^\\n\\r\\f\\\\']|\\\\${nl}|${nonascii}|${unicode}|${escape})*'`;
    var string2 = `"([^\\n\\r\\f\\\\"]|\\\\${nl}|${nonascii}|${unicode}|${escape})*"`;
    var lexSelector = leac.createLexer([
      { name: "ws", regex: new RegExp(ws) },
      { name: "hash", regex: new RegExp(`#${name}`, "i") },
      { name: "ident", regex: new RegExp(ident, "i") },
      { name: "str1", regex: new RegExp(string1, "i") },
      { name: "str2", regex: new RegExp(string2, "i") },
      { name: "*" },
      { name: "." },
      { name: "," },
      { name: "[" },
      { name: "]" },
      { name: "=" },
      { name: ">" },
      { name: "|" },
      { name: "+" },
      { name: "~" },
      { name: "^" },
      { name: "$" }
    ]);
    var lexEscapedString = leac.createLexer([
      { name: "unicode", regex: new RegExp(unicode, "i") },
      { name: "escape", regex: new RegExp(escape, "i") },
      { name: "any", regex: new RegExp("[\\s\\S]", "i") }
    ]);
    function sumSpec([a0, a1, a2], [b0, b1, b2]) {
      return [a0 + b0, a1 + b1, a2 + b2];
    }
    function sumAllSpec(ss) {
      return ss.reduce(sumSpec, [0, 0, 0]);
    }
    var unicodeEscapedSequence_ = p__namespace.token((t) => t.name === "unicode" ? String.fromCodePoint(parseInt(t.text.slice(1), 16)) : void 0);
    var escapedSequence_ = p__namespace.token((t) => t.name === "escape" ? t.text.slice(1) : void 0);
    var anyChar_ = p__namespace.token((t) => t.name === "any" ? t.text : void 0);
    var escapedString_ = p__namespace.map(p__namespace.many(p__namespace.or(unicodeEscapedSequence_, escapedSequence_, anyChar_)), (cs) => cs.join(""));
    function unescape(escapedString) {
      const lexerResult = lexEscapedString(escapedString);
      const result = escapedString_({ tokens: lexerResult.tokens, options: void 0 }, 0);
      return result.value;
    }
    function literal(name2) {
      return p__namespace.token((t) => t.name === name2 ? true : void 0);
    }
    var whitespace_ = p__namespace.token((t) => t.name === "ws" ? null : void 0);
    var optionalWhitespace_ = p__namespace.option(whitespace_, null);
    function optionallySpaced(parser) {
      return p__namespace.middle(optionalWhitespace_, parser, optionalWhitespace_);
    }
    var identifier_ = p__namespace.token((t) => t.name === "ident" ? unescape(t.text) : void 0);
    var hashId_ = p__namespace.token((t) => t.name === "hash" ? unescape(t.text.slice(1)) : void 0);
    var string_ = p__namespace.token((t) => t.name.startsWith("str") ? unescape(t.text.slice(1, -1)) : void 0);
    var namespace_ = p__namespace.left(p__namespace.option(identifier_, ""), literal("|"));
    var qualifiedName_ = p__namespace.eitherOr(p__namespace.ab(namespace_, identifier_, (ns, name2) => ({ name: name2, namespace: ns })), p__namespace.map(identifier_, (name2) => ({ name: name2, namespace: null })));
    var uniSelector_ = p__namespace.eitherOr(p__namespace.ab(namespace_, literal("*"), (ns) => ({ type: "universal", namespace: ns, specificity: [0, 0, 0] })), p__namespace.map(literal("*"), () => ({ type: "universal", namespace: null, specificity: [0, 0, 0] })));
    var tagSelector_ = p__namespace.map(qualifiedName_, ({ name: name2, namespace }) => ({
      type: "tag",
      name: name2,
      namespace,
      specificity: [0, 0, 1]
    }));
    var classSelector_ = p__namespace.ab(literal("."), identifier_, (fullstop, name2) => ({
      type: "class",
      name: name2,
      specificity: [0, 1, 0]
    }));
    var idSelector_ = p__namespace.map(hashId_, (name2) => ({
      type: "id",
      name: name2,
      specificity: [1, 0, 0]
    }));
    var attrModifier_ = p__namespace.token((t) => {
      if (t.name === "ident") {
        if (t.text === "i" || t.text === "I") {
          return "i";
        }
        if (t.text === "s" || t.text === "S") {
          return "s";
        }
      }
      return void 0;
    });
    var attrValue_ = p__namespace.eitherOr(p__namespace.ab(string_, p__namespace.option(p__namespace.right(optionalWhitespace_, attrModifier_), null), (v, mod) => ({ value: v, modifier: mod })), p__namespace.ab(identifier_, p__namespace.option(p__namespace.right(whitespace_, attrModifier_), null), (v, mod) => ({ value: v, modifier: mod })));
    var attrMatcher_ = p__namespace.choice(p__namespace.map(literal("="), () => "="), p__namespace.ab(literal("~"), literal("="), () => "~="), p__namespace.ab(literal("|"), literal("="), () => "|="), p__namespace.ab(literal("^"), literal("="), () => "^="), p__namespace.ab(literal("$"), literal("="), () => "$="), p__namespace.ab(literal("*"), literal("="), () => "*="));
    var attrPresenceSelector_ = p__namespace.abc(literal("["), optionallySpaced(qualifiedName_), literal("]"), (lbr, { name: name2, namespace }) => ({
      type: "attrPresence",
      name: name2,
      namespace,
      specificity: [0, 1, 0]
    }));
    var attrValueSelector_ = p__namespace.middle(literal("["), p__namespace.abc(optionallySpaced(qualifiedName_), attrMatcher_, optionallySpaced(attrValue_), ({ name: name2, namespace }, matcher, { value, modifier }) => ({
      type: "attrValue",
      name: name2,
      namespace,
      matcher,
      value,
      modifier,
      specificity: [0, 1, 0]
    })), literal("]"));
    var attrSelector_ = p__namespace.eitherOr(attrPresenceSelector_, attrValueSelector_);
    var typeSelector_ = p__namespace.eitherOr(uniSelector_, tagSelector_);
    var subclassSelector_ = p__namespace.choice(idSelector_, classSelector_, attrSelector_);
    var compoundSelector_ = p__namespace.map(p__namespace.eitherOr(p__namespace.flatten(typeSelector_, p__namespace.many(subclassSelector_)), p__namespace.many1(subclassSelector_)), (ss) => {
      return {
        type: "compound",
        list: ss,
        specificity: sumAllSpec(ss.map((s) => s.specificity))
      };
    });
    var combinator_ = p__namespace.choice(p__namespace.map(literal(">"), () => ">"), p__namespace.map(literal("+"), () => "+"), p__namespace.map(literal("~"), () => "~"), p__namespace.ab(literal("|"), literal("|"), () => "||"));
    var combinatorSeparator_ = p__namespace.eitherOr(optionallySpaced(combinator_), p__namespace.map(whitespace_, () => " "));
    var complexSelector_ = p__namespace.leftAssoc2(compoundSelector_, p__namespace.map(combinatorSeparator_, (c) => (left, right) => ({
      type: "compound",
      list: [...right.list, { type: "combinator", combinator: c, left, specificity: left.specificity }],
      specificity: sumSpec(left.specificity, right.specificity)
    })), compoundSelector_);
    var listSelector_ = p__namespace.leftAssoc2(p__namespace.map(complexSelector_, (s) => ({ type: "list", list: [s] })), p__namespace.map(optionallySpaced(literal(",")), () => (acc, next) => ({ type: "list", list: [...acc.list, next] })), complexSelector_);
    function parse_(parser, str) {
      if (!(typeof str === "string" || str instanceof String)) {
        throw new Error("Expected a selector string. Actual input is not a string!");
      }
      const lexerResult = lexSelector(str);
      if (!lexerResult.complete) {
        throw new Error(`The input "${str}" was only partially tokenized, stopped at offset ${lexerResult.offset}!
` + prettyPrintPosition(str, lexerResult.offset));
      }
      const result = optionallySpaced(parser)({ tokens: lexerResult.tokens, options: void 0 }, 0);
      if (!result.matched) {
        throw new Error(`No match for "${str}" input!`);
      }
      if (result.position < lexerResult.tokens.length) {
        const token = lexerResult.tokens[result.position];
        throw new Error(`The input "${str}" was only partially parsed, stopped at offset ${token.offset}!
` + prettyPrintPosition(str, token.offset, token.len));
      }
      return result.value;
    }
    function prettyPrintPosition(str, offset, len = 1) {
      return `${str.replace(/(\t)|(\r)|(\n)/g, (m, t, r) => t ? "\u2409" : r ? "\u240D" : "\u240A")}
${"".padEnd(offset)}${"^".repeat(len)}`;
    }
    function parse(str) {
      return parse_(listSelector_, str);
    }
    function parse1(str) {
      return parse_(complexSelector_, str);
    }
    function serialize(selector) {
      if (!selector.type) {
        throw new Error("This is not an AST node.");
      }
      switch (selector.type) {
        case "universal":
          return _serNs(selector.namespace) + "*";
        case "tag":
          return _serNs(selector.namespace) + _serIdent(selector.name);
        case "class":
          return "." + _serIdent(selector.name);
        case "id":
          return "#" + _serIdent(selector.name);
        case "attrPresence":
          return `[${_serNs(selector.namespace)}${_serIdent(selector.name)}]`;
        case "attrValue":
          return `[${_serNs(selector.namespace)}${_serIdent(selector.name)}${selector.matcher}"${_serStr(selector.value)}"${selector.modifier ? selector.modifier : ""}]`;
        case "combinator":
          return serialize(selector.left) + selector.combinator;
        case "compound":
          return selector.list.reduce((acc, node) => {
            if (node.type === "combinator") {
              return serialize(node) + acc;
            } else {
              return acc + serialize(node);
            }
          }, "");
        case "list":
          return selector.list.map(serialize).join(",");
      }
    }
    function _serNs(ns) {
      return ns || ns === "" ? _serIdent(ns) + "|" : "";
    }
    function _codePoint(char) {
      return `\\${char.codePointAt(0).toString(16)} `;
    }
    function _serIdent(str) {
      return str.replace(
        /(^[0-9])|(^-[0-9])|(^-$)|([-0-9a-zA-Z_]|[^\x00-\x7F])|(\x00)|([\x01-\x1f]|\x7f)|([\s\S])/g,
        (m, d1, d2, hy, safe, nl2, ctrl, other) => d1 ? _codePoint(d1) : d2 ? "-" + _codePoint(d2.slice(1)) : hy ? "\\-" : safe ? safe : nl2 ? "\uFFFD" : ctrl ? _codePoint(ctrl) : "\\" + other
      );
    }
    function _serStr(str) {
      return str.replace(
        /(")|(\\)|(\x00)|([\x01-\x1f]|\x7f)/g,
        (m, dq, bs, nl2, ctrl) => dq ? '\\"' : bs ? "\\\\" : nl2 ? "\uFFFD" : _codePoint(ctrl)
      );
    }
    function normalize(selector) {
      if (!selector.type) {
        throw new Error("This is not an AST node.");
      }
      switch (selector.type) {
        case "compound": {
          selector.list.forEach(normalize);
          selector.list.sort((a, b) => _compareArrays(_getSelectorPriority(a), _getSelectorPriority(b)));
          break;
        }
        case "combinator": {
          normalize(selector.left);
          break;
        }
        case "list": {
          selector.list.forEach(normalize);
          selector.list.sort((a, b) => serialize(a) < serialize(b) ? -1 : 1);
          break;
        }
      }
      return selector;
    }
    function _getSelectorPriority(selector) {
      switch (selector.type) {
        case "universal":
          return [1];
        case "tag":
          return [1];
        case "id":
          return [2];
        case "class":
          return [3, selector.name];
        case "attrPresence":
          return [4, serialize(selector)];
        case "attrValue":
          return [5, serialize(selector)];
        case "combinator":
          return [15, serialize(selector)];
      }
    }
    function compareSelectors(a, b) {
      return _compareArrays(a.specificity, b.specificity);
    }
    function compareSpecificity(a, b) {
      return _compareArrays(a, b);
    }
    function _compareArrays(a, b) {
      if (!Array.isArray(a) || !Array.isArray(b)) {
        throw new Error("Arguments must be arrays.");
      }
      const shorter = a.length < b.length ? a.length : b.length;
      for (let i = 0; i < shorter; i++) {
        if (a[i] === b[i]) {
          continue;
        }
        return a[i] < b[i] ? -1 : 1;
      }
      return a.length - b.length;
    }
    exports.Ast = ast;
    exports.compareSelectors = compareSelectors;
    exports.compareSpecificity = compareSpecificity;
    exports.normalize = normalize;
    exports.parse = parse;
    exports.parse1 = parse1;
    exports.serialize = serialize;
  }
});

// ../../../node_modules/selderee/lib/selderee.cjs
var require_selderee = __commonJS({
  "../../../node_modules/selderee/lib/selderee.cjs"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var parseley = require_parseley();
    function _interopNamespace(e) {
      if (e && e.__esModule)
        return e;
      var n = /* @__PURE__ */ Object.create(null);
      if (e) {
        Object.keys(e).forEach(function(k) {
          if (k !== "default") {
            var d = Object.getOwnPropertyDescriptor(e, k);
            Object.defineProperty(n, k, d.get ? d : {
              enumerable: true,
              get: function() {
                return e[k];
              }
            });
          }
        });
      }
      n["default"] = e;
      return Object.freeze(n);
    }
    var parseley__namespace = /* @__PURE__ */ _interopNamespace(parseley);
    var Ast = /* @__PURE__ */ Object.freeze({
      __proto__: null
    });
    var Types = /* @__PURE__ */ Object.freeze({
      __proto__: null
    });
    var treeify = (nodes) => "\u25BD\n" + treeifyArray(nodes, thinLines);
    var thinLines = [["\u251C\u2500", "\u2502 "], ["\u2514\u2500", "  "]];
    var heavyLines = [["\u2520\u2500", "\u2503 "], ["\u2516\u2500", "  "]];
    var doubleLines = [["\u255F\u2500", "\u2551 "], ["\u2559\u2500", "  "]];
    function treeifyArray(nodes, tpl = heavyLines) {
      return prefixItems(tpl, nodes.map((n) => treeifyNode(n)));
    }
    function treeifyNode(node) {
      switch (node.type) {
        case "terminal": {
          const vctr = node.valueContainer;
          return `\u25C1 #${vctr.index} ${JSON.stringify(vctr.specificity)} ${vctr.value}`;
        }
        case "tagName":
          return `\u25FB Tag name
${treeifyArray(node.variants, doubleLines)}`;
        case "attrValue":
          return `\u25A3 Attr value: ${node.name}
${treeifyArray(node.matchers, doubleLines)}`;
        case "attrPresence":
          return `\u25E8 Attr presence: ${node.name}
${treeifyArray(node.cont)}`;
        case "pushElement":
          return `\u25C9 Push element: ${node.combinator}
${treeifyArray(node.cont, thinLines)}`;
        case "popElement":
          return `\u25CC Pop element
${treeifyArray(node.cont, thinLines)}`;
        case "variant":
          return `\u25C7 = ${node.value}
${treeifyArray(node.cont)}`;
        case "matcher":
          return `\u25C8 ${node.matcher} "${node.value}"${node.modifier || ""}
${treeifyArray(node.cont)}`;
      }
    }
    function prefixItems(tpl, items) {
      return items.map((item, i, { length }) => prefixItem(tpl, item, i === length - 1)).join("\n");
    }
    function prefixItem(tpl, item, tail = true) {
      const tpl1 = tpl[tail ? 1 : 0];
      return tpl1[0] + item.split("\n").join("\n" + tpl1[1]);
    }
    var TreeifyBuilder = /* @__PURE__ */ Object.freeze({
      __proto__: null,
      treeify
    });
    var DecisionTree = class {
      constructor(input) {
        this.branches = weave(toAstTerminalPairs(input));
      }
      build(builder) {
        return builder(this.branches);
      }
    };
    function toAstTerminalPairs(array) {
      const len = array.length;
      const results = new Array(len);
      for (let i = 0; i < len; i++) {
        const [selectorString, val] = array[i];
        const ast = preprocess(parseley__namespace.parse1(selectorString));
        results[i] = {
          ast,
          terminal: {
            type: "terminal",
            valueContainer: { index: i, value: val, specificity: ast.specificity }
          }
        };
      }
      return results;
    }
    function preprocess(ast) {
      reduceSelectorVariants(ast);
      parseley__namespace.normalize(ast);
      return ast;
    }
    function reduceSelectorVariants(ast) {
      const newList = [];
      ast.list.forEach((sel) => {
        switch (sel.type) {
          case "class":
            newList.push({
              matcher: "~=",
              modifier: null,
              name: "class",
              namespace: null,
              specificity: sel.specificity,
              type: "attrValue",
              value: sel.name
            });
            break;
          case "id":
            newList.push({
              matcher: "=",
              modifier: null,
              name: "id",
              namespace: null,
              specificity: sel.specificity,
              type: "attrValue",
              value: sel.name
            });
            break;
          case "combinator":
            reduceSelectorVariants(sel.left);
            newList.push(sel);
            break;
          case "universal":
            break;
          default:
            newList.push(sel);
            break;
        }
      });
      ast.list = newList;
    }
    function weave(items) {
      const branches = [];
      while (items.length) {
        const topKind = findTopKey(items, (sel) => true, getSelectorKind);
        const { matches, nonmatches, empty } = breakByKind(items, topKind);
        items = nonmatches;
        if (matches.length) {
          branches.push(branchOfKind(topKind, matches));
        }
        if (empty.length) {
          branches.push(...terminate(empty));
        }
      }
      return branches;
    }
    function terminate(items) {
      const results = [];
      for (const item of items) {
        const terminal = item.terminal;
        if (terminal.type === "terminal") {
          results.push(terminal);
        } else {
          const { matches, rest } = partition(terminal.cont, (node) => node.type === "terminal");
          matches.forEach((node) => results.push(node));
          if (rest.length) {
            terminal.cont = rest;
            results.push(terminal);
          }
        }
      }
      return results;
    }
    function breakByKind(items, selectedKind) {
      const matches = [];
      const nonmatches = [];
      const empty = [];
      for (const item of items) {
        const simpsels = item.ast.list;
        if (simpsels.length) {
          const isMatch = simpsels.some((node) => getSelectorKind(node) === selectedKind);
          (isMatch ? matches : nonmatches).push(item);
        } else {
          empty.push(item);
        }
      }
      return { matches, nonmatches, empty };
    }
    function getSelectorKind(sel) {
      switch (sel.type) {
        case "attrPresence":
          return `attrPresence ${sel.name}`;
        case "attrValue":
          return `attrValue ${sel.name}`;
        case "combinator":
          return `combinator ${sel.combinator}`;
        default:
          return sel.type;
      }
    }
    function branchOfKind(kind, items) {
      if (kind === "tag") {
        return tagNameBranch(items);
      }
      if (kind.startsWith("attrValue ")) {
        return attrValueBranch(kind.substring(10), items);
      }
      if (kind.startsWith("attrPresence ")) {
        return attrPresenceBranch(kind.substring(13), items);
      }
      if (kind === "combinator >") {
        return combinatorBranch(">", items);
      }
      if (kind === "combinator +") {
        return combinatorBranch("+", items);
      }
      throw new Error(`Unsupported selector kind: ${kind}`);
    }
    function tagNameBranch(items) {
      const groups = spliceAndGroup(items, (x) => x.type === "tag", (x) => x.name);
      const variants = Object.entries(groups).map(([name, group]) => ({
        type: "variant",
        value: name,
        cont: weave(group.items)
      }));
      return {
        type: "tagName",
        variants
      };
    }
    function attrPresenceBranch(name, items) {
      for (const item of items) {
        spliceSimpleSelector(item, (x) => x.type === "attrPresence" && x.name === name);
      }
      return {
        type: "attrPresence",
        name,
        cont: weave(items)
      };
    }
    function attrValueBranch(name, items) {
      const groups = spliceAndGroup(items, (x) => x.type === "attrValue" && x.name === name, (x) => `${x.matcher} ${x.modifier || ""} ${x.value}`);
      const matchers = [];
      for (const group of Object.values(groups)) {
        const sel = group.oneSimpleSelector;
        const predicate = getAttrPredicate(sel);
        const continuation = weave(group.items);
        matchers.push({
          type: "matcher",
          matcher: sel.matcher,
          modifier: sel.modifier,
          value: sel.value,
          predicate,
          cont: continuation
        });
      }
      return {
        type: "attrValue",
        name,
        matchers
      };
    }
    function getAttrPredicate(sel) {
      if (sel.modifier === "i") {
        const expected = sel.value.toLowerCase();
        switch (sel.matcher) {
          case "=":
            return (actual) => expected === actual.toLowerCase();
          case "~=":
            return (actual) => actual.toLowerCase().split(/[ \t]+/).includes(expected);
          case "^=":
            return (actual) => actual.toLowerCase().startsWith(expected);
          case "$=":
            return (actual) => actual.toLowerCase().endsWith(expected);
          case "*=":
            return (actual) => actual.toLowerCase().includes(expected);
          case "|=":
            return (actual) => {
              const lower = actual.toLowerCase();
              return expected === lower || lower.startsWith(expected) && lower[expected.length] === "-";
            };
        }
      } else {
        const expected = sel.value;
        switch (sel.matcher) {
          case "=":
            return (actual) => expected === actual;
          case "~=":
            return (actual) => actual.split(/[ \t]+/).includes(expected);
          case "^=":
            return (actual) => actual.startsWith(expected);
          case "$=":
            return (actual) => actual.endsWith(expected);
          case "*=":
            return (actual) => actual.includes(expected);
          case "|=":
            return (actual) => expected === actual || actual.startsWith(expected) && actual[expected.length] === "-";
        }
      }
    }
    function combinatorBranch(combinator, items) {
      const groups = spliceAndGroup(items, (x) => x.type === "combinator" && x.combinator === combinator, (x) => parseley__namespace.serialize(x.left));
      const leftItems = [];
      for (const group of Object.values(groups)) {
        const rightCont = weave(group.items);
        const leftAst = group.oneSimpleSelector.left;
        leftItems.push({
          ast: leftAst,
          terminal: { type: "popElement", cont: rightCont }
        });
      }
      return {
        type: "pushElement",
        combinator,
        cont: weave(leftItems)
      };
    }
    function spliceAndGroup(items, predicate, keyCallback) {
      const groups = {};
      while (items.length) {
        const bestKey = findTopKey(items, predicate, keyCallback);
        const bestKeyPredicate = (sel) => predicate(sel) && keyCallback(sel) === bestKey;
        const hasBestKeyPredicate = (item) => item.ast.list.some(bestKeyPredicate);
        const { matches, rest } = partition1(items, hasBestKeyPredicate);
        let oneSimpleSelector = null;
        for (const item of matches) {
          const splicedNode = spliceSimpleSelector(item, bestKeyPredicate);
          if (!oneSimpleSelector) {
            oneSimpleSelector = splicedNode;
          }
        }
        if (oneSimpleSelector == null) {
          throw new Error("No simple selector is found.");
        }
        groups[bestKey] = { oneSimpleSelector, items: matches };
        items = rest;
      }
      return groups;
    }
    function spliceSimpleSelector(item, predicate) {
      const simpsels = item.ast.list;
      const matches = new Array(simpsels.length);
      let firstIndex = -1;
      for (let i = simpsels.length; i-- > 0; ) {
        if (predicate(simpsels[i])) {
          matches[i] = true;
          firstIndex = i;
        }
      }
      if (firstIndex == -1) {
        throw new Error(`Couldn't find the required simple selector.`);
      }
      const result = simpsels[firstIndex];
      item.ast.list = simpsels.filter((sel, i) => !matches[i]);
      return result;
    }
    function findTopKey(items, predicate, keyCallback) {
      const candidates = {};
      for (const item of items) {
        const candidates1 = {};
        for (const node of item.ast.list.filter(predicate)) {
          candidates1[keyCallback(node)] = true;
        }
        for (const key of Object.keys(candidates1)) {
          if (candidates[key]) {
            candidates[key]++;
          } else {
            candidates[key] = 1;
          }
        }
      }
      let topKind = "";
      let topCounter = 0;
      for (const entry of Object.entries(candidates)) {
        if (entry[1] > topCounter) {
          topKind = entry[0];
          topCounter = entry[1];
        }
      }
      return topKind;
    }
    function partition(src, predicate) {
      const matches = [];
      const rest = [];
      for (const x of src) {
        if (predicate(x)) {
          matches.push(x);
        } else {
          rest.push(x);
        }
      }
      return { matches, rest };
    }
    function partition1(src, predicate) {
      const matches = [];
      const rest = [];
      for (const x of src) {
        if (predicate(x)) {
          matches.push(x);
        } else {
          rest.push(x);
        }
      }
      return { matches, rest };
    }
    var Picker = class {
      constructor(f) {
        this.f = f;
      }
      pickAll(el) {
        return this.f(el);
      }
      pick1(el, preferFirst = false) {
        const results = this.f(el);
        const len = results.length;
        if (len === 0) {
          return null;
        }
        if (len === 1) {
          return results[0].value;
        }
        const comparator = preferFirst ? comparatorPreferFirst : comparatorPreferLast;
        let result = results[0];
        for (let i = 1; i < len; i++) {
          const next = results[i];
          if (comparator(result, next)) {
            result = next;
          }
        }
        return result.value;
      }
    };
    function comparatorPreferFirst(acc, next) {
      const diff = parseley.compareSpecificity(next.specificity, acc.specificity);
      return diff > 0 || diff === 0 && next.index < acc.index;
    }
    function comparatorPreferLast(acc, next) {
      const diff = parseley.compareSpecificity(next.specificity, acc.specificity);
      return diff > 0 || diff === 0 && next.index > acc.index;
    }
    exports.Ast = Ast;
    exports.DecisionTree = DecisionTree;
    exports.Picker = Picker;
    exports.Treeify = TreeifyBuilder;
    exports.Types = Types;
  }
});

// ../../../node_modules/@selderee/plugin-htmlparser2/lib/hp2-builder.cjs
var require_hp2_builder = __commonJS({
  "../../../node_modules/@selderee/plugin-htmlparser2/lib/hp2-builder.cjs"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var domhandler = require_lib3();
    var selderee = require_selderee();
    function hp2Builder(nodes) {
      return new selderee.Picker(handleArray(nodes));
    }
    function handleArray(nodes) {
      const matchers = nodes.map(handleNode);
      return (el, ...tail) => matchers.flatMap((m) => m(el, ...tail));
    }
    function handleNode(node) {
      switch (node.type) {
        case "terminal": {
          const result = [node.valueContainer];
          return (el, ...tail) => result;
        }
        case "tagName":
          return handleTagName(node);
        case "attrValue":
          return handleAttrValueName(node);
        case "attrPresence":
          return handleAttrPresenceName(node);
        case "pushElement":
          return handlePushElementNode(node);
        case "popElement":
          return handlePopElementNode(node);
      }
    }
    function handleTagName(node) {
      const variants = {};
      for (const variant of node.variants) {
        variants[variant.value] = handleArray(variant.cont);
      }
      return (el, ...tail) => {
        const continuation = variants[el.name];
        return continuation ? continuation(el, ...tail) : [];
      };
    }
    function handleAttrPresenceName(node) {
      const attrName = node.name;
      const continuation = handleArray(node.cont);
      return (el, ...tail) => Object.prototype.hasOwnProperty.call(el.attribs, attrName) ? continuation(el, ...tail) : [];
    }
    function handleAttrValueName(node) {
      const callbacks = [];
      for (const matcher of node.matchers) {
        const predicate = matcher.predicate;
        const continuation = handleArray(matcher.cont);
        callbacks.push((attr, el, ...tail) => predicate(attr) ? continuation(el, ...tail) : []);
      }
      const attrName = node.name;
      return (el, ...tail) => {
        const attr = el.attribs[attrName];
        return attr || attr === "" ? callbacks.flatMap((cb) => cb(attr, el, ...tail)) : [];
      };
    }
    function handlePushElementNode(node) {
      const continuation = handleArray(node.cont);
      const leftElementGetter = node.combinator === "+" ? getPrecedingElement : getParentElement;
      return (el, ...tail) => {
        const next = leftElementGetter(el);
        if (next === null) {
          return [];
        }
        return continuation(next, el, ...tail);
      };
    }
    var getPrecedingElement = (el) => {
      const prev = el.prev;
      if (prev === null) {
        return null;
      }
      return domhandler.isTag(prev) ? prev : getPrecedingElement(prev);
    };
    var getParentElement = (el) => {
      const parent = el.parent;
      return parent && domhandler.isTag(parent) ? parent : null;
    };
    function handlePopElementNode(node) {
      const continuation = handleArray(node.cont);
      return (el, next, ...tail) => continuation(next, ...tail);
    }
    exports.hp2Builder = hp2Builder;
  }
});

// ../../../node_modules/entities/lib/generated/decode-data-html.js
var require_decode_data_html = __commonJS({
  "../../../node_modules/entities/lib/generated/decode-data-html.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.default = new Uint16Array(
      // prettier-ignore
      '\u1D41<\xD5\u0131\u028A\u049D\u057B\u05D0\u0675\u06DE\u07A2\u07D6\u080F\u0A4A\u0A91\u0DA1\u0E6D\u0F09\u0F26\u10CA\u1228\u12E1\u1415\u149D\u14C3\u14DF\u1525\0\0\0\0\0\0\u156B\u16CD\u198D\u1C12\u1DDD\u1F7E\u2060\u21B0\u228D\u23C0\u23FB\u2442\u2824\u2912\u2D08\u2E48\u2FCE\u3016\u32BA\u3639\u37AC\u38FE\u3A28\u3A71\u3AE0\u3B2E\u0800EMabcfglmnoprstu\\bfms\x7F\x84\x8B\x90\x95\x98\xA6\xB3\xB9\xC8\xCFlig\u803B\xC6\u40C6P\u803B&\u4026cute\u803B\xC1\u40C1reve;\u4102\u0100iyx}rc\u803B\xC2\u40C2;\u4410r;\uC000\u{1D504}rave\u803B\xC0\u40C0pha;\u4391acr;\u4100d;\u6A53\u0100gp\x9D\xA1on;\u4104f;\uC000\u{1D538}plyFunction;\u6061ing\u803B\xC5\u40C5\u0100cs\xBE\xC3r;\uC000\u{1D49C}ign;\u6254ilde\u803B\xC3\u40C3ml\u803B\xC4\u40C4\u0400aceforsu\xE5\xFB\xFE\u0117\u011C\u0122\u0127\u012A\u0100cr\xEA\xF2kslash;\u6216\u0176\xF6\xF8;\u6AE7ed;\u6306y;\u4411\u0180crt\u0105\u010B\u0114ause;\u6235noullis;\u612Ca;\u4392r;\uC000\u{1D505}pf;\uC000\u{1D539}eve;\u42D8c\xF2\u0113mpeq;\u624E\u0700HOacdefhilorsu\u014D\u0151\u0156\u0180\u019E\u01A2\u01B5\u01B7\u01BA\u01DC\u0215\u0273\u0278\u027Ecy;\u4427PY\u803B\xA9\u40A9\u0180cpy\u015D\u0162\u017Aute;\u4106\u0100;i\u0167\u0168\u62D2talDifferentialD;\u6145leys;\u612D\u0200aeio\u0189\u018E\u0194\u0198ron;\u410Cdil\u803B\xC7\u40C7rc;\u4108nint;\u6230ot;\u410A\u0100dn\u01A7\u01ADilla;\u40B8terDot;\u40B7\xF2\u017Fi;\u43A7rcle\u0200DMPT\u01C7\u01CB\u01D1\u01D6ot;\u6299inus;\u6296lus;\u6295imes;\u6297o\u0100cs\u01E2\u01F8kwiseContourIntegral;\u6232eCurly\u0100DQ\u0203\u020FoubleQuote;\u601Duote;\u6019\u0200lnpu\u021E\u0228\u0247\u0255on\u0100;e\u0225\u0226\u6237;\u6A74\u0180git\u022F\u0236\u023Aruent;\u6261nt;\u622FourIntegral;\u622E\u0100fr\u024C\u024E;\u6102oduct;\u6210nterClockwiseContourIntegral;\u6233oss;\u6A2Fcr;\uC000\u{1D49E}p\u0100;C\u0284\u0285\u62D3ap;\u624D\u0580DJSZacefios\u02A0\u02AC\u02B0\u02B4\u02B8\u02CB\u02D7\u02E1\u02E6\u0333\u048D\u0100;o\u0179\u02A5trahd;\u6911cy;\u4402cy;\u4405cy;\u440F\u0180grs\u02BF\u02C4\u02C7ger;\u6021r;\u61A1hv;\u6AE4\u0100ay\u02D0\u02D5ron;\u410E;\u4414l\u0100;t\u02DD\u02DE\u6207a;\u4394r;\uC000\u{1D507}\u0100af\u02EB\u0327\u0100cm\u02F0\u0322ritical\u0200ADGT\u0300\u0306\u0316\u031Ccute;\u40B4o\u0174\u030B\u030D;\u42D9bleAcute;\u42DDrave;\u4060ilde;\u42DCond;\u62C4ferentialD;\u6146\u0470\u033D\0\0\0\u0342\u0354\0\u0405f;\uC000\u{1D53B}\u0180;DE\u0348\u0349\u034D\u40A8ot;\u60DCqual;\u6250ble\u0300CDLRUV\u0363\u0372\u0382\u03CF\u03E2\u03F8ontourIntegra\xEC\u0239o\u0274\u0379\0\0\u037B\xBB\u0349nArrow;\u61D3\u0100eo\u0387\u03A4ft\u0180ART\u0390\u0396\u03A1rrow;\u61D0ightArrow;\u61D4e\xE5\u02CAng\u0100LR\u03AB\u03C4eft\u0100AR\u03B3\u03B9rrow;\u67F8ightArrow;\u67FAightArrow;\u67F9ight\u0100AT\u03D8\u03DErrow;\u61D2ee;\u62A8p\u0241\u03E9\0\0\u03EFrrow;\u61D1ownArrow;\u61D5erticalBar;\u6225n\u0300ABLRTa\u0412\u042A\u0430\u045E\u047F\u037Crrow\u0180;BU\u041D\u041E\u0422\u6193ar;\u6913pArrow;\u61F5reve;\u4311eft\u02D2\u043A\0\u0446\0\u0450ightVector;\u6950eeVector;\u695Eector\u0100;B\u0459\u045A\u61BDar;\u6956ight\u01D4\u0467\0\u0471eeVector;\u695Fector\u0100;B\u047A\u047B\u61C1ar;\u6957ee\u0100;A\u0486\u0487\u62A4rrow;\u61A7\u0100ct\u0492\u0497r;\uC000\u{1D49F}rok;\u4110\u0800NTacdfglmopqstux\u04BD\u04C0\u04C4\u04CB\u04DE\u04E2\u04E7\u04EE\u04F5\u0521\u052F\u0536\u0552\u055D\u0560\u0565G;\u414AH\u803B\xD0\u40D0cute\u803B\xC9\u40C9\u0180aiy\u04D2\u04D7\u04DCron;\u411Arc\u803B\xCA\u40CA;\u442Dot;\u4116r;\uC000\u{1D508}rave\u803B\xC8\u40C8ement;\u6208\u0100ap\u04FA\u04FEcr;\u4112ty\u0253\u0506\0\0\u0512mallSquare;\u65FBerySmallSquare;\u65AB\u0100gp\u0526\u052Aon;\u4118f;\uC000\u{1D53C}silon;\u4395u\u0100ai\u053C\u0549l\u0100;T\u0542\u0543\u6A75ilde;\u6242librium;\u61CC\u0100ci\u0557\u055Ar;\u6130m;\u6A73a;\u4397ml\u803B\xCB\u40CB\u0100ip\u056A\u056Fsts;\u6203onentialE;\u6147\u0280cfios\u0585\u0588\u058D\u05B2\u05CCy;\u4424r;\uC000\u{1D509}lled\u0253\u0597\0\0\u05A3mallSquare;\u65FCerySmallSquare;\u65AA\u0370\u05BA\0\u05BF\0\0\u05C4f;\uC000\u{1D53D}All;\u6200riertrf;\u6131c\xF2\u05CB\u0600JTabcdfgorst\u05E8\u05EC\u05EF\u05FA\u0600\u0612\u0616\u061B\u061D\u0623\u066C\u0672cy;\u4403\u803B>\u403Emma\u0100;d\u05F7\u05F8\u4393;\u43DCreve;\u411E\u0180eiy\u0607\u060C\u0610dil;\u4122rc;\u411C;\u4413ot;\u4120r;\uC000\u{1D50A};\u62D9pf;\uC000\u{1D53E}eater\u0300EFGLST\u0635\u0644\u064E\u0656\u065B\u0666qual\u0100;L\u063E\u063F\u6265ess;\u62DBullEqual;\u6267reater;\u6AA2ess;\u6277lantEqual;\u6A7Eilde;\u6273cr;\uC000\u{1D4A2};\u626B\u0400Aacfiosu\u0685\u068B\u0696\u069B\u069E\u06AA\u06BE\u06CARDcy;\u442A\u0100ct\u0690\u0694ek;\u42C7;\u405Eirc;\u4124r;\u610ClbertSpace;\u610B\u01F0\u06AF\0\u06B2f;\u610DizontalLine;\u6500\u0100ct\u06C3\u06C5\xF2\u06A9rok;\u4126mp\u0144\u06D0\u06D8ownHum\xF0\u012Fqual;\u624F\u0700EJOacdfgmnostu\u06FA\u06FE\u0703\u0707\u070E\u071A\u071E\u0721\u0728\u0744\u0778\u078B\u078F\u0795cy;\u4415lig;\u4132cy;\u4401cute\u803B\xCD\u40CD\u0100iy\u0713\u0718rc\u803B\xCE\u40CE;\u4418ot;\u4130r;\u6111rave\u803B\xCC\u40CC\u0180;ap\u0720\u072F\u073F\u0100cg\u0734\u0737r;\u412AinaryI;\u6148lie\xF3\u03DD\u01F4\u0749\0\u0762\u0100;e\u074D\u074E\u622C\u0100gr\u0753\u0758ral;\u622Bsection;\u62C2isible\u0100CT\u076C\u0772omma;\u6063imes;\u6062\u0180gpt\u077F\u0783\u0788on;\u412Ef;\uC000\u{1D540}a;\u4399cr;\u6110ilde;\u4128\u01EB\u079A\0\u079Ecy;\u4406l\u803B\xCF\u40CF\u0280cfosu\u07AC\u07B7\u07BC\u07C2\u07D0\u0100iy\u07B1\u07B5rc;\u4134;\u4419r;\uC000\u{1D50D}pf;\uC000\u{1D541}\u01E3\u07C7\0\u07CCr;\uC000\u{1D4A5}rcy;\u4408kcy;\u4404\u0380HJacfos\u07E4\u07E8\u07EC\u07F1\u07FD\u0802\u0808cy;\u4425cy;\u440Cppa;\u439A\u0100ey\u07F6\u07FBdil;\u4136;\u441Ar;\uC000\u{1D50E}pf;\uC000\u{1D542}cr;\uC000\u{1D4A6}\u0580JTaceflmost\u0825\u0829\u082C\u0850\u0863\u09B3\u09B8\u09C7\u09CD\u0A37\u0A47cy;\u4409\u803B<\u403C\u0280cmnpr\u0837\u083C\u0841\u0844\u084Dute;\u4139bda;\u439Bg;\u67EAlacetrf;\u6112r;\u619E\u0180aey\u0857\u085C\u0861ron;\u413Ddil;\u413B;\u441B\u0100fs\u0868\u0970t\u0500ACDFRTUVar\u087E\u08A9\u08B1\u08E0\u08E6\u08FC\u092F\u095B\u0390\u096A\u0100nr\u0883\u088FgleBracket;\u67E8row\u0180;BR\u0899\u089A\u089E\u6190ar;\u61E4ightArrow;\u61C6eiling;\u6308o\u01F5\u08B7\0\u08C3bleBracket;\u67E6n\u01D4\u08C8\0\u08D2eeVector;\u6961ector\u0100;B\u08DB\u08DC\u61C3ar;\u6959loor;\u630Aight\u0100AV\u08EF\u08F5rrow;\u6194ector;\u694E\u0100er\u0901\u0917e\u0180;AV\u0909\u090A\u0910\u62A3rrow;\u61A4ector;\u695Aiangle\u0180;BE\u0924\u0925\u0929\u62B2ar;\u69CFqual;\u62B4p\u0180DTV\u0937\u0942\u094CownVector;\u6951eeVector;\u6960ector\u0100;B\u0956\u0957\u61BFar;\u6958ector\u0100;B\u0965\u0966\u61BCar;\u6952ight\xE1\u039Cs\u0300EFGLST\u097E\u098B\u0995\u099D\u09A2\u09ADqualGreater;\u62DAullEqual;\u6266reater;\u6276ess;\u6AA1lantEqual;\u6A7Dilde;\u6272r;\uC000\u{1D50F}\u0100;e\u09BD\u09BE\u62D8ftarrow;\u61DAidot;\u413F\u0180npw\u09D4\u0A16\u0A1Bg\u0200LRlr\u09DE\u09F7\u0A02\u0A10eft\u0100AR\u09E6\u09ECrrow;\u67F5ightArrow;\u67F7ightArrow;\u67F6eft\u0100ar\u03B3\u0A0Aight\xE1\u03BFight\xE1\u03CAf;\uC000\u{1D543}er\u0100LR\u0A22\u0A2CeftArrow;\u6199ightArrow;\u6198\u0180cht\u0A3E\u0A40\u0A42\xF2\u084C;\u61B0rok;\u4141;\u626A\u0400acefiosu\u0A5A\u0A5D\u0A60\u0A77\u0A7C\u0A85\u0A8B\u0A8Ep;\u6905y;\u441C\u0100dl\u0A65\u0A6FiumSpace;\u605Flintrf;\u6133r;\uC000\u{1D510}nusPlus;\u6213pf;\uC000\u{1D544}c\xF2\u0A76;\u439C\u0480Jacefostu\u0AA3\u0AA7\u0AAD\u0AC0\u0B14\u0B19\u0D91\u0D97\u0D9Ecy;\u440Acute;\u4143\u0180aey\u0AB4\u0AB9\u0ABEron;\u4147dil;\u4145;\u441D\u0180gsw\u0AC7\u0AF0\u0B0Eative\u0180MTV\u0AD3\u0ADF\u0AE8ediumSpace;\u600Bhi\u0100cn\u0AE6\u0AD8\xEB\u0AD9eryThi\xEE\u0AD9ted\u0100GL\u0AF8\u0B06reaterGreate\xF2\u0673essLes\xF3\u0A48Line;\u400Ar;\uC000\u{1D511}\u0200Bnpt\u0B22\u0B28\u0B37\u0B3Areak;\u6060BreakingSpace;\u40A0f;\u6115\u0680;CDEGHLNPRSTV\u0B55\u0B56\u0B6A\u0B7C\u0BA1\u0BEB\u0C04\u0C5E\u0C84\u0CA6\u0CD8\u0D61\u0D85\u6AEC\u0100ou\u0B5B\u0B64ngruent;\u6262pCap;\u626DoubleVerticalBar;\u6226\u0180lqx\u0B83\u0B8A\u0B9Bement;\u6209ual\u0100;T\u0B92\u0B93\u6260ilde;\uC000\u2242\u0338ists;\u6204reater\u0380;EFGLST\u0BB6\u0BB7\u0BBD\u0BC9\u0BD3\u0BD8\u0BE5\u626Fqual;\u6271ullEqual;\uC000\u2267\u0338reater;\uC000\u226B\u0338ess;\u6279lantEqual;\uC000\u2A7E\u0338ilde;\u6275ump\u0144\u0BF2\u0BFDownHump;\uC000\u224E\u0338qual;\uC000\u224F\u0338e\u0100fs\u0C0A\u0C27tTriangle\u0180;BE\u0C1A\u0C1B\u0C21\u62EAar;\uC000\u29CF\u0338qual;\u62ECs\u0300;EGLST\u0C35\u0C36\u0C3C\u0C44\u0C4B\u0C58\u626Equal;\u6270reater;\u6278ess;\uC000\u226A\u0338lantEqual;\uC000\u2A7D\u0338ilde;\u6274ested\u0100GL\u0C68\u0C79reaterGreater;\uC000\u2AA2\u0338essLess;\uC000\u2AA1\u0338recedes\u0180;ES\u0C92\u0C93\u0C9B\u6280qual;\uC000\u2AAF\u0338lantEqual;\u62E0\u0100ei\u0CAB\u0CB9verseElement;\u620CghtTriangle\u0180;BE\u0CCB\u0CCC\u0CD2\u62EBar;\uC000\u29D0\u0338qual;\u62ED\u0100qu\u0CDD\u0D0CuareSu\u0100bp\u0CE8\u0CF9set\u0100;E\u0CF0\u0CF3\uC000\u228F\u0338qual;\u62E2erset\u0100;E\u0D03\u0D06\uC000\u2290\u0338qual;\u62E3\u0180bcp\u0D13\u0D24\u0D4Eset\u0100;E\u0D1B\u0D1E\uC000\u2282\u20D2qual;\u6288ceeds\u0200;EST\u0D32\u0D33\u0D3B\u0D46\u6281qual;\uC000\u2AB0\u0338lantEqual;\u62E1ilde;\uC000\u227F\u0338erset\u0100;E\u0D58\u0D5B\uC000\u2283\u20D2qual;\u6289ilde\u0200;EFT\u0D6E\u0D6F\u0D75\u0D7F\u6241qual;\u6244ullEqual;\u6247ilde;\u6249erticalBar;\u6224cr;\uC000\u{1D4A9}ilde\u803B\xD1\u40D1;\u439D\u0700Eacdfgmoprstuv\u0DBD\u0DC2\u0DC9\u0DD5\u0DDB\u0DE0\u0DE7\u0DFC\u0E02\u0E20\u0E22\u0E32\u0E3F\u0E44lig;\u4152cute\u803B\xD3\u40D3\u0100iy\u0DCE\u0DD3rc\u803B\xD4\u40D4;\u441Eblac;\u4150r;\uC000\u{1D512}rave\u803B\xD2\u40D2\u0180aei\u0DEE\u0DF2\u0DF6cr;\u414Cga;\u43A9cron;\u439Fpf;\uC000\u{1D546}enCurly\u0100DQ\u0E0E\u0E1AoubleQuote;\u601Cuote;\u6018;\u6A54\u0100cl\u0E27\u0E2Cr;\uC000\u{1D4AA}ash\u803B\xD8\u40D8i\u016C\u0E37\u0E3Cde\u803B\xD5\u40D5es;\u6A37ml\u803B\xD6\u40D6er\u0100BP\u0E4B\u0E60\u0100ar\u0E50\u0E53r;\u603Eac\u0100ek\u0E5A\u0E5C;\u63DEet;\u63B4arenthesis;\u63DC\u0480acfhilors\u0E7F\u0E87\u0E8A\u0E8F\u0E92\u0E94\u0E9D\u0EB0\u0EFCrtialD;\u6202y;\u441Fr;\uC000\u{1D513}i;\u43A6;\u43A0usMinus;\u40B1\u0100ip\u0EA2\u0EADncareplan\xE5\u069Df;\u6119\u0200;eio\u0EB9\u0EBA\u0EE0\u0EE4\u6ABBcedes\u0200;EST\u0EC8\u0EC9\u0ECF\u0EDA\u627Aqual;\u6AAFlantEqual;\u627Cilde;\u627Eme;\u6033\u0100dp\u0EE9\u0EEEuct;\u620Fortion\u0100;a\u0225\u0EF9l;\u621D\u0100ci\u0F01\u0F06r;\uC000\u{1D4AB};\u43A8\u0200Ufos\u0F11\u0F16\u0F1B\u0F1FOT\u803B"\u4022r;\uC000\u{1D514}pf;\u611Acr;\uC000\u{1D4AC}\u0600BEacefhiorsu\u0F3E\u0F43\u0F47\u0F60\u0F73\u0FA7\u0FAA\u0FAD\u1096\u10A9\u10B4\u10BEarr;\u6910G\u803B\xAE\u40AE\u0180cnr\u0F4E\u0F53\u0F56ute;\u4154g;\u67EBr\u0100;t\u0F5C\u0F5D\u61A0l;\u6916\u0180aey\u0F67\u0F6C\u0F71ron;\u4158dil;\u4156;\u4420\u0100;v\u0F78\u0F79\u611Cerse\u0100EU\u0F82\u0F99\u0100lq\u0F87\u0F8Eement;\u620Builibrium;\u61CBpEquilibrium;\u696Fr\xBB\u0F79o;\u43A1ght\u0400ACDFTUVa\u0FC1\u0FEB\u0FF3\u1022\u1028\u105B\u1087\u03D8\u0100nr\u0FC6\u0FD2gleBracket;\u67E9row\u0180;BL\u0FDC\u0FDD\u0FE1\u6192ar;\u61E5eftArrow;\u61C4eiling;\u6309o\u01F5\u0FF9\0\u1005bleBracket;\u67E7n\u01D4\u100A\0\u1014eeVector;\u695Dector\u0100;B\u101D\u101E\u61C2ar;\u6955loor;\u630B\u0100er\u102D\u1043e\u0180;AV\u1035\u1036\u103C\u62A2rrow;\u61A6ector;\u695Biangle\u0180;BE\u1050\u1051\u1055\u62B3ar;\u69D0qual;\u62B5p\u0180DTV\u1063\u106E\u1078ownVector;\u694FeeVector;\u695Cector\u0100;B\u1082\u1083\u61BEar;\u6954ector\u0100;B\u1091\u1092\u61C0ar;\u6953\u0100pu\u109B\u109Ef;\u611DndImplies;\u6970ightarrow;\u61DB\u0100ch\u10B9\u10BCr;\u611B;\u61B1leDelayed;\u69F4\u0680HOacfhimoqstu\u10E4\u10F1\u10F7\u10FD\u1119\u111E\u1151\u1156\u1161\u1167\u11B5\u11BB\u11BF\u0100Cc\u10E9\u10EEHcy;\u4429y;\u4428FTcy;\u442Ccute;\u415A\u0280;aeiy\u1108\u1109\u110E\u1113\u1117\u6ABCron;\u4160dil;\u415Erc;\u415C;\u4421r;\uC000\u{1D516}ort\u0200DLRU\u112A\u1134\u113E\u1149ownArrow\xBB\u041EeftArrow\xBB\u089AightArrow\xBB\u0FDDpArrow;\u6191gma;\u43A3allCircle;\u6218pf;\uC000\u{1D54A}\u0272\u116D\0\0\u1170t;\u621Aare\u0200;ISU\u117B\u117C\u1189\u11AF\u65A1ntersection;\u6293u\u0100bp\u118F\u119Eset\u0100;E\u1197\u1198\u628Fqual;\u6291erset\u0100;E\u11A8\u11A9\u6290qual;\u6292nion;\u6294cr;\uC000\u{1D4AE}ar;\u62C6\u0200bcmp\u11C8\u11DB\u1209\u120B\u0100;s\u11CD\u11CE\u62D0et\u0100;E\u11CD\u11D5qual;\u6286\u0100ch\u11E0\u1205eeds\u0200;EST\u11ED\u11EE\u11F4\u11FF\u627Bqual;\u6AB0lantEqual;\u627Dilde;\u627FTh\xE1\u0F8C;\u6211\u0180;es\u1212\u1213\u1223\u62D1rset\u0100;E\u121C\u121D\u6283qual;\u6287et\xBB\u1213\u0580HRSacfhiors\u123E\u1244\u1249\u1255\u125E\u1271\u1276\u129F\u12C2\u12C8\u12D1ORN\u803B\xDE\u40DEADE;\u6122\u0100Hc\u124E\u1252cy;\u440By;\u4426\u0100bu\u125A\u125C;\u4009;\u43A4\u0180aey\u1265\u126A\u126Fron;\u4164dil;\u4162;\u4422r;\uC000\u{1D517}\u0100ei\u127B\u1289\u01F2\u1280\0\u1287efore;\u6234a;\u4398\u0100cn\u128E\u1298kSpace;\uC000\u205F\u200ASpace;\u6009lde\u0200;EFT\u12AB\u12AC\u12B2\u12BC\u623Cqual;\u6243ullEqual;\u6245ilde;\u6248pf;\uC000\u{1D54B}ipleDot;\u60DB\u0100ct\u12D6\u12DBr;\uC000\u{1D4AF}rok;\u4166\u0AE1\u12F7\u130E\u131A\u1326\0\u132C\u1331\0\0\0\0\0\u1338\u133D\u1377\u1385\0\u13FF\u1404\u140A\u1410\u0100cr\u12FB\u1301ute\u803B\xDA\u40DAr\u0100;o\u1307\u1308\u619Fcir;\u6949r\u01E3\u1313\0\u1316y;\u440Eve;\u416C\u0100iy\u131E\u1323rc\u803B\xDB\u40DB;\u4423blac;\u4170r;\uC000\u{1D518}rave\u803B\xD9\u40D9acr;\u416A\u0100di\u1341\u1369er\u0100BP\u1348\u135D\u0100ar\u134D\u1350r;\u405Fac\u0100ek\u1357\u1359;\u63DFet;\u63B5arenthesis;\u63DDon\u0100;P\u1370\u1371\u62C3lus;\u628E\u0100gp\u137B\u137Fon;\u4172f;\uC000\u{1D54C}\u0400ADETadps\u1395\u13AE\u13B8\u13C4\u03E8\u13D2\u13D7\u13F3rrow\u0180;BD\u1150\u13A0\u13A4ar;\u6912ownArrow;\u61C5ownArrow;\u6195quilibrium;\u696Eee\u0100;A\u13CB\u13CC\u62A5rrow;\u61A5own\xE1\u03F3er\u0100LR\u13DE\u13E8eftArrow;\u6196ightArrow;\u6197i\u0100;l\u13F9\u13FA\u43D2on;\u43A5ing;\u416Ecr;\uC000\u{1D4B0}ilde;\u4168ml\u803B\xDC\u40DC\u0480Dbcdefosv\u1427\u142C\u1430\u1433\u143E\u1485\u148A\u1490\u1496ash;\u62ABar;\u6AEBy;\u4412ash\u0100;l\u143B\u143C\u62A9;\u6AE6\u0100er\u1443\u1445;\u62C1\u0180bty\u144C\u1450\u147Aar;\u6016\u0100;i\u144F\u1455cal\u0200BLST\u1461\u1465\u146A\u1474ar;\u6223ine;\u407Ceparator;\u6758ilde;\u6240ThinSpace;\u600Ar;\uC000\u{1D519}pf;\uC000\u{1D54D}cr;\uC000\u{1D4B1}dash;\u62AA\u0280cefos\u14A7\u14AC\u14B1\u14B6\u14BCirc;\u4174dge;\u62C0r;\uC000\u{1D51A}pf;\uC000\u{1D54E}cr;\uC000\u{1D4B2}\u0200fios\u14CB\u14D0\u14D2\u14D8r;\uC000\u{1D51B};\u439Epf;\uC000\u{1D54F}cr;\uC000\u{1D4B3}\u0480AIUacfosu\u14F1\u14F5\u14F9\u14FD\u1504\u150F\u1514\u151A\u1520cy;\u442Fcy;\u4407cy;\u442Ecute\u803B\xDD\u40DD\u0100iy\u1509\u150Drc;\u4176;\u442Br;\uC000\u{1D51C}pf;\uC000\u{1D550}cr;\uC000\u{1D4B4}ml;\u4178\u0400Hacdefos\u1535\u1539\u153F\u154B\u154F\u155D\u1560\u1564cy;\u4416cute;\u4179\u0100ay\u1544\u1549ron;\u417D;\u4417ot;\u417B\u01F2\u1554\0\u155BoWidt\xE8\u0AD9a;\u4396r;\u6128pf;\u6124cr;\uC000\u{1D4B5}\u0BE1\u1583\u158A\u1590\0\u15B0\u15B6\u15BF\0\0\0\0\u15C6\u15DB\u15EB\u165F\u166D\0\u1695\u169B\u16B2\u16B9\0\u16BEcute\u803B\xE1\u40E1reve;\u4103\u0300;Ediuy\u159C\u159D\u15A1\u15A3\u15A8\u15AD\u623E;\uC000\u223E\u0333;\u623Frc\u803B\xE2\u40E2te\u80BB\xB4\u0306;\u4430lig\u803B\xE6\u40E6\u0100;r\xB2\u15BA;\uC000\u{1D51E}rave\u803B\xE0\u40E0\u0100ep\u15CA\u15D6\u0100fp\u15CF\u15D4sym;\u6135\xE8\u15D3ha;\u43B1\u0100ap\u15DFc\u0100cl\u15E4\u15E7r;\u4101g;\u6A3F\u0264\u15F0\0\0\u160A\u0280;adsv\u15FA\u15FB\u15FF\u1601\u1607\u6227nd;\u6A55;\u6A5Clope;\u6A58;\u6A5A\u0380;elmrsz\u1618\u1619\u161B\u161E\u163F\u164F\u1659\u6220;\u69A4e\xBB\u1619sd\u0100;a\u1625\u1626\u6221\u0461\u1630\u1632\u1634\u1636\u1638\u163A\u163C\u163E;\u69A8;\u69A9;\u69AA;\u69AB;\u69AC;\u69AD;\u69AE;\u69AFt\u0100;v\u1645\u1646\u621Fb\u0100;d\u164C\u164D\u62BE;\u699D\u0100pt\u1654\u1657h;\u6222\xBB\xB9arr;\u637C\u0100gp\u1663\u1667on;\u4105f;\uC000\u{1D552}\u0380;Eaeiop\u12C1\u167B\u167D\u1682\u1684\u1687\u168A;\u6A70cir;\u6A6F;\u624Ad;\u624Bs;\u4027rox\u0100;e\u12C1\u1692\xF1\u1683ing\u803B\xE5\u40E5\u0180cty\u16A1\u16A6\u16A8r;\uC000\u{1D4B6};\u402Amp\u0100;e\u12C1\u16AF\xF1\u0288ilde\u803B\xE3\u40E3ml\u803B\xE4\u40E4\u0100ci\u16C2\u16C8onin\xF4\u0272nt;\u6A11\u0800Nabcdefiklnoprsu\u16ED\u16F1\u1730\u173C\u1743\u1748\u1778\u177D\u17E0\u17E6\u1839\u1850\u170D\u193D\u1948\u1970ot;\u6AED\u0100cr\u16F6\u171Ek\u0200ceps\u1700\u1705\u170D\u1713ong;\u624Cpsilon;\u43F6rime;\u6035im\u0100;e\u171A\u171B\u623Dq;\u62CD\u0176\u1722\u1726ee;\u62BDed\u0100;g\u172C\u172D\u6305e\xBB\u172Drk\u0100;t\u135C\u1737brk;\u63B6\u0100oy\u1701\u1741;\u4431quo;\u601E\u0280cmprt\u1753\u175B\u1761\u1764\u1768aus\u0100;e\u010A\u0109ptyv;\u69B0s\xE9\u170Cno\xF5\u0113\u0180ahw\u176F\u1771\u1773;\u43B2;\u6136een;\u626Cr;\uC000\u{1D51F}g\u0380costuvw\u178D\u179D\u17B3\u17C1\u17D5\u17DB\u17DE\u0180aiu\u1794\u1796\u179A\xF0\u0760rc;\u65EFp\xBB\u1371\u0180dpt\u17A4\u17A8\u17ADot;\u6A00lus;\u6A01imes;\u6A02\u0271\u17B9\0\0\u17BEcup;\u6A06ar;\u6605riangle\u0100du\u17CD\u17D2own;\u65BDp;\u65B3plus;\u6A04e\xE5\u1444\xE5\u14ADarow;\u690D\u0180ako\u17ED\u1826\u1835\u0100cn\u17F2\u1823k\u0180lst\u17FA\u05AB\u1802ozenge;\u69EBriangle\u0200;dlr\u1812\u1813\u1818\u181D\u65B4own;\u65BEeft;\u65C2ight;\u65B8k;\u6423\u01B1\u182B\0\u1833\u01B2\u182F\0\u1831;\u6592;\u65914;\u6593ck;\u6588\u0100eo\u183E\u184D\u0100;q\u1843\u1846\uC000=\u20E5uiv;\uC000\u2261\u20E5t;\u6310\u0200ptwx\u1859\u185E\u1867\u186Cf;\uC000\u{1D553}\u0100;t\u13CB\u1863om\xBB\u13CCtie;\u62C8\u0600DHUVbdhmptuv\u1885\u1896\u18AA\u18BB\u18D7\u18DB\u18EC\u18FF\u1905\u190A\u1910\u1921\u0200LRlr\u188E\u1890\u1892\u1894;\u6557;\u6554;\u6556;\u6553\u0280;DUdu\u18A1\u18A2\u18A4\u18A6\u18A8\u6550;\u6566;\u6569;\u6564;\u6567\u0200LRlr\u18B3\u18B5\u18B7\u18B9;\u655D;\u655A;\u655C;\u6559\u0380;HLRhlr\u18CA\u18CB\u18CD\u18CF\u18D1\u18D3\u18D5\u6551;\u656C;\u6563;\u6560;\u656B;\u6562;\u655Fox;\u69C9\u0200LRlr\u18E4\u18E6\u18E8\u18EA;\u6555;\u6552;\u6510;\u650C\u0280;DUdu\u06BD\u18F7\u18F9\u18FB\u18FD;\u6565;\u6568;\u652C;\u6534inus;\u629Flus;\u629Eimes;\u62A0\u0200LRlr\u1919\u191B\u191D\u191F;\u655B;\u6558;\u6518;\u6514\u0380;HLRhlr\u1930\u1931\u1933\u1935\u1937\u1939\u193B\u6502;\u656A;\u6561;\u655E;\u653C;\u6524;\u651C\u0100ev\u0123\u1942bar\u803B\xA6\u40A6\u0200ceio\u1951\u1956\u195A\u1960r;\uC000\u{1D4B7}mi;\u604Fm\u0100;e\u171A\u171Cl\u0180;bh\u1968\u1969\u196B\u405C;\u69C5sub;\u67C8\u016C\u1974\u197El\u0100;e\u1979\u197A\u6022t\xBB\u197Ap\u0180;Ee\u012F\u1985\u1987;\u6AAE\u0100;q\u06DC\u06DB\u0CE1\u19A7\0\u19E8\u1A11\u1A15\u1A32\0\u1A37\u1A50\0\0\u1AB4\0\0\u1AC1\0\0\u1B21\u1B2E\u1B4D\u1B52\0\u1BFD\0\u1C0C\u0180cpr\u19AD\u19B2\u19DDute;\u4107\u0300;abcds\u19BF\u19C0\u19C4\u19CA\u19D5\u19D9\u6229nd;\u6A44rcup;\u6A49\u0100au\u19CF\u19D2p;\u6A4Bp;\u6A47ot;\u6A40;\uC000\u2229\uFE00\u0100eo\u19E2\u19E5t;\u6041\xEE\u0693\u0200aeiu\u19F0\u19FB\u1A01\u1A05\u01F0\u19F5\0\u19F8s;\u6A4Don;\u410Ddil\u803B\xE7\u40E7rc;\u4109ps\u0100;s\u1A0C\u1A0D\u6A4Cm;\u6A50ot;\u410B\u0180dmn\u1A1B\u1A20\u1A26il\u80BB\xB8\u01ADptyv;\u69B2t\u8100\xA2;e\u1A2D\u1A2E\u40A2r\xE4\u01B2r;\uC000\u{1D520}\u0180cei\u1A3D\u1A40\u1A4Dy;\u4447ck\u0100;m\u1A47\u1A48\u6713ark\xBB\u1A48;\u43C7r\u0380;Ecefms\u1A5F\u1A60\u1A62\u1A6B\u1AA4\u1AAA\u1AAE\u65CB;\u69C3\u0180;el\u1A69\u1A6A\u1A6D\u42C6q;\u6257e\u0261\u1A74\0\0\u1A88rrow\u0100lr\u1A7C\u1A81eft;\u61BAight;\u61BB\u0280RSacd\u1A92\u1A94\u1A96\u1A9A\u1A9F\xBB\u0F47;\u64C8st;\u629Birc;\u629Aash;\u629Dnint;\u6A10id;\u6AEFcir;\u69C2ubs\u0100;u\u1ABB\u1ABC\u6663it\xBB\u1ABC\u02EC\u1AC7\u1AD4\u1AFA\0\u1B0Aon\u0100;e\u1ACD\u1ACE\u403A\u0100;q\xC7\xC6\u026D\u1AD9\0\0\u1AE2a\u0100;t\u1ADE\u1ADF\u402C;\u4040\u0180;fl\u1AE8\u1AE9\u1AEB\u6201\xEE\u1160e\u0100mx\u1AF1\u1AF6ent\xBB\u1AE9e\xF3\u024D\u01E7\u1AFE\0\u1B07\u0100;d\u12BB\u1B02ot;\u6A6Dn\xF4\u0246\u0180fry\u1B10\u1B14\u1B17;\uC000\u{1D554}o\xE4\u0254\u8100\xA9;s\u0155\u1B1Dr;\u6117\u0100ao\u1B25\u1B29rr;\u61B5ss;\u6717\u0100cu\u1B32\u1B37r;\uC000\u{1D4B8}\u0100bp\u1B3C\u1B44\u0100;e\u1B41\u1B42\u6ACF;\u6AD1\u0100;e\u1B49\u1B4A\u6AD0;\u6AD2dot;\u62EF\u0380delprvw\u1B60\u1B6C\u1B77\u1B82\u1BAC\u1BD4\u1BF9arr\u0100lr\u1B68\u1B6A;\u6938;\u6935\u0270\u1B72\0\0\u1B75r;\u62DEc;\u62DFarr\u0100;p\u1B7F\u1B80\u61B6;\u693D\u0300;bcdos\u1B8F\u1B90\u1B96\u1BA1\u1BA5\u1BA8\u622Arcap;\u6A48\u0100au\u1B9B\u1B9Ep;\u6A46p;\u6A4Aot;\u628Dr;\u6A45;\uC000\u222A\uFE00\u0200alrv\u1BB5\u1BBF\u1BDE\u1BE3rr\u0100;m\u1BBC\u1BBD\u61B7;\u693Cy\u0180evw\u1BC7\u1BD4\u1BD8q\u0270\u1BCE\0\0\u1BD2re\xE3\u1B73u\xE3\u1B75ee;\u62CEedge;\u62CFen\u803B\xA4\u40A4earrow\u0100lr\u1BEE\u1BF3eft\xBB\u1B80ight\xBB\u1BBDe\xE4\u1BDD\u0100ci\u1C01\u1C07onin\xF4\u01F7nt;\u6231lcty;\u632D\u0980AHabcdefhijlorstuwz\u1C38\u1C3B\u1C3F\u1C5D\u1C69\u1C75\u1C8A\u1C9E\u1CAC\u1CB7\u1CFB\u1CFF\u1D0D\u1D7B\u1D91\u1DAB\u1DBB\u1DC6\u1DCDr\xF2\u0381ar;\u6965\u0200glrs\u1C48\u1C4D\u1C52\u1C54ger;\u6020eth;\u6138\xF2\u1133h\u0100;v\u1C5A\u1C5B\u6010\xBB\u090A\u016B\u1C61\u1C67arow;\u690Fa\xE3\u0315\u0100ay\u1C6E\u1C73ron;\u410F;\u4434\u0180;ao\u0332\u1C7C\u1C84\u0100gr\u02BF\u1C81r;\u61CAtseq;\u6A77\u0180glm\u1C91\u1C94\u1C98\u803B\xB0\u40B0ta;\u43B4ptyv;\u69B1\u0100ir\u1CA3\u1CA8sht;\u697F;\uC000\u{1D521}ar\u0100lr\u1CB3\u1CB5\xBB\u08DC\xBB\u101E\u0280aegsv\u1CC2\u0378\u1CD6\u1CDC\u1CE0m\u0180;os\u0326\u1CCA\u1CD4nd\u0100;s\u0326\u1CD1uit;\u6666amma;\u43DDin;\u62F2\u0180;io\u1CE7\u1CE8\u1CF8\u40F7de\u8100\xF7;o\u1CE7\u1CF0ntimes;\u62C7n\xF8\u1CF7cy;\u4452c\u026F\u1D06\0\0\u1D0Arn;\u631Eop;\u630D\u0280lptuw\u1D18\u1D1D\u1D22\u1D49\u1D55lar;\u4024f;\uC000\u{1D555}\u0280;emps\u030B\u1D2D\u1D37\u1D3D\u1D42q\u0100;d\u0352\u1D33ot;\u6251inus;\u6238lus;\u6214quare;\u62A1blebarwedg\xE5\xFAn\u0180adh\u112E\u1D5D\u1D67ownarrow\xF3\u1C83arpoon\u0100lr\u1D72\u1D76ef\xF4\u1CB4igh\xF4\u1CB6\u0162\u1D7F\u1D85karo\xF7\u0F42\u026F\u1D8A\0\0\u1D8Ern;\u631Fop;\u630C\u0180cot\u1D98\u1DA3\u1DA6\u0100ry\u1D9D\u1DA1;\uC000\u{1D4B9};\u4455l;\u69F6rok;\u4111\u0100dr\u1DB0\u1DB4ot;\u62F1i\u0100;f\u1DBA\u1816\u65BF\u0100ah\u1DC0\u1DC3r\xF2\u0429a\xF2\u0FA6angle;\u69A6\u0100ci\u1DD2\u1DD5y;\u445Fgrarr;\u67FF\u0900Dacdefglmnopqrstux\u1E01\u1E09\u1E19\u1E38\u0578\u1E3C\u1E49\u1E61\u1E7E\u1EA5\u1EAF\u1EBD\u1EE1\u1F2A\u1F37\u1F44\u1F4E\u1F5A\u0100Do\u1E06\u1D34o\xF4\u1C89\u0100cs\u1E0E\u1E14ute\u803B\xE9\u40E9ter;\u6A6E\u0200aioy\u1E22\u1E27\u1E31\u1E36ron;\u411Br\u0100;c\u1E2D\u1E2E\u6256\u803B\xEA\u40EAlon;\u6255;\u444Dot;\u4117\u0100Dr\u1E41\u1E45ot;\u6252;\uC000\u{1D522}\u0180;rs\u1E50\u1E51\u1E57\u6A9Aave\u803B\xE8\u40E8\u0100;d\u1E5C\u1E5D\u6A96ot;\u6A98\u0200;ils\u1E6A\u1E6B\u1E72\u1E74\u6A99nters;\u63E7;\u6113\u0100;d\u1E79\u1E7A\u6A95ot;\u6A97\u0180aps\u1E85\u1E89\u1E97cr;\u4113ty\u0180;sv\u1E92\u1E93\u1E95\u6205et\xBB\u1E93p\u01001;\u1E9D\u1EA4\u0133\u1EA1\u1EA3;\u6004;\u6005\u6003\u0100gs\u1EAA\u1EAC;\u414Bp;\u6002\u0100gp\u1EB4\u1EB8on;\u4119f;\uC000\u{1D556}\u0180als\u1EC4\u1ECE\u1ED2r\u0100;s\u1ECA\u1ECB\u62D5l;\u69E3us;\u6A71i\u0180;lv\u1EDA\u1EDB\u1EDF\u43B5on\xBB\u1EDB;\u43F5\u0200csuv\u1EEA\u1EF3\u1F0B\u1F23\u0100io\u1EEF\u1E31rc\xBB\u1E2E\u0269\u1EF9\0\0\u1EFB\xED\u0548ant\u0100gl\u1F02\u1F06tr\xBB\u1E5Dess\xBB\u1E7A\u0180aei\u1F12\u1F16\u1F1Als;\u403Dst;\u625Fv\u0100;D\u0235\u1F20D;\u6A78parsl;\u69E5\u0100Da\u1F2F\u1F33ot;\u6253rr;\u6971\u0180cdi\u1F3E\u1F41\u1EF8r;\u612Fo\xF4\u0352\u0100ah\u1F49\u1F4B;\u43B7\u803B\xF0\u40F0\u0100mr\u1F53\u1F57l\u803B\xEB\u40EBo;\u60AC\u0180cip\u1F61\u1F64\u1F67l;\u4021s\xF4\u056E\u0100eo\u1F6C\u1F74ctatio\xEE\u0559nential\xE5\u0579\u09E1\u1F92\0\u1F9E\0\u1FA1\u1FA7\0\0\u1FC6\u1FCC\0\u1FD3\0\u1FE6\u1FEA\u2000\0\u2008\u205Allingdotse\xF1\u1E44y;\u4444male;\u6640\u0180ilr\u1FAD\u1FB3\u1FC1lig;\u8000\uFB03\u0269\u1FB9\0\0\u1FBDg;\u8000\uFB00ig;\u8000\uFB04;\uC000\u{1D523}lig;\u8000\uFB01lig;\uC000fj\u0180alt\u1FD9\u1FDC\u1FE1t;\u666Dig;\u8000\uFB02ns;\u65B1of;\u4192\u01F0\u1FEE\0\u1FF3f;\uC000\u{1D557}\u0100ak\u05BF\u1FF7\u0100;v\u1FFC\u1FFD\u62D4;\u6AD9artint;\u6A0D\u0100ao\u200C\u2055\u0100cs\u2011\u2052\u03B1\u201A\u2030\u2038\u2045\u2048\0\u2050\u03B2\u2022\u2025\u2027\u202A\u202C\0\u202E\u803B\xBD\u40BD;\u6153\u803B\xBC\u40BC;\u6155;\u6159;\u615B\u01B3\u2034\0\u2036;\u6154;\u6156\u02B4\u203E\u2041\0\0\u2043\u803B\xBE\u40BE;\u6157;\u615C5;\u6158\u01B6\u204C\0\u204E;\u615A;\u615D8;\u615El;\u6044wn;\u6322cr;\uC000\u{1D4BB}\u0880Eabcdefgijlnorstv\u2082\u2089\u209F\u20A5\u20B0\u20B4\u20F0\u20F5\u20FA\u20FF\u2103\u2112\u2138\u0317\u213E\u2152\u219E\u0100;l\u064D\u2087;\u6A8C\u0180cmp\u2090\u2095\u209Dute;\u41F5ma\u0100;d\u209C\u1CDA\u43B3;\u6A86reve;\u411F\u0100iy\u20AA\u20AErc;\u411D;\u4433ot;\u4121\u0200;lqs\u063E\u0642\u20BD\u20C9\u0180;qs\u063E\u064C\u20C4lan\xF4\u0665\u0200;cdl\u0665\u20D2\u20D5\u20E5c;\u6AA9ot\u0100;o\u20DC\u20DD\u6A80\u0100;l\u20E2\u20E3\u6A82;\u6A84\u0100;e\u20EA\u20ED\uC000\u22DB\uFE00s;\u6A94r;\uC000\u{1D524}\u0100;g\u0673\u061Bmel;\u6137cy;\u4453\u0200;Eaj\u065A\u210C\u210E\u2110;\u6A92;\u6AA5;\u6AA4\u0200Eaes\u211B\u211D\u2129\u2134;\u6269p\u0100;p\u2123\u2124\u6A8Arox\xBB\u2124\u0100;q\u212E\u212F\u6A88\u0100;q\u212E\u211Bim;\u62E7pf;\uC000\u{1D558}\u0100ci\u2143\u2146r;\u610Am\u0180;el\u066B\u214E\u2150;\u6A8E;\u6A90\u8300>;cdlqr\u05EE\u2160\u216A\u216E\u2173\u2179\u0100ci\u2165\u2167;\u6AA7r;\u6A7Aot;\u62D7Par;\u6995uest;\u6A7C\u0280adels\u2184\u216A\u2190\u0656\u219B\u01F0\u2189\0\u218Epro\xF8\u209Er;\u6978q\u0100lq\u063F\u2196les\xF3\u2088i\xED\u066B\u0100en\u21A3\u21ADrtneqq;\uC000\u2269\uFE00\xC5\u21AA\u0500Aabcefkosy\u21C4\u21C7\u21F1\u21F5\u21FA\u2218\u221D\u222F\u2268\u227Dr\xF2\u03A0\u0200ilmr\u21D0\u21D4\u21D7\u21DBrs\xF0\u1484f\xBB\u2024il\xF4\u06A9\u0100dr\u21E0\u21E4cy;\u444A\u0180;cw\u08F4\u21EB\u21EFir;\u6948;\u61ADar;\u610Firc;\u4125\u0180alr\u2201\u220E\u2213rts\u0100;u\u2209\u220A\u6665it\xBB\u220Alip;\u6026con;\u62B9r;\uC000\u{1D525}s\u0100ew\u2223\u2229arow;\u6925arow;\u6926\u0280amopr\u223A\u223E\u2243\u225E\u2263rr;\u61FFtht;\u623Bk\u0100lr\u2249\u2253eftarrow;\u61A9ightarrow;\u61AAf;\uC000\u{1D559}bar;\u6015\u0180clt\u226F\u2274\u2278r;\uC000\u{1D4BD}as\xE8\u21F4rok;\u4127\u0100bp\u2282\u2287ull;\u6043hen\xBB\u1C5B\u0AE1\u22A3\0\u22AA\0\u22B8\u22C5\u22CE\0\u22D5\u22F3\0\0\u22F8\u2322\u2367\u2362\u237F\0\u2386\u23AA\u23B4cute\u803B\xED\u40ED\u0180;iy\u0771\u22B0\u22B5rc\u803B\xEE\u40EE;\u4438\u0100cx\u22BC\u22BFy;\u4435cl\u803B\xA1\u40A1\u0100fr\u039F\u22C9;\uC000\u{1D526}rave\u803B\xEC\u40EC\u0200;ino\u073E\u22DD\u22E9\u22EE\u0100in\u22E2\u22E6nt;\u6A0Ct;\u622Dfin;\u69DCta;\u6129lig;\u4133\u0180aop\u22FE\u231A\u231D\u0180cgt\u2305\u2308\u2317r;\u412B\u0180elp\u071F\u230F\u2313in\xE5\u078Ear\xF4\u0720h;\u4131f;\u62B7ed;\u41B5\u0280;cfot\u04F4\u232C\u2331\u233D\u2341are;\u6105in\u0100;t\u2338\u2339\u621Eie;\u69DDdo\xF4\u2319\u0280;celp\u0757\u234C\u2350\u235B\u2361al;\u62BA\u0100gr\u2355\u2359er\xF3\u1563\xE3\u234Darhk;\u6A17rod;\u6A3C\u0200cgpt\u236F\u2372\u2376\u237By;\u4451on;\u412Ff;\uC000\u{1D55A}a;\u43B9uest\u803B\xBF\u40BF\u0100ci\u238A\u238Fr;\uC000\u{1D4BE}n\u0280;Edsv\u04F4\u239B\u239D\u23A1\u04F3;\u62F9ot;\u62F5\u0100;v\u23A6\u23A7\u62F4;\u62F3\u0100;i\u0777\u23AElde;\u4129\u01EB\u23B8\0\u23BCcy;\u4456l\u803B\xEF\u40EF\u0300cfmosu\u23CC\u23D7\u23DC\u23E1\u23E7\u23F5\u0100iy\u23D1\u23D5rc;\u4135;\u4439r;\uC000\u{1D527}ath;\u4237pf;\uC000\u{1D55B}\u01E3\u23EC\0\u23F1r;\uC000\u{1D4BF}rcy;\u4458kcy;\u4454\u0400acfghjos\u240B\u2416\u2422\u2427\u242D\u2431\u2435\u243Bppa\u0100;v\u2413\u2414\u43BA;\u43F0\u0100ey\u241B\u2420dil;\u4137;\u443Ar;\uC000\u{1D528}reen;\u4138cy;\u4445cy;\u445Cpf;\uC000\u{1D55C}cr;\uC000\u{1D4C0}\u0B80ABEHabcdefghjlmnoprstuv\u2470\u2481\u2486\u248D\u2491\u250E\u253D\u255A\u2580\u264E\u265E\u2665\u2679\u267D\u269A\u26B2\u26D8\u275D\u2768\u278B\u27C0\u2801\u2812\u0180art\u2477\u247A\u247Cr\xF2\u09C6\xF2\u0395ail;\u691Barr;\u690E\u0100;g\u0994\u248B;\u6A8Bar;\u6962\u0963\u24A5\0\u24AA\0\u24B1\0\0\0\0\0\u24B5\u24BA\0\u24C6\u24C8\u24CD\0\u24F9ute;\u413Amptyv;\u69B4ra\xEE\u084Cbda;\u43BBg\u0180;dl\u088E\u24C1\u24C3;\u6991\xE5\u088E;\u6A85uo\u803B\xAB\u40ABr\u0400;bfhlpst\u0899\u24DE\u24E6\u24E9\u24EB\u24EE\u24F1\u24F5\u0100;f\u089D\u24E3s;\u691Fs;\u691D\xEB\u2252p;\u61ABl;\u6939im;\u6973l;\u61A2\u0180;ae\u24FF\u2500\u2504\u6AABil;\u6919\u0100;s\u2509\u250A\u6AAD;\uC000\u2AAD\uFE00\u0180abr\u2515\u2519\u251Drr;\u690Crk;\u6772\u0100ak\u2522\u252Cc\u0100ek\u2528\u252A;\u407B;\u405B\u0100es\u2531\u2533;\u698Bl\u0100du\u2539\u253B;\u698F;\u698D\u0200aeuy\u2546\u254B\u2556\u2558ron;\u413E\u0100di\u2550\u2554il;\u413C\xEC\u08B0\xE2\u2529;\u443B\u0200cqrs\u2563\u2566\u256D\u257Da;\u6936uo\u0100;r\u0E19\u1746\u0100du\u2572\u2577har;\u6967shar;\u694Bh;\u61B2\u0280;fgqs\u258B\u258C\u0989\u25F3\u25FF\u6264t\u0280ahlrt\u2598\u25A4\u25B7\u25C2\u25E8rrow\u0100;t\u0899\u25A1a\xE9\u24F6arpoon\u0100du\u25AF\u25B4own\xBB\u045Ap\xBB\u0966eftarrows;\u61C7ight\u0180ahs\u25CD\u25D6\u25DErrow\u0100;s\u08F4\u08A7arpoon\xF3\u0F98quigarro\xF7\u21F0hreetimes;\u62CB\u0180;qs\u258B\u0993\u25FAlan\xF4\u09AC\u0280;cdgs\u09AC\u260A\u260D\u261D\u2628c;\u6AA8ot\u0100;o\u2614\u2615\u6A7F\u0100;r\u261A\u261B\u6A81;\u6A83\u0100;e\u2622\u2625\uC000\u22DA\uFE00s;\u6A93\u0280adegs\u2633\u2639\u263D\u2649\u264Bppro\xF8\u24C6ot;\u62D6q\u0100gq\u2643\u2645\xF4\u0989gt\xF2\u248C\xF4\u099Bi\xED\u09B2\u0180ilr\u2655\u08E1\u265Asht;\u697C;\uC000\u{1D529}\u0100;E\u099C\u2663;\u6A91\u0161\u2669\u2676r\u0100du\u25B2\u266E\u0100;l\u0965\u2673;\u696Alk;\u6584cy;\u4459\u0280;acht\u0A48\u2688\u268B\u2691\u2696r\xF2\u25C1orne\xF2\u1D08ard;\u696Bri;\u65FA\u0100io\u269F\u26A4dot;\u4140ust\u0100;a\u26AC\u26AD\u63B0che\xBB\u26AD\u0200Eaes\u26BB\u26BD\u26C9\u26D4;\u6268p\u0100;p\u26C3\u26C4\u6A89rox\xBB\u26C4\u0100;q\u26CE\u26CF\u6A87\u0100;q\u26CE\u26BBim;\u62E6\u0400abnoptwz\u26E9\u26F4\u26F7\u271A\u272F\u2741\u2747\u2750\u0100nr\u26EE\u26F1g;\u67ECr;\u61FDr\xEB\u08C1g\u0180lmr\u26FF\u270D\u2714eft\u0100ar\u09E6\u2707ight\xE1\u09F2apsto;\u67FCight\xE1\u09FDparrow\u0100lr\u2725\u2729ef\xF4\u24EDight;\u61AC\u0180afl\u2736\u2739\u273Dr;\u6985;\uC000\u{1D55D}us;\u6A2Dimes;\u6A34\u0161\u274B\u274Fst;\u6217\xE1\u134E\u0180;ef\u2757\u2758\u1800\u65CAnge\xBB\u2758ar\u0100;l\u2764\u2765\u4028t;\u6993\u0280achmt\u2773\u2776\u277C\u2785\u2787r\xF2\u08A8orne\xF2\u1D8Car\u0100;d\u0F98\u2783;\u696D;\u600Eri;\u62BF\u0300achiqt\u2798\u279D\u0A40\u27A2\u27AE\u27BBquo;\u6039r;\uC000\u{1D4C1}m\u0180;eg\u09B2\u27AA\u27AC;\u6A8D;\u6A8F\u0100bu\u252A\u27B3o\u0100;r\u0E1F\u27B9;\u601Arok;\u4142\u8400<;cdhilqr\u082B\u27D2\u2639\u27DC\u27E0\u27E5\u27EA\u27F0\u0100ci\u27D7\u27D9;\u6AA6r;\u6A79re\xE5\u25F2mes;\u62C9arr;\u6976uest;\u6A7B\u0100Pi\u27F5\u27F9ar;\u6996\u0180;ef\u2800\u092D\u181B\u65C3r\u0100du\u2807\u280Dshar;\u694Ahar;\u6966\u0100en\u2817\u2821rtneqq;\uC000\u2268\uFE00\xC5\u281E\u0700Dacdefhilnopsu\u2840\u2845\u2882\u288E\u2893\u28A0\u28A5\u28A8\u28DA\u28E2\u28E4\u0A83\u28F3\u2902Dot;\u623A\u0200clpr\u284E\u2852\u2863\u287Dr\u803B\xAF\u40AF\u0100et\u2857\u2859;\u6642\u0100;e\u285E\u285F\u6720se\xBB\u285F\u0100;s\u103B\u2868to\u0200;dlu\u103B\u2873\u2877\u287Bow\xEE\u048Cef\xF4\u090F\xF0\u13D1ker;\u65AE\u0100oy\u2887\u288Cmma;\u6A29;\u443Cash;\u6014asuredangle\xBB\u1626r;\uC000\u{1D52A}o;\u6127\u0180cdn\u28AF\u28B4\u28C9ro\u803B\xB5\u40B5\u0200;acd\u1464\u28BD\u28C0\u28C4s\xF4\u16A7ir;\u6AF0ot\u80BB\xB7\u01B5us\u0180;bd\u28D2\u1903\u28D3\u6212\u0100;u\u1D3C\u28D8;\u6A2A\u0163\u28DE\u28E1p;\u6ADB\xF2\u2212\xF0\u0A81\u0100dp\u28E9\u28EEels;\u62A7f;\uC000\u{1D55E}\u0100ct\u28F8\u28FDr;\uC000\u{1D4C2}pos\xBB\u159D\u0180;lm\u2909\u290A\u290D\u43BCtimap;\u62B8\u0C00GLRVabcdefghijlmoprstuvw\u2942\u2953\u297E\u2989\u2998\u29DA\u29E9\u2A15\u2A1A\u2A58\u2A5D\u2A83\u2A95\u2AA4\u2AA8\u2B04\u2B07\u2B44\u2B7F\u2BAE\u2C34\u2C67\u2C7C\u2CE9\u0100gt\u2947\u294B;\uC000\u22D9\u0338\u0100;v\u2950\u0BCF\uC000\u226B\u20D2\u0180elt\u295A\u2972\u2976ft\u0100ar\u2961\u2967rrow;\u61CDightarrow;\u61CE;\uC000\u22D8\u0338\u0100;v\u297B\u0C47\uC000\u226A\u20D2ightarrow;\u61CF\u0100Dd\u298E\u2993ash;\u62AFash;\u62AE\u0280bcnpt\u29A3\u29A7\u29AC\u29B1\u29CCla\xBB\u02DEute;\u4144g;\uC000\u2220\u20D2\u0280;Eiop\u0D84\u29BC\u29C0\u29C5\u29C8;\uC000\u2A70\u0338d;\uC000\u224B\u0338s;\u4149ro\xF8\u0D84ur\u0100;a\u29D3\u29D4\u666El\u0100;s\u29D3\u0B38\u01F3\u29DF\0\u29E3p\u80BB\xA0\u0B37mp\u0100;e\u0BF9\u0C00\u0280aeouy\u29F4\u29FE\u2A03\u2A10\u2A13\u01F0\u29F9\0\u29FB;\u6A43on;\u4148dil;\u4146ng\u0100;d\u0D7E\u2A0Aot;\uC000\u2A6D\u0338p;\u6A42;\u443Dash;\u6013\u0380;Aadqsx\u0B92\u2A29\u2A2D\u2A3B\u2A41\u2A45\u2A50rr;\u61D7r\u0100hr\u2A33\u2A36k;\u6924\u0100;o\u13F2\u13F0ot;\uC000\u2250\u0338ui\xF6\u0B63\u0100ei\u2A4A\u2A4Ear;\u6928\xED\u0B98ist\u0100;s\u0BA0\u0B9Fr;\uC000\u{1D52B}\u0200Eest\u0BC5\u2A66\u2A79\u2A7C\u0180;qs\u0BBC\u2A6D\u0BE1\u0180;qs\u0BBC\u0BC5\u2A74lan\xF4\u0BE2i\xED\u0BEA\u0100;r\u0BB6\u2A81\xBB\u0BB7\u0180Aap\u2A8A\u2A8D\u2A91r\xF2\u2971rr;\u61AEar;\u6AF2\u0180;sv\u0F8D\u2A9C\u0F8C\u0100;d\u2AA1\u2AA2\u62FC;\u62FAcy;\u445A\u0380AEadest\u2AB7\u2ABA\u2ABE\u2AC2\u2AC5\u2AF6\u2AF9r\xF2\u2966;\uC000\u2266\u0338rr;\u619Ar;\u6025\u0200;fqs\u0C3B\u2ACE\u2AE3\u2AEFt\u0100ar\u2AD4\u2AD9rro\xF7\u2AC1ightarro\xF7\u2A90\u0180;qs\u0C3B\u2ABA\u2AEAlan\xF4\u0C55\u0100;s\u0C55\u2AF4\xBB\u0C36i\xED\u0C5D\u0100;r\u0C35\u2AFEi\u0100;e\u0C1A\u0C25i\xE4\u0D90\u0100pt\u2B0C\u2B11f;\uC000\u{1D55F}\u8180\xAC;in\u2B19\u2B1A\u2B36\u40ACn\u0200;Edv\u0B89\u2B24\u2B28\u2B2E;\uC000\u22F9\u0338ot;\uC000\u22F5\u0338\u01E1\u0B89\u2B33\u2B35;\u62F7;\u62F6i\u0100;v\u0CB8\u2B3C\u01E1\u0CB8\u2B41\u2B43;\u62FE;\u62FD\u0180aor\u2B4B\u2B63\u2B69r\u0200;ast\u0B7B\u2B55\u2B5A\u2B5Flle\xEC\u0B7Bl;\uC000\u2AFD\u20E5;\uC000\u2202\u0338lint;\u6A14\u0180;ce\u0C92\u2B70\u2B73u\xE5\u0CA5\u0100;c\u0C98\u2B78\u0100;e\u0C92\u2B7D\xF1\u0C98\u0200Aait\u2B88\u2B8B\u2B9D\u2BA7r\xF2\u2988rr\u0180;cw\u2B94\u2B95\u2B99\u619B;\uC000\u2933\u0338;\uC000\u219D\u0338ghtarrow\xBB\u2B95ri\u0100;e\u0CCB\u0CD6\u0380chimpqu\u2BBD\u2BCD\u2BD9\u2B04\u0B78\u2BE4\u2BEF\u0200;cer\u0D32\u2BC6\u0D37\u2BC9u\xE5\u0D45;\uC000\u{1D4C3}ort\u026D\u2B05\0\0\u2BD6ar\xE1\u2B56m\u0100;e\u0D6E\u2BDF\u0100;q\u0D74\u0D73su\u0100bp\u2BEB\u2BED\xE5\u0CF8\xE5\u0D0B\u0180bcp\u2BF6\u2C11\u2C19\u0200;Ees\u2BFF\u2C00\u0D22\u2C04\u6284;\uC000\u2AC5\u0338et\u0100;e\u0D1B\u2C0Bq\u0100;q\u0D23\u2C00c\u0100;e\u0D32\u2C17\xF1\u0D38\u0200;Ees\u2C22\u2C23\u0D5F\u2C27\u6285;\uC000\u2AC6\u0338et\u0100;e\u0D58\u2C2Eq\u0100;q\u0D60\u2C23\u0200gilr\u2C3D\u2C3F\u2C45\u2C47\xEC\u0BD7lde\u803B\xF1\u40F1\xE7\u0C43iangle\u0100lr\u2C52\u2C5Ceft\u0100;e\u0C1A\u2C5A\xF1\u0C26ight\u0100;e\u0CCB\u2C65\xF1\u0CD7\u0100;m\u2C6C\u2C6D\u43BD\u0180;es\u2C74\u2C75\u2C79\u4023ro;\u6116p;\u6007\u0480DHadgilrs\u2C8F\u2C94\u2C99\u2C9E\u2CA3\u2CB0\u2CB6\u2CD3\u2CE3ash;\u62ADarr;\u6904p;\uC000\u224D\u20D2ash;\u62AC\u0100et\u2CA8\u2CAC;\uC000\u2265\u20D2;\uC000>\u20D2nfin;\u69DE\u0180Aet\u2CBD\u2CC1\u2CC5rr;\u6902;\uC000\u2264\u20D2\u0100;r\u2CCA\u2CCD\uC000<\u20D2ie;\uC000\u22B4\u20D2\u0100At\u2CD8\u2CDCrr;\u6903rie;\uC000\u22B5\u20D2im;\uC000\u223C\u20D2\u0180Aan\u2CF0\u2CF4\u2D02rr;\u61D6r\u0100hr\u2CFA\u2CFDk;\u6923\u0100;o\u13E7\u13E5ear;\u6927\u1253\u1A95\0\0\0\0\0\0\0\0\0\0\0\0\0\u2D2D\0\u2D38\u2D48\u2D60\u2D65\u2D72\u2D84\u1B07\0\0\u2D8D\u2DAB\0\u2DC8\u2DCE\0\u2DDC\u2E19\u2E2B\u2E3E\u2E43\u0100cs\u2D31\u1A97ute\u803B\xF3\u40F3\u0100iy\u2D3C\u2D45r\u0100;c\u1A9E\u2D42\u803B\xF4\u40F4;\u443E\u0280abios\u1AA0\u2D52\u2D57\u01C8\u2D5Alac;\u4151v;\u6A38old;\u69BClig;\u4153\u0100cr\u2D69\u2D6Dir;\u69BF;\uC000\u{1D52C}\u036F\u2D79\0\0\u2D7C\0\u2D82n;\u42DBave\u803B\xF2\u40F2;\u69C1\u0100bm\u2D88\u0DF4ar;\u69B5\u0200acit\u2D95\u2D98\u2DA5\u2DA8r\xF2\u1A80\u0100ir\u2D9D\u2DA0r;\u69BEoss;\u69BBn\xE5\u0E52;\u69C0\u0180aei\u2DB1\u2DB5\u2DB9cr;\u414Dga;\u43C9\u0180cdn\u2DC0\u2DC5\u01CDron;\u43BF;\u69B6pf;\uC000\u{1D560}\u0180ael\u2DD4\u2DD7\u01D2r;\u69B7rp;\u69B9\u0380;adiosv\u2DEA\u2DEB\u2DEE\u2E08\u2E0D\u2E10\u2E16\u6228r\xF2\u1A86\u0200;efm\u2DF7\u2DF8\u2E02\u2E05\u6A5Dr\u0100;o\u2DFE\u2DFF\u6134f\xBB\u2DFF\u803B\xAA\u40AA\u803B\xBA\u40BAgof;\u62B6r;\u6A56lope;\u6A57;\u6A5B\u0180clo\u2E1F\u2E21\u2E27\xF2\u2E01ash\u803B\xF8\u40F8l;\u6298i\u016C\u2E2F\u2E34de\u803B\xF5\u40F5es\u0100;a\u01DB\u2E3As;\u6A36ml\u803B\xF6\u40F6bar;\u633D\u0AE1\u2E5E\0\u2E7D\0\u2E80\u2E9D\0\u2EA2\u2EB9\0\0\u2ECB\u0E9C\0\u2F13\0\0\u2F2B\u2FBC\0\u2FC8r\u0200;ast\u0403\u2E67\u2E72\u0E85\u8100\xB6;l\u2E6D\u2E6E\u40B6le\xEC\u0403\u0269\u2E78\0\0\u2E7Bm;\u6AF3;\u6AFDy;\u443Fr\u0280cimpt\u2E8B\u2E8F\u2E93\u1865\u2E97nt;\u4025od;\u402Eil;\u6030enk;\u6031r;\uC000\u{1D52D}\u0180imo\u2EA8\u2EB0\u2EB4\u0100;v\u2EAD\u2EAE\u43C6;\u43D5ma\xF4\u0A76ne;\u660E\u0180;tv\u2EBF\u2EC0\u2EC8\u43C0chfork\xBB\u1FFD;\u43D6\u0100au\u2ECF\u2EDFn\u0100ck\u2ED5\u2EDDk\u0100;h\u21F4\u2EDB;\u610E\xF6\u21F4s\u0480;abcdemst\u2EF3\u2EF4\u1908\u2EF9\u2EFD\u2F04\u2F06\u2F0A\u2F0E\u402Bcir;\u6A23ir;\u6A22\u0100ou\u1D40\u2F02;\u6A25;\u6A72n\u80BB\xB1\u0E9Dim;\u6A26wo;\u6A27\u0180ipu\u2F19\u2F20\u2F25ntint;\u6A15f;\uC000\u{1D561}nd\u803B\xA3\u40A3\u0500;Eaceinosu\u0EC8\u2F3F\u2F41\u2F44\u2F47\u2F81\u2F89\u2F92\u2F7E\u2FB6;\u6AB3p;\u6AB7u\xE5\u0ED9\u0100;c\u0ECE\u2F4C\u0300;acens\u0EC8\u2F59\u2F5F\u2F66\u2F68\u2F7Eppro\xF8\u2F43urlye\xF1\u0ED9\xF1\u0ECE\u0180aes\u2F6F\u2F76\u2F7Approx;\u6AB9qq;\u6AB5im;\u62E8i\xED\u0EDFme\u0100;s\u2F88\u0EAE\u6032\u0180Eas\u2F78\u2F90\u2F7A\xF0\u2F75\u0180dfp\u0EEC\u2F99\u2FAF\u0180als\u2FA0\u2FA5\u2FAAlar;\u632Eine;\u6312urf;\u6313\u0100;t\u0EFB\u2FB4\xEF\u0EFBrel;\u62B0\u0100ci\u2FC0\u2FC5r;\uC000\u{1D4C5};\u43C8ncsp;\u6008\u0300fiopsu\u2FDA\u22E2\u2FDF\u2FE5\u2FEB\u2FF1r;\uC000\u{1D52E}pf;\uC000\u{1D562}rime;\u6057cr;\uC000\u{1D4C6}\u0180aeo\u2FF8\u3009\u3013t\u0100ei\u2FFE\u3005rnion\xF3\u06B0nt;\u6A16st\u0100;e\u3010\u3011\u403F\xF1\u1F19\xF4\u0F14\u0A80ABHabcdefhilmnoprstux\u3040\u3051\u3055\u3059\u30E0\u310E\u312B\u3147\u3162\u3172\u318E\u3206\u3215\u3224\u3229\u3258\u326E\u3272\u3290\u32B0\u32B7\u0180art\u3047\u304A\u304Cr\xF2\u10B3\xF2\u03DDail;\u691Car\xF2\u1C65ar;\u6964\u0380cdenqrt\u3068\u3075\u3078\u307F\u308F\u3094\u30CC\u0100eu\u306D\u3071;\uC000\u223D\u0331te;\u4155i\xE3\u116Emptyv;\u69B3g\u0200;del\u0FD1\u3089\u308B\u308D;\u6992;\u69A5\xE5\u0FD1uo\u803B\xBB\u40BBr\u0580;abcfhlpstw\u0FDC\u30AC\u30AF\u30B7\u30B9\u30BC\u30BE\u30C0\u30C3\u30C7\u30CAp;\u6975\u0100;f\u0FE0\u30B4s;\u6920;\u6933s;\u691E\xEB\u225D\xF0\u272El;\u6945im;\u6974l;\u61A3;\u619D\u0100ai\u30D1\u30D5il;\u691Ao\u0100;n\u30DB\u30DC\u6236al\xF3\u0F1E\u0180abr\u30E7\u30EA\u30EEr\xF2\u17E5rk;\u6773\u0100ak\u30F3\u30FDc\u0100ek\u30F9\u30FB;\u407D;\u405D\u0100es\u3102\u3104;\u698Cl\u0100du\u310A\u310C;\u698E;\u6990\u0200aeuy\u3117\u311C\u3127\u3129ron;\u4159\u0100di\u3121\u3125il;\u4157\xEC\u0FF2\xE2\u30FA;\u4440\u0200clqs\u3134\u3137\u313D\u3144a;\u6937dhar;\u6969uo\u0100;r\u020E\u020Dh;\u61B3\u0180acg\u314E\u315F\u0F44l\u0200;ips\u0F78\u3158\u315B\u109Cn\xE5\u10BBar\xF4\u0FA9t;\u65AD\u0180ilr\u3169\u1023\u316Esht;\u697D;\uC000\u{1D52F}\u0100ao\u3177\u3186r\u0100du\u317D\u317F\xBB\u047B\u0100;l\u1091\u3184;\u696C\u0100;v\u318B\u318C\u43C1;\u43F1\u0180gns\u3195\u31F9\u31FCht\u0300ahlrst\u31A4\u31B0\u31C2\u31D8\u31E4\u31EErrow\u0100;t\u0FDC\u31ADa\xE9\u30C8arpoon\u0100du\u31BB\u31BFow\xEE\u317Ep\xBB\u1092eft\u0100ah\u31CA\u31D0rrow\xF3\u0FEAarpoon\xF3\u0551ightarrows;\u61C9quigarro\xF7\u30CBhreetimes;\u62CCg;\u42DAingdotse\xF1\u1F32\u0180ahm\u320D\u3210\u3213r\xF2\u0FEAa\xF2\u0551;\u600Foust\u0100;a\u321E\u321F\u63B1che\xBB\u321Fmid;\u6AEE\u0200abpt\u3232\u323D\u3240\u3252\u0100nr\u3237\u323Ag;\u67EDr;\u61FEr\xEB\u1003\u0180afl\u3247\u324A\u324Er;\u6986;\uC000\u{1D563}us;\u6A2Eimes;\u6A35\u0100ap\u325D\u3267r\u0100;g\u3263\u3264\u4029t;\u6994olint;\u6A12ar\xF2\u31E3\u0200achq\u327B\u3280\u10BC\u3285quo;\u603Ar;\uC000\u{1D4C7}\u0100bu\u30FB\u328Ao\u0100;r\u0214\u0213\u0180hir\u3297\u329B\u32A0re\xE5\u31F8mes;\u62CAi\u0200;efl\u32AA\u1059\u1821\u32AB\u65B9tri;\u69CEluhar;\u6968;\u611E\u0D61\u32D5\u32DB\u32DF\u332C\u3338\u3371\0\u337A\u33A4\0\0\u33EC\u33F0\0\u3428\u3448\u345A\u34AD\u34B1\u34CA\u34F1\0\u3616\0\0\u3633cute;\u415Bqu\xEF\u27BA\u0500;Eaceinpsy\u11ED\u32F3\u32F5\u32FF\u3302\u330B\u330F\u331F\u3326\u3329;\u6AB4\u01F0\u32FA\0\u32FC;\u6AB8on;\u4161u\xE5\u11FE\u0100;d\u11F3\u3307il;\u415Frc;\u415D\u0180Eas\u3316\u3318\u331B;\u6AB6p;\u6ABAim;\u62E9olint;\u6A13i\xED\u1204;\u4441ot\u0180;be\u3334\u1D47\u3335\u62C5;\u6A66\u0380Aacmstx\u3346\u334A\u3357\u335B\u335E\u3363\u336Drr;\u61D8r\u0100hr\u3350\u3352\xEB\u2228\u0100;o\u0A36\u0A34t\u803B\xA7\u40A7i;\u403Bwar;\u6929m\u0100in\u3369\xF0nu\xF3\xF1t;\u6736r\u0100;o\u3376\u2055\uC000\u{1D530}\u0200acoy\u3382\u3386\u3391\u33A0rp;\u666F\u0100hy\u338B\u338Fcy;\u4449;\u4448rt\u026D\u3399\0\0\u339Ci\xE4\u1464ara\xEC\u2E6F\u803B\xAD\u40AD\u0100gm\u33A8\u33B4ma\u0180;fv\u33B1\u33B2\u33B2\u43C3;\u43C2\u0400;deglnpr\u12AB\u33C5\u33C9\u33CE\u33D6\u33DE\u33E1\u33E6ot;\u6A6A\u0100;q\u12B1\u12B0\u0100;E\u33D3\u33D4\u6A9E;\u6AA0\u0100;E\u33DB\u33DC\u6A9D;\u6A9Fe;\u6246lus;\u6A24arr;\u6972ar\xF2\u113D\u0200aeit\u33F8\u3408\u340F\u3417\u0100ls\u33FD\u3404lsetm\xE9\u336Ahp;\u6A33parsl;\u69E4\u0100dl\u1463\u3414e;\u6323\u0100;e\u341C\u341D\u6AAA\u0100;s\u3422\u3423\u6AAC;\uC000\u2AAC\uFE00\u0180flp\u342E\u3433\u3442tcy;\u444C\u0100;b\u3438\u3439\u402F\u0100;a\u343E\u343F\u69C4r;\u633Ff;\uC000\u{1D564}a\u0100dr\u344D\u0402es\u0100;u\u3454\u3455\u6660it\xBB\u3455\u0180csu\u3460\u3479\u349F\u0100au\u3465\u346Fp\u0100;s\u1188\u346B;\uC000\u2293\uFE00p\u0100;s\u11B4\u3475;\uC000\u2294\uFE00u\u0100bp\u347F\u348F\u0180;es\u1197\u119C\u3486et\u0100;e\u1197\u348D\xF1\u119D\u0180;es\u11A8\u11AD\u3496et\u0100;e\u11A8\u349D\xF1\u11AE\u0180;af\u117B\u34A6\u05B0r\u0165\u34AB\u05B1\xBB\u117Car\xF2\u1148\u0200cemt\u34B9\u34BE\u34C2\u34C5r;\uC000\u{1D4C8}tm\xEE\xF1i\xEC\u3415ar\xE6\u11BE\u0100ar\u34CE\u34D5r\u0100;f\u34D4\u17BF\u6606\u0100an\u34DA\u34EDight\u0100ep\u34E3\u34EApsilo\xEE\u1EE0h\xE9\u2EAFs\xBB\u2852\u0280bcmnp\u34FB\u355E\u1209\u358B\u358E\u0480;Edemnprs\u350E\u350F\u3511\u3515\u351E\u3523\u352C\u3531\u3536\u6282;\u6AC5ot;\u6ABD\u0100;d\u11DA\u351Aot;\u6AC3ult;\u6AC1\u0100Ee\u3528\u352A;\u6ACB;\u628Alus;\u6ABFarr;\u6979\u0180eiu\u353D\u3552\u3555t\u0180;en\u350E\u3545\u354Bq\u0100;q\u11DA\u350Feq\u0100;q\u352B\u3528m;\u6AC7\u0100bp\u355A\u355C;\u6AD5;\u6AD3c\u0300;acens\u11ED\u356C\u3572\u3579\u357B\u3326ppro\xF8\u32FAurlye\xF1\u11FE\xF1\u11F3\u0180aes\u3582\u3588\u331Bppro\xF8\u331Aq\xF1\u3317g;\u666A\u0680123;Edehlmnps\u35A9\u35AC\u35AF\u121C\u35B2\u35B4\u35C0\u35C9\u35D5\u35DA\u35DF\u35E8\u35ED\u803B\xB9\u40B9\u803B\xB2\u40B2\u803B\xB3\u40B3;\u6AC6\u0100os\u35B9\u35BCt;\u6ABEub;\u6AD8\u0100;d\u1222\u35C5ot;\u6AC4s\u0100ou\u35CF\u35D2l;\u67C9b;\u6AD7arr;\u697Bult;\u6AC2\u0100Ee\u35E4\u35E6;\u6ACC;\u628Blus;\u6AC0\u0180eiu\u35F4\u3609\u360Ct\u0180;en\u121C\u35FC\u3602q\u0100;q\u1222\u35B2eq\u0100;q\u35E7\u35E4m;\u6AC8\u0100bp\u3611\u3613;\u6AD4;\u6AD6\u0180Aan\u361C\u3620\u362Drr;\u61D9r\u0100hr\u3626\u3628\xEB\u222E\u0100;o\u0A2B\u0A29war;\u692Alig\u803B\xDF\u40DF\u0BE1\u3651\u365D\u3660\u12CE\u3673\u3679\0\u367E\u36C2\0\0\0\0\0\u36DB\u3703\0\u3709\u376C\0\0\0\u3787\u0272\u3656\0\0\u365Bget;\u6316;\u43C4r\xEB\u0E5F\u0180aey\u3666\u366B\u3670ron;\u4165dil;\u4163;\u4442lrec;\u6315r;\uC000\u{1D531}\u0200eiko\u3686\u369D\u36B5\u36BC\u01F2\u368B\0\u3691e\u01004f\u1284\u1281a\u0180;sv\u3698\u3699\u369B\u43B8ym;\u43D1\u0100cn\u36A2\u36B2k\u0100as\u36A8\u36AEppro\xF8\u12C1im\xBB\u12ACs\xF0\u129E\u0100as\u36BA\u36AE\xF0\u12C1rn\u803B\xFE\u40FE\u01EC\u031F\u36C6\u22E7es\u8180\xD7;bd\u36CF\u36D0\u36D8\u40D7\u0100;a\u190F\u36D5r;\u6A31;\u6A30\u0180eps\u36E1\u36E3\u3700\xE1\u2A4D\u0200;bcf\u0486\u36EC\u36F0\u36F4ot;\u6336ir;\u6AF1\u0100;o\u36F9\u36FC\uC000\u{1D565}rk;\u6ADA\xE1\u3362rime;\u6034\u0180aip\u370F\u3712\u3764d\xE5\u1248\u0380adempst\u3721\u374D\u3740\u3751\u3757\u375C\u375Fngle\u0280;dlqr\u3730\u3731\u3736\u3740\u3742\u65B5own\xBB\u1DBBeft\u0100;e\u2800\u373E\xF1\u092E;\u625Cight\u0100;e\u32AA\u374B\xF1\u105Aot;\u65ECinus;\u6A3Alus;\u6A39b;\u69CDime;\u6A3Bezium;\u63E2\u0180cht\u3772\u377D\u3781\u0100ry\u3777\u377B;\uC000\u{1D4C9};\u4446cy;\u445Brok;\u4167\u0100io\u378B\u378Ex\xF4\u1777head\u0100lr\u3797\u37A0eftarro\xF7\u084Fightarrow\xBB\u0F5D\u0900AHabcdfghlmoprstuw\u37D0\u37D3\u37D7\u37E4\u37F0\u37FC\u380E\u381C\u3823\u3834\u3851\u385D\u386B\u38A9\u38CC\u38D2\u38EA\u38F6r\xF2\u03EDar;\u6963\u0100cr\u37DC\u37E2ute\u803B\xFA\u40FA\xF2\u1150r\u01E3\u37EA\0\u37EDy;\u445Eve;\u416D\u0100iy\u37F5\u37FArc\u803B\xFB\u40FB;\u4443\u0180abh\u3803\u3806\u380Br\xF2\u13ADlac;\u4171a\xF2\u13C3\u0100ir\u3813\u3818sht;\u697E;\uC000\u{1D532}rave\u803B\xF9\u40F9\u0161\u3827\u3831r\u0100lr\u382C\u382E\xBB\u0957\xBB\u1083lk;\u6580\u0100ct\u3839\u384D\u026F\u383F\0\0\u384Arn\u0100;e\u3845\u3846\u631Cr\xBB\u3846op;\u630Fri;\u65F8\u0100al\u3856\u385Acr;\u416B\u80BB\xA8\u0349\u0100gp\u3862\u3866on;\u4173f;\uC000\u{1D566}\u0300adhlsu\u114B\u3878\u387D\u1372\u3891\u38A0own\xE1\u13B3arpoon\u0100lr\u3888\u388Cef\xF4\u382Digh\xF4\u382Fi\u0180;hl\u3899\u389A\u389C\u43C5\xBB\u13FAon\xBB\u389Aparrows;\u61C8\u0180cit\u38B0\u38C4\u38C8\u026F\u38B6\0\0\u38C1rn\u0100;e\u38BC\u38BD\u631Dr\xBB\u38BDop;\u630Eng;\u416Fri;\u65F9cr;\uC000\u{1D4CA}\u0180dir\u38D9\u38DD\u38E2ot;\u62F0lde;\u4169i\u0100;f\u3730\u38E8\xBB\u1813\u0100am\u38EF\u38F2r\xF2\u38A8l\u803B\xFC\u40FCangle;\u69A7\u0780ABDacdeflnoprsz\u391C\u391F\u3929\u392D\u39B5\u39B8\u39BD\u39DF\u39E4\u39E8\u39F3\u39F9\u39FD\u3A01\u3A20r\xF2\u03F7ar\u0100;v\u3926\u3927\u6AE8;\u6AE9as\xE8\u03E1\u0100nr\u3932\u3937grt;\u699C\u0380eknprst\u34E3\u3946\u394B\u3952\u395D\u3964\u3996app\xE1\u2415othin\xE7\u1E96\u0180hir\u34EB\u2EC8\u3959op\xF4\u2FB5\u0100;h\u13B7\u3962\xEF\u318D\u0100iu\u3969\u396Dgm\xE1\u33B3\u0100bp\u3972\u3984setneq\u0100;q\u397D\u3980\uC000\u228A\uFE00;\uC000\u2ACB\uFE00setneq\u0100;q\u398F\u3992\uC000\u228B\uFE00;\uC000\u2ACC\uFE00\u0100hr\u399B\u399Fet\xE1\u369Ciangle\u0100lr\u39AA\u39AFeft\xBB\u0925ight\xBB\u1051y;\u4432ash\xBB\u1036\u0180elr\u39C4\u39D2\u39D7\u0180;be\u2DEA\u39CB\u39CFar;\u62BBq;\u625Alip;\u62EE\u0100bt\u39DC\u1468a\xF2\u1469r;\uC000\u{1D533}tr\xE9\u39AEsu\u0100bp\u39EF\u39F1\xBB\u0D1C\xBB\u0D59pf;\uC000\u{1D567}ro\xF0\u0EFBtr\xE9\u39B4\u0100cu\u3A06\u3A0Br;\uC000\u{1D4CB}\u0100bp\u3A10\u3A18n\u0100Ee\u3980\u3A16\xBB\u397En\u0100Ee\u3992\u3A1E\xBB\u3990igzag;\u699A\u0380cefoprs\u3A36\u3A3B\u3A56\u3A5B\u3A54\u3A61\u3A6Airc;\u4175\u0100di\u3A40\u3A51\u0100bg\u3A45\u3A49ar;\u6A5Fe\u0100;q\u15FA\u3A4F;\u6259erp;\u6118r;\uC000\u{1D534}pf;\uC000\u{1D568}\u0100;e\u1479\u3A66at\xE8\u1479cr;\uC000\u{1D4CC}\u0AE3\u178E\u3A87\0\u3A8B\0\u3A90\u3A9B\0\0\u3A9D\u3AA8\u3AAB\u3AAF\0\0\u3AC3\u3ACE\0\u3AD8\u17DC\u17DFtr\xE9\u17D1r;\uC000\u{1D535}\u0100Aa\u3A94\u3A97r\xF2\u03C3r\xF2\u09F6;\u43BE\u0100Aa\u3AA1\u3AA4r\xF2\u03B8r\xF2\u09EBa\xF0\u2713is;\u62FB\u0180dpt\u17A4\u3AB5\u3ABE\u0100fl\u3ABA\u17A9;\uC000\u{1D569}im\xE5\u17B2\u0100Aa\u3AC7\u3ACAr\xF2\u03CEr\xF2\u0A01\u0100cq\u3AD2\u17B8r;\uC000\u{1D4CD}\u0100pt\u17D6\u3ADCr\xE9\u17D4\u0400acefiosu\u3AF0\u3AFD\u3B08\u3B0C\u3B11\u3B15\u3B1B\u3B21c\u0100uy\u3AF6\u3AFBte\u803B\xFD\u40FD;\u444F\u0100iy\u3B02\u3B06rc;\u4177;\u444Bn\u803B\xA5\u40A5r;\uC000\u{1D536}cy;\u4457pf;\uC000\u{1D56A}cr;\uC000\u{1D4CE}\u0100cm\u3B26\u3B29y;\u444El\u803B\xFF\u40FF\u0500acdefhiosw\u3B42\u3B48\u3B54\u3B58\u3B64\u3B69\u3B6D\u3B74\u3B7A\u3B80cute;\u417A\u0100ay\u3B4D\u3B52ron;\u417E;\u4437ot;\u417C\u0100et\u3B5D\u3B61tr\xE6\u155Fa;\u43B6r;\uC000\u{1D537}cy;\u4436grarr;\u61DDpf;\uC000\u{1D56B}cr;\uC000\u{1D4CF}\u0100jn\u3B85\u3B87;\u600Dj;\u600C'.split("").map(function(c) {
        return c.charCodeAt(0);
      })
    );
  }
});

// ../../../node_modules/entities/lib/generated/decode-data-xml.js
var require_decode_data_xml = __commonJS({
  "../../../node_modules/entities/lib/generated/decode-data-xml.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.default = new Uint16Array(
      // prettier-ignore
      "\u0200aglq	\x1B\u026D\0\0p;\u4026os;\u4027t;\u403Et;\u403Cuot;\u4022".split("").map(function(c) {
        return c.charCodeAt(0);
      })
    );
  }
});

// ../../../node_modules/entities/lib/decode_codepoint.js
var require_decode_codepoint = __commonJS({
  "../../../node_modules/entities/lib/decode_codepoint.js"(exports) {
    "use strict";
    var _a;
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.replaceCodePoint = exports.fromCodePoint = void 0;
    var decodeMap = /* @__PURE__ */ new Map([
      [0, 65533],
      // C1 Unicode control character reference replacements
      [128, 8364],
      [130, 8218],
      [131, 402],
      [132, 8222],
      [133, 8230],
      [134, 8224],
      [135, 8225],
      [136, 710],
      [137, 8240],
      [138, 352],
      [139, 8249],
      [140, 338],
      [142, 381],
      [145, 8216],
      [146, 8217],
      [147, 8220],
      [148, 8221],
      [149, 8226],
      [150, 8211],
      [151, 8212],
      [152, 732],
      [153, 8482],
      [154, 353],
      [155, 8250],
      [156, 339],
      [158, 382],
      [159, 376]
    ]);
    exports.fromCodePoint = // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition, node/no-unsupported-features/es-builtins
    (_a = String.fromCodePoint) !== null && _a !== void 0 ? _a : function(codePoint) {
      var output = "";
      if (codePoint > 65535) {
        codePoint -= 65536;
        output += String.fromCharCode(codePoint >>> 10 & 1023 | 55296);
        codePoint = 56320 | codePoint & 1023;
      }
      output += String.fromCharCode(codePoint);
      return output;
    };
    function replaceCodePoint(codePoint) {
      var _a2;
      if (codePoint >= 55296 && codePoint <= 57343 || codePoint > 1114111) {
        return 65533;
      }
      return (_a2 = decodeMap.get(codePoint)) !== null && _a2 !== void 0 ? _a2 : codePoint;
    }
    exports.replaceCodePoint = replaceCodePoint;
    function decodeCodePoint(codePoint) {
      return (0, exports.fromCodePoint)(replaceCodePoint(codePoint));
    }
    exports.default = decodeCodePoint;
  }
});

// ../../../node_modules/entities/lib/decode.js
var require_decode = __commonJS({
  "../../../node_modules/entities/lib/decode.js"(exports) {
    "use strict";
    var __createBinding = exports && exports.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports && exports.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports && exports.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    var __importDefault = exports && exports.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.decodeXML = exports.decodeHTMLStrict = exports.decodeHTMLAttribute = exports.decodeHTML = exports.determineBranch = exports.EntityDecoder = exports.DecodingMode = exports.BinTrieFlags = exports.fromCodePoint = exports.replaceCodePoint = exports.decodeCodePoint = exports.xmlDecodeTree = exports.htmlDecodeTree = void 0;
    var decode_data_html_js_1 = __importDefault(require_decode_data_html());
    exports.htmlDecodeTree = decode_data_html_js_1.default;
    var decode_data_xml_js_1 = __importDefault(require_decode_data_xml());
    exports.xmlDecodeTree = decode_data_xml_js_1.default;
    var decode_codepoint_js_1 = __importStar(require_decode_codepoint());
    exports.decodeCodePoint = decode_codepoint_js_1.default;
    var decode_codepoint_js_2 = require_decode_codepoint();
    Object.defineProperty(exports, "replaceCodePoint", { enumerable: true, get: function() {
      return decode_codepoint_js_2.replaceCodePoint;
    } });
    Object.defineProperty(exports, "fromCodePoint", { enumerable: true, get: function() {
      return decode_codepoint_js_2.fromCodePoint;
    } });
    var CharCodes;
    (function(CharCodes2) {
      CharCodes2[CharCodes2["NUM"] = 35] = "NUM";
      CharCodes2[CharCodes2["SEMI"] = 59] = "SEMI";
      CharCodes2[CharCodes2["EQUALS"] = 61] = "EQUALS";
      CharCodes2[CharCodes2["ZERO"] = 48] = "ZERO";
      CharCodes2[CharCodes2["NINE"] = 57] = "NINE";
      CharCodes2[CharCodes2["LOWER_A"] = 97] = "LOWER_A";
      CharCodes2[CharCodes2["LOWER_F"] = 102] = "LOWER_F";
      CharCodes2[CharCodes2["LOWER_X"] = 120] = "LOWER_X";
      CharCodes2[CharCodes2["LOWER_Z"] = 122] = "LOWER_Z";
      CharCodes2[CharCodes2["UPPER_A"] = 65] = "UPPER_A";
      CharCodes2[CharCodes2["UPPER_F"] = 70] = "UPPER_F";
      CharCodes2[CharCodes2["UPPER_Z"] = 90] = "UPPER_Z";
    })(CharCodes || (CharCodes = {}));
    var TO_LOWER_BIT = 32;
    var BinTrieFlags;
    (function(BinTrieFlags2) {
      BinTrieFlags2[BinTrieFlags2["VALUE_LENGTH"] = 49152] = "VALUE_LENGTH";
      BinTrieFlags2[BinTrieFlags2["BRANCH_LENGTH"] = 16256] = "BRANCH_LENGTH";
      BinTrieFlags2[BinTrieFlags2["JUMP_TABLE"] = 127] = "JUMP_TABLE";
    })(BinTrieFlags = exports.BinTrieFlags || (exports.BinTrieFlags = {}));
    function isNumber(code) {
      return code >= CharCodes.ZERO && code <= CharCodes.NINE;
    }
    function isHexadecimalCharacter(code) {
      return code >= CharCodes.UPPER_A && code <= CharCodes.UPPER_F || code >= CharCodes.LOWER_A && code <= CharCodes.LOWER_F;
    }
    function isAsciiAlphaNumeric(code) {
      return code >= CharCodes.UPPER_A && code <= CharCodes.UPPER_Z || code >= CharCodes.LOWER_A && code <= CharCodes.LOWER_Z || isNumber(code);
    }
    function isEntityInAttributeInvalidEnd(code) {
      return code === CharCodes.EQUALS || isAsciiAlphaNumeric(code);
    }
    var EntityDecoderState;
    (function(EntityDecoderState2) {
      EntityDecoderState2[EntityDecoderState2["EntityStart"] = 0] = "EntityStart";
      EntityDecoderState2[EntityDecoderState2["NumericStart"] = 1] = "NumericStart";
      EntityDecoderState2[EntityDecoderState2["NumericDecimal"] = 2] = "NumericDecimal";
      EntityDecoderState2[EntityDecoderState2["NumericHex"] = 3] = "NumericHex";
      EntityDecoderState2[EntityDecoderState2["NamedEntity"] = 4] = "NamedEntity";
    })(EntityDecoderState || (EntityDecoderState = {}));
    var DecodingMode;
    (function(DecodingMode2) {
      DecodingMode2[DecodingMode2["Legacy"] = 0] = "Legacy";
      DecodingMode2[DecodingMode2["Strict"] = 1] = "Strict";
      DecodingMode2[DecodingMode2["Attribute"] = 2] = "Attribute";
    })(DecodingMode = exports.DecodingMode || (exports.DecodingMode = {}));
    var EntityDecoder = (
      /** @class */
      function() {
        function EntityDecoder2(decodeTree, emitCodePoint, errors) {
          this.decodeTree = decodeTree;
          this.emitCodePoint = emitCodePoint;
          this.errors = errors;
          this.state = EntityDecoderState.EntityStart;
          this.consumed = 1;
          this.result = 0;
          this.treeIndex = 0;
          this.excess = 1;
          this.decodeMode = DecodingMode.Strict;
        }
        EntityDecoder2.prototype.startEntity = function(decodeMode) {
          this.decodeMode = decodeMode;
          this.state = EntityDecoderState.EntityStart;
          this.result = 0;
          this.treeIndex = 0;
          this.excess = 1;
          this.consumed = 1;
        };
        EntityDecoder2.prototype.write = function(str, offset) {
          switch (this.state) {
            case EntityDecoderState.EntityStart: {
              if (str.charCodeAt(offset) === CharCodes.NUM) {
                this.state = EntityDecoderState.NumericStart;
                this.consumed += 1;
                return this.stateNumericStart(str, offset + 1);
              }
              this.state = EntityDecoderState.NamedEntity;
              return this.stateNamedEntity(str, offset);
            }
            case EntityDecoderState.NumericStart: {
              return this.stateNumericStart(str, offset);
            }
            case EntityDecoderState.NumericDecimal: {
              return this.stateNumericDecimal(str, offset);
            }
            case EntityDecoderState.NumericHex: {
              return this.stateNumericHex(str, offset);
            }
            case EntityDecoderState.NamedEntity: {
              return this.stateNamedEntity(str, offset);
            }
          }
        };
        EntityDecoder2.prototype.stateNumericStart = function(str, offset) {
          if (offset >= str.length) {
            return -1;
          }
          if ((str.charCodeAt(offset) | TO_LOWER_BIT) === CharCodes.LOWER_X) {
            this.state = EntityDecoderState.NumericHex;
            this.consumed += 1;
            return this.stateNumericHex(str, offset + 1);
          }
          this.state = EntityDecoderState.NumericDecimal;
          return this.stateNumericDecimal(str, offset);
        };
        EntityDecoder2.prototype.addToNumericResult = function(str, start, end, base) {
          if (start !== end) {
            var digitCount = end - start;
            this.result = this.result * Math.pow(base, digitCount) + parseInt(str.substr(start, digitCount), base);
            this.consumed += digitCount;
          }
        };
        EntityDecoder2.prototype.stateNumericHex = function(str, offset) {
          var startIdx = offset;
          while (offset < str.length) {
            var char = str.charCodeAt(offset);
            if (isNumber(char) || isHexadecimalCharacter(char)) {
              offset += 1;
            } else {
              this.addToNumericResult(str, startIdx, offset, 16);
              return this.emitNumericEntity(char, 3);
            }
          }
          this.addToNumericResult(str, startIdx, offset, 16);
          return -1;
        };
        EntityDecoder2.prototype.stateNumericDecimal = function(str, offset) {
          var startIdx = offset;
          while (offset < str.length) {
            var char = str.charCodeAt(offset);
            if (isNumber(char)) {
              offset += 1;
            } else {
              this.addToNumericResult(str, startIdx, offset, 10);
              return this.emitNumericEntity(char, 2);
            }
          }
          this.addToNumericResult(str, startIdx, offset, 10);
          return -1;
        };
        EntityDecoder2.prototype.emitNumericEntity = function(lastCp, expectedLength) {
          var _a;
          if (this.consumed <= expectedLength) {
            (_a = this.errors) === null || _a === void 0 ? void 0 : _a.absenceOfDigitsInNumericCharacterReference(this.consumed);
            return 0;
          }
          if (lastCp === CharCodes.SEMI) {
            this.consumed += 1;
          } else if (this.decodeMode === DecodingMode.Strict) {
            return 0;
          }
          this.emitCodePoint((0, decode_codepoint_js_1.replaceCodePoint)(this.result), this.consumed);
          if (this.errors) {
            if (lastCp !== CharCodes.SEMI) {
              this.errors.missingSemicolonAfterCharacterReference();
            }
            this.errors.validateNumericCharacterReference(this.result);
          }
          return this.consumed;
        };
        EntityDecoder2.prototype.stateNamedEntity = function(str, offset) {
          var decodeTree = this.decodeTree;
          var current = decodeTree[this.treeIndex];
          var valueLength = (current & BinTrieFlags.VALUE_LENGTH) >> 14;
          for (; offset < str.length; offset++, this.excess++) {
            var char = str.charCodeAt(offset);
            this.treeIndex = determineBranch(decodeTree, current, this.treeIndex + Math.max(1, valueLength), char);
            if (this.treeIndex < 0) {
              return this.result === 0 || // If we are parsing an attribute
              this.decodeMode === DecodingMode.Attribute && // We shouldn't have consumed any characters after the entity,
              (valueLength === 0 || // And there should be no invalid characters.
              isEntityInAttributeInvalidEnd(char)) ? 0 : this.emitNotTerminatedNamedEntity();
            }
            current = decodeTree[this.treeIndex];
            valueLength = (current & BinTrieFlags.VALUE_LENGTH) >> 14;
            if (valueLength !== 0) {
              if (char === CharCodes.SEMI) {
                return this.emitNamedEntityData(this.treeIndex, valueLength, this.consumed + this.excess);
              }
              if (this.decodeMode !== DecodingMode.Strict) {
                this.result = this.treeIndex;
                this.consumed += this.excess;
                this.excess = 0;
              }
            }
          }
          return -1;
        };
        EntityDecoder2.prototype.emitNotTerminatedNamedEntity = function() {
          var _a;
          var _b = this, result = _b.result, decodeTree = _b.decodeTree;
          var valueLength = (decodeTree[result] & BinTrieFlags.VALUE_LENGTH) >> 14;
          this.emitNamedEntityData(result, valueLength, this.consumed);
          (_a = this.errors) === null || _a === void 0 ? void 0 : _a.missingSemicolonAfterCharacterReference();
          return this.consumed;
        };
        EntityDecoder2.prototype.emitNamedEntityData = function(result, valueLength, consumed) {
          var decodeTree = this.decodeTree;
          this.emitCodePoint(valueLength === 1 ? decodeTree[result] & ~BinTrieFlags.VALUE_LENGTH : decodeTree[result + 1], consumed);
          if (valueLength === 3) {
            this.emitCodePoint(decodeTree[result + 2], consumed);
          }
          return consumed;
        };
        EntityDecoder2.prototype.end = function() {
          var _a;
          switch (this.state) {
            case EntityDecoderState.NamedEntity: {
              return this.result !== 0 && (this.decodeMode !== DecodingMode.Attribute || this.result === this.treeIndex) ? this.emitNotTerminatedNamedEntity() : 0;
            }
            case EntityDecoderState.NumericDecimal: {
              return this.emitNumericEntity(0, 2);
            }
            case EntityDecoderState.NumericHex: {
              return this.emitNumericEntity(0, 3);
            }
            case EntityDecoderState.NumericStart: {
              (_a = this.errors) === null || _a === void 0 ? void 0 : _a.absenceOfDigitsInNumericCharacterReference(this.consumed);
              return 0;
            }
            case EntityDecoderState.EntityStart: {
              return 0;
            }
          }
        };
        return EntityDecoder2;
      }()
    );
    exports.EntityDecoder = EntityDecoder;
    function getDecoder(decodeTree) {
      var ret = "";
      var decoder = new EntityDecoder(decodeTree, function(str) {
        return ret += (0, decode_codepoint_js_1.fromCodePoint)(str);
      });
      return function decodeWithTrie(str, decodeMode) {
        var lastIndex = 0;
        var offset = 0;
        while ((offset = str.indexOf("&", offset)) >= 0) {
          ret += str.slice(lastIndex, offset);
          decoder.startEntity(decodeMode);
          var len = decoder.write(
            str,
            // Skip the "&"
            offset + 1
          );
          if (len < 0) {
            lastIndex = offset + decoder.end();
            break;
          }
          lastIndex = offset + len;
          offset = len === 0 ? lastIndex + 1 : lastIndex;
        }
        var result = ret + str.slice(lastIndex);
        ret = "";
        return result;
      };
    }
    function determineBranch(decodeTree, current, nodeIdx, char) {
      var branchCount = (current & BinTrieFlags.BRANCH_LENGTH) >> 7;
      var jumpOffset = current & BinTrieFlags.JUMP_TABLE;
      if (branchCount === 0) {
        return jumpOffset !== 0 && char === jumpOffset ? nodeIdx : -1;
      }
      if (jumpOffset) {
        var value = char - jumpOffset;
        return value < 0 || value >= branchCount ? -1 : decodeTree[nodeIdx + value] - 1;
      }
      var lo = nodeIdx;
      var hi = lo + branchCount - 1;
      while (lo <= hi) {
        var mid = lo + hi >>> 1;
        var midVal = decodeTree[mid];
        if (midVal < char) {
          lo = mid + 1;
        } else if (midVal > char) {
          hi = mid - 1;
        } else {
          return decodeTree[mid + branchCount];
        }
      }
      return -1;
    }
    exports.determineBranch = determineBranch;
    var htmlDecoder = getDecoder(decode_data_html_js_1.default);
    var xmlDecoder = getDecoder(decode_data_xml_js_1.default);
    function decodeHTML(str, mode) {
      if (mode === void 0) {
        mode = DecodingMode.Legacy;
      }
      return htmlDecoder(str, mode);
    }
    exports.decodeHTML = decodeHTML;
    function decodeHTMLAttribute(str) {
      return htmlDecoder(str, DecodingMode.Attribute);
    }
    exports.decodeHTMLAttribute = decodeHTMLAttribute;
    function decodeHTMLStrict(str) {
      return htmlDecoder(str, DecodingMode.Strict);
    }
    exports.decodeHTMLStrict = decodeHTMLStrict;
    function decodeXML(str) {
      return xmlDecoder(str, DecodingMode.Strict);
    }
    exports.decodeXML = decodeXML;
  }
});

// ../../../node_modules/htmlparser2/lib/Tokenizer.js
var require_Tokenizer = __commonJS({
  "../../../node_modules/htmlparser2/lib/Tokenizer.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.QuoteType = void 0;
    var decode_js_1 = require_decode();
    var CharCodes;
    (function(CharCodes2) {
      CharCodes2[CharCodes2["Tab"] = 9] = "Tab";
      CharCodes2[CharCodes2["NewLine"] = 10] = "NewLine";
      CharCodes2[CharCodes2["FormFeed"] = 12] = "FormFeed";
      CharCodes2[CharCodes2["CarriageReturn"] = 13] = "CarriageReturn";
      CharCodes2[CharCodes2["Space"] = 32] = "Space";
      CharCodes2[CharCodes2["ExclamationMark"] = 33] = "ExclamationMark";
      CharCodes2[CharCodes2["Number"] = 35] = "Number";
      CharCodes2[CharCodes2["Amp"] = 38] = "Amp";
      CharCodes2[CharCodes2["SingleQuote"] = 39] = "SingleQuote";
      CharCodes2[CharCodes2["DoubleQuote"] = 34] = "DoubleQuote";
      CharCodes2[CharCodes2["Dash"] = 45] = "Dash";
      CharCodes2[CharCodes2["Slash"] = 47] = "Slash";
      CharCodes2[CharCodes2["Zero"] = 48] = "Zero";
      CharCodes2[CharCodes2["Nine"] = 57] = "Nine";
      CharCodes2[CharCodes2["Semi"] = 59] = "Semi";
      CharCodes2[CharCodes2["Lt"] = 60] = "Lt";
      CharCodes2[CharCodes2["Eq"] = 61] = "Eq";
      CharCodes2[CharCodes2["Gt"] = 62] = "Gt";
      CharCodes2[CharCodes2["Questionmark"] = 63] = "Questionmark";
      CharCodes2[CharCodes2["UpperA"] = 65] = "UpperA";
      CharCodes2[CharCodes2["LowerA"] = 97] = "LowerA";
      CharCodes2[CharCodes2["UpperF"] = 70] = "UpperF";
      CharCodes2[CharCodes2["LowerF"] = 102] = "LowerF";
      CharCodes2[CharCodes2["UpperZ"] = 90] = "UpperZ";
      CharCodes2[CharCodes2["LowerZ"] = 122] = "LowerZ";
      CharCodes2[CharCodes2["LowerX"] = 120] = "LowerX";
      CharCodes2[CharCodes2["OpeningSquareBracket"] = 91] = "OpeningSquareBracket";
    })(CharCodes || (CharCodes = {}));
    var State;
    (function(State2) {
      State2[State2["Text"] = 1] = "Text";
      State2[State2["BeforeTagName"] = 2] = "BeforeTagName";
      State2[State2["InTagName"] = 3] = "InTagName";
      State2[State2["InSelfClosingTag"] = 4] = "InSelfClosingTag";
      State2[State2["BeforeClosingTagName"] = 5] = "BeforeClosingTagName";
      State2[State2["InClosingTagName"] = 6] = "InClosingTagName";
      State2[State2["AfterClosingTagName"] = 7] = "AfterClosingTagName";
      State2[State2["BeforeAttributeName"] = 8] = "BeforeAttributeName";
      State2[State2["InAttributeName"] = 9] = "InAttributeName";
      State2[State2["AfterAttributeName"] = 10] = "AfterAttributeName";
      State2[State2["BeforeAttributeValue"] = 11] = "BeforeAttributeValue";
      State2[State2["InAttributeValueDq"] = 12] = "InAttributeValueDq";
      State2[State2["InAttributeValueSq"] = 13] = "InAttributeValueSq";
      State2[State2["InAttributeValueNq"] = 14] = "InAttributeValueNq";
      State2[State2["BeforeDeclaration"] = 15] = "BeforeDeclaration";
      State2[State2["InDeclaration"] = 16] = "InDeclaration";
      State2[State2["InProcessingInstruction"] = 17] = "InProcessingInstruction";
      State2[State2["BeforeComment"] = 18] = "BeforeComment";
      State2[State2["CDATASequence"] = 19] = "CDATASequence";
      State2[State2["InSpecialComment"] = 20] = "InSpecialComment";
      State2[State2["InCommentLike"] = 21] = "InCommentLike";
      State2[State2["BeforeSpecialS"] = 22] = "BeforeSpecialS";
      State2[State2["SpecialStartSequence"] = 23] = "SpecialStartSequence";
      State2[State2["InSpecialTag"] = 24] = "InSpecialTag";
      State2[State2["BeforeEntity"] = 25] = "BeforeEntity";
      State2[State2["BeforeNumericEntity"] = 26] = "BeforeNumericEntity";
      State2[State2["InNamedEntity"] = 27] = "InNamedEntity";
      State2[State2["InNumericEntity"] = 28] = "InNumericEntity";
      State2[State2["InHexEntity"] = 29] = "InHexEntity";
    })(State || (State = {}));
    function isWhitespace(c) {
      return c === CharCodes.Space || c === CharCodes.NewLine || c === CharCodes.Tab || c === CharCodes.FormFeed || c === CharCodes.CarriageReturn;
    }
    function isEndOfTagSection(c) {
      return c === CharCodes.Slash || c === CharCodes.Gt || isWhitespace(c);
    }
    function isNumber(c) {
      return c >= CharCodes.Zero && c <= CharCodes.Nine;
    }
    function isASCIIAlpha(c) {
      return c >= CharCodes.LowerA && c <= CharCodes.LowerZ || c >= CharCodes.UpperA && c <= CharCodes.UpperZ;
    }
    function isHexDigit(c) {
      return c >= CharCodes.UpperA && c <= CharCodes.UpperF || c >= CharCodes.LowerA && c <= CharCodes.LowerF;
    }
    var QuoteType;
    (function(QuoteType2) {
      QuoteType2[QuoteType2["NoValue"] = 0] = "NoValue";
      QuoteType2[QuoteType2["Unquoted"] = 1] = "Unquoted";
      QuoteType2[QuoteType2["Single"] = 2] = "Single";
      QuoteType2[QuoteType2["Double"] = 3] = "Double";
    })(QuoteType = exports.QuoteType || (exports.QuoteType = {}));
    var Sequences = {
      Cdata: new Uint8Array([67, 68, 65, 84, 65, 91]),
      CdataEnd: new Uint8Array([93, 93, 62]),
      CommentEnd: new Uint8Array([45, 45, 62]),
      ScriptEnd: new Uint8Array([60, 47, 115, 99, 114, 105, 112, 116]),
      StyleEnd: new Uint8Array([60, 47, 115, 116, 121, 108, 101]),
      TitleEnd: new Uint8Array([60, 47, 116, 105, 116, 108, 101])
      // `</title`
    };
    var Tokenizer = (
      /** @class */
      function() {
        function Tokenizer2(_a, cbs) {
          var _b = _a.xmlMode, xmlMode = _b === void 0 ? false : _b, _c = _a.decodeEntities, decodeEntities = _c === void 0 ? true : _c;
          this.cbs = cbs;
          this.state = State.Text;
          this.buffer = "";
          this.sectionStart = 0;
          this.index = 0;
          this.baseState = State.Text;
          this.isSpecial = false;
          this.running = true;
          this.offset = 0;
          this.currentSequence = void 0;
          this.sequenceIndex = 0;
          this.trieIndex = 0;
          this.trieCurrent = 0;
          this.entityResult = 0;
          this.entityExcess = 0;
          this.xmlMode = xmlMode;
          this.decodeEntities = decodeEntities;
          this.entityTrie = xmlMode ? decode_js_1.xmlDecodeTree : decode_js_1.htmlDecodeTree;
        }
        Tokenizer2.prototype.reset = function() {
          this.state = State.Text;
          this.buffer = "";
          this.sectionStart = 0;
          this.index = 0;
          this.baseState = State.Text;
          this.currentSequence = void 0;
          this.running = true;
          this.offset = 0;
        };
        Tokenizer2.prototype.write = function(chunk) {
          this.offset += this.buffer.length;
          this.buffer = chunk;
          this.parse();
        };
        Tokenizer2.prototype.end = function() {
          if (this.running)
            this.finish();
        };
        Tokenizer2.prototype.pause = function() {
          this.running = false;
        };
        Tokenizer2.prototype.resume = function() {
          this.running = true;
          if (this.index < this.buffer.length + this.offset) {
            this.parse();
          }
        };
        Tokenizer2.prototype.getIndex = function() {
          return this.index;
        };
        Tokenizer2.prototype.getSectionStart = function() {
          return this.sectionStart;
        };
        Tokenizer2.prototype.stateText = function(c) {
          if (c === CharCodes.Lt || !this.decodeEntities && this.fastForwardTo(CharCodes.Lt)) {
            if (this.index > this.sectionStart) {
              this.cbs.ontext(this.sectionStart, this.index);
            }
            this.state = State.BeforeTagName;
            this.sectionStart = this.index;
          } else if (this.decodeEntities && c === CharCodes.Amp) {
            this.state = State.BeforeEntity;
          }
        };
        Tokenizer2.prototype.stateSpecialStartSequence = function(c) {
          var isEnd = this.sequenceIndex === this.currentSequence.length;
          var isMatch = isEnd ? (
            // If we are at the end of the sequence, make sure the tag name has ended
            isEndOfTagSection(c)
          ) : (
            // Otherwise, do a case-insensitive comparison
            (c | 32) === this.currentSequence[this.sequenceIndex]
          );
          if (!isMatch) {
            this.isSpecial = false;
          } else if (!isEnd) {
            this.sequenceIndex++;
            return;
          }
          this.sequenceIndex = 0;
          this.state = State.InTagName;
          this.stateInTagName(c);
        };
        Tokenizer2.prototype.stateInSpecialTag = function(c) {
          if (this.sequenceIndex === this.currentSequence.length) {
            if (c === CharCodes.Gt || isWhitespace(c)) {
              var endOfText = this.index - this.currentSequence.length;
              if (this.sectionStart < endOfText) {
                var actualIndex = this.index;
                this.index = endOfText;
                this.cbs.ontext(this.sectionStart, endOfText);
                this.index = actualIndex;
              }
              this.isSpecial = false;
              this.sectionStart = endOfText + 2;
              this.stateInClosingTagName(c);
              return;
            }
            this.sequenceIndex = 0;
          }
          if ((c | 32) === this.currentSequence[this.sequenceIndex]) {
            this.sequenceIndex += 1;
          } else if (this.sequenceIndex === 0) {
            if (this.currentSequence === Sequences.TitleEnd) {
              if (this.decodeEntities && c === CharCodes.Amp) {
                this.state = State.BeforeEntity;
              }
            } else if (this.fastForwardTo(CharCodes.Lt)) {
              this.sequenceIndex = 1;
            }
          } else {
            this.sequenceIndex = Number(c === CharCodes.Lt);
          }
        };
        Tokenizer2.prototype.stateCDATASequence = function(c) {
          if (c === Sequences.Cdata[this.sequenceIndex]) {
            if (++this.sequenceIndex === Sequences.Cdata.length) {
              this.state = State.InCommentLike;
              this.currentSequence = Sequences.CdataEnd;
              this.sequenceIndex = 0;
              this.sectionStart = this.index + 1;
            }
          } else {
            this.sequenceIndex = 0;
            this.state = State.InDeclaration;
            this.stateInDeclaration(c);
          }
        };
        Tokenizer2.prototype.fastForwardTo = function(c) {
          while (++this.index < this.buffer.length + this.offset) {
            if (this.buffer.charCodeAt(this.index - this.offset) === c) {
              return true;
            }
          }
          this.index = this.buffer.length + this.offset - 1;
          return false;
        };
        Tokenizer2.prototype.stateInCommentLike = function(c) {
          if (c === this.currentSequence[this.sequenceIndex]) {
            if (++this.sequenceIndex === this.currentSequence.length) {
              if (this.currentSequence === Sequences.CdataEnd) {
                this.cbs.oncdata(this.sectionStart, this.index, 2);
              } else {
                this.cbs.oncomment(this.sectionStart, this.index, 2);
              }
              this.sequenceIndex = 0;
              this.sectionStart = this.index + 1;
              this.state = State.Text;
            }
          } else if (this.sequenceIndex === 0) {
            if (this.fastForwardTo(this.currentSequence[0])) {
              this.sequenceIndex = 1;
            }
          } else if (c !== this.currentSequence[this.sequenceIndex - 1]) {
            this.sequenceIndex = 0;
          }
        };
        Tokenizer2.prototype.isTagStartChar = function(c) {
          return this.xmlMode ? !isEndOfTagSection(c) : isASCIIAlpha(c);
        };
        Tokenizer2.prototype.startSpecial = function(sequence, offset) {
          this.isSpecial = true;
          this.currentSequence = sequence;
          this.sequenceIndex = offset;
          this.state = State.SpecialStartSequence;
        };
        Tokenizer2.prototype.stateBeforeTagName = function(c) {
          if (c === CharCodes.ExclamationMark) {
            this.state = State.BeforeDeclaration;
            this.sectionStart = this.index + 1;
          } else if (c === CharCodes.Questionmark) {
            this.state = State.InProcessingInstruction;
            this.sectionStart = this.index + 1;
          } else if (this.isTagStartChar(c)) {
            var lower = c | 32;
            this.sectionStart = this.index;
            if (!this.xmlMode && lower === Sequences.TitleEnd[2]) {
              this.startSpecial(Sequences.TitleEnd, 3);
            } else {
              this.state = !this.xmlMode && lower === Sequences.ScriptEnd[2] ? State.BeforeSpecialS : State.InTagName;
            }
          } else if (c === CharCodes.Slash) {
            this.state = State.BeforeClosingTagName;
          } else {
            this.state = State.Text;
            this.stateText(c);
          }
        };
        Tokenizer2.prototype.stateInTagName = function(c) {
          if (isEndOfTagSection(c)) {
            this.cbs.onopentagname(this.sectionStart, this.index);
            this.sectionStart = -1;
            this.state = State.BeforeAttributeName;
            this.stateBeforeAttributeName(c);
          }
        };
        Tokenizer2.prototype.stateBeforeClosingTagName = function(c) {
          if (isWhitespace(c)) {
          } else if (c === CharCodes.Gt) {
            this.state = State.Text;
          } else {
            this.state = this.isTagStartChar(c) ? State.InClosingTagName : State.InSpecialComment;
            this.sectionStart = this.index;
          }
        };
        Tokenizer2.prototype.stateInClosingTagName = function(c) {
          if (c === CharCodes.Gt || isWhitespace(c)) {
            this.cbs.onclosetag(this.sectionStart, this.index);
            this.sectionStart = -1;
            this.state = State.AfterClosingTagName;
            this.stateAfterClosingTagName(c);
          }
        };
        Tokenizer2.prototype.stateAfterClosingTagName = function(c) {
          if (c === CharCodes.Gt || this.fastForwardTo(CharCodes.Gt)) {
            this.state = State.Text;
            this.baseState = State.Text;
            this.sectionStart = this.index + 1;
          }
        };
        Tokenizer2.prototype.stateBeforeAttributeName = function(c) {
          if (c === CharCodes.Gt) {
            this.cbs.onopentagend(this.index);
            if (this.isSpecial) {
              this.state = State.InSpecialTag;
              this.sequenceIndex = 0;
            } else {
              this.state = State.Text;
            }
            this.baseState = this.state;
            this.sectionStart = this.index + 1;
          } else if (c === CharCodes.Slash) {
            this.state = State.InSelfClosingTag;
          } else if (!isWhitespace(c)) {
            this.state = State.InAttributeName;
            this.sectionStart = this.index;
          }
        };
        Tokenizer2.prototype.stateInSelfClosingTag = function(c) {
          if (c === CharCodes.Gt) {
            this.cbs.onselfclosingtag(this.index);
            this.state = State.Text;
            this.baseState = State.Text;
            this.sectionStart = this.index + 1;
            this.isSpecial = false;
          } else if (!isWhitespace(c)) {
            this.state = State.BeforeAttributeName;
            this.stateBeforeAttributeName(c);
          }
        };
        Tokenizer2.prototype.stateInAttributeName = function(c) {
          if (c === CharCodes.Eq || isEndOfTagSection(c)) {
            this.cbs.onattribname(this.sectionStart, this.index);
            this.sectionStart = -1;
            this.state = State.AfterAttributeName;
            this.stateAfterAttributeName(c);
          }
        };
        Tokenizer2.prototype.stateAfterAttributeName = function(c) {
          if (c === CharCodes.Eq) {
            this.state = State.BeforeAttributeValue;
          } else if (c === CharCodes.Slash || c === CharCodes.Gt) {
            this.cbs.onattribend(QuoteType.NoValue, this.index);
            this.state = State.BeforeAttributeName;
            this.stateBeforeAttributeName(c);
          } else if (!isWhitespace(c)) {
            this.cbs.onattribend(QuoteType.NoValue, this.index);
            this.state = State.InAttributeName;
            this.sectionStart = this.index;
          }
        };
        Tokenizer2.prototype.stateBeforeAttributeValue = function(c) {
          if (c === CharCodes.DoubleQuote) {
            this.state = State.InAttributeValueDq;
            this.sectionStart = this.index + 1;
          } else if (c === CharCodes.SingleQuote) {
            this.state = State.InAttributeValueSq;
            this.sectionStart = this.index + 1;
          } else if (!isWhitespace(c)) {
            this.sectionStart = this.index;
            this.state = State.InAttributeValueNq;
            this.stateInAttributeValueNoQuotes(c);
          }
        };
        Tokenizer2.prototype.handleInAttributeValue = function(c, quote) {
          if (c === quote || !this.decodeEntities && this.fastForwardTo(quote)) {
            this.cbs.onattribdata(this.sectionStart, this.index);
            this.sectionStart = -1;
            this.cbs.onattribend(quote === CharCodes.DoubleQuote ? QuoteType.Double : QuoteType.Single, this.index);
            this.state = State.BeforeAttributeName;
          } else if (this.decodeEntities && c === CharCodes.Amp) {
            this.baseState = this.state;
            this.state = State.BeforeEntity;
          }
        };
        Tokenizer2.prototype.stateInAttributeValueDoubleQuotes = function(c) {
          this.handleInAttributeValue(c, CharCodes.DoubleQuote);
        };
        Tokenizer2.prototype.stateInAttributeValueSingleQuotes = function(c) {
          this.handleInAttributeValue(c, CharCodes.SingleQuote);
        };
        Tokenizer2.prototype.stateInAttributeValueNoQuotes = function(c) {
          if (isWhitespace(c) || c === CharCodes.Gt) {
            this.cbs.onattribdata(this.sectionStart, this.index);
            this.sectionStart = -1;
            this.cbs.onattribend(QuoteType.Unquoted, this.index);
            this.state = State.BeforeAttributeName;
            this.stateBeforeAttributeName(c);
          } else if (this.decodeEntities && c === CharCodes.Amp) {
            this.baseState = this.state;
            this.state = State.BeforeEntity;
          }
        };
        Tokenizer2.prototype.stateBeforeDeclaration = function(c) {
          if (c === CharCodes.OpeningSquareBracket) {
            this.state = State.CDATASequence;
            this.sequenceIndex = 0;
          } else {
            this.state = c === CharCodes.Dash ? State.BeforeComment : State.InDeclaration;
          }
        };
        Tokenizer2.prototype.stateInDeclaration = function(c) {
          if (c === CharCodes.Gt || this.fastForwardTo(CharCodes.Gt)) {
            this.cbs.ondeclaration(this.sectionStart, this.index);
            this.state = State.Text;
            this.sectionStart = this.index + 1;
          }
        };
        Tokenizer2.prototype.stateInProcessingInstruction = function(c) {
          if (c === CharCodes.Gt || this.fastForwardTo(CharCodes.Gt)) {
            this.cbs.onprocessinginstruction(this.sectionStart, this.index);
            this.state = State.Text;
            this.sectionStart = this.index + 1;
          }
        };
        Tokenizer2.prototype.stateBeforeComment = function(c) {
          if (c === CharCodes.Dash) {
            this.state = State.InCommentLike;
            this.currentSequence = Sequences.CommentEnd;
            this.sequenceIndex = 2;
            this.sectionStart = this.index + 1;
          } else {
            this.state = State.InDeclaration;
          }
        };
        Tokenizer2.prototype.stateInSpecialComment = function(c) {
          if (c === CharCodes.Gt || this.fastForwardTo(CharCodes.Gt)) {
            this.cbs.oncomment(this.sectionStart, this.index, 0);
            this.state = State.Text;
            this.sectionStart = this.index + 1;
          }
        };
        Tokenizer2.prototype.stateBeforeSpecialS = function(c) {
          var lower = c | 32;
          if (lower === Sequences.ScriptEnd[3]) {
            this.startSpecial(Sequences.ScriptEnd, 4);
          } else if (lower === Sequences.StyleEnd[3]) {
            this.startSpecial(Sequences.StyleEnd, 4);
          } else {
            this.state = State.InTagName;
            this.stateInTagName(c);
          }
        };
        Tokenizer2.prototype.stateBeforeEntity = function(c) {
          this.entityExcess = 1;
          this.entityResult = 0;
          if (c === CharCodes.Number) {
            this.state = State.BeforeNumericEntity;
          } else if (c === CharCodes.Amp) {
          } else {
            this.trieIndex = 0;
            this.trieCurrent = this.entityTrie[0];
            this.state = State.InNamedEntity;
            this.stateInNamedEntity(c);
          }
        };
        Tokenizer2.prototype.stateInNamedEntity = function(c) {
          this.entityExcess += 1;
          this.trieIndex = (0, decode_js_1.determineBranch)(this.entityTrie, this.trieCurrent, this.trieIndex + 1, c);
          if (this.trieIndex < 0) {
            this.emitNamedEntity();
            this.index--;
            return;
          }
          this.trieCurrent = this.entityTrie[this.trieIndex];
          var masked = this.trieCurrent & decode_js_1.BinTrieFlags.VALUE_LENGTH;
          if (masked) {
            var valueLength = (masked >> 14) - 1;
            if (!this.allowLegacyEntity() && c !== CharCodes.Semi) {
              this.trieIndex += valueLength;
            } else {
              var entityStart = this.index - this.entityExcess + 1;
              if (entityStart > this.sectionStart) {
                this.emitPartial(this.sectionStart, entityStart);
              }
              this.entityResult = this.trieIndex;
              this.trieIndex += valueLength;
              this.entityExcess = 0;
              this.sectionStart = this.index + 1;
              if (valueLength === 0) {
                this.emitNamedEntity();
              }
            }
          }
        };
        Tokenizer2.prototype.emitNamedEntity = function() {
          this.state = this.baseState;
          if (this.entityResult === 0) {
            return;
          }
          var valueLength = (this.entityTrie[this.entityResult] & decode_js_1.BinTrieFlags.VALUE_LENGTH) >> 14;
          switch (valueLength) {
            case 1: {
              this.emitCodePoint(this.entityTrie[this.entityResult] & ~decode_js_1.BinTrieFlags.VALUE_LENGTH);
              break;
            }
            case 2: {
              this.emitCodePoint(this.entityTrie[this.entityResult + 1]);
              break;
            }
            case 3: {
              this.emitCodePoint(this.entityTrie[this.entityResult + 1]);
              this.emitCodePoint(this.entityTrie[this.entityResult + 2]);
            }
          }
        };
        Tokenizer2.prototype.stateBeforeNumericEntity = function(c) {
          if ((c | 32) === CharCodes.LowerX) {
            this.entityExcess++;
            this.state = State.InHexEntity;
          } else {
            this.state = State.InNumericEntity;
            this.stateInNumericEntity(c);
          }
        };
        Tokenizer2.prototype.emitNumericEntity = function(strict) {
          var entityStart = this.index - this.entityExcess - 1;
          var numberStart = entityStart + 2 + Number(this.state === State.InHexEntity);
          if (numberStart !== this.index) {
            if (entityStart > this.sectionStart) {
              this.emitPartial(this.sectionStart, entityStart);
            }
            this.sectionStart = this.index + Number(strict);
            this.emitCodePoint((0, decode_js_1.replaceCodePoint)(this.entityResult));
          }
          this.state = this.baseState;
        };
        Tokenizer2.prototype.stateInNumericEntity = function(c) {
          if (c === CharCodes.Semi) {
            this.emitNumericEntity(true);
          } else if (isNumber(c)) {
            this.entityResult = this.entityResult * 10 + (c - CharCodes.Zero);
            this.entityExcess++;
          } else {
            if (this.allowLegacyEntity()) {
              this.emitNumericEntity(false);
            } else {
              this.state = this.baseState;
            }
            this.index--;
          }
        };
        Tokenizer2.prototype.stateInHexEntity = function(c) {
          if (c === CharCodes.Semi) {
            this.emitNumericEntity(true);
          } else if (isNumber(c)) {
            this.entityResult = this.entityResult * 16 + (c - CharCodes.Zero);
            this.entityExcess++;
          } else if (isHexDigit(c)) {
            this.entityResult = this.entityResult * 16 + ((c | 32) - CharCodes.LowerA + 10);
            this.entityExcess++;
          } else {
            if (this.allowLegacyEntity()) {
              this.emitNumericEntity(false);
            } else {
              this.state = this.baseState;
            }
            this.index--;
          }
        };
        Tokenizer2.prototype.allowLegacyEntity = function() {
          return !this.xmlMode && (this.baseState === State.Text || this.baseState === State.InSpecialTag);
        };
        Tokenizer2.prototype.cleanup = function() {
          if (this.running && this.sectionStart !== this.index) {
            if (this.state === State.Text || this.state === State.InSpecialTag && this.sequenceIndex === 0) {
              this.cbs.ontext(this.sectionStart, this.index);
              this.sectionStart = this.index;
            } else if (this.state === State.InAttributeValueDq || this.state === State.InAttributeValueSq || this.state === State.InAttributeValueNq) {
              this.cbs.onattribdata(this.sectionStart, this.index);
              this.sectionStart = this.index;
            }
          }
        };
        Tokenizer2.prototype.shouldContinue = function() {
          return this.index < this.buffer.length + this.offset && this.running;
        };
        Tokenizer2.prototype.parse = function() {
          while (this.shouldContinue()) {
            var c = this.buffer.charCodeAt(this.index - this.offset);
            switch (this.state) {
              case State.Text: {
                this.stateText(c);
                break;
              }
              case State.SpecialStartSequence: {
                this.stateSpecialStartSequence(c);
                break;
              }
              case State.InSpecialTag: {
                this.stateInSpecialTag(c);
                break;
              }
              case State.CDATASequence: {
                this.stateCDATASequence(c);
                break;
              }
              case State.InAttributeValueDq: {
                this.stateInAttributeValueDoubleQuotes(c);
                break;
              }
              case State.InAttributeName: {
                this.stateInAttributeName(c);
                break;
              }
              case State.InCommentLike: {
                this.stateInCommentLike(c);
                break;
              }
              case State.InSpecialComment: {
                this.stateInSpecialComment(c);
                break;
              }
              case State.BeforeAttributeName: {
                this.stateBeforeAttributeName(c);
                break;
              }
              case State.InTagName: {
                this.stateInTagName(c);
                break;
              }
              case State.InClosingTagName: {
                this.stateInClosingTagName(c);
                break;
              }
              case State.BeforeTagName: {
                this.stateBeforeTagName(c);
                break;
              }
              case State.AfterAttributeName: {
                this.stateAfterAttributeName(c);
                break;
              }
              case State.InAttributeValueSq: {
                this.stateInAttributeValueSingleQuotes(c);
                break;
              }
              case State.BeforeAttributeValue: {
                this.stateBeforeAttributeValue(c);
                break;
              }
              case State.BeforeClosingTagName: {
                this.stateBeforeClosingTagName(c);
                break;
              }
              case State.AfterClosingTagName: {
                this.stateAfterClosingTagName(c);
                break;
              }
              case State.BeforeSpecialS: {
                this.stateBeforeSpecialS(c);
                break;
              }
              case State.InAttributeValueNq: {
                this.stateInAttributeValueNoQuotes(c);
                break;
              }
              case State.InSelfClosingTag: {
                this.stateInSelfClosingTag(c);
                break;
              }
              case State.InDeclaration: {
                this.stateInDeclaration(c);
                break;
              }
              case State.BeforeDeclaration: {
                this.stateBeforeDeclaration(c);
                break;
              }
              case State.BeforeComment: {
                this.stateBeforeComment(c);
                break;
              }
              case State.InProcessingInstruction: {
                this.stateInProcessingInstruction(c);
                break;
              }
              case State.InNamedEntity: {
                this.stateInNamedEntity(c);
                break;
              }
              case State.BeforeEntity: {
                this.stateBeforeEntity(c);
                break;
              }
              case State.InHexEntity: {
                this.stateInHexEntity(c);
                break;
              }
              case State.InNumericEntity: {
                this.stateInNumericEntity(c);
                break;
              }
              default: {
                this.stateBeforeNumericEntity(c);
              }
            }
            this.index++;
          }
          this.cleanup();
        };
        Tokenizer2.prototype.finish = function() {
          if (this.state === State.InNamedEntity) {
            this.emitNamedEntity();
          }
          if (this.sectionStart < this.index) {
            this.handleTrailingData();
          }
          this.cbs.onend();
        };
        Tokenizer2.prototype.handleTrailingData = function() {
          var endIndex = this.buffer.length + this.offset;
          if (this.state === State.InCommentLike) {
            if (this.currentSequence === Sequences.CdataEnd) {
              this.cbs.oncdata(this.sectionStart, endIndex, 0);
            } else {
              this.cbs.oncomment(this.sectionStart, endIndex, 0);
            }
          } else if (this.state === State.InNumericEntity && this.allowLegacyEntity()) {
            this.emitNumericEntity(false);
          } else if (this.state === State.InHexEntity && this.allowLegacyEntity()) {
            this.emitNumericEntity(false);
          } else if (this.state === State.InTagName || this.state === State.BeforeAttributeName || this.state === State.BeforeAttributeValue || this.state === State.AfterAttributeName || this.state === State.InAttributeName || this.state === State.InAttributeValueSq || this.state === State.InAttributeValueDq || this.state === State.InAttributeValueNq || this.state === State.InClosingTagName) {
          } else {
            this.cbs.ontext(this.sectionStart, endIndex);
          }
        };
        Tokenizer2.prototype.emitPartial = function(start, endIndex) {
          if (this.baseState !== State.Text && this.baseState !== State.InSpecialTag) {
            this.cbs.onattribdata(start, endIndex);
          } else {
            this.cbs.ontext(start, endIndex);
          }
        };
        Tokenizer2.prototype.emitCodePoint = function(cp) {
          if (this.baseState !== State.Text && this.baseState !== State.InSpecialTag) {
            this.cbs.onattribentity(cp);
          } else {
            this.cbs.ontextentity(cp);
          }
        };
        return Tokenizer2;
      }()
    );
    exports.default = Tokenizer;
  }
});

// ../../../node_modules/htmlparser2/lib/Parser.js
var require_Parser = __commonJS({
  "../../../node_modules/htmlparser2/lib/Parser.js"(exports) {
    "use strict";
    var __createBinding = exports && exports.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports && exports.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports && exports.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Parser = void 0;
    var Tokenizer_js_1 = __importStar(require_Tokenizer());
    var decode_js_1 = require_decode();
    var formTags = /* @__PURE__ */ new Set([
      "input",
      "option",
      "optgroup",
      "select",
      "button",
      "datalist",
      "textarea"
    ]);
    var pTag = /* @__PURE__ */ new Set(["p"]);
    var tableSectionTags = /* @__PURE__ */ new Set(["thead", "tbody"]);
    var ddtTags = /* @__PURE__ */ new Set(["dd", "dt"]);
    var rtpTags = /* @__PURE__ */ new Set(["rt", "rp"]);
    var openImpliesClose = /* @__PURE__ */ new Map([
      ["tr", /* @__PURE__ */ new Set(["tr", "th", "td"])],
      ["th", /* @__PURE__ */ new Set(["th"])],
      ["td", /* @__PURE__ */ new Set(["thead", "th", "td"])],
      ["body", /* @__PURE__ */ new Set(["head", "link", "script"])],
      ["li", /* @__PURE__ */ new Set(["li"])],
      ["p", pTag],
      ["h1", pTag],
      ["h2", pTag],
      ["h3", pTag],
      ["h4", pTag],
      ["h5", pTag],
      ["h6", pTag],
      ["select", formTags],
      ["input", formTags],
      ["output", formTags],
      ["button", formTags],
      ["datalist", formTags],
      ["textarea", formTags],
      ["option", /* @__PURE__ */ new Set(["option"])],
      ["optgroup", /* @__PURE__ */ new Set(["optgroup", "option"])],
      ["dd", ddtTags],
      ["dt", ddtTags],
      ["address", pTag],
      ["article", pTag],
      ["aside", pTag],
      ["blockquote", pTag],
      ["details", pTag],
      ["div", pTag],
      ["dl", pTag],
      ["fieldset", pTag],
      ["figcaption", pTag],
      ["figure", pTag],
      ["footer", pTag],
      ["form", pTag],
      ["header", pTag],
      ["hr", pTag],
      ["main", pTag],
      ["nav", pTag],
      ["ol", pTag],
      ["pre", pTag],
      ["section", pTag],
      ["table", pTag],
      ["ul", pTag],
      ["rt", rtpTags],
      ["rp", rtpTags],
      ["tbody", tableSectionTags],
      ["tfoot", tableSectionTags]
    ]);
    var voidElements = /* @__PURE__ */ new Set([
      "area",
      "base",
      "basefont",
      "br",
      "col",
      "command",
      "embed",
      "frame",
      "hr",
      "img",
      "input",
      "isindex",
      "keygen",
      "link",
      "meta",
      "param",
      "source",
      "track",
      "wbr"
    ]);
    var foreignContextElements = /* @__PURE__ */ new Set(["math", "svg"]);
    var htmlIntegrationElements = /* @__PURE__ */ new Set([
      "mi",
      "mo",
      "mn",
      "ms",
      "mtext",
      "annotation-xml",
      "foreignobject",
      "desc",
      "title"
    ]);
    var reNameEnd = /\s|\//;
    var Parser = (
      /** @class */
      function() {
        function Parser2(cbs, options) {
          if (options === void 0) {
            options = {};
          }
          var _a, _b, _c, _d, _e;
          this.options = options;
          this.startIndex = 0;
          this.endIndex = 0;
          this.openTagStart = 0;
          this.tagname = "";
          this.attribname = "";
          this.attribvalue = "";
          this.attribs = null;
          this.stack = [];
          this.foreignContext = [];
          this.buffers = [];
          this.bufferOffset = 0;
          this.writeIndex = 0;
          this.ended = false;
          this.cbs = cbs !== null && cbs !== void 0 ? cbs : {};
          this.lowerCaseTagNames = (_a = options.lowerCaseTags) !== null && _a !== void 0 ? _a : !options.xmlMode;
          this.lowerCaseAttributeNames = (_b = options.lowerCaseAttributeNames) !== null && _b !== void 0 ? _b : !options.xmlMode;
          this.tokenizer = new ((_c = options.Tokenizer) !== null && _c !== void 0 ? _c : Tokenizer_js_1.default)(this.options, this);
          (_e = (_d = this.cbs).onparserinit) === null || _e === void 0 ? void 0 : _e.call(_d, this);
        }
        Parser2.prototype.ontext = function(start, endIndex) {
          var _a, _b;
          var data = this.getSlice(start, endIndex);
          this.endIndex = endIndex - 1;
          (_b = (_a = this.cbs).ontext) === null || _b === void 0 ? void 0 : _b.call(_a, data);
          this.startIndex = endIndex;
        };
        Parser2.prototype.ontextentity = function(cp) {
          var _a, _b;
          var index = this.tokenizer.getSectionStart();
          this.endIndex = index - 1;
          (_b = (_a = this.cbs).ontext) === null || _b === void 0 ? void 0 : _b.call(_a, (0, decode_js_1.fromCodePoint)(cp));
          this.startIndex = index;
        };
        Parser2.prototype.isVoidElement = function(name) {
          return !this.options.xmlMode && voidElements.has(name);
        };
        Parser2.prototype.onopentagname = function(start, endIndex) {
          this.endIndex = endIndex;
          var name = this.getSlice(start, endIndex);
          if (this.lowerCaseTagNames) {
            name = name.toLowerCase();
          }
          this.emitOpenTag(name);
        };
        Parser2.prototype.emitOpenTag = function(name) {
          var _a, _b, _c, _d;
          this.openTagStart = this.startIndex;
          this.tagname = name;
          var impliesClose = !this.options.xmlMode && openImpliesClose.get(name);
          if (impliesClose) {
            while (this.stack.length > 0 && impliesClose.has(this.stack[this.stack.length - 1])) {
              var element = this.stack.pop();
              (_b = (_a = this.cbs).onclosetag) === null || _b === void 0 ? void 0 : _b.call(_a, element, true);
            }
          }
          if (!this.isVoidElement(name)) {
            this.stack.push(name);
            if (foreignContextElements.has(name)) {
              this.foreignContext.push(true);
            } else if (htmlIntegrationElements.has(name)) {
              this.foreignContext.push(false);
            }
          }
          (_d = (_c = this.cbs).onopentagname) === null || _d === void 0 ? void 0 : _d.call(_c, name);
          if (this.cbs.onopentag)
            this.attribs = {};
        };
        Parser2.prototype.endOpenTag = function(isImplied) {
          var _a, _b;
          this.startIndex = this.openTagStart;
          if (this.attribs) {
            (_b = (_a = this.cbs).onopentag) === null || _b === void 0 ? void 0 : _b.call(_a, this.tagname, this.attribs, isImplied);
            this.attribs = null;
          }
          if (this.cbs.onclosetag && this.isVoidElement(this.tagname)) {
            this.cbs.onclosetag(this.tagname, true);
          }
          this.tagname = "";
        };
        Parser2.prototype.onopentagend = function(endIndex) {
          this.endIndex = endIndex;
          this.endOpenTag(false);
          this.startIndex = endIndex + 1;
        };
        Parser2.prototype.onclosetag = function(start, endIndex) {
          var _a, _b, _c, _d, _e, _f;
          this.endIndex = endIndex;
          var name = this.getSlice(start, endIndex);
          if (this.lowerCaseTagNames) {
            name = name.toLowerCase();
          }
          if (foreignContextElements.has(name) || htmlIntegrationElements.has(name)) {
            this.foreignContext.pop();
          }
          if (!this.isVoidElement(name)) {
            var pos = this.stack.lastIndexOf(name);
            if (pos !== -1) {
              if (this.cbs.onclosetag) {
                var count = this.stack.length - pos;
                while (count--) {
                  this.cbs.onclosetag(this.stack.pop(), count !== 0);
                }
              } else
                this.stack.length = pos;
            } else if (!this.options.xmlMode && name === "p") {
              this.emitOpenTag("p");
              this.closeCurrentTag(true);
            }
          } else if (!this.options.xmlMode && name === "br") {
            (_b = (_a = this.cbs).onopentagname) === null || _b === void 0 ? void 0 : _b.call(_a, "br");
            (_d = (_c = this.cbs).onopentag) === null || _d === void 0 ? void 0 : _d.call(_c, "br", {}, true);
            (_f = (_e = this.cbs).onclosetag) === null || _f === void 0 ? void 0 : _f.call(_e, "br", false);
          }
          this.startIndex = endIndex + 1;
        };
        Parser2.prototype.onselfclosingtag = function(endIndex) {
          this.endIndex = endIndex;
          if (this.options.xmlMode || this.options.recognizeSelfClosing || this.foreignContext[this.foreignContext.length - 1]) {
            this.closeCurrentTag(false);
            this.startIndex = endIndex + 1;
          } else {
            this.onopentagend(endIndex);
          }
        };
        Parser2.prototype.closeCurrentTag = function(isOpenImplied) {
          var _a, _b;
          var name = this.tagname;
          this.endOpenTag(isOpenImplied);
          if (this.stack[this.stack.length - 1] === name) {
            (_b = (_a = this.cbs).onclosetag) === null || _b === void 0 ? void 0 : _b.call(_a, name, !isOpenImplied);
            this.stack.pop();
          }
        };
        Parser2.prototype.onattribname = function(start, endIndex) {
          this.startIndex = start;
          var name = this.getSlice(start, endIndex);
          this.attribname = this.lowerCaseAttributeNames ? name.toLowerCase() : name;
        };
        Parser2.prototype.onattribdata = function(start, endIndex) {
          this.attribvalue += this.getSlice(start, endIndex);
        };
        Parser2.prototype.onattribentity = function(cp) {
          this.attribvalue += (0, decode_js_1.fromCodePoint)(cp);
        };
        Parser2.prototype.onattribend = function(quote, endIndex) {
          var _a, _b;
          this.endIndex = endIndex;
          (_b = (_a = this.cbs).onattribute) === null || _b === void 0 ? void 0 : _b.call(_a, this.attribname, this.attribvalue, quote === Tokenizer_js_1.QuoteType.Double ? '"' : quote === Tokenizer_js_1.QuoteType.Single ? "'" : quote === Tokenizer_js_1.QuoteType.NoValue ? void 0 : null);
          if (this.attribs && !Object.prototype.hasOwnProperty.call(this.attribs, this.attribname)) {
            this.attribs[this.attribname] = this.attribvalue;
          }
          this.attribvalue = "";
        };
        Parser2.prototype.getInstructionName = function(value) {
          var index = value.search(reNameEnd);
          var name = index < 0 ? value : value.substr(0, index);
          if (this.lowerCaseTagNames) {
            name = name.toLowerCase();
          }
          return name;
        };
        Parser2.prototype.ondeclaration = function(start, endIndex) {
          this.endIndex = endIndex;
          var value = this.getSlice(start, endIndex);
          if (this.cbs.onprocessinginstruction) {
            var name = this.getInstructionName(value);
            this.cbs.onprocessinginstruction("!".concat(name), "!".concat(value));
          }
          this.startIndex = endIndex + 1;
        };
        Parser2.prototype.onprocessinginstruction = function(start, endIndex) {
          this.endIndex = endIndex;
          var value = this.getSlice(start, endIndex);
          if (this.cbs.onprocessinginstruction) {
            var name = this.getInstructionName(value);
            this.cbs.onprocessinginstruction("?".concat(name), "?".concat(value));
          }
          this.startIndex = endIndex + 1;
        };
        Parser2.prototype.oncomment = function(start, endIndex, offset) {
          var _a, _b, _c, _d;
          this.endIndex = endIndex;
          (_b = (_a = this.cbs).oncomment) === null || _b === void 0 ? void 0 : _b.call(_a, this.getSlice(start, endIndex - offset));
          (_d = (_c = this.cbs).oncommentend) === null || _d === void 0 ? void 0 : _d.call(_c);
          this.startIndex = endIndex + 1;
        };
        Parser2.prototype.oncdata = function(start, endIndex, offset) {
          var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k;
          this.endIndex = endIndex;
          var value = this.getSlice(start, endIndex - offset);
          if (this.options.xmlMode || this.options.recognizeCDATA) {
            (_b = (_a = this.cbs).oncdatastart) === null || _b === void 0 ? void 0 : _b.call(_a);
            (_d = (_c = this.cbs).ontext) === null || _d === void 0 ? void 0 : _d.call(_c, value);
            (_f = (_e = this.cbs).oncdataend) === null || _f === void 0 ? void 0 : _f.call(_e);
          } else {
            (_h = (_g = this.cbs).oncomment) === null || _h === void 0 ? void 0 : _h.call(_g, "[CDATA[".concat(value, "]]"));
            (_k = (_j = this.cbs).oncommentend) === null || _k === void 0 ? void 0 : _k.call(_j);
          }
          this.startIndex = endIndex + 1;
        };
        Parser2.prototype.onend = function() {
          var _a, _b;
          if (this.cbs.onclosetag) {
            this.endIndex = this.startIndex;
            for (var index = this.stack.length; index > 0; this.cbs.onclosetag(this.stack[--index], true))
              ;
          }
          (_b = (_a = this.cbs).onend) === null || _b === void 0 ? void 0 : _b.call(_a);
        };
        Parser2.prototype.reset = function() {
          var _a, _b, _c, _d;
          (_b = (_a = this.cbs).onreset) === null || _b === void 0 ? void 0 : _b.call(_a);
          this.tokenizer.reset();
          this.tagname = "";
          this.attribname = "";
          this.attribs = null;
          this.stack.length = 0;
          this.startIndex = 0;
          this.endIndex = 0;
          (_d = (_c = this.cbs).onparserinit) === null || _d === void 0 ? void 0 : _d.call(_c, this);
          this.buffers.length = 0;
          this.bufferOffset = 0;
          this.writeIndex = 0;
          this.ended = false;
        };
        Parser2.prototype.parseComplete = function(data) {
          this.reset();
          this.end(data);
        };
        Parser2.prototype.getSlice = function(start, end) {
          while (start - this.bufferOffset >= this.buffers[0].length) {
            this.shiftBuffer();
          }
          var slice = this.buffers[0].slice(start - this.bufferOffset, end - this.bufferOffset);
          while (end - this.bufferOffset > this.buffers[0].length) {
            this.shiftBuffer();
            slice += this.buffers[0].slice(0, end - this.bufferOffset);
          }
          return slice;
        };
        Parser2.prototype.shiftBuffer = function() {
          this.bufferOffset += this.buffers[0].length;
          this.writeIndex--;
          this.buffers.shift();
        };
        Parser2.prototype.write = function(chunk) {
          var _a, _b;
          if (this.ended) {
            (_b = (_a = this.cbs).onerror) === null || _b === void 0 ? void 0 : _b.call(_a, new Error(".write() after done!"));
            return;
          }
          this.buffers.push(chunk);
          if (this.tokenizer.running) {
            this.tokenizer.write(chunk);
            this.writeIndex++;
          }
        };
        Parser2.prototype.end = function(chunk) {
          var _a, _b;
          if (this.ended) {
            (_b = (_a = this.cbs).onerror) === null || _b === void 0 ? void 0 : _b.call(_a, new Error(".end() after done!"));
            return;
          }
          if (chunk)
            this.write(chunk);
          this.ended = true;
          this.tokenizer.end();
        };
        Parser2.prototype.pause = function() {
          this.tokenizer.pause();
        };
        Parser2.prototype.resume = function() {
          this.tokenizer.resume();
          while (this.tokenizer.running && this.writeIndex < this.buffers.length) {
            this.tokenizer.write(this.buffers[this.writeIndex++]);
          }
          if (this.ended)
            this.tokenizer.end();
        };
        Parser2.prototype.parseChunk = function(chunk) {
          this.write(chunk);
        };
        Parser2.prototype.done = function(chunk) {
          this.end(chunk);
        };
        return Parser2;
      }()
    );
    exports.Parser = Parser;
  }
});

// ../../../node_modules/entities/lib/generated/encode-html.js
var require_encode_html = __commonJS({
  "../../../node_modules/entities/lib/generated/encode-html.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function restoreDiff(arr) {
      for (var i = 1; i < arr.length; i++) {
        arr[i][0] += arr[i - 1][0] + 1;
      }
      return arr;
    }
    exports.default = new Map(/* @__PURE__ */ restoreDiff([[9, "&Tab;"], [0, "&NewLine;"], [22, "&excl;"], [0, "&quot;"], [0, "&num;"], [0, "&dollar;"], [0, "&percnt;"], [0, "&amp;"], [0, "&apos;"], [0, "&lpar;"], [0, "&rpar;"], [0, "&ast;"], [0, "&plus;"], [0, "&comma;"], [1, "&period;"], [0, "&sol;"], [10, "&colon;"], [0, "&semi;"], [0, { v: "&lt;", n: 8402, o: "&nvlt;" }], [0, { v: "&equals;", n: 8421, o: "&bne;" }], [0, { v: "&gt;", n: 8402, o: "&nvgt;" }], [0, "&quest;"], [0, "&commat;"], [26, "&lbrack;"], [0, "&bsol;"], [0, "&rbrack;"], [0, "&Hat;"], [0, "&lowbar;"], [0, "&DiacriticalGrave;"], [5, { n: 106, o: "&fjlig;" }], [20, "&lbrace;"], [0, "&verbar;"], [0, "&rbrace;"], [34, "&nbsp;"], [0, "&iexcl;"], [0, "&cent;"], [0, "&pound;"], [0, "&curren;"], [0, "&yen;"], [0, "&brvbar;"], [0, "&sect;"], [0, "&die;"], [0, "&copy;"], [0, "&ordf;"], [0, "&laquo;"], [0, "&not;"], [0, "&shy;"], [0, "&circledR;"], [0, "&macr;"], [0, "&deg;"], [0, "&PlusMinus;"], [0, "&sup2;"], [0, "&sup3;"], [0, "&acute;"], [0, "&micro;"], [0, "&para;"], [0, "&centerdot;"], [0, "&cedil;"], [0, "&sup1;"], [0, "&ordm;"], [0, "&raquo;"], [0, "&frac14;"], [0, "&frac12;"], [0, "&frac34;"], [0, "&iquest;"], [0, "&Agrave;"], [0, "&Aacute;"], [0, "&Acirc;"], [0, "&Atilde;"], [0, "&Auml;"], [0, "&angst;"], [0, "&AElig;"], [0, "&Ccedil;"], [0, "&Egrave;"], [0, "&Eacute;"], [0, "&Ecirc;"], [0, "&Euml;"], [0, "&Igrave;"], [0, "&Iacute;"], [0, "&Icirc;"], [0, "&Iuml;"], [0, "&ETH;"], [0, "&Ntilde;"], [0, "&Ograve;"], [0, "&Oacute;"], [0, "&Ocirc;"], [0, "&Otilde;"], [0, "&Ouml;"], [0, "&times;"], [0, "&Oslash;"], [0, "&Ugrave;"], [0, "&Uacute;"], [0, "&Ucirc;"], [0, "&Uuml;"], [0, "&Yacute;"], [0, "&THORN;"], [0, "&szlig;"], [0, "&agrave;"], [0, "&aacute;"], [0, "&acirc;"], [0, "&atilde;"], [0, "&auml;"], [0, "&aring;"], [0, "&aelig;"], [0, "&ccedil;"], [0, "&egrave;"], [0, "&eacute;"], [0, "&ecirc;"], [0, "&euml;"], [0, "&igrave;"], [0, "&iacute;"], [0, "&icirc;"], [0, "&iuml;"], [0, "&eth;"], [0, "&ntilde;"], [0, "&ograve;"], [0, "&oacute;"], [0, "&ocirc;"], [0, "&otilde;"], [0, "&ouml;"], [0, "&div;"], [0, "&oslash;"], [0, "&ugrave;"], [0, "&uacute;"], [0, "&ucirc;"], [0, "&uuml;"], [0, "&yacute;"], [0, "&thorn;"], [0, "&yuml;"], [0, "&Amacr;"], [0, "&amacr;"], [0, "&Abreve;"], [0, "&abreve;"], [0, "&Aogon;"], [0, "&aogon;"], [0, "&Cacute;"], [0, "&cacute;"], [0, "&Ccirc;"], [0, "&ccirc;"], [0, "&Cdot;"], [0, "&cdot;"], [0, "&Ccaron;"], [0, "&ccaron;"], [0, "&Dcaron;"], [0, "&dcaron;"], [0, "&Dstrok;"], [0, "&dstrok;"], [0, "&Emacr;"], [0, "&emacr;"], [2, "&Edot;"], [0, "&edot;"], [0, "&Eogon;"], [0, "&eogon;"], [0, "&Ecaron;"], [0, "&ecaron;"], [0, "&Gcirc;"], [0, "&gcirc;"], [0, "&Gbreve;"], [0, "&gbreve;"], [0, "&Gdot;"], [0, "&gdot;"], [0, "&Gcedil;"], [1, "&Hcirc;"], [0, "&hcirc;"], [0, "&Hstrok;"], [0, "&hstrok;"], [0, "&Itilde;"], [0, "&itilde;"], [0, "&Imacr;"], [0, "&imacr;"], [2, "&Iogon;"], [0, "&iogon;"], [0, "&Idot;"], [0, "&imath;"], [0, "&IJlig;"], [0, "&ijlig;"], [0, "&Jcirc;"], [0, "&jcirc;"], [0, "&Kcedil;"], [0, "&kcedil;"], [0, "&kgreen;"], [0, "&Lacute;"], [0, "&lacute;"], [0, "&Lcedil;"], [0, "&lcedil;"], [0, "&Lcaron;"], [0, "&lcaron;"], [0, "&Lmidot;"], [0, "&lmidot;"], [0, "&Lstrok;"], [0, "&lstrok;"], [0, "&Nacute;"], [0, "&nacute;"], [0, "&Ncedil;"], [0, "&ncedil;"], [0, "&Ncaron;"], [0, "&ncaron;"], [0, "&napos;"], [0, "&ENG;"], [0, "&eng;"], [0, "&Omacr;"], [0, "&omacr;"], [2, "&Odblac;"], [0, "&odblac;"], [0, "&OElig;"], [0, "&oelig;"], [0, "&Racute;"], [0, "&racute;"], [0, "&Rcedil;"], [0, "&rcedil;"], [0, "&Rcaron;"], [0, "&rcaron;"], [0, "&Sacute;"], [0, "&sacute;"], [0, "&Scirc;"], [0, "&scirc;"], [0, "&Scedil;"], [0, "&scedil;"], [0, "&Scaron;"], [0, "&scaron;"], [0, "&Tcedil;"], [0, "&tcedil;"], [0, "&Tcaron;"], [0, "&tcaron;"], [0, "&Tstrok;"], [0, "&tstrok;"], [0, "&Utilde;"], [0, "&utilde;"], [0, "&Umacr;"], [0, "&umacr;"], [0, "&Ubreve;"], [0, "&ubreve;"], [0, "&Uring;"], [0, "&uring;"], [0, "&Udblac;"], [0, "&udblac;"], [0, "&Uogon;"], [0, "&uogon;"], [0, "&Wcirc;"], [0, "&wcirc;"], [0, "&Ycirc;"], [0, "&ycirc;"], [0, "&Yuml;"], [0, "&Zacute;"], [0, "&zacute;"], [0, "&Zdot;"], [0, "&zdot;"], [0, "&Zcaron;"], [0, "&zcaron;"], [19, "&fnof;"], [34, "&imped;"], [63, "&gacute;"], [65, "&jmath;"], [142, "&circ;"], [0, "&caron;"], [16, "&breve;"], [0, "&DiacriticalDot;"], [0, "&ring;"], [0, "&ogon;"], [0, "&DiacriticalTilde;"], [0, "&dblac;"], [51, "&DownBreve;"], [127, "&Alpha;"], [0, "&Beta;"], [0, "&Gamma;"], [0, "&Delta;"], [0, "&Epsilon;"], [0, "&Zeta;"], [0, "&Eta;"], [0, "&Theta;"], [0, "&Iota;"], [0, "&Kappa;"], [0, "&Lambda;"], [0, "&Mu;"], [0, "&Nu;"], [0, "&Xi;"], [0, "&Omicron;"], [0, "&Pi;"], [0, "&Rho;"], [1, "&Sigma;"], [0, "&Tau;"], [0, "&Upsilon;"], [0, "&Phi;"], [0, "&Chi;"], [0, "&Psi;"], [0, "&ohm;"], [7, "&alpha;"], [0, "&beta;"], [0, "&gamma;"], [0, "&delta;"], [0, "&epsi;"], [0, "&zeta;"], [0, "&eta;"], [0, "&theta;"], [0, "&iota;"], [0, "&kappa;"], [0, "&lambda;"], [0, "&mu;"], [0, "&nu;"], [0, "&xi;"], [0, "&omicron;"], [0, "&pi;"], [0, "&rho;"], [0, "&sigmaf;"], [0, "&sigma;"], [0, "&tau;"], [0, "&upsi;"], [0, "&phi;"], [0, "&chi;"], [0, "&psi;"], [0, "&omega;"], [7, "&thetasym;"], [0, "&Upsi;"], [2, "&phiv;"], [0, "&piv;"], [5, "&Gammad;"], [0, "&digamma;"], [18, "&kappav;"], [0, "&rhov;"], [3, "&epsiv;"], [0, "&backepsilon;"], [10, "&IOcy;"], [0, "&DJcy;"], [0, "&GJcy;"], [0, "&Jukcy;"], [0, "&DScy;"], [0, "&Iukcy;"], [0, "&YIcy;"], [0, "&Jsercy;"], [0, "&LJcy;"], [0, "&NJcy;"], [0, "&TSHcy;"], [0, "&KJcy;"], [1, "&Ubrcy;"], [0, "&DZcy;"], [0, "&Acy;"], [0, "&Bcy;"], [0, "&Vcy;"], [0, "&Gcy;"], [0, "&Dcy;"], [0, "&IEcy;"], [0, "&ZHcy;"], [0, "&Zcy;"], [0, "&Icy;"], [0, "&Jcy;"], [0, "&Kcy;"], [0, "&Lcy;"], [0, "&Mcy;"], [0, "&Ncy;"], [0, "&Ocy;"], [0, "&Pcy;"], [0, "&Rcy;"], [0, "&Scy;"], [0, "&Tcy;"], [0, "&Ucy;"], [0, "&Fcy;"], [0, "&KHcy;"], [0, "&TScy;"], [0, "&CHcy;"], [0, "&SHcy;"], [0, "&SHCHcy;"], [0, "&HARDcy;"], [0, "&Ycy;"], [0, "&SOFTcy;"], [0, "&Ecy;"], [0, "&YUcy;"], [0, "&YAcy;"], [0, "&acy;"], [0, "&bcy;"], [0, "&vcy;"], [0, "&gcy;"], [0, "&dcy;"], [0, "&iecy;"], [0, "&zhcy;"], [0, "&zcy;"], [0, "&icy;"], [0, "&jcy;"], [0, "&kcy;"], [0, "&lcy;"], [0, "&mcy;"], [0, "&ncy;"], [0, "&ocy;"], [0, "&pcy;"], [0, "&rcy;"], [0, "&scy;"], [0, "&tcy;"], [0, "&ucy;"], [0, "&fcy;"], [0, "&khcy;"], [0, "&tscy;"], [0, "&chcy;"], [0, "&shcy;"], [0, "&shchcy;"], [0, "&hardcy;"], [0, "&ycy;"], [0, "&softcy;"], [0, "&ecy;"], [0, "&yucy;"], [0, "&yacy;"], [1, "&iocy;"], [0, "&djcy;"], [0, "&gjcy;"], [0, "&jukcy;"], [0, "&dscy;"], [0, "&iukcy;"], [0, "&yicy;"], [0, "&jsercy;"], [0, "&ljcy;"], [0, "&njcy;"], [0, "&tshcy;"], [0, "&kjcy;"], [1, "&ubrcy;"], [0, "&dzcy;"], [7074, "&ensp;"], [0, "&emsp;"], [0, "&emsp13;"], [0, "&emsp14;"], [1, "&numsp;"], [0, "&puncsp;"], [0, "&ThinSpace;"], [0, "&hairsp;"], [0, "&NegativeMediumSpace;"], [0, "&zwnj;"], [0, "&zwj;"], [0, "&lrm;"], [0, "&rlm;"], [0, "&dash;"], [2, "&ndash;"], [0, "&mdash;"], [0, "&horbar;"], [0, "&Verbar;"], [1, "&lsquo;"], [0, "&CloseCurlyQuote;"], [0, "&lsquor;"], [1, "&ldquo;"], [0, "&CloseCurlyDoubleQuote;"], [0, "&bdquo;"], [1, "&dagger;"], [0, "&Dagger;"], [0, "&bull;"], [2, "&nldr;"], [0, "&hellip;"], [9, "&permil;"], [0, "&pertenk;"], [0, "&prime;"], [0, "&Prime;"], [0, "&tprime;"], [0, "&backprime;"], [3, "&lsaquo;"], [0, "&rsaquo;"], [3, "&oline;"], [2, "&caret;"], [1, "&hybull;"], [0, "&frasl;"], [10, "&bsemi;"], [7, "&qprime;"], [7, { v: "&MediumSpace;", n: 8202, o: "&ThickSpace;" }], [0, "&NoBreak;"], [0, "&af;"], [0, "&InvisibleTimes;"], [0, "&ic;"], [72, "&euro;"], [46, "&tdot;"], [0, "&DotDot;"], [37, "&complexes;"], [2, "&incare;"], [4, "&gscr;"], [0, "&hamilt;"], [0, "&Hfr;"], [0, "&Hopf;"], [0, "&planckh;"], [0, "&hbar;"], [0, "&imagline;"], [0, "&Ifr;"], [0, "&lagran;"], [0, "&ell;"], [1, "&naturals;"], [0, "&numero;"], [0, "&copysr;"], [0, "&weierp;"], [0, "&Popf;"], [0, "&Qopf;"], [0, "&realine;"], [0, "&real;"], [0, "&reals;"], [0, "&rx;"], [3, "&trade;"], [1, "&integers;"], [2, "&mho;"], [0, "&zeetrf;"], [0, "&iiota;"], [2, "&bernou;"], [0, "&Cayleys;"], [1, "&escr;"], [0, "&Escr;"], [0, "&Fouriertrf;"], [1, "&Mellintrf;"], [0, "&order;"], [0, "&alefsym;"], [0, "&beth;"], [0, "&gimel;"], [0, "&daleth;"], [12, "&CapitalDifferentialD;"], [0, "&dd;"], [0, "&ee;"], [0, "&ii;"], [10, "&frac13;"], [0, "&frac23;"], [0, "&frac15;"], [0, "&frac25;"], [0, "&frac35;"], [0, "&frac45;"], [0, "&frac16;"], [0, "&frac56;"], [0, "&frac18;"], [0, "&frac38;"], [0, "&frac58;"], [0, "&frac78;"], [49, "&larr;"], [0, "&ShortUpArrow;"], [0, "&rarr;"], [0, "&darr;"], [0, "&harr;"], [0, "&updownarrow;"], [0, "&nwarr;"], [0, "&nearr;"], [0, "&LowerRightArrow;"], [0, "&LowerLeftArrow;"], [0, "&nlarr;"], [0, "&nrarr;"], [1, { v: "&rarrw;", n: 824, o: "&nrarrw;" }], [0, "&Larr;"], [0, "&Uarr;"], [0, "&Rarr;"], [0, "&Darr;"], [0, "&larrtl;"], [0, "&rarrtl;"], [0, "&LeftTeeArrow;"], [0, "&mapstoup;"], [0, "&map;"], [0, "&DownTeeArrow;"], [1, "&hookleftarrow;"], [0, "&hookrightarrow;"], [0, "&larrlp;"], [0, "&looparrowright;"], [0, "&harrw;"], [0, "&nharr;"], [1, "&lsh;"], [0, "&rsh;"], [0, "&ldsh;"], [0, "&rdsh;"], [1, "&crarr;"], [0, "&cularr;"], [0, "&curarr;"], [2, "&circlearrowleft;"], [0, "&circlearrowright;"], [0, "&leftharpoonup;"], [0, "&DownLeftVector;"], [0, "&RightUpVector;"], [0, "&LeftUpVector;"], [0, "&rharu;"], [0, "&DownRightVector;"], [0, "&dharr;"], [0, "&dharl;"], [0, "&RightArrowLeftArrow;"], [0, "&udarr;"], [0, "&LeftArrowRightArrow;"], [0, "&leftleftarrows;"], [0, "&upuparrows;"], [0, "&rightrightarrows;"], [0, "&ddarr;"], [0, "&leftrightharpoons;"], [0, "&Equilibrium;"], [0, "&nlArr;"], [0, "&nhArr;"], [0, "&nrArr;"], [0, "&DoubleLeftArrow;"], [0, "&DoubleUpArrow;"], [0, "&DoubleRightArrow;"], [0, "&dArr;"], [0, "&DoubleLeftRightArrow;"], [0, "&DoubleUpDownArrow;"], [0, "&nwArr;"], [0, "&neArr;"], [0, "&seArr;"], [0, "&swArr;"], [0, "&lAarr;"], [0, "&rAarr;"], [1, "&zigrarr;"], [6, "&larrb;"], [0, "&rarrb;"], [15, "&DownArrowUpArrow;"], [7, "&loarr;"], [0, "&roarr;"], [0, "&hoarr;"], [0, "&forall;"], [0, "&comp;"], [0, { v: "&part;", n: 824, o: "&npart;" }], [0, "&exist;"], [0, "&nexist;"], [0, "&empty;"], [1, "&Del;"], [0, "&Element;"], [0, "&NotElement;"], [1, "&ni;"], [0, "&notni;"], [2, "&prod;"], [0, "&coprod;"], [0, "&sum;"], [0, "&minus;"], [0, "&MinusPlus;"], [0, "&dotplus;"], [1, "&Backslash;"], [0, "&lowast;"], [0, "&compfn;"], [1, "&radic;"], [2, "&prop;"], [0, "&infin;"], [0, "&angrt;"], [0, { v: "&ang;", n: 8402, o: "&nang;" }], [0, "&angmsd;"], [0, "&angsph;"], [0, "&mid;"], [0, "&nmid;"], [0, "&DoubleVerticalBar;"], [0, "&NotDoubleVerticalBar;"], [0, "&and;"], [0, "&or;"], [0, { v: "&cap;", n: 65024, o: "&caps;" }], [0, { v: "&cup;", n: 65024, o: "&cups;" }], [0, "&int;"], [0, "&Int;"], [0, "&iiint;"], [0, "&conint;"], [0, "&Conint;"], [0, "&Cconint;"], [0, "&cwint;"], [0, "&ClockwiseContourIntegral;"], [0, "&awconint;"], [0, "&there4;"], [0, "&becaus;"], [0, "&ratio;"], [0, "&Colon;"], [0, "&dotminus;"], [1, "&mDDot;"], [0, "&homtht;"], [0, { v: "&sim;", n: 8402, o: "&nvsim;" }], [0, { v: "&backsim;", n: 817, o: "&race;" }], [0, { v: "&ac;", n: 819, o: "&acE;" }], [0, "&acd;"], [0, "&VerticalTilde;"], [0, "&NotTilde;"], [0, { v: "&eqsim;", n: 824, o: "&nesim;" }], [0, "&sime;"], [0, "&NotTildeEqual;"], [0, "&cong;"], [0, "&simne;"], [0, "&ncong;"], [0, "&ap;"], [0, "&nap;"], [0, "&ape;"], [0, { v: "&apid;", n: 824, o: "&napid;" }], [0, "&backcong;"], [0, { v: "&asympeq;", n: 8402, o: "&nvap;" }], [0, { v: "&bump;", n: 824, o: "&nbump;" }], [0, { v: "&bumpe;", n: 824, o: "&nbumpe;" }], [0, { v: "&doteq;", n: 824, o: "&nedot;" }], [0, "&doteqdot;"], [0, "&efDot;"], [0, "&erDot;"], [0, "&Assign;"], [0, "&ecolon;"], [0, "&ecir;"], [0, "&circeq;"], [1, "&wedgeq;"], [0, "&veeeq;"], [1, "&triangleq;"], [2, "&equest;"], [0, "&ne;"], [0, { v: "&Congruent;", n: 8421, o: "&bnequiv;" }], [0, "&nequiv;"], [1, { v: "&le;", n: 8402, o: "&nvle;" }], [0, { v: "&ge;", n: 8402, o: "&nvge;" }], [0, { v: "&lE;", n: 824, o: "&nlE;" }], [0, { v: "&gE;", n: 824, o: "&ngE;" }], [0, { v: "&lnE;", n: 65024, o: "&lvertneqq;" }], [0, { v: "&gnE;", n: 65024, o: "&gvertneqq;" }], [0, { v: "&ll;", n: new Map(/* @__PURE__ */ restoreDiff([[824, "&nLtv;"], [7577, "&nLt;"]])) }], [0, { v: "&gg;", n: new Map(/* @__PURE__ */ restoreDiff([[824, "&nGtv;"], [7577, "&nGt;"]])) }], [0, "&between;"], [0, "&NotCupCap;"], [0, "&nless;"], [0, "&ngt;"], [0, "&nle;"], [0, "&nge;"], [0, "&lesssim;"], [0, "&GreaterTilde;"], [0, "&nlsim;"], [0, "&ngsim;"], [0, "&LessGreater;"], [0, "&gl;"], [0, "&NotLessGreater;"], [0, "&NotGreaterLess;"], [0, "&pr;"], [0, "&sc;"], [0, "&prcue;"], [0, "&sccue;"], [0, "&PrecedesTilde;"], [0, { v: "&scsim;", n: 824, o: "&NotSucceedsTilde;" }], [0, "&NotPrecedes;"], [0, "&NotSucceeds;"], [0, { v: "&sub;", n: 8402, o: "&NotSubset;" }], [0, { v: "&sup;", n: 8402, o: "&NotSuperset;" }], [0, "&nsub;"], [0, "&nsup;"], [0, "&sube;"], [0, "&supe;"], [0, "&NotSubsetEqual;"], [0, "&NotSupersetEqual;"], [0, { v: "&subne;", n: 65024, o: "&varsubsetneq;" }], [0, { v: "&supne;", n: 65024, o: "&varsupsetneq;" }], [1, "&cupdot;"], [0, "&UnionPlus;"], [0, { v: "&sqsub;", n: 824, o: "&NotSquareSubset;" }], [0, { v: "&sqsup;", n: 824, o: "&NotSquareSuperset;" }], [0, "&sqsube;"], [0, "&sqsupe;"], [0, { v: "&sqcap;", n: 65024, o: "&sqcaps;" }], [0, { v: "&sqcup;", n: 65024, o: "&sqcups;" }], [0, "&CirclePlus;"], [0, "&CircleMinus;"], [0, "&CircleTimes;"], [0, "&osol;"], [0, "&CircleDot;"], [0, "&circledcirc;"], [0, "&circledast;"], [1, "&circleddash;"], [0, "&boxplus;"], [0, "&boxminus;"], [0, "&boxtimes;"], [0, "&dotsquare;"], [0, "&RightTee;"], [0, "&dashv;"], [0, "&DownTee;"], [0, "&bot;"], [1, "&models;"], [0, "&DoubleRightTee;"], [0, "&Vdash;"], [0, "&Vvdash;"], [0, "&VDash;"], [0, "&nvdash;"], [0, "&nvDash;"], [0, "&nVdash;"], [0, "&nVDash;"], [0, "&prurel;"], [1, "&LeftTriangle;"], [0, "&RightTriangle;"], [0, { v: "&LeftTriangleEqual;", n: 8402, o: "&nvltrie;" }], [0, { v: "&RightTriangleEqual;", n: 8402, o: "&nvrtrie;" }], [0, "&origof;"], [0, "&imof;"], [0, "&multimap;"], [0, "&hercon;"], [0, "&intcal;"], [0, "&veebar;"], [1, "&barvee;"], [0, "&angrtvb;"], [0, "&lrtri;"], [0, "&bigwedge;"], [0, "&bigvee;"], [0, "&bigcap;"], [0, "&bigcup;"], [0, "&diam;"], [0, "&sdot;"], [0, "&sstarf;"], [0, "&divideontimes;"], [0, "&bowtie;"], [0, "&ltimes;"], [0, "&rtimes;"], [0, "&leftthreetimes;"], [0, "&rightthreetimes;"], [0, "&backsimeq;"], [0, "&curlyvee;"], [0, "&curlywedge;"], [0, "&Sub;"], [0, "&Sup;"], [0, "&Cap;"], [0, "&Cup;"], [0, "&fork;"], [0, "&epar;"], [0, "&lessdot;"], [0, "&gtdot;"], [0, { v: "&Ll;", n: 824, o: "&nLl;" }], [0, { v: "&Gg;", n: 824, o: "&nGg;" }], [0, { v: "&leg;", n: 65024, o: "&lesg;" }], [0, { v: "&gel;", n: 65024, o: "&gesl;" }], [2, "&cuepr;"], [0, "&cuesc;"], [0, "&NotPrecedesSlantEqual;"], [0, "&NotSucceedsSlantEqual;"], [0, "&NotSquareSubsetEqual;"], [0, "&NotSquareSupersetEqual;"], [2, "&lnsim;"], [0, "&gnsim;"], [0, "&precnsim;"], [0, "&scnsim;"], [0, "&nltri;"], [0, "&NotRightTriangle;"], [0, "&nltrie;"], [0, "&NotRightTriangleEqual;"], [0, "&vellip;"], [0, "&ctdot;"], [0, "&utdot;"], [0, "&dtdot;"], [0, "&disin;"], [0, "&isinsv;"], [0, "&isins;"], [0, { v: "&isindot;", n: 824, o: "&notindot;" }], [0, "&notinvc;"], [0, "&notinvb;"], [1, { v: "&isinE;", n: 824, o: "&notinE;" }], [0, "&nisd;"], [0, "&xnis;"], [0, "&nis;"], [0, "&notnivc;"], [0, "&notnivb;"], [6, "&barwed;"], [0, "&Barwed;"], [1, "&lceil;"], [0, "&rceil;"], [0, "&LeftFloor;"], [0, "&rfloor;"], [0, "&drcrop;"], [0, "&dlcrop;"], [0, "&urcrop;"], [0, "&ulcrop;"], [0, "&bnot;"], [1, "&profline;"], [0, "&profsurf;"], [1, "&telrec;"], [0, "&target;"], [5, "&ulcorn;"], [0, "&urcorn;"], [0, "&dlcorn;"], [0, "&drcorn;"], [2, "&frown;"], [0, "&smile;"], [9, "&cylcty;"], [0, "&profalar;"], [7, "&topbot;"], [6, "&ovbar;"], [1, "&solbar;"], [60, "&angzarr;"], [51, "&lmoustache;"], [0, "&rmoustache;"], [2, "&OverBracket;"], [0, "&bbrk;"], [0, "&bbrktbrk;"], [37, "&OverParenthesis;"], [0, "&UnderParenthesis;"], [0, "&OverBrace;"], [0, "&UnderBrace;"], [2, "&trpezium;"], [4, "&elinters;"], [59, "&blank;"], [164, "&circledS;"], [55, "&boxh;"], [1, "&boxv;"], [9, "&boxdr;"], [3, "&boxdl;"], [3, "&boxur;"], [3, "&boxul;"], [3, "&boxvr;"], [7, "&boxvl;"], [7, "&boxhd;"], [7, "&boxhu;"], [7, "&boxvh;"], [19, "&boxH;"], [0, "&boxV;"], [0, "&boxdR;"], [0, "&boxDr;"], [0, "&boxDR;"], [0, "&boxdL;"], [0, "&boxDl;"], [0, "&boxDL;"], [0, "&boxuR;"], [0, "&boxUr;"], [0, "&boxUR;"], [0, "&boxuL;"], [0, "&boxUl;"], [0, "&boxUL;"], [0, "&boxvR;"], [0, "&boxVr;"], [0, "&boxVR;"], [0, "&boxvL;"], [0, "&boxVl;"], [0, "&boxVL;"], [0, "&boxHd;"], [0, "&boxhD;"], [0, "&boxHD;"], [0, "&boxHu;"], [0, "&boxhU;"], [0, "&boxHU;"], [0, "&boxvH;"], [0, "&boxVh;"], [0, "&boxVH;"], [19, "&uhblk;"], [3, "&lhblk;"], [3, "&block;"], [8, "&blk14;"], [0, "&blk12;"], [0, "&blk34;"], [13, "&square;"], [8, "&blacksquare;"], [0, "&EmptyVerySmallSquare;"], [1, "&rect;"], [0, "&marker;"], [2, "&fltns;"], [1, "&bigtriangleup;"], [0, "&blacktriangle;"], [0, "&triangle;"], [2, "&blacktriangleright;"], [0, "&rtri;"], [3, "&bigtriangledown;"], [0, "&blacktriangledown;"], [0, "&dtri;"], [2, "&blacktriangleleft;"], [0, "&ltri;"], [6, "&loz;"], [0, "&cir;"], [32, "&tridot;"], [2, "&bigcirc;"], [8, "&ultri;"], [0, "&urtri;"], [0, "&lltri;"], [0, "&EmptySmallSquare;"], [0, "&FilledSmallSquare;"], [8, "&bigstar;"], [0, "&star;"], [7, "&phone;"], [49, "&female;"], [1, "&male;"], [29, "&spades;"], [2, "&clubs;"], [1, "&hearts;"], [0, "&diamondsuit;"], [3, "&sung;"], [2, "&flat;"], [0, "&natural;"], [0, "&sharp;"], [163, "&check;"], [3, "&cross;"], [8, "&malt;"], [21, "&sext;"], [33, "&VerticalSeparator;"], [25, "&lbbrk;"], [0, "&rbbrk;"], [84, "&bsolhsub;"], [0, "&suphsol;"], [28, "&LeftDoubleBracket;"], [0, "&RightDoubleBracket;"], [0, "&lang;"], [0, "&rang;"], [0, "&Lang;"], [0, "&Rang;"], [0, "&loang;"], [0, "&roang;"], [7, "&longleftarrow;"], [0, "&longrightarrow;"], [0, "&longleftrightarrow;"], [0, "&DoubleLongLeftArrow;"], [0, "&DoubleLongRightArrow;"], [0, "&DoubleLongLeftRightArrow;"], [1, "&longmapsto;"], [2, "&dzigrarr;"], [258, "&nvlArr;"], [0, "&nvrArr;"], [0, "&nvHarr;"], [0, "&Map;"], [6, "&lbarr;"], [0, "&bkarow;"], [0, "&lBarr;"], [0, "&dbkarow;"], [0, "&drbkarow;"], [0, "&DDotrahd;"], [0, "&UpArrowBar;"], [0, "&DownArrowBar;"], [2, "&Rarrtl;"], [2, "&latail;"], [0, "&ratail;"], [0, "&lAtail;"], [0, "&rAtail;"], [0, "&larrfs;"], [0, "&rarrfs;"], [0, "&larrbfs;"], [0, "&rarrbfs;"], [2, "&nwarhk;"], [0, "&nearhk;"], [0, "&hksearow;"], [0, "&hkswarow;"], [0, "&nwnear;"], [0, "&nesear;"], [0, "&seswar;"], [0, "&swnwar;"], [8, { v: "&rarrc;", n: 824, o: "&nrarrc;" }], [1, "&cudarrr;"], [0, "&ldca;"], [0, "&rdca;"], [0, "&cudarrl;"], [0, "&larrpl;"], [2, "&curarrm;"], [0, "&cularrp;"], [7, "&rarrpl;"], [2, "&harrcir;"], [0, "&Uarrocir;"], [0, "&lurdshar;"], [0, "&ldrushar;"], [2, "&LeftRightVector;"], [0, "&RightUpDownVector;"], [0, "&DownLeftRightVector;"], [0, "&LeftUpDownVector;"], [0, "&LeftVectorBar;"], [0, "&RightVectorBar;"], [0, "&RightUpVectorBar;"], [0, "&RightDownVectorBar;"], [0, "&DownLeftVectorBar;"], [0, "&DownRightVectorBar;"], [0, "&LeftUpVectorBar;"], [0, "&LeftDownVectorBar;"], [0, "&LeftTeeVector;"], [0, "&RightTeeVector;"], [0, "&RightUpTeeVector;"], [0, "&RightDownTeeVector;"], [0, "&DownLeftTeeVector;"], [0, "&DownRightTeeVector;"], [0, "&LeftUpTeeVector;"], [0, "&LeftDownTeeVector;"], [0, "&lHar;"], [0, "&uHar;"], [0, "&rHar;"], [0, "&dHar;"], [0, "&luruhar;"], [0, "&ldrdhar;"], [0, "&ruluhar;"], [0, "&rdldhar;"], [0, "&lharul;"], [0, "&llhard;"], [0, "&rharul;"], [0, "&lrhard;"], [0, "&udhar;"], [0, "&duhar;"], [0, "&RoundImplies;"], [0, "&erarr;"], [0, "&simrarr;"], [0, "&larrsim;"], [0, "&rarrsim;"], [0, "&rarrap;"], [0, "&ltlarr;"], [1, "&gtrarr;"], [0, "&subrarr;"], [1, "&suplarr;"], [0, "&lfisht;"], [0, "&rfisht;"], [0, "&ufisht;"], [0, "&dfisht;"], [5, "&lopar;"], [0, "&ropar;"], [4, "&lbrke;"], [0, "&rbrke;"], [0, "&lbrkslu;"], [0, "&rbrksld;"], [0, "&lbrksld;"], [0, "&rbrkslu;"], [0, "&langd;"], [0, "&rangd;"], [0, "&lparlt;"], [0, "&rpargt;"], [0, "&gtlPar;"], [0, "&ltrPar;"], [3, "&vzigzag;"], [1, "&vangrt;"], [0, "&angrtvbd;"], [6, "&ange;"], [0, "&range;"], [0, "&dwangle;"], [0, "&uwangle;"], [0, "&angmsdaa;"], [0, "&angmsdab;"], [0, "&angmsdac;"], [0, "&angmsdad;"], [0, "&angmsdae;"], [0, "&angmsdaf;"], [0, "&angmsdag;"], [0, "&angmsdah;"], [0, "&bemptyv;"], [0, "&demptyv;"], [0, "&cemptyv;"], [0, "&raemptyv;"], [0, "&laemptyv;"], [0, "&ohbar;"], [0, "&omid;"], [0, "&opar;"], [1, "&operp;"], [1, "&olcross;"], [0, "&odsold;"], [1, "&olcir;"], [0, "&ofcir;"], [0, "&olt;"], [0, "&ogt;"], [0, "&cirscir;"], [0, "&cirE;"], [0, "&solb;"], [0, "&bsolb;"], [3, "&boxbox;"], [3, "&trisb;"], [0, "&rtriltri;"], [0, { v: "&LeftTriangleBar;", n: 824, o: "&NotLeftTriangleBar;" }], [0, { v: "&RightTriangleBar;", n: 824, o: "&NotRightTriangleBar;" }], [11, "&iinfin;"], [0, "&infintie;"], [0, "&nvinfin;"], [4, "&eparsl;"], [0, "&smeparsl;"], [0, "&eqvparsl;"], [5, "&blacklozenge;"], [8, "&RuleDelayed;"], [1, "&dsol;"], [9, "&bigodot;"], [0, "&bigoplus;"], [0, "&bigotimes;"], [1, "&biguplus;"], [1, "&bigsqcup;"], [5, "&iiiint;"], [0, "&fpartint;"], [2, "&cirfnint;"], [0, "&awint;"], [0, "&rppolint;"], [0, "&scpolint;"], [0, "&npolint;"], [0, "&pointint;"], [0, "&quatint;"], [0, "&intlarhk;"], [10, "&pluscir;"], [0, "&plusacir;"], [0, "&simplus;"], [0, "&plusdu;"], [0, "&plussim;"], [0, "&plustwo;"], [1, "&mcomma;"], [0, "&minusdu;"], [2, "&loplus;"], [0, "&roplus;"], [0, "&Cross;"], [0, "&timesd;"], [0, "&timesbar;"], [1, "&smashp;"], [0, "&lotimes;"], [0, "&rotimes;"], [0, "&otimesas;"], [0, "&Otimes;"], [0, "&odiv;"], [0, "&triplus;"], [0, "&triminus;"], [0, "&tritime;"], [0, "&intprod;"], [2, "&amalg;"], [0, "&capdot;"], [1, "&ncup;"], [0, "&ncap;"], [0, "&capand;"], [0, "&cupor;"], [0, "&cupcap;"], [0, "&capcup;"], [0, "&cupbrcap;"], [0, "&capbrcup;"], [0, "&cupcup;"], [0, "&capcap;"], [0, "&ccups;"], [0, "&ccaps;"], [2, "&ccupssm;"], [2, "&And;"], [0, "&Or;"], [0, "&andand;"], [0, "&oror;"], [0, "&orslope;"], [0, "&andslope;"], [1, "&andv;"], [0, "&orv;"], [0, "&andd;"], [0, "&ord;"], [1, "&wedbar;"], [6, "&sdote;"], [3, "&simdot;"], [2, { v: "&congdot;", n: 824, o: "&ncongdot;" }], [0, "&easter;"], [0, "&apacir;"], [0, { v: "&apE;", n: 824, o: "&napE;" }], [0, "&eplus;"], [0, "&pluse;"], [0, "&Esim;"], [0, "&Colone;"], [0, "&Equal;"], [1, "&ddotseq;"], [0, "&equivDD;"], [0, "&ltcir;"], [0, "&gtcir;"], [0, "&ltquest;"], [0, "&gtquest;"], [0, { v: "&leqslant;", n: 824, o: "&nleqslant;" }], [0, { v: "&geqslant;", n: 824, o: "&ngeqslant;" }], [0, "&lesdot;"], [0, "&gesdot;"], [0, "&lesdoto;"], [0, "&gesdoto;"], [0, "&lesdotor;"], [0, "&gesdotol;"], [0, "&lap;"], [0, "&gap;"], [0, "&lne;"], [0, "&gne;"], [0, "&lnap;"], [0, "&gnap;"], [0, "&lEg;"], [0, "&gEl;"], [0, "&lsime;"], [0, "&gsime;"], [0, "&lsimg;"], [0, "&gsiml;"], [0, "&lgE;"], [0, "&glE;"], [0, "&lesges;"], [0, "&gesles;"], [0, "&els;"], [0, "&egs;"], [0, "&elsdot;"], [0, "&egsdot;"], [0, "&el;"], [0, "&eg;"], [2, "&siml;"], [0, "&simg;"], [0, "&simlE;"], [0, "&simgE;"], [0, { v: "&LessLess;", n: 824, o: "&NotNestedLessLess;" }], [0, { v: "&GreaterGreater;", n: 824, o: "&NotNestedGreaterGreater;" }], [1, "&glj;"], [0, "&gla;"], [0, "&ltcc;"], [0, "&gtcc;"], [0, "&lescc;"], [0, "&gescc;"], [0, "&smt;"], [0, "&lat;"], [0, { v: "&smte;", n: 65024, o: "&smtes;" }], [0, { v: "&late;", n: 65024, o: "&lates;" }], [0, "&bumpE;"], [0, { v: "&PrecedesEqual;", n: 824, o: "&NotPrecedesEqual;" }], [0, { v: "&sce;", n: 824, o: "&NotSucceedsEqual;" }], [2, "&prE;"], [0, "&scE;"], [0, "&precneqq;"], [0, "&scnE;"], [0, "&prap;"], [0, "&scap;"], [0, "&precnapprox;"], [0, "&scnap;"], [0, "&Pr;"], [0, "&Sc;"], [0, "&subdot;"], [0, "&supdot;"], [0, "&subplus;"], [0, "&supplus;"], [0, "&submult;"], [0, "&supmult;"], [0, "&subedot;"], [0, "&supedot;"], [0, { v: "&subE;", n: 824, o: "&nsubE;" }], [0, { v: "&supE;", n: 824, o: "&nsupE;" }], [0, "&subsim;"], [0, "&supsim;"], [2, { v: "&subnE;", n: 65024, o: "&varsubsetneqq;" }], [0, { v: "&supnE;", n: 65024, o: "&varsupsetneqq;" }], [2, "&csub;"], [0, "&csup;"], [0, "&csube;"], [0, "&csupe;"], [0, "&subsup;"], [0, "&supsub;"], [0, "&subsub;"], [0, "&supsup;"], [0, "&suphsub;"], [0, "&supdsub;"], [0, "&forkv;"], [0, "&topfork;"], [0, "&mlcp;"], [8, "&Dashv;"], [1, "&Vdashl;"], [0, "&Barv;"], [0, "&vBar;"], [0, "&vBarv;"], [1, "&Vbar;"], [0, "&Not;"], [0, "&bNot;"], [0, "&rnmid;"], [0, "&cirmid;"], [0, "&midcir;"], [0, "&topcir;"], [0, "&nhpar;"], [0, "&parsim;"], [9, { v: "&parsl;", n: 8421, o: "&nparsl;" }], [44343, { n: new Map(/* @__PURE__ */ restoreDiff([[56476, "&Ascr;"], [1, "&Cscr;"], [0, "&Dscr;"], [2, "&Gscr;"], [2, "&Jscr;"], [0, "&Kscr;"], [2, "&Nscr;"], [0, "&Oscr;"], [0, "&Pscr;"], [0, "&Qscr;"], [1, "&Sscr;"], [0, "&Tscr;"], [0, "&Uscr;"], [0, "&Vscr;"], [0, "&Wscr;"], [0, "&Xscr;"], [0, "&Yscr;"], [0, "&Zscr;"], [0, "&ascr;"], [0, "&bscr;"], [0, "&cscr;"], [0, "&dscr;"], [1, "&fscr;"], [1, "&hscr;"], [0, "&iscr;"], [0, "&jscr;"], [0, "&kscr;"], [0, "&lscr;"], [0, "&mscr;"], [0, "&nscr;"], [1, "&pscr;"], [0, "&qscr;"], [0, "&rscr;"], [0, "&sscr;"], [0, "&tscr;"], [0, "&uscr;"], [0, "&vscr;"], [0, "&wscr;"], [0, "&xscr;"], [0, "&yscr;"], [0, "&zscr;"], [52, "&Afr;"], [0, "&Bfr;"], [1, "&Dfr;"], [0, "&Efr;"], [0, "&Ffr;"], [0, "&Gfr;"], [2, "&Jfr;"], [0, "&Kfr;"], [0, "&Lfr;"], [0, "&Mfr;"], [0, "&Nfr;"], [0, "&Ofr;"], [0, "&Pfr;"], [0, "&Qfr;"], [1, "&Sfr;"], [0, "&Tfr;"], [0, "&Ufr;"], [0, "&Vfr;"], [0, "&Wfr;"], [0, "&Xfr;"], [0, "&Yfr;"], [1, "&afr;"], [0, "&bfr;"], [0, "&cfr;"], [0, "&dfr;"], [0, "&efr;"], [0, "&ffr;"], [0, "&gfr;"], [0, "&hfr;"], [0, "&ifr;"], [0, "&jfr;"], [0, "&kfr;"], [0, "&lfr;"], [0, "&mfr;"], [0, "&nfr;"], [0, "&ofr;"], [0, "&pfr;"], [0, "&qfr;"], [0, "&rfr;"], [0, "&sfr;"], [0, "&tfr;"], [0, "&ufr;"], [0, "&vfr;"], [0, "&wfr;"], [0, "&xfr;"], [0, "&yfr;"], [0, "&zfr;"], [0, "&Aopf;"], [0, "&Bopf;"], [1, "&Dopf;"], [0, "&Eopf;"], [0, "&Fopf;"], [0, "&Gopf;"], [1, "&Iopf;"], [0, "&Jopf;"], [0, "&Kopf;"], [0, "&Lopf;"], [0, "&Mopf;"], [1, "&Oopf;"], [3, "&Sopf;"], [0, "&Topf;"], [0, "&Uopf;"], [0, "&Vopf;"], [0, "&Wopf;"], [0, "&Xopf;"], [0, "&Yopf;"], [1, "&aopf;"], [0, "&bopf;"], [0, "&copf;"], [0, "&dopf;"], [0, "&eopf;"], [0, "&fopf;"], [0, "&gopf;"], [0, "&hopf;"], [0, "&iopf;"], [0, "&jopf;"], [0, "&kopf;"], [0, "&lopf;"], [0, "&mopf;"], [0, "&nopf;"], [0, "&oopf;"], [0, "&popf;"], [0, "&qopf;"], [0, "&ropf;"], [0, "&sopf;"], [0, "&topf;"], [0, "&uopf;"], [0, "&vopf;"], [0, "&wopf;"], [0, "&xopf;"], [0, "&yopf;"], [0, "&zopf;"]])) }], [8906, "&fflig;"], [0, "&filig;"], [0, "&fllig;"], [0, "&ffilig;"], [0, "&ffllig;"]]));
  }
});

// ../../../node_modules/entities/lib/escape.js
var require_escape = __commonJS({
  "../../../node_modules/entities/lib/escape.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.escapeText = exports.escapeAttribute = exports.escapeUTF8 = exports.escape = exports.encodeXML = exports.getCodePoint = exports.xmlReplacer = void 0;
    exports.xmlReplacer = /["&'<>$\x80-\uFFFF]/g;
    var xmlCodeMap = /* @__PURE__ */ new Map([
      [34, "&quot;"],
      [38, "&amp;"],
      [39, "&apos;"],
      [60, "&lt;"],
      [62, "&gt;"]
    ]);
    exports.getCodePoint = // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition
    String.prototype.codePointAt != null ? function(str, index) {
      return str.codePointAt(index);
    } : (
      // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
      function(c, index) {
        return (c.charCodeAt(index) & 64512) === 55296 ? (c.charCodeAt(index) - 55296) * 1024 + c.charCodeAt(index + 1) - 56320 + 65536 : c.charCodeAt(index);
      }
    );
    function encodeXML(str) {
      var ret = "";
      var lastIdx = 0;
      var match;
      while ((match = exports.xmlReplacer.exec(str)) !== null) {
        var i = match.index;
        var char = str.charCodeAt(i);
        var next = xmlCodeMap.get(char);
        if (next !== void 0) {
          ret += str.substring(lastIdx, i) + next;
          lastIdx = i + 1;
        } else {
          ret += "".concat(str.substring(lastIdx, i), "&#x").concat((0, exports.getCodePoint)(str, i).toString(16), ";");
          lastIdx = exports.xmlReplacer.lastIndex += Number((char & 64512) === 55296);
        }
      }
      return ret + str.substr(lastIdx);
    }
    exports.encodeXML = encodeXML;
    exports.escape = encodeXML;
    function getEscaper(regex, map) {
      return function escape(data) {
        var match;
        var lastIdx = 0;
        var result = "";
        while (match = regex.exec(data)) {
          if (lastIdx !== match.index) {
            result += data.substring(lastIdx, match.index);
          }
          result += map.get(match[0].charCodeAt(0));
          lastIdx = match.index + 1;
        }
        return result + data.substring(lastIdx);
      };
    }
    exports.escapeUTF8 = getEscaper(/[&<>'"]/g, xmlCodeMap);
    exports.escapeAttribute = getEscaper(/["&\u00A0]/g, /* @__PURE__ */ new Map([
      [34, "&quot;"],
      [38, "&amp;"],
      [160, "&nbsp;"]
    ]));
    exports.escapeText = getEscaper(/[&<>\u00A0]/g, /* @__PURE__ */ new Map([
      [38, "&amp;"],
      [60, "&lt;"],
      [62, "&gt;"],
      [160, "&nbsp;"]
    ]));
  }
});

// ../../../node_modules/entities/lib/encode.js
var require_encode = __commonJS({
  "../../../node_modules/entities/lib/encode.js"(exports) {
    "use strict";
    var __importDefault = exports && exports.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.encodeNonAsciiHTML = exports.encodeHTML = void 0;
    var encode_html_js_1 = __importDefault(require_encode_html());
    var escape_js_1 = require_escape();
    var htmlReplacer = /[\t\n!-,./:-@[-`\f{-}$\x80-\uFFFF]/g;
    function encodeHTML(data) {
      return encodeHTMLTrieRe(htmlReplacer, data);
    }
    exports.encodeHTML = encodeHTML;
    function encodeNonAsciiHTML(data) {
      return encodeHTMLTrieRe(escape_js_1.xmlReplacer, data);
    }
    exports.encodeNonAsciiHTML = encodeNonAsciiHTML;
    function encodeHTMLTrieRe(regExp, str) {
      var ret = "";
      var lastIdx = 0;
      var match;
      while ((match = regExp.exec(str)) !== null) {
        var i = match.index;
        ret += str.substring(lastIdx, i);
        var char = str.charCodeAt(i);
        var next = encode_html_js_1.default.get(char);
        if (typeof next === "object") {
          if (i + 1 < str.length) {
            var nextChar = str.charCodeAt(i + 1);
            var value = typeof next.n === "number" ? next.n === nextChar ? next.o : void 0 : next.n.get(nextChar);
            if (value !== void 0) {
              ret += value;
              lastIdx = regExp.lastIndex += 1;
              continue;
            }
          }
          next = next.v;
        }
        if (next !== void 0) {
          ret += next;
          lastIdx = i + 1;
        } else {
          var cp = (0, escape_js_1.getCodePoint)(str, i);
          ret += "&#x".concat(cp.toString(16), ";");
          lastIdx = regExp.lastIndex += Number(cp !== char);
        }
      }
      return ret + str.substr(lastIdx);
    }
  }
});

// ../../../node_modules/entities/lib/index.js
var require_lib4 = __commonJS({
  "../../../node_modules/entities/lib/index.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.decodeXMLStrict = exports.decodeHTML5Strict = exports.decodeHTML4Strict = exports.decodeHTML5 = exports.decodeHTML4 = exports.decodeHTMLAttribute = exports.decodeHTMLStrict = exports.decodeHTML = exports.decodeXML = exports.DecodingMode = exports.EntityDecoder = exports.encodeHTML5 = exports.encodeHTML4 = exports.encodeNonAsciiHTML = exports.encodeHTML = exports.escapeText = exports.escapeAttribute = exports.escapeUTF8 = exports.escape = exports.encodeXML = exports.encode = exports.decodeStrict = exports.decode = exports.EncodingMode = exports.EntityLevel = void 0;
    var decode_js_1 = require_decode();
    var encode_js_1 = require_encode();
    var escape_js_1 = require_escape();
    var EntityLevel;
    (function(EntityLevel2) {
      EntityLevel2[EntityLevel2["XML"] = 0] = "XML";
      EntityLevel2[EntityLevel2["HTML"] = 1] = "HTML";
    })(EntityLevel = exports.EntityLevel || (exports.EntityLevel = {}));
    var EncodingMode;
    (function(EncodingMode2) {
      EncodingMode2[EncodingMode2["UTF8"] = 0] = "UTF8";
      EncodingMode2[EncodingMode2["ASCII"] = 1] = "ASCII";
      EncodingMode2[EncodingMode2["Extensive"] = 2] = "Extensive";
      EncodingMode2[EncodingMode2["Attribute"] = 3] = "Attribute";
      EncodingMode2[EncodingMode2["Text"] = 4] = "Text";
    })(EncodingMode = exports.EncodingMode || (exports.EncodingMode = {}));
    function decode(data, options) {
      if (options === void 0) {
        options = EntityLevel.XML;
      }
      var level = typeof options === "number" ? options : options.level;
      if (level === EntityLevel.HTML) {
        var mode = typeof options === "object" ? options.mode : void 0;
        return (0, decode_js_1.decodeHTML)(data, mode);
      }
      return (0, decode_js_1.decodeXML)(data);
    }
    exports.decode = decode;
    function decodeStrict(data, options) {
      var _a;
      if (options === void 0) {
        options = EntityLevel.XML;
      }
      var opts = typeof options === "number" ? { level: options } : options;
      (_a = opts.mode) !== null && _a !== void 0 ? _a : opts.mode = decode_js_1.DecodingMode.Strict;
      return decode(data, opts);
    }
    exports.decodeStrict = decodeStrict;
    function encode(data, options) {
      if (options === void 0) {
        options = EntityLevel.XML;
      }
      var opts = typeof options === "number" ? { level: options } : options;
      if (opts.mode === EncodingMode.UTF8)
        return (0, escape_js_1.escapeUTF8)(data);
      if (opts.mode === EncodingMode.Attribute)
        return (0, escape_js_1.escapeAttribute)(data);
      if (opts.mode === EncodingMode.Text)
        return (0, escape_js_1.escapeText)(data);
      if (opts.level === EntityLevel.HTML) {
        if (opts.mode === EncodingMode.ASCII) {
          return (0, encode_js_1.encodeNonAsciiHTML)(data);
        }
        return (0, encode_js_1.encodeHTML)(data);
      }
      return (0, escape_js_1.encodeXML)(data);
    }
    exports.encode = encode;
    var escape_js_2 = require_escape();
    Object.defineProperty(exports, "encodeXML", { enumerable: true, get: function() {
      return escape_js_2.encodeXML;
    } });
    Object.defineProperty(exports, "escape", { enumerable: true, get: function() {
      return escape_js_2.escape;
    } });
    Object.defineProperty(exports, "escapeUTF8", { enumerable: true, get: function() {
      return escape_js_2.escapeUTF8;
    } });
    Object.defineProperty(exports, "escapeAttribute", { enumerable: true, get: function() {
      return escape_js_2.escapeAttribute;
    } });
    Object.defineProperty(exports, "escapeText", { enumerable: true, get: function() {
      return escape_js_2.escapeText;
    } });
    var encode_js_2 = require_encode();
    Object.defineProperty(exports, "encodeHTML", { enumerable: true, get: function() {
      return encode_js_2.encodeHTML;
    } });
    Object.defineProperty(exports, "encodeNonAsciiHTML", { enumerable: true, get: function() {
      return encode_js_2.encodeNonAsciiHTML;
    } });
    Object.defineProperty(exports, "encodeHTML4", { enumerable: true, get: function() {
      return encode_js_2.encodeHTML;
    } });
    Object.defineProperty(exports, "encodeHTML5", { enumerable: true, get: function() {
      return encode_js_2.encodeHTML;
    } });
    var decode_js_2 = require_decode();
    Object.defineProperty(exports, "EntityDecoder", { enumerable: true, get: function() {
      return decode_js_2.EntityDecoder;
    } });
    Object.defineProperty(exports, "DecodingMode", { enumerable: true, get: function() {
      return decode_js_2.DecodingMode;
    } });
    Object.defineProperty(exports, "decodeXML", { enumerable: true, get: function() {
      return decode_js_2.decodeXML;
    } });
    Object.defineProperty(exports, "decodeHTML", { enumerable: true, get: function() {
      return decode_js_2.decodeHTML;
    } });
    Object.defineProperty(exports, "decodeHTMLStrict", { enumerable: true, get: function() {
      return decode_js_2.decodeHTMLStrict;
    } });
    Object.defineProperty(exports, "decodeHTMLAttribute", { enumerable: true, get: function() {
      return decode_js_2.decodeHTMLAttribute;
    } });
    Object.defineProperty(exports, "decodeHTML4", { enumerable: true, get: function() {
      return decode_js_2.decodeHTML;
    } });
    Object.defineProperty(exports, "decodeHTML5", { enumerable: true, get: function() {
      return decode_js_2.decodeHTML;
    } });
    Object.defineProperty(exports, "decodeHTML4Strict", { enumerable: true, get: function() {
      return decode_js_2.decodeHTMLStrict;
    } });
    Object.defineProperty(exports, "decodeHTML5Strict", { enumerable: true, get: function() {
      return decode_js_2.decodeHTMLStrict;
    } });
    Object.defineProperty(exports, "decodeXMLStrict", { enumerable: true, get: function() {
      return decode_js_2.decodeXML;
    } });
  }
});

// ../../../node_modules/dom-serializer/lib/foreignNames.js
var require_foreignNames = __commonJS({
  "../../../node_modules/dom-serializer/lib/foreignNames.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.attributeNames = exports.elementNames = void 0;
    exports.elementNames = new Map([
      "altGlyph",
      "altGlyphDef",
      "altGlyphItem",
      "animateColor",
      "animateMotion",
      "animateTransform",
      "clipPath",
      "feBlend",
      "feColorMatrix",
      "feComponentTransfer",
      "feComposite",
      "feConvolveMatrix",
      "feDiffuseLighting",
      "feDisplacementMap",
      "feDistantLight",
      "feDropShadow",
      "feFlood",
      "feFuncA",
      "feFuncB",
      "feFuncG",
      "feFuncR",
      "feGaussianBlur",
      "feImage",
      "feMerge",
      "feMergeNode",
      "feMorphology",
      "feOffset",
      "fePointLight",
      "feSpecularLighting",
      "feSpotLight",
      "feTile",
      "feTurbulence",
      "foreignObject",
      "glyphRef",
      "linearGradient",
      "radialGradient",
      "textPath"
    ].map(function(val) {
      return [val.toLowerCase(), val];
    }));
    exports.attributeNames = new Map([
      "definitionURL",
      "attributeName",
      "attributeType",
      "baseFrequency",
      "baseProfile",
      "calcMode",
      "clipPathUnits",
      "diffuseConstant",
      "edgeMode",
      "filterUnits",
      "glyphRef",
      "gradientTransform",
      "gradientUnits",
      "kernelMatrix",
      "kernelUnitLength",
      "keyPoints",
      "keySplines",
      "keyTimes",
      "lengthAdjust",
      "limitingConeAngle",
      "markerHeight",
      "markerUnits",
      "markerWidth",
      "maskContentUnits",
      "maskUnits",
      "numOctaves",
      "pathLength",
      "patternContentUnits",
      "patternTransform",
      "patternUnits",
      "pointsAtX",
      "pointsAtY",
      "pointsAtZ",
      "preserveAlpha",
      "preserveAspectRatio",
      "primitiveUnits",
      "refX",
      "refY",
      "repeatCount",
      "repeatDur",
      "requiredExtensions",
      "requiredFeatures",
      "specularConstant",
      "specularExponent",
      "spreadMethod",
      "startOffset",
      "stdDeviation",
      "stitchTiles",
      "surfaceScale",
      "systemLanguage",
      "tableValues",
      "targetX",
      "targetY",
      "textLength",
      "viewBox",
      "viewTarget",
      "xChannelSelector",
      "yChannelSelector",
      "zoomAndPan"
    ].map(function(val) {
      return [val.toLowerCase(), val];
    }));
  }
});

// ../../../node_modules/dom-serializer/lib/index.js
var require_lib5 = __commonJS({
  "../../../node_modules/dom-serializer/lib/index.js"(exports) {
    "use strict";
    var __assign = exports && exports.__assign || function() {
      __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
          s = arguments[i];
          for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p))
              t[p] = s[p];
        }
        return t;
      };
      return __assign.apply(this, arguments);
    };
    var __createBinding = exports && exports.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports && exports.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports && exports.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.render = void 0;
    var ElementType = __importStar(require_lib2());
    var entities_1 = require_lib4();
    var foreignNames_js_1 = require_foreignNames();
    var unencodedElements = /* @__PURE__ */ new Set([
      "style",
      "script",
      "xmp",
      "iframe",
      "noembed",
      "noframes",
      "plaintext",
      "noscript"
    ]);
    function replaceQuotes(value) {
      return value.replace(/"/g, "&quot;");
    }
    function formatAttributes(attributes, opts) {
      var _a;
      if (!attributes)
        return;
      var encode = ((_a = opts.encodeEntities) !== null && _a !== void 0 ? _a : opts.decodeEntities) === false ? replaceQuotes : opts.xmlMode || opts.encodeEntities !== "utf8" ? entities_1.encodeXML : entities_1.escapeAttribute;
      return Object.keys(attributes).map(function(key) {
        var _a2, _b;
        var value = (_a2 = attributes[key]) !== null && _a2 !== void 0 ? _a2 : "";
        if (opts.xmlMode === "foreign") {
          key = (_b = foreignNames_js_1.attributeNames.get(key)) !== null && _b !== void 0 ? _b : key;
        }
        if (!opts.emptyAttrs && !opts.xmlMode && value === "") {
          return key;
        }
        return "".concat(key, '="').concat(encode(value), '"');
      }).join(" ");
    }
    var singleTag = /* @__PURE__ */ new Set([
      "area",
      "base",
      "basefont",
      "br",
      "col",
      "command",
      "embed",
      "frame",
      "hr",
      "img",
      "input",
      "isindex",
      "keygen",
      "link",
      "meta",
      "param",
      "source",
      "track",
      "wbr"
    ]);
    function render(node, options) {
      if (options === void 0) {
        options = {};
      }
      var nodes = "length" in node ? node : [node];
      var output = "";
      for (var i = 0; i < nodes.length; i++) {
        output += renderNode(nodes[i], options);
      }
      return output;
    }
    exports.render = render;
    exports.default = render;
    function renderNode(node, options) {
      switch (node.type) {
        case ElementType.Root:
          return render(node.children, options);
        case ElementType.Doctype:
        case ElementType.Directive:
          return renderDirective(node);
        case ElementType.Comment:
          return renderComment(node);
        case ElementType.CDATA:
          return renderCdata(node);
        case ElementType.Script:
        case ElementType.Style:
        case ElementType.Tag:
          return renderTag(node, options);
        case ElementType.Text:
          return renderText(node, options);
      }
    }
    var foreignModeIntegrationPoints = /* @__PURE__ */ new Set([
      "mi",
      "mo",
      "mn",
      "ms",
      "mtext",
      "annotation-xml",
      "foreignObject",
      "desc",
      "title"
    ]);
    var foreignElements = /* @__PURE__ */ new Set(["svg", "math"]);
    function renderTag(elem, opts) {
      var _a;
      if (opts.xmlMode === "foreign") {
        elem.name = (_a = foreignNames_js_1.elementNames.get(elem.name)) !== null && _a !== void 0 ? _a : elem.name;
        if (elem.parent && foreignModeIntegrationPoints.has(elem.parent.name)) {
          opts = __assign(__assign({}, opts), { xmlMode: false });
        }
      }
      if (!opts.xmlMode && foreignElements.has(elem.name)) {
        opts = __assign(__assign({}, opts), { xmlMode: "foreign" });
      }
      var tag = "<".concat(elem.name);
      var attribs = formatAttributes(elem.attribs, opts);
      if (attribs) {
        tag += " ".concat(attribs);
      }
      if (elem.children.length === 0 && (opts.xmlMode ? (
        // In XML mode or foreign mode, and user hasn't explicitly turned off self-closing tags
        opts.selfClosingTags !== false
      ) : (
        // User explicitly asked for self-closing tags, even in HTML mode
        opts.selfClosingTags && singleTag.has(elem.name)
      ))) {
        if (!opts.xmlMode)
          tag += " ";
        tag += "/>";
      } else {
        tag += ">";
        if (elem.children.length > 0) {
          tag += render(elem.children, opts);
        }
        if (opts.xmlMode || !singleTag.has(elem.name)) {
          tag += "</".concat(elem.name, ">");
        }
      }
      return tag;
    }
    function renderDirective(elem) {
      return "<".concat(elem.data, ">");
    }
    function renderText(elem, opts) {
      var _a;
      var data = elem.data || "";
      if (((_a = opts.encodeEntities) !== null && _a !== void 0 ? _a : opts.decodeEntities) !== false && !(!opts.xmlMode && elem.parent && unencodedElements.has(elem.parent.name))) {
        data = opts.xmlMode || opts.encodeEntities !== "utf8" ? (0, entities_1.encodeXML)(data) : (0, entities_1.escapeText)(data);
      }
      return data;
    }
    function renderCdata(elem) {
      return "<![CDATA[".concat(elem.children[0].data, "]]>");
    }
    function renderComment(elem) {
      return "<!--".concat(elem.data, "-->");
    }
  }
});

// ../../../node_modules/domutils/lib/stringify.js
var require_stringify = __commonJS({
  "../../../node_modules/domutils/lib/stringify.js"(exports) {
    "use strict";
    var __importDefault = exports && exports.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.innerText = exports.textContent = exports.getText = exports.getInnerHTML = exports.getOuterHTML = void 0;
    var domhandler_1 = require_lib3();
    var dom_serializer_1 = __importDefault(require_lib5());
    var domelementtype_1 = require_lib2();
    function getOuterHTML(node, options) {
      return (0, dom_serializer_1.default)(node, options);
    }
    exports.getOuterHTML = getOuterHTML;
    function getInnerHTML(node, options) {
      return (0, domhandler_1.hasChildren)(node) ? node.children.map(function(node2) {
        return getOuterHTML(node2, options);
      }).join("") : "";
    }
    exports.getInnerHTML = getInnerHTML;
    function getText(node) {
      if (Array.isArray(node))
        return node.map(getText).join("");
      if ((0, domhandler_1.isTag)(node))
        return node.name === "br" ? "\n" : getText(node.children);
      if ((0, domhandler_1.isCDATA)(node))
        return getText(node.children);
      if ((0, domhandler_1.isText)(node))
        return node.data;
      return "";
    }
    exports.getText = getText;
    function textContent(node) {
      if (Array.isArray(node))
        return node.map(textContent).join("");
      if ((0, domhandler_1.hasChildren)(node) && !(0, domhandler_1.isComment)(node)) {
        return textContent(node.children);
      }
      if ((0, domhandler_1.isText)(node))
        return node.data;
      return "";
    }
    exports.textContent = textContent;
    function innerText(node) {
      if (Array.isArray(node))
        return node.map(innerText).join("");
      if ((0, domhandler_1.hasChildren)(node) && (node.type === domelementtype_1.ElementType.Tag || (0, domhandler_1.isCDATA)(node))) {
        return innerText(node.children);
      }
      if ((0, domhandler_1.isText)(node))
        return node.data;
      return "";
    }
    exports.innerText = innerText;
  }
});

// ../../../node_modules/domutils/lib/traversal.js
var require_traversal = __commonJS({
  "../../../node_modules/domutils/lib/traversal.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.prevElementSibling = exports.nextElementSibling = exports.getName = exports.hasAttrib = exports.getAttributeValue = exports.getSiblings = exports.getParent = exports.getChildren = void 0;
    var domhandler_1 = require_lib3();
    function getChildren(elem) {
      return (0, domhandler_1.hasChildren)(elem) ? elem.children : [];
    }
    exports.getChildren = getChildren;
    function getParent(elem) {
      return elem.parent || null;
    }
    exports.getParent = getParent;
    function getSiblings(elem) {
      var _a, _b;
      var parent = getParent(elem);
      if (parent != null)
        return getChildren(parent);
      var siblings = [elem];
      var prev = elem.prev, next = elem.next;
      while (prev != null) {
        siblings.unshift(prev);
        _a = prev, prev = _a.prev;
      }
      while (next != null) {
        siblings.push(next);
        _b = next, next = _b.next;
      }
      return siblings;
    }
    exports.getSiblings = getSiblings;
    function getAttributeValue(elem, name) {
      var _a;
      return (_a = elem.attribs) === null || _a === void 0 ? void 0 : _a[name];
    }
    exports.getAttributeValue = getAttributeValue;
    function hasAttrib(elem, name) {
      return elem.attribs != null && Object.prototype.hasOwnProperty.call(elem.attribs, name) && elem.attribs[name] != null;
    }
    exports.hasAttrib = hasAttrib;
    function getName(elem) {
      return elem.name;
    }
    exports.getName = getName;
    function nextElementSibling(elem) {
      var _a;
      var next = elem.next;
      while (next !== null && !(0, domhandler_1.isTag)(next))
        _a = next, next = _a.next;
      return next;
    }
    exports.nextElementSibling = nextElementSibling;
    function prevElementSibling(elem) {
      var _a;
      var prev = elem.prev;
      while (prev !== null && !(0, domhandler_1.isTag)(prev))
        _a = prev, prev = _a.prev;
      return prev;
    }
    exports.prevElementSibling = prevElementSibling;
  }
});

// ../../../node_modules/domutils/lib/manipulation.js
var require_manipulation = __commonJS({
  "../../../node_modules/domutils/lib/manipulation.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.prepend = exports.prependChild = exports.append = exports.appendChild = exports.replaceElement = exports.removeElement = void 0;
    function removeElement(elem) {
      if (elem.prev)
        elem.prev.next = elem.next;
      if (elem.next)
        elem.next.prev = elem.prev;
      if (elem.parent) {
        var childs = elem.parent.children;
        var childsIndex = childs.lastIndexOf(elem);
        if (childsIndex >= 0) {
          childs.splice(childsIndex, 1);
        }
      }
      elem.next = null;
      elem.prev = null;
      elem.parent = null;
    }
    exports.removeElement = removeElement;
    function replaceElement(elem, replacement) {
      var prev = replacement.prev = elem.prev;
      if (prev) {
        prev.next = replacement;
      }
      var next = replacement.next = elem.next;
      if (next) {
        next.prev = replacement;
      }
      var parent = replacement.parent = elem.parent;
      if (parent) {
        var childs = parent.children;
        childs[childs.lastIndexOf(elem)] = replacement;
        elem.parent = null;
      }
    }
    exports.replaceElement = replaceElement;
    function appendChild(parent, child) {
      removeElement(child);
      child.next = null;
      child.parent = parent;
      if (parent.children.push(child) > 1) {
        var sibling = parent.children[parent.children.length - 2];
        sibling.next = child;
        child.prev = sibling;
      } else {
        child.prev = null;
      }
    }
    exports.appendChild = appendChild;
    function append(elem, next) {
      removeElement(next);
      var parent = elem.parent;
      var currNext = elem.next;
      next.next = currNext;
      next.prev = elem;
      elem.next = next;
      next.parent = parent;
      if (currNext) {
        currNext.prev = next;
        if (parent) {
          var childs = parent.children;
          childs.splice(childs.lastIndexOf(currNext), 0, next);
        }
      } else if (parent) {
        parent.children.push(next);
      }
    }
    exports.append = append;
    function prependChild(parent, child) {
      removeElement(child);
      child.parent = parent;
      child.prev = null;
      if (parent.children.unshift(child) !== 1) {
        var sibling = parent.children[1];
        sibling.prev = child;
        child.next = sibling;
      } else {
        child.next = null;
      }
    }
    exports.prependChild = prependChild;
    function prepend(elem, prev) {
      removeElement(prev);
      var parent = elem.parent;
      if (parent) {
        var childs = parent.children;
        childs.splice(childs.indexOf(elem), 0, prev);
      }
      if (elem.prev) {
        elem.prev.next = prev;
      }
      prev.parent = parent;
      prev.prev = elem.prev;
      prev.next = elem;
      elem.prev = prev;
    }
    exports.prepend = prepend;
  }
});

// ../../../node_modules/domutils/lib/querying.js
var require_querying = __commonJS({
  "../../../node_modules/domutils/lib/querying.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.findAll = exports.existsOne = exports.findOne = exports.findOneChild = exports.find = exports.filter = void 0;
    var domhandler_1 = require_lib3();
    function filter(test, node, recurse, limit) {
      if (recurse === void 0) {
        recurse = true;
      }
      if (limit === void 0) {
        limit = Infinity;
      }
      return find(test, Array.isArray(node) ? node : [node], recurse, limit);
    }
    exports.filter = filter;
    function find(test, nodes, recurse, limit) {
      var result = [];
      var nodeStack = [nodes];
      var indexStack = [0];
      for (; ; ) {
        if (indexStack[0] >= nodeStack[0].length) {
          if (indexStack.length === 1) {
            return result;
          }
          nodeStack.shift();
          indexStack.shift();
          continue;
        }
        var elem = nodeStack[0][indexStack[0]++];
        if (test(elem)) {
          result.push(elem);
          if (--limit <= 0)
            return result;
        }
        if (recurse && (0, domhandler_1.hasChildren)(elem) && elem.children.length > 0) {
          indexStack.unshift(0);
          nodeStack.unshift(elem.children);
        }
      }
    }
    exports.find = find;
    function findOneChild(test, nodes) {
      return nodes.find(test);
    }
    exports.findOneChild = findOneChild;
    function findOne(test, nodes, recurse) {
      if (recurse === void 0) {
        recurse = true;
      }
      var elem = null;
      for (var i = 0; i < nodes.length && !elem; i++) {
        var node = nodes[i];
        if (!(0, domhandler_1.isTag)(node)) {
          continue;
        } else if (test(node)) {
          elem = node;
        } else if (recurse && node.children.length > 0) {
          elem = findOne(test, node.children, true);
        }
      }
      return elem;
    }
    exports.findOne = findOne;
    function existsOne(test, nodes) {
      return nodes.some(function(checked) {
        return (0, domhandler_1.isTag)(checked) && (test(checked) || existsOne(test, checked.children));
      });
    }
    exports.existsOne = existsOne;
    function findAll(test, nodes) {
      var result = [];
      var nodeStack = [nodes];
      var indexStack = [0];
      for (; ; ) {
        if (indexStack[0] >= nodeStack[0].length) {
          if (nodeStack.length === 1) {
            return result;
          }
          nodeStack.shift();
          indexStack.shift();
          continue;
        }
        var elem = nodeStack[0][indexStack[0]++];
        if (!(0, domhandler_1.isTag)(elem))
          continue;
        if (test(elem))
          result.push(elem);
        if (elem.children.length > 0) {
          indexStack.unshift(0);
          nodeStack.unshift(elem.children);
        }
      }
    }
    exports.findAll = findAll;
  }
});

// ../../../node_modules/domutils/lib/legacy.js
var require_legacy = __commonJS({
  "../../../node_modules/domutils/lib/legacy.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getElementsByTagType = exports.getElementsByTagName = exports.getElementById = exports.getElements = exports.testElement = void 0;
    var domhandler_1 = require_lib3();
    var querying_js_1 = require_querying();
    var Checks = {
      tag_name: function(name) {
        if (typeof name === "function") {
          return function(elem) {
            return (0, domhandler_1.isTag)(elem) && name(elem.name);
          };
        } else if (name === "*") {
          return domhandler_1.isTag;
        }
        return function(elem) {
          return (0, domhandler_1.isTag)(elem) && elem.name === name;
        };
      },
      tag_type: function(type) {
        if (typeof type === "function") {
          return function(elem) {
            return type(elem.type);
          };
        }
        return function(elem) {
          return elem.type === type;
        };
      },
      tag_contains: function(data) {
        if (typeof data === "function") {
          return function(elem) {
            return (0, domhandler_1.isText)(elem) && data(elem.data);
          };
        }
        return function(elem) {
          return (0, domhandler_1.isText)(elem) && elem.data === data;
        };
      }
    };
    function getAttribCheck(attrib, value) {
      if (typeof value === "function") {
        return function(elem) {
          return (0, domhandler_1.isTag)(elem) && value(elem.attribs[attrib]);
        };
      }
      return function(elem) {
        return (0, domhandler_1.isTag)(elem) && elem.attribs[attrib] === value;
      };
    }
    function combineFuncs(a, b) {
      return function(elem) {
        return a(elem) || b(elem);
      };
    }
    function compileTest(options) {
      var funcs = Object.keys(options).map(function(key) {
        var value = options[key];
        return Object.prototype.hasOwnProperty.call(Checks, key) ? Checks[key](value) : getAttribCheck(key, value);
      });
      return funcs.length === 0 ? null : funcs.reduce(combineFuncs);
    }
    function testElement(options, node) {
      var test = compileTest(options);
      return test ? test(node) : true;
    }
    exports.testElement = testElement;
    function getElements(options, nodes, recurse, limit) {
      if (limit === void 0) {
        limit = Infinity;
      }
      var test = compileTest(options);
      return test ? (0, querying_js_1.filter)(test, nodes, recurse, limit) : [];
    }
    exports.getElements = getElements;
    function getElementById(id, nodes, recurse) {
      if (recurse === void 0) {
        recurse = true;
      }
      if (!Array.isArray(nodes))
        nodes = [nodes];
      return (0, querying_js_1.findOne)(getAttribCheck("id", id), nodes, recurse);
    }
    exports.getElementById = getElementById;
    function getElementsByTagName(tagName, nodes, recurse, limit) {
      if (recurse === void 0) {
        recurse = true;
      }
      if (limit === void 0) {
        limit = Infinity;
      }
      return (0, querying_js_1.filter)(Checks["tag_name"](tagName), nodes, recurse, limit);
    }
    exports.getElementsByTagName = getElementsByTagName;
    function getElementsByTagType(type, nodes, recurse, limit) {
      if (recurse === void 0) {
        recurse = true;
      }
      if (limit === void 0) {
        limit = Infinity;
      }
      return (0, querying_js_1.filter)(Checks["tag_type"](type), nodes, recurse, limit);
    }
    exports.getElementsByTagType = getElementsByTagType;
  }
});

// ../../../node_modules/domutils/lib/helpers.js
var require_helpers = __commonJS({
  "../../../node_modules/domutils/lib/helpers.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.uniqueSort = exports.compareDocumentPosition = exports.DocumentPosition = exports.removeSubsets = void 0;
    var domhandler_1 = require_lib3();
    function removeSubsets(nodes) {
      var idx = nodes.length;
      while (--idx >= 0) {
        var node = nodes[idx];
        if (idx > 0 && nodes.lastIndexOf(node, idx - 1) >= 0) {
          nodes.splice(idx, 1);
          continue;
        }
        for (var ancestor = node.parent; ancestor; ancestor = ancestor.parent) {
          if (nodes.includes(ancestor)) {
            nodes.splice(idx, 1);
            break;
          }
        }
      }
      return nodes;
    }
    exports.removeSubsets = removeSubsets;
    var DocumentPosition;
    (function(DocumentPosition2) {
      DocumentPosition2[DocumentPosition2["DISCONNECTED"] = 1] = "DISCONNECTED";
      DocumentPosition2[DocumentPosition2["PRECEDING"] = 2] = "PRECEDING";
      DocumentPosition2[DocumentPosition2["FOLLOWING"] = 4] = "FOLLOWING";
      DocumentPosition2[DocumentPosition2["CONTAINS"] = 8] = "CONTAINS";
      DocumentPosition2[DocumentPosition2["CONTAINED_BY"] = 16] = "CONTAINED_BY";
    })(DocumentPosition = exports.DocumentPosition || (exports.DocumentPosition = {}));
    function compareDocumentPosition(nodeA, nodeB) {
      var aParents = [];
      var bParents = [];
      if (nodeA === nodeB) {
        return 0;
      }
      var current = (0, domhandler_1.hasChildren)(nodeA) ? nodeA : nodeA.parent;
      while (current) {
        aParents.unshift(current);
        current = current.parent;
      }
      current = (0, domhandler_1.hasChildren)(nodeB) ? nodeB : nodeB.parent;
      while (current) {
        bParents.unshift(current);
        current = current.parent;
      }
      var maxIdx = Math.min(aParents.length, bParents.length);
      var idx = 0;
      while (idx < maxIdx && aParents[idx] === bParents[idx]) {
        idx++;
      }
      if (idx === 0) {
        return DocumentPosition.DISCONNECTED;
      }
      var sharedParent = aParents[idx - 1];
      var siblings = sharedParent.children;
      var aSibling = aParents[idx];
      var bSibling = bParents[idx];
      if (siblings.indexOf(aSibling) > siblings.indexOf(bSibling)) {
        if (sharedParent === nodeB) {
          return DocumentPosition.FOLLOWING | DocumentPosition.CONTAINED_BY;
        }
        return DocumentPosition.FOLLOWING;
      }
      if (sharedParent === nodeA) {
        return DocumentPosition.PRECEDING | DocumentPosition.CONTAINS;
      }
      return DocumentPosition.PRECEDING;
    }
    exports.compareDocumentPosition = compareDocumentPosition;
    function uniqueSort(nodes) {
      nodes = nodes.filter(function(node, i, arr) {
        return !arr.includes(node, i + 1);
      });
      nodes.sort(function(a, b) {
        var relative = compareDocumentPosition(a, b);
        if (relative & DocumentPosition.PRECEDING) {
          return -1;
        } else if (relative & DocumentPosition.FOLLOWING) {
          return 1;
        }
        return 0;
      });
      return nodes;
    }
    exports.uniqueSort = uniqueSort;
  }
});

// ../../../node_modules/domutils/lib/feeds.js
var require_feeds = __commonJS({
  "../../../node_modules/domutils/lib/feeds.js"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getFeed = void 0;
    var stringify_js_1 = require_stringify();
    var legacy_js_1 = require_legacy();
    function getFeed(doc) {
      var feedRoot = getOneElement(isValidFeed, doc);
      return !feedRoot ? null : feedRoot.name === "feed" ? getAtomFeed(feedRoot) : getRssFeed(feedRoot);
    }
    exports.getFeed = getFeed;
    function getAtomFeed(feedRoot) {
      var _a;
      var childs = feedRoot.children;
      var feed = {
        type: "atom",
        items: (0, legacy_js_1.getElementsByTagName)("entry", childs).map(function(item) {
          var _a2;
          var children = item.children;
          var entry = { media: getMediaElements(children) };
          addConditionally(entry, "id", "id", children);
          addConditionally(entry, "title", "title", children);
          var href2 = (_a2 = getOneElement("link", children)) === null || _a2 === void 0 ? void 0 : _a2.attribs["href"];
          if (href2) {
            entry.link = href2;
          }
          var description = fetch("summary", children) || fetch("content", children);
          if (description) {
            entry.description = description;
          }
          var pubDate = fetch("updated", children);
          if (pubDate) {
            entry.pubDate = new Date(pubDate);
          }
          return entry;
        })
      };
      addConditionally(feed, "id", "id", childs);
      addConditionally(feed, "title", "title", childs);
      var href = (_a = getOneElement("link", childs)) === null || _a === void 0 ? void 0 : _a.attribs["href"];
      if (href) {
        feed.link = href;
      }
      addConditionally(feed, "description", "subtitle", childs);
      var updated = fetch("updated", childs);
      if (updated) {
        feed.updated = new Date(updated);
      }
      addConditionally(feed, "author", "email", childs, true);
      return feed;
    }
    function getRssFeed(feedRoot) {
      var _a, _b;
      var childs = (_b = (_a = getOneElement("channel", feedRoot.children)) === null || _a === void 0 ? void 0 : _a.children) !== null && _b !== void 0 ? _b : [];
      var feed = {
        type: feedRoot.name.substr(0, 3),
        id: "",
        items: (0, legacy_js_1.getElementsByTagName)("item", feedRoot.children).map(function(item) {
          var children = item.children;
          var entry = { media: getMediaElements(children) };
          addConditionally(entry, "id", "guid", children);
          addConditionally(entry, "title", "title", children);
          addConditionally(entry, "link", "link", children);
          addConditionally(entry, "description", "description", children);
          var pubDate = fetch("pubDate", children) || fetch("dc:date", children);
          if (pubDate)
            entry.pubDate = new Date(pubDate);
          return entry;
        })
      };
      addConditionally(feed, "title", "title", childs);
      addConditionally(feed, "link", "link", childs);
      addConditionally(feed, "description", "description", childs);
      var updated = fetch("lastBuildDate", childs);
      if (updated) {
        feed.updated = new Date(updated);
      }
      addConditionally(feed, "author", "managingEditor", childs, true);
      return feed;
    }
    var MEDIA_KEYS_STRING = ["url", "type", "lang"];
    var MEDIA_KEYS_INT = [
      "fileSize",
      "bitrate",
      "framerate",
      "samplingrate",
      "channels",
      "duration",
      "height",
      "width"
    ];
    function getMediaElements(where) {
      return (0, legacy_js_1.getElementsByTagName)("media:content", where).map(function(elem) {
        var attribs = elem.attribs;
        var media = {
          medium: attribs["medium"],
          isDefault: !!attribs["isDefault"]
        };
        for (var _i = 0, MEDIA_KEYS_STRING_1 = MEDIA_KEYS_STRING; _i < MEDIA_KEYS_STRING_1.length; _i++) {
          var attrib = MEDIA_KEYS_STRING_1[_i];
          if (attribs[attrib]) {
            media[attrib] = attribs[attrib];
          }
        }
        for (var _a = 0, MEDIA_KEYS_INT_1 = MEDIA_KEYS_INT; _a < MEDIA_KEYS_INT_1.length; _a++) {
          var attrib = MEDIA_KEYS_INT_1[_a];
          if (attribs[attrib]) {
            media[attrib] = parseInt(attribs[attrib], 10);
          }
        }
        if (attribs["expression"]) {
          media.expression = attribs["expression"];
        }
        return media;
      });
    }
    function getOneElement(tagName, node) {
      return (0, legacy_js_1.getElementsByTagName)(tagName, node, true, 1)[0];
    }
    function fetch(tagName, where, recurse) {
      if (recurse === void 0) {
        recurse = false;
      }
      return (0, stringify_js_1.textContent)((0, legacy_js_1.getElementsByTagName)(tagName, where, recurse, 1)).trim();
    }
    function addConditionally(obj, prop, tagName, where, recurse) {
      if (recurse === void 0) {
        recurse = false;
      }
      var val = fetch(tagName, where, recurse);
      if (val)
        obj[prop] = val;
    }
    function isValidFeed(value) {
      return value === "rss" || value === "feed" || value === "rdf:RDF";
    }
  }
});

// ../../../node_modules/domutils/lib/index.js
var require_lib6 = __commonJS({
  "../../../node_modules/domutils/lib/index.js"(exports) {
    "use strict";
    var __createBinding = exports && exports.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __exportStar = exports && exports.__exportStar || function(m, exports2) {
      for (var p in m)
        if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports2, p))
          __createBinding(exports2, m, p);
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.hasChildren = exports.isDocument = exports.isComment = exports.isText = exports.isCDATA = exports.isTag = void 0;
    __exportStar(require_stringify(), exports);
    __exportStar(require_traversal(), exports);
    __exportStar(require_manipulation(), exports);
    __exportStar(require_querying(), exports);
    __exportStar(require_legacy(), exports);
    __exportStar(require_helpers(), exports);
    __exportStar(require_feeds(), exports);
    var domhandler_1 = require_lib3();
    Object.defineProperty(exports, "isTag", { enumerable: true, get: function() {
      return domhandler_1.isTag;
    } });
    Object.defineProperty(exports, "isCDATA", { enumerable: true, get: function() {
      return domhandler_1.isCDATA;
    } });
    Object.defineProperty(exports, "isText", { enumerable: true, get: function() {
      return domhandler_1.isText;
    } });
    Object.defineProperty(exports, "isComment", { enumerable: true, get: function() {
      return domhandler_1.isComment;
    } });
    Object.defineProperty(exports, "isDocument", { enumerable: true, get: function() {
      return domhandler_1.isDocument;
    } });
    Object.defineProperty(exports, "hasChildren", { enumerable: true, get: function() {
      return domhandler_1.hasChildren;
    } });
  }
});

// ../../../node_modules/htmlparser2/lib/index.js
var require_lib7 = __commonJS({
  "../../../node_modules/htmlparser2/lib/index.js"(exports) {
    "use strict";
    var __createBinding = exports && exports.__createBinding || (Object.create ? function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      var desc = Object.getOwnPropertyDescriptor(m, k);
      if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
        desc = { enumerable: true, get: function() {
          return m[k];
        } };
      }
      Object.defineProperty(o, k2, desc);
    } : function(o, m, k, k2) {
      if (k2 === void 0)
        k2 = k;
      o[k2] = m[k];
    });
    var __setModuleDefault = exports && exports.__setModuleDefault || (Object.create ? function(o, v) {
      Object.defineProperty(o, "default", { enumerable: true, value: v });
    } : function(o, v) {
      o["default"] = v;
    });
    var __importStar = exports && exports.__importStar || function(mod) {
      if (mod && mod.__esModule)
        return mod;
      var result = {};
      if (mod != null) {
        for (var k in mod)
          if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k);
      }
      __setModuleDefault(result, mod);
      return result;
    };
    var __importDefault = exports && exports.__importDefault || function(mod) {
      return mod && mod.__esModule ? mod : { "default": mod };
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.DomUtils = exports.parseFeed = exports.getFeed = exports.ElementType = exports.Tokenizer = exports.createDomStream = exports.parseDOM = exports.parseDocument = exports.DefaultHandler = exports.DomHandler = exports.Parser = void 0;
    var Parser_js_1 = require_Parser();
    var Parser_js_2 = require_Parser();
    Object.defineProperty(exports, "Parser", { enumerable: true, get: function() {
      return Parser_js_2.Parser;
    } });
    var domhandler_1 = require_lib3();
    var domhandler_2 = require_lib3();
    Object.defineProperty(exports, "DomHandler", { enumerable: true, get: function() {
      return domhandler_2.DomHandler;
    } });
    Object.defineProperty(exports, "DefaultHandler", { enumerable: true, get: function() {
      return domhandler_2.DomHandler;
    } });
    function parseDocument(data, options) {
      var handler = new domhandler_1.DomHandler(void 0, options);
      new Parser_js_1.Parser(handler, options).end(data);
      return handler.root;
    }
    exports.parseDocument = parseDocument;
    function parseDOM(data, options) {
      return parseDocument(data, options).children;
    }
    exports.parseDOM = parseDOM;
    function createDomStream(callback, options, elementCallback) {
      var handler = new domhandler_1.DomHandler(callback, options, elementCallback);
      return new Parser_js_1.Parser(handler, options);
    }
    exports.createDomStream = createDomStream;
    var Tokenizer_js_1 = require_Tokenizer();
    Object.defineProperty(exports, "Tokenizer", { enumerable: true, get: function() {
      return __importDefault(Tokenizer_js_1).default;
    } });
    exports.ElementType = __importStar(require_lib2());
    var domutils_1 = require_lib6();
    var domutils_2 = require_lib6();
    Object.defineProperty(exports, "getFeed", { enumerable: true, get: function() {
      return domutils_2.getFeed;
    } });
    var parseFeedDefaultOptions = { xmlMode: true };
    function parseFeed(feed, options) {
      if (options === void 0) {
        options = parseFeedDefaultOptions;
      }
      return (0, domutils_1.getFeed)(parseDOM(feed, options));
    }
    exports.parseFeed = parseFeed;
    exports.DomUtils = __importStar(require_lib6());
  }
});

// ../../../node_modules/deepmerge/dist/cjs.js
var require_cjs = __commonJS({
  "../../../node_modules/deepmerge/dist/cjs.js"(exports, module2) {
    "use strict";
    var isMergeableObject = function isMergeableObject2(value) {
      return isNonNullObject(value) && !isSpecial(value);
    };
    function isNonNullObject(value) {
      return !!value && typeof value === "object";
    }
    function isSpecial(value) {
      var stringValue = Object.prototype.toString.call(value);
      return stringValue === "[object RegExp]" || stringValue === "[object Date]" || isReactElement(value);
    }
    var canUseSymbol = typeof Symbol === "function" && Symbol.for;
    var REACT_ELEMENT_TYPE = canUseSymbol ? Symbol.for("react.element") : 60103;
    function isReactElement(value) {
      return value.$$typeof === REACT_ELEMENT_TYPE;
    }
    function emptyTarget(val) {
      return Array.isArray(val) ? [] : {};
    }
    function cloneUnlessOtherwiseSpecified(value, options) {
      return options.clone !== false && options.isMergeableObject(value) ? deepmerge(emptyTarget(value), value, options) : value;
    }
    function defaultArrayMerge(target, source, options) {
      return target.concat(source).map(function(element) {
        return cloneUnlessOtherwiseSpecified(element, options);
      });
    }
    function getMergeFunction(key, options) {
      if (!options.customMerge) {
        return deepmerge;
      }
      var customMerge = options.customMerge(key);
      return typeof customMerge === "function" ? customMerge : deepmerge;
    }
    function getEnumerableOwnPropertySymbols(target) {
      return Object.getOwnPropertySymbols ? Object.getOwnPropertySymbols(target).filter(function(symbol) {
        return Object.propertyIsEnumerable.call(target, symbol);
      }) : [];
    }
    function getKeys(target) {
      return Object.keys(target).concat(getEnumerableOwnPropertySymbols(target));
    }
    function propertyIsOnObject(object, property) {
      try {
        return property in object;
      } catch (_) {
        return false;
      }
    }
    function propertyIsUnsafe(target, key) {
      return propertyIsOnObject(target, key) && !(Object.hasOwnProperty.call(target, key) && Object.propertyIsEnumerable.call(target, key));
    }
    function mergeObject(target, source, options) {
      var destination = {};
      if (options.isMergeableObject(target)) {
        getKeys(target).forEach(function(key) {
          destination[key] = cloneUnlessOtherwiseSpecified(target[key], options);
        });
      }
      getKeys(source).forEach(function(key) {
        if (propertyIsUnsafe(target, key)) {
          return;
        }
        if (propertyIsOnObject(target, key) && options.isMergeableObject(source[key])) {
          destination[key] = getMergeFunction(key, options)(target[key], source[key], options);
        } else {
          destination[key] = cloneUnlessOtherwiseSpecified(source[key], options);
        }
      });
      return destination;
    }
    function deepmerge(target, source, options) {
      options = options || {};
      options.arrayMerge = options.arrayMerge || defaultArrayMerge;
      options.isMergeableObject = options.isMergeableObject || isMergeableObject;
      options.cloneUnlessOtherwiseSpecified = cloneUnlessOtherwiseSpecified;
      var sourceIsArray = Array.isArray(source);
      var targetIsArray = Array.isArray(target);
      var sourceAndTargetTypesMatch = sourceIsArray === targetIsArray;
      if (!sourceAndTargetTypesMatch) {
        return cloneUnlessOtherwiseSpecified(source, options);
      } else if (sourceIsArray) {
        return options.arrayMerge(target, source, options);
      } else {
        return mergeObject(target, source, options);
      }
    }
    deepmerge.all = function deepmergeAll(array, options) {
      if (!Array.isArray(array)) {
        throw new Error("first argument should be an array");
      }
      return array.reduce(function(prev, next) {
        return deepmerge(prev, next, options);
      }, {});
    };
    var deepmerge_1 = deepmerge;
    module2.exports = deepmerge_1;
  }
});

// ../../../node_modules/html-to-text/lib/html-to-text.cjs
var require_html_to_text = __commonJS({
  "../../../node_modules/html-to-text/lib/html-to-text.cjs"(exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var pluginHtmlparser2 = require_hp2_builder();
    var htmlparser2 = require_lib7();
    var selderee = require_selderee();
    var merge = require_cjs();
    var domSerializer = require_lib5();
    function _interopDefaultLegacy(e) {
      return e && typeof e === "object" && "default" in e ? e : { "default": e };
    }
    var merge__default = /* @__PURE__ */ _interopDefaultLegacy(merge);
    function limitedDepthRecursive(n, f, g = () => void 0) {
      if (n === void 0) {
        const f1 = function(...args) {
          return f(f1, ...args);
        };
        return f1;
      }
      if (n >= 0) {
        return function(...args) {
          return f(limitedDepthRecursive(n - 1, f, g), ...args);
        };
      }
      return g;
    }
    function trimCharacter(str, char) {
      let start = 0;
      let end = str.length;
      while (start < end && str[start] === char) {
        ++start;
      }
      while (end > start && str[end - 1] === char) {
        --end;
      }
      return start > 0 || end < str.length ? str.substring(start, end) : str;
    }
    function trimCharacterEnd(str, char) {
      let end = str.length;
      while (end > 0 && str[end - 1] === char) {
        --end;
      }
      return end < str.length ? str.substring(0, end) : str;
    }
    function unicodeEscape(str) {
      return str.replace(/[\s\S]/g, (c) => "\\u" + c.charCodeAt().toString(16).padStart(4, "0"));
    }
    function mergeDuplicatesPreferLast(items, getKey) {
      const map = /* @__PURE__ */ new Map();
      for (let i = items.length; i-- > 0; ) {
        const item = items[i];
        const key = getKey(item);
        map.set(
          key,
          map.has(key) ? merge__default["default"](item, map.get(key), { arrayMerge: overwriteMerge$1 }) : item
        );
      }
      return [...map.values()].reverse();
    }
    var overwriteMerge$1 = (acc, src, options) => [...src];
    function get(obj, path) {
      for (const key of path) {
        if (!obj) {
          return void 0;
        }
        obj = obj[key];
      }
      return obj;
    }
    function numberToLetterSequence(num, baseChar = "a", base = 26) {
      const digits = [];
      do {
        num -= 1;
        digits.push(num % base);
        num = num / base >> 0;
      } while (num > 0);
      const baseCode = baseChar.charCodeAt(0);
      return digits.reverse().map((n) => String.fromCharCode(baseCode + n)).join("");
    }
    var I = ["I", "X", "C", "M"];
    var V = ["V", "L", "D"];
    function numberToRoman(num) {
      return [...num + ""].map((n) => +n).reverse().map((v, i) => v % 5 < 4 ? (v < 5 ? "" : V[i]) + I[i].repeat(v % 5) : I[i] + (v < 5 ? V[i] : I[i + 1])).reverse().join("");
    }
    var InlineTextBuilder = class {
      /**
       * Creates an instance of InlineTextBuilder.
       *
       * If `maxLineLength` is not provided then it is either `options.wordwrap` or unlimited.
       *
       * @param { Options } options           HtmlToText options.
       * @param { number }  [ maxLineLength ] This builder will try to wrap text to fit this line length.
       */
      constructor(options, maxLineLength = void 0) {
        this.lines = [];
        this.nextLineWords = [];
        this.maxLineLength = maxLineLength || options.wordwrap || Number.MAX_VALUE;
        this.nextLineAvailableChars = this.maxLineLength;
        this.wrapCharacters = get(options, ["longWordSplit", "wrapCharacters"]) || [];
        this.forceWrapOnLimit = get(options, ["longWordSplit", "forceWrapOnLimit"]) || false;
        this.stashedSpace = false;
        this.wordBreakOpportunity = false;
      }
      /**
       * Add a new word.
       *
       * @param { string } word A word to add.
       * @param { boolean } [noWrap] Don't wrap text even if the line is too long.
       */
      pushWord(word, noWrap = false) {
        if (this.nextLineAvailableChars <= 0 && !noWrap) {
          this.startNewLine();
        }
        const isLineStart = this.nextLineWords.length === 0;
        const cost = word.length + (isLineStart ? 0 : 1);
        if (cost <= this.nextLineAvailableChars || noWrap) {
          this.nextLineWords.push(word);
          this.nextLineAvailableChars -= cost;
        } else {
          const [first, ...rest] = this.splitLongWord(word);
          if (!isLineStart) {
            this.startNewLine();
          }
          this.nextLineWords.push(first);
          this.nextLineAvailableChars -= first.length;
          for (const part of rest) {
            this.startNewLine();
            this.nextLineWords.push(part);
            this.nextLineAvailableChars -= part.length;
          }
        }
      }
      /**
       * Pop a word from the currently built line.
       * This doesn't affect completed lines.
       *
       * @returns { string }
       */
      popWord() {
        const lastWord = this.nextLineWords.pop();
        if (lastWord !== void 0) {
          const isLineStart = this.nextLineWords.length === 0;
          const cost = lastWord.length + (isLineStart ? 0 : 1);
          this.nextLineAvailableChars += cost;
        }
        return lastWord;
      }
      /**
       * Concat a word to the last word already in the builder.
       * Adds a new word in case there are no words yet in the last line.
       *
       * @param { string } word A word to be concatenated.
       * @param { boolean } [noWrap] Don't wrap text even if the line is too long.
       */
      concatWord(word, noWrap = false) {
        if (this.wordBreakOpportunity && word.length > this.nextLineAvailableChars) {
          this.pushWord(word, noWrap);
          this.wordBreakOpportunity = false;
        } else {
          const lastWord = this.popWord();
          this.pushWord(lastWord ? lastWord.concat(word) : word, noWrap);
        }
      }
      /**
       * Add current line (and more empty lines if provided argument > 1) to the list of complete lines and start a new one.
       *
       * @param { number } n Number of line breaks that will be added to the resulting string.
       */
      startNewLine(n = 1) {
        this.lines.push(this.nextLineWords);
        if (n > 1) {
          this.lines.push(...Array.from({ length: n - 1 }, () => []));
        }
        this.nextLineWords = [];
        this.nextLineAvailableChars = this.maxLineLength;
      }
      /**
       * No words in this builder.
       *
       * @returns { boolean }
       */
      isEmpty() {
        return this.lines.length === 0 && this.nextLineWords.length === 0;
      }
      clear() {
        this.lines.length = 0;
        this.nextLineWords.length = 0;
        this.nextLineAvailableChars = this.maxLineLength;
      }
      /**
       * Join all lines of words inside the InlineTextBuilder into a complete string.
       *
       * @returns { string }
       */
      toString() {
        return [...this.lines, this.nextLineWords].map((words) => words.join(" ")).join("\n");
      }
      /**
       * Split a long word up to fit within the word wrap limit.
       * Use either a character to split looking back from the word wrap limit,
       * or truncate to the word wrap limit.
       *
       * @param   { string }   word Input word.
       * @returns { string[] }      Parts of the word.
       */
      splitLongWord(word) {
        const parts = [];
        let idx = 0;
        while (word.length > this.maxLineLength) {
          const firstLine = word.substring(0, this.maxLineLength);
          const remainingChars = word.substring(this.maxLineLength);
          const splitIndex = firstLine.lastIndexOf(this.wrapCharacters[idx]);
          if (splitIndex > -1) {
            word = firstLine.substring(splitIndex + 1) + remainingChars;
            parts.push(firstLine.substring(0, splitIndex + 1));
          } else {
            idx++;
            if (idx < this.wrapCharacters.length) {
              word = firstLine + remainingChars;
            } else {
              if (this.forceWrapOnLimit) {
                parts.push(firstLine);
                word = remainingChars;
                if (word.length > this.maxLineLength) {
                  continue;
                }
              } else {
                word = firstLine + remainingChars;
              }
              break;
            }
          }
        }
        parts.push(word);
        return parts;
      }
    };
    var StackItem = class {
      constructor(next = null) {
        this.next = next;
      }
      getRoot() {
        return this.next ? this.next : this;
      }
    };
    var BlockStackItem = class extends StackItem {
      constructor(options, next = null, leadingLineBreaks = 1, maxLineLength = void 0) {
        super(next);
        this.leadingLineBreaks = leadingLineBreaks;
        this.inlineTextBuilder = new InlineTextBuilder(options, maxLineLength);
        this.rawText = "";
        this.stashedLineBreaks = 0;
        this.isPre = next && next.isPre;
        this.isNoWrap = next && next.isNoWrap;
      }
    };
    var ListStackItem = class extends BlockStackItem {
      constructor(options, next = null, {
        interRowLineBreaks = 1,
        leadingLineBreaks = 2,
        maxLineLength = void 0,
        maxPrefixLength = 0,
        prefixAlign = "left"
      } = {}) {
        super(options, next, leadingLineBreaks, maxLineLength);
        this.maxPrefixLength = maxPrefixLength;
        this.prefixAlign = prefixAlign;
        this.interRowLineBreaks = interRowLineBreaks;
      }
    };
    var ListItemStackItem = class extends BlockStackItem {
      constructor(options, next = null, {
        leadingLineBreaks = 1,
        maxLineLength = void 0,
        prefix = ""
      } = {}) {
        super(options, next, leadingLineBreaks, maxLineLength);
        this.prefix = prefix;
      }
    };
    var TableStackItem = class extends StackItem {
      constructor(next = null) {
        super(next);
        this.rows = [];
        this.isPre = next && next.isPre;
        this.isNoWrap = next && next.isNoWrap;
      }
    };
    var TableRowStackItem = class extends StackItem {
      constructor(next = null) {
        super(next);
        this.cells = [];
        this.isPre = next && next.isPre;
        this.isNoWrap = next && next.isNoWrap;
      }
    };
    var TableCellStackItem = class extends StackItem {
      constructor(options, next = null, maxColumnWidth = void 0) {
        super(next);
        this.inlineTextBuilder = new InlineTextBuilder(options, maxColumnWidth);
        this.rawText = "";
        this.stashedLineBreaks = 0;
        this.isPre = next && next.isPre;
        this.isNoWrap = next && next.isNoWrap;
      }
    };
    var TransformerStackItem = class extends StackItem {
      constructor(next = null, transform) {
        super(next);
        this.transform = transform;
      }
    };
    function charactersToCodes(str) {
      return [...str].map((c) => "\\u" + c.charCodeAt(0).toString(16).padStart(4, "0")).join("");
    }
    var WhitespaceProcessor = class {
      /**
       * Creates an instance of WhitespaceProcessor.
       *
       * @param { Options } options    HtmlToText options.
       * @memberof WhitespaceProcessor
       */
      constructor(options) {
        this.whitespaceChars = options.preserveNewlines ? options.whitespaceCharacters.replace(/\n/g, "") : options.whitespaceCharacters;
        const whitespaceCodes = charactersToCodes(this.whitespaceChars);
        this.leadingWhitespaceRe = new RegExp(`^[${whitespaceCodes}]`);
        this.trailingWhitespaceRe = new RegExp(`[${whitespaceCodes}]$`);
        this.allWhitespaceOrEmptyRe = new RegExp(`^[${whitespaceCodes}]*$`);
        this.newlineOrNonWhitespaceRe = new RegExp(`(\\n|[^\\n${whitespaceCodes}])`, "g");
        this.newlineOrNonNewlineStringRe = new RegExp(`(\\n|[^\\n]+)`, "g");
        if (options.preserveNewlines) {
          const wordOrNewlineRe = new RegExp(`\\n|[^\\n${whitespaceCodes}]+`, "gm");
          this.shrinkWrapAdd = function(text, inlineTextBuilder, transform = (str) => str, noWrap = false) {
            if (!text) {
              return;
            }
            const previouslyStashedSpace = inlineTextBuilder.stashedSpace;
            let anyMatch = false;
            let m = wordOrNewlineRe.exec(text);
            if (m) {
              anyMatch = true;
              if (m[0] === "\n") {
                inlineTextBuilder.startNewLine();
              } else if (previouslyStashedSpace || this.testLeadingWhitespace(text)) {
                inlineTextBuilder.pushWord(transform(m[0]), noWrap);
              } else {
                inlineTextBuilder.concatWord(transform(m[0]), noWrap);
              }
              while ((m = wordOrNewlineRe.exec(text)) !== null) {
                if (m[0] === "\n") {
                  inlineTextBuilder.startNewLine();
                } else {
                  inlineTextBuilder.pushWord(transform(m[0]), noWrap);
                }
              }
            }
            inlineTextBuilder.stashedSpace = previouslyStashedSpace && !anyMatch || this.testTrailingWhitespace(text);
          };
        } else {
          const wordRe = new RegExp(`[^${whitespaceCodes}]+`, "g");
          this.shrinkWrapAdd = function(text, inlineTextBuilder, transform = (str) => str, noWrap = false) {
            if (!text) {
              return;
            }
            const previouslyStashedSpace = inlineTextBuilder.stashedSpace;
            let anyMatch = false;
            let m = wordRe.exec(text);
            if (m) {
              anyMatch = true;
              if (previouslyStashedSpace || this.testLeadingWhitespace(text)) {
                inlineTextBuilder.pushWord(transform(m[0]), noWrap);
              } else {
                inlineTextBuilder.concatWord(transform(m[0]), noWrap);
              }
              while ((m = wordRe.exec(text)) !== null) {
                inlineTextBuilder.pushWord(transform(m[0]), noWrap);
              }
            }
            inlineTextBuilder.stashedSpace = previouslyStashedSpace && !anyMatch || this.testTrailingWhitespace(text);
          };
        }
      }
      /**
       * Add text with only minimal processing.
       * Everything between newlines considered a single word.
       * No whitespace is trimmed.
       * Not affected by preserveNewlines option - `\n` always starts a new line.
       *
       * `noWrap` argument is `true` by default - this won't start a new line
       * even if there is not enough space left in the current line.
       *
       * @param { string }            text              Input text.
       * @param { InlineTextBuilder } inlineTextBuilder A builder to receive processed text.
       * @param { boolean }           [noWrap] Don't wrap text even if the line is too long.
       */
      addLiteral(text, inlineTextBuilder, noWrap = true) {
        if (!text) {
          return;
        }
        const previouslyStashedSpace = inlineTextBuilder.stashedSpace;
        let anyMatch = false;
        let m = this.newlineOrNonNewlineStringRe.exec(text);
        if (m) {
          anyMatch = true;
          if (m[0] === "\n") {
            inlineTextBuilder.startNewLine();
          } else if (previouslyStashedSpace) {
            inlineTextBuilder.pushWord(m[0], noWrap);
          } else {
            inlineTextBuilder.concatWord(m[0], noWrap);
          }
          while ((m = this.newlineOrNonNewlineStringRe.exec(text)) !== null) {
            if (m[0] === "\n") {
              inlineTextBuilder.startNewLine();
            } else {
              inlineTextBuilder.pushWord(m[0], noWrap);
            }
          }
        }
        inlineTextBuilder.stashedSpace = previouslyStashedSpace && !anyMatch;
      }
      /**
       * Test whether the given text starts with HTML whitespace character.
       *
       * @param   { string }  text  The string to test.
       * @returns { boolean }
       */
      testLeadingWhitespace(text) {
        return this.leadingWhitespaceRe.test(text);
      }
      /**
       * Test whether the given text ends with HTML whitespace character.
       *
       * @param   { string }  text  The string to test.
       * @returns { boolean }
       */
      testTrailingWhitespace(text) {
        return this.trailingWhitespaceRe.test(text);
      }
      /**
       * Test whether the given text contains any non-whitespace characters.
       *
       * @param   { string }  text  The string to test.
       * @returns { boolean }
       */
      testContainsWords(text) {
        return !this.allWhitespaceOrEmptyRe.test(text);
      }
      /**
       * Return the number of newlines if there are no words.
       *
       * If any word is found then return zero regardless of the actual number of newlines.
       *
       * @param   { string }  text  Input string.
       * @returns { number }
       */
      countNewlinesNoWords(text) {
        this.newlineOrNonWhitespaceRe.lastIndex = 0;
        let counter = 0;
        let match;
        while ((match = this.newlineOrNonWhitespaceRe.exec(text)) !== null) {
          if (match[0] === "\n") {
            counter++;
          } else {
            return 0;
          }
        }
        return counter;
      }
    };
    var BlockTextBuilder = class {
      /**
       * Creates an instance of BlockTextBuilder.
       *
       * @param { Options } options HtmlToText options.
       * @param { import('selderee').Picker<DomNode, TagDefinition> } picker Selectors decision tree picker.
       * @param { any} [metadata] Optional metadata for HTML document, for use in formatters.
       */
      constructor(options, picker, metadata = void 0) {
        this.options = options;
        this.picker = picker;
        this.metadata = metadata;
        this.whitespaceProcessor = new WhitespaceProcessor(options);
        this._stackItem = new BlockStackItem(options);
        this._wordTransformer = void 0;
      }
      /**
       * Put a word-by-word transform function onto the transformations stack.
       *
       * Mainly used for uppercasing. Can be bypassed to add unformatted text such as URLs.
       *
       * Word transformations applied before wrapping.
       *
       * @param { (str: string) => string } wordTransform Word transformation function.
       */
      pushWordTransform(wordTransform) {
        this._wordTransformer = new TransformerStackItem(this._wordTransformer, wordTransform);
      }
      /**
       * Remove a function from the word transformations stack.
       *
       * @returns { (str: string) => string } A function that was removed.
       */
      popWordTransform() {
        if (!this._wordTransformer) {
          return void 0;
        }
        const transform = this._wordTransformer.transform;
        this._wordTransformer = this._wordTransformer.next;
        return transform;
      }
      /**
       * Ignore wordwrap option in followup inline additions and disable automatic wrapping.
       */
      startNoWrap() {
        this._stackItem.isNoWrap = true;
      }
      /**
       * Return automatic wrapping to behavior defined by options.
       */
      stopNoWrap() {
        this._stackItem.isNoWrap = false;
      }
      /** @returns { (str: string) => string } */
      _getCombinedWordTransformer() {
        const wt = this._wordTransformer ? (str) => applyTransformer(str, this._wordTransformer) : void 0;
        const ce = this.options.encodeCharacters;
        return wt ? ce ? (str) => ce(wt(str)) : wt : ce;
      }
      _popStackItem() {
        const item = this._stackItem;
        this._stackItem = item.next;
        return item;
      }
      /**
       * Add a line break into currently built block.
       */
      addLineBreak() {
        if (!(this._stackItem instanceof BlockStackItem || this._stackItem instanceof ListItemStackItem || this._stackItem instanceof TableCellStackItem)) {
          return;
        }
        if (this._stackItem.isPre) {
          this._stackItem.rawText += "\n";
        } else {
          this._stackItem.inlineTextBuilder.startNewLine();
        }
      }
      /**
       * Allow to break line in case directly following text will not fit.
       */
      addWordBreakOpportunity() {
        if (this._stackItem instanceof BlockStackItem || this._stackItem instanceof ListItemStackItem || this._stackItem instanceof TableCellStackItem) {
          this._stackItem.inlineTextBuilder.wordBreakOpportunity = true;
        }
      }
      /**
       * Add a node inline into the currently built block.
       *
       * @param { string } str
       * Text content of a node to add.
       *
       * @param { object } [param1]
       * Object holding the parameters of the operation.
       *
       * @param { boolean } [param1.noWordTransform]
       * Ignore word transformers if there are any.
       * Don't encode characters as well.
       * (Use this for things like URL addresses).
       */
      addInline(str, { noWordTransform = false } = {}) {
        if (!(this._stackItem instanceof BlockStackItem || this._stackItem instanceof ListItemStackItem || this._stackItem instanceof TableCellStackItem)) {
          return;
        }
        if (this._stackItem.isPre) {
          this._stackItem.rawText += str;
          return;
        }
        if (str.length === 0 || // empty string
        this._stackItem.stashedLineBreaks && // stashed linebreaks make whitespace irrelevant
        !this.whitespaceProcessor.testContainsWords(str)) {
          return;
        }
        if (this.options.preserveNewlines) {
          const newlinesNumber = this.whitespaceProcessor.countNewlinesNoWords(str);
          if (newlinesNumber > 0) {
            this._stackItem.inlineTextBuilder.startNewLine(newlinesNumber);
            return;
          }
        }
        if (this._stackItem.stashedLineBreaks) {
          this._stackItem.inlineTextBuilder.startNewLine(this._stackItem.stashedLineBreaks);
        }
        this.whitespaceProcessor.shrinkWrapAdd(
          str,
          this._stackItem.inlineTextBuilder,
          noWordTransform ? void 0 : this._getCombinedWordTransformer(),
          this._stackItem.isNoWrap
        );
        this._stackItem.stashedLineBreaks = 0;
      }
      /**
       * Add a string inline into the currently built block.
       *
       * Use this for markup elements that don't have to adhere
       * to text layout rules.
       *
       * @param { string } str Text to add.
       */
      addLiteral(str) {
        if (!(this._stackItem instanceof BlockStackItem || this._stackItem instanceof ListItemStackItem || this._stackItem instanceof TableCellStackItem)) {
          return;
        }
        if (str.length === 0) {
          return;
        }
        if (this._stackItem.isPre) {
          this._stackItem.rawText += str;
          return;
        }
        if (this._stackItem.stashedLineBreaks) {
          this._stackItem.inlineTextBuilder.startNewLine(this._stackItem.stashedLineBreaks);
        }
        this.whitespaceProcessor.addLiteral(
          str,
          this._stackItem.inlineTextBuilder,
          this._stackItem.isNoWrap
        );
        this._stackItem.stashedLineBreaks = 0;
      }
      /**
       * Start building a new block.
       *
       * @param { object } [param0]
       * Object holding the parameters of the block.
       *
       * @param { number } [param0.leadingLineBreaks]
       * This block should have at least this number of line breaks to separate it from any preceding block.
       *
       * @param { number }  [param0.reservedLineLength]
       * Reserve this number of characters on each line for block markup.
       *
       * @param { boolean } [param0.isPre]
       * Should HTML whitespace be preserved inside this block.
       */
      openBlock({ leadingLineBreaks = 1, reservedLineLength = 0, isPre = false } = {}) {
        const maxLineLength = Math.max(20, this._stackItem.inlineTextBuilder.maxLineLength - reservedLineLength);
        this._stackItem = new BlockStackItem(
          this.options,
          this._stackItem,
          leadingLineBreaks,
          maxLineLength
        );
        if (isPre) {
          this._stackItem.isPre = true;
        }
      }
      /**
       * Finalize currently built block, add it's content to the parent block.
       *
       * @param { object } [param0]
       * Object holding the parameters of the block.
       *
       * @param { number } [param0.trailingLineBreaks]
       * This block should have at least this number of line breaks to separate it from any following block.
       *
       * @param { (str: string) => string } [param0.blockTransform]
       * A function to transform the block text before adding to the parent block.
       * This happens after word wrap and should be used in combination with reserved line length
       * in order to keep line lengths correct.
       * Used for whole block markup.
       */
      closeBlock({ trailingLineBreaks = 1, blockTransform = void 0 } = {}) {
        const block = this._popStackItem();
        const blockText = blockTransform ? blockTransform(getText(block)) : getText(block);
        addText(this._stackItem, blockText, block.leadingLineBreaks, Math.max(block.stashedLineBreaks, trailingLineBreaks));
      }
      /**
       * Start building a new list.
       *
       * @param { object } [param0]
       * Object holding the parameters of the list.
       *
       * @param { number } [param0.maxPrefixLength]
       * Length of the longest list item prefix.
       * If not supplied or too small then list items won't be aligned properly.
       *
       * @param { 'left' | 'right' } [param0.prefixAlign]
       * Specify how prefixes of different lengths have to be aligned
       * within a column.
       *
       * @param { number } [param0.interRowLineBreaks]
       * Minimum number of line breaks between list items.
       *
       * @param { number } [param0.leadingLineBreaks]
       * This list should have at least this number of line breaks to separate it from any preceding block.
       */
      openList({ maxPrefixLength = 0, prefixAlign = "left", interRowLineBreaks = 1, leadingLineBreaks = 2 } = {}) {
        this._stackItem = new ListStackItem(this.options, this._stackItem, {
          interRowLineBreaks,
          leadingLineBreaks,
          maxLineLength: this._stackItem.inlineTextBuilder.maxLineLength,
          maxPrefixLength,
          prefixAlign
        });
      }
      /**
       * Start building a new list item.
       *
       * @param {object} param0
       * Object holding the parameters of the list item.
       *
       * @param { string } [param0.prefix]
       * Prefix for this list item (item number, bullet point, etc).
       */
      openListItem({ prefix = "" } = {}) {
        if (!(this._stackItem instanceof ListStackItem)) {
          throw new Error("Can't add a list item to something that is not a list! Check the formatter.");
        }
        const list = this._stackItem;
        const prefixLength = Math.max(prefix.length, list.maxPrefixLength);
        const maxLineLength = Math.max(20, list.inlineTextBuilder.maxLineLength - prefixLength);
        this._stackItem = new ListItemStackItem(this.options, list, {
          prefix,
          maxLineLength,
          leadingLineBreaks: list.interRowLineBreaks
        });
      }
      /**
       * Finalize currently built list item, add it's content to the parent list.
       */
      closeListItem() {
        const listItem = this._popStackItem();
        const list = listItem.next;
        const prefixLength = Math.max(listItem.prefix.length, list.maxPrefixLength);
        const spacing = "\n" + " ".repeat(prefixLength);
        const prefix = list.prefixAlign === "right" ? listItem.prefix.padStart(prefixLength) : listItem.prefix.padEnd(prefixLength);
        const text = prefix + getText(listItem).replace(/\n/g, spacing);
        addText(
          list,
          text,
          listItem.leadingLineBreaks,
          Math.max(listItem.stashedLineBreaks, list.interRowLineBreaks)
        );
      }
      /**
       * Finalize currently built list, add it's content to the parent block.
       *
       * @param { object } param0
       * Object holding the parameters of the list.
       *
       * @param { number } [param0.trailingLineBreaks]
       * This list should have at least this number of line breaks to separate it from any following block.
       */
      closeList({ trailingLineBreaks = 2 } = {}) {
        const list = this._popStackItem();
        const text = getText(list);
        if (text) {
          addText(this._stackItem, text, list.leadingLineBreaks, trailingLineBreaks);
        }
      }
      /**
       * Start building a table.
       */
      openTable() {
        this._stackItem = new TableStackItem(this._stackItem);
      }
      /**
       * Start building a table row.
       */
      openTableRow() {
        if (!(this._stackItem instanceof TableStackItem)) {
          throw new Error("Can't add a table row to something that is not a table! Check the formatter.");
        }
        this._stackItem = new TableRowStackItem(this._stackItem);
      }
      /**
       * Start building a table cell.
       *
       * @param { object } [param0]
       * Object holding the parameters of the cell.
       *
       * @param { number } [param0.maxColumnWidth]
       * Wrap cell content to this width. Fall back to global wordwrap value if undefined.
       */
      openTableCell({ maxColumnWidth = void 0 } = {}) {
        if (!(this._stackItem instanceof TableRowStackItem)) {
          throw new Error("Can't add a table cell to something that is not a table row! Check the formatter.");
        }
        this._stackItem = new TableCellStackItem(this.options, this._stackItem, maxColumnWidth);
      }
      /**
       * Finalize currently built table cell and add it to parent table row's cells.
       *
       * @param { object } [param0]
       * Object holding the parameters of the cell.
       *
       * @param { number } [param0.colspan] How many columns this cell should occupy.
       * @param { number } [param0.rowspan] How many rows this cell should occupy.
       */
      closeTableCell({ colspan = 1, rowspan = 1 } = {}) {
        const cell = this._popStackItem();
        const text = trimCharacter(getText(cell), "\n");
        cell.next.cells.push({ colspan, rowspan, text });
      }
      /**
       * Finalize currently built table row and add it to parent table's rows.
       */
      closeTableRow() {
        const row = this._popStackItem();
        row.next.rows.push(row.cells);
      }
      /**
       * Finalize currently built table and add the rendered text to the parent block.
       *
       * @param { object } param0
       * Object holding the parameters of the table.
       *
       * @param { TablePrinter } param0.tableToString
       * A function to convert a table of stringified cells into a complete table.
       *
       * @param { number } [param0.leadingLineBreaks]
       * This table should have at least this number of line breaks to separate if from any preceding block.
       *
       * @param { number } [param0.trailingLineBreaks]
       * This table should have at least this number of line breaks to separate it from any following block.
       */
      closeTable({ tableToString: tableToString2, leadingLineBreaks = 2, trailingLineBreaks = 2 }) {
        const table = this._popStackItem();
        const output = tableToString2(table.rows);
        if (output) {
          addText(this._stackItem, output, leadingLineBreaks, trailingLineBreaks);
        }
      }
      /**
       * Return the rendered text content of this builder.
       *
       * @returns { string }
       */
      toString() {
        return getText(this._stackItem.getRoot());
      }
    };
    function getText(stackItem) {
      if (!(stackItem instanceof BlockStackItem || stackItem instanceof ListItemStackItem || stackItem instanceof TableCellStackItem)) {
        throw new Error("Only blocks, list items and table cells can be requested for text contents.");
      }
      return stackItem.inlineTextBuilder.isEmpty() ? stackItem.rawText : stackItem.rawText + stackItem.inlineTextBuilder.toString();
    }
    function addText(stackItem, text, leadingLineBreaks, trailingLineBreaks) {
      if (!(stackItem instanceof BlockStackItem || stackItem instanceof ListItemStackItem || stackItem instanceof TableCellStackItem)) {
        throw new Error("Only blocks, list items and table cells can contain text.");
      }
      const parentText = getText(stackItem);
      const lineBreaks = Math.max(stackItem.stashedLineBreaks, leadingLineBreaks);
      stackItem.inlineTextBuilder.clear();
      if (parentText) {
        stackItem.rawText = parentText + "\n".repeat(lineBreaks) + text;
      } else {
        stackItem.rawText = text;
        stackItem.leadingLineBreaks = lineBreaks;
      }
      stackItem.stashedLineBreaks = trailingLineBreaks;
    }
    function applyTransformer(str, transformer) {
      return transformer ? applyTransformer(transformer.transform(str), transformer.next) : str;
    }
    function compile$1(options = {}) {
      const selectorsWithoutFormat = options.selectors.filter((s) => !s.format);
      if (selectorsWithoutFormat.length) {
        throw new Error(
          "Following selectors have no specified format: " + selectorsWithoutFormat.map((s) => `\`${s.selector}\``).join(", ")
        );
      }
      const picker = new selderee.DecisionTree(
        options.selectors.map((s) => [s.selector, s])
      ).build(pluginHtmlparser2.hp2Builder);
      if (typeof options.encodeCharacters !== "function") {
        options.encodeCharacters = makeReplacerFromDict(options.encodeCharacters);
      }
      const baseSelectorsPicker = new selderee.DecisionTree(
        options.baseElements.selectors.map((s, i) => [s, i + 1])
      ).build(pluginHtmlparser2.hp2Builder);
      function findBaseElements(dom) {
        return findBases(dom, options, baseSelectorsPicker);
      }
      const limitedWalk = limitedDepthRecursive(
        options.limits.maxDepth,
        recursiveWalk,
        function(dom, builder) {
          builder.addInline(options.limits.ellipsis || "");
        }
      );
      return function(html, metadata = void 0) {
        return process2(html, metadata, options, picker, findBaseElements, limitedWalk);
      };
    }
    function process2(html, metadata, options, picker, findBaseElements, walk) {
      const maxInputLength = options.limits.maxInputLength;
      if (maxInputLength && html && html.length > maxInputLength) {
        console.warn(
          `Input length ${html.length} is above allowed limit of ${maxInputLength}. Truncating without ellipsis.`
        );
        html = html.substring(0, maxInputLength);
      }
      const document = htmlparser2.parseDocument(html, { decodeEntities: options.decodeEntities });
      const bases = findBaseElements(document.children);
      const builder = new BlockTextBuilder(options, picker, metadata);
      walk(bases, builder);
      return builder.toString();
    }
    function findBases(dom, options, baseSelectorsPicker) {
      const results = [];
      function recursiveWalk2(walk, dom2) {
        dom2 = dom2.slice(0, options.limits.maxChildNodes);
        for (const elem of dom2) {
          if (elem.type !== "tag") {
            continue;
          }
          const pickedSelectorIndex = baseSelectorsPicker.pick1(elem);
          if (pickedSelectorIndex > 0) {
            results.push({ selectorIndex: pickedSelectorIndex, element: elem });
          } else if (elem.children) {
            walk(elem.children);
          }
          if (results.length >= options.limits.maxBaseElements) {
            return;
          }
        }
      }
      const limitedWalk = limitedDepthRecursive(
        options.limits.maxDepth,
        recursiveWalk2
      );
      limitedWalk(dom);
      if (options.baseElements.orderBy !== "occurrence") {
        results.sort((a, b) => a.selectorIndex - b.selectorIndex);
      }
      return options.baseElements.returnDomByDefault && results.length === 0 ? dom : results.map((x) => x.element);
    }
    function recursiveWalk(walk, dom, builder) {
      if (!dom) {
        return;
      }
      const options = builder.options;
      const tooManyChildNodes = dom.length > options.limits.maxChildNodes;
      if (tooManyChildNodes) {
        dom = dom.slice(0, options.limits.maxChildNodes);
        dom.push({
          data: options.limits.ellipsis,
          type: "text"
        });
      }
      for (const elem of dom) {
        switch (elem.type) {
          case "text": {
            builder.addInline(elem.data);
            break;
          }
          case "tag": {
            const tagDefinition = builder.picker.pick1(elem);
            const format = options.formatters[tagDefinition.format];
            format(elem, walk, builder, tagDefinition.options || {});
            break;
          }
        }
      }
      return;
    }
    function makeReplacerFromDict(dict) {
      if (!dict || Object.keys(dict).length === 0) {
        return void 0;
      }
      const entries = Object.entries(dict).filter(([, v]) => v !== false);
      const regex = new RegExp(
        entries.map(([c]) => `(${unicodeEscape([...c][0])})`).join("|"),
        "g"
      );
      const values = entries.map(([, v]) => v);
      const replacer = (m, ...cgs) => values[cgs.findIndex((cg) => cg)];
      return (str) => str.replace(regex, replacer);
    }
    function formatSkip(elem, walk, builder, formatOptions) {
    }
    function formatInlineString(elem, walk, builder, formatOptions) {
      builder.addLiteral(formatOptions.string || "");
    }
    function formatBlockString(elem, walk, builder, formatOptions) {
      builder.openBlock({ leadingLineBreaks: formatOptions.leadingLineBreaks || 2 });
      builder.addLiteral(formatOptions.string || "");
      builder.closeBlock({ trailingLineBreaks: formatOptions.trailingLineBreaks || 2 });
    }
    function formatInline(elem, walk, builder, formatOptions) {
      walk(elem.children, builder);
    }
    function formatBlock$1(elem, walk, builder, formatOptions) {
      builder.openBlock({ leadingLineBreaks: formatOptions.leadingLineBreaks || 2 });
      walk(elem.children, builder);
      builder.closeBlock({ trailingLineBreaks: formatOptions.trailingLineBreaks || 2 });
    }
    function renderOpenTag(elem) {
      const attrs = elem.attribs && elem.attribs.length ? " " + Object.entries(elem.attribs).map(([k, v]) => v === "" ? k : `${k}=${v.replace(/"/g, "&quot;")}`).join(" ") : "";
      return `<${elem.name}${attrs}>`;
    }
    function renderCloseTag(elem) {
      return `</${elem.name}>`;
    }
    function formatInlineTag(elem, walk, builder, formatOptions) {
      builder.startNoWrap();
      builder.addLiteral(renderOpenTag(elem));
      builder.stopNoWrap();
      walk(elem.children, builder);
      builder.startNoWrap();
      builder.addLiteral(renderCloseTag(elem));
      builder.stopNoWrap();
    }
    function formatBlockTag(elem, walk, builder, formatOptions) {
      builder.openBlock({ leadingLineBreaks: formatOptions.leadingLineBreaks || 2 });
      builder.startNoWrap();
      builder.addLiteral(renderOpenTag(elem));
      builder.stopNoWrap();
      walk(elem.children, builder);
      builder.startNoWrap();
      builder.addLiteral(renderCloseTag(elem));
      builder.stopNoWrap();
      builder.closeBlock({ trailingLineBreaks: formatOptions.trailingLineBreaks || 2 });
    }
    function formatInlineHtml(elem, walk, builder, formatOptions) {
      builder.startNoWrap();
      builder.addLiteral(
        domSerializer.render(elem, { decodeEntities: builder.options.decodeEntities })
      );
      builder.stopNoWrap();
    }
    function formatBlockHtml(elem, walk, builder, formatOptions) {
      builder.openBlock({ leadingLineBreaks: formatOptions.leadingLineBreaks || 2 });
      builder.startNoWrap();
      builder.addLiteral(
        domSerializer.render(elem, { decodeEntities: builder.options.decodeEntities })
      );
      builder.stopNoWrap();
      builder.closeBlock({ trailingLineBreaks: formatOptions.trailingLineBreaks || 2 });
    }
    function formatInlineSurround(elem, walk, builder, formatOptions) {
      builder.addLiteral(formatOptions.prefix || "");
      walk(elem.children, builder);
      builder.addLiteral(formatOptions.suffix || "");
    }
    var genericFormatters = /* @__PURE__ */ Object.freeze({
      __proto__: null,
      block: formatBlock$1,
      blockHtml: formatBlockHtml,
      blockString: formatBlockString,
      blockTag: formatBlockTag,
      inline: formatInline,
      inlineHtml: formatInlineHtml,
      inlineString: formatInlineString,
      inlineSurround: formatInlineSurround,
      inlineTag: formatInlineTag,
      skip: formatSkip
    });
    function getRow(matrix, j) {
      if (!matrix[j]) {
        matrix[j] = [];
      }
      return matrix[j];
    }
    function findFirstVacantIndex(row, x = 0) {
      while (row[x]) {
        x++;
      }
      return x;
    }
    function transposeInPlace(matrix, maxSize) {
      for (let i = 0; i < maxSize; i++) {
        const rowI = getRow(matrix, i);
        for (let j = 0; j < i; j++) {
          const rowJ = getRow(matrix, j);
          if (rowI[j] || rowJ[i]) {
            const temp = rowI[j];
            rowI[j] = rowJ[i];
            rowJ[i] = temp;
          }
        }
      }
    }
    function putCellIntoLayout(cell, layout, baseRow, baseCol) {
      for (let r = 0; r < cell.rowspan; r++) {
        const layoutRow = getRow(layout, baseRow + r);
        for (let c = 0; c < cell.colspan; c++) {
          layoutRow[baseCol + c] = cell;
        }
      }
    }
    function getOrInitOffset(offsets, index) {
      if (offsets[index] === void 0) {
        offsets[index] = index === 0 ? 0 : 1 + getOrInitOffset(offsets, index - 1);
      }
      return offsets[index];
    }
    function updateOffset(offsets, base, span, value) {
      offsets[base + span] = Math.max(
        getOrInitOffset(offsets, base + span),
        getOrInitOffset(offsets, base) + value
      );
    }
    function tableToString(tableRows, rowSpacing, colSpacing) {
      const layout = [];
      let colNumber = 0;
      const rowNumber = tableRows.length;
      const rowOffsets = [0];
      for (let j = 0; j < rowNumber; j++) {
        const layoutRow = getRow(layout, j);
        const cells = tableRows[j];
        let x = 0;
        for (let i = 0; i < cells.length; i++) {
          const cell = cells[i];
          x = findFirstVacantIndex(layoutRow, x);
          putCellIntoLayout(cell, layout, j, x);
          x += cell.colspan;
          cell.lines = cell.text.split("\n");
          const cellHeight = cell.lines.length;
          updateOffset(rowOffsets, j, cell.rowspan, cellHeight + rowSpacing);
        }
        colNumber = layoutRow.length > colNumber ? layoutRow.length : colNumber;
      }
      transposeInPlace(layout, rowNumber > colNumber ? rowNumber : colNumber);
      const outputLines = [];
      const colOffsets = [0];
      for (let x = 0; x < colNumber; x++) {
        let y = 0;
        let cell;
        const rowsInThisColumn = Math.min(rowNumber, layout[x].length);
        while (y < rowsInThisColumn) {
          cell = layout[x][y];
          if (cell) {
            if (!cell.rendered) {
              let cellWidth = 0;
              for (let j = 0; j < cell.lines.length; j++) {
                const line = cell.lines[j];
                const lineOffset = rowOffsets[y] + j;
                outputLines[lineOffset] = (outputLines[lineOffset] || "").padEnd(colOffsets[x]) + line;
                cellWidth = line.length > cellWidth ? line.length : cellWidth;
              }
              updateOffset(colOffsets, x, cell.colspan, cellWidth + colSpacing);
              cell.rendered = true;
            }
            y += cell.rowspan;
          } else {
            const lineOffset = rowOffsets[y];
            outputLines[lineOffset] = outputLines[lineOffset] || "";
            y++;
          }
        }
      }
      return outputLines.join("\n");
    }
    function formatLineBreak(elem, walk, builder, formatOptions) {
      builder.addLineBreak();
    }
    function formatWbr(elem, walk, builder, formatOptions) {
      builder.addWordBreakOpportunity();
    }
    function formatHorizontalLine(elem, walk, builder, formatOptions) {
      builder.openBlock({ leadingLineBreaks: formatOptions.leadingLineBreaks || 2 });
      builder.addInline("-".repeat(formatOptions.length || builder.options.wordwrap || 40));
      builder.closeBlock({ trailingLineBreaks: formatOptions.trailingLineBreaks || 2 });
    }
    function formatParagraph(elem, walk, builder, formatOptions) {
      builder.openBlock({ leadingLineBreaks: formatOptions.leadingLineBreaks || 2 });
      walk(elem.children, builder);
      builder.closeBlock({ trailingLineBreaks: formatOptions.trailingLineBreaks || 2 });
    }
    function formatPre(elem, walk, builder, formatOptions) {
      builder.openBlock({
        isPre: true,
        leadingLineBreaks: formatOptions.leadingLineBreaks || 2
      });
      walk(elem.children, builder);
      builder.closeBlock({ trailingLineBreaks: formatOptions.trailingLineBreaks || 2 });
    }
    function formatHeading(elem, walk, builder, formatOptions) {
      builder.openBlock({ leadingLineBreaks: formatOptions.leadingLineBreaks || 2 });
      if (formatOptions.uppercase !== false) {
        builder.pushWordTransform((str) => str.toUpperCase());
        walk(elem.children, builder);
        builder.popWordTransform();
      } else {
        walk(elem.children, builder);
      }
      builder.closeBlock({ trailingLineBreaks: formatOptions.trailingLineBreaks || 2 });
    }
    function formatBlockquote(elem, walk, builder, formatOptions) {
      builder.openBlock({
        leadingLineBreaks: formatOptions.leadingLineBreaks || 2,
        reservedLineLength: 2
      });
      walk(elem.children, builder);
      builder.closeBlock({
        trailingLineBreaks: formatOptions.trailingLineBreaks || 2,
        blockTransform: (str) => (formatOptions.trimEmptyLines !== false ? trimCharacter(str, "\n") : str).split("\n").map((line) => "> " + line).join("\n")
      });
    }
    function withBrackets(str, brackets) {
      if (!brackets) {
        return str;
      }
      const lbr = typeof brackets[0] === "string" ? brackets[0] : "[";
      const rbr = typeof brackets[1] === "string" ? brackets[1] : "]";
      return lbr + str + rbr;
    }
    function pathRewrite(path, rewriter, baseUrl, metadata, elem) {
      const modifiedPath = typeof rewriter === "function" ? rewriter(path, metadata, elem) : path;
      return modifiedPath[0] === "/" && baseUrl ? trimCharacterEnd(baseUrl, "/") + modifiedPath : modifiedPath;
    }
    function formatImage(elem, walk, builder, formatOptions) {
      const attribs = elem.attribs || {};
      const alt = attribs.alt ? attribs.alt : "";
      const src = !attribs.src ? "" : pathRewrite(attribs.src, formatOptions.pathRewrite, formatOptions.baseUrl, builder.metadata, elem);
      const text = !src ? alt : !alt ? withBrackets(src, formatOptions.linkBrackets) : alt + " " + withBrackets(src, formatOptions.linkBrackets);
      builder.addInline(text, { noWordTransform: true });
    }
    function formatAnchor(elem, walk, builder, formatOptions) {
      function getHref() {
        if (formatOptions.ignoreHref) {
          return "";
        }
        if (!elem.attribs || !elem.attribs.href) {
          return "";
        }
        let href2 = elem.attribs.href.replace(/^mailto:/, "");
        if (formatOptions.noAnchorUrl && href2[0] === "#") {
          return "";
        }
        href2 = pathRewrite(href2, formatOptions.pathRewrite, formatOptions.baseUrl, builder.metadata, elem);
        return href2;
      }
      const href = getHref();
      if (!href) {
        walk(elem.children, builder);
      } else {
        let text = "";
        builder.pushWordTransform(
          (str) => {
            if (str) {
              text += str;
            }
            return str;
          }
        );
        walk(elem.children, builder);
        builder.popWordTransform();
        const hideSameLink = formatOptions.hideLinkHrefIfSameAsText && href === text;
        if (!hideSameLink) {
          builder.addInline(
            !text ? href : " " + withBrackets(href, formatOptions.linkBrackets),
            { noWordTransform: true }
          );
        }
      }
    }
    function formatList(elem, walk, builder, formatOptions, nextPrefixCallback) {
      const isNestedList = get(elem, ["parent", "name"]) === "li";
      let maxPrefixLength = 0;
      const listItems = (elem.children || []).filter((child) => child.type !== "text" || !/^\s*$/.test(child.data)).map(function(child) {
        if (child.name !== "li") {
          return { node: child, prefix: "" };
        }
        const prefix = isNestedList ? nextPrefixCallback().trimStart() : nextPrefixCallback();
        if (prefix.length > maxPrefixLength) {
          maxPrefixLength = prefix.length;
        }
        return { node: child, prefix };
      });
      if (!listItems.length) {
        return;
      }
      builder.openList({
        interRowLineBreaks: 1,
        leadingLineBreaks: isNestedList ? 1 : formatOptions.leadingLineBreaks || 2,
        maxPrefixLength,
        prefixAlign: "left"
      });
      for (const { node, prefix } of listItems) {
        builder.openListItem({ prefix });
        walk([node], builder);
        builder.closeListItem();
      }
      builder.closeList({ trailingLineBreaks: isNestedList ? 1 : formatOptions.trailingLineBreaks || 2 });
    }
    function formatUnorderedList(elem, walk, builder, formatOptions) {
      const prefix = formatOptions.itemPrefix || " * ";
      return formatList(elem, walk, builder, formatOptions, () => prefix);
    }
    function formatOrderedList(elem, walk, builder, formatOptions) {
      let nextIndex = Number(elem.attribs.start || "1");
      const indexFunction = getOrderedListIndexFunction(elem.attribs.type);
      const nextPrefixCallback = () => " " + indexFunction(nextIndex++) + ". ";
      return formatList(elem, walk, builder, formatOptions, nextPrefixCallback);
    }
    function getOrderedListIndexFunction(olType = "1") {
      switch (olType) {
        case "a":
          return (i) => numberToLetterSequence(i, "a");
        case "A":
          return (i) => numberToLetterSequence(i, "A");
        case "i":
          return (i) => numberToRoman(i).toLowerCase();
        case "I":
          return (i) => numberToRoman(i);
        case "1":
        default:
          return (i) => i.toString();
      }
    }
    function splitClassesAndIds(selectors) {
      const classes = [];
      const ids = [];
      for (const selector of selectors) {
        if (selector.startsWith(".")) {
          classes.push(selector.substring(1));
        } else if (selector.startsWith("#")) {
          ids.push(selector.substring(1));
        }
      }
      return { classes, ids };
    }
    function isDataTable(attr, tables) {
      if (tables === true) {
        return true;
      }
      if (!attr) {
        return false;
      }
      const { classes, ids } = splitClassesAndIds(tables);
      const attrClasses = (attr["class"] || "").split(" ");
      const attrIds = (attr["id"] || "").split(" ");
      return attrClasses.some((x) => classes.includes(x)) || attrIds.some((x) => ids.includes(x));
    }
    function formatTable(elem, walk, builder, formatOptions) {
      return isDataTable(elem.attribs, builder.options.tables) ? formatDataTable(elem, walk, builder, formatOptions) : formatBlock(elem, walk, builder, formatOptions);
    }
    function formatBlock(elem, walk, builder, formatOptions) {
      builder.openBlock({ leadingLineBreaks: formatOptions.leadingLineBreaks });
      walk(elem.children, builder);
      builder.closeBlock({ trailingLineBreaks: formatOptions.trailingLineBreaks });
    }
    function formatDataTable(elem, walk, builder, formatOptions) {
      builder.openTable();
      elem.children.forEach(walkTable);
      builder.closeTable({
        tableToString: (rows) => tableToString(rows, formatOptions.rowSpacing ?? 0, formatOptions.colSpacing ?? 3),
        leadingLineBreaks: formatOptions.leadingLineBreaks,
        trailingLineBreaks: formatOptions.trailingLineBreaks
      });
      function formatCell(cellNode) {
        const colspan = +get(cellNode, ["attribs", "colspan"]) || 1;
        const rowspan = +get(cellNode, ["attribs", "rowspan"]) || 1;
        builder.openTableCell({ maxColumnWidth: formatOptions.maxColumnWidth });
        walk(cellNode.children, builder);
        builder.closeTableCell({ colspan, rowspan });
      }
      function walkTable(elem2) {
        if (elem2.type !== "tag") {
          return;
        }
        const formatHeaderCell = formatOptions.uppercaseHeaderCells !== false ? (cellNode) => {
          builder.pushWordTransform((str) => str.toUpperCase());
          formatCell(cellNode);
          builder.popWordTransform();
        } : formatCell;
        switch (elem2.name) {
          case "thead":
          case "tbody":
          case "tfoot":
          case "center":
            elem2.children.forEach(walkTable);
            return;
          case "tr": {
            builder.openTableRow();
            for (const childOfTr of elem2.children) {
              if (childOfTr.type !== "tag") {
                continue;
              }
              switch (childOfTr.name) {
                case "th": {
                  formatHeaderCell(childOfTr);
                  break;
                }
                case "td": {
                  formatCell(childOfTr);
                  break;
                }
              }
            }
            builder.closeTableRow();
            break;
          }
        }
      }
    }
    var textFormatters = /* @__PURE__ */ Object.freeze({
      __proto__: null,
      anchor: formatAnchor,
      blockquote: formatBlockquote,
      dataTable: formatDataTable,
      heading: formatHeading,
      horizontalLine: formatHorizontalLine,
      image: formatImage,
      lineBreak: formatLineBreak,
      orderedList: formatOrderedList,
      paragraph: formatParagraph,
      pre: formatPre,
      table: formatTable,
      unorderedList: formatUnorderedList,
      wbr: formatWbr
    });
    var DEFAULT_OPTIONS = {
      baseElements: {
        selectors: ["body"],
        orderBy: "selectors",
        // 'selectors' | 'occurrence'
        returnDomByDefault: true
      },
      decodeEntities: true,
      encodeCharacters: {},
      formatters: {},
      limits: {
        ellipsis: "...",
        maxBaseElements: void 0,
        maxChildNodes: void 0,
        maxDepth: void 0,
        maxInputLength: 1 << 24
        // 16_777_216
      },
      longWordSplit: {
        forceWrapOnLimit: false,
        wrapCharacters: []
      },
      preserveNewlines: false,
      selectors: [
        { selector: "*", format: "inline" },
        {
          selector: "a",
          format: "anchor",
          options: {
            baseUrl: null,
            hideLinkHrefIfSameAsText: false,
            ignoreHref: false,
            linkBrackets: ["[", "]"],
            noAnchorUrl: true
          }
        },
        { selector: "article", format: "block", options: { leadingLineBreaks: 1, trailingLineBreaks: 1 } },
        { selector: "aside", format: "block", options: { leadingLineBreaks: 1, trailingLineBreaks: 1 } },
        {
          selector: "blockquote",
          format: "blockquote",
          options: { leadingLineBreaks: 2, trailingLineBreaks: 2, trimEmptyLines: true }
        },
        { selector: "br", format: "lineBreak" },
        { selector: "div", format: "block", options: { leadingLineBreaks: 1, trailingLineBreaks: 1 } },
        { selector: "footer", format: "block", options: { leadingLineBreaks: 1, trailingLineBreaks: 1 } },
        { selector: "form", format: "block", options: { leadingLineBreaks: 1, trailingLineBreaks: 1 } },
        { selector: "h1", format: "heading", options: { leadingLineBreaks: 3, trailingLineBreaks: 2, uppercase: true } },
        { selector: "h2", format: "heading", options: { leadingLineBreaks: 3, trailingLineBreaks: 2, uppercase: true } },
        { selector: "h3", format: "heading", options: { leadingLineBreaks: 3, trailingLineBreaks: 2, uppercase: true } },
        { selector: "h4", format: "heading", options: { leadingLineBreaks: 2, trailingLineBreaks: 2, uppercase: true } },
        { selector: "h5", format: "heading", options: { leadingLineBreaks: 2, trailingLineBreaks: 2, uppercase: true } },
        { selector: "h6", format: "heading", options: { leadingLineBreaks: 2, trailingLineBreaks: 2, uppercase: true } },
        { selector: "header", format: "block", options: { leadingLineBreaks: 1, trailingLineBreaks: 1 } },
        {
          selector: "hr",
          format: "horizontalLine",
          options: { leadingLineBreaks: 2, length: void 0, trailingLineBreaks: 2 }
        },
        {
          selector: "img",
          format: "image",
          options: { baseUrl: null, linkBrackets: ["[", "]"] }
        },
        { selector: "main", format: "block", options: { leadingLineBreaks: 1, trailingLineBreaks: 1 } },
        { selector: "nav", format: "block", options: { leadingLineBreaks: 1, trailingLineBreaks: 1 } },
        {
          selector: "ol",
          format: "orderedList",
          options: { leadingLineBreaks: 2, trailingLineBreaks: 2 }
        },
        { selector: "p", format: "paragraph", options: { leadingLineBreaks: 2, trailingLineBreaks: 2 } },
        { selector: "pre", format: "pre", options: { leadingLineBreaks: 2, trailingLineBreaks: 2 } },
        { selector: "section", format: "block", options: { leadingLineBreaks: 1, trailingLineBreaks: 1 } },
        {
          selector: "table",
          format: "table",
          options: {
            colSpacing: 3,
            leadingLineBreaks: 2,
            maxColumnWidth: 60,
            rowSpacing: 0,
            trailingLineBreaks: 2,
            uppercaseHeaderCells: true
          }
        },
        {
          selector: "ul",
          format: "unorderedList",
          options: { itemPrefix: " * ", leadingLineBreaks: 2, trailingLineBreaks: 2 }
        },
        { selector: "wbr", format: "wbr" }
      ],
      tables: [],
      // deprecated
      whitespaceCharacters: " 	\r\n\f\u200B",
      wordwrap: 80
    };
    var concatMerge = (acc, src, options) => [...acc, ...src];
    var overwriteMerge = (acc, src, options) => [...src];
    var selectorsMerge = (acc, src, options) => acc.some((s) => typeof s === "object") ? concatMerge(acc, src) : overwriteMerge(acc, src);
    function compile(options = {}) {
      options = merge__default["default"](
        DEFAULT_OPTIONS,
        options,
        {
          arrayMerge: overwriteMerge,
          customMerge: (key) => key === "selectors" ? selectorsMerge : void 0
        }
      );
      options.formatters = Object.assign({}, genericFormatters, textFormatters, options.formatters);
      options.selectors = mergeDuplicatesPreferLast(options.selectors, (s) => s.selector);
      handleDeprecatedOptions(options);
      return compile$1(options);
    }
    function convert(html, options = {}, metadata = void 0) {
      return compile(options)(html, metadata);
    }
    function handleDeprecatedOptions(options) {
      if (options.tags) {
        const tagDefinitions = Object.entries(options.tags).map(
          ([selector, definition]) => ({ ...definition, selector: selector || "*" })
        );
        options.selectors.push(...tagDefinitions);
        options.selectors = mergeDuplicatesPreferLast(options.selectors, (s) => s.selector);
      }
      function set(obj, path, value) {
        const valueKey = path.pop();
        for (const key of path) {
          let nested = obj[key];
          if (!nested) {
            nested = {};
            obj[key] = nested;
          }
          obj = nested;
        }
        obj[valueKey] = value;
      }
      if (options["baseElement"]) {
        const baseElement = options["baseElement"];
        set(
          options,
          ["baseElements", "selectors"],
          Array.isArray(baseElement) ? baseElement : [baseElement]
        );
      }
      if (options["returnDomByDefault"] !== void 0) {
        set(options, ["baseElements", "returnDomByDefault"], options["returnDomByDefault"]);
      }
      for (const definition of options.selectors) {
        if (definition.format === "anchor" && get(definition, ["options", "noLinkBrackets"])) {
          set(definition, ["options", "linkBrackets"], false);
        }
      }
    }
    exports.compile = compile;
    exports.convert = convert;
    exports.htmlToText = convert;
  }
});

// ../../../node_modules/he/he.js
var require_he = __commonJS({
  "../../../node_modules/he/he.js"(exports, module2) {
    "use strict";
    (function(root) {
      var freeExports = typeof exports == "object" && exports;
      var freeModule = typeof module2 == "object" && module2 && module2.exports == freeExports && module2;
      var freeGlobal = typeof global == "object" && global;
      if (freeGlobal.global === freeGlobal || freeGlobal.window === freeGlobal) {
        root = freeGlobal;
      }
      var regexAstralSymbols = /[\uD800-\uDBFF][\uDC00-\uDFFF]/g;
      var regexAsciiWhitelist = /[\x01-\x7F]/g;
      var regexBmpWhitelist = /[\x01-\t\x0B\f\x0E-\x1F\x7F\x81\x8D\x8F\x90\x9D\xA0-\uFFFF]/g;
      var regexEncodeNonAscii = /<\u20D2|=\u20E5|>\u20D2|\u205F\u200A|\u219D\u0338|\u2202\u0338|\u2220\u20D2|\u2229\uFE00|\u222A\uFE00|\u223C\u20D2|\u223D\u0331|\u223E\u0333|\u2242\u0338|\u224B\u0338|\u224D\u20D2|\u224E\u0338|\u224F\u0338|\u2250\u0338|\u2261\u20E5|\u2264\u20D2|\u2265\u20D2|\u2266\u0338|\u2267\u0338|\u2268\uFE00|\u2269\uFE00|\u226A\u0338|\u226A\u20D2|\u226B\u0338|\u226B\u20D2|\u227F\u0338|\u2282\u20D2|\u2283\u20D2|\u228A\uFE00|\u228B\uFE00|\u228F\u0338|\u2290\u0338|\u2293\uFE00|\u2294\uFE00|\u22B4\u20D2|\u22B5\u20D2|\u22D8\u0338|\u22D9\u0338|\u22DA\uFE00|\u22DB\uFE00|\u22F5\u0338|\u22F9\u0338|\u2933\u0338|\u29CF\u0338|\u29D0\u0338|\u2A6D\u0338|\u2A70\u0338|\u2A7D\u0338|\u2A7E\u0338|\u2AA1\u0338|\u2AA2\u0338|\u2AAC\uFE00|\u2AAD\uFE00|\u2AAF\u0338|\u2AB0\u0338|\u2AC5\u0338|\u2AC6\u0338|\u2ACB\uFE00|\u2ACC\uFE00|\u2AFD\u20E5|[\xA0-\u0113\u0116-\u0122\u0124-\u012B\u012E-\u014D\u0150-\u017E\u0192\u01B5\u01F5\u0237\u02C6\u02C7\u02D8-\u02DD\u0311\u0391-\u03A1\u03A3-\u03A9\u03B1-\u03C9\u03D1\u03D2\u03D5\u03D6\u03DC\u03DD\u03F0\u03F1\u03F5\u03F6\u0401-\u040C\u040E-\u044F\u0451-\u045C\u045E\u045F\u2002-\u2005\u2007-\u2010\u2013-\u2016\u2018-\u201A\u201C-\u201E\u2020-\u2022\u2025\u2026\u2030-\u2035\u2039\u203A\u203E\u2041\u2043\u2044\u204F\u2057\u205F-\u2063\u20AC\u20DB\u20DC\u2102\u2105\u210A-\u2113\u2115-\u211E\u2122\u2124\u2127-\u2129\u212C\u212D\u212F-\u2131\u2133-\u2138\u2145-\u2148\u2153-\u215E\u2190-\u219B\u219D-\u21A7\u21A9-\u21AE\u21B0-\u21B3\u21B5-\u21B7\u21BA-\u21DB\u21DD\u21E4\u21E5\u21F5\u21FD-\u2205\u2207-\u2209\u220B\u220C\u220F-\u2214\u2216-\u2218\u221A\u221D-\u2238\u223A-\u2257\u2259\u225A\u225C\u225F-\u2262\u2264-\u228B\u228D-\u229B\u229D-\u22A5\u22A7-\u22B0\u22B2-\u22BB\u22BD-\u22DB\u22DE-\u22E3\u22E6-\u22F7\u22F9-\u22FE\u2305\u2306\u2308-\u2310\u2312\u2313\u2315\u2316\u231C-\u231F\u2322\u2323\u232D\u232E\u2336\u233D\u233F\u237C\u23B0\u23B1\u23B4-\u23B6\u23DC-\u23DF\u23E2\u23E7\u2423\u24C8\u2500\u2502\u250C\u2510\u2514\u2518\u251C\u2524\u252C\u2534\u253C\u2550-\u256C\u2580\u2584\u2588\u2591-\u2593\u25A1\u25AA\u25AB\u25AD\u25AE\u25B1\u25B3-\u25B5\u25B8\u25B9\u25BD-\u25BF\u25C2\u25C3\u25CA\u25CB\u25EC\u25EF\u25F8-\u25FC\u2605\u2606\u260E\u2640\u2642\u2660\u2663\u2665\u2666\u266A\u266D-\u266F\u2713\u2717\u2720\u2736\u2758\u2772\u2773\u27C8\u27C9\u27E6-\u27ED\u27F5-\u27FA\u27FC\u27FF\u2902-\u2905\u290C-\u2913\u2916\u2919-\u2920\u2923-\u292A\u2933\u2935-\u2939\u293C\u293D\u2945\u2948-\u294B\u294E-\u2976\u2978\u2979\u297B-\u297F\u2985\u2986\u298B-\u2996\u299A\u299C\u299D\u29A4-\u29B7\u29B9\u29BB\u29BC\u29BE-\u29C5\u29C9\u29CD-\u29D0\u29DC-\u29DE\u29E3-\u29E5\u29EB\u29F4\u29F6\u2A00-\u2A02\u2A04\u2A06\u2A0C\u2A0D\u2A10-\u2A17\u2A22-\u2A27\u2A29\u2A2A\u2A2D-\u2A31\u2A33-\u2A3C\u2A3F\u2A40\u2A42-\u2A4D\u2A50\u2A53-\u2A58\u2A5A-\u2A5D\u2A5F\u2A66\u2A6A\u2A6D-\u2A75\u2A77-\u2A9A\u2A9D-\u2AA2\u2AA4-\u2AB0\u2AB3-\u2AC8\u2ACB\u2ACC\u2ACF-\u2ADB\u2AE4\u2AE6-\u2AE9\u2AEB-\u2AF3\u2AFD\uFB00-\uFB04]|\uD835[\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDCCF\uDD04\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDD6B]/g;
      var encodeMap = { "\xAD": "shy", "\u200C": "zwnj", "\u200D": "zwj", "\u200E": "lrm", "\u2063": "ic", "\u2062": "it", "\u2061": "af", "\u200F": "rlm", "\u200B": "ZeroWidthSpace", "\u2060": "NoBreak", "\u0311": "DownBreve", "\u20DB": "tdot", "\u20DC": "DotDot", "	": "Tab", "\n": "NewLine", "\u2008": "puncsp", "\u205F": "MediumSpace", "\u2009": "thinsp", "\u200A": "hairsp", "\u2004": "emsp13", "\u2002": "ensp", "\u2005": "emsp14", "\u2003": "emsp", "\u2007": "numsp", "\xA0": "nbsp", "\u205F\u200A": "ThickSpace", "\u203E": "oline", "_": "lowbar", "\u2010": "dash", "\u2013": "ndash", "\u2014": "mdash", "\u2015": "horbar", ",": "comma", ";": "semi", "\u204F": "bsemi", ":": "colon", "\u2A74": "Colone", "!": "excl", "\xA1": "iexcl", "?": "quest", "\xBF": "iquest", ".": "period", "\u2025": "nldr", "\u2026": "mldr", "\xB7": "middot", "'": "apos", "\u2018": "lsquo", "\u2019": "rsquo", "\u201A": "sbquo", "\u2039": "lsaquo", "\u203A": "rsaquo", '"': "quot", "\u201C": "ldquo", "\u201D": "rdquo", "\u201E": "bdquo", "\xAB": "laquo", "\xBB": "raquo", "(": "lpar", ")": "rpar", "[": "lsqb", "]": "rsqb", "{": "lcub", "}": "rcub", "\u2308": "lceil", "\u2309": "rceil", "\u230A": "lfloor", "\u230B": "rfloor", "\u2985": "lopar", "\u2986": "ropar", "\u298B": "lbrke", "\u298C": "rbrke", "\u298D": "lbrkslu", "\u298E": "rbrksld", "\u298F": "lbrksld", "\u2990": "rbrkslu", "\u2991": "langd", "\u2992": "rangd", "\u2993": "lparlt", "\u2994": "rpargt", "\u2995": "gtlPar", "\u2996": "ltrPar", "\u27E6": "lobrk", "\u27E7": "robrk", "\u27E8": "lang", "\u27E9": "rang", "\u27EA": "Lang", "\u27EB": "Rang", "\u27EC": "loang", "\u27ED": "roang", "\u2772": "lbbrk", "\u2773": "rbbrk", "\u2016": "Vert", "\xA7": "sect", "\xB6": "para", "@": "commat", "*": "ast", "/": "sol", "undefined": null, "&": "amp", "#": "num", "%": "percnt", "\u2030": "permil", "\u2031": "pertenk", "\u2020": "dagger", "\u2021": "Dagger", "\u2022": "bull", "\u2043": "hybull", "\u2032": "prime", "\u2033": "Prime", "\u2034": "tprime", "\u2057": "qprime", "\u2035": "bprime", "\u2041": "caret", "`": "grave", "\xB4": "acute", "\u02DC": "tilde", "^": "Hat", "\xAF": "macr", "\u02D8": "breve", "\u02D9": "dot", "\xA8": "die", "\u02DA": "ring", "\u02DD": "dblac", "\xB8": "cedil", "\u02DB": "ogon", "\u02C6": "circ", "\u02C7": "caron", "\xB0": "deg", "\xA9": "copy", "\xAE": "reg", "\u2117": "copysr", "\u2118": "wp", "\u211E": "rx", "\u2127": "mho", "\u2129": "iiota", "\u2190": "larr", "\u219A": "nlarr", "\u2192": "rarr", "\u219B": "nrarr", "\u2191": "uarr", "\u2193": "darr", "\u2194": "harr", "\u21AE": "nharr", "\u2195": "varr", "\u2196": "nwarr", "\u2197": "nearr", "\u2198": "searr", "\u2199": "swarr", "\u219D": "rarrw", "\u219D\u0338": "nrarrw", "\u219E": "Larr", "\u219F": "Uarr", "\u21A0": "Rarr", "\u21A1": "Darr", "\u21A2": "larrtl", "\u21A3": "rarrtl", "\u21A4": "mapstoleft", "\u21A5": "mapstoup", "\u21A6": "map", "\u21A7": "mapstodown", "\u21A9": "larrhk", "\u21AA": "rarrhk", "\u21AB": "larrlp", "\u21AC": "rarrlp", "\u21AD": "harrw", "\u21B0": "lsh", "\u21B1": "rsh", "\u21B2": "ldsh", "\u21B3": "rdsh", "\u21B5": "crarr", "\u21B6": "cularr", "\u21B7": "curarr", "\u21BA": "olarr", "\u21BB": "orarr", "\u21BC": "lharu", "\u21BD": "lhard", "\u21BE": "uharr", "\u21BF": "uharl", "\u21C0": "rharu", "\u21C1": "rhard", "\u21C2": "dharr", "\u21C3": "dharl", "\u21C4": "rlarr", "\u21C5": "udarr", "\u21C6": "lrarr", "\u21C7": "llarr", "\u21C8": "uuarr", "\u21C9": "rrarr", "\u21CA": "ddarr", "\u21CB": "lrhar", "\u21CC": "rlhar", "\u21D0": "lArr", "\u21CD": "nlArr", "\u21D1": "uArr", "\u21D2": "rArr", "\u21CF": "nrArr", "\u21D3": "dArr", "\u21D4": "iff", "\u21CE": "nhArr", "\u21D5": "vArr", "\u21D6": "nwArr", "\u21D7": "neArr", "\u21D8": "seArr", "\u21D9": "swArr", "\u21DA": "lAarr", "\u21DB": "rAarr", "\u21DD": "zigrarr", "\u21E4": "larrb", "\u21E5": "rarrb", "\u21F5": "duarr", "\u21FD": "loarr", "\u21FE": "roarr", "\u21FF": "hoarr", "\u2200": "forall", "\u2201": "comp", "\u2202": "part", "\u2202\u0338": "npart", "\u2203": "exist", "\u2204": "nexist", "\u2205": "empty", "\u2207": "Del", "\u2208": "in", "\u2209": "notin", "\u220B": "ni", "\u220C": "notni", "\u03F6": "bepsi", "\u220F": "prod", "\u2210": "coprod", "\u2211": "sum", "+": "plus", "\xB1": "pm", "\xF7": "div", "\xD7": "times", "<": "lt", "\u226E": "nlt", "<\u20D2": "nvlt", "=": "equals", "\u2260": "ne", "=\u20E5": "bne", "\u2A75": "Equal", ">": "gt", "\u226F": "ngt", ">\u20D2": "nvgt", "\xAC": "not", "|": "vert", "\xA6": "brvbar", "\u2212": "minus", "\u2213": "mp", "\u2214": "plusdo", "\u2044": "frasl", "\u2216": "setmn", "\u2217": "lowast", "\u2218": "compfn", "\u221A": "Sqrt", "\u221D": "prop", "\u221E": "infin", "\u221F": "angrt", "\u2220": "ang", "\u2220\u20D2": "nang", "\u2221": "angmsd", "\u2222": "angsph", "\u2223": "mid", "\u2224": "nmid", "\u2225": "par", "\u2226": "npar", "\u2227": "and", "\u2228": "or", "\u2229": "cap", "\u2229\uFE00": "caps", "\u222A": "cup", "\u222A\uFE00": "cups", "\u222B": "int", "\u222C": "Int", "\u222D": "tint", "\u2A0C": "qint", "\u222E": "oint", "\u222F": "Conint", "\u2230": "Cconint", "\u2231": "cwint", "\u2232": "cwconint", "\u2233": "awconint", "\u2234": "there4", "\u2235": "becaus", "\u2236": "ratio", "\u2237": "Colon", "\u2238": "minusd", "\u223A": "mDDot", "\u223B": "homtht", "\u223C": "sim", "\u2241": "nsim", "\u223C\u20D2": "nvsim", "\u223D": "bsim", "\u223D\u0331": "race", "\u223E": "ac", "\u223E\u0333": "acE", "\u223F": "acd", "\u2240": "wr", "\u2242": "esim", "\u2242\u0338": "nesim", "\u2243": "sime", "\u2244": "nsime", "\u2245": "cong", "\u2247": "ncong", "\u2246": "simne", "\u2248": "ap", "\u2249": "nap", "\u224A": "ape", "\u224B": "apid", "\u224B\u0338": "napid", "\u224C": "bcong", "\u224D": "CupCap", "\u226D": "NotCupCap", "\u224D\u20D2": "nvap", "\u224E": "bump", "\u224E\u0338": "nbump", "\u224F": "bumpe", "\u224F\u0338": "nbumpe", "\u2250": "doteq", "\u2250\u0338": "nedot", "\u2251": "eDot", "\u2252": "efDot", "\u2253": "erDot", "\u2254": "colone", "\u2255": "ecolon", "\u2256": "ecir", "\u2257": "cire", "\u2259": "wedgeq", "\u225A": "veeeq", "\u225C": "trie", "\u225F": "equest", "\u2261": "equiv", "\u2262": "nequiv", "\u2261\u20E5": "bnequiv", "\u2264": "le", "\u2270": "nle", "\u2264\u20D2": "nvle", "\u2265": "ge", "\u2271": "nge", "\u2265\u20D2": "nvge", "\u2266": "lE", "\u2266\u0338": "nlE", "\u2267": "gE", "\u2267\u0338": "ngE", "\u2268\uFE00": "lvnE", "\u2268": "lnE", "\u2269": "gnE", "\u2269\uFE00": "gvnE", "\u226A": "ll", "\u226A\u0338": "nLtv", "\u226A\u20D2": "nLt", "\u226B": "gg", "\u226B\u0338": "nGtv", "\u226B\u20D2": "nGt", "\u226C": "twixt", "\u2272": "lsim", "\u2274": "nlsim", "\u2273": "gsim", "\u2275": "ngsim", "\u2276": "lg", "\u2278": "ntlg", "\u2277": "gl", "\u2279": "ntgl", "\u227A": "pr", "\u2280": "npr", "\u227B": "sc", "\u2281": "nsc", "\u227C": "prcue", "\u22E0": "nprcue", "\u227D": "sccue", "\u22E1": "nsccue", "\u227E": "prsim", "\u227F": "scsim", "\u227F\u0338": "NotSucceedsTilde", "\u2282": "sub", "\u2284": "nsub", "\u2282\u20D2": "vnsub", "\u2283": "sup", "\u2285": "nsup", "\u2283\u20D2": "vnsup", "\u2286": "sube", "\u2288": "nsube", "\u2287": "supe", "\u2289": "nsupe", "\u228A\uFE00": "vsubne", "\u228A": "subne", "\u228B\uFE00": "vsupne", "\u228B": "supne", "\u228D": "cupdot", "\u228E": "uplus", "\u228F": "sqsub", "\u228F\u0338": "NotSquareSubset", "\u2290": "sqsup", "\u2290\u0338": "NotSquareSuperset", "\u2291": "sqsube", "\u22E2": "nsqsube", "\u2292": "sqsupe", "\u22E3": "nsqsupe", "\u2293": "sqcap", "\u2293\uFE00": "sqcaps", "\u2294": "sqcup", "\u2294\uFE00": "sqcups", "\u2295": "oplus", "\u2296": "ominus", "\u2297": "otimes", "\u2298": "osol", "\u2299": "odot", "\u229A": "ocir", "\u229B": "oast", "\u229D": "odash", "\u229E": "plusb", "\u229F": "minusb", "\u22A0": "timesb", "\u22A1": "sdotb", "\u22A2": "vdash", "\u22AC": "nvdash", "\u22A3": "dashv", "\u22A4": "top", "\u22A5": "bot", "\u22A7": "models", "\u22A8": "vDash", "\u22AD": "nvDash", "\u22A9": "Vdash", "\u22AE": "nVdash", "\u22AA": "Vvdash", "\u22AB": "VDash", "\u22AF": "nVDash", "\u22B0": "prurel", "\u22B2": "vltri", "\u22EA": "nltri", "\u22B3": "vrtri", "\u22EB": "nrtri", "\u22B4": "ltrie", "\u22EC": "nltrie", "\u22B4\u20D2": "nvltrie", "\u22B5": "rtrie", "\u22ED": "nrtrie", "\u22B5\u20D2": "nvrtrie", "\u22B6": "origof", "\u22B7": "imof", "\u22B8": "mumap", "\u22B9": "hercon", "\u22BA": "intcal", "\u22BB": "veebar", "\u22BD": "barvee", "\u22BE": "angrtvb", "\u22BF": "lrtri", "\u22C0": "Wedge", "\u22C1": "Vee", "\u22C2": "xcap", "\u22C3": "xcup", "\u22C4": "diam", "\u22C5": "sdot", "\u22C6": "Star", "\u22C7": "divonx", "\u22C8": "bowtie", "\u22C9": "ltimes", "\u22CA": "rtimes", "\u22CB": "lthree", "\u22CC": "rthree", "\u22CD": "bsime", "\u22CE": "cuvee", "\u22CF": "cuwed", "\u22D0": "Sub", "\u22D1": "Sup", "\u22D2": "Cap", "\u22D3": "Cup", "\u22D4": "fork", "\u22D5": "epar", "\u22D6": "ltdot", "\u22D7": "gtdot", "\u22D8": "Ll", "\u22D8\u0338": "nLl", "\u22D9": "Gg", "\u22D9\u0338": "nGg", "\u22DA\uFE00": "lesg", "\u22DA": "leg", "\u22DB": "gel", "\u22DB\uFE00": "gesl", "\u22DE": "cuepr", "\u22DF": "cuesc", "\u22E6": "lnsim", "\u22E7": "gnsim", "\u22E8": "prnsim", "\u22E9": "scnsim", "\u22EE": "vellip", "\u22EF": "ctdot", "\u22F0": "utdot", "\u22F1": "dtdot", "\u22F2": "disin", "\u22F3": "isinsv", "\u22F4": "isins", "\u22F5": "isindot", "\u22F5\u0338": "notindot", "\u22F6": "notinvc", "\u22F7": "notinvb", "\u22F9": "isinE", "\u22F9\u0338": "notinE", "\u22FA": "nisd", "\u22FB": "xnis", "\u22FC": "nis", "\u22FD": "notnivc", "\u22FE": "notnivb", "\u2305": "barwed", "\u2306": "Barwed", "\u230C": "drcrop", "\u230D": "dlcrop", "\u230E": "urcrop", "\u230F": "ulcrop", "\u2310": "bnot", "\u2312": "profline", "\u2313": "profsurf", "\u2315": "telrec", "\u2316": "target", "\u231C": "ulcorn", "\u231D": "urcorn", "\u231E": "dlcorn", "\u231F": "drcorn", "\u2322": "frown", "\u2323": "smile", "\u232D": "cylcty", "\u232E": "profalar", "\u2336": "topbot", "\u233D": "ovbar", "\u233F": "solbar", "\u237C": "angzarr", "\u23B0": "lmoust", "\u23B1": "rmoust", "\u23B4": "tbrk", "\u23B5": "bbrk", "\u23B6": "bbrktbrk", "\u23DC": "OverParenthesis", "\u23DD": "UnderParenthesis", "\u23DE": "OverBrace", "\u23DF": "UnderBrace", "\u23E2": "trpezium", "\u23E7": "elinters", "\u2423": "blank", "\u2500": "boxh", "\u2502": "boxv", "\u250C": "boxdr", "\u2510": "boxdl", "\u2514": "boxur", "\u2518": "boxul", "\u251C": "boxvr", "\u2524": "boxvl", "\u252C": "boxhd", "\u2534": "boxhu", "\u253C": "boxvh", "\u2550": "boxH", "\u2551": "boxV", "\u2552": "boxdR", "\u2553": "boxDr", "\u2554": "boxDR", "\u2555": "boxdL", "\u2556": "boxDl", "\u2557": "boxDL", "\u2558": "boxuR", "\u2559": "boxUr", "\u255A": "boxUR", "\u255B": "boxuL", "\u255C": "boxUl", "\u255D": "boxUL", "\u255E": "boxvR", "\u255F": "boxVr", "\u2560": "boxVR", "\u2561": "boxvL", "\u2562": "boxVl", "\u2563": "boxVL", "\u2564": "boxHd", "\u2565": "boxhD", "\u2566": "boxHD", "\u2567": "boxHu", "\u2568": "boxhU", "\u2569": "boxHU", "\u256A": "boxvH", "\u256B": "boxVh", "\u256C": "boxVH", "\u2580": "uhblk", "\u2584": "lhblk", "\u2588": "block", "\u2591": "blk14", "\u2592": "blk12", "\u2593": "blk34", "\u25A1": "squ", "\u25AA": "squf", "\u25AB": "EmptyVerySmallSquare", "\u25AD": "rect", "\u25AE": "marker", "\u25B1": "fltns", "\u25B3": "xutri", "\u25B4": "utrif", "\u25B5": "utri", "\u25B8": "rtrif", "\u25B9": "rtri", "\u25BD": "xdtri", "\u25BE": "dtrif", "\u25BF": "dtri", "\u25C2": "ltrif", "\u25C3": "ltri", "\u25CA": "loz", "\u25CB": "cir", "\u25EC": "tridot", "\u25EF": "xcirc", "\u25F8": "ultri", "\u25F9": "urtri", "\u25FA": "lltri", "\u25FB": "EmptySmallSquare", "\u25FC": "FilledSmallSquare", "\u2605": "starf", "\u2606": "star", "\u260E": "phone", "\u2640": "female", "\u2642": "male", "\u2660": "spades", "\u2663": "clubs", "\u2665": "hearts", "\u2666": "diams", "\u266A": "sung", "\u2713": "check", "\u2717": "cross", "\u2720": "malt", "\u2736": "sext", "\u2758": "VerticalSeparator", "\u27C8": "bsolhsub", "\u27C9": "suphsol", "\u27F5": "xlarr", "\u27F6": "xrarr", "\u27F7": "xharr", "\u27F8": "xlArr", "\u27F9": "xrArr", "\u27FA": "xhArr", "\u27FC": "xmap", "\u27FF": "dzigrarr", "\u2902": "nvlArr", "\u2903": "nvrArr", "\u2904": "nvHarr", "\u2905": "Map", "\u290C": "lbarr", "\u290D": "rbarr", "\u290E": "lBarr", "\u290F": "rBarr", "\u2910": "RBarr", "\u2911": "DDotrahd", "\u2912": "UpArrowBar", "\u2913": "DownArrowBar", "\u2916": "Rarrtl", "\u2919": "latail", "\u291A": "ratail", "\u291B": "lAtail", "\u291C": "rAtail", "\u291D": "larrfs", "\u291E": "rarrfs", "\u291F": "larrbfs", "\u2920": "rarrbfs", "\u2923": "nwarhk", "\u2924": "nearhk", "\u2925": "searhk", "\u2926": "swarhk", "\u2927": "nwnear", "\u2928": "toea", "\u2929": "tosa", "\u292A": "swnwar", "\u2933": "rarrc", "\u2933\u0338": "nrarrc", "\u2935": "cudarrr", "\u2936": "ldca", "\u2937": "rdca", "\u2938": "cudarrl", "\u2939": "larrpl", "\u293C": "curarrm", "\u293D": "cularrp", "\u2945": "rarrpl", "\u2948": "harrcir", "\u2949": "Uarrocir", "\u294A": "lurdshar", "\u294B": "ldrushar", "\u294E": "LeftRightVector", "\u294F": "RightUpDownVector", "\u2950": "DownLeftRightVector", "\u2951": "LeftUpDownVector", "\u2952": "LeftVectorBar", "\u2953": "RightVectorBar", "\u2954": "RightUpVectorBar", "\u2955": "RightDownVectorBar", "\u2956": "DownLeftVectorBar", "\u2957": "DownRightVectorBar", "\u2958": "LeftUpVectorBar", "\u2959": "LeftDownVectorBar", "\u295A": "LeftTeeVector", "\u295B": "RightTeeVector", "\u295C": "RightUpTeeVector", "\u295D": "RightDownTeeVector", "\u295E": "DownLeftTeeVector", "\u295F": "DownRightTeeVector", "\u2960": "LeftUpTeeVector", "\u2961": "LeftDownTeeVector", "\u2962": "lHar", "\u2963": "uHar", "\u2964": "rHar", "\u2965": "dHar", "\u2966": "luruhar", "\u2967": "ldrdhar", "\u2968": "ruluhar", "\u2969": "rdldhar", "\u296A": "lharul", "\u296B": "llhard", "\u296C": "rharul", "\u296D": "lrhard", "\u296E": "udhar", "\u296F": "duhar", "\u2970": "RoundImplies", "\u2971": "erarr", "\u2972": "simrarr", "\u2973": "larrsim", "\u2974": "rarrsim", "\u2975": "rarrap", "\u2976": "ltlarr", "\u2978": "gtrarr", "\u2979": "subrarr", "\u297B": "suplarr", "\u297C": "lfisht", "\u297D": "rfisht", "\u297E": "ufisht", "\u297F": "dfisht", "\u299A": "vzigzag", "\u299C": "vangrt", "\u299D": "angrtvbd", "\u29A4": "ange", "\u29A5": "range", "\u29A6": "dwangle", "\u29A7": "uwangle", "\u29A8": "angmsdaa", "\u29A9": "angmsdab", "\u29AA": "angmsdac", "\u29AB": "angmsdad", "\u29AC": "angmsdae", "\u29AD": "angmsdaf", "\u29AE": "angmsdag", "\u29AF": "angmsdah", "\u29B0": "bemptyv", "\u29B1": "demptyv", "\u29B2": "cemptyv", "\u29B3": "raemptyv", "\u29B4": "laemptyv", "\u29B5": "ohbar", "\u29B6": "omid", "\u29B7": "opar", "\u29B9": "operp", "\u29BB": "olcross", "\u29BC": "odsold", "\u29BE": "olcir", "\u29BF": "ofcir", "\u29C0": "olt", "\u29C1": "ogt", "\u29C2": "cirscir", "\u29C3": "cirE", "\u29C4": "solb", "\u29C5": "bsolb", "\u29C9": "boxbox", "\u29CD": "trisb", "\u29CE": "rtriltri", "\u29CF": "LeftTriangleBar", "\u29CF\u0338": "NotLeftTriangleBar", "\u29D0": "RightTriangleBar", "\u29D0\u0338": "NotRightTriangleBar", "\u29DC": "iinfin", "\u29DD": "infintie", "\u29DE": "nvinfin", "\u29E3": "eparsl", "\u29E4": "smeparsl", "\u29E5": "eqvparsl", "\u29EB": "lozf", "\u29F4": "RuleDelayed", "\u29F6": "dsol", "\u2A00": "xodot", "\u2A01": "xoplus", "\u2A02": "xotime", "\u2A04": "xuplus", "\u2A06": "xsqcup", "\u2A0D": "fpartint", "\u2A10": "cirfnint", "\u2A11": "awint", "\u2A12": "rppolint", "\u2A13": "scpolint", "\u2A14": "npolint", "\u2A15": "pointint", "\u2A16": "quatint", "\u2A17": "intlarhk", "\u2A22": "pluscir", "\u2A23": "plusacir", "\u2A24": "simplus", "\u2A25": "plusdu", "\u2A26": "plussim", "\u2A27": "plustwo", "\u2A29": "mcomma", "\u2A2A": "minusdu", "\u2A2D": "loplus", "\u2A2E": "roplus", "\u2A2F": "Cross", "\u2A30": "timesd", "\u2A31": "timesbar", "\u2A33": "smashp", "\u2A34": "lotimes", "\u2A35": "rotimes", "\u2A36": "otimesas", "\u2A37": "Otimes", "\u2A38": "odiv", "\u2A39": "triplus", "\u2A3A": "triminus", "\u2A3B": "tritime", "\u2A3C": "iprod", "\u2A3F": "amalg", "\u2A40": "capdot", "\u2A42": "ncup", "\u2A43": "ncap", "\u2A44": "capand", "\u2A45": "cupor", "\u2A46": "cupcap", "\u2A47": "capcup", "\u2A48": "cupbrcap", "\u2A49": "capbrcup", "\u2A4A": "cupcup", "\u2A4B": "capcap", "\u2A4C": "ccups", "\u2A4D": "ccaps", "\u2A50": "ccupssm", "\u2A53": "And", "\u2A54": "Or", "\u2A55": "andand", "\u2A56": "oror", "\u2A57": "orslope", "\u2A58": "andslope", "\u2A5A": "andv", "\u2A5B": "orv", "\u2A5C": "andd", "\u2A5D": "ord", "\u2A5F": "wedbar", "\u2A66": "sdote", "\u2A6A": "simdot", "\u2A6D": "congdot", "\u2A6D\u0338": "ncongdot", "\u2A6E": "easter", "\u2A6F": "apacir", "\u2A70": "apE", "\u2A70\u0338": "napE", "\u2A71": "eplus", "\u2A72": "pluse", "\u2A73": "Esim", "\u2A77": "eDDot", "\u2A78": "equivDD", "\u2A79": "ltcir", "\u2A7A": "gtcir", "\u2A7B": "ltquest", "\u2A7C": "gtquest", "\u2A7D": "les", "\u2A7D\u0338": "nles", "\u2A7E": "ges", "\u2A7E\u0338": "nges", "\u2A7F": "lesdot", "\u2A80": "gesdot", "\u2A81": "lesdoto", "\u2A82": "gesdoto", "\u2A83": "lesdotor", "\u2A84": "gesdotol", "\u2A85": "lap", "\u2A86": "gap", "\u2A87": "lne", "\u2A88": "gne", "\u2A89": "lnap", "\u2A8A": "gnap", "\u2A8B": "lEg", "\u2A8C": "gEl", "\u2A8D": "lsime", "\u2A8E": "gsime", "\u2A8F": "lsimg", "\u2A90": "gsiml", "\u2A91": "lgE", "\u2A92": "glE", "\u2A93": "lesges", "\u2A94": "gesles", "\u2A95": "els", "\u2A96": "egs", "\u2A97": "elsdot", "\u2A98": "egsdot", "\u2A99": "el", "\u2A9A": "eg", "\u2A9D": "siml", "\u2A9E": "simg", "\u2A9F": "simlE", "\u2AA0": "simgE", "\u2AA1": "LessLess", "\u2AA1\u0338": "NotNestedLessLess", "\u2AA2": "GreaterGreater", "\u2AA2\u0338": "NotNestedGreaterGreater", "\u2AA4": "glj", "\u2AA5": "gla", "\u2AA6": "ltcc", "\u2AA7": "gtcc", "\u2AA8": "lescc", "\u2AA9": "gescc", "\u2AAA": "smt", "\u2AAB": "lat", "\u2AAC": "smte", "\u2AAC\uFE00": "smtes", "\u2AAD": "late", "\u2AAD\uFE00": "lates", "\u2AAE": "bumpE", "\u2AAF": "pre", "\u2AAF\u0338": "npre", "\u2AB0": "sce", "\u2AB0\u0338": "nsce", "\u2AB3": "prE", "\u2AB4": "scE", "\u2AB5": "prnE", "\u2AB6": "scnE", "\u2AB7": "prap", "\u2AB8": "scap", "\u2AB9": "prnap", "\u2ABA": "scnap", "\u2ABB": "Pr", "\u2ABC": "Sc", "\u2ABD": "subdot", "\u2ABE": "supdot", "\u2ABF": "subplus", "\u2AC0": "supplus", "\u2AC1": "submult", "\u2AC2": "supmult", "\u2AC3": "subedot", "\u2AC4": "supedot", "\u2AC5": "subE", "\u2AC5\u0338": "nsubE", "\u2AC6": "supE", "\u2AC6\u0338": "nsupE", "\u2AC7": "subsim", "\u2AC8": "supsim", "\u2ACB\uFE00": "vsubnE", "\u2ACB": "subnE", "\u2ACC\uFE00": "vsupnE", "\u2ACC": "supnE", "\u2ACF": "csub", "\u2AD0": "csup", "\u2AD1": "csube", "\u2AD2": "csupe", "\u2AD3": "subsup", "\u2AD4": "supsub", "\u2AD5": "subsub", "\u2AD6": "supsup", "\u2AD7": "suphsub", "\u2AD8": "supdsub", "\u2AD9": "forkv", "\u2ADA": "topfork", "\u2ADB": "mlcp", "\u2AE4": "Dashv", "\u2AE6": "Vdashl", "\u2AE7": "Barv", "\u2AE8": "vBar", "\u2AE9": "vBarv", "\u2AEB": "Vbar", "\u2AEC": "Not", "\u2AED": "bNot", "\u2AEE": "rnmid", "\u2AEF": "cirmid", "\u2AF0": "midcir", "\u2AF1": "topcir", "\u2AF2": "nhpar", "\u2AF3": "parsim", "\u2AFD": "parsl", "\u2AFD\u20E5": "nparsl", "\u266D": "flat", "\u266E": "natur", "\u266F": "sharp", "\xA4": "curren", "\xA2": "cent", "$": "dollar", "\xA3": "pound", "\xA5": "yen", "\u20AC": "euro", "\xB9": "sup1", "\xBD": "half", "\u2153": "frac13", "\xBC": "frac14", "\u2155": "frac15", "\u2159": "frac16", "\u215B": "frac18", "\xB2": "sup2", "\u2154": "frac23", "\u2156": "frac25", "\xB3": "sup3", "\xBE": "frac34", "\u2157": "frac35", "\u215C": "frac38", "\u2158": "frac45", "\u215A": "frac56", "\u215D": "frac58", "\u215E": "frac78", "\u{1D4B6}": "ascr", "\u{1D552}": "aopf", "\u{1D51E}": "afr", "\u{1D538}": "Aopf", "\u{1D504}": "Afr", "\u{1D49C}": "Ascr", "\xAA": "ordf", "\xE1": "aacute", "\xC1": "Aacute", "\xE0": "agrave", "\xC0": "Agrave", "\u0103": "abreve", "\u0102": "Abreve", "\xE2": "acirc", "\xC2": "Acirc", "\xE5": "aring", "\xC5": "angst", "\xE4": "auml", "\xC4": "Auml", "\xE3": "atilde", "\xC3": "Atilde", "\u0105": "aogon", "\u0104": "Aogon", "\u0101": "amacr", "\u0100": "Amacr", "\xE6": "aelig", "\xC6": "AElig", "\u{1D4B7}": "bscr", "\u{1D553}": "bopf", "\u{1D51F}": "bfr", "\u{1D539}": "Bopf", "\u212C": "Bscr", "\u{1D505}": "Bfr", "\u{1D520}": "cfr", "\u{1D4B8}": "cscr", "\u{1D554}": "copf", "\u212D": "Cfr", "\u{1D49E}": "Cscr", "\u2102": "Copf", "\u0107": "cacute", "\u0106": "Cacute", "\u0109": "ccirc", "\u0108": "Ccirc", "\u010D": "ccaron", "\u010C": "Ccaron", "\u010B": "cdot", "\u010A": "Cdot", "\xE7": "ccedil", "\xC7": "Ccedil", "\u2105": "incare", "\u{1D521}": "dfr", "\u2146": "dd", "\u{1D555}": "dopf", "\u{1D4B9}": "dscr", "\u{1D49F}": "Dscr", "\u{1D507}": "Dfr", "\u2145": "DD", "\u{1D53B}": "Dopf", "\u010F": "dcaron", "\u010E": "Dcaron", "\u0111": "dstrok", "\u0110": "Dstrok", "\xF0": "eth", "\xD0": "ETH", "\u2147": "ee", "\u212F": "escr", "\u{1D522}": "efr", "\u{1D556}": "eopf", "\u2130": "Escr", "\u{1D508}": "Efr", "\u{1D53C}": "Eopf", "\xE9": "eacute", "\xC9": "Eacute", "\xE8": "egrave", "\xC8": "Egrave", "\xEA": "ecirc", "\xCA": "Ecirc", "\u011B": "ecaron", "\u011A": "Ecaron", "\xEB": "euml", "\xCB": "Euml", "\u0117": "edot", "\u0116": "Edot", "\u0119": "eogon", "\u0118": "Eogon", "\u0113": "emacr", "\u0112": "Emacr", "\u{1D523}": "ffr", "\u{1D557}": "fopf", "\u{1D4BB}": "fscr", "\u{1D509}": "Ffr", "\u{1D53D}": "Fopf", "\u2131": "Fscr", "\uFB00": "fflig", "\uFB03": "ffilig", "\uFB04": "ffllig", "\uFB01": "filig", "fj": "fjlig", "\uFB02": "fllig", "\u0192": "fnof", "\u210A": "gscr", "\u{1D558}": "gopf", "\u{1D524}": "gfr", "\u{1D4A2}": "Gscr", "\u{1D53E}": "Gopf", "\u{1D50A}": "Gfr", "\u01F5": "gacute", "\u011F": "gbreve", "\u011E": "Gbreve", "\u011D": "gcirc", "\u011C": "Gcirc", "\u0121": "gdot", "\u0120": "Gdot", "\u0122": "Gcedil", "\u{1D525}": "hfr", "\u210E": "planckh", "\u{1D4BD}": "hscr", "\u{1D559}": "hopf", "\u210B": "Hscr", "\u210C": "Hfr", "\u210D": "Hopf", "\u0125": "hcirc", "\u0124": "Hcirc", "\u210F": "hbar", "\u0127": "hstrok", "\u0126": "Hstrok", "\u{1D55A}": "iopf", "\u{1D526}": "ifr", "\u{1D4BE}": "iscr", "\u2148": "ii", "\u{1D540}": "Iopf", "\u2110": "Iscr", "\u2111": "Im", "\xED": "iacute", "\xCD": "Iacute", "\xEC": "igrave", "\xCC": "Igrave", "\xEE": "icirc", "\xCE": "Icirc", "\xEF": "iuml", "\xCF": "Iuml", "\u0129": "itilde", "\u0128": "Itilde", "\u0130": "Idot", "\u012F": "iogon", "\u012E": "Iogon", "\u012B": "imacr", "\u012A": "Imacr", "\u0133": "ijlig", "\u0132": "IJlig", "\u0131": "imath", "\u{1D4BF}": "jscr", "\u{1D55B}": "jopf", "\u{1D527}": "jfr", "\u{1D4A5}": "Jscr", "\u{1D50D}": "Jfr", "\u{1D541}": "Jopf", "\u0135": "jcirc", "\u0134": "Jcirc", "\u0237": "jmath", "\u{1D55C}": "kopf", "\u{1D4C0}": "kscr", "\u{1D528}": "kfr", "\u{1D4A6}": "Kscr", "\u{1D542}": "Kopf", "\u{1D50E}": "Kfr", "\u0137": "kcedil", "\u0136": "Kcedil", "\u{1D529}": "lfr", "\u{1D4C1}": "lscr", "\u2113": "ell", "\u{1D55D}": "lopf", "\u2112": "Lscr", "\u{1D50F}": "Lfr", "\u{1D543}": "Lopf", "\u013A": "lacute", "\u0139": "Lacute", "\u013E": "lcaron", "\u013D": "Lcaron", "\u013C": "lcedil", "\u013B": "Lcedil", "\u0142": "lstrok", "\u0141": "Lstrok", "\u0140": "lmidot", "\u013F": "Lmidot", "\u{1D52A}": "mfr", "\u{1D55E}": "mopf", "\u{1D4C2}": "mscr", "\u{1D510}": "Mfr", "\u{1D544}": "Mopf", "\u2133": "Mscr", "\u{1D52B}": "nfr", "\u{1D55F}": "nopf", "\u{1D4C3}": "nscr", "\u2115": "Nopf", "\u{1D4A9}": "Nscr", "\u{1D511}": "Nfr", "\u0144": "nacute", "\u0143": "Nacute", "\u0148": "ncaron", "\u0147": "Ncaron", "\xF1": "ntilde", "\xD1": "Ntilde", "\u0146": "ncedil", "\u0145": "Ncedil", "\u2116": "numero", "\u014B": "eng", "\u014A": "ENG", "\u{1D560}": "oopf", "\u{1D52C}": "ofr", "\u2134": "oscr", "\u{1D4AA}": "Oscr", "\u{1D512}": "Ofr", "\u{1D546}": "Oopf", "\xBA": "ordm", "\xF3": "oacute", "\xD3": "Oacute", "\xF2": "ograve", "\xD2": "Ograve", "\xF4": "ocirc", "\xD4": "Ocirc", "\xF6": "ouml", "\xD6": "Ouml", "\u0151": "odblac", "\u0150": "Odblac", "\xF5": "otilde", "\xD5": "Otilde", "\xF8": "oslash", "\xD8": "Oslash", "\u014D": "omacr", "\u014C": "Omacr", "\u0153": "oelig", "\u0152": "OElig", "\u{1D52D}": "pfr", "\u{1D4C5}": "pscr", "\u{1D561}": "popf", "\u2119": "Popf", "\u{1D513}": "Pfr", "\u{1D4AB}": "Pscr", "\u{1D562}": "qopf", "\u{1D52E}": "qfr", "\u{1D4C6}": "qscr", "\u{1D4AC}": "Qscr", "\u{1D514}": "Qfr", "\u211A": "Qopf", "\u0138": "kgreen", "\u{1D52F}": "rfr", "\u{1D563}": "ropf", "\u{1D4C7}": "rscr", "\u211B": "Rscr", "\u211C": "Re", "\u211D": "Ropf", "\u0155": "racute", "\u0154": "Racute", "\u0159": "rcaron", "\u0158": "Rcaron", "\u0157": "rcedil", "\u0156": "Rcedil", "\u{1D564}": "sopf", "\u{1D4C8}": "sscr", "\u{1D530}": "sfr", "\u{1D54A}": "Sopf", "\u{1D516}": "Sfr", "\u{1D4AE}": "Sscr", "\u24C8": "oS", "\u015B": "sacute", "\u015A": "Sacute", "\u015D": "scirc", "\u015C": "Scirc", "\u0161": "scaron", "\u0160": "Scaron", "\u015F": "scedil", "\u015E": "Scedil", "\xDF": "szlig", "\u{1D531}": "tfr", "\u{1D4C9}": "tscr", "\u{1D565}": "topf", "\u{1D4AF}": "Tscr", "\u{1D517}": "Tfr", "\u{1D54B}": "Topf", "\u0165": "tcaron", "\u0164": "Tcaron", "\u0163": "tcedil", "\u0162": "Tcedil", "\u2122": "trade", "\u0167": "tstrok", "\u0166": "Tstrok", "\u{1D4CA}": "uscr", "\u{1D566}": "uopf", "\u{1D532}": "ufr", "\u{1D54C}": "Uopf", "\u{1D518}": "Ufr", "\u{1D4B0}": "Uscr", "\xFA": "uacute", "\xDA": "Uacute", "\xF9": "ugrave", "\xD9": "Ugrave", "\u016D": "ubreve", "\u016C": "Ubreve", "\xFB": "ucirc", "\xDB": "Ucirc", "\u016F": "uring", "\u016E": "Uring", "\xFC": "uuml", "\xDC": "Uuml", "\u0171": "udblac", "\u0170": "Udblac", "\u0169": "utilde", "\u0168": "Utilde", "\u0173": "uogon", "\u0172": "Uogon", "\u016B": "umacr", "\u016A": "Umacr", "\u{1D533}": "vfr", "\u{1D567}": "vopf", "\u{1D4CB}": "vscr", "\u{1D519}": "Vfr", "\u{1D54D}": "Vopf", "\u{1D4B1}": "Vscr", "\u{1D568}": "wopf", "\u{1D4CC}": "wscr", "\u{1D534}": "wfr", "\u{1D4B2}": "Wscr", "\u{1D54E}": "Wopf", "\u{1D51A}": "Wfr", "\u0175": "wcirc", "\u0174": "Wcirc", "\u{1D535}": "xfr", "\u{1D4CD}": "xscr", "\u{1D569}": "xopf", "\u{1D54F}": "Xopf", "\u{1D51B}": "Xfr", "\u{1D4B3}": "Xscr", "\u{1D536}": "yfr", "\u{1D4CE}": "yscr", "\u{1D56A}": "yopf", "\u{1D4B4}": "Yscr", "\u{1D51C}": "Yfr", "\u{1D550}": "Yopf", "\xFD": "yacute", "\xDD": "Yacute", "\u0177": "ycirc", "\u0176": "Ycirc", "\xFF": "yuml", "\u0178": "Yuml", "\u{1D4CF}": "zscr", "\u{1D537}": "zfr", "\u{1D56B}": "zopf", "\u2128": "Zfr", "\u2124": "Zopf", "\u{1D4B5}": "Zscr", "\u017A": "zacute", "\u0179": "Zacute", "\u017E": "zcaron", "\u017D": "Zcaron", "\u017C": "zdot", "\u017B": "Zdot", "\u01B5": "imped", "\xFE": "thorn", "\xDE": "THORN", "\u0149": "napos", "\u03B1": "alpha", "\u0391": "Alpha", "\u03B2": "beta", "\u0392": "Beta", "\u03B3": "gamma", "\u0393": "Gamma", "\u03B4": "delta", "\u0394": "Delta", "\u03B5": "epsi", "\u03F5": "epsiv", "\u0395": "Epsilon", "\u03DD": "gammad", "\u03DC": "Gammad", "\u03B6": "zeta", "\u0396": "Zeta", "\u03B7": "eta", "\u0397": "Eta", "\u03B8": "theta", "\u03D1": "thetav", "\u0398": "Theta", "\u03B9": "iota", "\u0399": "Iota", "\u03BA": "kappa", "\u03F0": "kappav", "\u039A": "Kappa", "\u03BB": "lambda", "\u039B": "Lambda", "\u03BC": "mu", "\xB5": "micro", "\u039C": "Mu", "\u03BD": "nu", "\u039D": "Nu", "\u03BE": "xi", "\u039E": "Xi", "\u03BF": "omicron", "\u039F": "Omicron", "\u03C0": "pi", "\u03D6": "piv", "\u03A0": "Pi", "\u03C1": "rho", "\u03F1": "rhov", "\u03A1": "Rho", "\u03C3": "sigma", "\u03A3": "Sigma", "\u03C2": "sigmaf", "\u03C4": "tau", "\u03A4": "Tau", "\u03C5": "upsi", "\u03A5": "Upsilon", "\u03D2": "Upsi", "\u03C6": "phi", "\u03D5": "phiv", "\u03A6": "Phi", "\u03C7": "chi", "\u03A7": "Chi", "\u03C8": "psi", "\u03A8": "Psi", "\u03C9": "omega", "\u03A9": "ohm", "\u0430": "acy", "\u0410": "Acy", "\u0431": "bcy", "\u0411": "Bcy", "\u0432": "vcy", "\u0412": "Vcy", "\u0433": "gcy", "\u0413": "Gcy", "\u0453": "gjcy", "\u0403": "GJcy", "\u0434": "dcy", "\u0414": "Dcy", "\u0452": "djcy", "\u0402": "DJcy", "\u0435": "iecy", "\u0415": "IEcy", "\u0451": "iocy", "\u0401": "IOcy", "\u0454": "jukcy", "\u0404": "Jukcy", "\u0436": "zhcy", "\u0416": "ZHcy", "\u0437": "zcy", "\u0417": "Zcy", "\u0455": "dscy", "\u0405": "DScy", "\u0438": "icy", "\u0418": "Icy", "\u0456": "iukcy", "\u0406": "Iukcy", "\u0457": "yicy", "\u0407": "YIcy", "\u0439": "jcy", "\u0419": "Jcy", "\u0458": "jsercy", "\u0408": "Jsercy", "\u043A": "kcy", "\u041A": "Kcy", "\u045C": "kjcy", "\u040C": "KJcy", "\u043B": "lcy", "\u041B": "Lcy", "\u0459": "ljcy", "\u0409": "LJcy", "\u043C": "mcy", "\u041C": "Mcy", "\u043D": "ncy", "\u041D": "Ncy", "\u045A": "njcy", "\u040A": "NJcy", "\u043E": "ocy", "\u041E": "Ocy", "\u043F": "pcy", "\u041F": "Pcy", "\u0440": "rcy", "\u0420": "Rcy", "\u0441": "scy", "\u0421": "Scy", "\u0442": "tcy", "\u0422": "Tcy", "\u045B": "tshcy", "\u040B": "TSHcy", "\u0443": "ucy", "\u0423": "Ucy", "\u045E": "ubrcy", "\u040E": "Ubrcy", "\u0444": "fcy", "\u0424": "Fcy", "\u0445": "khcy", "\u0425": "KHcy", "\u0446": "tscy", "\u0426": "TScy", "\u0447": "chcy", "\u0427": "CHcy", "\u045F": "dzcy", "\u040F": "DZcy", "\u0448": "shcy", "\u0428": "SHcy", "\u0449": "shchcy", "\u0429": "SHCHcy", "\u044A": "hardcy", "\u042A": "HARDcy", "\u044B": "ycy", "\u042B": "Ycy", "\u044C": "softcy", "\u042C": "SOFTcy", "\u044D": "ecy", "\u042D": "Ecy", "\u044E": "yucy", "\u042E": "YUcy", "\u044F": "yacy", "\u042F": "YAcy", "\u2135": "aleph", "\u2136": "beth", "\u2137": "gimel", "\u2138": "daleth" };
      var regexEscape = /["&'<>`]/g;
      var escapeMap = {
        '"': "&quot;",
        "&": "&amp;",
        "'": "&#x27;",
        "<": "&lt;",
        // See https://mathiasbynens.be/notes/ambiguous-ampersands: in HTML, the
        // following is not strictly necessary unless it’s part of a tag or an
        // unquoted attribute value. We’re only escaping it to support those
        // situations, and for XML support.
        ">": "&gt;",
        // In Internet Explorer ≤ 8, the backtick character can be used
        // to break out of (un)quoted attribute values or HTML comments.
        // See http://html5sec.org/#102, http://html5sec.org/#108, and
        // http://html5sec.org/#133.
        "`": "&#x60;"
      };
      var regexInvalidEntity = /&#(?:[xX][^a-fA-F0-9]|[^0-9xX])/;
      var regexInvalidRawCodePoint = /[\0-\x08\x0B\x0E-\x1F\x7F-\x9F\uFDD0-\uFDEF\uFFFE\uFFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDFFE\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
      var regexDecode = /&(CounterClockwiseContourIntegral|DoubleLongLeftRightArrow|ClockwiseContourIntegral|NotNestedGreaterGreater|NotSquareSupersetEqual|DiacriticalDoubleAcute|NotRightTriangleEqual|NotSucceedsSlantEqual|NotPrecedesSlantEqual|CloseCurlyDoubleQuote|NegativeVeryThinSpace|DoubleContourIntegral|FilledVerySmallSquare|CapitalDifferentialD|OpenCurlyDoubleQuote|EmptyVerySmallSquare|NestedGreaterGreater|DoubleLongRightArrow|NotLeftTriangleEqual|NotGreaterSlantEqual|ReverseUpEquilibrium|DoubleLeftRightArrow|NotSquareSubsetEqual|NotDoubleVerticalBar|RightArrowLeftArrow|NotGreaterFullEqual|NotRightTriangleBar|SquareSupersetEqual|DownLeftRightVector|DoubleLongLeftArrow|leftrightsquigarrow|LeftArrowRightArrow|NegativeMediumSpace|blacktriangleright|RightDownVectorBar|PrecedesSlantEqual|RightDoubleBracket|SucceedsSlantEqual|NotLeftTriangleBar|RightTriangleEqual|SquareIntersection|RightDownTeeVector|ReverseEquilibrium|NegativeThickSpace|longleftrightarrow|Longleftrightarrow|LongLeftRightArrow|DownRightTeeVector|DownRightVectorBar|GreaterSlantEqual|SquareSubsetEqual|LeftDownVectorBar|LeftDoubleBracket|VerticalSeparator|rightleftharpoons|NotGreaterGreater|NotSquareSuperset|blacktriangleleft|blacktriangledown|NegativeThinSpace|LeftDownTeeVector|NotLessSlantEqual|leftrightharpoons|DoubleUpDownArrow|DoubleVerticalBar|LeftTriangleEqual|FilledSmallSquare|twoheadrightarrow|NotNestedLessLess|DownLeftTeeVector|DownLeftVectorBar|RightAngleBracket|NotTildeFullEqual|NotReverseElement|RightUpDownVector|DiacriticalTilde|NotSucceedsTilde|circlearrowright|NotPrecedesEqual|rightharpoondown|DoubleRightArrow|NotSucceedsEqual|NonBreakingSpace|NotRightTriangle|LessEqualGreater|RightUpTeeVector|LeftAngleBracket|GreaterFullEqual|DownArrowUpArrow|RightUpVectorBar|twoheadleftarrow|GreaterEqualLess|downharpoonright|RightTriangleBar|ntrianglerighteq|NotSupersetEqual|LeftUpDownVector|DiacriticalAcute|rightrightarrows|vartriangleright|UpArrowDownArrow|DiacriticalGrave|UnderParenthesis|EmptySmallSquare|LeftUpVectorBar|leftrightarrows|DownRightVector|downharpoonleft|trianglerighteq|ShortRightArrow|OverParenthesis|DoubleLeftArrow|DoubleDownArrow|NotSquareSubset|bigtriangledown|ntrianglelefteq|UpperRightArrow|curvearrowright|vartriangleleft|NotLeftTriangle|nleftrightarrow|LowerRightArrow|NotHumpDownHump|NotGreaterTilde|rightthreetimes|LeftUpTeeVector|NotGreaterEqual|straightepsilon|LeftTriangleBar|rightsquigarrow|ContourIntegral|rightleftarrows|CloseCurlyQuote|RightDownVector|LeftRightVector|nLeftrightarrow|leftharpoondown|circlearrowleft|SquareSuperset|OpenCurlyQuote|hookrightarrow|HorizontalLine|DiacriticalDot|NotLessGreater|ntriangleright|DoubleRightTee|InvisibleComma|InvisibleTimes|LowerLeftArrow|DownLeftVector|NotSubsetEqual|curvearrowleft|trianglelefteq|NotVerticalBar|TildeFullEqual|downdownarrows|NotGreaterLess|RightTeeVector|ZeroWidthSpace|looparrowright|LongRightArrow|doublebarwedge|ShortLeftArrow|ShortDownArrow|RightVectorBar|GreaterGreater|ReverseElement|rightharpoonup|LessSlantEqual|leftthreetimes|upharpoonright|rightarrowtail|LeftDownVector|Longrightarrow|NestedLessLess|UpperLeftArrow|nshortparallel|leftleftarrows|leftrightarrow|Leftrightarrow|LeftRightArrow|longrightarrow|upharpoonleft|RightArrowBar|ApplyFunction|LeftTeeVector|leftarrowtail|NotEqualTilde|varsubsetneqq|varsupsetneqq|RightTeeArrow|SucceedsEqual|SucceedsTilde|LeftVectorBar|SupersetEqual|hookleftarrow|DifferentialD|VerticalTilde|VeryThinSpace|blacktriangle|bigtriangleup|LessFullEqual|divideontimes|leftharpoonup|UpEquilibrium|ntriangleleft|RightTriangle|measuredangle|shortparallel|longleftarrow|Longleftarrow|LongLeftArrow|DoubleLeftTee|Poincareplane|PrecedesEqual|triangleright|DoubleUpArrow|RightUpVector|fallingdotseq|looparrowleft|PrecedesTilde|NotTildeEqual|NotTildeTilde|smallsetminus|Proportional|triangleleft|triangledown|UnderBracket|NotHumpEqual|exponentiale|ExponentialE|NotLessTilde|HilbertSpace|RightCeiling|blacklozenge|varsupsetneq|HumpDownHump|GreaterEqual|VerticalLine|LeftTeeArrow|NotLessEqual|DownTeeArrow|LeftTriangle|varsubsetneq|Intersection|NotCongruent|DownArrowBar|LeftUpVector|LeftArrowBar|risingdotseq|GreaterTilde|RoundImplies|SquareSubset|ShortUpArrow|NotSuperset|quaternions|precnapprox|backepsilon|preccurlyeq|OverBracket|blacksquare|MediumSpace|VerticalBar|circledcirc|circleddash|CircleMinus|CircleTimes|LessGreater|curlyeqprec|curlyeqsucc|diamondsuit|UpDownArrow|Updownarrow|RuleDelayed|Rrightarrow|updownarrow|RightVector|nRightarrow|nrightarrow|eqslantless|LeftCeiling|Equilibrium|SmallCircle|expectation|NotSucceeds|thickapprox|GreaterLess|SquareUnion|NotPrecedes|NotLessLess|straightphi|succnapprox|succcurlyeq|SubsetEqual|sqsupseteq|Proportion|Laplacetrf|ImaginaryI|supsetneqq|NotGreater|gtreqqless|NotElement|ThickSpace|TildeEqual|TildeTilde|Fouriertrf|rmoustache|EqualTilde|eqslantgtr|UnderBrace|LeftVector|UpArrowBar|nLeftarrow|nsubseteqq|subsetneqq|nsupseteqq|nleftarrow|succapprox|lessapprox|UpTeeArrow|upuparrows|curlywedge|lesseqqgtr|varepsilon|varnothing|RightFloor|complement|CirclePlus|sqsubseteq|Lleftarrow|circledast|RightArrow|Rightarrow|rightarrow|lmoustache|Bernoullis|precapprox|mapstoleft|mapstodown|longmapsto|dotsquare|downarrow|DoubleDot|nsubseteq|supsetneq|leftarrow|nsupseteq|subsetneq|ThinSpace|ngeqslant|subseteqq|HumpEqual|NotSubset|triangleq|NotCupCap|lesseqgtr|heartsuit|TripleDot|Leftarrow|Coproduct|Congruent|varpropto|complexes|gvertneqq|LeftArrow|LessTilde|supseteqq|MinusPlus|CircleDot|nleqslant|NotExists|gtreqless|nparallel|UnionPlus|LeftFloor|checkmark|CenterDot|centerdot|Mellintrf|gtrapprox|bigotimes|OverBrace|spadesuit|therefore|pitchfork|rationals|PlusMinus|Backslash|Therefore|DownBreve|backsimeq|backprime|DownArrow|nshortmid|Downarrow|lvertneqq|eqvparsl|imagline|imagpart|infintie|integers|Integral|intercal|LessLess|Uarrocir|intlarhk|sqsupset|angmsdaf|sqsubset|llcorner|vartheta|cupbrcap|lnapprox|Superset|SuchThat|succnsim|succneqq|angmsdag|biguplus|curlyvee|trpezium|Succeeds|NotTilde|bigwedge|angmsdah|angrtvbd|triminus|cwconint|fpartint|lrcorner|smeparsl|subseteq|urcorner|lurdshar|laemptyv|DDotrahd|approxeq|ldrushar|awconint|mapstoup|backcong|shortmid|triangle|geqslant|gesdotol|timesbar|circledR|circledS|setminus|multimap|naturals|scpolint|ncongdot|RightTee|boxminus|gnapprox|boxtimes|andslope|thicksim|angmsdaa|varsigma|cirfnint|rtriltri|angmsdab|rppolint|angmsdac|barwedge|drbkarow|clubsuit|thetasym|bsolhsub|capbrcup|dzigrarr|doteqdot|DotEqual|dotminus|UnderBar|NotEqual|realpart|otimesas|ulcorner|hksearow|hkswarow|parallel|PartialD|elinters|emptyset|plusacir|bbrktbrk|angmsdad|pointint|bigoplus|angmsdae|Precedes|bigsqcup|varkappa|notindot|supseteq|precneqq|precnsim|profalar|profline|profsurf|leqslant|lesdotor|raemptyv|subplus|notnivb|notnivc|subrarr|zigrarr|vzigzag|submult|subedot|Element|between|cirscir|larrbfs|larrsim|lotimes|lbrksld|lbrkslu|lozenge|ldrdhar|dbkarow|bigcirc|epsilon|simrarr|simplus|ltquest|Epsilon|luruhar|gtquest|maltese|npolint|eqcolon|npreceq|bigodot|ddagger|gtrless|bnequiv|harrcir|ddotseq|equivDD|backsim|demptyv|nsqsube|nsqsupe|Upsilon|nsubset|upsilon|minusdu|nsucceq|swarrow|nsupset|coloneq|searrow|boxplus|napprox|natural|asympeq|alefsym|congdot|nearrow|bigstar|diamond|supplus|tritime|LeftTee|nvinfin|triplus|NewLine|nvltrie|nvrtrie|nwarrow|nexists|Diamond|ruluhar|Implies|supmult|angzarr|suplarr|suphsub|questeq|because|digamma|Because|olcross|bemptyv|omicron|Omicron|rotimes|NoBreak|intprod|angrtvb|orderof|uwangle|suphsol|lesdoto|orslope|DownTee|realine|cudarrl|rdldhar|OverBar|supedot|lessdot|supdsub|topfork|succsim|rbrkslu|rbrksld|pertenk|cudarrr|isindot|planckh|lessgtr|pluscir|gesdoto|plussim|plustwo|lesssim|cularrp|rarrsim|Cayleys|notinva|notinvb|notinvc|UpArrow|Uparrow|uparrow|NotLess|dwangle|precsim|Product|curarrm|Cconint|dotplus|rarrbfs|ccupssm|Cedilla|cemptyv|notniva|quatint|frac35|frac38|frac45|frac56|frac58|frac78|tridot|xoplus|gacute|gammad|Gammad|lfisht|lfloor|bigcup|sqsupe|gbreve|Gbreve|lharul|sqsube|sqcups|Gcedil|apacir|llhard|lmidot|Lmidot|lmoust|andand|sqcaps|approx|Abreve|spades|circeq|tprime|divide|topcir|Assign|topbot|gesdot|divonx|xuplus|timesd|gesles|atilde|solbar|SOFTcy|loplus|timesb|lowast|lowbar|dlcorn|dlcrop|softcy|dollar|lparlt|thksim|lrhard|Atilde|lsaquo|smashp|bigvee|thinsp|wreath|bkarow|lsquor|lstrok|Lstrok|lthree|ltimes|ltlarr|DotDot|simdot|ltrPar|weierp|xsqcup|angmsd|sigmav|sigmaf|zeetrf|Zcaron|zcaron|mapsto|vsupne|thetav|cirmid|marker|mcomma|Zacute|vsubnE|there4|gtlPar|vsubne|bottom|gtrarr|SHCHcy|shchcy|midast|midcir|middot|minusb|minusd|gtrdot|bowtie|sfrown|mnplus|models|colone|seswar|Colone|mstpos|searhk|gtrsim|nacute|Nacute|boxbox|telrec|hairsp|Tcedil|nbumpe|scnsim|ncaron|Ncaron|ncedil|Ncedil|hamilt|Scedil|nearhk|hardcy|HARDcy|tcedil|Tcaron|commat|nequiv|nesear|tcaron|target|hearts|nexist|varrho|scedil|Scaron|scaron|hellip|Sacute|sacute|hercon|swnwar|compfn|rtimes|rthree|rsquor|rsaquo|zacute|wedgeq|homtht|barvee|barwed|Barwed|rpargt|horbar|conint|swarhk|roplus|nltrie|hslash|hstrok|Hstrok|rmoust|Conint|bprime|hybull|hyphen|iacute|Iacute|supsup|supsub|supsim|varphi|coprod|brvbar|agrave|Supset|supset|igrave|Igrave|notinE|Agrave|iiiint|iinfin|copysr|wedbar|Verbar|vangrt|becaus|incare|verbar|inodot|bullet|drcorn|intcal|drcrop|cularr|vellip|Utilde|bumpeq|cupcap|dstrok|Dstrok|CupCap|cupcup|cupdot|eacute|Eacute|supdot|iquest|easter|ecaron|Ecaron|ecolon|isinsv|utilde|itilde|Itilde|curarr|succeq|Bumpeq|cacute|ulcrop|nparsl|Cacute|nprcue|egrave|Egrave|nrarrc|nrarrw|subsup|subsub|nrtrie|jsercy|nsccue|Jsercy|kappav|kcedil|Kcedil|subsim|ulcorn|nsimeq|egsdot|veebar|kgreen|capand|elsdot|Subset|subset|curren|aacute|lacute|Lacute|emptyv|ntilde|Ntilde|lagran|lambda|Lambda|capcap|Ugrave|langle|subdot|emsp13|numero|emsp14|nvdash|nvDash|nVdash|nVDash|ugrave|ufisht|nvHarr|larrfs|nvlArr|larrhk|larrlp|larrpl|nvrArr|Udblac|nwarhk|larrtl|nwnear|oacute|Oacute|latail|lAtail|sstarf|lbrace|odblac|Odblac|lbrack|udblac|odsold|eparsl|lcaron|Lcaron|ograve|Ograve|lcedil|Lcedil|Aacute|ssmile|ssetmn|squarf|ldquor|capcup|ominus|cylcty|rharul|eqcirc|dagger|rfloor|rfisht|Dagger|daleth|equals|origof|capdot|equest|dcaron|Dcaron|rdquor|oslash|Oslash|otilde|Otilde|otimes|Otimes|urcrop|Ubreve|ubreve|Yacute|Uacute|uacute|Rcedil|rcedil|urcorn|parsim|Rcaron|Vdashl|rcaron|Tstrok|percnt|period|permil|Exists|yacute|rbrack|rbrace|phmmat|ccaron|Ccaron|planck|ccedil|plankv|tstrok|female|plusdo|plusdu|ffilig|plusmn|ffllig|Ccedil|rAtail|dfisht|bernou|ratail|Rarrtl|rarrtl|angsph|rarrpl|rarrlp|rarrhk|xwedge|xotime|forall|ForAll|Vvdash|vsupnE|preceq|bigcap|frac12|frac13|frac14|primes|rarrfs|prnsim|frac15|Square|frac16|square|lesdot|frac18|frac23|propto|prurel|rarrap|rangle|puncsp|frac25|Racute|qprime|racute|lesges|frac34|abreve|AElig|eqsim|utdot|setmn|urtri|Equal|Uring|seArr|uring|searr|dashv|Dashv|mumap|nabla|iogon|Iogon|sdote|sdotb|scsim|napid|napos|equiv|natur|Acirc|dblac|erarr|nbump|iprod|erDot|ucirc|awint|esdot|angrt|ncong|isinE|scnap|Scirc|scirc|ndash|isins|Ubrcy|nearr|neArr|isinv|nedot|ubrcy|acute|Ycirc|iukcy|Iukcy|xutri|nesim|caret|jcirc|Jcirc|caron|twixt|ddarr|sccue|exist|jmath|sbquo|ngeqq|angst|ccaps|lceil|ngsim|UpTee|delta|Delta|rtrif|nharr|nhArr|nhpar|rtrie|jukcy|Jukcy|kappa|rsquo|Kappa|nlarr|nlArr|TSHcy|rrarr|aogon|Aogon|fflig|xrarr|tshcy|ccirc|nleqq|filig|upsih|nless|dharl|nlsim|fjlig|ropar|nltri|dharr|robrk|roarr|fllig|fltns|roang|rnmid|subnE|subne|lAarr|trisb|Ccirc|acirc|ccups|blank|VDash|forkv|Vdash|langd|cedil|blk12|blk14|laquo|strns|diams|notin|vDash|larrb|blk34|block|disin|uplus|vdash|vBarv|aelig|starf|Wedge|check|xrArr|lates|lbarr|lBarr|notni|lbbrk|bcong|frasl|lbrke|frown|vrtri|vprop|vnsup|gamma|Gamma|wedge|xodot|bdquo|srarr|doteq|ldquo|boxdl|boxdL|gcirc|Gcirc|boxDl|boxDL|boxdr|boxdR|boxDr|TRADE|trade|rlhar|boxDR|vnsub|npart|vltri|rlarr|boxhd|boxhD|nprec|gescc|nrarr|nrArr|boxHd|boxHD|boxhu|boxhU|nrtri|boxHu|clubs|boxHU|times|colon|Colon|gimel|xlArr|Tilde|nsime|tilde|nsmid|nspar|THORN|thorn|xlarr|nsube|nsubE|thkap|xhArr|comma|nsucc|boxul|boxuL|nsupe|nsupE|gneqq|gnsim|boxUl|boxUL|grave|boxur|boxuR|boxUr|boxUR|lescc|angle|bepsi|boxvh|varpi|boxvH|numsp|Theta|gsime|gsiml|theta|boxVh|boxVH|boxvl|gtcir|gtdot|boxvL|boxVl|boxVL|crarr|cross|Cross|nvsim|boxvr|nwarr|nwArr|sqsup|dtdot|Uogon|lhard|lharu|dtrif|ocirc|Ocirc|lhblk|duarr|odash|sqsub|Hacek|sqcup|llarr|duhar|oelig|OElig|ofcir|boxvR|uogon|lltri|boxVr|csube|uuarr|ohbar|csupe|ctdot|olarr|olcir|harrw|oline|sqcap|omacr|Omacr|omega|Omega|boxVR|aleph|lneqq|lnsim|loang|loarr|rharu|lobrk|hcirc|operp|oplus|rhard|Hcirc|orarr|Union|order|ecirc|Ecirc|cuepr|szlig|cuesc|breve|reals|eDDot|Breve|hoarr|lopar|utrif|rdquo|Umacr|umacr|efDot|swArr|ultri|alpha|rceil|ovbar|swarr|Wcirc|wcirc|smtes|smile|bsemi|lrarr|aring|parsl|lrhar|bsime|uhblk|lrtri|cupor|Aring|uharr|uharl|slarr|rbrke|bsolb|lsime|rbbrk|RBarr|lsimg|phone|rBarr|rbarr|icirc|lsquo|Icirc|emacr|Emacr|ratio|simne|plusb|simlE|simgE|simeq|pluse|ltcir|ltdot|empty|xharr|xdtri|iexcl|Alpha|ltrie|rarrw|pound|ltrif|xcirc|bumpe|prcue|bumpE|asymp|amacr|cuvee|Sigma|sigma|iiint|udhar|iiota|ijlig|IJlig|supnE|imacr|Imacr|prime|Prime|image|prnap|eogon|Eogon|rarrc|mdash|mDDot|cuwed|imath|supne|imped|Amacr|udarr|prsim|micro|rarrb|cwint|raquo|infin|eplus|range|rangd|Ucirc|radic|minus|amalg|veeeq|rAarr|epsiv|ycirc|quest|sharp|quot|zwnj|Qscr|race|qscr|Qopf|qopf|qint|rang|Rang|Zscr|zscr|Zopf|zopf|rarr|rArr|Rarr|Pscr|pscr|prop|prod|prnE|prec|ZHcy|zhcy|prap|Zeta|zeta|Popf|popf|Zdot|plus|zdot|Yuml|yuml|phiv|YUcy|yucy|Yscr|yscr|perp|Yopf|yopf|part|para|YIcy|Ouml|rcub|yicy|YAcy|rdca|ouml|osol|Oscr|rdsh|yacy|real|oscr|xvee|andd|rect|andv|Xscr|oror|ordm|ordf|xscr|ange|aopf|Aopf|rHar|Xopf|opar|Oopf|xopf|xnis|rhov|oopf|omid|xmap|oint|apid|apos|ogon|ascr|Ascr|odot|odiv|xcup|xcap|ocir|oast|nvlt|nvle|nvgt|nvge|nvap|Wscr|wscr|auml|ntlg|ntgl|nsup|nsub|nsim|Nscr|nscr|nsce|Wopf|ring|npre|wopf|npar|Auml|Barv|bbrk|Nopf|nopf|nmid|nLtv|beta|ropf|Ropf|Beta|beth|nles|rpar|nleq|bnot|bNot|nldr|NJcy|rscr|Rscr|Vscr|vscr|rsqb|njcy|bopf|nisd|Bopf|rtri|Vopf|nGtv|ngtr|vopf|boxh|boxH|boxv|nges|ngeq|boxV|bscr|scap|Bscr|bsim|Vert|vert|bsol|bull|bump|caps|cdot|ncup|scnE|ncap|nbsp|napE|Cdot|cent|sdot|Vbar|nang|vBar|chcy|Mscr|mscr|sect|semi|CHcy|Mopf|mopf|sext|circ|cire|mldr|mlcp|cirE|comp|shcy|SHcy|vArr|varr|cong|copf|Copf|copy|COPY|malt|male|macr|lvnE|cscr|ltri|sime|ltcc|simg|Cscr|siml|csub|Uuml|lsqb|lsim|uuml|csup|Lscr|lscr|utri|smid|lpar|cups|smte|lozf|darr|Lopf|Uscr|solb|lopf|sopf|Sopf|lneq|uscr|spar|dArr|lnap|Darr|dash|Sqrt|LJcy|ljcy|lHar|dHar|Upsi|upsi|diam|lesg|djcy|DJcy|leqq|dopf|Dopf|dscr|Dscr|dscy|ldsh|ldca|squf|DScy|sscr|Sscr|dsol|lcub|late|star|Star|Uopf|Larr|lArr|larr|uopf|dtri|dzcy|sube|subE|Lang|lang|Kscr|kscr|Kopf|kopf|KJcy|kjcy|KHcy|khcy|DZcy|ecir|edot|eDot|Jscr|jscr|succ|Jopf|jopf|Edot|uHar|emsp|ensp|Iuml|iuml|eopf|isin|Iscr|iscr|Eopf|epar|sung|epsi|escr|sup1|sup2|sup3|Iota|iota|supe|supE|Iopf|iopf|IOcy|iocy|Escr|esim|Esim|imof|Uarr|QUOT|uArr|uarr|euml|IEcy|iecy|Idot|Euml|euro|excl|Hscr|hscr|Hopf|hopf|TScy|tscy|Tscr|hbar|tscr|flat|tbrk|fnof|hArr|harr|half|fopf|Fopf|tdot|gvnE|fork|trie|gtcc|fscr|Fscr|gdot|gsim|Gscr|gscr|Gopf|gopf|gneq|Gdot|tosa|gnap|Topf|topf|geqq|toea|GJcy|gjcy|tint|gesl|mid|Sfr|ggg|top|ges|gla|glE|glj|geq|gne|gEl|gel|gnE|Gcy|gcy|gap|Tfr|tfr|Tcy|tcy|Hat|Tau|Ffr|tau|Tab|hfr|Hfr|ffr|Fcy|fcy|icy|Icy|iff|ETH|eth|ifr|Ifr|Eta|eta|int|Int|Sup|sup|ucy|Ucy|Sum|sum|jcy|ENG|ufr|Ufr|eng|Jcy|jfr|els|ell|egs|Efr|efr|Jfr|uml|kcy|Kcy|Ecy|ecy|kfr|Kfr|lap|Sub|sub|lat|lcy|Lcy|leg|Dot|dot|lEg|leq|les|squ|div|die|lfr|Lfr|lgE|Dfr|dfr|Del|deg|Dcy|dcy|lne|lnE|sol|loz|smt|Cup|lrm|cup|lsh|Lsh|sim|shy|map|Map|mcy|Mcy|mfr|Mfr|mho|gfr|Gfr|sfr|cir|Chi|chi|nap|Cfr|vcy|Vcy|cfr|Scy|scy|ncy|Ncy|vee|Vee|Cap|cap|nfr|scE|sce|Nfr|nge|ngE|nGg|vfr|Vfr|ngt|bot|nGt|nis|niv|Rsh|rsh|nle|nlE|bne|Bfr|bfr|nLl|nlt|nLt|Bcy|bcy|not|Not|rlm|wfr|Wfr|npr|nsc|num|ocy|ast|Ocy|ofr|xfr|Xfr|Ofr|ogt|ohm|apE|olt|Rho|ape|rho|Rfr|rfr|ord|REG|ang|reg|orv|And|and|AMP|Rcy|amp|Afr|ycy|Ycy|yen|yfr|Yfr|rcy|par|pcy|Pcy|pfr|Pfr|phi|Phi|afr|Acy|acy|zcy|Zcy|piv|acE|acd|zfr|Zfr|pre|prE|psi|Psi|qfr|Qfr|zwj|Or|ge|Gg|gt|gg|el|oS|lt|Lt|LT|Re|lg|gl|eg|ne|Im|it|le|DD|wp|wr|nu|Nu|dd|lE|Sc|sc|pi|Pi|ee|af|ll|Ll|rx|gE|xi|pm|Xi|ic|pr|Pr|in|ni|mp|mu|ac|Mu|or|ap|Gt|GT|ii);|&(Aacute|Agrave|Atilde|Ccedil|Eacute|Egrave|Iacute|Igrave|Ntilde|Oacute|Ograve|Oslash|Otilde|Uacute|Ugrave|Yacute|aacute|agrave|atilde|brvbar|ccedil|curren|divide|eacute|egrave|frac12|frac14|frac34|iacute|igrave|iquest|middot|ntilde|oacute|ograve|oslash|otilde|plusmn|uacute|ugrave|yacute|AElig|Acirc|Aring|Ecirc|Icirc|Ocirc|THORN|Ucirc|acirc|acute|aelig|aring|cedil|ecirc|icirc|iexcl|laquo|micro|ocirc|pound|raquo|szlig|thorn|times|ucirc|Auml|COPY|Euml|Iuml|Ouml|QUOT|Uuml|auml|cent|copy|euml|iuml|macr|nbsp|ordf|ordm|ouml|para|quot|sect|sup1|sup2|sup3|uuml|yuml|AMP|ETH|REG|amp|deg|eth|not|reg|shy|uml|yen|GT|LT|gt|lt)(?!;)([=a-zA-Z0-9]?)|&#([0-9]+)(;?)|&#[xX]([a-fA-F0-9]+)(;?)|&([0-9a-zA-Z]+)/g;
      var decodeMap = { "aacute": "\xE1", "Aacute": "\xC1", "abreve": "\u0103", "Abreve": "\u0102", "ac": "\u223E", "acd": "\u223F", "acE": "\u223E\u0333", "acirc": "\xE2", "Acirc": "\xC2", "acute": "\xB4", "acy": "\u0430", "Acy": "\u0410", "aelig": "\xE6", "AElig": "\xC6", "af": "\u2061", "afr": "\u{1D51E}", "Afr": "\u{1D504}", "agrave": "\xE0", "Agrave": "\xC0", "alefsym": "\u2135", "aleph": "\u2135", "alpha": "\u03B1", "Alpha": "\u0391", "amacr": "\u0101", "Amacr": "\u0100", "amalg": "\u2A3F", "amp": "&", "AMP": "&", "and": "\u2227", "And": "\u2A53", "andand": "\u2A55", "andd": "\u2A5C", "andslope": "\u2A58", "andv": "\u2A5A", "ang": "\u2220", "ange": "\u29A4", "angle": "\u2220", "angmsd": "\u2221", "angmsdaa": "\u29A8", "angmsdab": "\u29A9", "angmsdac": "\u29AA", "angmsdad": "\u29AB", "angmsdae": "\u29AC", "angmsdaf": "\u29AD", "angmsdag": "\u29AE", "angmsdah": "\u29AF", "angrt": "\u221F", "angrtvb": "\u22BE", "angrtvbd": "\u299D", "angsph": "\u2222", "angst": "\xC5", "angzarr": "\u237C", "aogon": "\u0105", "Aogon": "\u0104", "aopf": "\u{1D552}", "Aopf": "\u{1D538}", "ap": "\u2248", "apacir": "\u2A6F", "ape": "\u224A", "apE": "\u2A70", "apid": "\u224B", "apos": "'", "ApplyFunction": "\u2061", "approx": "\u2248", "approxeq": "\u224A", "aring": "\xE5", "Aring": "\xC5", "ascr": "\u{1D4B6}", "Ascr": "\u{1D49C}", "Assign": "\u2254", "ast": "*", "asymp": "\u2248", "asympeq": "\u224D", "atilde": "\xE3", "Atilde": "\xC3", "auml": "\xE4", "Auml": "\xC4", "awconint": "\u2233", "awint": "\u2A11", "backcong": "\u224C", "backepsilon": "\u03F6", "backprime": "\u2035", "backsim": "\u223D", "backsimeq": "\u22CD", "Backslash": "\u2216", "Barv": "\u2AE7", "barvee": "\u22BD", "barwed": "\u2305", "Barwed": "\u2306", "barwedge": "\u2305", "bbrk": "\u23B5", "bbrktbrk": "\u23B6", "bcong": "\u224C", "bcy": "\u0431", "Bcy": "\u0411", "bdquo": "\u201E", "becaus": "\u2235", "because": "\u2235", "Because": "\u2235", "bemptyv": "\u29B0", "bepsi": "\u03F6", "bernou": "\u212C", "Bernoullis": "\u212C", "beta": "\u03B2", "Beta": "\u0392", "beth": "\u2136", "between": "\u226C", "bfr": "\u{1D51F}", "Bfr": "\u{1D505}", "bigcap": "\u22C2", "bigcirc": "\u25EF", "bigcup": "\u22C3", "bigodot": "\u2A00", "bigoplus": "\u2A01", "bigotimes": "\u2A02", "bigsqcup": "\u2A06", "bigstar": "\u2605", "bigtriangledown": "\u25BD", "bigtriangleup": "\u25B3", "biguplus": "\u2A04", "bigvee": "\u22C1", "bigwedge": "\u22C0", "bkarow": "\u290D", "blacklozenge": "\u29EB", "blacksquare": "\u25AA", "blacktriangle": "\u25B4", "blacktriangledown": "\u25BE", "blacktriangleleft": "\u25C2", "blacktriangleright": "\u25B8", "blank": "\u2423", "blk12": "\u2592", "blk14": "\u2591", "blk34": "\u2593", "block": "\u2588", "bne": "=\u20E5", "bnequiv": "\u2261\u20E5", "bnot": "\u2310", "bNot": "\u2AED", "bopf": "\u{1D553}", "Bopf": "\u{1D539}", "bot": "\u22A5", "bottom": "\u22A5", "bowtie": "\u22C8", "boxbox": "\u29C9", "boxdl": "\u2510", "boxdL": "\u2555", "boxDl": "\u2556", "boxDL": "\u2557", "boxdr": "\u250C", "boxdR": "\u2552", "boxDr": "\u2553", "boxDR": "\u2554", "boxh": "\u2500", "boxH": "\u2550", "boxhd": "\u252C", "boxhD": "\u2565", "boxHd": "\u2564", "boxHD": "\u2566", "boxhu": "\u2534", "boxhU": "\u2568", "boxHu": "\u2567", "boxHU": "\u2569", "boxminus": "\u229F", "boxplus": "\u229E", "boxtimes": "\u22A0", "boxul": "\u2518", "boxuL": "\u255B", "boxUl": "\u255C", "boxUL": "\u255D", "boxur": "\u2514", "boxuR": "\u2558", "boxUr": "\u2559", "boxUR": "\u255A", "boxv": "\u2502", "boxV": "\u2551", "boxvh": "\u253C", "boxvH": "\u256A", "boxVh": "\u256B", "boxVH": "\u256C", "boxvl": "\u2524", "boxvL": "\u2561", "boxVl": "\u2562", "boxVL": "\u2563", "boxvr": "\u251C", "boxvR": "\u255E", "boxVr": "\u255F", "boxVR": "\u2560", "bprime": "\u2035", "breve": "\u02D8", "Breve": "\u02D8", "brvbar": "\xA6", "bscr": "\u{1D4B7}", "Bscr": "\u212C", "bsemi": "\u204F", "bsim": "\u223D", "bsime": "\u22CD", "bsol": "\\", "bsolb": "\u29C5", "bsolhsub": "\u27C8", "bull": "\u2022", "bullet": "\u2022", "bump": "\u224E", "bumpe": "\u224F", "bumpE": "\u2AAE", "bumpeq": "\u224F", "Bumpeq": "\u224E", "cacute": "\u0107", "Cacute": "\u0106", "cap": "\u2229", "Cap": "\u22D2", "capand": "\u2A44", "capbrcup": "\u2A49", "capcap": "\u2A4B", "capcup": "\u2A47", "capdot": "\u2A40", "CapitalDifferentialD": "\u2145", "caps": "\u2229\uFE00", "caret": "\u2041", "caron": "\u02C7", "Cayleys": "\u212D", "ccaps": "\u2A4D", "ccaron": "\u010D", "Ccaron": "\u010C", "ccedil": "\xE7", "Ccedil": "\xC7", "ccirc": "\u0109", "Ccirc": "\u0108", "Cconint": "\u2230", "ccups": "\u2A4C", "ccupssm": "\u2A50", "cdot": "\u010B", "Cdot": "\u010A", "cedil": "\xB8", "Cedilla": "\xB8", "cemptyv": "\u29B2", "cent": "\xA2", "centerdot": "\xB7", "CenterDot": "\xB7", "cfr": "\u{1D520}", "Cfr": "\u212D", "chcy": "\u0447", "CHcy": "\u0427", "check": "\u2713", "checkmark": "\u2713", "chi": "\u03C7", "Chi": "\u03A7", "cir": "\u25CB", "circ": "\u02C6", "circeq": "\u2257", "circlearrowleft": "\u21BA", "circlearrowright": "\u21BB", "circledast": "\u229B", "circledcirc": "\u229A", "circleddash": "\u229D", "CircleDot": "\u2299", "circledR": "\xAE", "circledS": "\u24C8", "CircleMinus": "\u2296", "CirclePlus": "\u2295", "CircleTimes": "\u2297", "cire": "\u2257", "cirE": "\u29C3", "cirfnint": "\u2A10", "cirmid": "\u2AEF", "cirscir": "\u29C2", "ClockwiseContourIntegral": "\u2232", "CloseCurlyDoubleQuote": "\u201D", "CloseCurlyQuote": "\u2019", "clubs": "\u2663", "clubsuit": "\u2663", "colon": ":", "Colon": "\u2237", "colone": "\u2254", "Colone": "\u2A74", "coloneq": "\u2254", "comma": ",", "commat": "@", "comp": "\u2201", "compfn": "\u2218", "complement": "\u2201", "complexes": "\u2102", "cong": "\u2245", "congdot": "\u2A6D", "Congruent": "\u2261", "conint": "\u222E", "Conint": "\u222F", "ContourIntegral": "\u222E", "copf": "\u{1D554}", "Copf": "\u2102", "coprod": "\u2210", "Coproduct": "\u2210", "copy": "\xA9", "COPY": "\xA9", "copysr": "\u2117", "CounterClockwiseContourIntegral": "\u2233", "crarr": "\u21B5", "cross": "\u2717", "Cross": "\u2A2F", "cscr": "\u{1D4B8}", "Cscr": "\u{1D49E}", "csub": "\u2ACF", "csube": "\u2AD1", "csup": "\u2AD0", "csupe": "\u2AD2", "ctdot": "\u22EF", "cudarrl": "\u2938", "cudarrr": "\u2935", "cuepr": "\u22DE", "cuesc": "\u22DF", "cularr": "\u21B6", "cularrp": "\u293D", "cup": "\u222A", "Cup": "\u22D3", "cupbrcap": "\u2A48", "cupcap": "\u2A46", "CupCap": "\u224D", "cupcup": "\u2A4A", "cupdot": "\u228D", "cupor": "\u2A45", "cups": "\u222A\uFE00", "curarr": "\u21B7", "curarrm": "\u293C", "curlyeqprec": "\u22DE", "curlyeqsucc": "\u22DF", "curlyvee": "\u22CE", "curlywedge": "\u22CF", "curren": "\xA4", "curvearrowleft": "\u21B6", "curvearrowright": "\u21B7", "cuvee": "\u22CE", "cuwed": "\u22CF", "cwconint": "\u2232", "cwint": "\u2231", "cylcty": "\u232D", "dagger": "\u2020", "Dagger": "\u2021", "daleth": "\u2138", "darr": "\u2193", "dArr": "\u21D3", "Darr": "\u21A1", "dash": "\u2010", "dashv": "\u22A3", "Dashv": "\u2AE4", "dbkarow": "\u290F", "dblac": "\u02DD", "dcaron": "\u010F", "Dcaron": "\u010E", "dcy": "\u0434", "Dcy": "\u0414", "dd": "\u2146", "DD": "\u2145", "ddagger": "\u2021", "ddarr": "\u21CA", "DDotrahd": "\u2911", "ddotseq": "\u2A77", "deg": "\xB0", "Del": "\u2207", "delta": "\u03B4", "Delta": "\u0394", "demptyv": "\u29B1", "dfisht": "\u297F", "dfr": "\u{1D521}", "Dfr": "\u{1D507}", "dHar": "\u2965", "dharl": "\u21C3", "dharr": "\u21C2", "DiacriticalAcute": "\xB4", "DiacriticalDot": "\u02D9", "DiacriticalDoubleAcute": "\u02DD", "DiacriticalGrave": "`", "DiacriticalTilde": "\u02DC", "diam": "\u22C4", "diamond": "\u22C4", "Diamond": "\u22C4", "diamondsuit": "\u2666", "diams": "\u2666", "die": "\xA8", "DifferentialD": "\u2146", "digamma": "\u03DD", "disin": "\u22F2", "div": "\xF7", "divide": "\xF7", "divideontimes": "\u22C7", "divonx": "\u22C7", "djcy": "\u0452", "DJcy": "\u0402", "dlcorn": "\u231E", "dlcrop": "\u230D", "dollar": "$", "dopf": "\u{1D555}", "Dopf": "\u{1D53B}", "dot": "\u02D9", "Dot": "\xA8", "DotDot": "\u20DC", "doteq": "\u2250", "doteqdot": "\u2251", "DotEqual": "\u2250", "dotminus": "\u2238", "dotplus": "\u2214", "dotsquare": "\u22A1", "doublebarwedge": "\u2306", "DoubleContourIntegral": "\u222F", "DoubleDot": "\xA8", "DoubleDownArrow": "\u21D3", "DoubleLeftArrow": "\u21D0", "DoubleLeftRightArrow": "\u21D4", "DoubleLeftTee": "\u2AE4", "DoubleLongLeftArrow": "\u27F8", "DoubleLongLeftRightArrow": "\u27FA", "DoubleLongRightArrow": "\u27F9", "DoubleRightArrow": "\u21D2", "DoubleRightTee": "\u22A8", "DoubleUpArrow": "\u21D1", "DoubleUpDownArrow": "\u21D5", "DoubleVerticalBar": "\u2225", "downarrow": "\u2193", "Downarrow": "\u21D3", "DownArrow": "\u2193", "DownArrowBar": "\u2913", "DownArrowUpArrow": "\u21F5", "DownBreve": "\u0311", "downdownarrows": "\u21CA", "downharpoonleft": "\u21C3", "downharpoonright": "\u21C2", "DownLeftRightVector": "\u2950", "DownLeftTeeVector": "\u295E", "DownLeftVector": "\u21BD", "DownLeftVectorBar": "\u2956", "DownRightTeeVector": "\u295F", "DownRightVector": "\u21C1", "DownRightVectorBar": "\u2957", "DownTee": "\u22A4", "DownTeeArrow": "\u21A7", "drbkarow": "\u2910", "drcorn": "\u231F", "drcrop": "\u230C", "dscr": "\u{1D4B9}", "Dscr": "\u{1D49F}", "dscy": "\u0455", "DScy": "\u0405", "dsol": "\u29F6", "dstrok": "\u0111", "Dstrok": "\u0110", "dtdot": "\u22F1", "dtri": "\u25BF", "dtrif": "\u25BE", "duarr": "\u21F5", "duhar": "\u296F", "dwangle": "\u29A6", "dzcy": "\u045F", "DZcy": "\u040F", "dzigrarr": "\u27FF", "eacute": "\xE9", "Eacute": "\xC9", "easter": "\u2A6E", "ecaron": "\u011B", "Ecaron": "\u011A", "ecir": "\u2256", "ecirc": "\xEA", "Ecirc": "\xCA", "ecolon": "\u2255", "ecy": "\u044D", "Ecy": "\u042D", "eDDot": "\u2A77", "edot": "\u0117", "eDot": "\u2251", "Edot": "\u0116", "ee": "\u2147", "efDot": "\u2252", "efr": "\u{1D522}", "Efr": "\u{1D508}", "eg": "\u2A9A", "egrave": "\xE8", "Egrave": "\xC8", "egs": "\u2A96", "egsdot": "\u2A98", "el": "\u2A99", "Element": "\u2208", "elinters": "\u23E7", "ell": "\u2113", "els": "\u2A95", "elsdot": "\u2A97", "emacr": "\u0113", "Emacr": "\u0112", "empty": "\u2205", "emptyset": "\u2205", "EmptySmallSquare": "\u25FB", "emptyv": "\u2205", "EmptyVerySmallSquare": "\u25AB", "emsp": "\u2003", "emsp13": "\u2004", "emsp14": "\u2005", "eng": "\u014B", "ENG": "\u014A", "ensp": "\u2002", "eogon": "\u0119", "Eogon": "\u0118", "eopf": "\u{1D556}", "Eopf": "\u{1D53C}", "epar": "\u22D5", "eparsl": "\u29E3", "eplus": "\u2A71", "epsi": "\u03B5", "epsilon": "\u03B5", "Epsilon": "\u0395", "epsiv": "\u03F5", "eqcirc": "\u2256", "eqcolon": "\u2255", "eqsim": "\u2242", "eqslantgtr": "\u2A96", "eqslantless": "\u2A95", "Equal": "\u2A75", "equals": "=", "EqualTilde": "\u2242", "equest": "\u225F", "Equilibrium": "\u21CC", "equiv": "\u2261", "equivDD": "\u2A78", "eqvparsl": "\u29E5", "erarr": "\u2971", "erDot": "\u2253", "escr": "\u212F", "Escr": "\u2130", "esdot": "\u2250", "esim": "\u2242", "Esim": "\u2A73", "eta": "\u03B7", "Eta": "\u0397", "eth": "\xF0", "ETH": "\xD0", "euml": "\xEB", "Euml": "\xCB", "euro": "\u20AC", "excl": "!", "exist": "\u2203", "Exists": "\u2203", "expectation": "\u2130", "exponentiale": "\u2147", "ExponentialE": "\u2147", "fallingdotseq": "\u2252", "fcy": "\u0444", "Fcy": "\u0424", "female": "\u2640", "ffilig": "\uFB03", "fflig": "\uFB00", "ffllig": "\uFB04", "ffr": "\u{1D523}", "Ffr": "\u{1D509}", "filig": "\uFB01", "FilledSmallSquare": "\u25FC", "FilledVerySmallSquare": "\u25AA", "fjlig": "fj", "flat": "\u266D", "fllig": "\uFB02", "fltns": "\u25B1", "fnof": "\u0192", "fopf": "\u{1D557}", "Fopf": "\u{1D53D}", "forall": "\u2200", "ForAll": "\u2200", "fork": "\u22D4", "forkv": "\u2AD9", "Fouriertrf": "\u2131", "fpartint": "\u2A0D", "frac12": "\xBD", "frac13": "\u2153", "frac14": "\xBC", "frac15": "\u2155", "frac16": "\u2159", "frac18": "\u215B", "frac23": "\u2154", "frac25": "\u2156", "frac34": "\xBE", "frac35": "\u2157", "frac38": "\u215C", "frac45": "\u2158", "frac56": "\u215A", "frac58": "\u215D", "frac78": "\u215E", "frasl": "\u2044", "frown": "\u2322", "fscr": "\u{1D4BB}", "Fscr": "\u2131", "gacute": "\u01F5", "gamma": "\u03B3", "Gamma": "\u0393", "gammad": "\u03DD", "Gammad": "\u03DC", "gap": "\u2A86", "gbreve": "\u011F", "Gbreve": "\u011E", "Gcedil": "\u0122", "gcirc": "\u011D", "Gcirc": "\u011C", "gcy": "\u0433", "Gcy": "\u0413", "gdot": "\u0121", "Gdot": "\u0120", "ge": "\u2265", "gE": "\u2267", "gel": "\u22DB", "gEl": "\u2A8C", "geq": "\u2265", "geqq": "\u2267", "geqslant": "\u2A7E", "ges": "\u2A7E", "gescc": "\u2AA9", "gesdot": "\u2A80", "gesdoto": "\u2A82", "gesdotol": "\u2A84", "gesl": "\u22DB\uFE00", "gesles": "\u2A94", "gfr": "\u{1D524}", "Gfr": "\u{1D50A}", "gg": "\u226B", "Gg": "\u22D9", "ggg": "\u22D9", "gimel": "\u2137", "gjcy": "\u0453", "GJcy": "\u0403", "gl": "\u2277", "gla": "\u2AA5", "glE": "\u2A92", "glj": "\u2AA4", "gnap": "\u2A8A", "gnapprox": "\u2A8A", "gne": "\u2A88", "gnE": "\u2269", "gneq": "\u2A88", "gneqq": "\u2269", "gnsim": "\u22E7", "gopf": "\u{1D558}", "Gopf": "\u{1D53E}", "grave": "`", "GreaterEqual": "\u2265", "GreaterEqualLess": "\u22DB", "GreaterFullEqual": "\u2267", "GreaterGreater": "\u2AA2", "GreaterLess": "\u2277", "GreaterSlantEqual": "\u2A7E", "GreaterTilde": "\u2273", "gscr": "\u210A", "Gscr": "\u{1D4A2}", "gsim": "\u2273", "gsime": "\u2A8E", "gsiml": "\u2A90", "gt": ">", "Gt": "\u226B", "GT": ">", "gtcc": "\u2AA7", "gtcir": "\u2A7A", "gtdot": "\u22D7", "gtlPar": "\u2995", "gtquest": "\u2A7C", "gtrapprox": "\u2A86", "gtrarr": "\u2978", "gtrdot": "\u22D7", "gtreqless": "\u22DB", "gtreqqless": "\u2A8C", "gtrless": "\u2277", "gtrsim": "\u2273", "gvertneqq": "\u2269\uFE00", "gvnE": "\u2269\uFE00", "Hacek": "\u02C7", "hairsp": "\u200A", "half": "\xBD", "hamilt": "\u210B", "hardcy": "\u044A", "HARDcy": "\u042A", "harr": "\u2194", "hArr": "\u21D4", "harrcir": "\u2948", "harrw": "\u21AD", "Hat": "^", "hbar": "\u210F", "hcirc": "\u0125", "Hcirc": "\u0124", "hearts": "\u2665", "heartsuit": "\u2665", "hellip": "\u2026", "hercon": "\u22B9", "hfr": "\u{1D525}", "Hfr": "\u210C", "HilbertSpace": "\u210B", "hksearow": "\u2925", "hkswarow": "\u2926", "hoarr": "\u21FF", "homtht": "\u223B", "hookleftarrow": "\u21A9", "hookrightarrow": "\u21AA", "hopf": "\u{1D559}", "Hopf": "\u210D", "horbar": "\u2015", "HorizontalLine": "\u2500", "hscr": "\u{1D4BD}", "Hscr": "\u210B", "hslash": "\u210F", "hstrok": "\u0127", "Hstrok": "\u0126", "HumpDownHump": "\u224E", "HumpEqual": "\u224F", "hybull": "\u2043", "hyphen": "\u2010", "iacute": "\xED", "Iacute": "\xCD", "ic": "\u2063", "icirc": "\xEE", "Icirc": "\xCE", "icy": "\u0438", "Icy": "\u0418", "Idot": "\u0130", "iecy": "\u0435", "IEcy": "\u0415", "iexcl": "\xA1", "iff": "\u21D4", "ifr": "\u{1D526}", "Ifr": "\u2111", "igrave": "\xEC", "Igrave": "\xCC", "ii": "\u2148", "iiiint": "\u2A0C", "iiint": "\u222D", "iinfin": "\u29DC", "iiota": "\u2129", "ijlig": "\u0133", "IJlig": "\u0132", "Im": "\u2111", "imacr": "\u012B", "Imacr": "\u012A", "image": "\u2111", "ImaginaryI": "\u2148", "imagline": "\u2110", "imagpart": "\u2111", "imath": "\u0131", "imof": "\u22B7", "imped": "\u01B5", "Implies": "\u21D2", "in": "\u2208", "incare": "\u2105", "infin": "\u221E", "infintie": "\u29DD", "inodot": "\u0131", "int": "\u222B", "Int": "\u222C", "intcal": "\u22BA", "integers": "\u2124", "Integral": "\u222B", "intercal": "\u22BA", "Intersection": "\u22C2", "intlarhk": "\u2A17", "intprod": "\u2A3C", "InvisibleComma": "\u2063", "InvisibleTimes": "\u2062", "iocy": "\u0451", "IOcy": "\u0401", "iogon": "\u012F", "Iogon": "\u012E", "iopf": "\u{1D55A}", "Iopf": "\u{1D540}", "iota": "\u03B9", "Iota": "\u0399", "iprod": "\u2A3C", "iquest": "\xBF", "iscr": "\u{1D4BE}", "Iscr": "\u2110", "isin": "\u2208", "isindot": "\u22F5", "isinE": "\u22F9", "isins": "\u22F4", "isinsv": "\u22F3", "isinv": "\u2208", "it": "\u2062", "itilde": "\u0129", "Itilde": "\u0128", "iukcy": "\u0456", "Iukcy": "\u0406", "iuml": "\xEF", "Iuml": "\xCF", "jcirc": "\u0135", "Jcirc": "\u0134", "jcy": "\u0439", "Jcy": "\u0419", "jfr": "\u{1D527}", "Jfr": "\u{1D50D}", "jmath": "\u0237", "jopf": "\u{1D55B}", "Jopf": "\u{1D541}", "jscr": "\u{1D4BF}", "Jscr": "\u{1D4A5}", "jsercy": "\u0458", "Jsercy": "\u0408", "jukcy": "\u0454", "Jukcy": "\u0404", "kappa": "\u03BA", "Kappa": "\u039A", "kappav": "\u03F0", "kcedil": "\u0137", "Kcedil": "\u0136", "kcy": "\u043A", "Kcy": "\u041A", "kfr": "\u{1D528}", "Kfr": "\u{1D50E}", "kgreen": "\u0138", "khcy": "\u0445", "KHcy": "\u0425", "kjcy": "\u045C", "KJcy": "\u040C", "kopf": "\u{1D55C}", "Kopf": "\u{1D542}", "kscr": "\u{1D4C0}", "Kscr": "\u{1D4A6}", "lAarr": "\u21DA", "lacute": "\u013A", "Lacute": "\u0139", "laemptyv": "\u29B4", "lagran": "\u2112", "lambda": "\u03BB", "Lambda": "\u039B", "lang": "\u27E8", "Lang": "\u27EA", "langd": "\u2991", "langle": "\u27E8", "lap": "\u2A85", "Laplacetrf": "\u2112", "laquo": "\xAB", "larr": "\u2190", "lArr": "\u21D0", "Larr": "\u219E", "larrb": "\u21E4", "larrbfs": "\u291F", "larrfs": "\u291D", "larrhk": "\u21A9", "larrlp": "\u21AB", "larrpl": "\u2939", "larrsim": "\u2973", "larrtl": "\u21A2", "lat": "\u2AAB", "latail": "\u2919", "lAtail": "\u291B", "late": "\u2AAD", "lates": "\u2AAD\uFE00", "lbarr": "\u290C", "lBarr": "\u290E", "lbbrk": "\u2772", "lbrace": "{", "lbrack": "[", "lbrke": "\u298B", "lbrksld": "\u298F", "lbrkslu": "\u298D", "lcaron": "\u013E", "Lcaron": "\u013D", "lcedil": "\u013C", "Lcedil": "\u013B", "lceil": "\u2308", "lcub": "{", "lcy": "\u043B", "Lcy": "\u041B", "ldca": "\u2936", "ldquo": "\u201C", "ldquor": "\u201E", "ldrdhar": "\u2967", "ldrushar": "\u294B", "ldsh": "\u21B2", "le": "\u2264", "lE": "\u2266", "LeftAngleBracket": "\u27E8", "leftarrow": "\u2190", "Leftarrow": "\u21D0", "LeftArrow": "\u2190", "LeftArrowBar": "\u21E4", "LeftArrowRightArrow": "\u21C6", "leftarrowtail": "\u21A2", "LeftCeiling": "\u2308", "LeftDoubleBracket": "\u27E6", "LeftDownTeeVector": "\u2961", "LeftDownVector": "\u21C3", "LeftDownVectorBar": "\u2959", "LeftFloor": "\u230A", "leftharpoondown": "\u21BD", "leftharpoonup": "\u21BC", "leftleftarrows": "\u21C7", "leftrightarrow": "\u2194", "Leftrightarrow": "\u21D4", "LeftRightArrow": "\u2194", "leftrightarrows": "\u21C6", "leftrightharpoons": "\u21CB", "leftrightsquigarrow": "\u21AD", "LeftRightVector": "\u294E", "LeftTee": "\u22A3", "LeftTeeArrow": "\u21A4", "LeftTeeVector": "\u295A", "leftthreetimes": "\u22CB", "LeftTriangle": "\u22B2", "LeftTriangleBar": "\u29CF", "LeftTriangleEqual": "\u22B4", "LeftUpDownVector": "\u2951", "LeftUpTeeVector": "\u2960", "LeftUpVector": "\u21BF", "LeftUpVectorBar": "\u2958", "LeftVector": "\u21BC", "LeftVectorBar": "\u2952", "leg": "\u22DA", "lEg": "\u2A8B", "leq": "\u2264", "leqq": "\u2266", "leqslant": "\u2A7D", "les": "\u2A7D", "lescc": "\u2AA8", "lesdot": "\u2A7F", "lesdoto": "\u2A81", "lesdotor": "\u2A83", "lesg": "\u22DA\uFE00", "lesges": "\u2A93", "lessapprox": "\u2A85", "lessdot": "\u22D6", "lesseqgtr": "\u22DA", "lesseqqgtr": "\u2A8B", "LessEqualGreater": "\u22DA", "LessFullEqual": "\u2266", "LessGreater": "\u2276", "lessgtr": "\u2276", "LessLess": "\u2AA1", "lesssim": "\u2272", "LessSlantEqual": "\u2A7D", "LessTilde": "\u2272", "lfisht": "\u297C", "lfloor": "\u230A", "lfr": "\u{1D529}", "Lfr": "\u{1D50F}", "lg": "\u2276", "lgE": "\u2A91", "lHar": "\u2962", "lhard": "\u21BD", "lharu": "\u21BC", "lharul": "\u296A", "lhblk": "\u2584", "ljcy": "\u0459", "LJcy": "\u0409", "ll": "\u226A", "Ll": "\u22D8", "llarr": "\u21C7", "llcorner": "\u231E", "Lleftarrow": "\u21DA", "llhard": "\u296B", "lltri": "\u25FA", "lmidot": "\u0140", "Lmidot": "\u013F", "lmoust": "\u23B0", "lmoustache": "\u23B0", "lnap": "\u2A89", "lnapprox": "\u2A89", "lne": "\u2A87", "lnE": "\u2268", "lneq": "\u2A87", "lneqq": "\u2268", "lnsim": "\u22E6", "loang": "\u27EC", "loarr": "\u21FD", "lobrk": "\u27E6", "longleftarrow": "\u27F5", "Longleftarrow": "\u27F8", "LongLeftArrow": "\u27F5", "longleftrightarrow": "\u27F7", "Longleftrightarrow": "\u27FA", "LongLeftRightArrow": "\u27F7", "longmapsto": "\u27FC", "longrightarrow": "\u27F6", "Longrightarrow": "\u27F9", "LongRightArrow": "\u27F6", "looparrowleft": "\u21AB", "looparrowright": "\u21AC", "lopar": "\u2985", "lopf": "\u{1D55D}", "Lopf": "\u{1D543}", "loplus": "\u2A2D", "lotimes": "\u2A34", "lowast": "\u2217", "lowbar": "_", "LowerLeftArrow": "\u2199", "LowerRightArrow": "\u2198", "loz": "\u25CA", "lozenge": "\u25CA", "lozf": "\u29EB", "lpar": "(", "lparlt": "\u2993", "lrarr": "\u21C6", "lrcorner": "\u231F", "lrhar": "\u21CB", "lrhard": "\u296D", "lrm": "\u200E", "lrtri": "\u22BF", "lsaquo": "\u2039", "lscr": "\u{1D4C1}", "Lscr": "\u2112", "lsh": "\u21B0", "Lsh": "\u21B0", "lsim": "\u2272", "lsime": "\u2A8D", "lsimg": "\u2A8F", "lsqb": "[", "lsquo": "\u2018", "lsquor": "\u201A", "lstrok": "\u0142", "Lstrok": "\u0141", "lt": "<", "Lt": "\u226A", "LT": "<", "ltcc": "\u2AA6", "ltcir": "\u2A79", "ltdot": "\u22D6", "lthree": "\u22CB", "ltimes": "\u22C9", "ltlarr": "\u2976", "ltquest": "\u2A7B", "ltri": "\u25C3", "ltrie": "\u22B4", "ltrif": "\u25C2", "ltrPar": "\u2996", "lurdshar": "\u294A", "luruhar": "\u2966", "lvertneqq": "\u2268\uFE00", "lvnE": "\u2268\uFE00", "macr": "\xAF", "male": "\u2642", "malt": "\u2720", "maltese": "\u2720", "map": "\u21A6", "Map": "\u2905", "mapsto": "\u21A6", "mapstodown": "\u21A7", "mapstoleft": "\u21A4", "mapstoup": "\u21A5", "marker": "\u25AE", "mcomma": "\u2A29", "mcy": "\u043C", "Mcy": "\u041C", "mdash": "\u2014", "mDDot": "\u223A", "measuredangle": "\u2221", "MediumSpace": "\u205F", "Mellintrf": "\u2133", "mfr": "\u{1D52A}", "Mfr": "\u{1D510}", "mho": "\u2127", "micro": "\xB5", "mid": "\u2223", "midast": "*", "midcir": "\u2AF0", "middot": "\xB7", "minus": "\u2212", "minusb": "\u229F", "minusd": "\u2238", "minusdu": "\u2A2A", "MinusPlus": "\u2213", "mlcp": "\u2ADB", "mldr": "\u2026", "mnplus": "\u2213", "models": "\u22A7", "mopf": "\u{1D55E}", "Mopf": "\u{1D544}", "mp": "\u2213", "mscr": "\u{1D4C2}", "Mscr": "\u2133", "mstpos": "\u223E", "mu": "\u03BC", "Mu": "\u039C", "multimap": "\u22B8", "mumap": "\u22B8", "nabla": "\u2207", "nacute": "\u0144", "Nacute": "\u0143", "nang": "\u2220\u20D2", "nap": "\u2249", "napE": "\u2A70\u0338", "napid": "\u224B\u0338", "napos": "\u0149", "napprox": "\u2249", "natur": "\u266E", "natural": "\u266E", "naturals": "\u2115", "nbsp": "\xA0", "nbump": "\u224E\u0338", "nbumpe": "\u224F\u0338", "ncap": "\u2A43", "ncaron": "\u0148", "Ncaron": "\u0147", "ncedil": "\u0146", "Ncedil": "\u0145", "ncong": "\u2247", "ncongdot": "\u2A6D\u0338", "ncup": "\u2A42", "ncy": "\u043D", "Ncy": "\u041D", "ndash": "\u2013", "ne": "\u2260", "nearhk": "\u2924", "nearr": "\u2197", "neArr": "\u21D7", "nearrow": "\u2197", "nedot": "\u2250\u0338", "NegativeMediumSpace": "\u200B", "NegativeThickSpace": "\u200B", "NegativeThinSpace": "\u200B", "NegativeVeryThinSpace": "\u200B", "nequiv": "\u2262", "nesear": "\u2928", "nesim": "\u2242\u0338", "NestedGreaterGreater": "\u226B", "NestedLessLess": "\u226A", "NewLine": "\n", "nexist": "\u2204", "nexists": "\u2204", "nfr": "\u{1D52B}", "Nfr": "\u{1D511}", "nge": "\u2271", "ngE": "\u2267\u0338", "ngeq": "\u2271", "ngeqq": "\u2267\u0338", "ngeqslant": "\u2A7E\u0338", "nges": "\u2A7E\u0338", "nGg": "\u22D9\u0338", "ngsim": "\u2275", "ngt": "\u226F", "nGt": "\u226B\u20D2", "ngtr": "\u226F", "nGtv": "\u226B\u0338", "nharr": "\u21AE", "nhArr": "\u21CE", "nhpar": "\u2AF2", "ni": "\u220B", "nis": "\u22FC", "nisd": "\u22FA", "niv": "\u220B", "njcy": "\u045A", "NJcy": "\u040A", "nlarr": "\u219A", "nlArr": "\u21CD", "nldr": "\u2025", "nle": "\u2270", "nlE": "\u2266\u0338", "nleftarrow": "\u219A", "nLeftarrow": "\u21CD", "nleftrightarrow": "\u21AE", "nLeftrightarrow": "\u21CE", "nleq": "\u2270", "nleqq": "\u2266\u0338", "nleqslant": "\u2A7D\u0338", "nles": "\u2A7D\u0338", "nless": "\u226E", "nLl": "\u22D8\u0338", "nlsim": "\u2274", "nlt": "\u226E", "nLt": "\u226A\u20D2", "nltri": "\u22EA", "nltrie": "\u22EC", "nLtv": "\u226A\u0338", "nmid": "\u2224", "NoBreak": "\u2060", "NonBreakingSpace": "\xA0", "nopf": "\u{1D55F}", "Nopf": "\u2115", "not": "\xAC", "Not": "\u2AEC", "NotCongruent": "\u2262", "NotCupCap": "\u226D", "NotDoubleVerticalBar": "\u2226", "NotElement": "\u2209", "NotEqual": "\u2260", "NotEqualTilde": "\u2242\u0338", "NotExists": "\u2204", "NotGreater": "\u226F", "NotGreaterEqual": "\u2271", "NotGreaterFullEqual": "\u2267\u0338", "NotGreaterGreater": "\u226B\u0338", "NotGreaterLess": "\u2279", "NotGreaterSlantEqual": "\u2A7E\u0338", "NotGreaterTilde": "\u2275", "NotHumpDownHump": "\u224E\u0338", "NotHumpEqual": "\u224F\u0338", "notin": "\u2209", "notindot": "\u22F5\u0338", "notinE": "\u22F9\u0338", "notinva": "\u2209", "notinvb": "\u22F7", "notinvc": "\u22F6", "NotLeftTriangle": "\u22EA", "NotLeftTriangleBar": "\u29CF\u0338", "NotLeftTriangleEqual": "\u22EC", "NotLess": "\u226E", "NotLessEqual": "\u2270", "NotLessGreater": "\u2278", "NotLessLess": "\u226A\u0338", "NotLessSlantEqual": "\u2A7D\u0338", "NotLessTilde": "\u2274", "NotNestedGreaterGreater": "\u2AA2\u0338", "NotNestedLessLess": "\u2AA1\u0338", "notni": "\u220C", "notniva": "\u220C", "notnivb": "\u22FE", "notnivc": "\u22FD", "NotPrecedes": "\u2280", "NotPrecedesEqual": "\u2AAF\u0338", "NotPrecedesSlantEqual": "\u22E0", "NotReverseElement": "\u220C", "NotRightTriangle": "\u22EB", "NotRightTriangleBar": "\u29D0\u0338", "NotRightTriangleEqual": "\u22ED", "NotSquareSubset": "\u228F\u0338", "NotSquareSubsetEqual": "\u22E2", "NotSquareSuperset": "\u2290\u0338", "NotSquareSupersetEqual": "\u22E3", "NotSubset": "\u2282\u20D2", "NotSubsetEqual": "\u2288", "NotSucceeds": "\u2281", "NotSucceedsEqual": "\u2AB0\u0338", "NotSucceedsSlantEqual": "\u22E1", "NotSucceedsTilde": "\u227F\u0338", "NotSuperset": "\u2283\u20D2", "NotSupersetEqual": "\u2289", "NotTilde": "\u2241", "NotTildeEqual": "\u2244", "NotTildeFullEqual": "\u2247", "NotTildeTilde": "\u2249", "NotVerticalBar": "\u2224", "npar": "\u2226", "nparallel": "\u2226", "nparsl": "\u2AFD\u20E5", "npart": "\u2202\u0338", "npolint": "\u2A14", "npr": "\u2280", "nprcue": "\u22E0", "npre": "\u2AAF\u0338", "nprec": "\u2280", "npreceq": "\u2AAF\u0338", "nrarr": "\u219B", "nrArr": "\u21CF", "nrarrc": "\u2933\u0338", "nrarrw": "\u219D\u0338", "nrightarrow": "\u219B", "nRightarrow": "\u21CF", "nrtri": "\u22EB", "nrtrie": "\u22ED", "nsc": "\u2281", "nsccue": "\u22E1", "nsce": "\u2AB0\u0338", "nscr": "\u{1D4C3}", "Nscr": "\u{1D4A9}", "nshortmid": "\u2224", "nshortparallel": "\u2226", "nsim": "\u2241", "nsime": "\u2244", "nsimeq": "\u2244", "nsmid": "\u2224", "nspar": "\u2226", "nsqsube": "\u22E2", "nsqsupe": "\u22E3", "nsub": "\u2284", "nsube": "\u2288", "nsubE": "\u2AC5\u0338", "nsubset": "\u2282\u20D2", "nsubseteq": "\u2288", "nsubseteqq": "\u2AC5\u0338", "nsucc": "\u2281", "nsucceq": "\u2AB0\u0338", "nsup": "\u2285", "nsupe": "\u2289", "nsupE": "\u2AC6\u0338", "nsupset": "\u2283\u20D2", "nsupseteq": "\u2289", "nsupseteqq": "\u2AC6\u0338", "ntgl": "\u2279", "ntilde": "\xF1", "Ntilde": "\xD1", "ntlg": "\u2278", "ntriangleleft": "\u22EA", "ntrianglelefteq": "\u22EC", "ntriangleright": "\u22EB", "ntrianglerighteq": "\u22ED", "nu": "\u03BD", "Nu": "\u039D", "num": "#", "numero": "\u2116", "numsp": "\u2007", "nvap": "\u224D\u20D2", "nvdash": "\u22AC", "nvDash": "\u22AD", "nVdash": "\u22AE", "nVDash": "\u22AF", "nvge": "\u2265\u20D2", "nvgt": ">\u20D2", "nvHarr": "\u2904", "nvinfin": "\u29DE", "nvlArr": "\u2902", "nvle": "\u2264\u20D2", "nvlt": "<\u20D2", "nvltrie": "\u22B4\u20D2", "nvrArr": "\u2903", "nvrtrie": "\u22B5\u20D2", "nvsim": "\u223C\u20D2", "nwarhk": "\u2923", "nwarr": "\u2196", "nwArr": "\u21D6", "nwarrow": "\u2196", "nwnear": "\u2927", "oacute": "\xF3", "Oacute": "\xD3", "oast": "\u229B", "ocir": "\u229A", "ocirc": "\xF4", "Ocirc": "\xD4", "ocy": "\u043E", "Ocy": "\u041E", "odash": "\u229D", "odblac": "\u0151", "Odblac": "\u0150", "odiv": "\u2A38", "odot": "\u2299", "odsold": "\u29BC", "oelig": "\u0153", "OElig": "\u0152", "ofcir": "\u29BF", "ofr": "\u{1D52C}", "Ofr": "\u{1D512}", "ogon": "\u02DB", "ograve": "\xF2", "Ograve": "\xD2", "ogt": "\u29C1", "ohbar": "\u29B5", "ohm": "\u03A9", "oint": "\u222E", "olarr": "\u21BA", "olcir": "\u29BE", "olcross": "\u29BB", "oline": "\u203E", "olt": "\u29C0", "omacr": "\u014D", "Omacr": "\u014C", "omega": "\u03C9", "Omega": "\u03A9", "omicron": "\u03BF", "Omicron": "\u039F", "omid": "\u29B6", "ominus": "\u2296", "oopf": "\u{1D560}", "Oopf": "\u{1D546}", "opar": "\u29B7", "OpenCurlyDoubleQuote": "\u201C", "OpenCurlyQuote": "\u2018", "operp": "\u29B9", "oplus": "\u2295", "or": "\u2228", "Or": "\u2A54", "orarr": "\u21BB", "ord": "\u2A5D", "order": "\u2134", "orderof": "\u2134", "ordf": "\xAA", "ordm": "\xBA", "origof": "\u22B6", "oror": "\u2A56", "orslope": "\u2A57", "orv": "\u2A5B", "oS": "\u24C8", "oscr": "\u2134", "Oscr": "\u{1D4AA}", "oslash": "\xF8", "Oslash": "\xD8", "osol": "\u2298", "otilde": "\xF5", "Otilde": "\xD5", "otimes": "\u2297", "Otimes": "\u2A37", "otimesas": "\u2A36", "ouml": "\xF6", "Ouml": "\xD6", "ovbar": "\u233D", "OverBar": "\u203E", "OverBrace": "\u23DE", "OverBracket": "\u23B4", "OverParenthesis": "\u23DC", "par": "\u2225", "para": "\xB6", "parallel": "\u2225", "parsim": "\u2AF3", "parsl": "\u2AFD", "part": "\u2202", "PartialD": "\u2202", "pcy": "\u043F", "Pcy": "\u041F", "percnt": "%", "period": ".", "permil": "\u2030", "perp": "\u22A5", "pertenk": "\u2031", "pfr": "\u{1D52D}", "Pfr": "\u{1D513}", "phi": "\u03C6", "Phi": "\u03A6", "phiv": "\u03D5", "phmmat": "\u2133", "phone": "\u260E", "pi": "\u03C0", "Pi": "\u03A0", "pitchfork": "\u22D4", "piv": "\u03D6", "planck": "\u210F", "planckh": "\u210E", "plankv": "\u210F", "plus": "+", "plusacir": "\u2A23", "plusb": "\u229E", "pluscir": "\u2A22", "plusdo": "\u2214", "plusdu": "\u2A25", "pluse": "\u2A72", "PlusMinus": "\xB1", "plusmn": "\xB1", "plussim": "\u2A26", "plustwo": "\u2A27", "pm": "\xB1", "Poincareplane": "\u210C", "pointint": "\u2A15", "popf": "\u{1D561}", "Popf": "\u2119", "pound": "\xA3", "pr": "\u227A", "Pr": "\u2ABB", "prap": "\u2AB7", "prcue": "\u227C", "pre": "\u2AAF", "prE": "\u2AB3", "prec": "\u227A", "precapprox": "\u2AB7", "preccurlyeq": "\u227C", "Precedes": "\u227A", "PrecedesEqual": "\u2AAF", "PrecedesSlantEqual": "\u227C", "PrecedesTilde": "\u227E", "preceq": "\u2AAF", "precnapprox": "\u2AB9", "precneqq": "\u2AB5", "precnsim": "\u22E8", "precsim": "\u227E", "prime": "\u2032", "Prime": "\u2033", "primes": "\u2119", "prnap": "\u2AB9", "prnE": "\u2AB5", "prnsim": "\u22E8", "prod": "\u220F", "Product": "\u220F", "profalar": "\u232E", "profline": "\u2312", "profsurf": "\u2313", "prop": "\u221D", "Proportion": "\u2237", "Proportional": "\u221D", "propto": "\u221D", "prsim": "\u227E", "prurel": "\u22B0", "pscr": "\u{1D4C5}", "Pscr": "\u{1D4AB}", "psi": "\u03C8", "Psi": "\u03A8", "puncsp": "\u2008", "qfr": "\u{1D52E}", "Qfr": "\u{1D514}", "qint": "\u2A0C", "qopf": "\u{1D562}", "Qopf": "\u211A", "qprime": "\u2057", "qscr": "\u{1D4C6}", "Qscr": "\u{1D4AC}", "quaternions": "\u210D", "quatint": "\u2A16", "quest": "?", "questeq": "\u225F", "quot": '"', "QUOT": '"', "rAarr": "\u21DB", "race": "\u223D\u0331", "racute": "\u0155", "Racute": "\u0154", "radic": "\u221A", "raemptyv": "\u29B3", "rang": "\u27E9", "Rang": "\u27EB", "rangd": "\u2992", "range": "\u29A5", "rangle": "\u27E9", "raquo": "\xBB", "rarr": "\u2192", "rArr": "\u21D2", "Rarr": "\u21A0", "rarrap": "\u2975", "rarrb": "\u21E5", "rarrbfs": "\u2920", "rarrc": "\u2933", "rarrfs": "\u291E", "rarrhk": "\u21AA", "rarrlp": "\u21AC", "rarrpl": "\u2945", "rarrsim": "\u2974", "rarrtl": "\u21A3", "Rarrtl": "\u2916", "rarrw": "\u219D", "ratail": "\u291A", "rAtail": "\u291C", "ratio": "\u2236", "rationals": "\u211A", "rbarr": "\u290D", "rBarr": "\u290F", "RBarr": "\u2910", "rbbrk": "\u2773", "rbrace": "}", "rbrack": "]", "rbrke": "\u298C", "rbrksld": "\u298E", "rbrkslu": "\u2990", "rcaron": "\u0159", "Rcaron": "\u0158", "rcedil": "\u0157", "Rcedil": "\u0156", "rceil": "\u2309", "rcub": "}", "rcy": "\u0440", "Rcy": "\u0420", "rdca": "\u2937", "rdldhar": "\u2969", "rdquo": "\u201D", "rdquor": "\u201D", "rdsh": "\u21B3", "Re": "\u211C", "real": "\u211C", "realine": "\u211B", "realpart": "\u211C", "reals": "\u211D", "rect": "\u25AD", "reg": "\xAE", "REG": "\xAE", "ReverseElement": "\u220B", "ReverseEquilibrium": "\u21CB", "ReverseUpEquilibrium": "\u296F", "rfisht": "\u297D", "rfloor": "\u230B", "rfr": "\u{1D52F}", "Rfr": "\u211C", "rHar": "\u2964", "rhard": "\u21C1", "rharu": "\u21C0", "rharul": "\u296C", "rho": "\u03C1", "Rho": "\u03A1", "rhov": "\u03F1", "RightAngleBracket": "\u27E9", "rightarrow": "\u2192", "Rightarrow": "\u21D2", "RightArrow": "\u2192", "RightArrowBar": "\u21E5", "RightArrowLeftArrow": "\u21C4", "rightarrowtail": "\u21A3", "RightCeiling": "\u2309", "RightDoubleBracket": "\u27E7", "RightDownTeeVector": "\u295D", "RightDownVector": "\u21C2", "RightDownVectorBar": "\u2955", "RightFloor": "\u230B", "rightharpoondown": "\u21C1", "rightharpoonup": "\u21C0", "rightleftarrows": "\u21C4", "rightleftharpoons": "\u21CC", "rightrightarrows": "\u21C9", "rightsquigarrow": "\u219D", "RightTee": "\u22A2", "RightTeeArrow": "\u21A6", "RightTeeVector": "\u295B", "rightthreetimes": "\u22CC", "RightTriangle": "\u22B3", "RightTriangleBar": "\u29D0", "RightTriangleEqual": "\u22B5", "RightUpDownVector": "\u294F", "RightUpTeeVector": "\u295C", "RightUpVector": "\u21BE", "RightUpVectorBar": "\u2954", "RightVector": "\u21C0", "RightVectorBar": "\u2953", "ring": "\u02DA", "risingdotseq": "\u2253", "rlarr": "\u21C4", "rlhar": "\u21CC", "rlm": "\u200F", "rmoust": "\u23B1", "rmoustache": "\u23B1", "rnmid": "\u2AEE", "roang": "\u27ED", "roarr": "\u21FE", "robrk": "\u27E7", "ropar": "\u2986", "ropf": "\u{1D563}", "Ropf": "\u211D", "roplus": "\u2A2E", "rotimes": "\u2A35", "RoundImplies": "\u2970", "rpar": ")", "rpargt": "\u2994", "rppolint": "\u2A12", "rrarr": "\u21C9", "Rrightarrow": "\u21DB", "rsaquo": "\u203A", "rscr": "\u{1D4C7}", "Rscr": "\u211B", "rsh": "\u21B1", "Rsh": "\u21B1", "rsqb": "]", "rsquo": "\u2019", "rsquor": "\u2019", "rthree": "\u22CC", "rtimes": "\u22CA", "rtri": "\u25B9", "rtrie": "\u22B5", "rtrif": "\u25B8", "rtriltri": "\u29CE", "RuleDelayed": "\u29F4", "ruluhar": "\u2968", "rx": "\u211E", "sacute": "\u015B", "Sacute": "\u015A", "sbquo": "\u201A", "sc": "\u227B", "Sc": "\u2ABC", "scap": "\u2AB8", "scaron": "\u0161", "Scaron": "\u0160", "sccue": "\u227D", "sce": "\u2AB0", "scE": "\u2AB4", "scedil": "\u015F", "Scedil": "\u015E", "scirc": "\u015D", "Scirc": "\u015C", "scnap": "\u2ABA", "scnE": "\u2AB6", "scnsim": "\u22E9", "scpolint": "\u2A13", "scsim": "\u227F", "scy": "\u0441", "Scy": "\u0421", "sdot": "\u22C5", "sdotb": "\u22A1", "sdote": "\u2A66", "searhk": "\u2925", "searr": "\u2198", "seArr": "\u21D8", "searrow": "\u2198", "sect": "\xA7", "semi": ";", "seswar": "\u2929", "setminus": "\u2216", "setmn": "\u2216", "sext": "\u2736", "sfr": "\u{1D530}", "Sfr": "\u{1D516}", "sfrown": "\u2322", "sharp": "\u266F", "shchcy": "\u0449", "SHCHcy": "\u0429", "shcy": "\u0448", "SHcy": "\u0428", "ShortDownArrow": "\u2193", "ShortLeftArrow": "\u2190", "shortmid": "\u2223", "shortparallel": "\u2225", "ShortRightArrow": "\u2192", "ShortUpArrow": "\u2191", "shy": "\xAD", "sigma": "\u03C3", "Sigma": "\u03A3", "sigmaf": "\u03C2", "sigmav": "\u03C2", "sim": "\u223C", "simdot": "\u2A6A", "sime": "\u2243", "simeq": "\u2243", "simg": "\u2A9E", "simgE": "\u2AA0", "siml": "\u2A9D", "simlE": "\u2A9F", "simne": "\u2246", "simplus": "\u2A24", "simrarr": "\u2972", "slarr": "\u2190", "SmallCircle": "\u2218", "smallsetminus": "\u2216", "smashp": "\u2A33", "smeparsl": "\u29E4", "smid": "\u2223", "smile": "\u2323", "smt": "\u2AAA", "smte": "\u2AAC", "smtes": "\u2AAC\uFE00", "softcy": "\u044C", "SOFTcy": "\u042C", "sol": "/", "solb": "\u29C4", "solbar": "\u233F", "sopf": "\u{1D564}", "Sopf": "\u{1D54A}", "spades": "\u2660", "spadesuit": "\u2660", "spar": "\u2225", "sqcap": "\u2293", "sqcaps": "\u2293\uFE00", "sqcup": "\u2294", "sqcups": "\u2294\uFE00", "Sqrt": "\u221A", "sqsub": "\u228F", "sqsube": "\u2291", "sqsubset": "\u228F", "sqsubseteq": "\u2291", "sqsup": "\u2290", "sqsupe": "\u2292", "sqsupset": "\u2290", "sqsupseteq": "\u2292", "squ": "\u25A1", "square": "\u25A1", "Square": "\u25A1", "SquareIntersection": "\u2293", "SquareSubset": "\u228F", "SquareSubsetEqual": "\u2291", "SquareSuperset": "\u2290", "SquareSupersetEqual": "\u2292", "SquareUnion": "\u2294", "squarf": "\u25AA", "squf": "\u25AA", "srarr": "\u2192", "sscr": "\u{1D4C8}", "Sscr": "\u{1D4AE}", "ssetmn": "\u2216", "ssmile": "\u2323", "sstarf": "\u22C6", "star": "\u2606", "Star": "\u22C6", "starf": "\u2605", "straightepsilon": "\u03F5", "straightphi": "\u03D5", "strns": "\xAF", "sub": "\u2282", "Sub": "\u22D0", "subdot": "\u2ABD", "sube": "\u2286", "subE": "\u2AC5", "subedot": "\u2AC3", "submult": "\u2AC1", "subne": "\u228A", "subnE": "\u2ACB", "subplus": "\u2ABF", "subrarr": "\u2979", "subset": "\u2282", "Subset": "\u22D0", "subseteq": "\u2286", "subseteqq": "\u2AC5", "SubsetEqual": "\u2286", "subsetneq": "\u228A", "subsetneqq": "\u2ACB", "subsim": "\u2AC7", "subsub": "\u2AD5", "subsup": "\u2AD3", "succ": "\u227B", "succapprox": "\u2AB8", "succcurlyeq": "\u227D", "Succeeds": "\u227B", "SucceedsEqual": "\u2AB0", "SucceedsSlantEqual": "\u227D", "SucceedsTilde": "\u227F", "succeq": "\u2AB0", "succnapprox": "\u2ABA", "succneqq": "\u2AB6", "succnsim": "\u22E9", "succsim": "\u227F", "SuchThat": "\u220B", "sum": "\u2211", "Sum": "\u2211", "sung": "\u266A", "sup": "\u2283", "Sup": "\u22D1", "sup1": "\xB9", "sup2": "\xB2", "sup3": "\xB3", "supdot": "\u2ABE", "supdsub": "\u2AD8", "supe": "\u2287", "supE": "\u2AC6", "supedot": "\u2AC4", "Superset": "\u2283", "SupersetEqual": "\u2287", "suphsol": "\u27C9", "suphsub": "\u2AD7", "suplarr": "\u297B", "supmult": "\u2AC2", "supne": "\u228B", "supnE": "\u2ACC", "supplus": "\u2AC0", "supset": "\u2283", "Supset": "\u22D1", "supseteq": "\u2287", "supseteqq": "\u2AC6", "supsetneq": "\u228B", "supsetneqq": "\u2ACC", "supsim": "\u2AC8", "supsub": "\u2AD4", "supsup": "\u2AD6", "swarhk": "\u2926", "swarr": "\u2199", "swArr": "\u21D9", "swarrow": "\u2199", "swnwar": "\u292A", "szlig": "\xDF", "Tab": "	", "target": "\u2316", "tau": "\u03C4", "Tau": "\u03A4", "tbrk": "\u23B4", "tcaron": "\u0165", "Tcaron": "\u0164", "tcedil": "\u0163", "Tcedil": "\u0162", "tcy": "\u0442", "Tcy": "\u0422", "tdot": "\u20DB", "telrec": "\u2315", "tfr": "\u{1D531}", "Tfr": "\u{1D517}", "there4": "\u2234", "therefore": "\u2234", "Therefore": "\u2234", "theta": "\u03B8", "Theta": "\u0398", "thetasym": "\u03D1", "thetav": "\u03D1", "thickapprox": "\u2248", "thicksim": "\u223C", "ThickSpace": "\u205F\u200A", "thinsp": "\u2009", "ThinSpace": "\u2009", "thkap": "\u2248", "thksim": "\u223C", "thorn": "\xFE", "THORN": "\xDE", "tilde": "\u02DC", "Tilde": "\u223C", "TildeEqual": "\u2243", "TildeFullEqual": "\u2245", "TildeTilde": "\u2248", "times": "\xD7", "timesb": "\u22A0", "timesbar": "\u2A31", "timesd": "\u2A30", "tint": "\u222D", "toea": "\u2928", "top": "\u22A4", "topbot": "\u2336", "topcir": "\u2AF1", "topf": "\u{1D565}", "Topf": "\u{1D54B}", "topfork": "\u2ADA", "tosa": "\u2929", "tprime": "\u2034", "trade": "\u2122", "TRADE": "\u2122", "triangle": "\u25B5", "triangledown": "\u25BF", "triangleleft": "\u25C3", "trianglelefteq": "\u22B4", "triangleq": "\u225C", "triangleright": "\u25B9", "trianglerighteq": "\u22B5", "tridot": "\u25EC", "trie": "\u225C", "triminus": "\u2A3A", "TripleDot": "\u20DB", "triplus": "\u2A39", "trisb": "\u29CD", "tritime": "\u2A3B", "trpezium": "\u23E2", "tscr": "\u{1D4C9}", "Tscr": "\u{1D4AF}", "tscy": "\u0446", "TScy": "\u0426", "tshcy": "\u045B", "TSHcy": "\u040B", "tstrok": "\u0167", "Tstrok": "\u0166", "twixt": "\u226C", "twoheadleftarrow": "\u219E", "twoheadrightarrow": "\u21A0", "uacute": "\xFA", "Uacute": "\xDA", "uarr": "\u2191", "uArr": "\u21D1", "Uarr": "\u219F", "Uarrocir": "\u2949", "ubrcy": "\u045E", "Ubrcy": "\u040E", "ubreve": "\u016D", "Ubreve": "\u016C", "ucirc": "\xFB", "Ucirc": "\xDB", "ucy": "\u0443", "Ucy": "\u0423", "udarr": "\u21C5", "udblac": "\u0171", "Udblac": "\u0170", "udhar": "\u296E", "ufisht": "\u297E", "ufr": "\u{1D532}", "Ufr": "\u{1D518}", "ugrave": "\xF9", "Ugrave": "\xD9", "uHar": "\u2963", "uharl": "\u21BF", "uharr": "\u21BE", "uhblk": "\u2580", "ulcorn": "\u231C", "ulcorner": "\u231C", "ulcrop": "\u230F", "ultri": "\u25F8", "umacr": "\u016B", "Umacr": "\u016A", "uml": "\xA8", "UnderBar": "_", "UnderBrace": "\u23DF", "UnderBracket": "\u23B5", "UnderParenthesis": "\u23DD", "Union": "\u22C3", "UnionPlus": "\u228E", "uogon": "\u0173", "Uogon": "\u0172", "uopf": "\u{1D566}", "Uopf": "\u{1D54C}", "uparrow": "\u2191", "Uparrow": "\u21D1", "UpArrow": "\u2191", "UpArrowBar": "\u2912", "UpArrowDownArrow": "\u21C5", "updownarrow": "\u2195", "Updownarrow": "\u21D5", "UpDownArrow": "\u2195", "UpEquilibrium": "\u296E", "upharpoonleft": "\u21BF", "upharpoonright": "\u21BE", "uplus": "\u228E", "UpperLeftArrow": "\u2196", "UpperRightArrow": "\u2197", "upsi": "\u03C5", "Upsi": "\u03D2", "upsih": "\u03D2", "upsilon": "\u03C5", "Upsilon": "\u03A5", "UpTee": "\u22A5", "UpTeeArrow": "\u21A5", "upuparrows": "\u21C8", "urcorn": "\u231D", "urcorner": "\u231D", "urcrop": "\u230E", "uring": "\u016F", "Uring": "\u016E", "urtri": "\u25F9", "uscr": "\u{1D4CA}", "Uscr": "\u{1D4B0}", "utdot": "\u22F0", "utilde": "\u0169", "Utilde": "\u0168", "utri": "\u25B5", "utrif": "\u25B4", "uuarr": "\u21C8", "uuml": "\xFC", "Uuml": "\xDC", "uwangle": "\u29A7", "vangrt": "\u299C", "varepsilon": "\u03F5", "varkappa": "\u03F0", "varnothing": "\u2205", "varphi": "\u03D5", "varpi": "\u03D6", "varpropto": "\u221D", "varr": "\u2195", "vArr": "\u21D5", "varrho": "\u03F1", "varsigma": "\u03C2", "varsubsetneq": "\u228A\uFE00", "varsubsetneqq": "\u2ACB\uFE00", "varsupsetneq": "\u228B\uFE00", "varsupsetneqq": "\u2ACC\uFE00", "vartheta": "\u03D1", "vartriangleleft": "\u22B2", "vartriangleright": "\u22B3", "vBar": "\u2AE8", "Vbar": "\u2AEB", "vBarv": "\u2AE9", "vcy": "\u0432", "Vcy": "\u0412", "vdash": "\u22A2", "vDash": "\u22A8", "Vdash": "\u22A9", "VDash": "\u22AB", "Vdashl": "\u2AE6", "vee": "\u2228", "Vee": "\u22C1", "veebar": "\u22BB", "veeeq": "\u225A", "vellip": "\u22EE", "verbar": "|", "Verbar": "\u2016", "vert": "|", "Vert": "\u2016", "VerticalBar": "\u2223", "VerticalLine": "|", "VerticalSeparator": "\u2758", "VerticalTilde": "\u2240", "VeryThinSpace": "\u200A", "vfr": "\u{1D533}", "Vfr": "\u{1D519}", "vltri": "\u22B2", "vnsub": "\u2282\u20D2", "vnsup": "\u2283\u20D2", "vopf": "\u{1D567}", "Vopf": "\u{1D54D}", "vprop": "\u221D", "vrtri": "\u22B3", "vscr": "\u{1D4CB}", "Vscr": "\u{1D4B1}", "vsubne": "\u228A\uFE00", "vsubnE": "\u2ACB\uFE00", "vsupne": "\u228B\uFE00", "vsupnE": "\u2ACC\uFE00", "Vvdash": "\u22AA", "vzigzag": "\u299A", "wcirc": "\u0175", "Wcirc": "\u0174", "wedbar": "\u2A5F", "wedge": "\u2227", "Wedge": "\u22C0", "wedgeq": "\u2259", "weierp": "\u2118", "wfr": "\u{1D534}", "Wfr": "\u{1D51A}", "wopf": "\u{1D568}", "Wopf": "\u{1D54E}", "wp": "\u2118", "wr": "\u2240", "wreath": "\u2240", "wscr": "\u{1D4CC}", "Wscr": "\u{1D4B2}", "xcap": "\u22C2", "xcirc": "\u25EF", "xcup": "\u22C3", "xdtri": "\u25BD", "xfr": "\u{1D535}", "Xfr": "\u{1D51B}", "xharr": "\u27F7", "xhArr": "\u27FA", "xi": "\u03BE", "Xi": "\u039E", "xlarr": "\u27F5", "xlArr": "\u27F8", "xmap": "\u27FC", "xnis": "\u22FB", "xodot": "\u2A00", "xopf": "\u{1D569}", "Xopf": "\u{1D54F}", "xoplus": "\u2A01", "xotime": "\u2A02", "xrarr": "\u27F6", "xrArr": "\u27F9", "xscr": "\u{1D4CD}", "Xscr": "\u{1D4B3}", "xsqcup": "\u2A06", "xuplus": "\u2A04", "xutri": "\u25B3", "xvee": "\u22C1", "xwedge": "\u22C0", "yacute": "\xFD", "Yacute": "\xDD", "yacy": "\u044F", "YAcy": "\u042F", "ycirc": "\u0177", "Ycirc": "\u0176", "ycy": "\u044B", "Ycy": "\u042B", "yen": "\xA5", "yfr": "\u{1D536}", "Yfr": "\u{1D51C}", "yicy": "\u0457", "YIcy": "\u0407", "yopf": "\u{1D56A}", "Yopf": "\u{1D550}", "yscr": "\u{1D4CE}", "Yscr": "\u{1D4B4}", "yucy": "\u044E", "YUcy": "\u042E", "yuml": "\xFF", "Yuml": "\u0178", "zacute": "\u017A", "Zacute": "\u0179", "zcaron": "\u017E", "Zcaron": "\u017D", "zcy": "\u0437", "Zcy": "\u0417", "zdot": "\u017C", "Zdot": "\u017B", "zeetrf": "\u2128", "ZeroWidthSpace": "\u200B", "zeta": "\u03B6", "Zeta": "\u0396", "zfr": "\u{1D537}", "Zfr": "\u2128", "zhcy": "\u0436", "ZHcy": "\u0416", "zigrarr": "\u21DD", "zopf": "\u{1D56B}", "Zopf": "\u2124", "zscr": "\u{1D4CF}", "Zscr": "\u{1D4B5}", "zwj": "\u200D", "zwnj": "\u200C" };
      var decodeMapLegacy = { "aacute": "\xE1", "Aacute": "\xC1", "acirc": "\xE2", "Acirc": "\xC2", "acute": "\xB4", "aelig": "\xE6", "AElig": "\xC6", "agrave": "\xE0", "Agrave": "\xC0", "amp": "&", "AMP": "&", "aring": "\xE5", "Aring": "\xC5", "atilde": "\xE3", "Atilde": "\xC3", "auml": "\xE4", "Auml": "\xC4", "brvbar": "\xA6", "ccedil": "\xE7", "Ccedil": "\xC7", "cedil": "\xB8", "cent": "\xA2", "copy": "\xA9", "COPY": "\xA9", "curren": "\xA4", "deg": "\xB0", "divide": "\xF7", "eacute": "\xE9", "Eacute": "\xC9", "ecirc": "\xEA", "Ecirc": "\xCA", "egrave": "\xE8", "Egrave": "\xC8", "eth": "\xF0", "ETH": "\xD0", "euml": "\xEB", "Euml": "\xCB", "frac12": "\xBD", "frac14": "\xBC", "frac34": "\xBE", "gt": ">", "GT": ">", "iacute": "\xED", "Iacute": "\xCD", "icirc": "\xEE", "Icirc": "\xCE", "iexcl": "\xA1", "igrave": "\xEC", "Igrave": "\xCC", "iquest": "\xBF", "iuml": "\xEF", "Iuml": "\xCF", "laquo": "\xAB", "lt": "<", "LT": "<", "macr": "\xAF", "micro": "\xB5", "middot": "\xB7", "nbsp": "\xA0", "not": "\xAC", "ntilde": "\xF1", "Ntilde": "\xD1", "oacute": "\xF3", "Oacute": "\xD3", "ocirc": "\xF4", "Ocirc": "\xD4", "ograve": "\xF2", "Ograve": "\xD2", "ordf": "\xAA", "ordm": "\xBA", "oslash": "\xF8", "Oslash": "\xD8", "otilde": "\xF5", "Otilde": "\xD5", "ouml": "\xF6", "Ouml": "\xD6", "para": "\xB6", "plusmn": "\xB1", "pound": "\xA3", "quot": '"', "QUOT": '"', "raquo": "\xBB", "reg": "\xAE", "REG": "\xAE", "sect": "\xA7", "shy": "\xAD", "sup1": "\xB9", "sup2": "\xB2", "sup3": "\xB3", "szlig": "\xDF", "thorn": "\xFE", "THORN": "\xDE", "times": "\xD7", "uacute": "\xFA", "Uacute": "\xDA", "ucirc": "\xFB", "Ucirc": "\xDB", "ugrave": "\xF9", "Ugrave": "\xD9", "uml": "\xA8", "uuml": "\xFC", "Uuml": "\xDC", "yacute": "\xFD", "Yacute": "\xDD", "yen": "\xA5", "yuml": "\xFF" };
      var decodeMapNumeric = { "0": "\uFFFD", "128": "\u20AC", "130": "\u201A", "131": "\u0192", "132": "\u201E", "133": "\u2026", "134": "\u2020", "135": "\u2021", "136": "\u02C6", "137": "\u2030", "138": "\u0160", "139": "\u2039", "140": "\u0152", "142": "\u017D", "145": "\u2018", "146": "\u2019", "147": "\u201C", "148": "\u201D", "149": "\u2022", "150": "\u2013", "151": "\u2014", "152": "\u02DC", "153": "\u2122", "154": "\u0161", "155": "\u203A", "156": "\u0153", "158": "\u017E", "159": "\u0178" };
      var invalidReferenceCodePoints = [1, 2, 3, 4, 5, 6, 7, 8, 11, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 64976, 64977, 64978, 64979, 64980, 64981, 64982, 64983, 64984, 64985, 64986, 64987, 64988, 64989, 64990, 64991, 64992, 64993, 64994, 64995, 64996, 64997, 64998, 64999, 65e3, 65001, 65002, 65003, 65004, 65005, 65006, 65007, 65534, 65535, 131070, 131071, 196606, 196607, 262142, 262143, 327678, 327679, 393214, 393215, 458750, 458751, 524286, 524287, 589822, 589823, 655358, 655359, 720894, 720895, 786430, 786431, 851966, 851967, 917502, 917503, 983038, 983039, 1048574, 1048575, 1114110, 1114111];
      var stringFromCharCode = String.fromCharCode;
      var object = {};
      var hasOwnProperty = object.hasOwnProperty;
      var has = function(object2, propertyName) {
        return hasOwnProperty.call(object2, propertyName);
      };
      var contains = function(array, value) {
        var index = -1;
        var length = array.length;
        while (++index < length) {
          if (array[index] == value) {
            return true;
          }
        }
        return false;
      };
      var merge = function(options, defaults) {
        if (!options) {
          return defaults;
        }
        var result = {};
        var key2;
        for (key2 in defaults) {
          result[key2] = has(options, key2) ? options[key2] : defaults[key2];
        }
        return result;
      };
      var codePointToSymbol = function(codePoint, strict) {
        var output = "";
        if (codePoint >= 55296 && codePoint <= 57343 || codePoint > 1114111) {
          if (strict) {
            parseError("character reference outside the permissible Unicode range");
          }
          return "\uFFFD";
        }
        if (has(decodeMapNumeric, codePoint)) {
          if (strict) {
            parseError("disallowed character reference");
          }
          return decodeMapNumeric[codePoint];
        }
        if (strict && contains(invalidReferenceCodePoints, codePoint)) {
          parseError("disallowed character reference");
        }
        if (codePoint > 65535) {
          codePoint -= 65536;
          output += stringFromCharCode(codePoint >>> 10 & 1023 | 55296);
          codePoint = 56320 | codePoint & 1023;
        }
        output += stringFromCharCode(codePoint);
        return output;
      };
      var hexEscape = function(codePoint) {
        return "&#x" + codePoint.toString(16).toUpperCase() + ";";
      };
      var decEscape = function(codePoint) {
        return "&#" + codePoint + ";";
      };
      var parseError = function(message) {
        throw Error("Parse error: " + message);
      };
      var encode = function(string, options) {
        options = merge(options, encode.options);
        var strict = options.strict;
        if (strict && regexInvalidRawCodePoint.test(string)) {
          parseError("forbidden code point");
        }
        var encodeEverything = options.encodeEverything;
        var useNamedReferences = options.useNamedReferences;
        var allowUnsafeSymbols = options.allowUnsafeSymbols;
        var escapeCodePoint = options.decimal ? decEscape : hexEscape;
        var escapeBmpSymbol = function(symbol) {
          return escapeCodePoint(symbol.charCodeAt(0));
        };
        if (encodeEverything) {
          string = string.replace(regexAsciiWhitelist, function(symbol) {
            if (useNamedReferences && has(encodeMap, symbol)) {
              return "&" + encodeMap[symbol] + ";";
            }
            return escapeBmpSymbol(symbol);
          });
          if (useNamedReferences) {
            string = string.replace(/&gt;\u20D2/g, "&nvgt;").replace(/&lt;\u20D2/g, "&nvlt;").replace(/&#x66;&#x6A;/g, "&fjlig;");
          }
          if (useNamedReferences) {
            string = string.replace(regexEncodeNonAscii, function(string2) {
              return "&" + encodeMap[string2] + ";";
            });
          }
        } else if (useNamedReferences) {
          if (!allowUnsafeSymbols) {
            string = string.replace(regexEscape, function(string2) {
              return "&" + encodeMap[string2] + ";";
            });
          }
          string = string.replace(/&gt;\u20D2/g, "&nvgt;").replace(/&lt;\u20D2/g, "&nvlt;");
          string = string.replace(regexEncodeNonAscii, function(string2) {
            return "&" + encodeMap[string2] + ";";
          });
        } else if (!allowUnsafeSymbols) {
          string = string.replace(regexEscape, escapeBmpSymbol);
        }
        return string.replace(regexAstralSymbols, function($0) {
          var high = $0.charCodeAt(0);
          var low = $0.charCodeAt(1);
          var codePoint = (high - 55296) * 1024 + low - 56320 + 65536;
          return escapeCodePoint(codePoint);
        }).replace(regexBmpWhitelist, escapeBmpSymbol);
      };
      encode.options = {
        "allowUnsafeSymbols": false,
        "encodeEverything": false,
        "strict": false,
        "useNamedReferences": false,
        "decimal": false
      };
      var decode = function(html, options) {
        options = merge(options, decode.options);
        var strict = options.strict;
        if (strict && regexInvalidEntity.test(html)) {
          parseError("malformed character reference");
        }
        return html.replace(regexDecode, function($0, $1, $2, $3, $4, $5, $6, $7, $8) {
          var codePoint;
          var semicolon;
          var decDigits;
          var hexDigits;
          var reference;
          var next;
          if ($1) {
            reference = $1;
            return decodeMap[reference];
          }
          if ($2) {
            reference = $2;
            next = $3;
            if (next && options.isAttributeValue) {
              if (strict && next == "=") {
                parseError("`&` did not start a character reference");
              }
              return $0;
            } else {
              if (strict) {
                parseError(
                  "named character reference was not terminated by a semicolon"
                );
              }
              return decodeMapLegacy[reference] + (next || "");
            }
          }
          if ($4) {
            decDigits = $4;
            semicolon = $5;
            if (strict && !semicolon) {
              parseError("character reference was not terminated by a semicolon");
            }
            codePoint = parseInt(decDigits, 10);
            return codePointToSymbol(codePoint, strict);
          }
          if ($6) {
            hexDigits = $6;
            semicolon = $7;
            if (strict && !semicolon) {
              parseError("character reference was not terminated by a semicolon");
            }
            codePoint = parseInt(hexDigits, 16);
            return codePointToSymbol(codePoint, strict);
          }
          if (strict) {
            parseError(
              "named character reference was not terminated by a semicolon"
            );
          }
          return $0;
        });
      };
      decode.options = {
        "isAttributeValue": false,
        "strict": false
      };
      var escape = function(string) {
        return string.replace(regexEscape, function($0) {
          return escapeMap[$0];
        });
      };
      var he = {
        "version": "1.2.0",
        "encode": encode,
        "decode": decode,
        "escape": escape,
        "unescape": decode
      };
      if (typeof define == "function" && typeof define.amd == "object" && define.amd) {
        define(function() {
          return he;
        });
      } else if (freeExports && !freeExports.nodeType) {
        if (freeModule) {
          freeModule.exports = he;
        } else {
          for (var key in he) {
            has(he, key) && (freeExports[key] = he[key]);
          }
        }
      } else {
        root.he = he;
      }
    })(exports);
  }
});

// ../../../node_modules/uc.micro/properties/Any/regex.js
var require_regex = __commonJS({
  "../../../node_modules/uc.micro/properties/Any/regex.js"(exports, module2) {
    "use strict";
    module2.exports = /[\0-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
  }
});

// ../../../node_modules/uc.micro/categories/Cc/regex.js
var require_regex2 = __commonJS({
  "../../../node_modules/uc.micro/categories/Cc/regex.js"(exports, module2) {
    "use strict";
    module2.exports = /[\0-\x1F\x7F-\x9F]/;
  }
});

// ../../../node_modules/uc.micro/categories/Z/regex.js
var require_regex3 = __commonJS({
  "../../../node_modules/uc.micro/categories/Z/regex.js"(exports, module2) {
    "use strict";
    module2.exports = /[ \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000]/;
  }
});

// ../../../node_modules/uc.micro/categories/P/regex.js
var require_regex4 = __commonJS({
  "../../../node_modules/uc.micro/categories/P/regex.js"(exports, module2) {
    "use strict";
    module2.exports = /[!-#%-\*,-\/:;\?@\[-\]_\{\}\xA1\xA7\xAB\xB6\xB7\xBB\xBF\u037E\u0387\u055A-\u055F\u0589\u058A\u05BE\u05C0\u05C3\u05C6\u05F3\u05F4\u0609\u060A\u060C\u060D\u061B\u061E\u061F\u066A-\u066D\u06D4\u0700-\u070D\u07F7-\u07F9\u0830-\u083E\u085E\u0964\u0965\u0970\u09FD\u0A76\u0AF0\u0C84\u0DF4\u0E4F\u0E5A\u0E5B\u0F04-\u0F12\u0F14\u0F3A-\u0F3D\u0F85\u0FD0-\u0FD4\u0FD9\u0FDA\u104A-\u104F\u10FB\u1360-\u1368\u1400\u166D\u166E\u169B\u169C\u16EB-\u16ED\u1735\u1736\u17D4-\u17D6\u17D8-\u17DA\u1800-\u180A\u1944\u1945\u1A1E\u1A1F\u1AA0-\u1AA6\u1AA8-\u1AAD\u1B5A-\u1B60\u1BFC-\u1BFF\u1C3B-\u1C3F\u1C7E\u1C7F\u1CC0-\u1CC7\u1CD3\u2010-\u2027\u2030-\u2043\u2045-\u2051\u2053-\u205E\u207D\u207E\u208D\u208E\u2308-\u230B\u2329\u232A\u2768-\u2775\u27C5\u27C6\u27E6-\u27EF\u2983-\u2998\u29D8-\u29DB\u29FC\u29FD\u2CF9-\u2CFC\u2CFE\u2CFF\u2D70\u2E00-\u2E2E\u2E30-\u2E4E\u3001-\u3003\u3008-\u3011\u3014-\u301F\u3030\u303D\u30A0\u30FB\uA4FE\uA4FF\uA60D-\uA60F\uA673\uA67E\uA6F2-\uA6F7\uA874-\uA877\uA8CE\uA8CF\uA8F8-\uA8FA\uA8FC\uA92E\uA92F\uA95F\uA9C1-\uA9CD\uA9DE\uA9DF\uAA5C-\uAA5F\uAADE\uAADF\uAAF0\uAAF1\uABEB\uFD3E\uFD3F\uFE10-\uFE19\uFE30-\uFE52\uFE54-\uFE61\uFE63\uFE68\uFE6A\uFE6B\uFF01-\uFF03\uFF05-\uFF0A\uFF0C-\uFF0F\uFF1A\uFF1B\uFF1F\uFF20\uFF3B-\uFF3D\uFF3F\uFF5B\uFF5D\uFF5F-\uFF65]|\uD800[\uDD00-\uDD02\uDF9F\uDFD0]|\uD801\uDD6F|\uD802[\uDC57\uDD1F\uDD3F\uDE50-\uDE58\uDE7F\uDEF0-\uDEF6\uDF39-\uDF3F\uDF99-\uDF9C]|\uD803[\uDF55-\uDF59]|\uD804[\uDC47-\uDC4D\uDCBB\uDCBC\uDCBE-\uDCC1\uDD40-\uDD43\uDD74\uDD75\uDDC5-\uDDC8\uDDCD\uDDDB\uDDDD-\uDDDF\uDE38-\uDE3D\uDEA9]|\uD805[\uDC4B-\uDC4F\uDC5B\uDC5D\uDCC6\uDDC1-\uDDD7\uDE41-\uDE43\uDE60-\uDE6C\uDF3C-\uDF3E]|\uD806[\uDC3B\uDE3F-\uDE46\uDE9A-\uDE9C\uDE9E-\uDEA2]|\uD807[\uDC41-\uDC45\uDC70\uDC71\uDEF7\uDEF8]|\uD809[\uDC70-\uDC74]|\uD81A[\uDE6E\uDE6F\uDEF5\uDF37-\uDF3B\uDF44]|\uD81B[\uDE97-\uDE9A]|\uD82F\uDC9F|\uD836[\uDE87-\uDE8B]|\uD83A[\uDD5E\uDD5F]/;
  }
});

// ../../../node_modules/linkify-it/lib/re.js
var require_re = __commonJS({
  "../../../node_modules/linkify-it/lib/re.js"(exports, module2) {
    "use strict";
    module2.exports = function(opts) {
      var re = {};
      opts = opts || {};
      re.src_Any = require_regex().source;
      re.src_Cc = require_regex2().source;
      re.src_Z = require_regex3().source;
      re.src_P = require_regex4().source;
      re.src_ZPCc = [re.src_Z, re.src_P, re.src_Cc].join("|");
      re.src_ZCc = [re.src_Z, re.src_Cc].join("|");
      var text_separators = "[><\uFF5C]";
      re.src_pseudo_letter = "(?:(?!" + text_separators + "|" + re.src_ZPCc + ")" + re.src_Any + ")";
      re.src_ip4 = "(?:(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)";
      re.src_auth = "(?:(?:(?!" + re.src_ZCc + "|[@/\\[\\]()]).)+@)?";
      re.src_port = "(?::(?:6(?:[0-4]\\d{3}|5(?:[0-4]\\d{2}|5(?:[0-2]\\d|3[0-5])))|[1-5]?\\d{1,4}))?";
      re.src_host_terminator = "(?=$|" + text_separators + "|" + re.src_ZPCc + ")(?!" + (opts["---"] ? "-(?!--)|" : "-|") + "_|:\\d|\\.-|\\.(?!$|" + re.src_ZPCc + "))";
      re.src_path = "(?:[/?#](?:(?!" + re.src_ZCc + "|" + text_separators + `|[()[\\]{}.,"'?!\\-;]).|\\[(?:(?!` + re.src_ZCc + "|\\]).)*\\]|\\((?:(?!" + re.src_ZCc + "|[)]).)*\\)|\\{(?:(?!" + re.src_ZCc + '|[}]).)*\\}|\\"(?:(?!' + re.src_ZCc + `|["]).)+\\"|\\'(?:(?!` + re.src_ZCc + "|[']).)+\\'|\\'(?=" + re.src_pseudo_letter + "|[-])|\\.{2,}[a-zA-Z0-9%/&]|\\.(?!" + re.src_ZCc + "|[.]|$)|" + (opts["---"] ? "\\-(?!--(?:[^-]|$))(?:-*)|" : "\\-+|") + ",(?!" + re.src_ZCc + "|$)|;(?!" + re.src_ZCc + "|$)|\\!+(?!" + re.src_ZCc + "|[!]|$)|\\?(?!" + re.src_ZCc + "|[?]|$))+|\\/)?";
      re.src_email_name = '[\\-;:&=\\+\\$,\\.a-zA-Z0-9_][\\-;:&=\\+\\$,\\"\\.a-zA-Z0-9_]*';
      re.src_xn = "xn--[a-z0-9\\-]{1,59}";
      re.src_domain_root = // Allow letters & digits (http://test1)
      "(?:" + re.src_xn + "|" + re.src_pseudo_letter + "{1,63})";
      re.src_domain = "(?:" + re.src_xn + "|(?:" + re.src_pseudo_letter + ")|(?:" + re.src_pseudo_letter + "(?:-|" + re.src_pseudo_letter + "){0,61}" + re.src_pseudo_letter + "))";
      re.src_host = "(?:(?:(?:(?:" + re.src_domain + ")\\.)*" + re.src_domain + "))";
      re.tpl_host_fuzzy = "(?:" + re.src_ip4 + "|(?:(?:(?:" + re.src_domain + ")\\.)+(?:%TLDS%)))";
      re.tpl_host_no_ip_fuzzy = "(?:(?:(?:" + re.src_domain + ")\\.)+(?:%TLDS%))";
      re.src_host_strict = re.src_host + re.src_host_terminator;
      re.tpl_host_fuzzy_strict = re.tpl_host_fuzzy + re.src_host_terminator;
      re.src_host_port_strict = re.src_host + re.src_port + re.src_host_terminator;
      re.tpl_host_port_fuzzy_strict = re.tpl_host_fuzzy + re.src_port + re.src_host_terminator;
      re.tpl_host_port_no_ip_fuzzy_strict = re.tpl_host_no_ip_fuzzy + re.src_port + re.src_host_terminator;
      re.tpl_host_fuzzy_test = "localhost|www\\.|\\.\\d{1,3}\\.|(?:\\.(?:%TLDS%)(?:" + re.src_ZPCc + "|>|$))";
      re.tpl_email_fuzzy = "(^|" + text_separators + '|"|\\(|' + re.src_ZCc + ")(" + re.src_email_name + "@" + re.tpl_host_fuzzy_strict + ")";
      re.tpl_link_fuzzy = // Fuzzy link can't be prepended with .:/\- and non punctuation.
      // but can start with > (markdown blockquote)
      "(^|(?![.:/\\-_@])(?:[$+<=>^`|\uFF5C]|" + re.src_ZPCc + "))((?![$+<=>^`|\uFF5C])" + re.tpl_host_port_fuzzy_strict + re.src_path + ")";
      re.tpl_link_no_ip_fuzzy = // Fuzzy link can't be prepended with .:/\- and non punctuation.
      // but can start with > (markdown blockquote)
      "(^|(?![.:/\\-_@])(?:[$+<=>^`|\uFF5C]|" + re.src_ZPCc + "))((?![$+<=>^`|\uFF5C])" + re.tpl_host_port_no_ip_fuzzy_strict + re.src_path + ")";
      return re;
    };
  }
});

// ../../../node_modules/linkify-it/index.js
var require_linkify_it = __commonJS({
  "../../../node_modules/linkify-it/index.js"(exports, module2) {
    "use strict";
    function assign(obj) {
      var sources = Array.prototype.slice.call(arguments, 1);
      sources.forEach(function(source) {
        if (!source) {
          return;
        }
        Object.keys(source).forEach(function(key) {
          obj[key] = source[key];
        });
      });
      return obj;
    }
    function _class(obj) {
      return Object.prototype.toString.call(obj);
    }
    function isString(obj) {
      return _class(obj) === "[object String]";
    }
    function isObject(obj) {
      return _class(obj) === "[object Object]";
    }
    function isRegExp(obj) {
      return _class(obj) === "[object RegExp]";
    }
    function isFunction(obj) {
      return _class(obj) === "[object Function]";
    }
    function escapeRE(str) {
      return str.replace(/[.?*+^$[\]\\(){}|-]/g, "\\$&");
    }
    var defaultOptions = {
      fuzzyLink: true,
      fuzzyEmail: true,
      fuzzyIP: false
    };
    function isOptionsObj(obj) {
      return Object.keys(obj || {}).reduce(function(acc, k) {
        return acc || defaultOptions.hasOwnProperty(k);
      }, false);
    }
    var defaultSchemas = {
      "http:": {
        validate: function(text, pos, self) {
          var tail = text.slice(pos);
          if (!self.re.http) {
            self.re.http = new RegExp(
              "^\\/\\/" + self.re.src_auth + self.re.src_host_port_strict + self.re.src_path,
              "i"
            );
          }
          if (self.re.http.test(tail)) {
            return tail.match(self.re.http)[0].length;
          }
          return 0;
        }
      },
      "https:": "http:",
      "ftp:": "http:",
      "//": {
        validate: function(text, pos, self) {
          var tail = text.slice(pos);
          if (!self.re.no_http) {
            self.re.no_http = new RegExp(
              "^" + self.re.src_auth + // Don't allow single-level domains, because of false positives like '//test'
              // with code comments
              "(?:localhost|(?:(?:" + self.re.src_domain + ")\\.)+" + self.re.src_domain_root + ")" + self.re.src_port + self.re.src_host_terminator + self.re.src_path,
              "i"
            );
          }
          if (self.re.no_http.test(tail)) {
            if (pos >= 3 && text[pos - 3] === ":") {
              return 0;
            }
            if (pos >= 3 && text[pos - 3] === "/") {
              return 0;
            }
            return tail.match(self.re.no_http)[0].length;
          }
          return 0;
        }
      },
      "mailto:": {
        validate: function(text, pos, self) {
          var tail = text.slice(pos);
          if (!self.re.mailto) {
            self.re.mailto = new RegExp(
              "^" + self.re.src_email_name + "@" + self.re.src_host_strict,
              "i"
            );
          }
          if (self.re.mailto.test(tail)) {
            return tail.match(self.re.mailto)[0].length;
          }
          return 0;
        }
      }
    };
    var tlds_2ch_src_re = "a[cdefgilmnoqrstuwxz]|b[abdefghijmnorstvwyz]|c[acdfghiklmnoruvwxyz]|d[ejkmoz]|e[cegrstu]|f[ijkmor]|g[abdefghilmnpqrstuwy]|h[kmnrtu]|i[delmnoqrst]|j[emop]|k[eghimnprwyz]|l[abcikrstuvy]|m[acdeghklmnopqrstuvwxyz]|n[acefgilopruz]|om|p[aefghklmnrstwy]|qa|r[eosuw]|s[abcdeghijklmnortuvxyz]|t[cdfghjklmnortvwz]|u[agksyz]|v[aceginu]|w[fs]|y[et]|z[amw]";
    var tlds_default = "biz|com|edu|gov|net|org|pro|web|xxx|aero|asia|coop|info|museum|name|shop|\u0440\u0444".split("|");
    function resetScanCache(self) {
      self.__index__ = -1;
      self.__text_cache__ = "";
    }
    function createValidator(re) {
      return function(text, pos) {
        var tail = text.slice(pos);
        if (re.test(tail)) {
          return tail.match(re)[0].length;
        }
        return 0;
      };
    }
    function createNormalizer() {
      return function(match, self) {
        self.normalize(match);
      };
    }
    function compile(self) {
      var re = self.re = require_re()(self.__opts__);
      var tlds = self.__tlds__.slice();
      self.onCompile();
      if (!self.__tlds_replaced__) {
        tlds.push(tlds_2ch_src_re);
      }
      tlds.push(re.src_xn);
      re.src_tlds = tlds.join("|");
      function untpl(tpl) {
        return tpl.replace("%TLDS%", re.src_tlds);
      }
      re.email_fuzzy = RegExp(untpl(re.tpl_email_fuzzy), "i");
      re.link_fuzzy = RegExp(untpl(re.tpl_link_fuzzy), "i");
      re.link_no_ip_fuzzy = RegExp(untpl(re.tpl_link_no_ip_fuzzy), "i");
      re.host_fuzzy_test = RegExp(untpl(re.tpl_host_fuzzy_test), "i");
      var aliases = [];
      self.__compiled__ = {};
      function schemaError(name, val) {
        throw new Error('(LinkifyIt) Invalid schema "' + name + '": ' + val);
      }
      Object.keys(self.__schemas__).forEach(function(name) {
        var val = self.__schemas__[name];
        if (val === null) {
          return;
        }
        var compiled = { validate: null, link: null };
        self.__compiled__[name] = compiled;
        if (isObject(val)) {
          if (isRegExp(val.validate)) {
            compiled.validate = createValidator(val.validate);
          } else if (isFunction(val.validate)) {
            compiled.validate = val.validate;
          } else {
            schemaError(name, val);
          }
          if (isFunction(val.normalize)) {
            compiled.normalize = val.normalize;
          } else if (!val.normalize) {
            compiled.normalize = createNormalizer();
          } else {
            schemaError(name, val);
          }
          return;
        }
        if (isString(val)) {
          aliases.push(name);
          return;
        }
        schemaError(name, val);
      });
      aliases.forEach(function(alias) {
        if (!self.__compiled__[self.__schemas__[alias]]) {
          return;
        }
        self.__compiled__[alias].validate = self.__compiled__[self.__schemas__[alias]].validate;
        self.__compiled__[alias].normalize = self.__compiled__[self.__schemas__[alias]].normalize;
      });
      self.__compiled__[""] = { validate: null, normalize: createNormalizer() };
      var slist = Object.keys(self.__compiled__).filter(function(name) {
        return name.length > 0 && self.__compiled__[name];
      }).map(escapeRE).join("|");
      self.re.schema_test = RegExp("(^|(?!_)(?:[><\uFF5C]|" + re.src_ZPCc + "))(" + slist + ")", "i");
      self.re.schema_search = RegExp("(^|(?!_)(?:[><\uFF5C]|" + re.src_ZPCc + "))(" + slist + ")", "ig");
      self.re.schema_at_start = RegExp("^" + self.re.schema_search.source, "i");
      self.re.pretest = RegExp(
        "(" + self.re.schema_test.source + ")|(" + self.re.host_fuzzy_test.source + ")|@",
        "i"
      );
      resetScanCache(self);
    }
    function Match(self, shift) {
      var start = self.__index__, end = self.__last_index__, text = self.__text_cache__.slice(start, end);
      this.schema = self.__schema__.toLowerCase();
      this.index = start + shift;
      this.lastIndex = end + shift;
      this.raw = text;
      this.text = text;
      this.url = text;
    }
    function createMatch(self, shift) {
      var match = new Match(self, shift);
      self.__compiled__[match.schema].normalize(match, self);
      return match;
    }
    function LinkifyIt(schemas, options) {
      if (!(this instanceof LinkifyIt)) {
        return new LinkifyIt(schemas, options);
      }
      if (!options) {
        if (isOptionsObj(schemas)) {
          options = schemas;
          schemas = {};
        }
      }
      this.__opts__ = assign({}, defaultOptions, options);
      this.__index__ = -1;
      this.__last_index__ = -1;
      this.__schema__ = "";
      this.__text_cache__ = "";
      this.__schemas__ = assign({}, defaultSchemas, schemas);
      this.__compiled__ = {};
      this.__tlds__ = tlds_default;
      this.__tlds_replaced__ = false;
      this.re = {};
      compile(this);
    }
    LinkifyIt.prototype.add = function add(schema, definition) {
      this.__schemas__[schema] = definition;
      compile(this);
      return this;
    };
    LinkifyIt.prototype.set = function set(options) {
      this.__opts__ = assign(this.__opts__, options);
      return this;
    };
    LinkifyIt.prototype.test = function test(text) {
      this.__text_cache__ = text;
      this.__index__ = -1;
      if (!text.length) {
        return false;
      }
      var m, ml, me, len, shift, next, re, tld_pos, at_pos;
      if (this.re.schema_test.test(text)) {
        re = this.re.schema_search;
        re.lastIndex = 0;
        while ((m = re.exec(text)) !== null) {
          len = this.testSchemaAt(text, m[2], re.lastIndex);
          if (len) {
            this.__schema__ = m[2];
            this.__index__ = m.index + m[1].length;
            this.__last_index__ = m.index + m[0].length + len;
            break;
          }
        }
      }
      if (this.__opts__.fuzzyLink && this.__compiled__["http:"]) {
        tld_pos = text.search(this.re.host_fuzzy_test);
        if (tld_pos >= 0) {
          if (this.__index__ < 0 || tld_pos < this.__index__) {
            if ((ml = text.match(this.__opts__.fuzzyIP ? this.re.link_fuzzy : this.re.link_no_ip_fuzzy)) !== null) {
              shift = ml.index + ml[1].length;
              if (this.__index__ < 0 || shift < this.__index__) {
                this.__schema__ = "";
                this.__index__ = shift;
                this.__last_index__ = ml.index + ml[0].length;
              }
            }
          }
        }
      }
      if (this.__opts__.fuzzyEmail && this.__compiled__["mailto:"]) {
        at_pos = text.indexOf("@");
        if (at_pos >= 0) {
          if ((me = text.match(this.re.email_fuzzy)) !== null) {
            shift = me.index + me[1].length;
            next = me.index + me[0].length;
            if (this.__index__ < 0 || shift < this.__index__ || shift === this.__index__ && next > this.__last_index__) {
              this.__schema__ = "mailto:";
              this.__index__ = shift;
              this.__last_index__ = next;
            }
          }
        }
      }
      return this.__index__ >= 0;
    };
    LinkifyIt.prototype.pretest = function pretest(text) {
      return this.re.pretest.test(text);
    };
    LinkifyIt.prototype.testSchemaAt = function testSchemaAt(text, schema, pos) {
      if (!this.__compiled__[schema.toLowerCase()]) {
        return 0;
      }
      return this.__compiled__[schema.toLowerCase()].validate(text, pos, this);
    };
    LinkifyIt.prototype.match = function match(text) {
      var shift = 0, result = [];
      if (this.__index__ >= 0 && this.__text_cache__ === text) {
        result.push(createMatch(this, shift));
        shift = this.__last_index__;
      }
      var tail = shift ? text.slice(shift) : text;
      while (this.test(tail)) {
        result.push(createMatch(this, shift));
        tail = tail.slice(this.__last_index__);
        shift += this.__last_index__;
      }
      if (result.length) {
        return result;
      }
      return null;
    };
    LinkifyIt.prototype.matchAtStart = function matchAtStart(text) {
      this.__text_cache__ = text;
      this.__index__ = -1;
      if (!text.length)
        return null;
      var m = this.re.schema_at_start.exec(text);
      if (!m)
        return null;
      var len = this.testSchemaAt(text, m[2], m[0].length);
      if (!len)
        return null;
      this.__schema__ = m[2];
      this.__index__ = m.index + m[1].length;
      this.__last_index__ = m.index + m[0].length + len;
      return createMatch(this, 0);
    };
    LinkifyIt.prototype.tlds = function tlds(list, keepOld) {
      list = Array.isArray(list) ? list : [list];
      if (!keepOld) {
        this.__tlds__ = list.slice();
        this.__tlds_replaced__ = true;
        compile(this);
        return this;
      }
      this.__tlds__ = this.__tlds__.concat(list).sort().filter(function(el, idx, arr) {
        return el !== arr[idx - 1];
      }).reverse();
      compile(this);
      return this;
    };
    LinkifyIt.prototype.normalize = function normalize(match) {
      if (!match.schema) {
        match.url = "http://" + match.url;
      }
      if (match.schema === "mailto:" && !/^mailto:/i.test(match.url)) {
        match.url = "mailto:" + match.url;
      }
    };
    LinkifyIt.prototype.onCompile = function onCompile() {
    };
    module2.exports = LinkifyIt;
  }
});

// ../../../node_modules/tlds/index.json
var require_tlds = __commonJS({
  "../../../node_modules/tlds/index.json"(exports, module2) {
    module2.exports = [
      "aaa",
      "aarp",
      "abb",
      "abbott",
      "abbvie",
      "abc",
      "able",
      "abogado",
      "abudhabi",
      "ac",
      "academy",
      "accenture",
      "accountant",
      "accountants",
      "aco",
      "actor",
      "ad",
      "ads",
      "adult",
      "ae",
      "aeg",
      "aero",
      "aetna",
      "af",
      "afl",
      "africa",
      "ag",
      "agakhan",
      "agency",
      "ai",
      "aig",
      "airbus",
      "airforce",
      "airtel",
      "akdn",
      "al",
      "alibaba",
      "alipay",
      "allfinanz",
      "allstate",
      "ally",
      "alsace",
      "alstom",
      "am",
      "amazon",
      "americanexpress",
      "americanfamily",
      "amex",
      "amfam",
      "amica",
      "amsterdam",
      "analytics",
      "android",
      "anquan",
      "anz",
      "ao",
      "aol",
      "apartments",
      "app",
      "apple",
      "aq",
      "aquarelle",
      "ar",
      "arab",
      "aramco",
      "archi",
      "army",
      "arpa",
      "art",
      "arte",
      "as",
      "asda",
      "asia",
      "associates",
      "at",
      "athleta",
      "attorney",
      "au",
      "auction",
      "audi",
      "audible",
      "audio",
      "auspost",
      "author",
      "auto",
      "autos",
      "avianca",
      "aw",
      "aws",
      "ax",
      "axa",
      "az",
      "azure",
      "ba",
      "baby",
      "baidu",
      "banamex",
      "bananarepublic",
      "band",
      "bank",
      "bar",
      "barcelona",
      "barclaycard",
      "barclays",
      "barefoot",
      "bargains",
      "baseball",
      "basketball",
      "bauhaus",
      "bayern",
      "bb",
      "bbc",
      "bbt",
      "bbva",
      "bcg",
      "bcn",
      "bd",
      "be",
      "beats",
      "beauty",
      "beer",
      "bentley",
      "berlin",
      "best",
      "bestbuy",
      "bet",
      "bf",
      "bg",
      "bh",
      "bharti",
      "bi",
      "bible",
      "bid",
      "bike",
      "bing",
      "bingo",
      "bio",
      "biz",
      "bj",
      "black",
      "blackfriday",
      "blockbuster",
      "blog",
      "bloomberg",
      "blue",
      "bm",
      "bms",
      "bmw",
      "bn",
      "bnpparibas",
      "bo",
      "boats",
      "boehringer",
      "bofa",
      "bom",
      "bond",
      "boo",
      "book",
      "booking",
      "bosch",
      "bostik",
      "boston",
      "bot",
      "boutique",
      "box",
      "br",
      "bradesco",
      "bridgestone",
      "broadway",
      "broker",
      "brother",
      "brussels",
      "bs",
      "bt",
      "build",
      "builders",
      "business",
      "buy",
      "buzz",
      "bv",
      "bw",
      "by",
      "bz",
      "bzh",
      "ca",
      "cab",
      "cafe",
      "cal",
      "call",
      "calvinklein",
      "cam",
      "camera",
      "camp",
      "canon",
      "capetown",
      "capital",
      "capitalone",
      "car",
      "caravan",
      "cards",
      "care",
      "career",
      "careers",
      "cars",
      "casa",
      "case",
      "cash",
      "casino",
      "cat",
      "catering",
      "catholic",
      "cba",
      "cbn",
      "cbre",
      "cbs",
      "cc",
      "cd",
      "center",
      "ceo",
      "cern",
      "cf",
      "cfa",
      "cfd",
      "cg",
      "ch",
      "chanel",
      "channel",
      "charity",
      "chase",
      "chat",
      "cheap",
      "chintai",
      "christmas",
      "chrome",
      "church",
      "ci",
      "cipriani",
      "circle",
      "cisco",
      "citadel",
      "citi",
      "citic",
      "city",
      "cityeats",
      "ck",
      "cl",
      "claims",
      "cleaning",
      "click",
      "clinic",
      "clinique",
      "clothing",
      "cloud",
      "club",
      "clubmed",
      "cm",
      "cn",
      "co",
      "coach",
      "codes",
      "coffee",
      "college",
      "cologne",
      "com",
      "comcast",
      "commbank",
      "community",
      "company",
      "compare",
      "computer",
      "comsec",
      "condos",
      "construction",
      "consulting",
      "contact",
      "contractors",
      "cooking",
      "cool",
      "coop",
      "corsica",
      "country",
      "coupon",
      "coupons",
      "courses",
      "cpa",
      "cr",
      "credit",
      "creditcard",
      "creditunion",
      "cricket",
      "crown",
      "crs",
      "cruise",
      "cruises",
      "cu",
      "cuisinella",
      "cv",
      "cw",
      "cx",
      "cy",
      "cymru",
      "cyou",
      "cz",
      "dabur",
      "dad",
      "dance",
      "data",
      "date",
      "dating",
      "datsun",
      "day",
      "dclk",
      "dds",
      "de",
      "deal",
      "dealer",
      "deals",
      "degree",
      "delivery",
      "dell",
      "deloitte",
      "delta",
      "democrat",
      "dental",
      "dentist",
      "desi",
      "design",
      "dev",
      "dhl",
      "diamonds",
      "diet",
      "digital",
      "direct",
      "directory",
      "discount",
      "discover",
      "dish",
      "diy",
      "dj",
      "dk",
      "dm",
      "dnp",
      "do",
      "docs",
      "doctor",
      "dog",
      "domains",
      "dot",
      "download",
      "drive",
      "dtv",
      "dubai",
      "dunlop",
      "dupont",
      "durban",
      "dvag",
      "dvr",
      "dz",
      "earth",
      "eat",
      "ec",
      "eco",
      "edeka",
      "edu",
      "education",
      "ee",
      "eg",
      "email",
      "emerck",
      "energy",
      "engineer",
      "engineering",
      "enterprises",
      "epson",
      "equipment",
      "er",
      "ericsson",
      "erni",
      "es",
      "esq",
      "estate",
      "et",
      "etisalat",
      "eu",
      "eurovision",
      "eus",
      "events",
      "exchange",
      "expert",
      "exposed",
      "express",
      "extraspace",
      "fage",
      "fail",
      "fairwinds",
      "faith",
      "family",
      "fan",
      "fans",
      "farm",
      "farmers",
      "fashion",
      "fast",
      "fedex",
      "feedback",
      "ferrari",
      "ferrero",
      "fi",
      "fidelity",
      "fido",
      "film",
      "final",
      "finance",
      "financial",
      "fire",
      "firestone",
      "firmdale",
      "fish",
      "fishing",
      "fit",
      "fitness",
      "fj",
      "fk",
      "flickr",
      "flights",
      "flir",
      "florist",
      "flowers",
      "fly",
      "fm",
      "fo",
      "foo",
      "food",
      "football",
      "ford",
      "forex",
      "forsale",
      "forum",
      "foundation",
      "fox",
      "fr",
      "free",
      "fresenius",
      "frl",
      "frogans",
      "frontdoor",
      "frontier",
      "ftr",
      "fujitsu",
      "fun",
      "fund",
      "furniture",
      "futbol",
      "fyi",
      "ga",
      "gal",
      "gallery",
      "gallo",
      "gallup",
      "game",
      "games",
      "gap",
      "garden",
      "gay",
      "gb",
      "gbiz",
      "gd",
      "gdn",
      "ge",
      "gea",
      "gent",
      "genting",
      "george",
      "gf",
      "gg",
      "ggee",
      "gh",
      "gi",
      "gift",
      "gifts",
      "gives",
      "giving",
      "gl",
      "glass",
      "gle",
      "global",
      "globo",
      "gm",
      "gmail",
      "gmbh",
      "gmo",
      "gmx",
      "gn",
      "godaddy",
      "gold",
      "goldpoint",
      "golf",
      "goo",
      "goodyear",
      "goog",
      "google",
      "gop",
      "got",
      "gov",
      "gp",
      "gq",
      "gr",
      "grainger",
      "graphics",
      "gratis",
      "green",
      "gripe",
      "grocery",
      "group",
      "gs",
      "gt",
      "gu",
      "guardian",
      "gucci",
      "guge",
      "guide",
      "guitars",
      "guru",
      "gw",
      "gy",
      "hair",
      "hamburg",
      "hangout",
      "haus",
      "hbo",
      "hdfc",
      "hdfcbank",
      "health",
      "healthcare",
      "help",
      "helsinki",
      "here",
      "hermes",
      "hiphop",
      "hisamitsu",
      "hitachi",
      "hiv",
      "hk",
      "hkt",
      "hm",
      "hn",
      "hockey",
      "holdings",
      "holiday",
      "homedepot",
      "homegoods",
      "homes",
      "homesense",
      "honda",
      "horse",
      "hospital",
      "host",
      "hosting",
      "hot",
      "hoteles",
      "hotels",
      "hotmail",
      "house",
      "how",
      "hr",
      "hsbc",
      "ht",
      "hu",
      "hughes",
      "hyatt",
      "hyundai",
      "ibm",
      "icbc",
      "ice",
      "icu",
      "id",
      "ie",
      "ieee",
      "ifm",
      "ikano",
      "il",
      "im",
      "imamat",
      "imdb",
      "immo",
      "immobilien",
      "in",
      "inc",
      "industries",
      "infiniti",
      "info",
      "ing",
      "ink",
      "institute",
      "insurance",
      "insure",
      "int",
      "international",
      "intuit",
      "investments",
      "io",
      "ipiranga",
      "iq",
      "ir",
      "irish",
      "is",
      "ismaili",
      "ist",
      "istanbul",
      "it",
      "itau",
      "itv",
      "jaguar",
      "java",
      "jcb",
      "je",
      "jeep",
      "jetzt",
      "jewelry",
      "jio",
      "jll",
      "jm",
      "jmp",
      "jnj",
      "jo",
      "jobs",
      "joburg",
      "jot",
      "joy",
      "jp",
      "jpmorgan",
      "jprs",
      "juegos",
      "juniper",
      "kaufen",
      "kddi",
      "ke",
      "kerryhotels",
      "kerrylogistics",
      "kerryproperties",
      "kfh",
      "kg",
      "kh",
      "ki",
      "kia",
      "kids",
      "kim",
      "kinder",
      "kindle",
      "kitchen",
      "kiwi",
      "km",
      "kn",
      "koeln",
      "komatsu",
      "kosher",
      "kp",
      "kpmg",
      "kpn",
      "kr",
      "krd",
      "kred",
      "kuokgroup",
      "kw",
      "ky",
      "kyoto",
      "kz",
      "la",
      "lacaixa",
      "lamborghini",
      "lamer",
      "lancaster",
      "land",
      "landrover",
      "lanxess",
      "lasalle",
      "lat",
      "latino",
      "latrobe",
      "law",
      "lawyer",
      "lb",
      "lc",
      "lds",
      "lease",
      "leclerc",
      "lefrak",
      "legal",
      "lego",
      "lexus",
      "lgbt",
      "li",
      "lidl",
      "life",
      "lifeinsurance",
      "lifestyle",
      "lighting",
      "like",
      "lilly",
      "limited",
      "limo",
      "lincoln",
      "link",
      "lipsy",
      "live",
      "living",
      "lk",
      "llc",
      "llp",
      "loan",
      "loans",
      "locker",
      "locus",
      "lol",
      "london",
      "lotte",
      "lotto",
      "love",
      "lpl",
      "lplfinancial",
      "lr",
      "ls",
      "lt",
      "ltd",
      "ltda",
      "lu",
      "lundbeck",
      "luxe",
      "luxury",
      "lv",
      "ly",
      "ma",
      "madrid",
      "maif",
      "maison",
      "makeup",
      "man",
      "management",
      "mango",
      "map",
      "market",
      "marketing",
      "markets",
      "marriott",
      "marshalls",
      "mattel",
      "mba",
      "mc",
      "mckinsey",
      "md",
      "me",
      "med",
      "media",
      "meet",
      "melbourne",
      "meme",
      "memorial",
      "men",
      "menu",
      "merckmsd",
      "mg",
      "mh",
      "miami",
      "microsoft",
      "mil",
      "mini",
      "mint",
      "mit",
      "mitsubishi",
      "mk",
      "ml",
      "mlb",
      "mls",
      "mm",
      "mma",
      "mn",
      "mo",
      "mobi",
      "mobile",
      "moda",
      "moe",
      "moi",
      "mom",
      "monash",
      "money",
      "monster",
      "mormon",
      "mortgage",
      "moscow",
      "moto",
      "motorcycles",
      "mov",
      "movie",
      "mp",
      "mq",
      "mr",
      "ms",
      "msd",
      "mt",
      "mtn",
      "mtr",
      "mu",
      "museum",
      "music",
      "mutual",
      "mv",
      "mw",
      "mx",
      "my",
      "mz",
      "na",
      "nab",
      "nagoya",
      "name",
      "natura",
      "navy",
      "nba",
      "nc",
      "ne",
      "nec",
      "net",
      "netbank",
      "netflix",
      "network",
      "neustar",
      "new",
      "news",
      "next",
      "nextdirect",
      "nexus",
      "nf",
      "nfl",
      "ng",
      "ngo",
      "nhk",
      "ni",
      "nico",
      "nike",
      "nikon",
      "ninja",
      "nissan",
      "nissay",
      "nl",
      "no",
      "nokia",
      "northwesternmutual",
      "norton",
      "now",
      "nowruz",
      "nowtv",
      "np",
      "nr",
      "nra",
      "nrw",
      "ntt",
      "nu",
      "nyc",
      "nz",
      "obi",
      "observer",
      "office",
      "okinawa",
      "olayan",
      "olayangroup",
      "oldnavy",
      "ollo",
      "om",
      "omega",
      "one",
      "ong",
      "onl",
      "online",
      "ooo",
      "open",
      "oracle",
      "orange",
      "org",
      "organic",
      "origins",
      "osaka",
      "otsuka",
      "ott",
      "ovh",
      "pa",
      "page",
      "panasonic",
      "paris",
      "pars",
      "partners",
      "parts",
      "party",
      "passagens",
      "pay",
      "pccw",
      "pe",
      "pet",
      "pf",
      "pfizer",
      "pg",
      "ph",
      "pharmacy",
      "phd",
      "philips",
      "phone",
      "photo",
      "photography",
      "photos",
      "physio",
      "pics",
      "pictet",
      "pictures",
      "pid",
      "pin",
      "ping",
      "pink",
      "pioneer",
      "pizza",
      "pk",
      "pl",
      "place",
      "play",
      "playstation",
      "plumbing",
      "plus",
      "pm",
      "pn",
      "pnc",
      "pohl",
      "poker",
      "politie",
      "porn",
      "post",
      "pr",
      "pramerica",
      "praxi",
      "press",
      "prime",
      "pro",
      "prod",
      "productions",
      "prof",
      "progressive",
      "promo",
      "properties",
      "property",
      "protection",
      "pru",
      "prudential",
      "ps",
      "pt",
      "pub",
      "pw",
      "pwc",
      "py",
      "qa",
      "qpon",
      "quebec",
      "quest",
      "racing",
      "radio",
      "re",
      "read",
      "realestate",
      "realtor",
      "realty",
      "recipes",
      "red",
      "redstone",
      "redumbrella",
      "rehab",
      "reise",
      "reisen",
      "reit",
      "reliance",
      "ren",
      "rent",
      "rentals",
      "repair",
      "report",
      "republican",
      "rest",
      "restaurant",
      "review",
      "reviews",
      "rexroth",
      "rich",
      "richardli",
      "ricoh",
      "ril",
      "rio",
      "rip",
      "ro",
      "rocher",
      "rocks",
      "rodeo",
      "rogers",
      "room",
      "rs",
      "rsvp",
      "ru",
      "rugby",
      "ruhr",
      "run",
      "rw",
      "rwe",
      "ryukyu",
      "sa",
      "saarland",
      "safe",
      "safety",
      "sakura",
      "sale",
      "salon",
      "samsclub",
      "samsung",
      "sandvik",
      "sandvikcoromant",
      "sanofi",
      "sap",
      "sarl",
      "sas",
      "save",
      "saxo",
      "sb",
      "sbi",
      "sbs",
      "sc",
      "sca",
      "scb",
      "schaeffler",
      "schmidt",
      "scholarships",
      "school",
      "schule",
      "schwarz",
      "science",
      "scot",
      "sd",
      "se",
      "search",
      "seat",
      "secure",
      "security",
      "seek",
      "select",
      "sener",
      "services",
      "seven",
      "sew",
      "sex",
      "sexy",
      "sfr",
      "sg",
      "sh",
      "shangrila",
      "sharp",
      "shaw",
      "shell",
      "shia",
      "shiksha",
      "shoes",
      "shop",
      "shopping",
      "shouji",
      "show",
      "showtime",
      "si",
      "silk",
      "sina",
      "singles",
      "site",
      "sj",
      "sk",
      "ski",
      "skin",
      "sky",
      "skype",
      "sl",
      "sling",
      "sm",
      "smart",
      "smile",
      "sn",
      "sncf",
      "so",
      "soccer",
      "social",
      "softbank",
      "software",
      "sohu",
      "solar",
      "solutions",
      "song",
      "sony",
      "soy",
      "spa",
      "space",
      "sport",
      "spot",
      "sr",
      "srl",
      "ss",
      "st",
      "stada",
      "staples",
      "star",
      "statebank",
      "statefarm",
      "stc",
      "stcgroup",
      "stockholm",
      "storage",
      "store",
      "stream",
      "studio",
      "study",
      "style",
      "su",
      "sucks",
      "supplies",
      "supply",
      "support",
      "surf",
      "surgery",
      "suzuki",
      "sv",
      "swatch",
      "swiss",
      "sx",
      "sy",
      "sydney",
      "systems",
      "sz",
      "tab",
      "taipei",
      "talk",
      "taobao",
      "target",
      "tatamotors",
      "tatar",
      "tattoo",
      "tax",
      "taxi",
      "tc",
      "tci",
      "td",
      "tdk",
      "team",
      "tech",
      "technology",
      "tel",
      "temasek",
      "tennis",
      "teva",
      "tf",
      "tg",
      "th",
      "thd",
      "theater",
      "theatre",
      "tiaa",
      "tickets",
      "tienda",
      "tiffany",
      "tips",
      "tires",
      "tirol",
      "tj",
      "tjmaxx",
      "tjx",
      "tk",
      "tkmaxx",
      "tl",
      "tm",
      "tmall",
      "tn",
      "to",
      "today",
      "tokyo",
      "tools",
      "top",
      "toray",
      "toshiba",
      "total",
      "tours",
      "town",
      "toyota",
      "toys",
      "tr",
      "trade",
      "trading",
      "training",
      "travel",
      "travelers",
      "travelersinsurance",
      "trust",
      "trv",
      "tt",
      "tube",
      "tui",
      "tunes",
      "tushu",
      "tv",
      "tvs",
      "tw",
      "tz",
      "ua",
      "ubank",
      "ubs",
      "ug",
      "uk",
      "unicom",
      "university",
      "uno",
      "uol",
      "ups",
      "us",
      "uy",
      "uz",
      "va",
      "vacations",
      "vana",
      "vanguard",
      "vc",
      "ve",
      "vegas",
      "ventures",
      "verisign",
      "verm\xF6gensberater",
      "verm\xF6gensberatung",
      "versicherung",
      "vet",
      "vg",
      "vi",
      "viajes",
      "video",
      "vig",
      "viking",
      "villas",
      "vin",
      "vip",
      "virgin",
      "visa",
      "vision",
      "viva",
      "vivo",
      "vlaanderen",
      "vn",
      "vodka",
      "volkswagen",
      "volvo",
      "vote",
      "voting",
      "voto",
      "voyage",
      "vu",
      "vuelos",
      "wales",
      "walmart",
      "walter",
      "wang",
      "wanggou",
      "watch",
      "watches",
      "weather",
      "weatherchannel",
      "webcam",
      "weber",
      "website",
      "wed",
      "wedding",
      "weibo",
      "weir",
      "wf",
      "whoswho",
      "wien",
      "wiki",
      "williamhill",
      "win",
      "windows",
      "wine",
      "winners",
      "wme",
      "wolterskluwer",
      "woodside",
      "work",
      "works",
      "world",
      "wow",
      "ws",
      "wtc",
      "wtf",
      "xbox",
      "xerox",
      "xfinity",
      "xihuan",
      "xin",
      "xxx",
      "xyz",
      "yachts",
      "yahoo",
      "yamaxun",
      "yandex",
      "ye",
      "yodobashi",
      "yoga",
      "yokohama",
      "you",
      "youtube",
      "yt",
      "yun",
      "za",
      "zappos",
      "zara",
      "zero",
      "zip",
      "zm",
      "zone",
      "zuerich",
      "zw",
      "\u03B5\u03BB",
      "\u03B5\u03C5",
      "\u0431\u0433",
      "\u0431\u0435\u043B",
      "\u0434\u0435\u0442\u0438",
      "\u0435\u044E",
      "\u043A\u0430\u0442\u043E\u043B\u0438\u043A",
      "\u043A\u043E\u043C",
      "\u043C\u043A\u0434",
      "\u043C\u043E\u043D",
      "\u043C\u043E\u0441\u043A\u0432\u0430",
      "\u043E\u043D\u043B\u0430\u0439\u043D",
      "\u043E\u0440\u0433",
      "\u0440\u0443\u0441",
      "\u0440\u0444",
      "\u0441\u0430\u0439\u0442",
      "\u0441\u0440\u0431",
      "\u0443\u043A\u0440",
      "\u049B\u0430\u0437",
      "\u0570\u0561\u0575",
      "\u05D9\u05E9\u05E8\u05D0\u05DC",
      "\u05E7\u05D5\u05DD",
      "\u0627\u0628\u0648\u0638\u0628\u064A",
      "\u0627\u062A\u0635\u0627\u0644\u0627\u062A",
      "\u0627\u0631\u0627\u0645\u0643\u0648",
      "\u0627\u0644\u0627\u0631\u062F\u0646",
      "\u0627\u0644\u0628\u062D\u0631\u064A\u0646",
      "\u0627\u0644\u062C\u0632\u0627\u0626\u0631",
      "\u0627\u0644\u0633\u0639\u0648\u062F\u064A\u0629",
      "\u0627\u0644\u0639\u0644\u064A\u0627\u0646",
      "\u0627\u0644\u0645\u063A\u0631\u0628",
      "\u0627\u0645\u0627\u0631\u0627\u062A",
      "\u0627\u06CC\u0631\u0627\u0646",
      "\u0628\u0627\u0631\u062A",
      "\u0628\u0627\u0632\u0627\u0631",
      "\u0628\u064A\u062A\u0643",
      "\u0628\u06BE\u0627\u0631\u062A",
      "\u062A\u0648\u0646\u0633",
      "\u0633\u0648\u062F\u0627\u0646",
      "\u0633\u0648\u0631\u064A\u0629",
      "\u0634\u0628\u0643\u0629",
      "\u0639\u0631\u0627\u0642",
      "\u0639\u0631\u0628",
      "\u0639\u0645\u0627\u0646",
      "\u0641\u0644\u0633\u0637\u064A\u0646",
      "\u0642\u0637\u0631",
      "\u0643\u0627\u062B\u0648\u0644\u064A\u0643",
      "\u0643\u0648\u0645",
      "\u0645\u0635\u0631",
      "\u0645\u0644\u064A\u0633\u064A\u0627",
      "\u0645\u0648\u0631\u064A\u062A\u0627\u0646\u064A\u0627",
      "\u0645\u0648\u0642\u0639",
      "\u0647\u0645\u0631\u0627\u0647",
      "\u067E\u0627\u06A9\u0633\u062A\u0627\u0646",
      "\u0680\u0627\u0631\u062A",
      "\u0915\u0949\u092E",
      "\u0928\u0947\u091F",
      "\u092D\u093E\u0930\u0924",
      "\u092D\u093E\u0930\u0924\u092E\u094D",
      "\u092D\u093E\u0930\u094B\u0924",
      "\u0938\u0902\u0917\u0920\u0928",
      "\u09AC\u09BE\u0982\u09B2\u09BE",
      "\u09AD\u09BE\u09B0\u09A4",
      "\u09AD\u09BE\u09F0\u09A4",
      "\u0A2D\u0A3E\u0A30\u0A24",
      "\u0AAD\u0ABE\u0AB0\u0AA4",
      "\u0B2D\u0B3E\u0B30\u0B24",
      "\u0B87\u0BA8\u0BCD\u0BA4\u0BBF\u0BAF\u0BBE",
      "\u0B87\u0BB2\u0B99\u0BCD\u0B95\u0BC8",
      "\u0B9A\u0BBF\u0B99\u0BCD\u0B95\u0BAA\u0BCD\u0BAA\u0BC2\u0BB0\u0BCD",
      "\u0C2D\u0C3E\u0C30\u0C24\u0C4D",
      "\u0CAD\u0CBE\u0CB0\u0CA4",
      "\u0D2D\u0D3E\u0D30\u0D24\u0D02",
      "\u0DBD\u0D82\u0D9A\u0DCF",
      "\u0E04\u0E2D\u0E21",
      "\u0E44\u0E17\u0E22",
      "\u0EA5\u0EB2\u0EA7",
      "\u10D2\u10D4",
      "\u307F\u3093\u306A",
      "\u30A2\u30DE\u30BE\u30F3",
      "\u30AF\u30E9\u30A6\u30C9",
      "\u30B0\u30FC\u30B0\u30EB",
      "\u30B3\u30E0",
      "\u30B9\u30C8\u30A2",
      "\u30BB\u30FC\u30EB",
      "\u30D5\u30A1\u30C3\u30B7\u30E7\u30F3",
      "\u30DD\u30A4\u30F3\u30C8",
      "\u4E16\u754C",
      "\u4E2D\u4FE1",
      "\u4E2D\u56FD",
      "\u4E2D\u570B",
      "\u4E2D\u6587\u7F51",
      "\u4E9A\u9A6C\u900A",
      "\u4F01\u4E1A",
      "\u4F5B\u5C71",
      "\u4FE1\u606F",
      "\u5065\u5EB7",
      "\u516B\u5366",
      "\u516C\u53F8",
      "\u516C\u76CA",
      "\u53F0\u6E7E",
      "\u53F0\u7063",
      "\u5546\u57CE",
      "\u5546\u5E97",
      "\u5546\u6807",
      "\u5609\u91CC",
      "\u5609\u91CC\u5927\u9152\u5E97",
      "\u5728\u7EBF",
      "\u5927\u62FF",
      "\u5929\u4E3B\u6559",
      "\u5A31\u4E50",
      "\u5BB6\u96FB",
      "\u5E7F\u4E1C",
      "\u5FAE\u535A",
      "\u6148\u5584",
      "\u6211\u7231\u4F60",
      "\u624B\u673A",
      "\u62DB\u8058",
      "\u653F\u52A1",
      "\u653F\u5E9C",
      "\u65B0\u52A0\u5761",
      "\u65B0\u95FB",
      "\u65F6\u5C1A",
      "\u66F8\u7C4D",
      "\u673A\u6784",
      "\u6DE1\u9A6C\u9521",
      "\u6E38\u620F",
      "\u6FB3\u9580",
      "\u70B9\u770B",
      "\u79FB\u52A8",
      "\u7EC4\u7EC7\u673A\u6784",
      "\u7F51\u5740",
      "\u7F51\u5E97",
      "\u7F51\u7AD9",
      "\u7F51\u7EDC",
      "\u8054\u901A",
      "\u8C37\u6B4C",
      "\u8D2D\u7269",
      "\u901A\u8CA9",
      "\u96C6\u56E2",
      "\u96FB\u8A0A\u76C8\u79D1",
      "\u98DE\u5229\u6D66",
      "\u98DF\u54C1",
      "\u9910\u5385",
      "\u9999\u683C\u91CC\u62C9",
      "\u9999\u6E2F",
      "\uB2F7\uB137",
      "\uB2F7\uCEF4",
      "\uC0BC\uC131",
      "\uD55C\uAD6D"
    ];
  }
});

// ../../../node_modules/mailparser/lib/mail-parser.js
var require_mail_parser = __commonJS({
  "../../../node_modules/mailparser/lib/mail-parser.js"(exports, module2) {
    "use strict";
    var mailsplit = require_mailsplit();
    var libmime = require_libmime2();
    var addressparser = require_addressparser();
    var Transform = require("stream").Transform;
    var Splitter = mailsplit.Splitter;
    var punycode = require("punycode");
    var FlowedDecoder = require_flowed_decoder();
    var StreamHash = require_stream_hash();
    var iconv = require_lib();
    var { htmlToText } = require_html_to_text();
    var he = require_he();
    var linkify = require_linkify_it()();
    var tlds = require_tlds();
    var encodingJapanese = require_src();
    linkify.tlds(tlds).tlds("onion", true).add("git:", "http:").add("ftp:", null).set({ fuzzyIP: true, fuzzyLink: true, fuzzyEmail: true });
    linkify.add("@", {
      validate(text, pos, self) {
        let tail = text.slice(pos);
        if (!self.re.twitter) {
          self.re.twitter = new RegExp("^([a-zA-Z0-9_]){1,15}(?!_)(?=$|" + self.re.src_ZPCc + ")");
        }
        if (self.re.twitter.test(tail)) {
          if (pos >= 2 && tail[pos - 2] === "@") {
            return false;
          }
          return tail.match(self.re.twitter)[0].length;
        }
        return 0;
      },
      normalize(match) {
        match.url = "https://twitter.com/" + match.url.replace(/^@/, "");
      }
    });
    var IconvDecoder = class extends Transform {
      constructor(Iconv, charset) {
        super();
        if (charset.toLowerCase() === "ks_c_5601-1987") {
          charset = "CP949";
        }
        this.stream = new Iconv(charset, "UTF-8//TRANSLIT//IGNORE");
        this.inputEnded = false;
        this.endCb = false;
        this.stream.on("error", (err) => this.emit("error", err));
        this.stream.on("data", (chunk) => this.push(chunk));
        this.stream.on("end", () => {
          this.inputEnded = true;
          if (typeof this.endCb === "function") {
            this.endCb();
          }
        });
      }
      _transform(chunk, encoding, done) {
        this.stream.write(chunk);
        done();
      }
      _flush(done) {
        this.endCb = done;
        this.stream.end();
      }
    };
    var JPDecoder = class extends Transform {
      constructor(charset) {
        super();
        this.charset = charset;
        this.chunks = [];
        this.chunklen = 0;
      }
      _transform(chunk, encoding, done) {
        if (typeof chunk === "string") {
          chunk = Buffer.from(chunk, encoding);
        }
        this.chunks.push(chunk);
        this.chunklen += chunk.length;
        done();
      }
      _flush(done) {
        let input = Buffer.concat(this.chunks, this.chunklen);
        try {
          let output = encodingJapanese.convert(input, {
            to: "UNICODE",
            // to_encoding
            from: this.charset,
            // from_encoding
            type: "string"
          });
          if (typeof output === "string") {
            output = Buffer.from(output);
          }
          this.push(output);
        } catch (err) {
          this.push(input);
        }
        done();
      }
    };
    var MailParser = class extends Transform {
      constructor(config) {
        super({
          readableObjectMode: true,
          writableObjectMode: false
        });
        this.options = config || {};
        this.splitter = new Splitter(config);
        this.finished = false;
        this.waitingEnd = false;
        this.headers = false;
        this.headerLines = false;
        this.endReceived = false;
        this.reading = false;
        this.hasFailed = false;
        this.tree = false;
        this.curnode = false;
        this.waitUntilAttachmentEnd = false;
        this.attachmentCallback = false;
        this.hasHtml = false;
        this.hasText = false;
        this.text = false;
        this.html = false;
        this.textAsHtml = false;
        this.attachmentList = [];
        this.boundaries = [];
        this.textTypes = ["text/plain", "text/html"].concat(!this.options.keepDeliveryStatus ? "message/delivery-status" : []);
        this.decoder = this.getDecoder();
        this.splitter.on("readable", () => {
          if (this.reading) {
            return false;
          }
          this.readData();
        });
        this.splitter.on("end", () => {
          this.endReceived = true;
          if (!this.reading) {
            this.endStream();
          }
        });
        this.splitter.on("error", (err) => {
          this.hasFailed = true;
          if (typeof this.waitingEnd === "function") {
            return this.waitingEnd(err);
          }
          this.emit("error", err);
        });
        this.libmime = new libmime.Libmime({ Iconv: this.options.Iconv });
      }
      getDecoder() {
        if (this.options.Iconv) {
          const Iconv = this.options.Iconv;
          return {
            decodeStream(charset) {
              return new IconvDecoder(Iconv, charset);
            }
          };
        } else {
          return {
            decodeStream(charset) {
              charset = (charset || "ascii").toString().trim().toLowerCase();
              if (/^jis|^iso-?2022-?jp|^EUCJP/i.test(charset)) {
                return new JPDecoder(charset);
              }
              return iconv.decodeStream(charset);
            }
          };
        }
      }
      readData() {
        if (this.hasFailed) {
          return false;
        }
        this.reading = true;
        let data = this.splitter.read();
        if (data === null) {
          this.reading = false;
          if (this.endReceived) {
            this.endStream();
          }
          return;
        }
        this.processChunk(data, (err) => {
          if (err) {
            if (typeof this.waitingEnd === "function") {
              return this.waitingEnd(err);
            }
            return this.emit("error", err);
          }
          setImmediate(() => this.readData());
        });
      }
      endStream() {
        this.finished = true;
        if (this.curnode && this.curnode.decoder) {
          this.curnode.decoder.end();
        }
        if (typeof this.waitingEnd === "function") {
          this.waitingEnd();
        }
      }
      _transform(chunk, encoding, done) {
        if (!chunk || !chunk.length) {
          return done();
        }
        if (this.splitter.write(chunk) === false) {
          return this.splitter.once("drain", () => {
            done();
          });
        } else {
          return done();
        }
      }
      _flush(done) {
        setImmediate(() => this.splitter.end());
        if (this.finished) {
          return this.cleanup(done);
        }
        this.waitingEnd = () => {
          this.cleanup(() => {
            done();
          });
        };
      }
      cleanup(done) {
        let finish = () => {
          try {
            let t = this.getTextContent();
            this.push(t);
          } catch (err) {
            return this.emit("error", err);
          }
          done();
        };
        if (this.curnode && this.curnode.decoder && this.curnode.decoder.readable && !this.decoderEnded) {
          (this.curnode.contentStream || this.curnode.decoder).once("end", () => {
            finish();
          });
          this.curnode.decoder.end();
        } else {
          setImmediate(() => {
            finish();
          });
        }
      }
      processHeaders(lines) {
        let headers = /* @__PURE__ */ new Map();
        (lines || []).forEach((line) => {
          let key = line.key;
          let value = ((this.libmime.decodeHeader(line.line) || {}).value || "").toString().trim();
          value = Buffer.from(value, "binary").toString();
          switch (key) {
            case "content-type":
            case "content-disposition":
            case "dkim-signature":
              value = this.libmime.parseHeaderValue(value);
              if (value.value) {
                value.value = this.libmime.decodeWords(value.value);
              }
              Object.keys(value && value.params || {}).forEach((key2) => {
                try {
                  value.params[key2] = this.libmime.decodeWords(value.params[key2]);
                } catch (E) {
                }
              });
              break;
            case "date": {
              let dateValue = new Date(value);
              if (isNaN(dateValue)) {
                dateValue = /* @__PURE__ */ new Date();
              }
              value = dateValue;
              break;
            }
            case "subject":
              try {
                value = this.libmime.decodeWords(value);
              } catch (E) {
              }
              break;
            case "references":
              try {
                value = this.libmime.decodeWords(value);
              } catch (E) {
              }
              value = value.split(/\s+/).map(this.ensureMessageIDFormat);
              break;
            case "message-id":
            case "in-reply-to":
              try {
                value = this.libmime.decodeWords(value);
              } catch (E) {
              }
              value = this.ensureMessageIDFormat(value);
              break;
            case "priority":
            case "x-priority":
            case "x-msmail-priority":
            case "importance":
              key = "priority";
              value = this.parsePriority(value);
              break;
            case "from":
            case "to":
            case "cc":
            case "bcc":
            case "sender":
            case "reply-to":
            case "delivered-to":
            case "return-path":
              value = addressparser(value);
              this.decodeAddresses(value);
              value = {
                value,
                html: this.getAddressesHTML(value),
                text: this.getAddressesText(value)
              };
              break;
          }
          if (key.substr(0, 5) === "list-") {
            value = this.parseListHeader(key.substr(5), value);
            key = "list";
          }
          if (value) {
            if (!headers.has(key)) {
              headers.set(key, [].concat(value || []));
            } else if (Array.isArray(value)) {
              headers.set(key, headers.get(key).concat(value));
            } else {
              headers.get(key).push(value);
            }
          }
        });
        let singleKeys = [
          "message-id",
          "content-id",
          "from",
          "sender",
          "in-reply-to",
          "reply-to",
          "subject",
          "date",
          "content-disposition",
          "content-type",
          "content-transfer-encoding",
          "priority",
          "mime-version",
          "content-description",
          "precedence",
          "errors-to"
        ];
        headers.forEach((value, key) => {
          if (Array.isArray(value)) {
            if (singleKeys.includes(key) && value.length) {
              headers.set(key, value[value.length - 1]);
            } else if (value.length === 1) {
              headers.set(key, value[0]);
            }
          }
          if (key === "list") {
            let listValue = {};
            [].concat(value || []).forEach((val) => {
              Object.keys(val || {}).forEach((listKey) => {
                listValue[listKey] = val[listKey];
              });
            });
            headers.set(key, listValue);
          }
        });
        return headers;
      }
      parseListHeader(key, value) {
        let addresses = addressparser(value);
        let response = {};
        let data = addresses.map((address) => {
          if (/^https?:/i.test(address.name)) {
            response.url = address.name;
          } else if (address.name) {
            response.name = address.name;
          }
          if (/^mailto:/.test(address.address)) {
            response.mail = address.address.substr(7);
          } else if (address.address && address.address.indexOf("@") < 0) {
            response.id = address.address;
          } else if (address.address) {
            response.mail = address.address;
          }
          if (Object.keys(response).length) {
            return response;
          }
          return false;
        }).filter((address) => address);
        if (data.length) {
          return {
            [key]: response
          };
        }
        return false;
      }
      parsePriority(value) {
        value = value.toLowerCase().trim();
        if (!isNaN(parseInt(value, 10))) {
          value = parseInt(value, 10) || 0;
          if (value === 3) {
            return "normal";
          } else if (value > 3) {
            return "low";
          } else {
            return "high";
          }
        } else {
          switch (value) {
            case "non-urgent":
            case "low":
              return "low";
            case "urgent":
            case "high":
              return "high";
          }
        }
        return "normal";
      }
      ensureMessageIDFormat(value) {
        if (!value.length) {
          return false;
        }
        if (value.charAt(0) !== "<") {
          value = "<" + value;
        }
        if (value.charAt(value.length - 1) !== ">") {
          value += ">";
        }
        return value;
      }
      decodeAddresses(addresses) {
        let processedAddress = /* @__PURE__ */ new WeakSet();
        for (let i = 0; i < addresses.length; i++) {
          let address = addresses[i];
          address.name = (address.name || "").toString().trim();
          if (!address.address && /^(=\?([^?]+)\?[Bb]\?[^?]*\?=)(\s*=\?([^?]+)\?[Bb]\?[^?]*\?=)*$/.test(address.name) && !processedAddress.has(address)) {
            let parsed = addressparser(this.libmime.decodeWords(address.name));
            if (parsed.length) {
              parsed.forEach((entry) => {
                processedAddress.add(entry);
                addresses.push(entry);
              });
            }
            addresses.splice(i, 1);
            i--;
            continue;
          }
          if (address.name) {
            try {
              address.name = this.libmime.decodeWords(address.name);
            } catch (E) {
            }
          }
          if (/@xn--/.test(address.address)) {
            try {
              address.address = address.address.substr(0, address.address.lastIndexOf("@") + 1) + punycode.toUnicode(address.address.substr(address.address.lastIndexOf("@") + 1));
            } catch (E) {
            }
          }
          if (address.group) {
            this.decodeAddresses(address.group);
          }
        }
      }
      createNode(node) {
        let contentType = node.contentType;
        let disposition = node.disposition;
        let encoding = node.encoding;
        let charset = node.charset;
        if (!contentType && node.root) {
          contentType = "text/plain";
        }
        let newNode = {
          node,
          headerLines: node.headers.lines,
          headers: this.processHeaders(node.headers.getList()),
          contentType,
          children: []
        };
        if (!/^multipart\//i.test(contentType)) {
          if (disposition && !["attachment", "inline"].includes(disposition)) {
            disposition = "attachment";
          }
          if (!disposition && !this.textTypes.includes(contentType)) {
            newNode.disposition = "attachment";
          } else {
            newNode.disposition = disposition || "inline";
          }
          newNode.isAttachment = !this.textTypes.includes(contentType) || newNode.disposition !== "inline";
          newNode.encoding = ["quoted-printable", "base64"].includes(encoding) ? encoding : "binary";
          if (charset) {
            newNode.charset = charset;
          }
          let decoder = node.getDecoder();
          decoder.on("end", () => {
            this.decoderEnded = true;
          });
          newNode.decoder = decoder;
        }
        if (node.root) {
          this.headers = newNode.headers;
          this.headerLines = newNode.headerLines;
        }
        if (!this.tree) {
          newNode.root = true;
          this.curnode = this.tree = newNode;
          return newNode;
        }
        if (!this.curnode.parent) {
          newNode.parent = this.curnode;
          this.curnode.children.push(newNode);
          this.curnode = newNode;
          return newNode;
        }
        if (this.curnode.parent.node === node.parentNode) {
          newNode.parent = this.curnode.parent;
          this.curnode.parent.children.push(newNode);
          this.curnode = newNode;
          return newNode;
        }
        if (this.curnode.node === node.parentNode) {
          newNode.parent = this.curnode;
          this.curnode.children.push(newNode);
          this.curnode = newNode;
          return newNode;
        }
        let parentNode = this.curnode;
        while (parentNode = parentNode.parent) {
          if (parentNode.node === node.parentNode) {
            newNode.parent = parentNode;
            parentNode.children.push(newNode);
            this.curnode = newNode;
            return newNode;
          }
        }
        this.curnode = newNode;
        return newNode;
      }
      getTextContent() {
        let text = [];
        let html = [];
        let processNode = (alternative, level, node) => {
          if (node.showMeta) {
            let meta = ["From", "Subject", "Date", "To", "Cc", "Bcc"].map((fkey) => {
              let key = fkey.toLowerCase();
              if (!node.headers.has(key)) {
                return false;
              }
              let value = node.headers.get(key);
              if (!value) {
                return false;
              }
              return {
                key: fkey,
                value: Array.isArray(value) ? value[value.length - 1] : value
              };
            }).filter((entry) => entry);
            if (this.hasHtml) {
              html.push(
                '<table class="mp_head">' + meta.map((entry) => {
                  let value = entry.value;
                  switch (entry.key) {
                    case "From":
                    case "To":
                    case "Cc":
                    case "Bcc":
                      value = value.html;
                      break;
                    case "Date":
                      value = this.options.formatDateString ? this.options.formatDateString(value) : value.toUTCString();
                      break;
                    case "Subject":
                      value = "<strong>" + he.encode(value) + "</strong>";
                      break;
                    default:
                      value = he.encode(value);
                  }
                  return '<tr><td class="mp_head_key">' + he.encode(entry.key) + ':</td><td class="mp_head_value">' + value + "<td></tr>";
                }).join("\n") + "<table>"
              );
            }
            if (this.hasText) {
              text.push(
                "\n" + meta.map((entry) => {
                  let value = entry.value;
                  switch (entry.key) {
                    case "From":
                    case "To":
                    case "Cc":
                    case "Bcc":
                      value = value.text;
                      break;
                    case "Date":
                      value = this.options.formatDateString ? this.options.formatDateString(value) : value.toUTCString();
                      break;
                  }
                  return entry.key + ": " + value;
                }).join("\n") + "\n"
              );
            }
          }
          if (node.textContent) {
            if (node.contentType === "text/plain") {
              text.push(node.textContent);
              if (!alternative && this.hasHtml) {
                html.push(this.textToHtml(node.textContent));
              }
            } else if (node.contentType === "message/delivery-status" && !this.options.keepDeliveryStatus) {
              text.push(node.textContent);
              if (!alternative && this.hasHtml) {
                html.push(this.textToHtml(node.textContent));
              }
            } else if (node.contentType === "text/html") {
              let failedToParseHtml = false;
              if (!alternative && this.hasText || node.root && !this.hasText) {
                if (this.options.skipHtmlToText) {
                  text.push("");
                } else if (node.textContent.length > this.options.maxHtmlLengthToParse) {
                  this.emit("error", new Error(`HTML too long for parsing ${node.textContent.length} bytes`));
                  text.push("Invalid HTML content (too long)");
                  failedToParseHtml = true;
                } else {
                  try {
                    text.push(htmlToText(node.textContent));
                  } catch (err) {
                    this.emit("error", new Error("Failed to parse HTML"));
                    text.push("Invalid HTML content");
                    failedToParseHtml = true;
                  }
                }
              }
              if (!failedToParseHtml) {
                html.push(node.textContent);
              }
            }
          }
          alternative = alternative || node.contentType === "multipart/alternative";
          if (node.children) {
            node.children.forEach((subNode) => {
              processNode(alternative, level + 1, subNode);
            });
          }
        };
        processNode(false, 0, this.tree);
        let response = {
          type: "text"
        };
        if (html.length) {
          this.html = response.html = html.join("<br/>\n");
        }
        if (text.length) {
          this.text = response.text = text.join("\n");
          this.textAsHtml = response.textAsHtml = text.map((part) => this.textToHtml(part)).join("<br/>\n");
        }
        return response;
      }
      processChunk(data, done) {
        let partId = null;
        if (data._parentBoundary) {
          partId = this._getPartId(data._parentBoundary);
        }
        switch (data.type) {
          case "node": {
            let node = this.createNode(data);
            if (node === this.tree) {
              ["subject", "references", "date", "to", "from", "to", "cc", "bcc", "message-id", "in-reply-to", "reply-to"].forEach((key) => {
                if (node.headers.has(key)) {
                  this[key.replace(/-([a-z])/g, (m, c) => c.toUpperCase())] = node.headers.get(key);
                }
              });
              this.emit("headers", node.headers);
            }
            if (data.contentType === "message/rfc822" && data.messageNode) {
              break;
            }
            if (data.parentNode && data.parentNode.contentType === "message/rfc822") {
              node.showMeta = true;
            }
            if (node.isAttachment) {
              let contentType = node.contentType;
              if (node.contentType === "application/octet-stream" && data.filename) {
                contentType = this.libmime.detectMimeType(data.filename) || "application/octet-stream";
              }
              let attachment = {
                type: "attachment",
                content: null,
                contentType,
                partId,
                release: () => {
                  attachment.release = null;
                  if (this.waitUntilAttachmentEnd && typeof this.attachmentCallback === "function") {
                    setImmediate(this.attachmentCallback);
                  }
                  this.attachmentCallback = false;
                  this.waitUntilAttachmentEnd = false;
                }
              };
              let algo = this.options.checksumAlgo || "md5";
              let hasher = new StreamHash(attachment, algo);
              node.decoder.on("error", (err) => {
                hasher.emit("error", err);
              });
              node.decoder.on("readable", () => {
                let chunk;
                while ((chunk = node.decoder.read()) !== null) {
                  hasher.write(chunk);
                }
              });
              node.decoder.once("end", () => {
                hasher.end();
              });
              attachment.content = hasher;
              this.waitUntilAttachmentEnd = true;
              if (data.disposition) {
                attachment.contentDisposition = data.disposition;
              }
              if (data.filename) {
                attachment.filename = data.filename;
              }
              if (node.headers.has("content-id")) {
                attachment.contentId = [].concat(node.headers.get("content-id") || []).shift();
                attachment.cid = attachment.contentId.trim().replace(/^<|>$/g, "").trim();
                let parentNode = node;
                while (parentNode = parentNode.parent) {
                  if (parentNode.contentType === "multipart/related") {
                    attachment.related = true;
                  }
                }
              }
              attachment.headers = node.headers;
              this.push(attachment);
              this.attachmentList.push(attachment);
            } else if (node.disposition === "inline") {
              let chunks = [];
              let chunklen = 0;
              node.contentStream = node.decoder;
              if (node.contentType === "text/plain") {
                this.hasText = true;
              } else if (node.contentType === "text/html") {
                this.hasHtml = true;
              } else if (node.contentType === "message/delivery-status" && !this.options.keepDeliveryStatus) {
                this.hasText = true;
              }
              if (node.node.flowed) {
                let contentStream = node.contentStream;
                let flowDecoder = new FlowedDecoder({
                  delSp: node.node.delSp
                });
                contentStream.on("error", (err) => {
                  flowDecoder.emit("error", err);
                });
                contentStream.pipe(flowDecoder);
                node.contentStream = flowDecoder;
              }
              let charset = node.charset || "utf-8";
              if (!["ascii", "usascii", "utf8"].includes(charset.toLowerCase().replace(/[^a-z0-9]+/g, ""))) {
                try {
                  let contentStream = node.contentStream;
                  let decodeStream = this.decoder.decodeStream(charset);
                  contentStream.on("error", (err) => {
                    decodeStream.emit("error", err);
                  });
                  contentStream.pipe(decodeStream);
                  node.contentStream = decodeStream;
                } catch (E) {
                }
              }
              node.contentStream.on("readable", () => {
                let chunk;
                while ((chunk = node.contentStream.read()) !== null) {
                  if (typeof chunk === "string") {
                    chunk = Buffer.from(chunk);
                  }
                  chunks.push(chunk);
                  chunklen += chunk.length;
                }
              });
              node.contentStream.once("end", () => {
                node.textContent = Buffer.concat(chunks, chunklen).toString().replace(/\r?\n/g, "\n");
              });
              node.contentStream.once("error", (err) => {
                this.emit("error", err);
              });
            }
            break;
          }
          case "data":
            if (this.curnode && this.curnode.decoder) {
              this.curnode.decoder.end();
            }
            if (this.waitUntilAttachmentEnd) {
              this.attachmentCallback = done;
              return;
            }
            break;
          case "body":
            if (this.curnode && this.curnode.decoder && this.curnode.decoder.writable) {
              if (this.curnode.decoder.write(data.value) === false) {
                return this.curnode.decoder.once("drain", done);
              }
            }
            break;
        }
        setImmediate(done);
      }
      _getPartId(parentBoundary) {
        let boundaryIndex = this.boundaries.findIndex((item) => item.name === parentBoundary);
        if (boundaryIndex === -1) {
          this.boundaries.push({ name: parentBoundary, count: 1 });
          boundaryIndex = this.boundaries.length - 1;
        } else {
          this.boundaries[boundaryIndex].count++;
        }
        let partId = "1";
        for (let i = 0; i <= boundaryIndex; i++) {
          if (i === 0)
            partId = this.boundaries[i].count.toString();
          else
            partId += "." + this.boundaries[i].count.toString();
        }
        return partId;
      }
      getAddressesHTML(value) {
        let formatSingleLevel = (addresses) => addresses.map((address) => {
          let str = '<span class="mp_address_group">';
          if (address.name) {
            str += '<span class="mp_address_name">' + he.encode(address.name) + (address.group ? ": " : "") + "</span>";
          }
          if (address.address) {
            let link = '<a href="mailto:' + he.encode(address.address) + '" class="mp_address_email">' + he.encode(address.address) + "</a>";
            if (address.name) {
              str += " &lt;" + link + "&gt;";
            } else {
              str += link;
            }
          }
          if (address.group) {
            str += formatSingleLevel(address.group) + ";";
          }
          return str + "</span>";
        }).join(", ");
        return formatSingleLevel([].concat(value || []));
      }
      getAddressesText(value) {
        let formatSingleLevel = (addresses) => addresses.map((address) => {
          let str = "";
          if (address.name) {
            str += address.name + (address.group ? ": " : "");
          }
          if (address.address) {
            let link = address.address;
            if (address.name) {
              str += " <" + link + ">";
            } else {
              str += link;
            }
          }
          if (address.group) {
            str += formatSingleLevel(address.group) + ";";
          }
          return str;
        }).join(", ");
        return formatSingleLevel([].concat(value || []));
      }
      updateImageLinks(replaceCallback, done) {
        if (!this.html) {
          return setImmediate(() => done(null, false));
        }
        let cids = /* @__PURE__ */ new Map();
        let html = (this.html || "").toString();
        if (this.options.skipImageLinks) {
          return done(null, html);
        }
        html.replace(/\bcid:([^'"\s]{1,256})/g, (match, cid) => {
          for (let i = 0, len = this.attachmentList.length; i < len; i++) {
            if (this.attachmentList[i].cid === cid && /^image\/[\w]+$/i.test(this.attachmentList[i].contentType)) {
              cids.set(cid, {
                attachment: this.attachmentList[i]
              });
              break;
            }
          }
          return match;
        });
        let cidList = [];
        cids.forEach((entry) => {
          cidList.push(entry);
        });
        let pos = 0;
        let processNext = () => {
          if (pos >= cidList.length) {
            html = html.replace(/\bcid:([^'"\s]{1,256})/g, (match, cid) => {
              if (cids.has(cid) && cids.get(cid).url) {
                return cids.get(cid).url;
              }
              return match;
            });
            return done(null, html);
          }
          let entry = cidList[pos++];
          replaceCallback(entry.attachment, (err, url) => {
            if (err) {
              return setImmediate(() => done(err));
            }
            entry.url = url;
            setImmediate(processNext);
          });
        };
        setImmediate(processNext);
      }
      textToHtml(str) {
        if (this.options.skipTextToHtml) {
          return "";
        }
        str = (str || "").toString();
        let encoded;
        let linkified = false;
        if (!this.options.skipTextLinks) {
          try {
            if (linkify.pretest(str)) {
              linkified = true;
              let links = linkify.match(str) || [];
              let result = [];
              let last = 0;
              links.forEach((link) => {
                if (last < link.index) {
                  let textPart2 = he.encode(str.slice(last, link.index), {
                    useNamedReferences: true
                  });
                  result.push(textPart2);
                }
                result.push(`<a href="${link.url}">${link.text}</a>`);
                last = link.lastIndex;
              });
              let textPart = he.encode(str.slice(last), {
                useNamedReferences: true
              });
              result.push(textPart);
              encoded = result.join("");
            }
          } catch (E) {
          }
        }
        if (!linkified) {
          encoded = he.encode(str, {
            useNamedReferences: true
          });
        }
        let text = "<p>" + encoded.replace(/\r?\n/g, "\n").trim().replace(/[ \t]+$/gm, "").trim().replace(/\n\n+/g, "</p><p>").trim().replace(/\n/g, "<br/>") + // insert <br> to single linebreaks
        "</p>";
        return text;
      }
    };
    module2.exports = MailParser;
  }
});

// ../../../node_modules/mailparser/lib/simple-parser.js
var require_simple_parser = __commonJS({
  "../../../node_modules/mailparser/lib/simple-parser.js"(exports, module2) {
    "use strict";
    var MailParser = require_mail_parser();
    module2.exports = (input, options, callback) => {
      if (input === null || input === void 0) {
        throw new TypeError("Input cannot be null or undefined.");
      }
      if (!callback && typeof options === "function") {
        callback = options;
        options = false;
      }
      let promise;
      if (!callback) {
        promise = new Promise((resolve, reject) => {
          callback = callbackPromise(resolve, reject);
        });
      }
      options = options || {};
      let keepCidLinks = !!options.keepCidLinks;
      let mail = {
        attachments: []
      };
      let parser = new MailParser(options);
      parser.on("error", (err) => {
        callback(err);
      });
      parser.on("headers", (headers) => {
        mail.headers = headers;
        mail.headerLines = parser.headerLines;
      });
      let reading = false;
      let reader = () => {
        reading = true;
        let data = parser.read();
        if (data === null) {
          reading = false;
          return;
        }
        if (data.type === "text") {
          Object.keys(data).forEach((key) => {
            if (["text", "html", "textAsHtml"].includes(key)) {
              mail[key] = data[key];
            }
          });
        }
        if (data.type === "attachment") {
          mail.attachments.push(data);
          let chunks = [];
          let chunklen = 0;
          data.content.on("readable", () => {
            let chunk;
            while ((chunk = data.content.read()) !== null) {
              chunks.push(chunk);
              chunklen += chunk.length;
            }
          });
          data.content.on("end", () => {
            data.content = Buffer.concat(chunks, chunklen);
            data.release();
            reader();
          });
        } else {
          reader();
        }
      };
      parser.on("readable", () => {
        if (!reading) {
          reader();
        }
      });
      parser.on("end", () => {
        ["subject", "references", "date", "to", "from", "to", "cc", "bcc", "message-id", "in-reply-to", "reply-to"].forEach((key) => {
          if (mail.headers && mail.headers.has(key)) {
            mail[key.replace(/-([a-z])/g, (m, c) => c.toUpperCase())] = mail.headers.get(key);
          }
        });
        if (keepCidLinks) {
          return callback(null, mail);
        }
        parser.updateImageLinks(
          (attachment, done) => done(false, "data:" + attachment.contentType + ";base64," + attachment.content.toString("base64")),
          (err, html) => {
            if (err) {
              return callback(err);
            }
            mail.html = html;
            callback(null, mail);
          }
        );
      });
      if (typeof input === "string") {
        parser.end(Buffer.from(input));
      } else if (Buffer.isBuffer(input)) {
        parser.end(input);
      } else {
        input.once("error", (err) => {
          input.destroy();
          parser.destroy();
          callback(err);
        }).pipe(parser);
      }
      return promise;
    };
    function callbackPromise(resolve, reject) {
      return function(...args) {
        let err = args.shift();
        if (err) {
          reject(err);
        } else {
          resolve(...args);
        }
      };
    }
  }
});

// ../../../node_modules/mailparser/index.js
var require_mailparser = __commonJS({
  "../../../node_modules/mailparser/index.js"(exports, module2) {
    "use strict";
    var MailParser = require_mail_parser();
    var simpleParser2 = require_simple_parser();
    module2.exports = {
      MailParser,
      simpleParser: simpleParser2
    };
  }
});

// src/lambdas/lambda.ts
var lambda_exports = {};
__export(lambda_exports, {
  onEvent: () => onEvent
});
module.exports = __toCommonJS(lambda_exports);
var import_mailparser = __toESM(require_mailparser());
var import_client_dynamodb = require("@aws-sdk/client-dynamodb");
var import_lib_dynamodb = require("@aws-sdk/lib-dynamodb");
var transformMessage = async ({
  mail: {
    messageId,
    timestamp,
    destination: [recipient],
    source
  },
  content
}) => {
  const { html, text, subject } = await (0, import_mailparser.simpleParser)(Buffer.from(content, "base64").toString("utf-8"));
  return {
    id: messageId,
    timestamp,
    sender: source,
    recipient,
    html: html || void 0,
    text,
    subject
  };
};
var client = new import_client_dynamodb.DynamoDBClient({});
var docClient = import_lib_dynamodb.DynamoDBDocumentClient.from(client, {
  marshallOptions: {
    removeUndefinedValues: true
  }
});
var storeMessage = async (message) => {
  await docClient.send(
    new import_lib_dynamodb.PutCommand({
      TableName: process.env.TABLE_NAME,
      Item: message
    })
  );
};
var onEvent = async (event) => {
  await Promise.all(
    event.Records.map(async (record) => {
      const message = JSON.parse(record.Sns.Message);
      const rptMessage = await transformMessage(message);
      await storeMessage(rptMessage);
    })
  );
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  onEvent
});
/*! Bundled license information:

he/he.js:
  (*! https://mths.be/he v1.2.0 by @mathias | MIT license *)
*/
